/*===========================================================================*/
/*   (Llib/gstobject.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -srfi gstreamer -copt -I/usr/include/gstreamer-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread -copt -fPIC -copt -IClib Llib/gstobject.scm -o objs/gstobject.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <gst/gst.h>
#include <bglgst_config.h>
#include <bglgst.h>
#include <bglgst_plugin.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62gstzd2createzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62gstzd2createzd2errorz62_bglt;

typedef struct BgL_gstzd2objectzd2_bgl {
   header_t header;
   obj_t widening;
   GstObject * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
   obj_t BgL_z52closuresz52;
} *BgL_gstzd2objectzd2_bglt;


static obj_t BGl_z62zc3z04anonymousza31201ze3ze5zz__gstreamer_gstobjectz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t bgl_gst_objectp(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__gstreamer_gstobjectz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62z52gstzd2objectzd2finaliza7ezd2closuresz12z57zz__gstreamer_gstobjectz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_closure_gcmark(obj_t);
static obj_t BGl_z62closurezd2gcmarkz12za2zz__gstreamer_gstobjectz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31210ze3ze5zz__gstreamer_gstobjectz00(obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62gstzd2objectzd2propertyz62zz__gstreamer_gstobjectz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__gstreamer_gstobjectz00();
BGL_EXPORTED_DECL obj_t BGl_gstzd2objectzd2propertyzd2listzd2zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt);
static obj_t BGl_genericzd2initzd2zz__gstreamer_gstobjectz00();
static obj_t BGl_z62gstzd2objectzd2propertyzd2setz12za2zz__gstreamer_gstobjectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__gstreamer_gstobjectz00();
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2objectzd2finaliza7ezd2debugz27zz__gstreamer_gstobjectz00(obj_t);
static obj_t BGl_z62gstzd2objectzd2connectz12z70zz__gstreamer_gstobjectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2objectzd2finaliza7ezd2closuresz12z35zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2objectzd2initzd2debugz80zz__gstreamer_gstobjectz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00 = BUNSPEC;
static obj_t BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00 = BUNSPEC;
static obj_t BGl_z62z52gstzd2objectzd2finaliza7ezd2debugz45zz__gstreamer_gstobjectz00(obj_t, obj_t);
static obj_t BGl_z62gstzd2objectzf3z43zz__gstreamer_gstobjectz00(obj_t, obj_t);
extern void bgl_gst_add_finalizer(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31218ze3ze5zz__gstreamer_gstobjectz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__gstreamer_gstobjectz00();
BGL_EXPORTED_DECL obj_t BGl_gstzd2objectzd2propertyz00zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt, obj_t);
static obj_t BGl_z62closurezd2gcunmarkz12za2zz__gstreamer_gstobjectz00(obj_t, obj_t);
BGL_EXPORTED_DECL GstObject * BGl_z52z42gstzd2objectzd2nilz10zz__gstreamer_gstobjectz00();
static obj_t BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31228ze3ze5zz__gstreamer_gstobjectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2objectzd2unrefz12z40zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_gstzd2objectzd2connectz12z12zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt, obj_t, obj_t);
static obj_t BGl_z62lambda1208z62zz__gstreamer_gstobjectz00(obj_t, obj_t);
static obj_t BGl_z62lambda1209z62zz__gstreamer_gstobjectz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2objectzd2initz52zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_gstzd2objectzd2propertyzd2setz12zc0zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt, obj_t, obj_t);
static obj_t BGl_z62lambda1216z62zz__gstreamer_gstobjectz00(obj_t, obj_t);
static obj_t BGl_z62lambda1217z62zz__gstreamer_gstobjectz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52z42gstzd2objectzd2nilz72zz__gstreamer_gstobjectz00(obj_t);
static obj_t BGl_z62lambda1226z62zz__gstreamer_gstobjectz00(obj_t, obj_t);
static obj_t BGl_z62lambda1227z62zz__gstreamer_gstobjectz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
static obj_t BGl_z62z52gstzd2objectzd2init1075z30zz__gstreamer_gstobjectz00(obj_t, obj_t);
static long BGl_za2gstzd2objectzd2debugzd2countza2zd2zz__gstreamer_gstobjectz00;
static obj_t BGl_z62z52gstzd2objectzd2initzd2debugze2zz__gstreamer_gstobjectz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstobjectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gsterrorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2objectzd2refz12z40zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt);
BGL_IMPORT int bgl_debug();
BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00;
static obj_t BGl_cnstzd2initzd2zz__gstreamer_gstobjectz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstobjectz00();
static obj_t BGl_z62z52gstzd2objectzd2initz30zz__gstreamer_gstobjectz00(obj_t, obj_t);
BGL_IMPORT long bgl_list_length(obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstobjectz00();
static obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstobjectz00();
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2objectzd2finaliza7ez12ze7zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt);
static BgL_gstzd2objectzd2_bglt BGl_z62lambda1198z62zz__gstreamer_gstobjectz00(obj_t);
static obj_t BGl_z62z52gstzd2objectzd2ze3gobjectzd3zz__gstreamer_gstobjectz00(obj_t, obj_t);
static obj_t BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_EXPORTED_DECL GstObject * bgl_gst_object_to_gstobject(BgL_gstzd2objectzd2_bglt);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62z52gstzd2objectzd2refz12z22zz__gstreamer_gstobjectz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2gstzd2o1078zb0zz__gstreamer_gstobjectz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62gstzd2objectzd2propertyzd2listzb0zz__gstreamer_gstobjectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62z52gstzd2objectzd2finaliza7ez12z85zz__gstreamer_gstobjectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_find_runtime_type(obj_t);
BGL_EXPORTED_DECL obj_t bgl_closure_gcunmark(obj_t);
static obj_t BGl_z62z52gstzd2objectzd2unrefz12z22zz__gstreamer_gstobjectz00(obj_t, obj_t);
static obj_t __cnst[ 10 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2objectzd2unrefz12zd2envz92zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1380za7, BGl_z62z52gstzd2objectzd2unrefz12z22zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_closurezd2gcmarkz12zd2envz12zz__gstreamer_gstobjectz00, BgL_bgl_za762closureza7d2gcm1381z00, BGl_z62closurezd2gcmarkz12za2zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1329z00zz__gstreamer_gstobjectz00, BgL_bgl_string1329za700za7za7_1382za7, "Llib/gstobject.scm", 18 );
DEFINE_STRING( BGl_string1330z00zz__gstreamer_gstobjectz00, BgL_bgl_string1330za700za7za7_1383za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/gstreamer/src/Llib/gstobject.scm", 72 );
DEFINE_STRING( BGl_string1331z00zz__gstreamer_gstobjectz00, BgL_bgl_string1331za700za7za7_1384za7, "&%gst-object->gobject", 21 );
DEFINE_STRING( BGl_string1332z00zz__gstreamer_gstobjectz00, BgL_bgl_string1332za700za7za7_1385za7, "gst-object", 10 );
DEFINE_STRING( BGl_string1333z00zz__gstreamer_gstobjectz00, BgL_bgl_string1333za700za7za7_1386za7, "gst-object-init (", 17 );
DEFINE_STRING( BGl_string1334z00zz__gstreamer_gstobjectz00, BgL_bgl_string1334za700za7za7_1387za7, "): ", 3 );
DEFINE_STRING( BGl_string1335z00zz__gstreamer_gstobjectz00, BgL_bgl_string1335za700za7za7_1388za7, "gst-object-unref! (", 19 );
DEFINE_STRING( BGl_string1336z00zz__gstreamer_gstobjectz00, BgL_bgl_string1336za700za7za7_1389za7, "&%gst-object-unref!", 19 );
DEFINE_STRING( BGl_string1337z00zz__gstreamer_gstobjectz00, BgL_bgl_string1337za700za7za7_1390za7, "&%gst-object-ref!", 17 );
DEFINE_STRING( BGl_string1338z00zz__gstreamer_gstobjectz00, BgL_bgl_string1338za700za7za7_1391za7, "&%gst-object-finalize-closures!", 31 );
DEFINE_STRING( BGl_string1339z00zz__gstreamer_gstobjectz00, BgL_bgl_string1339za700za7za7_1392za7, "&%gst-object-finalize!", 22 );
DEFINE_STRING( BGl_string1340z00zz__gstreamer_gstobjectz00, BgL_bgl_string1340za700za7za7_1393za7, "&gst-object-property-list", 25 );
DEFINE_STRING( BGl_string1341z00zz__gstreamer_gstobjectz00, BgL_bgl_string1341za700za7za7_1394za7, "&gst-object-property", 20 );
DEFINE_STRING( BGl_string1342z00zz__gstreamer_gstobjectz00, BgL_bgl_string1342za700za7za7_1395za7, "keyword", 7 );
DEFINE_STRING( BGl_string1343z00zz__gstreamer_gstobjectz00, BgL_bgl_string1343za700za7za7_1396za7, "&gst-object-property-set!", 25 );
DEFINE_STRING( BGl_string1344z00zz__gstreamer_gstobjectz00, BgL_bgl_string1344za700za7za7_1397za7, "&gst-object-connect!", 20 );
DEFINE_STRING( BGl_string1345z00zz__gstreamer_gstobjectz00, BgL_bgl_string1345za700za7za7_1398za7, "bstring", 7 );
DEFINE_STRING( BGl_string1346z00zz__gstreamer_gstobjectz00, BgL_bgl_string1346za700za7za7_1399za7, "procedure", 9 );
DEFINE_STRING( BGl_string1347z00zz__gstreamer_gstobjectz00, BgL_bgl_string1347za700za7za7_1400za7, "closure-gcmark: ", 16 );
DEFINE_STRING( BGl_string1348z00zz__gstreamer_gstobjectz00, BgL_bgl_string1348za700za7za7_1401za7, ":", 1 );
DEFINE_STRING( BGl_string1349z00zz__gstreamer_gstobjectz00, BgL_bgl_string1349za700za7za7_1402za7, ",", 1 );
DEFINE_STRING( BGl_string1350z00zz__gstreamer_gstobjectz00, BgL_bgl_string1350za700za7za7_1403za7, "&closure-gcmark!", 16 );
DEFINE_STRING( BGl_string1351z00zz__gstreamer_gstobjectz00, BgL_bgl_string1351za700za7za7_1404za7, "closure-gcunmark: ", 18 );
DEFINE_STRING( BGl_string1352z00zz__gstreamer_gstobjectz00, BgL_bgl_string1352za700za7za7_1405za7, "&closure-gcunmark!", 18 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2objectzf3zd2envzf3zz__gstreamer_gstobjectz00, BgL_bgl_za762gstza7d2objectza71406za7, BGl_z62gstzd2objectzf3z43zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1353z00zz__gstreamer_gstobjectz00, BgL_bgl_za762za7c3za704anonymo1407za7, BGl_z62zc3z04anonymousza31210ze3ze5zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1354z00zz__gstreamer_gstobjectz00, BgL_bgl_za762lambda1209za7621408z00, BGl_z62lambda1209z62zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1355z00zz__gstreamer_gstobjectz00, BgL_bgl_za762lambda1208za7621409z00, BGl_z62lambda1208z62zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1356z00zz__gstreamer_gstobjectz00, BgL_bgl_za762za7c3za704anonymo1410za7, BGl_z62zc3z04anonymousza31218ze3ze5zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1357z00zz__gstreamer_gstobjectz00, BgL_bgl_za762lambda1217za7621411z00, BGl_z62lambda1217z62zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1358z00zz__gstreamer_gstobjectz00, BgL_bgl_za762lambda1216za7621412z00, BGl_z62lambda1216z62zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1365z00zz__gstreamer_gstobjectz00, BgL_bgl_string1365za700za7za7_1413za7, "%gst-object-init1075", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1359z00zz__gstreamer_gstobjectz00, BgL_bgl_za762za7c3za704anonymo1414za7, BGl_z62zc3z04anonymousza31228ze3ze5zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1366z00zz__gstreamer_gstobjectz00, BgL_bgl_string1366za700za7za7_1415za7, "Illegal gst-object", 18 );
DEFINE_STRING( BGl_string1367z00zz__gstreamer_gstobjectz00, BgL_bgl_string1367za700za7za7_1416za7, "&%gst-object-init", 17 );
DEFINE_STRING( BGl_string1369z00zz__gstreamer_gstobjectz00, BgL_bgl_string1369za700za7za7_1417za7, "object-display", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1360z00zz__gstreamer_gstobjectz00, BgL_bgl_za762lambda1227za7621418z00, BGl_z62lambda1227z62zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1361z00zz__gstreamer_gstobjectz00, BgL_bgl_za762lambda1226za7621419z00, BGl_z62lambda1226z62zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1362z00zz__gstreamer_gstobjectz00, BgL_bgl_za762za7c3za704anonymo1420za7, BGl_z62zc3z04anonymousza31201ze3ze5zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1363z00zz__gstreamer_gstobjectz00, BgL_bgl_za762lambda1198za7621421z00, BGl_z62lambda1198z62zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1370z00zz__gstreamer_gstobjectz00, BgL_bgl_string1370za700za7za7_1422za7, "<", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1364z00zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1423za7, BGl_z62z52gstzd2objectzd2init1075z30zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1371z00zz__gstreamer_gstobjectz00, BgL_bgl_string1371za700za7za7_1424za7, " refcount=", 10 );
DEFINE_STRING( BGl_string1372z00zz__gstreamer_gstobjectz00, BgL_bgl_string1372za700za7za7_1425za7, ">", 1 );
DEFINE_STRING( BGl_string1373z00zz__gstreamer_gstobjectz00, BgL_bgl_string1373za700za7za7_1426za7, "__gstreamer_gstobject", 21 );
DEFINE_STRING( BGl_string1374z00zz__gstreamer_gstobjectz00, BgL_bgl_string1374za700za7za7_1427za7, "%gst-object-init __gstreamer_gstobject gst-object pair-nil %closures obj $finalizer $gst-object $builtin mutex ", 111 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1368z00zz__gstreamer_gstobjectz00, BgL_bgl_za762objectza7d2disp1428z00, va_generic_entry, BGl_z62objectzd2displayzd2gstzd2o1078zb0zz__gstreamer_gstobjectz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2objectzd2propertyzd2setz12zd2envz12zz__gstreamer_gstobjectz00, BgL_bgl_za762gstza7d2objectza71429za7, BGl_z62gstzd2objectzd2propertyzd2setz12za2zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_closurezd2gcunmarkz12zd2envz12zz__gstreamer_gstobjectz00, BgL_bgl_za762closureza7d2gcu1430z00, BGl_z62closurezd2gcunmarkz12za2zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2objectzd2finaliza7ezd2debugzd2envzf5zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1431za7, BGl_z62z52gstzd2objectzd2finaliza7ezd2debugz45zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1432za7, BGl_z62z52gstzd2objectzd2initz30zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2objectzd2finaliza7ez12zd2envz35zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1433za7, BGl_z62z52gstzd2objectzd2finaliza7ez12z85zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2objectzd2connectz12zd2envzc0zz__gstreamer_gstobjectz00, BgL_bgl_za762gstza7d2objectza71434za7, BGl_z62gstzd2objectzd2connectz12z70zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52z42gstzd2objectzd2nilzd2envzc2zz__gstreamer_gstobjectz00, BgL_bgl_za762za752za742gstza7d2o1435z00, BGl_z62z52z42gstzd2objectzd2nilz72zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2objectzd2finaliza7ezd2closuresz12zd2envze7zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1436za7, BGl_z62z52gstzd2objectzd2finaliza7ezd2closuresz12z57zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2objectzd2initzd2debugzd2envz52zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1437za7, BGl_z62z52gstzd2objectzd2initzd2debugze2zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2objectzd2propertyzd2listzd2envz00zz__gstreamer_gstobjectz00, BgL_bgl_za762gstza7d2objectza71438za7, BGl_z62gstzd2objectzd2propertyzd2listzb0zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2objectzd2ze3gobjectzd2envz63zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1439za7, BGl_z62z52gstzd2objectzd2ze3gobjectzd3zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2objectzd2refz12zd2envz92zz__gstreamer_gstobjectz00, BgL_bgl_za762za752gstza7d2obje1440za7, BGl_z62z52gstzd2objectzd2refz12z22zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2objectzd2propertyzd2envzd2zz__gstreamer_gstobjectz00, BgL_bgl_za762gstza7d2objectza71441za7, BGl_z62gstzd2objectzd2propertyz62zz__gstreamer_gstobjectz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__gstreamer_gstobjectz00) );
ADD_ROOT( (void *)(&BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00) );
ADD_ROOT( (void *)(&BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00) );
ADD_ROOT( (void *)(&BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00) );
ADD_ROOT( (void *)(&BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gstobjectz00(long BgL_checksumz00_586, char * BgL_fromz00_587)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__gstreamer_gstobjectz00))
{ 
BGl_requirezd2initializa7ationz75zz__gstreamer_gstobjectz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__gstreamer_gstobjectz00(); 
BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstobjectz00(); 
BGl_cnstzd2initzd2zz__gstreamer_gstobjectz00(); 
BGl_importedzd2moduleszd2initz00zz__gstreamer_gstobjectz00(); 
BGl_objectzd2initzd2zz__gstreamer_gstobjectz00(); 
BGl_genericzd2initzd2zz__gstreamer_gstobjectz00(); 
BGl_methodzd2initzd2zz__gstreamer_gstobjectz00(); 
return 
BGl_toplevelzd2initzd2zz__gstreamer_gstobjectz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__gstreamer_gstobject"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__gstreamer_gstobject"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 15 */
{ /* Llib/gstobject.scm 15 */
 obj_t BgL_cportz00_453;
{ /* Llib/gstobject.scm 15 */
 obj_t BgL_stringz00_461;
BgL_stringz00_461 = BGl_string1374z00zz__gstreamer_gstobjectz00; 
{ /* Llib/gstobject.scm 15 */
 obj_t BgL_startz00_462;
BgL_startz00_462 = 
BINT(((long)0)); 
{ /* Llib/gstobject.scm 15 */
 obj_t BgL_endz00_463;
BgL_endz00_463 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_461))); 
{ /* Llib/gstobject.scm 15 */

BgL_cportz00_453 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_461, BgL_startz00_462, BgL_endz00_463); } } } } 
{ 
 long BgL_iz00_454;
BgL_iz00_454 = ((long)9); 
BgL_loopz00_455:
if(
(BgL_iz00_454==((long)-1)))
{ /* Llib/gstobject.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/gstobject.scm 15 */
{ /* Llib/gstobject.scm 15 */
 obj_t BgL_arg1377z00_457;
{ /* Llib/gstobject.scm 15 */

{ /* Llib/gstobject.scm 15 */
 obj_t BgL_locationz00_459;
BgL_locationz00_459 = 
BBOOL(((bool_t)0)); 
{ /* Llib/gstobject.scm 15 */

BgL_arg1377z00_457 = 
BGl_readz00zz__readerz00(BgL_cportz00_453, BgL_locationz00_459); } } } 
{ /* Llib/gstobject.scm 15 */
 int BgL_tmpz00_624;
BgL_tmpz00_624 = 
(int)(BgL_iz00_454); 
CNST_TABLE_SET(BgL_tmpz00_624, BgL_arg1377z00_457); } } 
{ /* Llib/gstobject.scm 15 */
 int BgL_auxz00_460;
BgL_auxz00_460 = 
(int)(
(BgL_iz00_454-((long)1))); 
{ 
 long BgL_iz00_629;
BgL_iz00_629 = 
(long)(BgL_auxz00_460); 
BgL_iz00_454 = BgL_iz00_629; 
goto BgL_loopz00_455;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1329z00zz__gstreamer_gstobjectz00)); 
{ /* Llib/gstobject.scm 81 */

{ /* Llib/gstobject.scm 81 */
 obj_t BgL_namez00_25;
BgL_namez00_25 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)0))); 
{ /* Llib/gstobject.scm 81 */

BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00 = 
bgl_make_mutex(BgL_namez00_25); } } } 
BGl_za2gstzd2objectzd2debugzd2countza2zd2zz__gstreamer_gstobjectz00 = ((long)0); 
{ /* Llib/gstobject.scm 206 */

{ /* Llib/gstobject.scm 206 */
 obj_t BgL_namez00_26;
BgL_namez00_26 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)0))); 
{ /* Llib/gstobject.scm 206 */

BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00 = 
bgl_make_mutex(BgL_namez00_26); } } } 
return ( 
BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00 = BNIL, BUNSPEC) ;} 

}



/* gst-object? */
BGL_EXPORTED_DEF bool_t bgl_gst_objectp(obj_t BgL_oz00_3)
{
{ /* Llib/gstobject.scm 62 */
{ /* Llib/gstobject.scm 63 */
 obj_t BgL_classz00_465;
BgL_classz00_465 = BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00; 
if(
BGL_OBJECTP(BgL_oz00_3))
{ /* Llib/gstobject.scm 63 */
 BgL_objectz00_bglt BgL_arg1797z00_466;
BgL_arg1797z00_466 = 
(BgL_objectz00_bglt)(BgL_oz00_3); 
{ /* Llib/gstobject.scm 63 */
 bool_t BgL_arg1794z00_467; bool_t BgL_arg1795z00_468;
{ /* Llib/gstobject.scm 63 */
 long BgL_idxz00_469;
BgL_idxz00_469 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1797z00_466); 
BgL_arg1794z00_467 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_469+((long)1)))==BgL_classz00_465); } 
{ /* Llib/gstobject.scm 63 */
 bool_t BgL_res1289z00_472;
{ /* Llib/gstobject.scm 63 */
 obj_t BgL_oclassz00_473;
{ /* Llib/gstobject.scm 63 */
 long BgL_arg1804z00_474;
{ /* Llib/gstobject.scm 63 */
 long BgL_arg1805z00_475;
BgL_arg1805z00_475 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1797z00_466); 
BgL_arg1804z00_474 = 
(BgL_arg1805z00_475-OBJECT_TYPE); } 
BgL_oclassz00_473 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_474); } 
{ /* Llib/gstobject.scm 63 */
 bool_t BgL__ortest_1111z00_476;
BgL__ortest_1111z00_476 = 
(BgL_classz00_465==BgL_oclassz00_473); 
if(BgL__ortest_1111z00_476)
{ /* Llib/gstobject.scm 63 */
BgL_res1289z00_472 = BgL__ortest_1111z00_476; }  else 
{ /* Llib/gstobject.scm 63 */
 long BgL_odepthz00_477;
BgL_odepthz00_477 = 
BGL_CLASS_DEPTH(BgL_oclassz00_473); 
if(
(((long)1)<BgL_odepthz00_477))
{ /* Llib/gstobject.scm 63 */
 obj_t BgL_arg1793z00_478;
BgL_arg1793z00_478 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_473, ((long)1)); 
BgL_res1289z00_472 = 
(BgL_arg1793z00_478==BgL_classz00_465); }  else 
{ /* Llib/gstobject.scm 63 */
BgL_res1289z00_472 = ((bool_t)0); } } } } 
BgL_arg1795z00_468 = BgL_res1289z00_472; } 
return 
BGL_ISA_C_BACKEND(BgL_arg1794z00_467, BgL_arg1795z00_468);} }  else 
{ /* Llib/gstobject.scm 63 */
return ((bool_t)0);} } } 

}



/* &gst-object? */
obj_t BGl_z62gstzd2objectzf3z43zz__gstreamer_gstobjectz00(obj_t BgL_envz00_323, obj_t BgL_oz00_324)
{
{ /* Llib/gstobject.scm 62 */
return 
BBOOL(
bgl_gst_objectp(BgL_oz00_324));} 

}



/* %$gst-object-nil */
BGL_EXPORTED_DEF GstObject * BGl_z52z42gstzd2objectzd2nilz10zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 68 */
return 
(0L);} 

}



/* &%$gst-object-nil */
obj_t BGl_z62z52z42gstzd2objectzd2nilz72zz__gstreamer_gstobjectz00(obj_t BgL_envz00_325)
{
{ /* Llib/gstobject.scm 68 */
return 
void_star_to_obj(
BGl_z52z42gstzd2objectzd2nilz10zz__gstreamer_gstobjectz00());} 

}



/* %gst-object->gobject */
BGL_EXPORTED_DEF GstObject * bgl_gst_object_to_gstobject(BgL_gstzd2objectzd2_bglt BgL_oz00_4)
{
{ /* Llib/gstobject.scm 74 */
return 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_oz00_4))->BgL_z42builtinz42);} 

}



/* &%gst-object->gobject */
obj_t BGl_z62z52gstzd2objectzd2ze3gobjectzd3zz__gstreamer_gstobjectz00(obj_t BgL_envz00_326, obj_t BgL_oz00_327)
{
{ /* Llib/gstobject.scm 74 */
{ /* Llib/gstobject.scm 75 */
 void * BgL_tmpz00_664;
{ /* Llib/gstobject.scm 75 */
 BgL_gstzd2objectzd2_bglt BgL_auxz00_665;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_327, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 75 */
BgL_auxz00_665 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_327)
; }  else 
{ 
 obj_t BgL_auxz00_669;
BgL_auxz00_669 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1330z00zz__gstreamer_gstobjectz00, 
BINT(((long)3105)), BGl_string1331z00zz__gstreamer_gstobjectz00, BGl_string1332z00zz__gstreamer_gstobjectz00, BgL_oz00_327); 
FAILURE(BgL_auxz00_669,BFALSE,BFALSE);} 
BgL_tmpz00_664 = 
bgl_gst_object_to_gstobject(BgL_auxz00_665); } 
return 
void_star_to_obj(BgL_tmpz00_664);} } 

}



/* %gst-object-init-debug */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2objectzd2initzd2debugz80zz__gstreamer_gstobjectz00(obj_t BgL_oz00_5)
{
{ /* Llib/gstobject.scm 87 */
{ /* Llib/gstobject.scm 88 */
 obj_t BgL_top1449z00_676;
BgL_top1449z00_676 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1449z00_676, BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); BUNSPEC; 
{ /* Llib/gstobject.scm 88 */
 obj_t BgL_tmp1448z00_675;
BGl_za2gstzd2objectzd2debugzd2countza2zd2zz__gstreamer_gstobjectz00 = 
(((long)1)+BGl_za2gstzd2objectzd2debugzd2countza2zd2zz__gstreamer_gstobjectz00); 
{ /* Llib/gstobject.scm 90 */
 obj_t BgL_arg1082z00_36;
{ /* Llib/gstobject.scm 90 */
 obj_t BgL_tmpz00_681;
BgL_tmpz00_681 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1082z00_36 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_681); } 
bgl_display_string(BGl_string1333z00zz__gstreamer_gstobjectz00, BgL_arg1082z00_36); } 
{ /* Llib/gstobject.scm 91 */
 obj_t BgL_arg1083z00_37;
{ /* Llib/gstobject.scm 91 */
 obj_t BgL_tmpz00_685;
BgL_tmpz00_685 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1083z00_37 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_685); } 
bgl_display_obj(
BINT(BGl_za2gstzd2objectzd2debugzd2countza2zd2zz__gstreamer_gstobjectz00), BgL_arg1083z00_37); } 
{ /* Llib/gstobject.scm 92 */
 obj_t BgL_arg1084z00_38;
{ /* Llib/gstobject.scm 92 */
 obj_t BgL_tmpz00_690;
BgL_tmpz00_690 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1084z00_38 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_690); } 
BgL_tmp1448z00_675 = 
bgl_display_string(BGl_string1334z00zz__gstreamer_gstobjectz00, BgL_arg1084z00_38); } 
BGL_EXITD_POP_PROTECT(BgL_top1449z00_676); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); BgL_tmp1448z00_675; } } 
{ /* Llib/gstobject.scm 93 */
 obj_t BgL_arg1087z00_39; obj_t BgL_arg1094z00_40;
BgL_arg1087z00_39 = 
bgl_find_runtime_type(BgL_oz00_5); 
{ /* Llib/gstobject.scm 93 */
 obj_t BgL_tmpz00_697;
BgL_tmpz00_697 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1094z00_40 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_697); } 
bgl_display_obj(BgL_arg1087z00_39, BgL_arg1094z00_40); } 
fprintf( stderr, " o=%p builtin=%p refcount=%d", BgL_oz00_5, ((BgL_gstzd2objectzd2_bglt)BgL_oz00_5)->BgL_z42builtinz42, ((GObject *)(((BgL_gstzd2objectzd2_bglt)BgL_oz00_5)->BgL_z42builtinz42))->ref_count ); 
{ /* Llib/gstobject.scm 95 */
 obj_t BgL_arg1095z00_41;
{ /* Llib/gstobject.scm 95 */
 obj_t BgL_tmpz00_702;
BgL_tmpz00_702 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1095z00_41 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_702); } 
return 
bgl_display_char(((unsigned char)10), BgL_arg1095z00_41);} } 

}



/* &%gst-object-init-debug */
obj_t BGl_z62z52gstzd2objectzd2initzd2debugze2zz__gstreamer_gstobjectz00(obj_t BgL_envz00_328, obj_t BgL_oz00_329)
{
{ /* Llib/gstobject.scm 87 */
return 
BGl_z52gstzd2objectzd2initzd2debugz80zz__gstreamer_gstobjectz00(BgL_oz00_329);} 

}



/* %gst-object-finalize-debug */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2objectzd2finaliza7ezd2debugz27zz__gstreamer_gstobjectz00(obj_t BgL_oz00_6)
{
{ /* Llib/gstobject.scm 100 */
{ /* Llib/gstobject.scm 101 */
 bool_t BgL_test1450z00_707;
{ /* Llib/gstobject.scm 101 */
 int BgL_arg1113z00_50;
BgL_arg1113z00_50 = 
bgl_debug(); 
BgL_test1450z00_707 = 
(
(long)(BgL_arg1113z00_50)>((long)4)); } 
if(BgL_test1450z00_707)
{ /* Llib/gstobject.scm 101 */
{ /* Llib/gstobject.scm 102 */
 obj_t BgL_top1452z00_712;
BgL_top1452z00_712 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1452z00_712, BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); BUNSPEC; 
{ /* Llib/gstobject.scm 102 */
 obj_t BgL_tmp1451z00_711;
BGl_za2gstzd2objectzd2debugzd2countza2zd2zz__gstreamer_gstobjectz00 = 
(((long)-1)+BGl_za2gstzd2objectzd2debugzd2countza2zd2zz__gstreamer_gstobjectz00); 
{ /* Llib/gstobject.scm 104 */
 obj_t BgL_arg1099z00_45;
{ /* Llib/gstobject.scm 104 */
 obj_t BgL_tmpz00_717;
BgL_tmpz00_717 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1099z00_45 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_717); } 
bgl_display_string(BGl_string1335z00zz__gstreamer_gstobjectz00, BgL_arg1099z00_45); } 
{ /* Llib/gstobject.scm 105 */
 obj_t BgL_arg1100z00_46;
{ /* Llib/gstobject.scm 105 */
 obj_t BgL_tmpz00_721;
BgL_tmpz00_721 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1100z00_46 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_721); } 
bgl_display_obj(
BINT(BGl_za2gstzd2objectzd2debugzd2countza2zd2zz__gstreamer_gstobjectz00), BgL_arg1100z00_46); } 
{ /* Llib/gstobject.scm 106 */
 obj_t BgL_arg1102z00_47;
{ /* Llib/gstobject.scm 106 */
 obj_t BgL_tmpz00_726;
BgL_tmpz00_726 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1102z00_47 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_726); } 
BgL_tmp1451z00_711 = 
bgl_display_string(BGl_string1334z00zz__gstreamer_gstobjectz00, BgL_arg1102z00_47); } 
BGL_EXITD_POP_PROTECT(BgL_top1452z00_712); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); BgL_tmp1451z00_711; } } 
{ /* Llib/gstobject.scm 107 */
 obj_t BgL_arg1107z00_48; obj_t BgL_arg1112z00_49;
BgL_arg1107z00_48 = 
bgl_find_runtime_type(BgL_oz00_6); 
{ /* Llib/gstobject.scm 107 */
 obj_t BgL_tmpz00_733;
BgL_tmpz00_733 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1112z00_49 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_733); } 
bgl_display_obj(BgL_arg1107z00_48, BgL_arg1112z00_49); } 
fprintf( stderr, " o=%p builtin=%p refcount=%d -> %d",
 BgL_oz00_6, ((BgL_gstzd2objectzd2_bglt)BgL_oz00_6)->BgL_z42builtinz42, ((GObject *)((BgL_gstzd2objectzd2_bglt)BgL_oz00_6)->BgL_z42builtinz42)->ref_count, ((GObject *)((BgL_gstzd2objectzd2_bglt)BgL_oz00_6)->BgL_z42builtinz42)->ref_count  -1 ), puts( "" ); 
return BUNSPEC;}  else 
{ /* Llib/gstobject.scm 101 */
return BFALSE;} } } 

}



/* &%gst-object-finalize-debug */
obj_t BGl_z62z52gstzd2objectzd2finaliza7ezd2debugz45zz__gstreamer_gstobjectz00(obj_t BgL_envz00_330, obj_t BgL_oz00_331)
{
{ /* Llib/gstobject.scm 100 */
return 
BGl_z52gstzd2objectzd2finaliza7ezd2debugz27zz__gstreamer_gstobjectz00(BgL_oz00_331);} 

}



/* %gst-object-unref! */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2objectzd2unrefz12z40zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_oz00_10)
{
{ /* Llib/gstobject.scm 147 */
{ /* Llib/gstobject.scm 149 */
 GstObject * BgL_arg1115z00_250;
BgL_arg1115z00_250 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_oz00_10))->BgL_z42builtinz42); 
gst_object_unref(BgL_arg1115z00_250); 
return BUNSPEC;} } 

}



/* &%gst-object-unref! */
obj_t BGl_z62z52gstzd2objectzd2unrefz12z22zz__gstreamer_gstobjectz00(obj_t BgL_envz00_332, obj_t BgL_oz00_333)
{
{ /* Llib/gstobject.scm 147 */
{ /* Llib/gstobject.scm 148 */
 BgL_gstzd2objectzd2_bglt BgL_auxz00_741;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_333, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 148 */
BgL_auxz00_741 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_333)
; }  else 
{ 
 obj_t BgL_auxz00_745;
BgL_auxz00_745 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1330z00zz__gstreamer_gstobjectz00, 
BINT(((long)6815)), BGl_string1336z00zz__gstreamer_gstobjectz00, BGl_string1332z00zz__gstreamer_gstobjectz00, BgL_oz00_333); 
FAILURE(BgL_auxz00_745,BFALSE,BFALSE);} 
return 
BGl_z52gstzd2objectzd2unrefz12z40zz__gstreamer_gstobjectz00(BgL_auxz00_741);} } 

}



/* %gst-object-ref! */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2objectzd2refz12z40zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_oz00_11)
{
{ /* Llib/gstobject.scm 154 */
{ /* Llib/gstobject.scm 156 */
 GstObject * BgL_arg1117z00_252;
BgL_arg1117z00_252 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_oz00_11))->BgL_z42builtinz42); 
return 
void_star_to_obj(
gst_object_ref(BgL_arg1117z00_252));} } 

}



/* &%gst-object-ref! */
obj_t BGl_z62z52gstzd2objectzd2refz12z22zz__gstreamer_gstobjectz00(obj_t BgL_envz00_334, obj_t BgL_oz00_335)
{
{ /* Llib/gstobject.scm 154 */
{ /* Llib/gstobject.scm 155 */
 BgL_gstzd2objectzd2_bglt BgL_auxz00_753;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_335, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 155 */
BgL_auxz00_753 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_335)
; }  else 
{ 
 obj_t BgL_auxz00_757;
BgL_auxz00_757 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1330z00zz__gstreamer_gstobjectz00, 
BINT(((long)7146)), BGl_string1337z00zz__gstreamer_gstobjectz00, BGl_string1332z00zz__gstreamer_gstobjectz00, BgL_oz00_335); 
FAILURE(BgL_auxz00_757,BFALSE,BFALSE);} 
return 
BGl_z52gstzd2objectzd2refz12z40zz__gstreamer_gstobjectz00(BgL_auxz00_753);} } 

}



/* %gst-object-finalize-closures! */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2objectzd2finaliza7ezd2closuresz12z35zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_oz00_12)
{
{ /* Llib/gstobject.scm 161 */
{ /* Llib/gstobject.scm 163 */
 obj_t BgL_g1072z00_57;
BgL_g1072z00_57 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_oz00_12))->BgL_z52closuresz52); 
{ 
 obj_t BgL_l1070z00_59;
{ /* Llib/gstobject.scm 163 */
 bool_t BgL_tmpz00_763;
BgL_l1070z00_59 = BgL_g1072z00_57; 
BgL_zc3z04anonymousza31118ze3z87_60:
if(
PAIRP(BgL_l1070z00_59))
{ /* Llib/gstobject.scm 163 */
bgl_closure_gcunmark(
CAR(BgL_l1070z00_59)); 
{ 
 obj_t BgL_l1070z00_768;
BgL_l1070z00_768 = 
CDR(BgL_l1070z00_59); 
BgL_l1070z00_59 = BgL_l1070z00_768; 
goto BgL_zc3z04anonymousza31118ze3z87_60;} }  else 
{ /* Llib/gstobject.scm 163 */
BgL_tmpz00_763 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_763);} } } } 

}



/* &%gst-object-finalize-closures! */
obj_t BGl_z62z52gstzd2objectzd2finaliza7ezd2closuresz12z57zz__gstreamer_gstobjectz00(obj_t BgL_envz00_336, obj_t BgL_oz00_337)
{
{ /* Llib/gstobject.scm 161 */
{ /* Llib/gstobject.scm 162 */
 BgL_gstzd2objectzd2_bglt BgL_auxz00_771;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_337, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 162 */
BgL_auxz00_771 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_337)
; }  else 
{ 
 obj_t BgL_auxz00_775;
BgL_auxz00_775 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1330z00zz__gstreamer_gstobjectz00, 
BINT(((long)7489)), BGl_string1338z00zz__gstreamer_gstobjectz00, BGl_string1332z00zz__gstreamer_gstobjectz00, BgL_oz00_337); 
FAILURE(BgL_auxz00_775,BFALSE,BFALSE);} 
return 
BGl_z52gstzd2objectzd2finaliza7ezd2closuresz12z35zz__gstreamer_gstobjectz00(BgL_auxz00_771);} } 

}



/* %gst-object-finalize! */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2objectzd2finaliza7ez12ze7zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_oz00_13)
{
{ /* Llib/gstobject.scm 168 */
{ /* Llib/gstobject.scm 169 */
 bool_t BgL_test1459z00_780;
{ /* Llib/gstobject.scm 169 */
 int BgL_arg1127z00_68;
BgL_arg1127z00_68 = 
bgl_debug(); 
BgL_test1459z00_780 = 
(
(long)(BgL_arg1127z00_68)>((long)4)); } 
if(BgL_test1459z00_780)
{ /* Llib/gstobject.scm 169 */
BGl_z52gstzd2objectzd2finaliza7ezd2debugz27zz__gstreamer_gstobjectz00(
((obj_t)BgL_oz00_13)); }  else 
{ /* Llib/gstobject.scm 169 */BFALSE; } } 
BGl_z52gstzd2objectzd2finaliza7ezd2closuresz12z35zz__gstreamer_gstobjectz00(BgL_oz00_13); 
{ /* Llib/gstobject.scm 149 */
 GstObject * BgL_arg1115z00_257;
BgL_arg1115z00_257 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_oz00_13))->BgL_z42builtinz42); 
gst_object_unref(BgL_arg1115z00_257); 
return BUNSPEC;} } 

}



/* &%gst-object-finalize! */
obj_t BGl_z62z52gstzd2objectzd2finaliza7ez12z85zz__gstreamer_gstobjectz00(obj_t BgL_envz00_338, obj_t BgL_oz00_339)
{
{ /* Llib/gstobject.scm 168 */
{ /* Llib/gstobject.scm 169 */
 BgL_gstzd2objectzd2_bglt BgL_auxz00_789;
{ /* Llib/gstobject.scm 169 */
 bool_t BgL_test1460z00_790;
{ /* Llib/gstobject.scm 169 */
 obj_t BgL_classz00_481;
BgL_classz00_481 = BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00; 
if(
BGL_OBJECTP(BgL_oz00_339))
{ /* Llib/gstobject.scm 169 */
 BgL_objectz00_bglt BgL_arg1799z00_483; long BgL_arg1800z00_484;
BgL_arg1799z00_483 = 
(BgL_objectz00_bglt)(BgL_oz00_339); 
BgL_arg1800z00_484 = 
BGL_CLASS_DEPTH(BgL_classz00_481); 
{ /* Llib/gstobject.scm 169 */
 bool_t BgL_arg1794z00_488; bool_t BgL_arg1795z00_489;
{ /* Llib/gstobject.scm 169 */
 long BgL_idxz00_493;
BgL_idxz00_493 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_483); 
{ /* Llib/gstobject.scm 169 */
 obj_t BgL_arg1791z00_494;
{ /* Llib/gstobject.scm 169 */
 long BgL_arg1792z00_495;
BgL_arg1792z00_495 = 
(BgL_idxz00_493+BgL_arg1800z00_484); 
BgL_arg1791z00_494 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_495); } 
BgL_arg1794z00_488 = 
(BgL_arg1791z00_494==BgL_classz00_481); } } 
{ /* Llib/gstobject.scm 169 */
 bool_t BgL_res1378z00_518;
{ /* Llib/gstobject.scm 169 */
 obj_t BgL_oclassz00_503;
{ /* Llib/gstobject.scm 169 */
 long BgL_arg1804z00_509;
{ /* Llib/gstobject.scm 169 */
 long BgL_arg1805z00_510;
BgL_arg1805z00_510 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_483); 
BgL_arg1804z00_509 = 
(BgL_arg1805z00_510-OBJECT_TYPE); } 
BgL_oclassz00_503 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_509); } 
{ /* Llib/gstobject.scm 169 */
 bool_t BgL__ortest_1111z00_504;
BgL__ortest_1111z00_504 = 
(BgL_classz00_481==BgL_oclassz00_503); 
if(BgL__ortest_1111z00_504)
{ /* Llib/gstobject.scm 169 */
BgL_res1378z00_518 = BgL__ortest_1111z00_504; }  else 
{ /* Llib/gstobject.scm 169 */
 long BgL_odepthz00_505;
BgL_odepthz00_505 = 
BGL_CLASS_DEPTH(BgL_oclassz00_503); 
if(
(BgL_arg1800z00_484<BgL_odepthz00_505))
{ /* Llib/gstobject.scm 169 */
 obj_t BgL_arg1793z00_507;
BgL_arg1793z00_507 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_503, BgL_arg1800z00_484); 
BgL_res1378z00_518 = 
(BgL_arg1793z00_507==BgL_classz00_481); }  else 
{ /* Llib/gstobject.scm 169 */
BgL_res1378z00_518 = ((bool_t)0); } } } } 
BgL_arg1795z00_489 = BgL_res1378z00_518; } 
BgL_test1460z00_790 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_488, BgL_arg1795z00_489); } }  else 
{ /* Llib/gstobject.scm 169 */
BgL_test1460z00_790 = ((bool_t)0)
; } } 
if(BgL_test1460z00_790)
{ /* Llib/gstobject.scm 169 */
BgL_auxz00_789 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_339)
; }  else 
{ 
 obj_t BgL_auxz00_811;
BgL_auxz00_811 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1330z00zz__gstreamer_gstobjectz00, 
BINT(((long)7908)), BGl_string1339z00zz__gstreamer_gstobjectz00, BGl_string1332z00zz__gstreamer_gstobjectz00, BgL_oz00_339); 
FAILURE(BgL_auxz00_811,BFALSE,BFALSE);} } 
return 
BGl_z52gstzd2objectzd2finaliza7ez12ze7zz__gstreamer_gstobjectz00(BgL_auxz00_789);} } 

}



/* gst-object-property-list */
BGL_EXPORTED_DEF obj_t BGl_gstzd2objectzd2propertyzd2listzd2zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_oz00_14)
{
{ /* Llib/gstobject.scm 176 */
{ /* Llib/gstobject.scm 178 */
 GstObject * BgL_tmpz00_816;
BgL_tmpz00_816 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_oz00_14))->BgL_z42builtinz42); 
return 
bgl_gst_object_property_list(BgL_tmpz00_816);} } 

}



/* &gst-object-property-list */
obj_t BGl_z62gstzd2objectzd2propertyzd2listzb0zz__gstreamer_gstobjectz00(obj_t BgL_envz00_340, obj_t BgL_oz00_341)
{
{ /* Llib/gstobject.scm 176 */
{ /* Llib/gstobject.scm 177 */
 BgL_gstzd2objectzd2_bglt BgL_auxz00_819;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_341, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 177 */
BgL_auxz00_819 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_341)
; }  else 
{ 
 obj_t BgL_auxz00_823;
BgL_auxz00_823 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1330z00zz__gstreamer_gstobjectz00, 
BINT(((long)8250)), BGl_string1340z00zz__gstreamer_gstobjectz00, BGl_string1332z00zz__gstreamer_gstobjectz00, BgL_oz00_341); 
FAILURE(BgL_auxz00_823,BFALSE,BFALSE);} 
return 
BGl_gstzd2objectzd2propertyzd2listzd2zz__gstreamer_gstobjectz00(BgL_auxz00_819);} } 

}



/* gst-object-property */
BGL_EXPORTED_DEF obj_t BGl_gstzd2objectzd2propertyz00zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_oz00_15, obj_t BgL_propz00_16)
{
{ /* Llib/gstobject.scm 183 */
{ /* Llib/gstobject.scm 185 */
 GstObject * BgL_arg1130z00_261; obj_t BgL_arg1131z00_262;
BgL_arg1130z00_261 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_oz00_15))->BgL_z42builtinz42); 
BgL_arg1131z00_262 = 
KEYWORD_TO_STRING(BgL_propz00_16); 
{ /* Llib/gstobject.scm 185 */
 char * BgL_tmpz00_830;
BgL_tmpz00_830 = 
BSTRING_TO_STRING(BgL_arg1131z00_262); 
return 
bgl_gst_object_get_property(BgL_arg1130z00_261, BgL_tmpz00_830);} } } 

}



/* &gst-object-property */
obj_t BGl_z62gstzd2objectzd2propertyz62zz__gstreamer_gstobjectz00(obj_t BgL_envz00_342, obj_t BgL_oz00_343, obj_t BgL_propz00_344)
{
{ /* Llib/gstobject.scm 183 */
{ /* Llib/gstobject.scm 184 */
 obj_t BgL_auxz00_841; BgL_gstzd2objectzd2_bglt BgL_auxz00_833;
if(
KEYWORDP(BgL_propz00_344))
{ /* Llib/gstobject.scm 184 */
BgL_auxz00_841 = BgL_propz00_344
; }  else 
{ 
 obj_t BgL_auxz00_844;
BgL_auxz00_844 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1330z00zz__gstreamer_gstobjectz00, 
BINT(((long)8605)), BGl_string1341z00zz__gstreamer_gstobjectz00, BGl_string1342z00zz__gstreamer_gstobjectz00, BgL_propz00_344); 
FAILURE(BgL_auxz00_844,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_343, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 184 */
BgL_auxz00_833 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_343)
; }  else 
{ 
 obj_t BgL_auxz00_837;
BgL_auxz00_837 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1330z00zz__gstreamer_gstobjectz00, 
BINT(((long)8605)), BGl_string1341z00zz__gstreamer_gstobjectz00, BGl_string1332z00zz__gstreamer_gstobjectz00, BgL_oz00_343); 
FAILURE(BgL_auxz00_837,BFALSE,BFALSE);} 
return 
BGl_gstzd2objectzd2propertyz00zz__gstreamer_gstobjectz00(BgL_auxz00_833, BgL_auxz00_841);} } 

}



/* gst-object-property-set! */
BGL_EXPORTED_DEF obj_t BGl_gstzd2objectzd2propertyzd2setz12zc0zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_oz00_17, obj_t BgL_propz00_18, obj_t BgL_valz00_19)
{
{ /* Llib/gstobject.scm 190 */
{ /* Llib/gstobject.scm 192 */
 GstObject * BgL_arg1138z00_265; obj_t BgL_arg1139z00_266;
BgL_arg1138z00_265 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_oz00_17))->BgL_z42builtinz42); 
BgL_arg1139z00_266 = 
KEYWORD_TO_STRING(BgL_propz00_18); 
{ /* Llib/gstobject.scm 192 */
 char * BgL_tmpz00_851;
BgL_tmpz00_851 = 
BSTRING_TO_STRING(BgL_arg1139z00_266); 
return 
bgl_gst_object_set_property(BgL_arg1138z00_265, BgL_tmpz00_851, BgL_valz00_19);} } } 

}



/* &gst-object-property-set! */
obj_t BGl_z62gstzd2objectzd2propertyzd2setz12za2zz__gstreamer_gstobjectz00(obj_t BgL_envz00_345, obj_t BgL_oz00_346, obj_t BgL_propz00_347, obj_t BgL_valz00_348)
{
{ /* Llib/gstobject.scm 190 */
{ /* Llib/gstobject.scm 191 */
 obj_t BgL_auxz00_862; BgL_gstzd2objectzd2_bglt BgL_auxz00_854;
if(
KEYWORDP(BgL_propz00_347))
{ /* Llib/gstobject.scm 191 */
BgL_auxz00_862 = BgL_propz00_347
; }  else 
{ 
 obj_t BgL_auxz00_865;
BgL_auxz00_865 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1330z00zz__gstreamer_gstobjectz00, 
BINT(((long)8992)), BGl_string1343z00zz__gstreamer_gstobjectz00, BGl_string1342z00zz__gstreamer_gstobjectz00, BgL_propz00_347); 
FAILURE(BgL_auxz00_865,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_346, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 191 */
BgL_auxz00_854 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_346)
; }  else 
{ 
 obj_t BgL_auxz00_858;
BgL_auxz00_858 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1330z00zz__gstreamer_gstobjectz00, 
BINT(((long)8992)), BGl_string1343z00zz__gstreamer_gstobjectz00, BGl_string1332z00zz__gstreamer_gstobjectz00, BgL_oz00_346); 
FAILURE(BgL_auxz00_858,BFALSE,BFALSE);} 
return 
BGl_gstzd2objectzd2propertyzd2setz12zc0zz__gstreamer_gstobjectz00(BgL_auxz00_854, BgL_auxz00_862, BgL_valz00_348);} } 

}



/* gst-object-connect! */
BGL_EXPORTED_DEF obj_t BGl_gstzd2objectzd2connectz12z12zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_elz00_20, obj_t BgL_namez00_21, obj_t BgL_procz00_22)
{
{ /* Llib/gstobject.scm 197 */
{ 
 obj_t BgL_auxz00_870;
{ /* Llib/gstobject.scm 199 */
 obj_t BgL_arg1140z00_269;
BgL_arg1140z00_269 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_elz00_20))->BgL_z52closuresz52); 
BgL_auxz00_870 = 
MAKE_YOUNG_PAIR(BgL_procz00_22, BgL_arg1140z00_269); } 
((((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_elz00_20))->BgL_z52closuresz52)=((obj_t)BgL_auxz00_870),BUNSPEC); } 
bgl_closure_gcmark(BgL_procz00_22); 
{ /* Llib/gstobject.scm 201 */
 char * BgL_auxz00_877; GstObject * BgL_tmpz00_875;
BgL_auxz00_877 = 
BSTRING_TO_STRING(BgL_namez00_21); 
BgL_tmpz00_875 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(BgL_elz00_20))->BgL_z42builtinz42); 
return 
bgl_gst_object_connect(BgL_tmpz00_875, BgL_auxz00_877, BgL_procz00_22);} } 

}



/* &gst-object-connect! */
obj_t BGl_z62gstzd2objectzd2connectz12z70zz__gstreamer_gstobjectz00(obj_t BgL_envz00_349, obj_t BgL_elz00_350, obj_t BgL_namez00_351, obj_t BgL_procz00_352)
{
{ /* Llib/gstobject.scm 197 */
{ /* Llib/gstobject.scm 198 */
 obj_t BgL_auxz00_895; obj_t BgL_auxz00_888; BgL_gstzd2objectzd2_bglt BgL_auxz00_880;
if(
PROCEDUREP(BgL_procz00_352))
{ /* Llib/gstobject.scm 198 */
BgL_auxz00_895 = BgL_procz00_352
; }  else 
{ 
 obj_t BgL_auxz00_898;
BgL_auxz00_898 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1330z00zz__gstreamer_gstobjectz00, 
BINT(((long)9372)), BGl_string1344z00zz__gstreamer_gstobjectz00, BGl_string1346z00zz__gstreamer_gstobjectz00, BgL_procz00_352); 
FAILURE(BgL_auxz00_898,BFALSE,BFALSE);} 
if(
STRINGP(BgL_namez00_351))
{ /* Llib/gstobject.scm 198 */
BgL_auxz00_888 = BgL_namez00_351
; }  else 
{ 
 obj_t BgL_auxz00_891;
BgL_auxz00_891 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1330z00zz__gstreamer_gstobjectz00, 
BINT(((long)9372)), BGl_string1344z00zz__gstreamer_gstobjectz00, BGl_string1345z00zz__gstreamer_gstobjectz00, BgL_namez00_351); 
FAILURE(BgL_auxz00_891,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_elz00_350, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00))
{ /* Llib/gstobject.scm 198 */
BgL_auxz00_880 = 
((BgL_gstzd2objectzd2_bglt)BgL_elz00_350)
; }  else 
{ 
 obj_t BgL_auxz00_884;
BgL_auxz00_884 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1330z00zz__gstreamer_gstobjectz00, 
BINT(((long)9372)), BGl_string1344z00zz__gstreamer_gstobjectz00, BGl_string1332z00zz__gstreamer_gstobjectz00, BgL_elz00_350); 
FAILURE(BgL_auxz00_884,BFALSE,BFALSE);} 
return 
BGl_gstzd2objectzd2connectz12z12zz__gstreamer_gstobjectz00(BgL_auxz00_880, BgL_auxz00_888, BgL_auxz00_895);} } 

}



/* closure-gcmark! */
BGL_EXPORTED_DEF obj_t bgl_closure_gcmark(obj_t BgL_procz00_23)
{
{ /* Llib/gstobject.scm 216 */
{ /* Llib/gstobject.scm 217 */
 obj_t BgL_top1473z00_904;
BgL_top1473z00_904 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1473z00_904, BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00); BUNSPEC; 
{ /* Llib/gstobject.scm 217 */
 obj_t BgL_tmp1472z00_903;
BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00 = 
MAKE_YOUNG_PAIR(BgL_procz00_23, BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00); 
{ /* Llib/gstobject.scm 219 */
 bool_t BgL_test1474z00_909;
{ /* Llib/gstobject.scm 219 */
 int BgL_arg1162z00_92;
BgL_arg1162z00_92 = 
bgl_debug(); 
BgL_test1474z00_909 = 
(
(long)(BgL_arg1162z00_92)>((long)4)); } 
if(BgL_test1474z00_909)
{ /* Llib/gstobject.scm 220 */
 obj_t BgL_top1476z00_914;
BgL_top1476z00_914 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1476z00_914, BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); BUNSPEC; 
{ /* Llib/gstobject.scm 220 */
 obj_t BgL_tmp1475z00_913;
{ /* Llib/gstobject.scm 221 */
 obj_t BgL_arg1147z00_84; long BgL_arg1148z00_85;
{ /* Llib/gstobject.scm 221 */
 obj_t BgL_tmpz00_918;
BgL_tmpz00_918 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1147z00_84 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_918); } 
BgL_arg1148z00_85 = 
bgl_list_length(BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00); 
{ /* Llib/gstobject.scm 221 */
 obj_t BgL_list1149z00_86;
{ /* Llib/gstobject.scm 221 */
 obj_t BgL_arg1150z00_87;
{ /* Llib/gstobject.scm 221 */
 obj_t BgL_arg1153z00_88;
{ /* Llib/gstobject.scm 221 */
 obj_t BgL_arg1154z00_89;
{ /* Llib/gstobject.scm 221 */
 obj_t BgL_arg1158z00_90;
{ /* Llib/gstobject.scm 221 */
 obj_t BgL_arg1159z00_91;
BgL_arg1159z00_91 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1148z00_85), BNIL); 
BgL_arg1158z00_90 = 
MAKE_YOUNG_PAIR(BGl_string1347z00zz__gstreamer_gstobjectz00, BgL_arg1159z00_91); } 
BgL_arg1154z00_89 = 
MAKE_YOUNG_PAIR(BGl_string1348z00zz__gstreamer_gstobjectz00, BgL_arg1158z00_90); } 
BgL_arg1153z00_88 = 
MAKE_YOUNG_PAIR(
BINT(((long)221)), BgL_arg1154z00_89); } 
BgL_arg1150z00_87 = 
MAKE_YOUNG_PAIR(BGl_string1349z00zz__gstreamer_gstobjectz00, BgL_arg1153z00_88); } 
BgL_list1149z00_86 = 
MAKE_YOUNG_PAIR(BGl_string1329z00zz__gstreamer_gstobjectz00, BgL_arg1150z00_87); } 
BgL_tmp1475z00_913 = 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1147z00_84, BgL_list1149z00_86); } } 
BGL_EXITD_POP_PROTECT(BgL_top1476z00_914); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
BgL_tmp1472z00_903 = BgL_tmp1475z00_913; } }  else 
{ /* Llib/gstobject.scm 219 */
BgL_tmp1472z00_903 = BFALSE; } } 
BGL_EXITD_POP_PROTECT(BgL_top1473z00_904); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
return BgL_tmp1472z00_903;} } } 

}



/* &closure-gcmark! */
obj_t BGl_z62closurezd2gcmarkz12za2zz__gstreamer_gstobjectz00(obj_t BgL_envz00_353, obj_t BgL_procz00_354)
{
{ /* Llib/gstobject.scm 216 */
{ /* Llib/gstobject.scm 217 */
 obj_t BgL_auxz00_935;
if(
PROCEDUREP(BgL_procz00_354))
{ /* Llib/gstobject.scm 217 */
BgL_auxz00_935 = BgL_procz00_354
; }  else 
{ 
 obj_t BgL_auxz00_938;
BgL_auxz00_938 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1330z00zz__gstreamer_gstobjectz00, 
BINT(((long)10315)), BGl_string1350z00zz__gstreamer_gstobjectz00, BGl_string1346z00zz__gstreamer_gstobjectz00, BgL_procz00_354); 
FAILURE(BgL_auxz00_938,BFALSE,BFALSE);} 
return 
bgl_closure_gcmark(BgL_auxz00_935);} } 

}



/* closure-gcunmark! */
BGL_EXPORTED_DEF obj_t bgl_closure_gcunmark(obj_t BgL_procz00_24)
{
{ /* Llib/gstobject.scm 226 */
{ /* Llib/gstobject.scm 227 */
 obj_t BgL_top1479z00_944;
BgL_top1479z00_944 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1479z00_944, BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00); BUNSPEC; 
{ /* Llib/gstobject.scm 227 */
 obj_t BgL_tmp1478z00_943;
BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00 = 
bgl_remq_bang(BgL_procz00_24, BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00); 
{ /* Llib/gstobject.scm 229 */
 bool_t BgL_test1480z00_949;
{ /* Llib/gstobject.scm 229 */
 int BgL_arg1185z00_105;
BgL_arg1185z00_105 = 
bgl_debug(); 
BgL_test1480z00_949 = 
(
(long)(BgL_arg1185z00_105)>((long)4)); } 
if(BgL_test1480z00_949)
{ /* Llib/gstobject.scm 230 */
 obj_t BgL_top1482z00_954;
BgL_top1482z00_954 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1482z00_954, BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); BUNSPEC; 
{ /* Llib/gstobject.scm 230 */
 obj_t BgL_tmp1481z00_953;
{ /* Llib/gstobject.scm 231 */
 obj_t BgL_arg1175z00_97; long BgL_arg1177z00_98;
{ /* Llib/gstobject.scm 231 */
 obj_t BgL_tmpz00_958;
BgL_tmpz00_958 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1175z00_97 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_958); } 
BgL_arg1177z00_98 = 
bgl_list_length(BGl_za2gcmarkzd2closureza2zd2zz__gstreamer_gstobjectz00); 
{ /* Llib/gstobject.scm 231 */
 obj_t BgL_list1178z00_99;
{ /* Llib/gstobject.scm 231 */
 obj_t BgL_arg1179z00_100;
{ /* Llib/gstobject.scm 231 */
 obj_t BgL_arg1180z00_101;
{ /* Llib/gstobject.scm 231 */
 obj_t BgL_arg1181z00_102;
{ /* Llib/gstobject.scm 231 */
 obj_t BgL_arg1182z00_103;
{ /* Llib/gstobject.scm 231 */
 obj_t BgL_arg1184z00_104;
BgL_arg1184z00_104 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1177z00_98), BNIL); 
BgL_arg1182z00_103 = 
MAKE_YOUNG_PAIR(BGl_string1351z00zz__gstreamer_gstobjectz00, BgL_arg1184z00_104); } 
BgL_arg1181z00_102 = 
MAKE_YOUNG_PAIR(BGl_string1348z00zz__gstreamer_gstobjectz00, BgL_arg1182z00_103); } 
BgL_arg1180z00_101 = 
MAKE_YOUNG_PAIR(
BINT(((long)231)), BgL_arg1181z00_102); } 
BgL_arg1179z00_100 = 
MAKE_YOUNG_PAIR(BGl_string1349z00zz__gstreamer_gstobjectz00, BgL_arg1180z00_101); } 
BgL_list1178z00_99 = 
MAKE_YOUNG_PAIR(BGl_string1329z00zz__gstreamer_gstobjectz00, BgL_arg1179z00_100); } 
BgL_tmp1481z00_953 = 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1175z00_97, BgL_list1178z00_99); } } 
BGL_EXITD_POP_PROTECT(BgL_top1482z00_954); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2gstzd2objectzd2debugzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
BgL_tmp1478z00_943 = BgL_tmp1481z00_953; } }  else 
{ /* Llib/gstobject.scm 229 */
BgL_tmp1478z00_943 = BFALSE; } } 
BGL_EXITD_POP_PROTECT(BgL_top1479z00_944); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2gcmarkzd2mutexza2zd2zz__gstreamer_gstobjectz00); 
return BgL_tmp1478z00_943;} } } 

}



/* &closure-gcunmark! */
obj_t BGl_z62closurezd2gcunmarkz12za2zz__gstreamer_gstobjectz00(obj_t BgL_envz00_355, obj_t BgL_procz00_356)
{
{ /* Llib/gstobject.scm 226 */
{ /* Llib/gstobject.scm 227 */
 obj_t BgL_auxz00_975;
if(
PROCEDUREP(BgL_procz00_356))
{ /* Llib/gstobject.scm 227 */
BgL_auxz00_975 = BgL_procz00_356
; }  else 
{ 
 obj_t BgL_auxz00_978;
BgL_auxz00_978 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1330z00zz__gstreamer_gstobjectz00, 
BINT(((long)10813)), BGl_string1352z00zz__gstreamer_gstobjectz00, BGl_string1346z00zz__gstreamer_gstobjectz00, BgL_procz00_356); 
FAILURE(BgL_auxz00_978,BFALSE,BFALSE);} 
return 
bgl_closure_gcunmark(BgL_auxz00_975);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 15 */
{ /* Llib/gstobject.scm 23 */
 obj_t BgL_arg1190z00_109; obj_t BgL_arg1197z00_110;
{ /* Llib/gstobject.scm 23 */
 obj_t BgL_v1073z00_116;
BgL_v1073z00_116 = 
create_vector(((long)3)); 
{ /* Llib/gstobject.scm 23 */
 obj_t BgL_arg1202z00_117;
BgL_arg1202z00_117 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)1)), BGl_proc1355z00zz__gstreamer_gstobjectz00, BGl_proc1354z00zz__gstreamer_gstobjectz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1353z00zz__gstreamer_gstobjectz00, 
CNST_TABLE_REF(((long)2))); 
VECTOR_SET(BgL_v1073z00_116,((long)0),BgL_arg1202z00_117); } 
{ /* Llib/gstobject.scm 23 */
 obj_t BgL_arg1211z00_130;
BgL_arg1211z00_130 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc1358z00zz__gstreamer_gstobjectz00, BGl_proc1357z00zz__gstreamer_gstobjectz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1356z00zz__gstreamer_gstobjectz00, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1073z00_116,((long)1),BgL_arg1211z00_130); } 
{ /* Llib/gstobject.scm 23 */
 obj_t BgL_arg1219z00_143;
BgL_arg1219z00_143 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc1361z00zz__gstreamer_gstobjectz00, BGl_proc1360z00zz__gstreamer_gstobjectz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1359z00zz__gstreamer_gstobjectz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1073z00_116,((long)2),BgL_arg1219z00_143); } 
BgL_arg1190z00_109 = BgL_v1073z00_116; } 
{ /* Llib/gstobject.scm 23 */
 obj_t BgL_v1074z00_156;
BgL_v1074z00_156 = 
create_vector(((long)0)); 
BgL_arg1197z00_110 = BgL_v1074z00_156; } 
return ( 
BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)7)), 
CNST_TABLE_REF(((long)8)), BGl_objectz00zz__objectz00, ((long)29379), BFALSE, BGl_proc1363z00zz__gstreamer_gstobjectz00, BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00, BGl_proc1362z00zz__gstreamer_gstobjectz00, BFALSE, BgL_arg1190z00_109, BgL_arg1197z00_110), BUNSPEC) ;} } 

}



/* &<@anonymous:1201> */
obj_t BGl_z62zc3z04anonymousza31201ze3ze5zz__gstreamer_gstobjectz00(obj_t BgL_envz00_368, obj_t BgL_new1056z00_369)
{
{ /* Llib/gstobject.scm 23 */
{ 
 BgL_gstzd2objectzd2_bglt BgL_auxz00_1000;
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1056z00_369)))->BgL_z42builtinz42)=((GstObject *)
0L),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1056z00_369)))->BgL_z42finaliza7erze5)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_new1056z00_369)))->BgL_z52closuresz52)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_1000 = 
((BgL_gstzd2objectzd2_bglt)BgL_new1056z00_369); 
return 
((obj_t)BgL_auxz00_1000);} } 

}



/* &lambda1198 */
BgL_gstzd2objectzd2_bglt BGl_z62lambda1198z62zz__gstreamer_gstobjectz00(obj_t BgL_envz00_370)
{
{ /* Llib/gstobject.scm 23 */
{ /* Llib/gstobject.scm 23 */
 BgL_gstzd2objectzd2_bglt BgL_new1055z00_522;
BgL_new1055z00_522 = 
((BgL_gstzd2objectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2objectzd2_bgl) ))); 
{ /* Llib/gstobject.scm 23 */
 long BgL_arg1200z00_523;
BgL_arg1200z00_523 = 
BGL_CLASS_NUM(BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_522), BgL_arg1200z00_523); } 
return BgL_new1055z00_522;} } 

}



/* &<@anonymous:1228> */
obj_t BGl_z62zc3z04anonymousza31228ze3ze5zz__gstreamer_gstobjectz00(obj_t BgL_envz00_371)
{
{ /* Llib/gstobject.scm 23 */
return BNIL;} 

}



/* &lambda1227 */
obj_t BGl_z62lambda1227z62zz__gstreamer_gstobjectz00(obj_t BgL_envz00_372, obj_t BgL_oz00_373, obj_t BgL_vz00_374)
{
{ /* Llib/gstobject.scm 23 */
return 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_373)))->BgL_z52closuresz52)=((obj_t)
((obj_t)BgL_vz00_374)),BUNSPEC);} 

}



/* &lambda1226 */
obj_t BGl_z62lambda1226z62zz__gstreamer_gstobjectz00(obj_t BgL_envz00_375, obj_t BgL_oz00_376)
{
{ /* Llib/gstobject.scm 23 */
return 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_376)))->BgL_z52closuresz52);} 

}



/* &<@anonymous:1218> */
obj_t BGl_z62zc3z04anonymousza31218ze3ze5zz__gstreamer_gstobjectz00(obj_t BgL_envz00_377)
{
{ /* Llib/gstobject.scm 23 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1217 */
obj_t BGl_z62lambda1217z62zz__gstreamer_gstobjectz00(obj_t BgL_envz00_378, obj_t BgL_oz00_379, obj_t BgL_vz00_380)
{
{ /* Llib/gstobject.scm 23 */
return 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_379)))->BgL_z42finaliza7erze5)=((obj_t)BgL_vz00_380),BUNSPEC);} 

}



/* &lambda1216 */
obj_t BGl_z62lambda1216z62zz__gstreamer_gstobjectz00(obj_t BgL_envz00_381, obj_t BgL_oz00_382)
{
{ /* Llib/gstobject.scm 23 */
return 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_382)))->BgL_z42finaliza7erze5);} 

}



/* &<@anonymous:1210> */
obj_t BGl_z62zc3z04anonymousza31210ze3ze5zz__gstreamer_gstobjectz00(obj_t BgL_envz00_383)
{
{ /* Llib/gstobject.scm 23 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1209 */
obj_t BGl_z62lambda1209z62zz__gstreamer_gstobjectz00(obj_t BgL_envz00_384, obj_t BgL_oz00_385, obj_t BgL_vz00_386)
{
{ /* Llib/gstobject.scm 23 */
{ /* Llib/gstobject.scm 23 */
 GstObject * BgL_vz00_530;
BgL_vz00_530 = 
FOREIGN_TO_COBJ(BgL_vz00_386); 
return 
((((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_385)))->BgL_z42builtinz42)=((GstObject *)BgL_vz00_530),BUNSPEC);} } 

}



/* &lambda1208 */
obj_t BGl_z62lambda1208z62zz__gstreamer_gstobjectz00(obj_t BgL_envz00_387, obj_t BgL_oz00_388)
{
{ /* Llib/gstobject.scm 23 */
return 
void_star_to_obj(
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_388)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00, BGl_proc1364z00zz__gstreamer_gstobjectz00, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00, BGl_string1365z00zz__gstreamer_gstobjectz00);} 

}



/* &%gst-object-init1075 */
obj_t BGl_z62z52gstzd2objectzd2init1075z30zz__gstreamer_gstobjectz00(obj_t BgL_envz00_392, obj_t BgL_oz00_393)
{
{ /* Llib/gstobject.scm 115 */
{ 
 BgL_gstzd2objectzd2_bglt BgL_auxz00_1033;
{ /* Llib/gstobject.scm 117 */
 bool_t BgL_test1484z00_1034;
{ /* Llib/gstobject.scm 117 */
 GstObject * BgL_tmpz00_1035;
BgL_tmpz00_1035 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_393)))->BgL_z42builtinz42); 
BgL_test1484z00_1034 = 
(bool_t)!(BgL_tmpz00_1035); } 
if(BgL_test1484z00_1034)
{ /* Llib/gstobject.scm 118 */
 BgL_z62gstzd2createzd2errorz62_bglt BgL_arg1234z00_534;
{ /* Llib/gstobject.scm 118 */
 BgL_z62gstzd2createzd2errorz62_bglt BgL_new1061z00_535;
{ /* Llib/gstobject.scm 118 */
 BgL_z62gstzd2createzd2errorz62_bglt BgL_new1059z00_536;
BgL_new1059z00_536 = 
((BgL_z62gstzd2createzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62gstzd2createzd2errorz62_bgl) ))); 
{ /* Llib/gstobject.scm 118 */
 long BgL_arg1239z00_537;
BgL_arg1239z00_537 = 
BGL_CLASS_NUM(BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_536), BgL_arg1239z00_537); } 
BgL_new1061z00_535 = BgL_new1059z00_536; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_535)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_535)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1047;
{ /* Llib/gstobject.scm 118 */
 obj_t BgL_arg1235z00_538;
{ /* Llib/gstobject.scm 118 */
 obj_t BgL_arg1238z00_539;
{ /* Llib/gstobject.scm 118 */
 obj_t BgL_classz00_540;
BgL_classz00_540 = BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00; 
BgL_arg1238z00_539 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_540); } 
BgL_arg1235z00_538 = 
VECTOR_REF(BgL_arg1238z00_539,((long)2)); } 
BgL_auxz00_1047 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1235z00_538); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1061z00_535)))->BgL_stackz00)=((obj_t)BgL_auxz00_1047),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_535)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)9))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_535)))->BgL_msgz00)=((obj_t)BGl_string1366z00zz__gstreamer_gstobjectz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1061z00_535)))->BgL_objz00)=((obj_t)
((obj_t)
((BgL_gstzd2objectzd2_bglt)BgL_oz00_393))),BUNSPEC); 
BgL_arg1234z00_534 = BgL_new1061z00_535; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1234z00_534)); }  else 
{ /* Llib/gstobject.scm 117 */BFALSE; } } 
{ /* Llib/gstobject.scm 122 */
 bool_t BgL_test1485z00_1064;
{ /* Llib/gstobject.scm 122 */
 int BgL_arg1262z00_541;
BgL_arg1262z00_541 = 
bgl_debug(); 
BgL_test1485z00_1064 = 
(
(long)(BgL_arg1262z00_541)>((long)4)); } 
if(BgL_test1485z00_1064)
{ /* Llib/gstobject.scm 122 */
BGl_z52gstzd2objectzd2initzd2debugz80zz__gstreamer_gstobjectz00(
((obj_t)
((BgL_gstzd2objectzd2_bglt)BgL_oz00_393))); }  else 
{ /* Llib/gstobject.scm 122 */BFALSE; } } 
{ /* Llib/gstobject.scm 124 */
 bool_t BgL_test1486z00_1071;
{ /* Llib/gstobject.scm 124 */
 obj_t BgL_tmpz00_1072;
BgL_tmpz00_1072 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_393)))->BgL_z42finaliza7erze5); 
BgL_test1486z00_1071 = 
PROCEDUREP(BgL_tmpz00_1072); } 
if(BgL_test1486z00_1071)
{ /* Llib/gstobject.scm 126 */
 obj_t BgL_arg1267z00_543;
BgL_arg1267z00_543 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_393)))->BgL_z42finaliza7erze5); 
bgl_gst_add_finalizer(
((obj_t)
((BgL_gstzd2objectzd2_bglt)BgL_oz00_393)), BgL_arg1267z00_543); BUNSPEC; }  else 
{ /* Llib/gstobject.scm 124 */
if(
CBOOL(
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_393)))->BgL_z42finaliza7erze5)))
{ /* Llib/gstobject.scm 127 */
bgl_gst_add_finalizer(
((obj_t)
((BgL_gstzd2objectzd2_bglt)BgL_oz00_393)), BGl_z52gstzd2objectzd2finaliza7ez12zd2envz35zz__gstreamer_gstobjectz00); BUNSPEC; }  else 
{ /* Llib/gstobject.scm 127 */BFALSE; } } } 
BgL_auxz00_1033 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_393); 
return 
((obj_t)BgL_auxz00_1033);} } 

}



/* %gst-object-init */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2objectzd2initz52zz__gstreamer_gstobjectz00(BgL_gstzd2objectzd2_bglt BgL_oz00_7)
{
{ /* Llib/gstobject.scm 115 */
{ /* Llib/gstobject.scm 115 */
 obj_t BgL_method1076z00_183;
{ /* Llib/gstobject.scm 115 */
 obj_t BgL_res1294z00_314;
{ /* Llib/gstobject.scm 115 */
 long BgL_objzd2classzd2numz00_285;
BgL_objzd2classzd2numz00_285 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_7)); 
{ /* Llib/gstobject.scm 115 */
 obj_t BgL_arg1801z00_286;
BgL_arg1801z00_286 = 
PROCEDURE_REF(BGl_z52gstzd2objectzd2initzd2envz80zz__gstreamer_gstobjectz00, 
(int)(((long)1))); 
{ /* Llib/gstobject.scm 115 */
 int BgL_offsetz00_289;
BgL_offsetz00_289 = 
(int)(BgL_objzd2classzd2numz00_285); 
{ /* Llib/gstobject.scm 115 */
 long BgL_offsetz00_290;
BgL_offsetz00_290 = 
(
(long)(BgL_offsetz00_289)-OBJECT_TYPE); 
{ /* Llib/gstobject.scm 115 */
 long BgL_modz00_291;
BgL_modz00_291 = 
(BgL_offsetz00_290 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/gstobject.scm 115 */
 long BgL_restz00_293;
BgL_restz00_293 = 
(BgL_offsetz00_290 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/gstobject.scm 115 */

{ /* Llib/gstobject.scm 115 */
 obj_t BgL_bucketz00_295;
BgL_bucketz00_295 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_286),BgL_modz00_291); 
BgL_res1294z00_314 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_295),BgL_restz00_293); } } } } } } } } 
BgL_method1076z00_183 = BgL_res1294z00_314; } 
return 
PROCEDURE_ENTRY(BgL_method1076z00_183)(BgL_method1076z00_183, 
((obj_t)BgL_oz00_7), BEOA);} } 

}



/* &%gst-object-init */
obj_t BGl_z62z52gstzd2objectzd2initz30zz__gstreamer_gstobjectz00(obj_t BgL_envz00_389, obj_t BgL_oz00_390)
{
{ /* Llib/gstobject.scm 115 */
{ /* Llib/gstobject.scm 115 */
 BgL_gstzd2objectzd2_bglt BgL_auxz00_1120;
{ /* Llib/gstobject.scm 115 */
 bool_t BgL_test1488z00_1121;
{ /* Llib/gstobject.scm 115 */
 obj_t BgL_classz00_544;
BgL_classz00_544 = BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00; 
if(
BGL_OBJECTP(BgL_oz00_390))
{ /* Llib/gstobject.scm 115 */
 BgL_objectz00_bglt BgL_arg1799z00_546; long BgL_arg1800z00_547;
BgL_arg1799z00_546 = 
(BgL_objectz00_bglt)(BgL_oz00_390); 
BgL_arg1800z00_547 = 
BGL_CLASS_DEPTH(BgL_classz00_544); 
{ /* Llib/gstobject.scm 115 */
 bool_t BgL_arg1794z00_551; bool_t BgL_arg1795z00_552;
{ /* Llib/gstobject.scm 115 */
 long BgL_idxz00_556;
BgL_idxz00_556 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_546); 
{ /* Llib/gstobject.scm 115 */
 obj_t BgL_arg1791z00_557;
{ /* Llib/gstobject.scm 115 */
 long BgL_arg1792z00_558;
BgL_arg1792z00_558 = 
(BgL_idxz00_556+BgL_arg1800z00_547); 
BgL_arg1791z00_557 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_558); } 
BgL_arg1794z00_551 = 
(BgL_arg1791z00_557==BgL_classz00_544); } } 
{ /* Llib/gstobject.scm 115 */
 bool_t BgL_res1379z00_581;
{ /* Llib/gstobject.scm 115 */
 obj_t BgL_oclassz00_566;
{ /* Llib/gstobject.scm 115 */
 long BgL_arg1804z00_572;
{ /* Llib/gstobject.scm 115 */
 long BgL_arg1805z00_573;
BgL_arg1805z00_573 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_546); 
BgL_arg1804z00_572 = 
(BgL_arg1805z00_573-OBJECT_TYPE); } 
BgL_oclassz00_566 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_572); } 
{ /* Llib/gstobject.scm 115 */
 bool_t BgL__ortest_1111z00_567;
BgL__ortest_1111z00_567 = 
(BgL_classz00_544==BgL_oclassz00_566); 
if(BgL__ortest_1111z00_567)
{ /* Llib/gstobject.scm 115 */
BgL_res1379z00_581 = BgL__ortest_1111z00_567; }  else 
{ /* Llib/gstobject.scm 115 */
 long BgL_odepthz00_568;
BgL_odepthz00_568 = 
BGL_CLASS_DEPTH(BgL_oclassz00_566); 
if(
(BgL_arg1800z00_547<BgL_odepthz00_568))
{ /* Llib/gstobject.scm 115 */
 obj_t BgL_arg1793z00_570;
BgL_arg1793z00_570 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_566, BgL_arg1800z00_547); 
BgL_res1379z00_581 = 
(BgL_arg1793z00_570==BgL_classz00_544); }  else 
{ /* Llib/gstobject.scm 115 */
BgL_res1379z00_581 = ((bool_t)0); } } } } 
BgL_arg1795z00_552 = BgL_res1379z00_581; } 
BgL_test1488z00_1121 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_551, BgL_arg1795z00_552); } }  else 
{ /* Llib/gstobject.scm 115 */
BgL_test1488z00_1121 = ((bool_t)0)
; } } 
if(BgL_test1488z00_1121)
{ /* Llib/gstobject.scm 115 */
BgL_auxz00_1120 = 
((BgL_gstzd2objectzd2_bglt)BgL_oz00_390)
; }  else 
{ 
 obj_t BgL_auxz00_1142;
BgL_auxz00_1142 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1330z00zz__gstreamer_gstobjectz00, 
BINT(((long)5467)), BGl_string1367z00zz__gstreamer_gstobjectz00, BGl_string1332z00zz__gstreamer_gstobjectz00, BgL_oz00_390); 
FAILURE(BgL_auxz00_1142,BFALSE,BFALSE);} } 
return 
BGl_z52gstzd2objectzd2initz52zz__gstreamer_gstobjectz00(BgL_auxz00_1120);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_gstzd2objectzd2zz__gstreamer_gstobjectz00, BGl_proc1368z00zz__gstreamer_gstobjectz00, BGl_string1369z00zz__gstreamer_gstobjectz00);} 

}



/* &object-display-gst-o1078 */
obj_t BGl_z62objectzd2displayzd2gstzd2o1078zb0zz__gstreamer_gstobjectz00(obj_t BgL_envz00_395, obj_t BgL_oz00_396, obj_t BgL_portz00_397)
{
{ /* Llib/gstobject.scm 135 */
{ /* Llib/gstobject.scm 136 */
 obj_t BgL_pz00_583;
if(
PAIRP(BgL_portz00_397))
{ /* Llib/gstobject.scm 136 */
BgL_pz00_583 = 
CAR(BgL_portz00_397); }  else 
{ /* Llib/gstobject.scm 136 */
 obj_t BgL_tmpz00_1151;
BgL_tmpz00_1151 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_pz00_583 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1151); } 
{ /* Llib/gstobject.scm 137 */
 obj_t BgL_tmpz00_1154;
BgL_tmpz00_1154 = 
((obj_t)BgL_pz00_583); 
bgl_display_string(BGl_string1370z00zz__gstreamer_gstobjectz00, BgL_tmpz00_1154); } 
{ /* Llib/gstobject.scm 138 */
 obj_t BgL_arg1283z00_584;
BgL_arg1283z00_584 = 
bgl_find_runtime_type(
((obj_t)
((BgL_gstzd2objectzd2_bglt)BgL_oz00_396))); 
bgl_display_obj(BgL_arg1283z00_584, BgL_pz00_583); } 
{ /* Llib/gstobject.scm 139 */
 obj_t BgL_tmpz00_1161;
BgL_tmpz00_1161 = 
((obj_t)BgL_pz00_583); 
bgl_display_string(BGl_string1371z00zz__gstreamer_gstobjectz00, BgL_tmpz00_1161); } 
{ /* Llib/gstobject.scm 141 */
 int BgL_arg1285z00_585;
{ /* Llib/gstobject.scm 141 */
 GstObject * BgL_tmpz00_1164;
BgL_tmpz00_1164 = 
(((BgL_gstzd2objectzd2_bglt)COBJECT(
((BgL_gstzd2objectzd2_bglt)BgL_oz00_396)))->BgL_z42builtinz42); 
BgL_arg1285z00_585 = 
GST_OBJECT_REFCOUNT(BgL_tmpz00_1164); } 
bgl_display_obj(
BINT(BgL_arg1285z00_585), BgL_pz00_583); } 
{ /* Llib/gstobject.scm 142 */
 obj_t BgL_tmpz00_1170;
BgL_tmpz00_1170 = 
((obj_t)BgL_pz00_583); 
return 
bgl_display_string(BGl_string1372z00zz__gstreamer_gstobjectz00, BgL_tmpz00_1170);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gstobjectz00()
{
{ /* Llib/gstobject.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__gstreamer_gsterrorz00(((long)402338225), 
BSTRING_TO_STRING(BGl_string1373z00zz__gstreamer_gstobjectz00));} 

}

#ifdef __cplusplus
}
#endif
