/*===========================================================================*/
/*   (Llib/gststructure.scm)                                                 */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -srfi gstreamer -copt -I/usr/include/gstreamer-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread -copt -fPIC -copt -IClib Llib/gststructure.scm -o objs/gststructure.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <gst/gst.h>
#include <bglgst_config.h>
#include <bglgst.h>
#include <bglgst_plugin.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62gstzd2createzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62gstzd2createzd2errorz62_bglt;

typedef struct BgL_gstzd2structurezd2_bgl {
   header_t header;
   obj_t widening;
   GstStructure * BgL_z42builtinz42;
   obj_t BgL_z42finaliza7erze5;
} *BgL_gstzd2structurezd2_bglt;


BGL_EXPORTED_DECL obj_t BGl_gstzd2structurezd2propertyz00zz__gstreamer_gststructurez00(BgL_gstzd2structurezd2_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31120ze3ze5zz__gstreamer_gststructurez00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__gstreamer_gststructurez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31130ze3ze5zz__gstreamer_gststructurez00(obj_t);
static obj_t BGl_z62gstzd2structurezd2propertyzd2listzb0zz__gstreamer_gststructurez00(obj_t, obj_t);
static obj_t BGl_z62z52gstzd2structurezd2initz30zz__gstreamer_gststructurez00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__gstreamer_gststructurez00();
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gstzd2structurezd2propertyzd2setz12zc0zz__gstreamer_gststructurez00(BgL_gstzd2structurezd2_bglt, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__gstreamer_gststructurez00();
static obj_t BGl_z62zc3z04anonymousza31150ze3ze5zz__gstreamer_gststructurez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31151ze3ze5zz__gstreamer_gststructurez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31143ze3ze5zz__gstreamer_gststructurez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31160ze3ze5zz__gstreamer_gststructurez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31144ze3ze5zz__gstreamer_gststructurez00(obj_t, obj_t);
extern void bgl_gst_add_finalizer(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62gstzd2structurezd2propertyz62zz__gstreamer_gststructurez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__gstreamer_gststructurez00();
BGL_EXPORTED_DECL obj_t BGl_z52gstzd2structurezd2initz52zz__gstreamer_gststructurez00(BgL_gstzd2structurezd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31164ze3ze5zz__gstreamer_gststructurez00(obj_t, obj_t, obj_t);
static BgL_gstzd2structurezd2_bglt BGl_z62lambda1115z62zz__gstreamer_gststructurez00(obj_t, obj_t, obj_t);
static BgL_gstzd2structurezd2_bglt BGl_z62lambda1118z62zz__gstreamer_gststructurez00(obj_t);
static obj_t BGl_z62gstzd2structurezd2propertyzd2setz12za2zz__gstreamer_gststructurez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1128z62zz__gstreamer_gststructurez00(obj_t, obj_t);
static obj_t BGl_z62lambda1129z62zz__gstreamer_gststructurez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62lambda1141z62zz__gstreamer_gststructurez00(obj_t, obj_t);
static obj_t BGl_z62lambda1142z62zz__gstreamer_gststructurez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31088ze3ze5zz__gstreamer_gststructurez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gststructurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gsterrorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
BGL_EXPORTED_DEF obj_t BGl_gstzd2structurezd2zz__gstreamer_gststructurez00 = BUNSPEC;
extern obj_t BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00;
static obj_t BGl_cnstzd2initzd2zz__gstreamer_gststructurez00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gststructurez00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gststructurez00();
static obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gststructurez00();
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
BGL_EXPORTED_DECL obj_t BGl_gstzd2structurezd2propertyzd2listzd2zz__gstreamer_gststructurez00(BgL_gstzd2structurezd2_bglt);
static obj_t __cnst[ 9 ] ;


DEFINE_STRING( BGl_string1183z00zz__gstreamer_gststructurez00, BgL_bgl_string1183za700za7za7_1213za7, "Illegal gst-structure", 21 );
DEFINE_STRING( BGl_string1185z00zz__gstreamer_gststructurez00, BgL_bgl_string1185za700za7za7_1214za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/gstreamer/src/Llib/gststructure.scm", 75 );
DEFINE_STRING( BGl_string1186z00zz__gstreamer_gststructurez00, BgL_bgl_string1186za700za7za7_1215za7, "&%gst-structure-init", 20 );
DEFINE_STRING( BGl_string1187z00zz__gstreamer_gststructurez00, BgL_bgl_string1187za700za7za7_1216za7, "gst-structure", 13 );
DEFINE_STRING( BGl_string1188z00zz__gstreamer_gststructurez00, BgL_bgl_string1188za700za7za7_1217za7, "&gst-structure-property-list", 28 );
DEFINE_STRING( BGl_string1189z00zz__gstreamer_gststructurez00, BgL_bgl_string1189za700za7za7_1218za7, "&gst-structure-property", 23 );
DEFINE_STRING( BGl_string1190z00zz__gstreamer_gststructurez00, BgL_bgl_string1190za700za7za7_1219za7, "keyword", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1184z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1220za7, BGl_z62zc3z04anonymousza31088ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1191z00zz__gstreamer_gststructurez00, BgL_bgl_string1191za700za7za7_1221za7, "&gst-structure-property-set!", 28 );
DEFINE_STRING( BGl_string1192z00zz__gstreamer_gststructurez00, BgL_bgl_string1192za700za7za7_1222za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1193z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1223za7, BGl_z62zc3z04anonymousza31130ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1194z00zz__gstreamer_gststructurez00, BgL_bgl_za762lambda1129za7621224z00, BGl_z62lambda1129z62zz__gstreamer_gststructurez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1195z00zz__gstreamer_gststructurez00, BgL_bgl_za762lambda1128za7621225z00, BGl_z62lambda1128z62zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1196z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1226za7, BGl_z62zc3z04anonymousza31143ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1197z00zz__gstreamer_gststructurez00, BgL_bgl_za762lambda1142za7621227z00, BGl_z62lambda1142z62zz__gstreamer_gststructurez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1198z00zz__gstreamer_gststructurez00, BgL_bgl_za762lambda1141za7621228z00, BGl_z62lambda1141z62zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1199z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1229za7, BGl_z62zc3z04anonymousza31151ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2structurezd2propertyzd2setz12zd2envz12zz__gstreamer_gststructurez00, BgL_bgl_za762gstza7d2structu1230z00, BGl_z62gstzd2structurezd2propertyzd2setz12za2zz__gstreamer_gststructurez00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52gstzd2structurezd2initzd2envz80zz__gstreamer_gststructurez00, BgL_bgl_za762za752gstza7d2stru1231za7, BGl_z62z52gstzd2structurezd2initz30zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2structurezd2propertyzd2listzd2envz00zz__gstreamer_gststructurez00, BgL_bgl_za762gstza7d2structu1232z00, BGl_z62gstzd2structurezd2propertyzd2listzb0zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gstzd2structurezd2propertyzd2envzd2zz__gstreamer_gststructurez00, BgL_bgl_za762gstza7d2structu1233z00, BGl_z62gstzd2structurezd2propertyz62zz__gstreamer_gststructurez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1207z00zz__gstreamer_gststructurez00, BgL_bgl_string1207za700za7za7_1234za7, "__gstreamer_gststructure", 24 );
DEFINE_STRING( BGl_string1208z00zz__gstreamer_gststructurez00, BgL_bgl_string1208za700za7za7_1235za7, "__gstreamer_gststructure gst-structure string name obj $finalizer $gst-structure $builtin %gst-structure-init ", 110 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1200z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1236za7, BGl_z62zc3z04anonymousza31150ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1201z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1237za7, BGl_z62zc3z04anonymousza31160ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1202z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1238za7, BGl_z62zc3z04anonymousza31164ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1203z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1239za7, BGl_z62zc3z04anonymousza31120ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1204z00zz__gstreamer_gststructurez00, BgL_bgl_za762lambda1118za7621240z00, BGl_z62lambda1118z62zz__gstreamer_gststructurez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1205z00zz__gstreamer_gststructurez00, BgL_bgl_za762lambda1115za7621241z00, BGl_z62lambda1115z62zz__gstreamer_gststructurez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1206z00zz__gstreamer_gststructurez00, BgL_bgl_za762za7c3za704anonymo1242za7, BGl_z62zc3z04anonymousza31144ze3ze5zz__gstreamer_gststructurez00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__gstreamer_gststructurez00) );
ADD_ROOT( (void *)(&BGl_gstzd2structurezd2zz__gstreamer_gststructurez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_gststructurez00(long BgL_checksumz00_316, char * BgL_fromz00_317)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__gstreamer_gststructurez00))
{ 
BGl_requirezd2initializa7ationz75zz__gstreamer_gststructurez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__gstreamer_gststructurez00(); 
BGl_libraryzd2moduleszd2initz00zz__gstreamer_gststructurez00(); 
BGl_cnstzd2initzd2zz__gstreamer_gststructurez00(); 
BGl_importedzd2moduleszd2initz00zz__gstreamer_gststructurez00(); 
BGl_objectzd2initzd2zz__gstreamer_gststructurez00(); 
return 
BGl_methodzd2initzd2zz__gstreamer_gststructurez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_gststructurez00()
{
{ /* Llib/gststructure.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__gstreamer_gststructure"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__gstreamer_gststructure"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__gstreamer_gststructurez00()
{
{ /* Llib/gststructure.scm 15 */
{ /* Llib/gststructure.scm 15 */
 obj_t BgL_cportz00_249;
{ /* Llib/gststructure.scm 15 */
 obj_t BgL_stringz00_257;
BgL_stringz00_257 = BGl_string1208z00zz__gstreamer_gststructurez00; 
{ /* Llib/gststructure.scm 15 */
 obj_t BgL_startz00_258;
BgL_startz00_258 = 
BINT(((long)0)); 
{ /* Llib/gststructure.scm 15 */
 obj_t BgL_endz00_259;
BgL_endz00_259 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_257))); 
{ /* Llib/gststructure.scm 15 */

BgL_cportz00_249 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_257, BgL_startz00_258, BgL_endz00_259); } } } } 
{ 
 long BgL_iz00_250;
BgL_iz00_250 = ((long)8); 
BgL_loopz00_251:
if(
(BgL_iz00_250==((long)-1)))
{ /* Llib/gststructure.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/gststructure.scm 15 */
{ /* Llib/gststructure.scm 15 */
 obj_t BgL_arg1211z00_253;
{ /* Llib/gststructure.scm 15 */

{ /* Llib/gststructure.scm 15 */
 obj_t BgL_locationz00_255;
BgL_locationz00_255 = 
BBOOL(((bool_t)0)); 
{ /* Llib/gststructure.scm 15 */

BgL_arg1211z00_253 = 
BGl_readz00zz__readerz00(BgL_cportz00_249, BgL_locationz00_255); } } } 
{ /* Llib/gststructure.scm 15 */
 int BgL_tmpz00_346;
BgL_tmpz00_346 = 
(int)(BgL_iz00_250); 
CNST_TABLE_SET(BgL_tmpz00_346, BgL_arg1211z00_253); } } 
{ /* Llib/gststructure.scm 15 */
 int BgL_auxz00_256;
BgL_auxz00_256 = 
(int)(
(BgL_iz00_250-((long)1))); 
{ 
 long BgL_iz00_351;
BgL_iz00_351 = 
(long)(BgL_auxz00_256); 
BgL_iz00_250 = BgL_iz00_351; 
goto BgL_loopz00_251;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__gstreamer_gststructurez00()
{
{ /* Llib/gststructure.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* %gst-structure-init */
BGL_EXPORTED_DEF obj_t BGl_z52gstzd2structurezd2initz52zz__gstreamer_gststructurez00(BgL_gstzd2structurezd2_bglt BgL_oz00_3)
{
{ /* Llib/gststructure.scm 47 */
{ /* Llib/gststructure.scm 49 */
 bool_t BgL_test1245z00_354;
{ /* Llib/gststructure.scm 49 */
 GstStructure * BgL_tmpz00_355;
BgL_tmpz00_355 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_oz00_3))->BgL_z42builtinz42); 
BgL_test1245z00_354 = 
(bool_t)!(BgL_tmpz00_355); } 
if(BgL_test1245z00_354)
{ /* Llib/gststructure.scm 50 */
 BgL_z62gstzd2createzd2errorz62_bglt BgL_arg1073z00_21;
{ /* Llib/gststructure.scm 50 */
 BgL_z62gstzd2createzd2errorz62_bglt BgL_new1056z00_22;
{ /* Llib/gststructure.scm 50 */
 BgL_z62gstzd2createzd2errorz62_bglt BgL_new1055z00_25;
BgL_new1055z00_25 = 
((BgL_z62gstzd2createzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62gstzd2createzd2errorz62_bgl) ))); 
{ /* Llib/gststructure.scm 50 */
 long BgL_arg1076z00_26;
BgL_arg1076z00_26 = 
BGL_CLASS_NUM(BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_25), BgL_arg1076z00_26); } 
BgL_new1056z00_22 = BgL_new1055z00_25; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1056z00_22)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1056z00_22)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_366;
{ /* Llib/gststructure.scm 50 */
 obj_t BgL_arg1074z00_23;
{ /* Llib/gststructure.scm 50 */
 obj_t BgL_arg1075z00_24;
{ /* Llib/gststructure.scm 50 */
 obj_t BgL_classz00_136;
BgL_classz00_136 = BGl_z62gstzd2createzd2errorz62zz__gstreamer_gsterrorz00; 
BgL_arg1075z00_24 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_136); } 
BgL_arg1074z00_23 = 
VECTOR_REF(BgL_arg1075z00_24,((long)2)); } 
BgL_auxz00_366 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1074z00_23); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1056z00_22)))->BgL_stackz00)=((obj_t)BgL_auxz00_366),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1056z00_22)))->BgL_procz00)=((obj_t)
CNST_TABLE_REF(((long)0))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1056z00_22)))->BgL_msgz00)=((obj_t)BGl_string1183z00zz__gstreamer_gststructurez00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1056z00_22)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_3)),BUNSPEC); 
BgL_arg1073z00_21 = BgL_new1056z00_22; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1073z00_21)); }  else 
{ /* Llib/gststructure.scm 49 */BFALSE; } } 
{ /* Llib/gststructure.scm 55 */
 bool_t BgL_test1246z00_382;
{ /* Llib/gststructure.scm 55 */
 obj_t BgL_tmpz00_383;
BgL_tmpz00_383 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_oz00_3))->BgL_z42finaliza7erze5); 
BgL_test1246z00_382 = 
PROCEDUREP(BgL_tmpz00_383); } 
if(BgL_test1246z00_382)
{ /* Llib/gststructure.scm 56 */
 obj_t BgL_arg1083z00_30;
BgL_arg1083z00_30 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_oz00_3))->BgL_z42finaliza7erze5); 
bgl_gst_add_finalizer(
((obj_t)BgL_oz00_3), BgL_arg1083z00_30); BUNSPEC; }  else 
{ /* Llib/gststructure.scm 55 */
if(
CBOOL(
(((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_oz00_3))->BgL_z42finaliza7erze5)))
{ /* Llib/gststructure.scm 57 */
bgl_gst_add_finalizer(
((obj_t)BgL_oz00_3), BGl_proc1184z00zz__gstreamer_gststructurez00); BUNSPEC; }  else 
{ /* Llib/gststructure.scm 57 */BFALSE; } } } 
return 
((obj_t)BgL_oz00_3);} 

}



/* &%gst-structure-init */
obj_t BGl_z62z52gstzd2structurezd2initz30zz__gstreamer_gststructurez00(obj_t BgL_envz00_170, obj_t BgL_oz00_171)
{
{ /* Llib/gststructure.scm 47 */
{ /* Llib/gststructure.scm 48 */
 BgL_gstzd2structurezd2_bglt BgL_auxz00_395;
{ /* Llib/gststructure.scm 48 */
 bool_t BgL_test1248z00_396;
{ /* Llib/gststructure.scm 48 */
 obj_t BgL_classz00_261;
BgL_classz00_261 = BGl_gstzd2structurezd2zz__gstreamer_gststructurez00; 
if(
BGL_OBJECTP(BgL_oz00_171))
{ /* Llib/gststructure.scm 48 */
 BgL_objectz00_bglt BgL_arg1799z00_263; long BgL_arg1800z00_264;
BgL_arg1799z00_263 = 
(BgL_objectz00_bglt)(BgL_oz00_171); 
BgL_arg1800z00_264 = 
BGL_CLASS_DEPTH(BgL_classz00_261); 
{ /* Llib/gststructure.scm 48 */
 bool_t BgL_arg1794z00_268; bool_t BgL_arg1795z00_269;
{ /* Llib/gststructure.scm 48 */
 long BgL_idxz00_273;
BgL_idxz00_273 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_263); 
{ /* Llib/gststructure.scm 48 */
 obj_t BgL_arg1791z00_274;
{ /* Llib/gststructure.scm 48 */
 long BgL_arg1792z00_275;
BgL_arg1792z00_275 = 
(BgL_idxz00_273+BgL_arg1800z00_264); 
BgL_arg1791z00_274 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_275); } 
BgL_arg1794z00_268 = 
(BgL_arg1791z00_274==BgL_classz00_261); } } 
{ /* Llib/gststructure.scm 48 */
 bool_t BgL_res1212z00_298;
{ /* Llib/gststructure.scm 48 */
 obj_t BgL_oclassz00_283;
{ /* Llib/gststructure.scm 48 */
 long BgL_arg1804z00_289;
{ /* Llib/gststructure.scm 48 */
 long BgL_arg1805z00_290;
BgL_arg1805z00_290 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_263); 
BgL_arg1804z00_289 = 
(BgL_arg1805z00_290-OBJECT_TYPE); } 
BgL_oclassz00_283 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_289); } 
{ /* Llib/gststructure.scm 48 */
 bool_t BgL__ortest_1111z00_284;
BgL__ortest_1111z00_284 = 
(BgL_classz00_261==BgL_oclassz00_283); 
if(BgL__ortest_1111z00_284)
{ /* Llib/gststructure.scm 48 */
BgL_res1212z00_298 = BgL__ortest_1111z00_284; }  else 
{ /* Llib/gststructure.scm 48 */
 long BgL_odepthz00_285;
BgL_odepthz00_285 = 
BGL_CLASS_DEPTH(BgL_oclassz00_283); 
if(
(BgL_arg1800z00_264<BgL_odepthz00_285))
{ /* Llib/gststructure.scm 48 */
 obj_t BgL_arg1793z00_287;
BgL_arg1793z00_287 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_283, BgL_arg1800z00_264); 
BgL_res1212z00_298 = 
(BgL_arg1793z00_287==BgL_classz00_261); }  else 
{ /* Llib/gststructure.scm 48 */
BgL_res1212z00_298 = ((bool_t)0); } } } } 
BgL_arg1795z00_269 = BgL_res1212z00_298; } 
BgL_test1248z00_396 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_268, BgL_arg1795z00_269); } }  else 
{ /* Llib/gststructure.scm 48 */
BgL_test1248z00_396 = ((bool_t)0)
; } } 
if(BgL_test1248z00_396)
{ /* Llib/gststructure.scm 48 */
BgL_auxz00_395 = 
((BgL_gstzd2structurezd2_bglt)BgL_oz00_171)
; }  else 
{ 
 obj_t BgL_auxz00_417;
BgL_auxz00_417 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1185z00zz__gstreamer_gststructurez00, 
BINT(((long)2119)), BGl_string1186z00zz__gstreamer_gststructurez00, BGl_string1187z00zz__gstreamer_gststructurez00, BgL_oz00_171); 
FAILURE(BgL_auxz00_417,BFALSE,BFALSE);} } 
return 
BGl_z52gstzd2structurezd2initz52zz__gstreamer_gststructurez00(BgL_auxz00_395);} } 

}



/* &<@anonymous:1088> */
obj_t BGl_z62zc3z04anonymousza31088ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_172, obj_t BgL_oz00_173)
{
{ /* Llib/gststructure.scm 59 */
{ /* Llib/gststructure.scm 61 */
 GstStructure * BgL_arg1094z00_299;
BgL_arg1094z00_299 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_oz00_173)))->BgL_z42builtinz42); 
gst_structure_free(BgL_arg1094z00_299); 
return BUNSPEC;} } 

}



/* gst-structure-property-list */
BGL_EXPORTED_DEF obj_t BGl_gstzd2structurezd2propertyzd2listzd2zz__gstreamer_gststructurez00(BgL_gstzd2structurezd2_bglt BgL_oz00_4)
{
{ /* Llib/gststructure.scm 67 */
{ /* Llib/gststructure.scm 69 */
 GstStructure * BgL_tmpz00_425;
BgL_tmpz00_425 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_oz00_4))->BgL_z42builtinz42); 
return 
bgl_gst_structure_property_list(BgL_tmpz00_425);} } 

}



/* &gst-structure-property-list */
obj_t BGl_z62gstzd2structurezd2propertyzd2listzb0zz__gstreamer_gststructurez00(obj_t BgL_envz00_174, obj_t BgL_oz00_175)
{
{ /* Llib/gststructure.scm 67 */
{ /* Llib/gststructure.scm 68 */
 BgL_gstzd2structurezd2_bglt BgL_auxz00_428;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_175, BGl_gstzd2structurezd2zz__gstreamer_gststructurez00))
{ /* Llib/gststructure.scm 68 */
BgL_auxz00_428 = 
((BgL_gstzd2structurezd2_bglt)BgL_oz00_175)
; }  else 
{ 
 obj_t BgL_auxz00_432;
BgL_auxz00_432 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1185z00zz__gstreamer_gststructurez00, 
BINT(((long)2865)), BGl_string1188z00zz__gstreamer_gststructurez00, BGl_string1187z00zz__gstreamer_gststructurez00, BgL_oz00_175); 
FAILURE(BgL_auxz00_432,BFALSE,BFALSE);} 
return 
BGl_gstzd2structurezd2propertyzd2listzd2zz__gstreamer_gststructurez00(BgL_auxz00_428);} } 

}



/* gst-structure-property */
BGL_EXPORTED_DEF obj_t BGl_gstzd2structurezd2propertyz00zz__gstreamer_gststructurez00(BgL_gstzd2structurezd2_bglt BgL_oz00_5, obj_t BgL_propz00_6)
{
{ /* Llib/gststructure.scm 74 */
{ /* Llib/gststructure.scm 76 */
 GstStructure * BgL_arg1097z00_143; obj_t BgL_arg1098z00_144;
BgL_arg1097z00_143 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42builtinz42); 
BgL_arg1098z00_144 = 
KEYWORD_TO_STRING(BgL_propz00_6); 
{ /* Llib/gststructure.scm 76 */
 char * BgL_tmpz00_439;
BgL_tmpz00_439 = 
BSTRING_TO_STRING(BgL_arg1098z00_144); 
return 
bgl_gst_structure_get_property(BgL_arg1097z00_143, BgL_tmpz00_439);} } } 

}



/* &gst-structure-property */
obj_t BGl_z62gstzd2structurezd2propertyz62zz__gstreamer_gststructurez00(obj_t BgL_envz00_176, obj_t BgL_oz00_177, obj_t BgL_propz00_178)
{
{ /* Llib/gststructure.scm 74 */
{ /* Llib/gststructure.scm 75 */
 obj_t BgL_auxz00_450; BgL_gstzd2structurezd2_bglt BgL_auxz00_442;
if(
KEYWORDP(BgL_propz00_178))
{ /* Llib/gststructure.scm 75 */
BgL_auxz00_450 = BgL_propz00_178
; }  else 
{ 
 obj_t BgL_auxz00_453;
BgL_auxz00_453 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1185z00zz__gstreamer_gststructurez00, 
BINT(((long)3235)), BGl_string1189z00zz__gstreamer_gststructurez00, BGl_string1190z00zz__gstreamer_gststructurez00, BgL_propz00_178); 
FAILURE(BgL_auxz00_453,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_177, BGl_gstzd2structurezd2zz__gstreamer_gststructurez00))
{ /* Llib/gststructure.scm 75 */
BgL_auxz00_442 = 
((BgL_gstzd2structurezd2_bglt)BgL_oz00_177)
; }  else 
{ 
 obj_t BgL_auxz00_446;
BgL_auxz00_446 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1185z00zz__gstreamer_gststructurez00, 
BINT(((long)3235)), BGl_string1189z00zz__gstreamer_gststructurez00, BGl_string1187z00zz__gstreamer_gststructurez00, BgL_oz00_177); 
FAILURE(BgL_auxz00_446,BFALSE,BFALSE);} 
return 
BGl_gstzd2structurezd2propertyz00zz__gstreamer_gststructurez00(BgL_auxz00_442, BgL_auxz00_450);} } 

}



/* gst-structure-property-set! */
BGL_EXPORTED_DEF obj_t BGl_gstzd2structurezd2propertyzd2setz12zc0zz__gstreamer_gststructurez00(BgL_gstzd2structurezd2_bglt BgL_oz00_7, obj_t BgL_propz00_8, obj_t BgL_valz00_9)
{
{ /* Llib/gststructure.scm 81 */
{ /* Llib/gststructure.scm 83 */
 GstStructure * BgL_arg1099z00_147; obj_t BgL_arg1100z00_148;
BgL_arg1099z00_147 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_oz00_7))->BgL_z42builtinz42); 
BgL_arg1100z00_148 = 
KEYWORD_TO_STRING(BgL_propz00_8); 
{ /* Llib/gststructure.scm 83 */
 char * BgL_tmpz00_460;
BgL_tmpz00_460 = 
BSTRING_TO_STRING(BgL_arg1100z00_148); 
return 
bgl_gst_structure_set_property(BgL_arg1099z00_147, BgL_tmpz00_460, BgL_valz00_9);} } } 

}



/* &gst-structure-property-set! */
obj_t BGl_z62gstzd2structurezd2propertyzd2setz12za2zz__gstreamer_gststructurez00(obj_t BgL_envz00_179, obj_t BgL_oz00_180, obj_t BgL_propz00_181, obj_t BgL_valz00_182)
{
{ /* Llib/gststructure.scm 81 */
{ /* Llib/gststructure.scm 82 */
 obj_t BgL_auxz00_478; obj_t BgL_auxz00_471; BgL_gstzd2structurezd2_bglt BgL_auxz00_463;
if(
STRINGP(BgL_valz00_182))
{ /* Llib/gststructure.scm 82 */
BgL_auxz00_478 = BgL_valz00_182
; }  else 
{ 
 obj_t BgL_auxz00_481;
BgL_auxz00_481 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1185z00zz__gstreamer_gststructurez00, 
BINT(((long)3637)), BGl_string1191z00zz__gstreamer_gststructurez00, BGl_string1192z00zz__gstreamer_gststructurez00, BgL_valz00_182); 
FAILURE(BgL_auxz00_481,BFALSE,BFALSE);} 
if(
KEYWORDP(BgL_propz00_181))
{ /* Llib/gststructure.scm 82 */
BgL_auxz00_471 = BgL_propz00_181
; }  else 
{ 
 obj_t BgL_auxz00_474;
BgL_auxz00_474 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1185z00zz__gstreamer_gststructurez00, 
BINT(((long)3637)), BGl_string1191z00zz__gstreamer_gststructurez00, BGl_string1190z00zz__gstreamer_gststructurez00, BgL_propz00_181); 
FAILURE(BgL_auxz00_474,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_180, BGl_gstzd2structurezd2zz__gstreamer_gststructurez00))
{ /* Llib/gststructure.scm 82 */
BgL_auxz00_463 = 
((BgL_gstzd2structurezd2_bglt)BgL_oz00_180)
; }  else 
{ 
 obj_t BgL_auxz00_467;
BgL_auxz00_467 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1185z00zz__gstreamer_gststructurez00, 
BINT(((long)3637)), BGl_string1191z00zz__gstreamer_gststructurez00, BGl_string1187z00zz__gstreamer_gststructurez00, BgL_oz00_180); 
FAILURE(BgL_auxz00_467,BFALSE,BFALSE);} 
return 
BGl_gstzd2structurezd2propertyzd2setz12zc0zz__gstreamer_gststructurez00(BgL_auxz00_463, BgL_auxz00_471, BgL_auxz00_478);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__gstreamer_gststructurez00()
{
{ /* Llib/gststructure.scm 15 */
{ /* Llib/gststructure.scm 21 */
 obj_t BgL_arg1113z00_50; obj_t BgL_arg1114z00_51;
{ /* Llib/gststructure.scm 21 */
 obj_t BgL_v1066z00_64;
BgL_v1066z00_64 = 
create_vector(((long)3)); 
{ /* Llib/gststructure.scm 21 */
 obj_t BgL_arg1121z00_65;
BgL_arg1121z00_65 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)1)), BGl_proc1195z00zz__gstreamer_gststructurez00, BGl_proc1194z00zz__gstreamer_gststructurez00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1193z00zz__gstreamer_gststructurez00, 
CNST_TABLE_REF(((long)2))); 
VECTOR_SET(BgL_v1066z00_64,((long)0),BgL_arg1121z00_65); } 
{ /* Llib/gststructure.scm 21 */
 obj_t BgL_arg1131z00_78;
BgL_arg1131z00_78 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc1198z00zz__gstreamer_gststructurez00, BGl_proc1197z00zz__gstreamer_gststructurez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1196z00zz__gstreamer_gststructurez00, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1066z00_64,((long)1),BgL_arg1131z00_78); } 
{ /* Llib/gststructure.scm 21 */
 obj_t BgL_arg1147z00_95;
BgL_arg1147z00_95 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc1200z00zz__gstreamer_gststructurez00, BGl_proc1199z00zz__gstreamer_gststructurez00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1066z00_64,((long)2),BgL_arg1147z00_95); } 
BgL_arg1113z00_50 = BgL_v1066z00_64; } 
{ /* Llib/gststructure.scm 21 */
 obj_t BgL_v1067z00_105;
BgL_v1067z00_105 = 
create_vector(((long)1)); 
{ /* Llib/gststructure.scm 31 */
 obj_t BgL_arg1153z00_106;
{ /* Llib/gststructure.scm 31 */
 obj_t BgL_arg1154z00_107;
BgL_arg1154z00_107 = 
MAKE_YOUNG_PAIR(BGl_proc1201z00zz__gstreamer_gststructurez00, BGl_proc1202z00zz__gstreamer_gststructurez00); 
BgL_arg1153z00_106 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BgL_arg1154z00_107); } 
VECTOR_SET(BgL_v1067z00_105,((long)0),BgL_arg1153z00_106); } 
BgL_arg1114z00_51 = BgL_v1067z00_105; } 
return ( 
BGl_gstzd2structurezd2zz__gstreamer_gststructurez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)7)), 
CNST_TABLE_REF(((long)8)), BGl_objectz00zz__objectz00, ((long)18789), BGl_proc1205z00zz__gstreamer_gststructurez00, BGl_proc1204z00zz__gstreamer_gststructurez00, BGl_z52gstzd2structurezd2initzd2envz80zz__gstreamer_gststructurez00, BGl_proc1203z00zz__gstreamer_gststructurez00, BFALSE, BgL_arg1113z00_50, BgL_arg1114z00_51), BUNSPEC) ;} } 

}



/* &<@anonymous:1120> */
obj_t BGl_z62zc3z04anonymousza31120ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_197, obj_t BgL_new1053z00_198)
{
{ /* Llib/gststructure.scm 21 */
{ 
 BgL_gstzd2structurezd2_bglt BgL_auxz00_507;
((((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_new1053z00_198)))->BgL_z42builtinz42)=((GstStructure *)
0L),BUNSPEC); 
((((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_new1053z00_198)))->BgL_z42finaliza7erze5)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_507 = 
((BgL_gstzd2structurezd2_bglt)BgL_new1053z00_198); 
return 
((obj_t)BgL_auxz00_507);} } 

}



/* &lambda1118 */
BgL_gstzd2structurezd2_bglt BGl_z62lambda1118z62zz__gstreamer_gststructurez00(obj_t BgL_envz00_199)
{
{ /* Llib/gststructure.scm 21 */
{ /* Llib/gststructure.scm 21 */
 BgL_gstzd2structurezd2_bglt BgL_new1052z00_301;
BgL_new1052z00_301 = 
((BgL_gstzd2structurezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2structurezd2_bgl) ))); 
{ /* Llib/gststructure.scm 21 */
 long BgL_arg1119z00_302;
BgL_arg1119z00_302 = 
BGL_CLASS_NUM(BGl_gstzd2structurezd2zz__gstreamer_gststructurez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1052z00_301), BgL_arg1119z00_302); } 
return BgL_new1052z00_301;} } 

}



/* &lambda1115 */
BgL_gstzd2structurezd2_bglt BGl_z62lambda1115z62zz__gstreamer_gststructurez00(obj_t BgL_envz00_200, obj_t BgL_z42builtin1050z42_201, obj_t BgL_z42finaliza7er1051ze5_202)
{
{ /* Llib/gststructure.scm 21 */
{ /* Llib/gststructure.scm 21 */
 GstStructure * BgL_z42builtin1050z42_303;
BgL_z42builtin1050z42_303 = 
FOREIGN_TO_COBJ(BgL_z42builtin1050z42_201); 
{ /* Llib/gststructure.scm 21 */
 BgL_gstzd2structurezd2_bglt BgL_new1062z00_304;
{ /* Llib/gststructure.scm 21 */
 BgL_gstzd2structurezd2_bglt BgL_new1061z00_305;
BgL_new1061z00_305 = 
((BgL_gstzd2structurezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_gstzd2structurezd2_bgl) ))); 
{ /* Llib/gststructure.scm 21 */
 long BgL_arg1117z00_306;
BgL_arg1117z00_306 = 
BGL_CLASS_NUM(BGl_gstzd2structurezd2zz__gstreamer_gststructurez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_305), BgL_arg1117z00_306); } 
BgL_new1062z00_304 = BgL_new1061z00_305; } 
((((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_new1062z00_304))->BgL_z42builtinz42)=((GstStructure *)BgL_z42builtin1050z42_303),BUNSPEC); 
((((BgL_gstzd2structurezd2_bglt)COBJECT(BgL_new1062z00_304))->BgL_z42finaliza7erze5)=((obj_t)BgL_z42finaliza7er1051ze5_202),BUNSPEC); 
{ /* Llib/gststructure.scm 21 */
 obj_t BgL_fun1116z00_307;
BgL_fun1116z00_307 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_gstzd2structurezd2zz__gstreamer_gststructurez00); 
PROCEDURE_ENTRY(BgL_fun1116z00_307)(BgL_fun1116z00_307, 
((obj_t)BgL_new1062z00_304), BEOA); } 
return BgL_new1062z00_304;} } } 

}



/* &<@anonymous:1164> */
obj_t BGl_z62zc3z04anonymousza31164ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_203, obj_t BgL_oz00_204, obj_t BgL_vz00_205)
{
{ /* Llib/gststructure.scm 29 */
{ /* Llib/gststructure.scm 35 */
 GstStructure * BgL_arg1167z00_308;
BgL_arg1167z00_308 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_oz00_204)))->BgL_z42builtinz42); 
{ /* Llib/gststructure.scm 35 */
 char * BgL_tmpz00_534;
BgL_tmpz00_534 = 
BSTRING_TO_STRING(BgL_vz00_205); 
gst_structure_set_name(BgL_arg1167z00_308, BgL_tmpz00_534); } BUNSPEC; } 
return BgL_vz00_205;} 

}



/* &<@anonymous:1160> */
obj_t BGl_z62zc3z04anonymousza31160ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_206, obj_t BgL_oz00_207)
{
{ /* Llib/gststructure.scm 29 */
{ /* Llib/gststructure.scm 31 */
 char * BgL_tmpz00_537;
{ /* Llib/gststructure.scm 32 */
 GstStructure * BgL_arg1162z00_309;
BgL_arg1162z00_309 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_oz00_207)))->BgL_z42builtinz42); 
BgL_tmpz00_537 = 
(char *)gst_structure_get_name(BgL_arg1162z00_309); } 
return 
string_to_bstring(BgL_tmpz00_537);} } 

}



/* &<@anonymous:1151> */
obj_t BGl_z62zc3z04anonymousza31151ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_208, obj_t BgL_oz00_209, obj_t BgL_vz00_210)
{
{ /* Llib/gststructure.scm 21 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_209), 
(int)(((long)0)), BgL_vz00_210);} 

}



/* &<@anonymous:1150> */
obj_t BGl_z62zc3z04anonymousza31150ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_211, obj_t BgL_oz00_212)
{
{ /* Llib/gststructure.scm 21 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_212), 
(int)(((long)0)));} 

}



/* &<@anonymous:1143> */
obj_t BGl_z62zc3z04anonymousza31143ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_213)
{
{ /* Llib/gststructure.scm 21 */
return BGl_proc1206z00zz__gstreamer_gststructurez00;} 

}



/* &lambda1142 */
obj_t BGl_z62lambda1142z62zz__gstreamer_gststructurez00(obj_t BgL_envz00_214, obj_t BgL_oz00_215, obj_t BgL_vz00_216)
{
{ /* Llib/gststructure.scm 21 */
return 
((((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_oz00_215)))->BgL_z42finaliza7erze5)=((obj_t)BgL_vz00_216),BUNSPEC);} 

}



/* &lambda1141 */
obj_t BGl_z62lambda1141z62zz__gstreamer_gststructurez00(obj_t BgL_envz00_217, obj_t BgL_oz00_218)
{
{ /* Llib/gststructure.scm 21 */
return 
(((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_oz00_218)))->BgL_z42finaliza7erze5);} 

}



/* &<@anonymous:1144> */
obj_t BGl_z62zc3z04anonymousza31144ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_219, obj_t BgL_oz00_220)
{
{ /* Llib/gststructure.scm 26 */
{ /* Llib/gststructure.scm 28 */
 GstStructure * BgL_arg1145z00_312;
BgL_arg1145z00_312 = 
(((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_oz00_220)))->BgL_z42builtinz42); 
gst_structure_free(BgL_arg1145z00_312); 
return BUNSPEC;} } 

}



/* &<@anonymous:1130> */
obj_t BGl_z62zc3z04anonymousza31130ze3ze5zz__gstreamer_gststructurez00(obj_t BgL_envz00_221)
{
{ /* Llib/gststructure.scm 21 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1129 */
obj_t BGl_z62lambda1129z62zz__gstreamer_gststructurez00(obj_t BgL_envz00_222, obj_t BgL_oz00_223, obj_t BgL_vz00_224)
{
{ /* Llib/gststructure.scm 21 */
{ /* Llib/gststructure.scm 21 */
 GstStructure * BgL_vz00_314;
BgL_vz00_314 = 
FOREIGN_TO_COBJ(BgL_vz00_224); 
return 
((((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_oz00_223)))->BgL_z42builtinz42)=((GstStructure *)BgL_vz00_314),BUNSPEC);} } 

}



/* &lambda1128 */
obj_t BGl_z62lambda1128z62zz__gstreamer_gststructurez00(obj_t BgL_envz00_225, obj_t BgL_oz00_226)
{
{ /* Llib/gststructure.scm 21 */
return 
void_star_to_obj(
(((BgL_gstzd2structurezd2_bglt)COBJECT(
((BgL_gstzd2structurezd2_bglt)BgL_oz00_226)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__gstreamer_gststructurez00()
{
{ /* Llib/gststructure.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__gstreamer_gststructurez00()
{
{ /* Llib/gststructure.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__gstreamer_gststructurez00()
{
{ /* Llib/gststructure.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__gstreamer_gsterrorz00(((long)402338225), 
BSTRING_TO_STRING(BGl_string1207z00zz__gstreamer_gststructurez00));} 

}

#ifdef __cplusplus
}
#endif
