/*===========================================================================*/
/*   (Command/break.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -afile .afile -no-hello -rm -L /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O5 -unsafe -c Command/break.scm -o Command/break.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_z62zc3z04anonymousza31103ze3ze5zzcommand_breakz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_gdbzd2annotatezd2errorzf3zf3zzgdb_annotatez00();
BGL_EXPORTED_DECL obj_t BGl_breakzd2footprintzd2zzcommand_breakz00(obj_t);
static obj_t BGl_z62breakzd2footprintzb0zzcommand_breakz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcommand_breakz00 = BUNSPEC;
extern obj_t BGl_gdbzd2annotatezd2currentzd2functionzd2zzgdb_annotatez00();
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_bdbzd2demanglezd2zzpatient_manglingz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_breakpointzd2changedz12zc0zzcommand_breakz00();
static obj_t BGl_toplevelzd2initzd2zzcommand_breakz00();
BGL_EXPORTED_DECL bool_t BGl_breakpointzd2changedzf3z21zzcommand_breakz00();
static obj_t BGl_z62zc3z04anonymousza31108ze3ze5zzcommand_breakz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zzcommand_breakz00();
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_displayzf2widthze70z15zzcommand_breakz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zzcommand_breakz00();
extern obj_t BGl_bdbzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_consolezd2echozd2editz00zztools_ioz00(obj_t, obj_t);
extern bool_t BGl_bigloozd2identzf3z21zztools_toolsz00(obj_t);
extern obj_t BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
extern obj_t BGl_gdbzd2serverzd2ze3stringze3zzgdb_invokez00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzcommand_breakz00();
extern obj_t BGl_stringzd2untilzd2atz00zztools_toolsz00(obj_t, int, unsigned char, int);
extern obj_t BGl_bdbzd2exprzd2ze3gdbzd2exprz31zzcommand_exprz00(obj_t, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
extern obj_t BGl_za2bdbzd2fontificationzf3za2z21zzengine_paramz00;
extern obj_t BGl_stringzd2fromzd2atz00zztools_toolsz00(obj_t, int, unsigned char, int);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
extern obj_t BGl_bdbzd2manglezd2zzpatient_manglingz00(obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62displayzd2breakpointzd2tablez62zzcommand_breakz00(obj_t, obj_t);
static obj_t BGl_z62conditionzd2parserzb0zzcommand_breakz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2footprintzd2markza2zd2zzengine_paramz00;
static obj_t BGl_z62comparezd2breakpointzd2tablesz62zzcommand_breakz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31095ze3ze5zzcommand_breakz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_consolezd2echozd2zztools_ioz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31088ze3ze5zzcommand_breakz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcommand_breakz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_annotatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_invokez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_parsez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_commandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbee_etagsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzpatient_manglingz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_ioz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62zc3z04anonymousza31097ze3ze5zzcommand_breakz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_stringzd2fromzd2zztools_toolsz00(obj_t, unsigned char, int);
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_bigloozd2symbolzd2etagszd2sourcezd2locationz00zzbee_etagsz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_comparezd2breakpointzd2tablesz00zzcommand_breakz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31099ze3ze5zzcommand_breakz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzcommand_breakz00();
static obj_t BGl_libraryzd2moduleszd2initz00zzcommand_breakz00();
BGL_IMPORT long bgl_list_length(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzcommand_breakz00();
static obj_t BGl_gczd2rootszd2initz00zzcommand_breakz00();
static obj_t BGl_breakzd2commandzd2parsez00zzcommand_breakz00(obj_t, obj_t, obj_t, int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_displayzd2breakpointzd2tablez00zzcommand_breakz00(obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_consolezd2errorzd2zztools_ioz00(obj_t);
extern obj_t BGl_consolezd2newlinezd2zztools_ioz00();
static obj_t BGl_z62breakpointzd2changedz12za2zzcommand_breakz00(obj_t);
extern obj_t BGl_parsezd2errorzd2zzcommand_parsez00(obj_t, obj_t, obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_breakzd2conditionzd2zzcommand_breakz00(obj_t);
static obj_t BGl_z62breakzd2conditionzb0zzcommand_breakz00(obj_t, obj_t);
static obj_t BGl_z62breakpointzd2changedzf3z43zzcommand_breakz00(obj_t);
static obj_t BGl_footprintzd2commandzd2parsez00zzcommand_breakz00(obj_t, obj_t, obj_t, int, obj_t);
extern obj_t BGl_bindzd2toplevelzd2commandz12z12zzcommand_commandz00(obj_t, int, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31101ze3ze5zzcommand_breakz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_za2breakpointzd2changedzf3za2z21zzcommand_breakz00;
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_comparezd2breakpointzd2tableszd2envzd2zzcommand_breakz00, BgL_bgl_za762compareza7d2bre1707z00, BGl_z62comparezd2breakpointzd2tablesz62zzcommand_breakz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1700z00zzcommand_breakz00, BgL_bgl_string1700za700za7za7c1708za7, "BUT THE CURRENT ENVIRONMENT. THIS WILL BE FIXED...", 50 );
DEFINE_STRING( BGl_string1701z00zzcommand_breakz00, BgL_bgl_string1701za700za7za7c1709za7, "Argument required (breakpoint number).", 38 );
DEFINE_STRING( BGl_string1702z00zzcommand_breakz00, BgL_bgl_string1702za700za7za7c1710za7, "command_break", 13 );
DEFINE_STRING( BGl_string1703z00zzcommand_breakz00, BgL_bgl_string1703za700za7za7c1711za7, "no-breakpoint (4 16 5 4 12 0 0 0 0 0 0 0 0 0 0) ", 48 );
DEFINE_STRING( BGl_string1661z00zzcommand_breakz00, BgL_bgl_string1661za700za7za7c1712za7, "break", 5 );
DEFINE_STRING( BGl_string1663z00zzcommand_breakz00, BgL_bgl_string1663za700za7za7c1713za7, "Set breakpoint at specified line or function.\nArgument may be line number, function name, or \"*\" and an address.\nIf line number is specified, break at start of code for that line.\nIf function is specified, break at start of code for that function.\nIf an address is specified, break at that exact address.\nWith no arg, uses current execution address of selected stack frame.\nThis is useful for breaking on return to a stack frame.\n\nIf the function name is upper case, then a breakpoint to a Bigloo\nfunction is set. Otherwise, the name is considered as a C identifier.\n\nMultiple breakpoints at one place are permitted, and useful if conditional.\n\nDo \"help breakpoints\" for info on other commands dealing with breakpoints.", 719 );
DEFINE_STRING( BGl_string1664z00zzcommand_breakz00, BgL_bgl_string1664za700za7za7c1714za7, "tbreak", 6 );
DEFINE_STRING( BGl_string1666z00zzcommand_breakz00, BgL_bgl_string1666za700za7za7c1715za7, "Set a temporary breakpoint.  Args like \"break\" command.\nLike \"break\" except the breakpoint is only temporary,\nso it will be deleted when hit.  Equivalent to \"break\" followed\nby using \"enable delete\" on the breakpoint number.", 224 );
DEFINE_STRING( BGl_string1667z00zzcommand_breakz00, BgL_bgl_string1667za700za7za7c1716za7, "delete", 6 );
DEFINE_STRING( BGl_string1669z00zzcommand_breakz00, BgL_bgl_string1669za700za7za7c1717za7, "Delete some breakpoints or auto-display expressions.\nArguments are breakpoint numbers with spaces in between.\nTo delete all breakpoints, give no argument.\n\nAlso a prefix command for deletion of other GDB objects.\n\nList of delete subcommands:\n\ndelete breakpoints -- Delete some breakpoints or auto-display expressions\ndelete display -- Cancel some expressions to be displayed when program stops\ndelete tracepoints -- Delete specified tracepoints\n\nType \"help delete\" followed by delete subcommand name for full documentation.\nCommand name abbreviations are allowed if unambiguous.", 578 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1662z00zzcommand_breakz00, BgL_bgl_za762za7c3za704anonymo1718za7, BGl_z62zc3z04anonymousza31088ze3ze5zzcommand_breakz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1670z00zzcommand_breakz00, BgL_bgl_string1670za700za7za7c1719za7, "enable", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1665z00zzcommand_breakz00, BgL_bgl_za762za7c3za704anonymo1720za7, BGl_z62zc3z04anonymousza31095ze3ze5zzcommand_breakz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1672z00zzcommand_breakz00, BgL_bgl_string1672za700za7za7c1721za7, "Enable some breakpoints.\nGive breakpoint numbers (separated by spaces) as arguments.\nWith no subcommand, breakpoints are enabled until you command otherwise.\nThis is used to cancel the effect of the \"disable\" command.\nWith a subcommand you can enable temporarily.\n\nList of enable subcommands:\n\nenable delete -- Enable breakpoints and delete when hit\nenable display -- Enable some expressions to be displayed when program stops\nenable once -- Enable breakpoints for one hit\nenable tracepoints -- Enable specified tracepoints\n\nType \"help enable\" followed by enable subcommand name for full documentation.\nCommand name abbreviations are allowed if unambiguous.", 657 );
DEFINE_STRING( BGl_string1673z00zzcommand_breakz00, BgL_bgl_string1673za700za7za7c1722za7, "disable", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1668z00zzcommand_breakz00, BgL_bgl_za762za7c3za704anonymo1723za7, BGl_z62zc3z04anonymousza31097ze3ze5zzcommand_breakz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1675z00zzcommand_breakz00, BgL_bgl_string1675za700za7za7c1724za7, "Disable some breakpoints.\nGive breakpoint numbers (separated by spaces) as arguments.\nWith no subcommand, breakpoints are disabled until you command otherwise.\nThis is used to cancel the effect of the \"disable\" command.\nWith a subcommand you can disable temporarily.\n\nList of disable subcommands:\n\ndisable delete -- Disable breakpoints and delete when hit\ndisable display -- Disable some expressions to be displayed when program stops\ndisable once -- Disable breakpoints for one hit\ndisable tracepoints -- Disable specified tracepoints\n\nType \"help disable\" followed by disable subcommand name for full documentation.\nCommand name abbreviations are allowed if unambiguous.", 671 );
DEFINE_STRING( BGl_string1676z00zzcommand_breakz00, BgL_bgl_string1676za700za7za7c1725za7, "condition", 9 );
DEFINE_STRING( BGl_string1677z00zzcommand_breakz00, BgL_bgl_string1677za700za7za7c1726za7, "Specify breakpoint number N to break only if COND is true.\nUsage is `condition N COND', where N is an integer and COND is an\nexpression to be evaluated whenever breakpoint N is reached.", 185 );
DEFINE_STRING( BGl_string1678z00zzcommand_breakz00, BgL_bgl_string1678za700za7za7c1727za7, "footprint", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_conditionzd2parserzd2envz00zzcommand_breakz00, BgL_bgl_za762conditionza7d2p1728z00, BGl_z62conditionzd2parserzb0zzcommand_breakz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1671z00zzcommand_breakz00, BgL_bgl_za762za7c3za704anonymo1729za7, BGl_z62zc3z04anonymousza31099ze3ze5zzcommand_breakz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1680z00zzcommand_breakz00, BgL_bgl_string1680za700za7za7c1730za7, "Set footprint at specified line or function.\nArgument may be line number, function name, or \"*\" and an address.\nIf line number is specified, break at start of code for that line.\nIf function is specified, footprint at start of code for that function.\nIf an address is specified, footprint at that exact address.\nWith no arg, uses current execution address of selected stack frame.\nThis is useful for footprinting on return to a stack frame.\n\nIf the function name is upper case, then a footprint to a Bigloo\nfunction is set. Otherwise, the name is considered as a C identifier.", 576 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1674z00zzcommand_breakz00, BgL_bgl_za762za7c3za704anonymo1731za7, BGl_z62zc3z04anonymousza31101ze3ze5zzcommand_breakz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1681z00zzcommand_breakz00, BgL_bgl_string1681za700za7za7c1732za7, "tfootprint", 10 );
DEFINE_STRING( BGl_string1683z00zzcommand_breakz00, BgL_bgl_string1683za700za7za7c1733za7, "Set a temporary footprint  Args like \"footprint\" command.\nLike \"footprint\" except the footprint is only temporary,\nso it will be deleted when hit.", 146 );
DEFINE_STRING( BGl_string1684z00zzcommand_breakz00, BgL_bgl_string1684za700za7za7c1734za7, "in ", 3 );
DEFINE_STRING( BGl_string1685z00zzcommand_breakz00, BgL_bgl_string1685za700za7za7c1735za7, "No breakpoints or watchpoints.\n", 31 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1679z00zzcommand_breakz00, BgL_bgl_za762za7c3za704anonymo1736za7, BGl_z62zc3z04anonymousza31103ze3ze5zzcommand_breakz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1686z00zzcommand_breakz00, BgL_bgl_string1686za700za7za7c1737za7, "display-breakpoint-table", 24 );
DEFINE_STRING( BGl_string1687z00zzcommand_breakz00, BgL_bgl_string1687za700za7za7c1738za7, "Illegal table", 13 );
DEFINE_STRING( BGl_string1688z00zzcommand_breakz00, BgL_bgl_string1688za700za7za7c1739za7, "commands\nsilent\ncall puts(\"", 27 );
DEFINE_STRING( BGl_string1689z00zzcommand_breakz00, BgL_bgl_string1689za700za7za7c1740za7, "\")\ncontinue\nend", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1682z00zzcommand_breakz00, BgL_bgl_za762za7c3za704anonymo1741za7, BGl_z62zc3z04anonymousza31108ze3ze5zzcommand_breakz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1690z00zzcommand_breakz00, BgL_bgl_string1690za700za7za7c1742za7, " ", 1 );
DEFINE_STRING( BGl_string1691z00zzcommand_breakz00, BgL_bgl_string1691za700za7za7c1743za7, "Can't find Bigloo identifier", 28 );
DEFINE_STRING( BGl_string1692z00zzcommand_breakz00, BgL_bgl_string1692za700za7za7c1744za7, "Junk at end of arguments.", 25 );
DEFINE_STRING( BGl_string1693z00zzcommand_breakz00, BgL_bgl_string1693za700za7za7c1745za7, "\tstop only if ", 14 );
DEFINE_STRING( BGl_string1694z00zzcommand_breakz00, BgL_bgl_string1694za700za7za7c1746za7, "        silent", 14 );
DEFINE_STRING( BGl_string1695z00zzcommand_breakz00, BgL_bgl_string1695za700za7za7c1747za7, "        continue", 16 );
DEFINE_STRING( BGl_string1696z00zzcommand_breakz00, BgL_bgl_string1696za700za7za7c1748za7, "        call puts(\"", 19 );
DEFINE_STRING( BGl_string1697z00zzcommand_breakz00, BgL_bgl_string1697za700za7za7c1749za7, "cond ", 5 );
DEFINE_STRING( BGl_string1698z00zzcommand_breakz00, BgL_bgl_string1698za700za7za7c1750za7, "WARNING: THE CONDITION EXPRESSION OF THE BREAKPOINT", 51 );
DEFINE_STRING( BGl_string1699z00zzcommand_breakz00, BgL_bgl_string1699za700za7za7c1751za7, "IS NOT DEMANGLED IN THE ENVIRONMENT OF THE BREAKPOINT", 53 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_displayzd2breakpointzd2tablezd2envzd2zzcommand_breakz00, BgL_bgl_za762displayza7d2bre1752z00, BGl_z62displayzd2breakpointzd2tablez62zzcommand_breakz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_breakpointzd2changedzf3zd2envzf3zzcommand_breakz00, BgL_bgl_za762breakpointza7d21753z00, BGl_z62breakpointzd2changedzf3z43zzcommand_breakz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_breakzd2footprintzd2envz00zzcommand_breakz00, BgL_bgl_za762breakza7d2footp1754z00, BGl_z62breakzd2footprintzb0zzcommand_breakz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_breakpointzd2changedz12zd2envz12zzcommand_breakz00, BgL_bgl_za762breakpointza7d21755z00, BGl_z62breakpointzd2changedz12za2zzcommand_breakz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_breakzd2conditionzd2envz00zzcommand_breakz00, BgL_bgl_za762breakza7d2condi1756z00, BGl_z62breakzd2conditionzb0zzcommand_breakz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zzcommand_breakz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcommand_breakz00(long BgL_checksumz00_924, char * BgL_fromz00_925)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcommand_breakz00))
{ 
BGl_requirezd2initializa7ationz75zzcommand_breakz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zzcommand_breakz00(); 
BGl_libraryzd2moduleszd2initz00zzcommand_breakz00(); 
BGl_cnstzd2initzd2zzcommand_breakz00(); 
BGl_importedzd2moduleszd2initz00zzcommand_breakz00(); 
return 
BGl_toplevelzd2initzd2zzcommand_breakz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcommand_breakz00()
{
{ /* Command/break.scm 16 */
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "command_break"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "command_break"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "command_break"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "command_break"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "command_break"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "command_break"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "command_break"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "command_break"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "command_break"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "command_break"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcommand_breakz00()
{
{ /* Command/break.scm 16 */
{ /* Command/break.scm 16 */
 obj_t BgL_cportz00_893;
{ /* Command/break.scm 16 */
 obj_t BgL_stringz00_901;
BgL_stringz00_901 = BGl_string1703z00zzcommand_breakz00; 
{ /* Command/break.scm 16 */
 obj_t BgL_startz00_902;
BgL_startz00_902 = 
BINT(((long)0)); 
{ /* Command/break.scm 16 */
 obj_t BgL_endz00_903;
BgL_endz00_903 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_901))); 
{ /* Command/break.scm 16 */

BgL_cportz00_893 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_901, BgL_startz00_902, BgL_endz00_903); } } } } 
{ 
 long BgL_iz00_894;
BgL_iz00_894 = ((long)1); 
BgL_loopz00_895:
if(
(BgL_iz00_894==((long)-1)))
{ /* Command/break.scm 16 */
return BUNSPEC;}  else 
{ /* Command/break.scm 16 */
{ /* Command/break.scm 16 */
 obj_t BgL_arg1706z00_897;
{ /* Command/break.scm 16 */

{ /* Command/break.scm 16 */
 obj_t BgL_locationz00_899;
BgL_locationz00_899 = 
BBOOL(((bool_t)0)); 
{ /* Command/break.scm 16 */

BgL_arg1706z00_897 = 
BGl_readz00zz__readerz00(BgL_cportz00_893, BgL_locationz00_899); } } } 
{ /* Command/break.scm 16 */
 int BgL_tmpz00_953;
BgL_tmpz00_953 = 
(int)(BgL_iz00_894); 
CNST_TABLE_SET(BgL_tmpz00_953, BgL_arg1706z00_897); } } 
{ /* Command/break.scm 16 */
 int BgL_auxz00_900;
BgL_auxz00_900 = 
(int)(
(BgL_iz00_894-((long)1))); 
{ 
 long BgL_iz00_958;
BgL_iz00_958 = 
(long)(BgL_auxz00_900); 
BgL_iz00_894 = BgL_iz00_958; 
goto BgL_loopz00_895;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zzcommand_breakz00()
{
{ /* Command/break.scm 16 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcommand_breakz00()
{
{ /* Command/break.scm 16 */
BGl_za2breakpointzd2changedzf3za2z21zzcommand_breakz00 = ((bool_t)0); 
BGl_bindzd2toplevelzd2commandz12z12zzcommand_commandz00(BGl_string1661z00zzcommand_breakz00, 
(int)(((long)1)), BGl_proc1662z00zzcommand_breakz00, BGl_string1663z00zzcommand_breakz00); 
BGl_bindzd2toplevelzd2commandz12z12zzcommand_commandz00(BGl_string1664z00zzcommand_breakz00, 
(int)(((long)2)), BGl_proc1665z00zzcommand_breakz00, BGl_string1666z00zzcommand_breakz00); 
BGl_bindzd2toplevelzd2commandz12z12zzcommand_commandz00(BGl_string1667z00zzcommand_breakz00, 
(int)(((long)1)), BGl_proc1668z00zzcommand_breakz00, BGl_string1669z00zzcommand_breakz00); 
BGl_bindzd2toplevelzd2commandz12z12zzcommand_commandz00(BGl_string1670z00zzcommand_breakz00, 
(int)(((long)2)), BGl_proc1671z00zzcommand_breakz00, BGl_string1672z00zzcommand_breakz00); 
BGl_bindzd2toplevelzd2commandz12z12zzcommand_commandz00(BGl_string1673z00zzcommand_breakz00, 
(int)(((long)3)), BGl_proc1674z00zzcommand_breakz00, BGl_string1675z00zzcommand_breakz00); 
BGl_bindzd2toplevelzd2commandz12z12zzcommand_commandz00(BGl_string1676z00zzcommand_breakz00, 
(int)(((long)4)), BGl_conditionzd2parserzd2envz00zzcommand_breakz00, BGl_string1677z00zzcommand_breakz00); 
BGl_bindzd2toplevelzd2commandz12z12zzcommand_commandz00(BGl_string1678z00zzcommand_breakz00, 
(int)(((long)3)), BGl_proc1679z00zzcommand_breakz00, BGl_string1680z00zzcommand_breakz00); 
return 
BGl_bindzd2toplevelzd2commandz12z12zzcommand_commandz00(BGl_string1681z00zzcommand_breakz00, 
(int)(((long)4)), BGl_proc1682z00zzcommand_breakz00, BGl_string1683z00zzcommand_breakz00);} 

}



/* &<@anonymous:1108> */
obj_t BGl_z62zc3z04anonymousza31108ze3ze5zzcommand_breakz00(obj_t BgL_envz00_842, obj_t BgL_cmdzd2listzd2_843, obj_t BgL_sourcez00_844, obj_t BgL_levelz00_845, obj_t BgL_envz00_846)
{
{ /* Command/break.scm 535 */
return 
BGl_footprintzd2commandzd2parsez00zzcommand_breakz00(BGl_string1664z00zzcommand_breakz00, BgL_cmdzd2listzd2_843, BgL_sourcez00_844, 
CINT(BgL_levelz00_845), BgL_envz00_846);} 

}



/* &<@anonymous:1103> */
obj_t BGl_z62zc3z04anonymousza31103ze3ze5zzcommand_breakz00(obj_t BgL_envz00_847, obj_t BgL_cmdzd2listzd2_848, obj_t BgL_sourcez00_849, obj_t BgL_levelz00_850, obj_t BgL_envz00_851)
{
{ /* Command/break.scm 513 */
return 
BGl_footprintzd2commandzd2parsez00zzcommand_breakz00(BGl_string1661z00zzcommand_breakz00, BgL_cmdzd2listzd2_848, BgL_sourcez00_849, 
CINT(BgL_levelz00_850), BgL_envz00_851);} 

}



/* &<@anonymous:1101> */
obj_t BGl_z62zc3z04anonymousza31101ze3ze5zzcommand_breakz00(obj_t BgL_envz00_852, obj_t BgL_cmdzd2listzd2_853, obj_t BgL_sourcez00_854, obj_t BgL_levelz00_855, obj_t BgL_envz00_856)
{
{ /* Command/break.scm 477 */
BGl_za2breakpointzd2changedzf3za2z21zzcommand_breakz00 = ((bool_t)1); 
{ /* Command/break.scm 419 */
 obj_t BgL_arg1657z00_905;
{ /* Command/break.scm 419 */
 obj_t BgL_list1658z00_906;
BgL_list1658z00_906 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_sourcez00_854), BNIL); 
BgL_arg1657z00_905 = 
BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(BgL_list1658z00_906); } 
return 
BGl_consolezd2echozd2zztools_ioz00(BgL_arg1657z00_905);} } 

}



/* &<@anonymous:1099> */
obj_t BGl_z62zc3z04anonymousza31099ze3ze5zzcommand_breakz00(obj_t BgL_envz00_857, obj_t BgL_cmdzd2listzd2_858, obj_t BgL_sourcez00_859, obj_t BgL_levelz00_860, obj_t BgL_envz00_861)
{
{ /* Command/break.scm 451 */
BGl_za2breakpointzd2changedzf3za2z21zzcommand_breakz00 = ((bool_t)1); 
{ /* Command/break.scm 419 */
 obj_t BgL_arg1657z00_907;
{ /* Command/break.scm 419 */
 obj_t BgL_list1658z00_908;
BgL_list1658z00_908 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_sourcez00_859), BNIL); 
BgL_arg1657z00_907 = 
BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(BgL_list1658z00_908); } 
return 
BGl_consolezd2echozd2zztools_ioz00(BgL_arg1657z00_907);} } 

}



/* &<@anonymous:1097> */
obj_t BGl_z62zc3z04anonymousza31097ze3ze5zzcommand_breakz00(obj_t BgL_envz00_862, obj_t BgL_cmdzd2listzd2_863, obj_t BgL_sourcez00_864, obj_t BgL_levelz00_865, obj_t BgL_envz00_866)
{
{ /* Command/break.scm 426 */
BGl_za2breakpointzd2changedzf3za2z21zzcommand_breakz00 = ((bool_t)1); 
{ /* Command/break.scm 419 */
 obj_t BgL_arg1657z00_909;
{ /* Command/break.scm 419 */
 obj_t BgL_list1658z00_910;
BgL_list1658z00_910 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_sourcez00_864), BNIL); 
BgL_arg1657z00_909 = 
BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(BgL_list1658z00_910); } 
return 
BGl_consolezd2echozd2zztools_ioz00(BgL_arg1657z00_909);} } 

}



/* &<@anonymous:1095> */
obj_t BGl_z62zc3z04anonymousza31095ze3ze5zzcommand_breakz00(obj_t BgL_envz00_867, obj_t BgL_cmdzd2listzd2_868, obj_t BgL_sourcez00_869, obj_t BgL_levelz00_870, obj_t BgL_envz00_871)
{
{ /* Command/break.scm 400 */
return 
BGl_breakzd2commandzd2parsez00zzcommand_breakz00(BGl_string1664z00zzcommand_breakz00, BgL_cmdzd2listzd2_868, BgL_sourcez00_869, 
CINT(BgL_levelz00_870), BgL_envz00_871);} 

}



/* &<@anonymous:1088> */
obj_t BGl_z62zc3z04anonymousza31088ze3ze5zzcommand_breakz00(obj_t BgL_envz00_872, obj_t BgL_cmdzd2listzd2_873, obj_t BgL_sourcez00_874, obj_t BgL_levelz00_875, obj_t BgL_envz00_876)
{
{ /* Command/break.scm 374 */
return 
BGl_breakzd2commandzd2parsez00zzcommand_breakz00(BGl_string1661z00zzcommand_breakz00, BgL_cmdzd2listzd2_873, BgL_sourcez00_874, 
CINT(BgL_levelz00_875), BgL_envz00_876);} 

}



/* breakpoint-changed? */
BGL_EXPORTED_DEF bool_t BGl_breakpointzd2changedzf3z21zzcommand_breakz00()
{
{ /* Command/break.scm 46 */
return BGl_za2breakpointzd2changedzf3za2z21zzcommand_breakz00;} 

}



/* &breakpoint-changed? */
obj_t BGl_z62breakpointzd2changedzf3z43zzcommand_breakz00(obj_t BgL_envz00_882)
{
{ /* Command/break.scm 46 */
return 
BBOOL(
BGl_breakpointzd2changedzf3z21zzcommand_breakz00());} 

}



/* breakpoint-changed! */
BGL_EXPORTED_DEF obj_t BGl_breakpointzd2changedz12zc0zzcommand_breakz00()
{
{ /* Command/break.scm 52 */
return ( 
BGl_za2breakpointzd2changedzf3za2z21zzcommand_breakz00 = ((bool_t)1), BUNSPEC) ;} 

}



/* &breakpoint-changed! */
obj_t BGl_z62breakpointzd2changedz12za2zzcommand_breakz00(obj_t BgL_envz00_883)
{
{ /* Command/break.scm 52 */
return 
BGl_breakpointzd2changedz12zc0zzcommand_breakz00();} 

}



/* display-breakpoint-table */
BGL_EXPORTED_DEF obj_t BGl_displayzd2breakpointzd2tablez00zzcommand_breakz00(obj_t BgL_tablez00_3)
{
{ /* Command/break.scm 64 */
{ 
 obj_t BgL_headersz00_84; obj_t BgL_recordsz00_85;
if(
PAIRP(BgL_tablez00_3))
{ /* Command/break.scm 67 */
 obj_t BgL_arg1115z00_91; obj_t BgL_arg1117z00_92;
BgL_arg1115z00_91 = 
CAR(BgL_tablez00_3); 
BgL_arg1117z00_92 = 
CDR(BgL_tablez00_3); 
{ /* Command/break.scm 67 */
 bool_t BgL_tmpz00_1004;
BgL_headersz00_84 = BgL_arg1115z00_91; 
BgL_recordsz00_85 = BgL_arg1117z00_92; 
{ 
 obj_t BgL_valuez00_102; obj_t BgL_headersz00_125; obj_t BgL_recordz00_149; long BgL_lenz00_150;
BgL_headersz00_125 = BgL_headersz00_84; 
{ /* Command/break.scm 91 */
 obj_t BgL_g1063z00_127;
BgL_g1063z00_127 = 
CNST_TABLE_REF(((long)0)); 
{ 
 obj_t BgL_ll1060z00_522; obj_t BgL_ll1061z00_523;
BgL_ll1060z00_522 = BgL_headersz00_125; 
BgL_ll1061z00_523 = BgL_g1063z00_127; 
BgL_zc3z04anonymousza31141ze3z87_521:
if(
NULLP(BgL_ll1060z00_522))
{ /* Command/break.scm 91 */((bool_t)1); }  else 
{ /* Command/break.scm 91 */
{ /* Command/break.scm 91 */
 obj_t BgL_xz00_530; obj_t BgL_wz00_531;
BgL_xz00_530 = 
CAR(
((obj_t)BgL_ll1060z00_522)); 
BgL_wz00_531 = 
CAR(
((obj_t)BgL_ll1061z00_523)); 
BGl_displayzf2widthze70z15zzcommand_breakz00(BgL_xz00_530, BgL_wz00_531); } 
{ /* Command/break.scm 91 */
 obj_t BgL_arg1143z00_532; obj_t BgL_arg1144z00_533;
BgL_arg1143z00_532 = 
CDR(
((obj_t)BgL_ll1060z00_522)); 
BgL_arg1144z00_533 = 
CDR(
((obj_t)BgL_ll1061z00_523)); 
{ 
 obj_t BgL_ll1061z00_1018; obj_t BgL_ll1060z00_1017;
BgL_ll1060z00_1017 = BgL_arg1143z00_532; 
BgL_ll1061z00_1018 = BgL_arg1144z00_533; 
BgL_ll1061z00_523 = BgL_ll1061z00_1018; 
BgL_ll1060z00_522 = BgL_ll1060z00_1017; 
goto BgL_zc3z04anonymousza31141ze3z87_521;} } } } } 
BGl_consolezd2newlinezd2zztools_ioz00(); 
{ /* Command/break.scm 135 */
 long BgL_arg1119z00_101;
BgL_arg1119z00_101 = 
bgl_list_length(BgL_headersz00_84); 
{ 
 obj_t BgL_l1066z00_627;
BgL_l1066z00_627 = BgL_recordsz00_85; 
BgL_zc3z04anonymousza31184ze3z87_626:
if(
PAIRP(BgL_l1066z00_627))
{ /* Command/break.scm 132 */
BgL_recordz00_149 = 
CAR(BgL_l1066z00_627); 
BgL_lenz00_150 = BgL_arg1119z00_101; 
{ /* Command/break.scm 104 */
 obj_t BgL_g1049z00_152;
BgL_g1049z00_152 = 
CNST_TABLE_REF(((long)0)); 
{ 
 long BgL_iz00_154; obj_t BgL_recordz00_155; obj_t BgL_tabbingz00_156;
BgL_iz00_154 = ((long)0); 
BgL_recordz00_155 = BgL_recordz00_149; 
BgL_tabbingz00_156 = BgL_g1049z00_152; 
BgL_zc3z04anonymousza31151ze3z87_157:
if(
(BgL_iz00_154==BgL_lenz00_150))
{ /* Command/break.scm 108 */
BGl_consolezd2newlinezd2zztools_ioz00(); 
{ 
 obj_t BgL_l1064z00_569;
BgL_l1064z00_569 = BgL_recordz00_155; 
BgL_zc3z04anonymousza31153ze3z87_568:
if(
PAIRP(BgL_l1064z00_569))
{ /* Command/break.scm 111 */
{ /* Command/break.scm 112 */
 obj_t BgL_xz00_574;
BgL_xz00_574 = 
CAR(BgL_l1064z00_569); 
BGl_consolezd2echozd2zztools_ioz00(BgL_xz00_574); 
BGl_consolezd2newlinezd2zztools_ioz00(); } 
{ 
 obj_t BgL_l1064z00_1032;
BgL_l1064z00_1032 = 
CDR(BgL_l1064z00_569); 
BgL_l1064z00_569 = BgL_l1064z00_1032; 
goto BgL_zc3z04anonymousza31153ze3z87_568;} }  else 
{ /* Command/break.scm 111 */((bool_t)1); } } }  else 
{ /* Command/break.scm 108 */
if(
(BgL_iz00_154==
(BgL_lenz00_150-((long)1))))
{ /* Command/break.scm 116 */
 obj_t BgL_tabz00_168;
if(
PAIRP(BgL_tabbingz00_156))
{ /* Command/break.scm 116 */
BgL_tabz00_168 = 
CAR(BgL_tabbingz00_156); }  else 
{ /* Command/break.scm 116 */
BgL_tabz00_168 = 
BINT(((long)0)); } 
{ /* Command/break.scm 117 */
 obj_t BgL_valuez00_169;
{ /* Command/break.scm 118 */
 obj_t BgL_arg1162z00_171;
BgL_arg1162z00_171 = 
CAR(
((obj_t)BgL_recordz00_155)); 
BgL_valuez00_102 = BgL_arg1162z00_171; 
{ /* Command/break.scm 72 */
 obj_t BgL_identz00_104;
BgL_identz00_104 = 
BGl_stringzd2untilzd2atz00zztools_toolsz00(BgL_valuez00_102, 
(int)(((long)3)), 
(char)(((unsigned char)' ')), 
(int)(((long)0))); 
{ /* Command/break.scm 72 */
 obj_t BgL_scmzd2identzd2_105;
BgL_scmzd2identzd2_105 = 
BGl_bdbzd2demanglezd2zzpatient_manglingz00(BgL_identz00_104); 
{ /* Command/break.scm 73 */
 obj_t BgL_startz00_106;
BgL_startz00_106 = 
BGl_stringzd2fromzd2atz00zztools_toolsz00(BgL_valuez00_102, 
(int)(((long)3)), 
(char)(((unsigned char)' ')), 
(int)(((long)1))); 
{ /* Command/break.scm 74 */

if(
(
STRING_LENGTH(BgL_startz00_106)>=((long)3)))
{ /* Command/break.scm 76 */
 obj_t BgL_locz00_109;
BgL_locz00_109 = 
c_substring(BgL_startz00_106, ((long)3), 
STRING_LENGTH(BgL_startz00_106)); 
{ /* Command/break.scm 77 */
 obj_t BgL_val0_1056z00_110;
if(
STRINGP(BgL_scmzd2identzd2_105))
{ /* Command/break.scm 78 */
BgL_val0_1056z00_110 = 
string_append_3(BGl_string1684z00zzcommand_breakz00, BgL_scmzd2identzd2_105, 
BGl_stringzd2fromzd2atz00zztools_toolsz00(BgL_valuez00_102, 
(int)(((long)3)), 
(char)(((unsigned char)' ')), 
(int)(((long)0)))); }  else 
{ /* Command/break.scm 78 */
BgL_val0_1056z00_110 = BgL_valuez00_102; } 
{ /* Command/break.scm 77 */
 int BgL_tmpz00_1064;
BgL_tmpz00_1064 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1064); } 
{ /* Command/break.scm 77 */
 int BgL_tmpz00_1067;
BgL_tmpz00_1067 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1067, BgL_locz00_109); } 
BgL_valuez00_169 = BgL_val0_1056z00_110; } }  else 
{ /* Command/break.scm 75 */
{ /* Command/break.scm 84 */
 int BgL_tmpz00_1070;
BgL_tmpz00_1070 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1070); } 
{ /* Command/break.scm 84 */
 int BgL_tmpz00_1073;
BgL_tmpz00_1073 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1073, BFALSE); } 
BgL_valuez00_169 = BgL_valuez00_102; } } } } } } 
{ /* Command/break.scm 118 */
 obj_t BgL_locz00_170;
{ /* Command/break.scm 119 */
 obj_t BgL_tmpz00_583;
{ /* Command/break.scm 119 */
 int BgL_tmpz00_1076;
BgL_tmpz00_1076 = 
(int)(((long)1)); 
BgL_tmpz00_583 = 
BGL_MVALUES_VAL(BgL_tmpz00_1076); } 
{ /* Command/break.scm 119 */
 int BgL_tmpz00_1079;
BgL_tmpz00_1079 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1079, BUNSPEC); } 
BgL_locz00_170 = BgL_tmpz00_583; } 
if(
CBOOL(BgL_locz00_170))
{ /* Command/break.scm 96 */
 long BgL_addz00_584;
BgL_addz00_584 = 
(
(long)CINT(BgL_tabz00_168)-
STRING_LENGTH(
((obj_t)BgL_valuez00_169))); 
BGl_consolezd2echozd2editz00zztools_ioz00(BgL_valuez00_169, BgL_locz00_170); 
if(
(BgL_addz00_584>((long)0)))
{ /* Command/break.scm 98 */
BGl_consolezd2echozd2zztools_ioz00(
make_string(BgL_addz00_584, ((unsigned char)' '))); }  else 
{ /* Command/break.scm 98 */BFALSE; } }  else 
{ /* Command/break.scm 119 */
BGl_displayzf2widthze70z15zzcommand_breakz00(BgL_valuez00_169, BgL_tabz00_168); } } } 
{ /* Command/break.scm 122 */
 long BgL_arg1163z00_172; obj_t BgL_arg1167z00_173; obj_t BgL_arg1171z00_174;
BgL_arg1163z00_172 = 
(BgL_iz00_154+((long)1)); 
BgL_arg1167z00_173 = 
CDR(
((obj_t)BgL_recordz00_155)); 
BgL_arg1171z00_174 = 
CDR(
((obj_t)BgL_tabbingz00_156)); 
{ 
 obj_t BgL_tabbingz00_1101; obj_t BgL_recordz00_1100; long BgL_iz00_1099;
BgL_iz00_1099 = BgL_arg1163z00_172; 
BgL_recordz00_1100 = BgL_arg1167z00_173; 
BgL_tabbingz00_1101 = BgL_arg1171z00_174; 
BgL_tabbingz00_156 = BgL_tabbingz00_1101; 
BgL_recordz00_155 = BgL_recordz00_1100; 
BgL_iz00_154 = BgL_iz00_1099; 
goto BgL_zc3z04anonymousza31151ze3z87_157;} } }  else 
{ /* Command/break.scm 126 */
 obj_t BgL_tabz00_176;
if(
PAIRP(BgL_tabbingz00_156))
{ /* Command/break.scm 126 */
BgL_tabz00_176 = 
CAR(BgL_tabbingz00_156); }  else 
{ /* Command/break.scm 126 */
BgL_tabz00_176 = 
BINT(((long)0)); } 
{ /* Command/break.scm 127 */
 obj_t BgL_arg1175z00_177;
BgL_arg1175z00_177 = 
CAR(
((obj_t)BgL_recordz00_155)); 
BGl_displayzf2widthze70z15zzcommand_breakz00(BgL_arg1175z00_177, BgL_tabz00_176); } 
{ /* Command/break.scm 128 */
 long BgL_arg1177z00_178; obj_t BgL_arg1179z00_179; obj_t BgL_arg1180z00_180;
BgL_arg1177z00_178 = 
(BgL_iz00_154+((long)1)); 
BgL_arg1179z00_179 = 
CDR(
((obj_t)BgL_recordz00_155)); 
BgL_arg1180z00_180 = 
CDR(
((obj_t)BgL_tabbingz00_156)); 
{ 
 obj_t BgL_tabbingz00_1116; obj_t BgL_recordz00_1115; long BgL_iz00_1114;
BgL_iz00_1114 = BgL_arg1177z00_178; 
BgL_recordz00_1115 = BgL_arg1179z00_179; 
BgL_tabbingz00_1116 = BgL_arg1180z00_180; 
BgL_tabbingz00_156 = BgL_tabbingz00_1116; 
BgL_recordz00_155 = BgL_recordz00_1115; 
BgL_iz00_154 = BgL_iz00_1114; 
goto BgL_zc3z04anonymousza31151ze3z87_157;} } } } } } 
{ 
 obj_t BgL_l1066z00_1118;
BgL_l1066z00_1118 = 
CDR(BgL_l1066z00_627); 
BgL_l1066z00_627 = BgL_l1066z00_1118; 
goto BgL_zc3z04anonymousza31184ze3z87_626;} }  else 
{ /* Command/break.scm 132 */
BgL_tmpz00_1004 = ((bool_t)1)
; } } } } 
return 
BBOOL(BgL_tmpz00_1004);} }  else 
{ /* Command/break.scm 67 */
if(
(BgL_tablez00_3==
CNST_TABLE_REF(((long)1))))
{ /* Command/break.scm 67 */
return 
BGl_consolezd2echozd2zztools_ioz00(BGl_string1685z00zzcommand_breakz00);}  else 
{ /* Command/break.scm 67 */
return 
BGl_errorz00zz__errorz00(BGl_string1686z00zzcommand_breakz00, BGl_string1687z00zzcommand_breakz00, BgL_tablez00_3);} } } } 

}



/* display/width~0 */
obj_t BGl_displayzf2widthze70z15zzcommand_breakz00(obj_t BgL_stringz00_118, obj_t BgL_widthz00_119)
{
{ /* Command/break.scm 89 */
{ /* Command/break.scm 86 */
 long BgL_addz00_485;
BgL_addz00_485 = 
(
(long)CINT(BgL_widthz00_119)-
STRING_LENGTH(
((obj_t)BgL_stringz00_118))); 
BGl_consolezd2echozd2zztools_ioz00(BgL_stringz00_118); 
if(
(BgL_addz00_485>((long)0)))
{ /* Command/break.scm 88 */
return 
BGl_consolezd2echozd2zztools_ioz00(
make_string(BgL_addz00_485, ((unsigned char)' ')));}  else 
{ /* Command/break.scm 88 */
return BFALSE;} } } 

}



/* &display-breakpoint-table */
obj_t BGl_z62displayzd2breakpointzd2tablez62zzcommand_breakz00(obj_t BgL_envz00_884, obj_t BgL_tablez00_885)
{
{ /* Command/break.scm 64 */
return 
BGl_displayzd2breakpointzd2tablez00zzcommand_breakz00(BgL_tablez00_885);} 

}



/* footprint-command-parse */
obj_t BGl_footprintzd2commandzd2parsez00zzcommand_breakz00(obj_t BgL_basez00_4, obj_t BgL_cmdz00_5, obj_t BgL_sourcez00_6, int BgL_levelz00_7, obj_t BgL_envz00_8)
{
{ /* Command/break.scm 149 */
{ /* Command/break.scm 154 */
 obj_t BgL_srcz00_204;
BgL_srcz00_204 = 
string_append(BgL_basez00_4, 
BGl_stringzd2fromzd2zztools_toolsz00(BgL_sourcez00_6, 
(char)(((unsigned char)' ')), 
(int)(((long)0)))); 
{ /* Command/break.scm 154 */
 obj_t BgL_msgz00_205;
{ 

if(
NULLP(BgL_cmdz00_5))
{ /* Command/break.scm 155 */
BGl_breakzd2commandzd2parsez00zzcommand_breakz00(BgL_basez00_4, BgL_cmdz00_5, BgL_srcz00_204, BgL_levelz00_7, BgL_envz00_8); 
{ /* Command/break.scm 158 */
 obj_t BgL_arg1206z00_225;
BgL_arg1206z00_225 = 
BGl_gensymz00zz__r4_symbols_6_4z00(BGl_string1678z00zzcommand_breakz00); 
{ /* Command/break.scm 158 */
 obj_t BgL_arg1457z00_642;
BgL_arg1457z00_642 = 
SYMBOL_TO_STRING(BgL_arg1206z00_225); 
BgL_msgz00_205 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1457z00_642); } } }  else 
{ /* Command/break.scm 155 */
if(
PAIRP(BgL_cmdz00_5))
{ /* Command/break.scm 155 */
if(
NULLP(
CDR(BgL_cmdz00_5)))
{ /* Command/break.scm 155 */
 obj_t BgL_arg1200z00_221;
BgL_arg1200z00_221 = 
CAR(BgL_cmdz00_5); 
BGl_breakzd2commandzd2parsez00zzcommand_breakz00(BgL_basez00_4, BgL_cmdz00_5, BgL_srcz00_204, BgL_levelz00_7, BgL_envz00_8); 
{ /* Command/break.scm 151 */
 obj_t BgL_pz00_656;
{ /* Command/break.scm 151 */

{ /* Command/break.scm 151 */

BgL_pz00_656 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
bgl_display_obj(BgL_arg1200z00_221, BgL_pz00_656); 
BgL_msgz00_205 = 
bgl_close_output_port(BgL_pz00_656); } }  else 
{ /* Command/break.scm 155 */
 obj_t BgL_arg1201z00_222; obj_t BgL_arg1202z00_223;
BgL_arg1201z00_222 = 
CAR(BgL_cmdz00_5); 
BgL_arg1202z00_223 = 
CDR(BgL_cmdz00_5); 
{ /* Command/break.scm 163 */
 obj_t BgL_arg1207z00_661;
{ /* Command/break.scm 163 */
 obj_t BgL_list1208z00_662;
BgL_list1208z00_662 = 
MAKE_YOUNG_PAIR(BgL_arg1201z00_222, BNIL); 
BgL_arg1207z00_661 = BgL_list1208z00_662; } 
BGl_breakzd2commandzd2parsez00zzcommand_breakz00(BgL_basez00_4, BgL_arg1207z00_661, BgL_srcz00_204, BgL_levelz00_7, BgL_envz00_8); } 
{ /* Command/break.scm 164 */
 obj_t BgL_arg1211z00_663;
BgL_arg1211z00_663 = 
CAR(
((obj_t)BgL_arg1202z00_223)); 
{ /* Command/break.scm 151 */
 obj_t BgL_pz00_666;
{ /* Command/break.scm 151 */

{ /* Command/break.scm 151 */

BgL_pz00_666 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
bgl_display_obj(BgL_arg1211z00_663, BgL_pz00_666); 
BgL_msgz00_205 = 
bgl_close_output_port(BgL_pz00_666); } } } }  else 
{ /* Command/break.scm 155 */
BgL_msgz00_205 = BFALSE; } } } 
{ /* Command/break.scm 155 */
 obj_t BgL_msgz00_206;
if(
CBOOL(BGl_za2bdbzd2fontificationzf3za2z21zzengine_paramz00))
{ /* Command/break.scm 165 */
BgL_msgz00_206 = 
string_append(BGl_za2footprintzd2markza2zd2zzengine_paramz00, BgL_msgz00_205); }  else 
{ /* Command/break.scm 165 */
BgL_msgz00_206 = BgL_msgz00_205; } 
{ /* Command/break.scm 165 */
 obj_t BgL_actionz00_207;
BgL_actionz00_207 = 
string_append_3(BGl_string1688z00zzcommand_breakz00, BgL_msgz00_206, BGl_string1689z00zzcommand_breakz00); 
{ /* Command/break.scm 168 */

if(
CBOOL(
BGl_gdbzd2annotatezd2errorzf3zf3zzgdb_annotatez00()))
{ /* Command/break.scm 171 */
return BFALSE;}  else 
{ /* Command/break.scm 172 */
 obj_t BgL_list1189z00_209;
BgL_list1189z00_209 = 
MAKE_YOUNG_PAIR(BgL_actionz00_207, BNIL); 
return 
BGl_gdbzd2serverzd2ze3stringze3zzgdb_invokez00(BgL_list1189z00_209);} } } } } } } 

}



/* break-command-parse */
obj_t BGl_breakzd2commandzd2parsez00zzcommand_breakz00(obj_t BgL_basez00_9, obj_t BgL_cmdz00_10, obj_t BgL_sourcez00_11, int BgL_levelz00_12, obj_t BgL_envz00_13)
{
{ /* Command/break.scm 184 */
{ 
 obj_t BgL_funz00_236;
if(
NULLP(BgL_cmdz00_10))
{ /* Command/break.scm 185 */
BGl_za2breakpointzd2changedzf3za2z21zzcommand_breakz00 = ((bool_t)1); 
{ /* Command/break.scm 190 */
 obj_t BgL_arg1226z00_673;
{ /* Command/break.scm 190 */
 obj_t BgL_list1227z00_674;
BgL_list1227z00_674 = 
MAKE_YOUNG_PAIR(BGl_string1661z00zzcommand_breakz00, BNIL); 
BgL_arg1226z00_673 = 
BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(BgL_list1227z00_674); } 
return 
BGl_consolezd2echozd2zztools_ioz00(BgL_arg1226z00_673);} }  else 
{ /* Command/break.scm 185 */
if(
PAIRP(BgL_cmdz00_10))
{ /* Command/break.scm 185 */
if(
NULLP(
CDR(BgL_cmdz00_10)))
{ /* Command/break.scm 185 */
BgL_funz00_236 = 
CAR(BgL_cmdz00_10); 
BGl_za2breakpointzd2changedzf3za2z21zzcommand_breakz00 = ((bool_t)1); 
if(
BGl_bigloozd2identzf3z21zztools_toolsz00(BgL_funz00_236))
{ /* Command/break.scm 196 */
 obj_t BgL_fposz00_251;
BgL_fposz00_251 = 
BGl_bigloozd2symbolzd2etagszd2sourcezd2locationz00zzbee_etagsz00(BgL_funz00_236); 
if(
STRINGP(BgL_fposz00_251))
{ /* Command/break.scm 201 */
 obj_t BgL_cmdz00_253;
BgL_cmdz00_253 = 
string_append_3(BgL_basez00_9, BGl_string1690z00zzcommand_breakz00, BgL_fposz00_251); 
{ /* Command/break.scm 202 */
 obj_t BgL_arg1230z00_254;
{ /* Command/break.scm 202 */
 obj_t BgL_list1231z00_255;
BgL_list1231z00_255 = 
MAKE_YOUNG_PAIR(BgL_cmdz00_253, BNIL); 
BgL_arg1230z00_254 = 
BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(BgL_list1231z00_255); } 
return 
BGl_consolezd2echozd2zztools_ioz00(BgL_arg1230z00_254);} }  else 
{ /* Command/break.scm 205 */
 obj_t BgL_czd2namezd2_256;
BgL_czd2namezd2_256 = 
BGl_bdbzd2manglezd2zzpatient_manglingz00(BgL_funz00_236); 
if(
STRINGP(BgL_czd2namezd2_256))
{ /* Command/break.scm 207 */
 obj_t BgL_cmdz00_258;
BgL_cmdz00_258 = 
string_append_3(BgL_basez00_9, BGl_string1690z00zzcommand_breakz00, BgL_czd2namezd2_256); 
{ /* Command/break.scm 208 */
 obj_t BgL_arg1234z00_259;
{ /* Command/break.scm 208 */
 obj_t BgL_list1235z00_260;
BgL_list1235z00_260 = 
MAKE_YOUNG_PAIR(BgL_cmdz00_258, BNIL); 
BgL_arg1234z00_259 = 
BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(BgL_list1235z00_260); } 
return 
BGl_consolezd2echozd2zztools_ioz00(BgL_arg1234z00_259);} }  else 
{ /* Command/break.scm 206 */
return 
BGl_bdbzd2errorzd2zztools_errorz00(BGl_string1661z00zzcommand_breakz00, BGl_string1691z00zzcommand_breakz00, BgL_funz00_236);} } }  else 
{ /* Command/break.scm 214 */
 obj_t BgL_arg1238z00_261;
{ /* Command/break.scm 214 */
 obj_t BgL_list1239z00_262;
BgL_list1239z00_262 = 
MAKE_YOUNG_PAIR(BgL_sourcez00_11, BNIL); 
BgL_arg1238z00_261 = 
BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(BgL_list1239z00_262); } 
return 
BGl_consolezd2echozd2zztools_ioz00(BgL_arg1238z00_261);} }  else 
{ /* Command/break.scm 185 */
 obj_t BgL_arg1224z00_246;
BgL_arg1224z00_246 = 
CDR(BgL_cmdz00_10); 
{ /* Command/break.scm 216 */
 obj_t BgL_arg1242z00_678;
BgL_arg1242z00_678 = 
CAR(
((obj_t)BgL_arg1224z00_246)); 
return 
BGl_parsezd2errorzd2zzcommand_parsez00(BGl_string1692z00zzcommand_breakz00, BgL_arg1242z00_678, BgL_sourcez00_11, 
(int)(((long)2)));} } }  else 
{ /* Command/break.scm 185 */
return BFALSE;} } } } 

}



/* break-condition */
BGL_EXPORTED_DEF obj_t BGl_breakzd2conditionzd2zzcommand_breakz00(obj_t BgL_recordsz00_14)
{
{ /* Command/break.scm 224 */
{ /* Command/break.scm 226 */

{ 
 obj_t BgL_recordsz00_267;
BgL_recordsz00_267 = BgL_recordsz00_14; 
BgL_zc3z04anonymousza31243ze3z87_268:
if(
NULLP(BgL_recordsz00_267))
{ /* Command/break.scm 229 */
return BFALSE;}  else 
{ /* Command/break.scm 231 */
 bool_t BgL_test1786z00_1212;
{ /* Command/break.scm 231 */
 obj_t BgL_string2z00_683;
BgL_string2z00_683 = 
CAR(
((obj_t)BgL_recordsz00_267)); 
BgL_test1786z00_1212 = 
bigloo_strncmp(BGl_string1693z00zzcommand_breakz00, BgL_string2z00_683, ((long)14)); } 
if(BgL_test1786z00_1212)
{ /* Command/break.scm 232 */
 obj_t BgL_arg1252z00_272; long BgL_arg1262z00_273;
BgL_arg1252z00_272 = 
CAR(
((obj_t)BgL_recordsz00_267)); 
{ /* Command/break.scm 234 */
 obj_t BgL_stringz00_687;
BgL_stringz00_687 = 
CAR(
((obj_t)BgL_recordsz00_267)); 
BgL_arg1262z00_273 = 
STRING_LENGTH(BgL_stringz00_687); } 
return 
c_substring(
((obj_t)BgL_arg1252z00_272), ((long)14), BgL_arg1262z00_273);}  else 
{ /* Command/break.scm 236 */
 obj_t BgL_arg1264z00_275;
BgL_arg1264z00_275 = 
CDR(
((obj_t)BgL_recordsz00_267)); 
{ 
 obj_t BgL_recordsz00_1225;
BgL_recordsz00_1225 = BgL_arg1264z00_275; 
BgL_recordsz00_267 = BgL_recordsz00_1225; 
goto BgL_zc3z04anonymousza31243ze3z87_268;} } } } } } 

}



/* &break-condition */
obj_t BGl_z62breakzd2conditionzb0zzcommand_breakz00(obj_t BgL_envz00_886, obj_t BgL_recordsz00_887)
{
{ /* Command/break.scm 224 */
return 
BGl_breakzd2conditionzd2zzcommand_breakz00(BgL_recordsz00_887);} 

}



/* break-footprint */
BGL_EXPORTED_DEF obj_t BGl_breakzd2footprintzd2zzcommand_breakz00(obj_t BgL_recordsz00_15)
{
{ /* Command/break.scm 243 */
if(
(
bgl_list_length(BgL_recordsz00_15)==((long)3)))
{ /* Command/break.scm 249 */

{ /* Command/break.scm 252 */
 bool_t BgL_test1788z00_1230;
{ /* Command/break.scm 252 */
 bool_t BgL_test1791z00_1231;
{ /* Command/break.scm 252 */
 obj_t BgL_arg1340z00_301;
BgL_arg1340z00_301 = 
CAR(
((obj_t)BgL_recordsz00_15)); 
{ /* Command/break.scm 252 */
 long BgL_l1z00_697;
BgL_l1z00_697 = 
STRING_LENGTH(
((obj_t)BgL_arg1340z00_301)); 
if(
(BgL_l1z00_697==((long)14)))
{ /* Command/break.scm 252 */
 int BgL_arg1289z00_700;
{ /* Command/break.scm 252 */
 char * BgL_auxz00_1241; char * BgL_tmpz00_1238;
BgL_auxz00_1241 = 
BSTRING_TO_STRING(BGl_string1694z00zzcommand_breakz00); 
BgL_tmpz00_1238 = 
BSTRING_TO_STRING(
((obj_t)BgL_arg1340z00_301)); 
BgL_arg1289z00_700 = 
memcmp(BgL_tmpz00_1238, BgL_auxz00_1241, BgL_l1z00_697); } 
BgL_test1791z00_1231 = 
(
(long)(BgL_arg1289z00_700)==((long)0)); }  else 
{ /* Command/break.scm 252 */
BgL_test1791z00_1231 = ((bool_t)0)
; } } } 
if(BgL_test1791z00_1231)
{ /* Command/break.scm 253 */
 bool_t BgL_test1793z00_1246;
{ /* Command/break.scm 253 */
 obj_t BgL_arg1339z00_300;
{ /* Command/break.scm 253 */
 obj_t BgL_pairz00_711;
{ /* Command/break.scm 253 */
 obj_t BgL_pairz00_710;
BgL_pairz00_710 = 
CDR(
((obj_t)BgL_recordsz00_15)); 
BgL_pairz00_711 = 
CDR(BgL_pairz00_710); } 
BgL_arg1339z00_300 = 
CAR(BgL_pairz00_711); } 
{ /* Command/break.scm 253 */
 long BgL_l1z00_714;
BgL_l1z00_714 = 
STRING_LENGTH(
((obj_t)BgL_arg1339z00_300)); 
if(
(BgL_l1z00_714==((long)16)))
{ /* Command/break.scm 253 */
 int BgL_arg1289z00_717;
{ /* Command/break.scm 253 */
 char * BgL_auxz00_1258; char * BgL_tmpz00_1255;
BgL_auxz00_1258 = 
BSTRING_TO_STRING(BGl_string1695z00zzcommand_breakz00); 
BgL_tmpz00_1255 = 
BSTRING_TO_STRING(
((obj_t)BgL_arg1339z00_300)); 
BgL_arg1289z00_717 = 
memcmp(BgL_tmpz00_1255, BgL_auxz00_1258, BgL_l1z00_714); } 
BgL_test1793z00_1246 = 
(
(long)(BgL_arg1289z00_717)==((long)0)); }  else 
{ /* Command/break.scm 253 */
BgL_test1793z00_1246 = ((bool_t)0)
; } } } 
if(BgL_test1793z00_1246)
{ /* Command/break.scm 254 */
 obj_t BgL_string2z00_728;
{ /* Command/break.scm 254 */
 obj_t BgL_pairz00_726;
BgL_pairz00_726 = 
CDR(
((obj_t)BgL_recordsz00_15)); 
BgL_string2z00_728 = 
CAR(BgL_pairz00_726); } 
BgL_test1788z00_1230 = 
bigloo_strncmp(BGl_string1696z00zzcommand_breakz00, BgL_string2z00_728, ((long)19)); }  else 
{ /* Command/break.scm 253 */
BgL_test1788z00_1230 = ((bool_t)0)
; } }  else 
{ /* Command/break.scm 252 */
BgL_test1788z00_1230 = ((bool_t)0)
; } } 
if(BgL_test1788z00_1230)
{ /* Command/break.scm 255 */
 obj_t BgL_arg1288z00_292; long BgL_arg1291z00_293;
{ /* Command/break.scm 255 */
 obj_t BgL_pairz00_733;
BgL_pairz00_733 = 
CDR(
((obj_t)BgL_recordsz00_15)); 
BgL_arg1288z00_292 = 
CAR(BgL_pairz00_733); } 
{ /* Command/break.scm 257 */
 long BgL_tmpz00_1270;
{ /* Command/break.scm 257 */
 obj_t BgL_stringz00_738;
{ /* Command/break.scm 257 */
 obj_t BgL_pairz00_737;
BgL_pairz00_737 = 
CDR(
((obj_t)BgL_recordsz00_15)); 
BgL_stringz00_738 = 
CAR(BgL_pairz00_737); } 
BgL_tmpz00_1270 = 
STRING_LENGTH(BgL_stringz00_738); } 
BgL_arg1291z00_293 = 
(BgL_tmpz00_1270-((long)2)); } 
return 
c_substring(
((obj_t)BgL_arg1288z00_292), ((long)19), BgL_arg1291z00_293);}  else 
{ /* Command/break.scm 252 */
return BFALSE;} } }  else 
{ /* Command/break.scm 244 */
return BFALSE;} } 

}



/* &break-footprint */
obj_t BGl_z62breakzd2footprintzb0zzcommand_breakz00(obj_t BgL_envz00_888, obj_t BgL_recordsz00_889)
{
{ /* Command/break.scm 243 */
return 
BGl_breakzd2footprintzd2zzcommand_breakz00(BgL_recordsz00_889);} 

}



/* compare-breakpoint-tables */
BGL_EXPORTED_DEF obj_t BGl_comparezd2breakpointzd2tablesz00zzcommand_breakz00(obj_t BgL_oldz00_16, obj_t BgL_newz00_17)
{
{ /* Command/break.scm 268 */
BGl_za2breakpointzd2changedzf3za2z21zzcommand_breakz00 = ((bool_t)0); 
if(
PAIRP(BgL_oldz00_16))
{ /* Command/break.scm 271 */
if(
PAIRP(BgL_newz00_17))
{ /* Command/break.scm 278 */
 obj_t BgL_g1051z00_305; obj_t BgL_g1052z00_306;
BgL_g1051z00_305 = 
CDR(BgL_oldz00_16); 
BgL_g1052z00_306 = 
CDR(BgL_newz00_17); 
{ 
 obj_t BgL_orecz00_311; obj_t BgL_nrecz00_312; obj_t BgL_removedz00_313; obj_t BgL_changedz00_314; obj_t BgL_addedz00_315;
BgL_orecz00_311 = BgL_g1051z00_305; 
BgL_nrecz00_312 = BgL_g1052z00_306; 
BgL_removedz00_313 = BNIL; 
BgL_changedz00_314 = BNIL; 
BgL_addedz00_315 = BNIL; 
BgL_zc3z04anonymousza31345ze3z87_316:
{ /* Command/break.scm 284 */
 bool_t BgL_test1799z00_1285;
if(
NULLP(BgL_orecz00_311))
{ /* Command/break.scm 284 */
BgL_test1799z00_1285 = 
NULLP(BgL_nrecz00_312)
; }  else 
{ /* Command/break.scm 284 */
BgL_test1799z00_1285 = ((bool_t)0)
; } 
if(BgL_test1799z00_1285)
{ /* Command/break.scm 284 */
{ /* Command/break.scm 285 */
 int BgL_tmpz00_1289;
BgL_tmpz00_1289 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1289); } 
{ /* Command/break.scm 285 */
 int BgL_tmpz00_1292;
BgL_tmpz00_1292 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1292, BgL_changedz00_314); } 
{ /* Command/break.scm 285 */
 int BgL_tmpz00_1295;
BgL_tmpz00_1295 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1295, BgL_addedz00_315); } 
return BgL_removedz00_313;}  else 
{ /* Command/break.scm 284 */
if(
NULLP(BgL_orecz00_311))
{ /* Command/break.scm 287 */
 obj_t BgL_val2_1082z00_325;
{ /* Command/break.scm 287 */
 obj_t BgL_headz00_748;
BgL_headz00_748 = 
MAKE_YOUNG_PAIR(BNIL, BgL_addedz00_315); 
{ 
 obj_t BgL_prevz00_750; obj_t BgL_tailz00_751;
BgL_prevz00_750 = BgL_headz00_748; 
BgL_tailz00_751 = 
((obj_t)BgL_nrecz00_312); 
BgL_loopz00_749:
if(
PAIRP(BgL_tailz00_751))
{ /* Command/break.scm 287 */
 obj_t BgL_newzd2prevzd2_757;
BgL_newzd2prevzd2_757 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_751), BgL_addedz00_315); 
SET_CDR(BgL_prevz00_750, BgL_newzd2prevzd2_757); 
{ 
 obj_t BgL_tailz00_1307; obj_t BgL_prevz00_1306;
BgL_prevz00_1306 = BgL_newzd2prevzd2_757; 
BgL_tailz00_1307 = 
CDR(BgL_tailz00_751); 
BgL_tailz00_751 = BgL_tailz00_1307; 
BgL_prevz00_750 = BgL_prevz00_1306; 
goto BgL_loopz00_749;} }  else 
{ /* Command/break.scm 287 */BNIL; } 
BgL_val2_1082z00_325 = 
CDR(BgL_headz00_748); } } 
{ /* Command/break.scm 287 */
 int BgL_tmpz00_1311;
BgL_tmpz00_1311 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1311); } 
{ /* Command/break.scm 287 */
 int BgL_tmpz00_1314;
BgL_tmpz00_1314 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1314, BgL_changedz00_314); } 
{ /* Command/break.scm 287 */
 int BgL_tmpz00_1317;
BgL_tmpz00_1317 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1317, BgL_val2_1082z00_325); } 
return BgL_removedz00_313;}  else 
{ /* Command/break.scm 286 */
if(
NULLP(BgL_nrecz00_312))
{ /* Command/break.scm 289 */
 obj_t BgL_val0_1083z00_327;
{ /* Command/break.scm 289 */
 obj_t BgL_headz00_765;
BgL_headz00_765 = 
MAKE_YOUNG_PAIR(BNIL, BgL_removedz00_313); 
{ 
 obj_t BgL_prevz00_767; obj_t BgL_tailz00_768;
BgL_prevz00_767 = BgL_headz00_765; 
BgL_tailz00_768 = 
((obj_t)BgL_orecz00_311); 
BgL_loopz00_766:
if(
PAIRP(BgL_tailz00_768))
{ /* Command/break.scm 289 */
 obj_t BgL_newzd2prevzd2_774;
BgL_newzd2prevzd2_774 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_768), BgL_removedz00_313); 
SET_CDR(BgL_prevz00_767, BgL_newzd2prevzd2_774); 
{ 
 obj_t BgL_tailz00_1329; obj_t BgL_prevz00_1328;
BgL_prevz00_1328 = BgL_newzd2prevzd2_774; 
BgL_tailz00_1329 = 
CDR(BgL_tailz00_768); 
BgL_tailz00_768 = BgL_tailz00_1329; 
BgL_prevz00_767 = BgL_prevz00_1328; 
goto BgL_loopz00_766;} }  else 
{ /* Command/break.scm 289 */BNIL; } 
BgL_val0_1083z00_327 = 
CDR(BgL_headz00_765); } } 
{ /* Command/break.scm 289 */
 int BgL_tmpz00_1333;
BgL_tmpz00_1333 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1333); } 
{ /* Command/break.scm 289 */
 int BgL_tmpz00_1336;
BgL_tmpz00_1336 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1336, BgL_changedz00_314); } 
{ /* Command/break.scm 289 */
 int BgL_tmpz00_1339;
BgL_tmpz00_1339 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1339, BgL_addedz00_315); } 
return BgL_val0_1083z00_327;}  else 
{ /* Command/break.scm 291 */
 obj_t BgL_oz00_330;
BgL_oz00_330 = 
CAR(
((obj_t)BgL_orecz00_311)); 
{ /* Command/break.scm 291 */
 obj_t BgL_nz00_331;
BgL_nz00_331 = 
CAR(
((obj_t)BgL_nrecz00_312)); 
{ /* Command/break.scm 292 */

{ 
 obj_t BgL_onz00_332; obj_t BgL_oez00_333; obj_t BgL_erz00_334;
if(
PAIRP(BgL_oz00_330))
{ /* Command/break.scm 293 */
 obj_t BgL_cdrzd2168zd2_339;
BgL_cdrzd2168zd2_339 = 
CDR(BgL_oz00_330); 
if(
PAIRP(BgL_cdrzd2168zd2_339))
{ /* Command/break.scm 293 */
 obj_t BgL_cdrzd2173zd2_341;
BgL_cdrzd2173zd2_341 = 
CDR(BgL_cdrzd2168zd2_339); 
if(
PAIRP(BgL_cdrzd2173zd2_341))
{ /* Command/break.scm 293 */
 obj_t BgL_cdrzd2177zd2_343;
BgL_cdrzd2177zd2_343 = 
CDR(BgL_cdrzd2173zd2_341); 
if(
PAIRP(BgL_cdrzd2177zd2_343))
{ /* Command/break.scm 293 */
BgL_onz00_332 = 
CAR(BgL_oz00_330); 
BgL_oez00_333 = 
CAR(BgL_cdrzd2177zd2_343); 
BgL_erz00_334 = 
CDR(BgL_cdrzd2177zd2_343); 
{ 
 obj_t BgL_nnz00_348; obj_t BgL_nez00_349; obj_t BgL_orz00_350;
if(
PAIRP(BgL_nz00_331))
{ /* Command/break.scm 293 */
 obj_t BgL_cdrzd2194zd2_355;
BgL_cdrzd2194zd2_355 = 
CDR(BgL_nz00_331); 
if(
PAIRP(BgL_cdrzd2194zd2_355))
{ /* Command/break.scm 293 */
 obj_t BgL_cdrzd2199zd2_357;
BgL_cdrzd2199zd2_357 = 
CDR(BgL_cdrzd2194zd2_355); 
if(
PAIRP(BgL_cdrzd2199zd2_357))
{ /* Command/break.scm 293 */
 obj_t BgL_cdrzd2203zd2_359;
BgL_cdrzd2203zd2_359 = 
CDR(BgL_cdrzd2199zd2_357); 
if(
PAIRP(BgL_cdrzd2203zd2_359))
{ /* Command/break.scm 293 */
BgL_nnz00_348 = 
CAR(BgL_nz00_331); 
BgL_nez00_349 = 
CAR(BgL_cdrzd2203zd2_359); 
BgL_orz00_350 = 
CDR(BgL_cdrzd2203zd2_359); 
{ /* Command/break.scm 297 */
 long BgL_onumz00_364; long BgL_nnumz00_365;
{ /* Command/break.scm 297 */
 char * BgL_tmpz00_1368;
BgL_tmpz00_1368 = 
BSTRING_TO_STRING(BgL_onz00_332); 
BgL_onumz00_364 = 
BGL_STRTOL(BgL_tmpz00_1368, ((long)0), ((long)10)); } 
{ /* Command/break.scm 298 */
 char * BgL_tmpz00_1371;
BgL_tmpz00_1371 = 
BSTRING_TO_STRING(BgL_nnz00_348); 
BgL_nnumz00_365 = 
BGL_STRTOL(BgL_tmpz00_1371, ((long)0), ((long)10)); } 
{ /* Command/break.scm 300 */
 bool_t BgL_test1816z00_1374;
if(
(BgL_onumz00_364==BgL_nnumz00_365))
{ /* Command/break.scm 301 */
 bool_t BgL_test1818z00_1377;
{ /* Command/break.scm 301 */
 long BgL_l1z00_787;
BgL_l1z00_787 = 
STRING_LENGTH(
((obj_t)BgL_oez00_333)); 
if(
(BgL_l1z00_787==
STRING_LENGTH(
((obj_t)BgL_nez00_349))))
{ /* Command/break.scm 301 */
 int BgL_arg1289z00_790;
{ /* Command/break.scm 301 */
 char * BgL_auxz00_1387; char * BgL_tmpz00_1384;
BgL_auxz00_1387 = 
BSTRING_TO_STRING(
((obj_t)BgL_nez00_349)); 
BgL_tmpz00_1384 = 
BSTRING_TO_STRING(
((obj_t)BgL_oez00_333)); 
BgL_arg1289z00_790 = 
memcmp(BgL_tmpz00_1384, BgL_auxz00_1387, BgL_l1z00_787); } 
BgL_test1818z00_1377 = 
(
(long)(BgL_arg1289z00_790)==((long)0)); }  else 
{ /* Command/break.scm 301 */
BgL_test1818z00_1377 = ((bool_t)0)
; } } 
if(BgL_test1818z00_1377)
{ /* Command/break.scm 301 */
BgL_test1816z00_1374 = 
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
BGl_breakzd2conditionzd2zzcommand_breakz00(BgL_erz00_334), 
BGl_breakzd2conditionzd2zzcommand_breakz00(BgL_orz00_350))
; }  else 
{ /* Command/break.scm 301 */
BgL_test1816z00_1374 = ((bool_t)0)
; } }  else 
{ /* Command/break.scm 300 */
BgL_test1816z00_1374 = ((bool_t)0)
; } 
if(BgL_test1816z00_1374)
{ /* Command/break.scm 305 */
 obj_t BgL_arg1414z00_371; obj_t BgL_arg1455z00_372;
BgL_arg1414z00_371 = 
CDR(
((obj_t)BgL_orecz00_311)); 
BgL_arg1455z00_372 = 
CDR(
((obj_t)BgL_nrecz00_312)); 
{ 
 obj_t BgL_nrecz00_1401; obj_t BgL_orecz00_1400;
BgL_orecz00_1400 = BgL_arg1414z00_371; 
BgL_nrecz00_1401 = BgL_arg1455z00_372; 
BgL_nrecz00_312 = BgL_nrecz00_1401; 
BgL_orecz00_311 = BgL_orecz00_1400; 
goto BgL_zc3z04anonymousza31345ze3z87_316;} }  else 
{ /* Command/break.scm 300 */
if(
(BgL_onumz00_364==BgL_nnumz00_365))
{ /* Command/break.scm 312 */
 obj_t BgL_arg1535z00_374; obj_t BgL_arg1536z00_375; obj_t BgL_arg1541z00_376;
BgL_arg1535z00_374 = 
CDR(
((obj_t)BgL_orecz00_311)); 
BgL_arg1536z00_375 = 
CDR(
((obj_t)BgL_nrecz00_312)); 
BgL_arg1541z00_376 = 
MAKE_YOUNG_PAIR(BgL_nz00_331, BgL_changedz00_314); 
{ 
 obj_t BgL_changedz00_1411; obj_t BgL_nrecz00_1410; obj_t BgL_orecz00_1409;
BgL_orecz00_1409 = BgL_arg1535z00_374; 
BgL_nrecz00_1410 = BgL_arg1536z00_375; 
BgL_changedz00_1411 = BgL_arg1541z00_376; 
BgL_changedz00_314 = BgL_changedz00_1411; 
BgL_nrecz00_312 = BgL_nrecz00_1410; 
BgL_orecz00_311 = BgL_orecz00_1409; 
goto BgL_zc3z04anonymousza31345ze3z87_316;} }  else 
{ /* Command/break.scm 310 */
if(
(BgL_onumz00_364<BgL_nnumz00_365))
{ /* Command/break.scm 319 */
 obj_t BgL_arg1554z00_378; obj_t BgL_arg1555z00_379;
BgL_arg1554z00_378 = 
CDR(
((obj_t)BgL_orecz00_311)); 
BgL_arg1555z00_379 = 
MAKE_YOUNG_PAIR(BgL_oz00_330, BgL_removedz00_313); 
{ 
 obj_t BgL_removedz00_1418; obj_t BgL_orecz00_1417;
BgL_orecz00_1417 = BgL_arg1554z00_378; 
BgL_removedz00_1418 = BgL_arg1555z00_379; 
BgL_removedz00_313 = BgL_removedz00_1418; 
BgL_orecz00_311 = BgL_orecz00_1417; 
goto BgL_zc3z04anonymousza31345ze3z87_316;} }  else 
{ /* Command/break.scm 317 */
if(
(BgL_onumz00_364>BgL_nnumz00_365))
{ /* Command/break.scm 327 */
 obj_t BgL_arg1563z00_381; obj_t BgL_arg1564z00_382;
BgL_arg1563z00_381 = 
CDR(
((obj_t)BgL_nrecz00_312)); 
BgL_arg1564z00_382 = 
MAKE_YOUNG_PAIR(BgL_nz00_331, BgL_addedz00_315); 
{ 
 obj_t BgL_addedz00_1425; obj_t BgL_nrecz00_1424;
BgL_nrecz00_1424 = BgL_arg1563z00_381; 
BgL_addedz00_1425 = BgL_arg1564z00_382; 
BgL_addedz00_315 = BgL_addedz00_1425; 
BgL_nrecz00_312 = BgL_nrecz00_1424; 
goto BgL_zc3z04anonymousza31345ze3z87_316;} }  else 
{ /* Command/break.scm 324 */
return BFALSE;} } } } } } }  else 
{ /* Command/break.scm 293 */
BgL_tagzd2185zd2_352:
{ /* Command/break.scm 332 */
 obj_t BgL_arg1574z00_387; obj_t BgL_arg1575z00_388;
BgL_arg1574z00_387 = 
CDR(
((obj_t)BgL_orecz00_311)); 
BgL_arg1575z00_388 = 
CDR(
((obj_t)BgL_nrecz00_312)); 
{ 
 obj_t BgL_nrecz00_1434; obj_t BgL_orecz00_1433;
BgL_orecz00_1433 = BgL_arg1574z00_387; 
BgL_nrecz00_1434 = BgL_arg1575z00_388; 
BgL_nrecz00_312 = BgL_nrecz00_1434; 
BgL_orecz00_311 = BgL_orecz00_1433; 
goto BgL_zc3z04anonymousza31345ze3z87_316;} } } }  else 
{ /* Command/break.scm 293 */
goto BgL_tagzd2185zd2_352;} }  else 
{ /* Command/break.scm 293 */
goto BgL_tagzd2185zd2_352;} }  else 
{ /* Command/break.scm 293 */
goto BgL_tagzd2185zd2_352;} } }  else 
{ /* Command/break.scm 293 */
BgL_tagzd2159zd2_336:
{ /* Command/break.scm 338 */
 obj_t BgL_arg1576z00_389; obj_t BgL_arg1590z00_390;
BgL_arg1576z00_389 = 
CDR(
((obj_t)BgL_orecz00_311)); 
BgL_arg1590z00_390 = 
CDR(
((obj_t)BgL_nrecz00_312)); 
{ 
 obj_t BgL_nrecz00_1443; obj_t BgL_orecz00_1442;
BgL_orecz00_1442 = BgL_arg1576z00_389; 
BgL_nrecz00_1443 = BgL_arg1590z00_390; 
BgL_nrecz00_312 = BgL_nrecz00_1443; 
BgL_orecz00_311 = BgL_orecz00_1442; 
goto BgL_zc3z04anonymousza31345ze3z87_316;} } } }  else 
{ /* Command/break.scm 293 */
goto BgL_tagzd2159zd2_336;} }  else 
{ /* Command/break.scm 293 */
goto BgL_tagzd2159zd2_336;} }  else 
{ /* Command/break.scm 293 */
goto BgL_tagzd2159zd2_336;} } } } } } } } } }  else 
{ /* Command/break.scm 276 */
 obj_t BgL_val0_1074z00_393;
BgL_val0_1074z00_393 = 
CDR(BgL_oldz00_16); 
{ /* Command/break.scm 276 */
 int BgL_tmpz00_1445;
BgL_tmpz00_1445 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1445); } 
{ /* Command/break.scm 276 */
 int BgL_tmpz00_1448;
BgL_tmpz00_1448 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1448, BNIL); } 
{ /* Command/break.scm 276 */
 int BgL_tmpz00_1451;
BgL_tmpz00_1451 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1451, BNIL); } 
return BgL_val0_1074z00_393;} }  else 
{ /* Command/break.scm 271 */
if(
PAIRP(BgL_newz00_17))
{ /* Command/break.scm 273 */
 obj_t BgL_val2_1070z00_399;
BgL_val2_1070z00_399 = 
CDR(BgL_newz00_17); 
{ /* Command/break.scm 273 */
 int BgL_tmpz00_1457;
BgL_tmpz00_1457 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1457); } 
{ /* Command/break.scm 273 */
 int BgL_tmpz00_1460;
BgL_tmpz00_1460 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1460, BNIL); } 
{ /* Command/break.scm 273 */
 int BgL_tmpz00_1463;
BgL_tmpz00_1463 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1463, BgL_val2_1070z00_399); } 
return BNIL;}  else 
{ /* Command/break.scm 272 */
{ /* Command/break.scm 274 */
 int BgL_tmpz00_1466;
BgL_tmpz00_1466 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1466); } 
{ /* Command/break.scm 274 */
 int BgL_tmpz00_1469;
BgL_tmpz00_1469 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1469, BNIL); } 
{ /* Command/break.scm 274 */
 int BgL_tmpz00_1472;
BgL_tmpz00_1472 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1472, BNIL); } 
return BNIL;} } } 

}



/* &compare-breakpoint-tables */
obj_t BGl_z62comparezd2breakpointzd2tablesz62zzcommand_breakz00(obj_t BgL_envz00_890, obj_t BgL_oldz00_891, obj_t BgL_newz00_892)
{
{ /* Command/break.scm 268 */
return 
BGl_comparezd2breakpointzd2tablesz00zzcommand_breakz00(BgL_oldz00_891, BgL_newz00_892);} 

}



/* &condition-parser */
obj_t BGl_z62conditionzd2parserzb0zzcommand_breakz00(obj_t BgL_envz00_877, obj_t BgL_cmdzd2listzd2_878, obj_t BgL_sourcez00_879, obj_t BgL_levelz00_880, obj_t BgL_endz00_881)
{
{ /* Command/break.scm 347 */
{ 
 obj_t BgL_numz00_912;
if(
NULLP(BgL_cmdzd2listzd2_878))
{ /* Command/break.scm 348 */
return 
BGl_consolezd2errorzd2zztools_ioz00(BGl_string1701z00zzcommand_breakz00);}  else 
{ /* Command/break.scm 348 */
if(
PAIRP(BgL_cmdzd2listzd2_878))
{ /* Command/break.scm 348 */
if(
NULLP(
CDR(BgL_cmdzd2listzd2_878)))
{ /* Command/break.scm 348 */
BGl_za2breakpointzd2changedzf3za2z21zzcommand_breakz00 = ((bool_t)1); 
{ /* Command/break.scm 353 */
 obj_t BgL_arg1622z00_922;
{ /* Command/break.scm 353 */
 obj_t BgL_list1623z00_923;
BgL_list1623z00_923 = 
MAKE_YOUNG_PAIR(BgL_sourcez00_879, BNIL); 
BgL_arg1622z00_922 = 
BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(BgL_list1623z00_923); } 
return 
BGl_consolezd2echozd2zztools_ioz00(BgL_arg1622z00_922);} }  else 
{ /* Command/break.scm 348 */
BgL_numz00_912 = 
CAR(BgL_cmdzd2listzd2_878); 
BGl_za2breakpointzd2changedzf3za2z21zzcommand_breakz00 = ((bool_t)1); 
{ /* Command/break.scm 357 */
 obj_t BgL_bdbzd2expzd2_913;
BgL_bdbzd2expzd2_913 = 
BGl_stringzd2fromzd2zztools_toolsz00(
BGl_stringzd2fromzd2zztools_toolsz00(BgL_sourcez00_879, 
(char)(((unsigned char)' ')), 
(int)(((long)1))), 
(char)(((unsigned char)' ')), 
(int)(((long)1))); 
{ /* Command/break.scm 357 */
 obj_t BgL_gdbzd2expzd2_914;
BgL_gdbzd2expzd2_914 = 
BGl_bdbzd2exprzd2ze3gdbzd2exprz31zzcommand_exprz00(BgL_bdbzd2expzd2_913, 
BGl_gdbzd2annotatezd2currentzd2functionzd2zzgdb_annotatez00()); 
{ /* Command/break.scm 358 */
 obj_t BgL_cmdz00_915;
{ /* Command/break.scm 360 */
 obj_t BgL_list1626z00_916;
{ /* Command/break.scm 360 */
 obj_t BgL_arg1642z00_917;
{ /* Command/break.scm 360 */
 obj_t BgL_arg1643z00_918;
{ /* Command/break.scm 360 */
 obj_t BgL_arg1651z00_919;
BgL_arg1651z00_919 = 
MAKE_YOUNG_PAIR(BgL_gdbzd2expzd2_914, BNIL); 
BgL_arg1643z00_918 = 
MAKE_YOUNG_PAIR(BGl_string1690z00zzcommand_breakz00, BgL_arg1651z00_919); } 
BgL_arg1642z00_917 = 
MAKE_YOUNG_PAIR(BgL_numz00_912, BgL_arg1643z00_918); } 
BgL_list1626z00_916 = 
MAKE_YOUNG_PAIR(BGl_string1697z00zzcommand_breakz00, BgL_arg1642z00_917); } 
BgL_cmdz00_915 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1626z00_916); } 
{ /* Command/break.scm 360 */

BGl_consolezd2echozd2zztools_ioz00(BGl_string1698z00zzcommand_breakz00); 
BGl_consolezd2newlinezd2zztools_ioz00(); 
BGl_consolezd2echozd2zztools_ioz00(BGl_string1699z00zzcommand_breakz00); 
BGl_consolezd2newlinezd2zztools_ioz00(); 
BGl_consolezd2echozd2zztools_ioz00(BGl_string1700z00zzcommand_breakz00); 
BGl_consolezd2newlinezd2zztools_ioz00(); 
{ /* Command/break.scm 367 */
 obj_t BgL_arg1624z00_920;
{ /* Command/break.scm 367 */
 obj_t BgL_list1625z00_921;
BgL_list1625z00_921 = 
MAKE_YOUNG_PAIR(BgL_cmdz00_915, BNIL); 
BgL_arg1624z00_920 = 
BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(BgL_list1625z00_921); } 
return 
BGl_consolezd2echozd2zztools_ioz00(BgL_arg1624z00_920);} } } } } } }  else 
{ /* Command/break.scm 348 */
return BFALSE;} } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zzcommand_breakz00()
{
{ /* Command/break.scm 16 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zzcommand_breakz00()
{
{ /* Command/break.scm 16 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zzcommand_breakz00()
{
{ /* Command/break.scm 16 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcommand_breakz00()
{
{ /* Command/break.scm 16 */
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)249086913), 
BSTRING_TO_STRING(BGl_string1702z00zzcommand_breakz00)); 
BGl_modulezd2initializa7ationz75zztools_toolsz00(((long)85148931), 
BSTRING_TO_STRING(BGl_string1702z00zzcommand_breakz00)); 
BGl_modulezd2initializa7ationz75zztools_ioz00(((long)467242068), 
BSTRING_TO_STRING(BGl_string1702z00zzcommand_breakz00)); 
BGl_modulezd2initializa7ationz75zzpatient_manglingz00(((long)448820806), 
BSTRING_TO_STRING(BGl_string1702z00zzcommand_breakz00)); 
BGl_modulezd2initializa7ationz75zzbee_etagsz00(((long)40844650), 
BSTRING_TO_STRING(BGl_string1702z00zzcommand_breakz00)); 
BGl_modulezd2initializa7ationz75zzcommand_commandz00(((long)378887189), 
BSTRING_TO_STRING(BGl_string1702z00zzcommand_breakz00)); 
BGl_modulezd2initializa7ationz75zzcommand_parsez00(((long)17715954), 
BSTRING_TO_STRING(BGl_string1702z00zzcommand_breakz00)); 
BGl_modulezd2initializa7ationz75zzcommand_exprz00(((long)439013957), 
BSTRING_TO_STRING(BGl_string1702z00zzcommand_breakz00)); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)203313037), 
BSTRING_TO_STRING(BGl_string1702z00zzcommand_breakz00)); 
BGl_modulezd2initializa7ationz75zzgdb_invokez00(((long)66920335), 
BSTRING_TO_STRING(BGl_string1702z00zzcommand_breakz00)); 
return 
BGl_modulezd2initializa7ationz75zzgdb_annotatez00(((long)191796826), 
BSTRING_TO_STRING(BGl_string1702z00zzcommand_breakz00));} 

}

#ifdef __cplusplus
}
#endif
