/*===========================================================================*/
/*   (Eval/library.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/library.scm -o objs/obj_p/Eval/library.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_za2evalzd2libraryzd2suffixza2z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_symbol1911z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_symbol1914z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_keyword1884z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_keyword1886z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_keyword1888z00zz__libraryz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_libraryzd2loadzd2zz__libraryz00(obj_t, obj_t);
static obj_t BGl_symbol1925z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_za2loadedzd2librariesza2zd2zz__libraryz00 = BUNSPEC;
static obj_t BGl_symbol1928z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__libraryz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_declarezd2libraryz12zc0zz__libraryz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2sharedzd2libzd2namezd2zz__osz00(obj_t, obj_t);
static obj_t BGl_keyword1890z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_keyword1892z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_keyword1894z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_keyword1896z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_za2loadedzd2initzd2filesza2z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_keyword1898z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_symbol1934z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_symbol1936z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_symbol1938z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31436ze3ze5zz__libraryz00(obj_t);
static obj_t BGl_manglez00zz__libraryz00(obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expander_srfi0z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_evalzd2modulezd2zz__evmodulez00();
static obj_t BGl_untranslatezd2libraryzd2namez00zz__libraryz00(obj_t);
static obj_t BGl_symbol1861z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_search1121ze70ze7zz__libraryz00(long, obj_t, obj_t, long);
static obj_t BGl_z62libraryzd2loadzd2initz62zz__libraryz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol1949z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_symbol1868z00zz__libraryz00 = BUNSPEC;
extern bool_t fexists(char *);
extern obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62libraryzd2translationzd2tablezd2addz12za2zz__libraryz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol1870z00zz__libraryz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_libraryzd2load_ezd2zz__libraryz00(obj_t, obj_t);
static obj_t BGl_symbol1954z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_symbol1873z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_z62libraryzd2initzd2filez62zz__libraryz00(obj_t, obj_t);
static obj_t BGl_symbol1956z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_symbol1876z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__libraryz00();
extern obj_t BGl_loadqz00zz__evalz00(obj_t, obj_t);
static obj_t BGl_symbol1960z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_symbol1881z00zz__libraryz00 = BUNSPEC;
extern obj_t BGl_evalz00zz__evalz00(obj_t, obj_t);
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_getenvz00zz__osz00(obj_t);
extern obj_t create_struct(obj_t, int);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__libraryz00();
static obj_t BGl_genericzd2initzd2zz__libraryz00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__libraryz00();
static obj_t BGl_gczd2rootszd2initz00zz__libraryz00();
static obj_t BGl_za2librariesza2z00zz__libraryz00 = BUNSPEC;
extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__libraryz00();
extern obj_t bgl_register_eval_srfi(obj_t);
extern obj_t bigloo_mangle(obj_t);
BGL_EXPORTED_DECL obj_t BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(bool_t);
BGL_EXPORTED_DECL obj_t BGl_libraryzd2loadzd2initz00zz__libraryz00(obj_t, obj_t);
static obj_t BGl_za2libraryzd2mutexza2zd2zz__libraryz00 = BUNSPEC;
static obj_t BGl_list1952z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_list1953z00zz__libraryz00 = BUNSPEC;
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_list1958z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_list1959z00zz__libraryz00 = BUNSPEC;
extern obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_interactionzd2environmentzd2zz__evalz00();
BGL_EXPORTED_DECL obj_t BGl_libraryzd2initzd2filez00zz__libraryz00(obj_t);
extern obj_t BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(obj_t);
static obj_t BGl_list1883z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31369ze3ze5zz__libraryz00(obj_t);
static obj_t BGl_z62libraryzd2filezd2namez62zz__libraryz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_unixzd2pathzd2ze3listze3zz__osz00(obj_t);
static obj_t BGl_z62libraryzd2markzd2loadedz12z70zz__libraryz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl__declarezd2libraryz12zc0zz__libraryz00(obj_t, obj_t);
static obj_t BGl_z62libraryzd2infozb0zz__libraryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_libraryzd2translationzd2tablezd2addz12zc0zz__libraryz00(obj_t, obj_t, obj_t);
static obj_t BGl_keyword1900z00zz__libraryz00 = BUNSPEC;
static obj_t BGl_keyword1902z00zz__libraryz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_libraryzd2existszf3z21zz__libraryz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__libraryz00();
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_libraryzd2markzd2loadedz12z12zz__libraryz00(obj_t);
static obj_t BGl_z62libraryzd2existszf3z43zz__libraryz00(obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_libraryzd2infozd2zz__libraryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_libraryzd2threadzd2suffixzd2setz12zc0zz__libraryz00(obj_t);
static obj_t BGl_profzd2initzd2zz__libraryz00();
BGL_EXPORTED_DECL bool_t BGl_libraryzd2loadedzf3z21zz__libraryz00(obj_t);
static obj_t BGl_z62libraryzd2loadedzf3z43zz__libraryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_libraryzd2filezd2namez00zz__libraryz00(obj_t, obj_t, obj_t);
extern obj_t BGl_dynamiczd2loadzd2zz__osz00(obj_t, obj_t, obj_t);
extern obj_t bstring_to_keyword(obj_t);
static obj_t BGl_z62libraryzd2multithreadzd2setz12z70zz__libraryz00(obj_t, obj_t);
static obj_t BGl_z62libraryzd2threadzd2suffixzd2setz12za2zz__libraryz00(obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_z62libraryzd2load_ezb0zz__libraryz00(obj_t, obj_t, obj_t);
extern obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_bigloozd2libraryzd2pathz00zz__paramz00();
static obj_t BGl_libraryzd2threadzd2suffixz00zz__libraryz00 = BUNSPEC;
extern bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
static obj_t BGl_symbol1904z00zz__libraryz00 = BUNSPEC;
extern obj_t BGl_defaultzd2environmentzd2zz__evalz00();
static obj_t BGl_z62libraryzd2loadzb0zz__libraryz00(obj_t, obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_evalzd2libraryzd2suffixz00zz__libraryz00();
static obj_t *__cnst;


DEFINE_STRING( BGl_string1950z00zz__libraryz00, BgL_bgl_string1950za700za7za7_1966za7, "library-load", 12 );
DEFINE_STRING( BGl_string1951z00zz__libraryz00, BgL_bgl_string1951za700za7za7_1967za7, "Can't find _e library `~a' (`~a') in path ", 42 );
DEFINE_STRING( BGl_string1871z00zz__libraryz00, BgL_bgl_string1871za700za7za7_1968za7, "unsafe", 6 );
DEFINE_STRING( BGl_string1872z00zz__libraryz00, BgL_bgl_string1872za700za7za7_1969za7, "u", 1 );
DEFINE_STRING( BGl_string1955z00zz__libraryz00, BgL_bgl_string1955za700za7za7_1970za7, "libinfo-init", 12 );
DEFINE_STRING( BGl_string1874z00zz__libraryz00, BgL_bgl_string1874za700za7za7_1971za7, "safe", 4 );
DEFINE_STRING( BGl_string1875z00zz__libraryz00, BgL_bgl_string1875za700za7za7_1972za7, "s", 1 );
DEFINE_STRING( BGl_string1957z00zz__libraryz00, BgL_bgl_string1957za700za7za7_1973za7, "info", 4 );
DEFINE_STRING( BGl_string1877z00zz__libraryz00, BgL_bgl_string1877za700za7za7_1974za7, "profile", 7 );
DEFINE_STRING( BGl_string1878z00zz__libraryz00, BgL_bgl_string1878za700za7za7_1975za7, "p", 1 );
DEFINE_STRING( BGl_string1879z00zz__libraryz00, BgL_bgl_string1879za700za7za7_1976za7, "_declare-library!", 17 );
DEFINE_STRING( BGl_string1961z00zz__libraryz00, BgL_bgl_string1961za700za7za7_1977za7, "libinfo-eval", 12 );
DEFINE_STRING( BGl_string1880z00zz__libraryz00, BgL_bgl_string1880za700za7za7_1978za7, "symbol", 6 );
DEFINE_STRING( BGl_string1962z00zz__libraryz00, BgL_bgl_string1962za700za7za7_1979za7, "string or symbol", 16 );
DEFINE_STRING( BGl_string1963z00zz__libraryz00, BgL_bgl_string1963za700za7za7_1980za7, ".heap", 5 );
DEFINE_STRING( BGl_string1882z00zz__libraryz00, BgL_bgl_string1882za700za7za7_1981za7, "release-number", 14 );
DEFINE_STRING( BGl_string1964z00zz__libraryz00, BgL_bgl_string1964za700za7za7_1982za7, "&library-exists?", 16 );
DEFINE_STRING( BGl_string1965z00zz__libraryz00, BgL_bgl_string1965za700za7za7_1983za7, "__library", 9 );
DEFINE_STRING( BGl_string1885z00zz__libraryz00, BgL_bgl_string1885za700za7za7_1984za7, "basename", 8 );
DEFINE_STRING( BGl_string1887z00zz__libraryz00, BgL_bgl_string1887za700za7za7_1985za7, "class-eval", 10 );
DEFINE_STRING( BGl_string1889z00zz__libraryz00, BgL_bgl_string1889za700za7za7_1986za7, "class-init", 10 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_libraryzd2multithreadzd2setz12zd2envzc0zz__libraryz00, BgL_bgl_za762libraryza7d2mul1987z00, BGl_z62libraryzd2multithreadzd2setz12z70zz__libraryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_libraryzd2loadzd2initzd2envzd2zz__libraryz00, BgL_bgl_za762libraryza7d2loa1988z00, BGl_z62libraryzd2loadzd2initz62zz__libraryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_libraryzd2infozd2envz00zz__libraryz00, BgL_bgl_za762libraryza7d2inf1989z00, BGl_z62libraryzd2infozb0zz__libraryz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1891z00zz__libraryz00, BgL_bgl_string1891za700za7za7_1990za7, "dlopen-init", 11 );
DEFINE_STRING( BGl_string1893z00zz__libraryz00, BgL_bgl_string1893za700za7za7_1991za7, "eval", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_libraryzd2threadzd2suffixzd2setz12zd2envz12zz__libraryz00, BgL_bgl_za762libraryza7d2thr1992z00, BGl_z62libraryzd2threadzd2suffixzd2setz12za2zz__libraryz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1895z00zz__libraryz00, BgL_bgl_string1895za700za7za7_1993za7, "init", 4 );
DEFINE_STRING( BGl_string1897z00zz__libraryz00, BgL_bgl_string1897za700za7za7_1994za7, "module-eval", 11 );
DEFINE_STRING( BGl_string1899z00zz__libraryz00, BgL_bgl_string1899za700za7za7_1995za7, "module-init", 11 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_libraryzd2initzd2filezd2envzd2zz__libraryz00, BgL_bgl_za762libraryza7d2ini1996z00, BGl_z62libraryzd2initzd2filez62zz__libraryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_libraryzd2loadedzf3zd2envzf3zz__libraryz00, BgL_bgl_za762libraryza7d2loa1997z00, BGl_z62libraryzd2loadedzf3z43zz__libraryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_libraryzd2loadzd2envz00zz__libraryz00, BgL_bgl_za762libraryza7d2loa1998z00, va_generic_entry, BGl_z62libraryzd2loadzb0zz__libraryz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_libraryzd2markzd2loadedz12zd2envzc0zz__libraryz00, BgL_bgl_za762libraryza7d2mar1999z00, BGl_z62libraryzd2markzd2loadedz12z70zz__libraryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_libraryzd2load_ezd2envz00zz__libraryz00, BgL_bgl_za762libraryza7d2loa2000z00, va_generic_entry, BGl_z62libraryzd2load_ezb0zz__libraryz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1901z00zz__libraryz00, BgL_bgl_string1901za700za7za7_2001za7, "srfi", 4 );
DEFINE_STRING( BGl_string1903z00zz__libraryz00, BgL_bgl_string1903za700za7za7_2002za7, "version", 7 );
DEFINE_STRING( BGl_string1905z00zz__libraryz00, BgL_bgl_string1905za700za7za7_2003za7, "declare-library!", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_libraryzd2filezd2namezd2envzd2zz__libraryz00, BgL_bgl_za762libraryza7d2fil2004z00, BGl_z62libraryzd2filezd2namez62zz__libraryz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1906z00zz__libraryz00, BgL_bgl_string1906za700za7za7_2005za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string1907z00zz__libraryz00, BgL_bgl_string1907za700za7za7_2006za7, "bint", 4 );
DEFINE_STRING( BGl_string1908z00zz__libraryz00, BgL_bgl_string1908za700za7za7_2007za7, "wrong number of arguments: [1..11] expected, provided", 53 );
DEFINE_STRING( BGl_string1909z00zz__libraryz00, BgL_bgl_string1909za700za7za7_2008za7, "~a_~a", 5 );
DEFINE_STRING( BGl_string1910z00zz__libraryz00, BgL_bgl_string1910za700za7za7_2009za7, "~a_e~a", 6 );
DEFINE_STRING( BGl_string1912z00zz__libraryz00, BgL_bgl_string1912za700za7za7_2010za7, "libinfo", 7 );
DEFINE_STRING( BGl_string1913z00zz__libraryz00, BgL_bgl_string1913za700za7za7_2011za7, "&library-info", 13 );
DEFINE_STRING( BGl_string1915z00zz__libraryz00, BgL_bgl_string1915za700za7za7_2012za7, "library-translation-table-add!", 30 );
DEFINE_STRING( BGl_string1916z00zz__libraryz00, BgL_bgl_string1916za700za7za7_2013za7, "Illegal :dlopen-init argument", 29 );
DEFINE_STRING( BGl_string1917z00zz__libraryz00, BgL_bgl_string1917za700za7za7_2014za7, "Illegal :dlopen-init value", 26 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_declarezd2libraryz12zd2envz12zz__libraryz00, BgL_bgl__declareza7d2libra2015za7, opt_generic_entry, BGl__declarezd2libraryz12zc0zz__libraryz00, BFALSE, -1 );
DEFINE_STRING( BGl_string1918z00zz__libraryz00, BgL_bgl_string1918za700za7za7_2016za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string1919z00zz__libraryz00, BgL_bgl_string1919za700za7za7_2017za7, "_", 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_libraryzd2translationzd2tablezd2addz12zd2envz12zz__libraryz00, BgL_bgl_za762libraryza7d2tra2018z00, va_generic_entry, BGl_z62libraryzd2translationzd2tablezd2addz12za2zz__libraryz00, BUNSPEC, -3 );
DEFINE_STRING( BGl_string1920z00zz__libraryz00, BgL_bgl_string1920za700za7za7_2019za7, "_e", 2 );
DEFINE_STRING( BGl_string1921z00zz__libraryz00, BgL_bgl_string1921za700za7za7_2020za7, "&library-translation-table-add!", 31 );
DEFINE_STRING( BGl_string1922z00zz__libraryz00, BgL_bgl_string1922za700za7za7_2021za7, ".init", 5 );
DEFINE_STRING( BGl_string1923z00zz__libraryz00, BgL_bgl_string1923za700za7za7_2022za7, "&library-init-file", 18 );
DEFINE_STRING( BGl_string1924z00zz__libraryz00, BgL_bgl_string1924za700za7za7_2023za7, "-", 1 );
DEFINE_STRING( BGl_string1926z00zz__libraryz00, BgL_bgl_string1926za700za7za7_2024za7, "library-file-name", 17 );
DEFINE_STRING( BGl_string1927z00zz__libraryz00, BgL_bgl_string1927za700za7za7_2025za7, "Illegal version", 15 );
DEFINE_STRING( BGl_string1929z00zz__libraryz00, BgL_bgl_string1929za700za7za7_2026za7, "bigloo-c", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_libraryzd2existszf3zd2envzf3zz__libraryz00, BgL_bgl_za762libraryza7d2exi2027z00, va_generic_entry, BGl_z62libraryzd2existszf3z43zz__libraryz00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1930z00zz__libraryz00, BgL_bgl_string1930za700za7za7_2028za7, "unix", 4 );
DEFINE_STRING( BGl_string1931z00zz__libraryz00, BgL_bgl_string1931za700za7za7_2029za7, "mingw", 5 );
DEFINE_STRING( BGl_string1932z00zz__libraryz00, BgL_bgl_string1932za700za7za7_2030za7, "win32", 5 );
DEFINE_STRING( BGl_string1933z00zz__libraryz00, BgL_bgl_string1933za700za7za7_2031za7, "Unknown os", 10 );
DEFINE_STRING( BGl_string1935z00zz__libraryz00, BgL_bgl_string1935za700za7za7_2032za7, "bigloo-jvm", 10 );
DEFINE_STRING( BGl_string1937z00zz__libraryz00, BgL_bgl_string1937za700za7za7_2033za7, "bigloo-.net", 11 );
DEFINE_STRING( BGl_string1939z00zz__libraryz00, BgL_bgl_string1939za700za7za7_2034za7, "bigloo.net", 10 );
DEFINE_STRING( BGl_string1940z00zz__libraryz00, BgL_bgl_string1940za700za7za7_2035za7, "Illegal backend", 15 );
DEFINE_STRING( BGl_string1941z00zz__libraryz00, BgL_bgl_string1941za700za7za7_2036za7, "&library-file-name", 18 );
DEFINE_STRING( BGl_string1942z00zz__libraryz00, BgL_bgl_string1942za700za7za7_2037za7, "&library-loaded?", 16 );
DEFINE_STRING( BGl_string1943z00zz__libraryz00, BgL_bgl_string1943za700za7za7_2038za7, "&library-mark-loaded!", 21 );
DEFINE_STRING( BGl_string1862z00zz__libraryz00, BgL_bgl_string1862za700za7za7_2039za7, "library", 7 );
DEFINE_STRING( BGl_string1944z00zz__libraryz00, BgL_bgl_string1944za700za7za7_2040za7, "BIGLOOLIB", 9 );
DEFINE_STRING( BGl_string1863z00zz__libraryz00, BgL_bgl_string1863za700za7za7_2041za7, "", 0 );
DEFINE_STRING( BGl_string1945z00zz__libraryz00, BgL_bgl_string1945za700za7za7_2042za7, ".", 1 );
DEFINE_STRING( BGl_string1864z00zz__libraryz00, BgL_bgl_string1864za700za7za7_2043za7, "/builddir/build/BUILD/bigloo-4.4c-4/runtime/Eval/library.scm", 60 );
DEFINE_STRING( BGl_string1946z00zz__libraryz00, BgL_bgl_string1946za700za7za7_2044za7, "/resource/bigloo/", 17 );
DEFINE_STRING( BGl_string1865z00zz__libraryz00, BgL_bgl_string1865za700za7za7_2045za7, "&library-thread-suffix-set!", 27 );
DEFINE_STRING( BGl_string1947z00zz__libraryz00, BgL_bgl_string1947za700za7za7_2046za7, "/make_lib.class", 15 );
DEFINE_STRING( BGl_string1866z00zz__libraryz00, BgL_bgl_string1866za700za7za7_2047za7, "bstring", 7 );
DEFINE_STRING( BGl_string1948z00zz__libraryz00, BgL_bgl_string1948za700za7za7_2048za7, "Can't find library `~a' (`~a')", 30 );
DEFINE_STRING( BGl_string1867z00zz__libraryz00, BgL_bgl_string1867za700za7za7_2049za7, "_mt", 3 );
DEFINE_STRING( BGl_string1869z00zz__libraryz00, BgL_bgl_string1869za700za7za7_2050za7, "library-safety", 14 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_za2evalzd2libraryzd2suffixza2z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1911z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1914z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_keyword1884z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_keyword1886z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_keyword1888z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1925z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_za2loadedzd2librariesza2zd2zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1928z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_keyword1890z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_keyword1892z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_keyword1894z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_keyword1896z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_za2loadedzd2initzd2filesza2z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_keyword1898z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1934z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1936z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1938z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1861z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1949z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1868z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1870z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1954z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1873z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1956z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1876z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1960z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1881z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_za2librariesza2z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_za2libraryzd2mutexza2zd2zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_list1952z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_list1953z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_list1958z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_list1959z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_list1883z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_keyword1900z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_keyword1902z00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_libraryzd2threadzd2suffixz00zz__libraryz00) );
ADD_ROOT( (void *)(&BGl_symbol1904z00zz__libraryz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/library.scm\" 963) \"BGl_toplevelzd2initzd2zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"library-thread-suffix-set!\" \"Eval/library.scm\" 3218) \"BGl_libraryzd2threadzd2suffixzd2setz12zc0zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&library-thread-suffix-set!\" \"Eval/library.scm\" 3218) \"BGl_z62libraryzd2threadzd2suffixzd2setz12za2zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"library-multithread-set!\" \"Eval/library.scm\" 3519) \"BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&library-multithread-set!\" \"Eval/library.scm\" 3519) \"BGl_z62libraryzd2multithreadzd2setz12z70zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"eval-library-suffix\" \"Eval/library.scm\" 4904) \"BGl_evalzd2libraryzd2suffixz00zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_declare-library!\" \"Eval/library.scm\" 5364) \"BGl__declarezd2libraryz12zc0zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"search1121~0\" \"Eval/library.scm\" 5364) \"BGl_search1121ze70ze7zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"declare-library!\" \"Eval/library.scm\" 5364) \"BGl_declarezd2libraryz12zc0zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"library-info\" \"Eval/library.scm\" 6342) \"BGl_libraryzd2infozd2zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&library-info\" \"Eval/library.scm\" 6342) \"BGl_z62libraryzd2infozb0zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"library-translation-table-add!\" \"Eval/library.scm\" 6633) \"BGl_libraryzd2translationzd2tablezd2addz12zc0zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&library-translation-table-add!\" \"Eval/library.scm\" 6633) \"BGl_z62libraryzd2translationzd2tablezd2addz12za2zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"library-init-file\" \"Eval/library.scm\" 8069) \"BGl_libraryzd2initzd2filez00zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&library-init-file\" \"Eval/library.scm\" 8069) \"BGl_z62libraryzd2initzd2filez62zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"untranslate-library-name\" \"Eval/library.scm\" 8373) \"BGl_untranslatezd2libraryzd2namez00zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"library-file-name\" \"Eval/library.scm\" 8836) \"BGl_libraryzd2filezd2namez00zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&library-file-name\" \"Eval/library.scm\" 8836) \"BGl_z62libraryzd2filezd2namez62zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"mangle\" \"Eval/library.scm\" 9970) \"BGl_manglez00zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"library-loaded?\" \"Eval/library.scm\" 10548) \"BGl_libraryzd2loadedzf3z21zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&library-loaded?\" \"Eval/library.scm\" 10548) \"BGl_z62libraryzd2loadedzf3z43zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"library-mark-loaded!\" \"Eval/library.scm\" 10871) \"BGl_libraryzd2markzd2loadedz12z12zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&library-mark-loaded!\" \"Eval/library.scm\" 10871) \"BGl_z62libraryzd2markzd2loadedz12z70zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"library-load\" \"Eval/library.scm\" 11241) \"BGl_libraryzd2loadzd2zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&library-load\" \"Eval/library.scm\" 11241) \"BGl_z62libraryzd2loadzb0zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1369>\" \"Eval/library.scm\" 13993) \"BGl_z62zc3z04anonymousza31369ze3ze5zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"library-load-init\" \"Eval/library.scm\" 14530) \"BGl_libraryzd2loadzd2initz00zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&library-load-init\" \"Eval/library.scm\" 14530) \"BGl_z62libraryzd2loadzd2initz62zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"library-load_e\" \"Eval/library.scm\" 15111) \"BGl_libraryzd2load_ezd2zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&library-load_e\" \"Eval/library.scm\" 15111) \"BGl_z62libraryzd2load_ezb0zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1436>\" \"Eval/library.scm\" 15235) \"BGl_z62zc3z04anonymousza31436ze3ze5zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"library-exists?\" \"Eval/library.scm\" 17647) \"BGl_libraryzd2existszf3z21zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&library-exists?\" \"Eval/library.scm\" 17647) \"BGl_z62libraryzd2existszf3z43zz__libraryz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long BgL_checksumz00_2567, char * BgL_fromz00_2568)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libraryz00))
{ 
BGl_requirezd2initializa7ationz75zz__libraryz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libraryz00(); 
BGl_cnstzd2initzd2zz__libraryz00(); 
BGl_importedzd2moduleszd2initz00zz__libraryz00(); 
BGl_toplevelzd2initzd2zz__libraryz00(); 
return 
BGl_profzd2initzd2zz__libraryz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libraryz00()
{
{ /* Eval/library.scm 15 */
BGl_symbol1861z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1862z00zz__libraryz00); 
BGl_symbol1868z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1869z00zz__libraryz00); 
BGl_symbol1870z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1871z00zz__libraryz00); 
BGl_symbol1873z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1874z00zz__libraryz00); 
BGl_symbol1876z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1877z00zz__libraryz00); 
BGl_symbol1881z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1882z00zz__libraryz00); 
BGl_keyword1884z00zz__libraryz00 = 
bstring_to_keyword(BGl_string1885z00zz__libraryz00); 
BGl_keyword1886z00zz__libraryz00 = 
bstring_to_keyword(BGl_string1887z00zz__libraryz00); 
BGl_keyword1888z00zz__libraryz00 = 
bstring_to_keyword(BGl_string1889z00zz__libraryz00); 
BGl_keyword1890z00zz__libraryz00 = 
bstring_to_keyword(BGl_string1891z00zz__libraryz00); 
BGl_keyword1892z00zz__libraryz00 = 
bstring_to_keyword(BGl_string1893z00zz__libraryz00); 
BGl_keyword1894z00zz__libraryz00 = 
bstring_to_keyword(BGl_string1895z00zz__libraryz00); 
BGl_keyword1896z00zz__libraryz00 = 
bstring_to_keyword(BGl_string1897z00zz__libraryz00); 
BGl_keyword1898z00zz__libraryz00 = 
bstring_to_keyword(BGl_string1899z00zz__libraryz00); 
BGl_keyword1900z00zz__libraryz00 = 
bstring_to_keyword(BGl_string1901z00zz__libraryz00); 
BGl_keyword1902z00zz__libraryz00 = 
bstring_to_keyword(BGl_string1903z00zz__libraryz00); 
BGl_list1883z00zz__libraryz00 = 
MAKE_YOUNG_PAIR(BGl_keyword1884z00zz__libraryz00, 
MAKE_YOUNG_PAIR(BGl_keyword1886z00zz__libraryz00, 
MAKE_YOUNG_PAIR(BGl_keyword1888z00zz__libraryz00, 
MAKE_YOUNG_PAIR(BGl_keyword1890z00zz__libraryz00, 
MAKE_YOUNG_PAIR(BGl_keyword1892z00zz__libraryz00, 
MAKE_YOUNG_PAIR(BGl_keyword1894z00zz__libraryz00, 
MAKE_YOUNG_PAIR(BGl_keyword1896z00zz__libraryz00, 
MAKE_YOUNG_PAIR(BGl_keyword1898z00zz__libraryz00, 
MAKE_YOUNG_PAIR(BGl_keyword1900z00zz__libraryz00, 
MAKE_YOUNG_PAIR(BGl_keyword1902z00zz__libraryz00, BNIL)))))))))); 
BGl_symbol1904z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1905z00zz__libraryz00); 
BGl_symbol1911z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1912z00zz__libraryz00); 
BGl_symbol1914z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1915z00zz__libraryz00); 
BGl_symbol1925z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1926z00zz__libraryz00); 
BGl_symbol1928z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1929z00zz__libraryz00); 
BGl_symbol1934z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1935z00zz__libraryz00); 
BGl_symbol1936z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1937z00zz__libraryz00); 
BGl_symbol1938z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1939z00zz__libraryz00); 
BGl_symbol1949z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1950z00zz__libraryz00); 
BGl_symbol1954z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1955z00zz__libraryz00); 
BGl_symbol1956z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1957z00zz__libraryz00); 
BGl_list1953z00zz__libraryz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1954z00zz__libraryz00, 
MAKE_YOUNG_PAIR(BGl_symbol1956z00zz__libraryz00, BNIL)); 
BGl_list1952z00zz__libraryz00 = 
MAKE_YOUNG_PAIR(BGl_list1953z00zz__libraryz00, BNIL); 
BGl_symbol1960z00zz__libraryz00 = 
bstring_to_symbol(BGl_string1961z00zz__libraryz00); 
BGl_list1959z00zz__libraryz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1960z00zz__libraryz00, 
MAKE_YOUNG_PAIR(BGl_symbol1956z00zz__libraryz00, BNIL)); 
return ( 
BGl_list1958z00zz__libraryz00 = 
MAKE_YOUNG_PAIR(BGl_list1959z00zz__libraryz00, BNIL), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libraryz00()
{
{ /* Eval/library.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__libraryz00()
{
{ /* Eval/library.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libraryz00()
{
{ /* Eval/library.scm 15 */
BGl_za2libraryzd2mutexza2zd2zz__libraryz00 = 
bgl_make_mutex(BGl_symbol1861z00zz__libraryz00); 
BGl_libraryzd2threadzd2suffixz00zz__libraryz00 = BGl_string1863z00zz__libraryz00; 
BGl_za2librariesza2z00zz__libraryz00 = BNIL; 
BGl_za2evalzd2libraryzd2suffixza2z00zz__libraryz00 = BFALSE; 
BGl_za2loadedzd2librariesza2zd2zz__libraryz00 = BNIL; 
return ( 
BGl_za2loadedzd2initzd2filesza2z00zz__libraryz00 = BNIL, BUNSPEC) ;} 

}



/* library-thread-suffix-set! */
BGL_EXPORTED_DEF obj_t BGl_libraryzd2threadzd2suffixzd2setz12zc0zz__libraryz00(obj_t BgL_sufz00_3)
{
{ /* Eval/library.scm 92 */
return ( 
BGl_libraryzd2threadzd2suffixz00zz__libraryz00 = BgL_sufz00_3, BUNSPEC) ;} 

}



/* &library-thread-suffix-set! */
obj_t BGl_z62libraryzd2threadzd2suffixzd2setz12za2zz__libraryz00(obj_t BgL_envz00_2462, obj_t BgL_sufz00_2463)
{
{ /* Eval/library.scm 92 */
{ /* Eval/library.scm 93 */
 obj_t BgL_auxz00_2624;
if(
STRINGP(BgL_sufz00_2463))
{ /* Eval/library.scm 93 */
BgL_auxz00_2624 = BgL_sufz00_2463
; }  else 
{ 
 obj_t BgL_auxz00_2627;
BgL_auxz00_2627 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)3262)), BGl_string1865z00zz__libraryz00, BGl_string1866z00zz__libraryz00, BgL_sufz00_2463); 
FAILURE(BgL_auxz00_2627,BFALSE,BFALSE);} 
return 
BGl_libraryzd2threadzd2suffixzd2setz12zc0zz__libraryz00(BgL_auxz00_2624);} } 

}



/* library-multithread-set! */
BGL_EXPORTED_DEF obj_t BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(bool_t BgL_valz00_4)
{
{ /* Eval/library.scm 98 */
{ /* Eval/library.scm 99 */
 obj_t BgL_auxz00_2632;
if(BgL_valz00_4)
{ /* Eval/library.scm 99 */
BgL_auxz00_2632 = BGl_string1867z00zz__libraryz00
; }  else 
{ /* Eval/library.scm 99 */
BgL_auxz00_2632 = BGl_string1863z00zz__libraryz00
; } 
return 
BGl_libraryzd2threadzd2suffixzd2setz12zc0zz__libraryz00(BgL_auxz00_2632);} } 

}



/* &library-multithread-set! */
obj_t BGl_z62libraryzd2multithreadzd2setz12z70zz__libraryz00(obj_t BgL_envz00_2464, obj_t BgL_valz00_2465)
{
{ /* Eval/library.scm 98 */
return 
BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(
CBOOL(BgL_valz00_2465));} 

}



/* eval-library-suffix */
obj_t BGl_evalzd2libraryzd2suffixz00zz__libraryz00()
{
{ /* Eval/library.scm 127 */
if(
CBOOL(BGl_za2evalzd2libraryzd2suffixza2z00zz__libraryz00))
{ /* Eval/library.scm 128 */BFALSE; }  else 
{ /* Eval/library.scm 130 */
 obj_t BgL_casezd2valuezd2_1279;
BgL_casezd2valuezd2_1279 = 
BGl_bigloozd2configzd2zz__configurez00(BGl_symbol1868z00zz__libraryz00); 
if(
(BgL_casezd2valuezd2_1279==BGl_symbol1870z00zz__libraryz00))
{ /* Eval/library.scm 130 */
BGl_za2evalzd2libraryzd2suffixza2z00zz__libraryz00 = BGl_string1872z00zz__libraryz00; }  else 
{ /* Eval/library.scm 130 */
if(
(BgL_casezd2valuezd2_1279==BGl_symbol1873z00zz__libraryz00))
{ /* Eval/library.scm 130 */
BGl_za2evalzd2libraryzd2suffixza2z00zz__libraryz00 = BGl_string1875z00zz__libraryz00; }  else 
{ /* Eval/library.scm 130 */
if(
(BgL_casezd2valuezd2_1279==BGl_symbol1876z00zz__libraryz00))
{ /* Eval/library.scm 130 */
BGl_za2evalzd2libraryzd2suffixza2z00zz__libraryz00 = BGl_string1878z00zz__libraryz00; }  else 
{ /* Eval/library.scm 130 */
BGl_za2evalzd2libraryzd2suffixza2z00zz__libraryz00 = BUNSPEC; } } } } 
return BGl_za2evalzd2libraryzd2suffixza2z00zz__libraryz00;} 

}



/* _declare-library! */
obj_t BGl__declarezd2libraryz12zc0zz__libraryz00(obj_t BgL_env1119z00_67, obj_t BgL_opt1118z00_66)
{
{ /* Eval/library.scm 139 */
{ /* Eval/library.scm 139 */
 obj_t BgL_idz00_1287;
BgL_idz00_1287 = 
VECTOR_REF(BgL_opt1118z00_66,((long)0)); 
{ /* Eval/library.scm 142 */
 obj_t BgL_basenamez00_1288;
{ /* Eval/library.scm 142 */
 obj_t BgL_symbolz00_2058;
if(
SYMBOLP(BgL_idz00_1287))
{ /* Eval/library.scm 142 */
BgL_symbolz00_2058 = BgL_idz00_1287; }  else 
{ 
 obj_t BgL_auxz00_2649;
BgL_auxz00_2649 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5479)), BGl_string1879z00zz__libraryz00, BGl_string1880z00zz__libraryz00, BgL_idz00_1287); 
FAILURE(BgL_auxz00_2649,BFALSE,BFALSE);} 
{ /* Eval/library.scm 142 */
 obj_t BgL_arg1611z00_2059;
BgL_arg1611z00_2059 = 
SYMBOL_TO_STRING(BgL_symbolz00_2058); 
BgL_basenamez00_1288 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1611z00_2059); } } 
{ /* Eval/library.scm 139 */
 obj_t BgL_classzd2evalzd2_1289;
BgL_classzd2evalzd2_1289 = BFALSE; 
{ /* Eval/library.scm 139 */
 obj_t BgL_classzd2initzd2_1290;
BgL_classzd2initzd2_1290 = BFALSE; 
{ /* Eval/library.scm 139 */
 obj_t BgL_dlopenzd2initzd2_1291;
BgL_dlopenzd2initzd2_1291 = BFALSE; 
{ /* Eval/library.scm 139 */
 obj_t BgL_evalz00_1292;
BgL_evalz00_1292 = BFALSE; 
{ /* Eval/library.scm 139 */
 obj_t BgL_initz00_1293;
BgL_initz00_1293 = BFALSE; 
{ /* Eval/library.scm 139 */
 obj_t BgL_modulezd2evalzd2_1294;
BgL_modulezd2evalzd2_1294 = BFALSE; 
{ /* Eval/library.scm 139 */
 obj_t BgL_modulezd2initzd2_1295;
BgL_modulezd2initzd2_1295 = BFALSE; 
{ /* Eval/library.scm 148 */
 obj_t BgL_srfiz00_1296;
BgL_srfiz00_1296 = BNIL; 
{ /* Eval/library.scm 141 */
 obj_t BgL_versionz00_1297;
BgL_versionz00_1297 = 
BGl_bigloozd2configzd2zz__configurez00(BGl_symbol1881z00zz__libraryz00); 
{ /* Eval/library.scm 139 */

{ 
 long BgL_iz00_1298;
BgL_iz00_1298 = ((long)1); 
BgL_check1122z00_1299:
if(
(BgL_iz00_1298==
VECTOR_LENGTH(BgL_opt1118z00_66)))
{ /* Eval/library.scm 139 */BNIL; }  else 
{ /* Eval/library.scm 139 */
 bool_t BgL_test2060z00_2659;
{ /* Eval/library.scm 139 */
 obj_t BgL_arg1262z00_1305;
BgL_arg1262z00_1305 = 
VECTOR_REF(BgL_opt1118z00_66,BgL_iz00_1298); 
BgL_test2060z00_2659 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1262z00_1305, BGl_list1883z00zz__libraryz00)); } 
if(BgL_test2060z00_2659)
{ 
 long BgL_iz00_2663;
BgL_iz00_2663 = 
(BgL_iz00_1298+((long)2)); 
BgL_iz00_1298 = BgL_iz00_2663; 
goto BgL_check1122z00_1299;}  else 
{ /* Eval/library.scm 139 */
 obj_t BgL_arg1252z00_1304;
BgL_arg1252z00_1304 = 
VECTOR_REF(BgL_opt1118z00_66,BgL_iz00_1298); 
BGl_errorz00zz__errorz00(BGl_symbol1904z00zz__libraryz00, BGl_string1906z00zz__libraryz00, BgL_arg1252z00_1304); } } } 
{ /* Eval/library.scm 139 */
 obj_t BgL_index1124z00_1306;
BgL_index1124z00_1306 = 
BGl_search1121ze70ze7zz__libraryz00(
VECTOR_LENGTH(BgL_opt1118z00_66), BgL_opt1118z00_66, BGl_keyword1884z00zz__libraryz00, ((long)1)); 
{ /* Eval/library.scm 139 */
 bool_t BgL_test2061z00_2669;
{ /* Eval/library.scm 139 */
 long BgL_n1z00_2067;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2670;
if(
INTEGERP(BgL_index1124z00_1306))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2670 = BgL_index1124z00_1306
; }  else 
{ 
 obj_t BgL_auxz00_2673;
BgL_auxz00_2673 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1124z00_1306); 
FAILURE(BgL_auxz00_2673,BFALSE,BFALSE);} 
BgL_n1z00_2067 = 
(long)CINT(BgL_tmpz00_2670); } 
BgL_test2061z00_2669 = 
(BgL_n1z00_2067>=((long)0)); } 
if(BgL_test2061z00_2669)
{ 
 long BgL_auxz00_2679;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2680;
if(
INTEGERP(BgL_index1124z00_1306))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2680 = BgL_index1124z00_1306
; }  else 
{ 
 obj_t BgL_auxz00_2683;
BgL_auxz00_2683 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1124z00_1306); 
FAILURE(BgL_auxz00_2683,BFALSE,BFALSE);} 
BgL_auxz00_2679 = 
(long)CINT(BgL_tmpz00_2680); } 
BgL_basenamez00_1288 = 
VECTOR_REF(BgL_opt1118z00_66,BgL_auxz00_2679); }  else 
{ /* Eval/library.scm 139 */BFALSE; } } } 
{ /* Eval/library.scm 139 */
 obj_t BgL_index1125z00_1308;
BgL_index1125z00_1308 = 
BGl_search1121ze70ze7zz__libraryz00(
VECTOR_LENGTH(BgL_opt1118z00_66), BgL_opt1118z00_66, BGl_keyword1886z00zz__libraryz00, ((long)1)); 
{ /* Eval/library.scm 139 */
 bool_t BgL_test2064z00_2691;
{ /* Eval/library.scm 139 */
 long BgL_n1z00_2068;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2692;
if(
INTEGERP(BgL_index1125z00_1308))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2692 = BgL_index1125z00_1308
; }  else 
{ 
 obj_t BgL_auxz00_2695;
BgL_auxz00_2695 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1125z00_1308); 
FAILURE(BgL_auxz00_2695,BFALSE,BFALSE);} 
BgL_n1z00_2068 = 
(long)CINT(BgL_tmpz00_2692); } 
BgL_test2064z00_2691 = 
(BgL_n1z00_2068>=((long)0)); } 
if(BgL_test2064z00_2691)
{ 
 long BgL_auxz00_2701;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2702;
if(
INTEGERP(BgL_index1125z00_1308))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2702 = BgL_index1125z00_1308
; }  else 
{ 
 obj_t BgL_auxz00_2705;
BgL_auxz00_2705 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1125z00_1308); 
FAILURE(BgL_auxz00_2705,BFALSE,BFALSE);} 
BgL_auxz00_2701 = 
(long)CINT(BgL_tmpz00_2702); } 
BgL_classzd2evalzd2_1289 = 
VECTOR_REF(BgL_opt1118z00_66,BgL_auxz00_2701); }  else 
{ /* Eval/library.scm 139 */BFALSE; } } } 
{ /* Eval/library.scm 139 */
 obj_t BgL_index1126z00_1310;
BgL_index1126z00_1310 = 
BGl_search1121ze70ze7zz__libraryz00(
VECTOR_LENGTH(BgL_opt1118z00_66), BgL_opt1118z00_66, BGl_keyword1888z00zz__libraryz00, ((long)1)); 
{ /* Eval/library.scm 139 */
 bool_t BgL_test2067z00_2713;
{ /* Eval/library.scm 139 */
 long BgL_n1z00_2069;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2714;
if(
INTEGERP(BgL_index1126z00_1310))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2714 = BgL_index1126z00_1310
; }  else 
{ 
 obj_t BgL_auxz00_2717;
BgL_auxz00_2717 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1126z00_1310); 
FAILURE(BgL_auxz00_2717,BFALSE,BFALSE);} 
BgL_n1z00_2069 = 
(long)CINT(BgL_tmpz00_2714); } 
BgL_test2067z00_2713 = 
(BgL_n1z00_2069>=((long)0)); } 
if(BgL_test2067z00_2713)
{ 
 long BgL_auxz00_2723;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2724;
if(
INTEGERP(BgL_index1126z00_1310))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2724 = BgL_index1126z00_1310
; }  else 
{ 
 obj_t BgL_auxz00_2727;
BgL_auxz00_2727 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1126z00_1310); 
FAILURE(BgL_auxz00_2727,BFALSE,BFALSE);} 
BgL_auxz00_2723 = 
(long)CINT(BgL_tmpz00_2724); } 
BgL_classzd2initzd2_1290 = 
VECTOR_REF(BgL_opt1118z00_66,BgL_auxz00_2723); }  else 
{ /* Eval/library.scm 139 */BFALSE; } } } 
{ /* Eval/library.scm 139 */
 obj_t BgL_index1127z00_1312;
BgL_index1127z00_1312 = 
BGl_search1121ze70ze7zz__libraryz00(
VECTOR_LENGTH(BgL_opt1118z00_66), BgL_opt1118z00_66, BGl_keyword1890z00zz__libraryz00, ((long)1)); 
{ /* Eval/library.scm 139 */
 bool_t BgL_test2070z00_2735;
{ /* Eval/library.scm 139 */
 long BgL_n1z00_2070;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2736;
if(
INTEGERP(BgL_index1127z00_1312))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2736 = BgL_index1127z00_1312
; }  else 
{ 
 obj_t BgL_auxz00_2739;
BgL_auxz00_2739 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1127z00_1312); 
FAILURE(BgL_auxz00_2739,BFALSE,BFALSE);} 
BgL_n1z00_2070 = 
(long)CINT(BgL_tmpz00_2736); } 
BgL_test2070z00_2735 = 
(BgL_n1z00_2070>=((long)0)); } 
if(BgL_test2070z00_2735)
{ 
 long BgL_auxz00_2745;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2746;
if(
INTEGERP(BgL_index1127z00_1312))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2746 = BgL_index1127z00_1312
; }  else 
{ 
 obj_t BgL_auxz00_2749;
BgL_auxz00_2749 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1127z00_1312); 
FAILURE(BgL_auxz00_2749,BFALSE,BFALSE);} 
BgL_auxz00_2745 = 
(long)CINT(BgL_tmpz00_2746); } 
BgL_dlopenzd2initzd2_1291 = 
VECTOR_REF(BgL_opt1118z00_66,BgL_auxz00_2745); }  else 
{ /* Eval/library.scm 139 */BFALSE; } } } 
{ /* Eval/library.scm 139 */
 obj_t BgL_index1128z00_1314;
BgL_index1128z00_1314 = 
BGl_search1121ze70ze7zz__libraryz00(
VECTOR_LENGTH(BgL_opt1118z00_66), BgL_opt1118z00_66, BGl_keyword1892z00zz__libraryz00, ((long)1)); 
{ /* Eval/library.scm 139 */
 bool_t BgL_test2073z00_2757;
{ /* Eval/library.scm 139 */
 long BgL_n1z00_2071;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2758;
if(
INTEGERP(BgL_index1128z00_1314))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2758 = BgL_index1128z00_1314
; }  else 
{ 
 obj_t BgL_auxz00_2761;
BgL_auxz00_2761 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1128z00_1314); 
FAILURE(BgL_auxz00_2761,BFALSE,BFALSE);} 
BgL_n1z00_2071 = 
(long)CINT(BgL_tmpz00_2758); } 
BgL_test2073z00_2757 = 
(BgL_n1z00_2071>=((long)0)); } 
if(BgL_test2073z00_2757)
{ 
 long BgL_auxz00_2767;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2768;
if(
INTEGERP(BgL_index1128z00_1314))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2768 = BgL_index1128z00_1314
; }  else 
{ 
 obj_t BgL_auxz00_2771;
BgL_auxz00_2771 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1128z00_1314); 
FAILURE(BgL_auxz00_2771,BFALSE,BFALSE);} 
BgL_auxz00_2767 = 
(long)CINT(BgL_tmpz00_2768); } 
BgL_evalz00_1292 = 
VECTOR_REF(BgL_opt1118z00_66,BgL_auxz00_2767); }  else 
{ /* Eval/library.scm 139 */BFALSE; } } } 
{ /* Eval/library.scm 139 */
 obj_t BgL_index1129z00_1316;
BgL_index1129z00_1316 = 
BGl_search1121ze70ze7zz__libraryz00(
VECTOR_LENGTH(BgL_opt1118z00_66), BgL_opt1118z00_66, BGl_keyword1894z00zz__libraryz00, ((long)1)); 
{ /* Eval/library.scm 139 */
 bool_t BgL_test2076z00_2779;
{ /* Eval/library.scm 139 */
 long BgL_n1z00_2072;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2780;
if(
INTEGERP(BgL_index1129z00_1316))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2780 = BgL_index1129z00_1316
; }  else 
{ 
 obj_t BgL_auxz00_2783;
BgL_auxz00_2783 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1129z00_1316); 
FAILURE(BgL_auxz00_2783,BFALSE,BFALSE);} 
BgL_n1z00_2072 = 
(long)CINT(BgL_tmpz00_2780); } 
BgL_test2076z00_2779 = 
(BgL_n1z00_2072>=((long)0)); } 
if(BgL_test2076z00_2779)
{ 
 long BgL_auxz00_2789;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2790;
if(
INTEGERP(BgL_index1129z00_1316))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2790 = BgL_index1129z00_1316
; }  else 
{ 
 obj_t BgL_auxz00_2793;
BgL_auxz00_2793 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1129z00_1316); 
FAILURE(BgL_auxz00_2793,BFALSE,BFALSE);} 
BgL_auxz00_2789 = 
(long)CINT(BgL_tmpz00_2790); } 
BgL_initz00_1293 = 
VECTOR_REF(BgL_opt1118z00_66,BgL_auxz00_2789); }  else 
{ /* Eval/library.scm 139 */BFALSE; } } } 
{ /* Eval/library.scm 139 */
 obj_t BgL_index1130z00_1318;
BgL_index1130z00_1318 = 
BGl_search1121ze70ze7zz__libraryz00(
VECTOR_LENGTH(BgL_opt1118z00_66), BgL_opt1118z00_66, BGl_keyword1896z00zz__libraryz00, ((long)1)); 
{ /* Eval/library.scm 139 */
 bool_t BgL_test2079z00_2801;
{ /* Eval/library.scm 139 */
 long BgL_n1z00_2073;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2802;
if(
INTEGERP(BgL_index1130z00_1318))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2802 = BgL_index1130z00_1318
; }  else 
{ 
 obj_t BgL_auxz00_2805;
BgL_auxz00_2805 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1130z00_1318); 
FAILURE(BgL_auxz00_2805,BFALSE,BFALSE);} 
BgL_n1z00_2073 = 
(long)CINT(BgL_tmpz00_2802); } 
BgL_test2079z00_2801 = 
(BgL_n1z00_2073>=((long)0)); } 
if(BgL_test2079z00_2801)
{ 
 long BgL_auxz00_2811;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2812;
if(
INTEGERP(BgL_index1130z00_1318))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2812 = BgL_index1130z00_1318
; }  else 
{ 
 obj_t BgL_auxz00_2815;
BgL_auxz00_2815 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1130z00_1318); 
FAILURE(BgL_auxz00_2815,BFALSE,BFALSE);} 
BgL_auxz00_2811 = 
(long)CINT(BgL_tmpz00_2812); } 
BgL_modulezd2evalzd2_1294 = 
VECTOR_REF(BgL_opt1118z00_66,BgL_auxz00_2811); }  else 
{ /* Eval/library.scm 139 */BFALSE; } } } 
{ /* Eval/library.scm 139 */
 obj_t BgL_index1131z00_1320;
BgL_index1131z00_1320 = 
BGl_search1121ze70ze7zz__libraryz00(
VECTOR_LENGTH(BgL_opt1118z00_66), BgL_opt1118z00_66, BGl_keyword1898z00zz__libraryz00, ((long)1)); 
{ /* Eval/library.scm 139 */
 bool_t BgL_test2082z00_2823;
{ /* Eval/library.scm 139 */
 long BgL_n1z00_2074;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2824;
if(
INTEGERP(BgL_index1131z00_1320))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2824 = BgL_index1131z00_1320
; }  else 
{ 
 obj_t BgL_auxz00_2827;
BgL_auxz00_2827 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1131z00_1320); 
FAILURE(BgL_auxz00_2827,BFALSE,BFALSE);} 
BgL_n1z00_2074 = 
(long)CINT(BgL_tmpz00_2824); } 
BgL_test2082z00_2823 = 
(BgL_n1z00_2074>=((long)0)); } 
if(BgL_test2082z00_2823)
{ 
 long BgL_auxz00_2833;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2834;
if(
INTEGERP(BgL_index1131z00_1320))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2834 = BgL_index1131z00_1320
; }  else 
{ 
 obj_t BgL_auxz00_2837;
BgL_auxz00_2837 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1131z00_1320); 
FAILURE(BgL_auxz00_2837,BFALSE,BFALSE);} 
BgL_auxz00_2833 = 
(long)CINT(BgL_tmpz00_2834); } 
BgL_modulezd2initzd2_1295 = 
VECTOR_REF(BgL_opt1118z00_66,BgL_auxz00_2833); }  else 
{ /* Eval/library.scm 139 */BFALSE; } } } 
{ /* Eval/library.scm 139 */
 obj_t BgL_index1132z00_1322;
BgL_index1132z00_1322 = 
BGl_search1121ze70ze7zz__libraryz00(
VECTOR_LENGTH(BgL_opt1118z00_66), BgL_opt1118z00_66, BGl_keyword1900z00zz__libraryz00, ((long)1)); 
{ /* Eval/library.scm 139 */
 bool_t BgL_test2085z00_2845;
{ /* Eval/library.scm 139 */
 long BgL_n1z00_2075;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2846;
if(
INTEGERP(BgL_index1132z00_1322))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2846 = BgL_index1132z00_1322
; }  else 
{ 
 obj_t BgL_auxz00_2849;
BgL_auxz00_2849 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1132z00_1322); 
FAILURE(BgL_auxz00_2849,BFALSE,BFALSE);} 
BgL_n1z00_2075 = 
(long)CINT(BgL_tmpz00_2846); } 
BgL_test2085z00_2845 = 
(BgL_n1z00_2075>=((long)0)); } 
if(BgL_test2085z00_2845)
{ 
 long BgL_auxz00_2855;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2856;
if(
INTEGERP(BgL_index1132z00_1322))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2856 = BgL_index1132z00_1322
; }  else 
{ 
 obj_t BgL_auxz00_2859;
BgL_auxz00_2859 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1132z00_1322); 
FAILURE(BgL_auxz00_2859,BFALSE,BFALSE);} 
BgL_auxz00_2855 = 
(long)CINT(BgL_tmpz00_2856); } 
BgL_srfiz00_1296 = 
VECTOR_REF(BgL_opt1118z00_66,BgL_auxz00_2855); }  else 
{ /* Eval/library.scm 139 */BFALSE; } } } 
{ /* Eval/library.scm 139 */
 obj_t BgL_index1133z00_1324;
BgL_index1133z00_1324 = 
BGl_search1121ze70ze7zz__libraryz00(
VECTOR_LENGTH(BgL_opt1118z00_66), BgL_opt1118z00_66, BGl_keyword1902z00zz__libraryz00, ((long)1)); 
{ /* Eval/library.scm 139 */
 bool_t BgL_test2088z00_2867;
{ /* Eval/library.scm 139 */
 long BgL_n1z00_2076;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2868;
if(
INTEGERP(BgL_index1133z00_1324))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2868 = BgL_index1133z00_1324
; }  else 
{ 
 obj_t BgL_auxz00_2871;
BgL_auxz00_2871 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1133z00_1324); 
FAILURE(BgL_auxz00_2871,BFALSE,BFALSE);} 
BgL_n1z00_2076 = 
(long)CINT(BgL_tmpz00_2868); } 
BgL_test2088z00_2867 = 
(BgL_n1z00_2076>=((long)0)); } 
if(BgL_test2088z00_2867)
{ 
 long BgL_auxz00_2877;
{ /* Eval/library.scm 139 */
 obj_t BgL_tmpz00_2878;
if(
INTEGERP(BgL_index1133z00_1324))
{ /* Eval/library.scm 139 */
BgL_tmpz00_2878 = BgL_index1133z00_1324
; }  else 
{ 
 obj_t BgL_auxz00_2881;
BgL_auxz00_2881 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)5364)), BGl_string1879z00zz__libraryz00, BGl_string1907z00zz__libraryz00, BgL_index1133z00_1324); 
FAILURE(BgL_auxz00_2881,BFALSE,BFALSE);} 
BgL_auxz00_2877 = 
(long)CINT(BgL_tmpz00_2878); } 
BgL_versionz00_1297 = 
VECTOR_REF(BgL_opt1118z00_66,BgL_auxz00_2877); }  else 
{ /* Eval/library.scm 139 */BFALSE; } } } 
{ /* Eval/library.scm 139 */
 obj_t BgL_arg1273z00_1326;
BgL_arg1273z00_1326 = 
VECTOR_REF(BgL_opt1118z00_66,((long)0)); 
{ /* Eval/library.scm 139 */
 obj_t BgL_basenamez00_1327;
BgL_basenamez00_1327 = BgL_basenamez00_1288; 
{ /* Eval/library.scm 139 */
 obj_t BgL_classzd2evalzd2_1328;
BgL_classzd2evalzd2_1328 = BgL_classzd2evalzd2_1289; 
{ /* Eval/library.scm 139 */
 obj_t BgL_classzd2initzd2_1329;
BgL_classzd2initzd2_1329 = BgL_classzd2initzd2_1290; 
{ /* Eval/library.scm 139 */
 obj_t BgL_dlopenzd2initzd2_1330;
BgL_dlopenzd2initzd2_1330 = BgL_dlopenzd2initzd2_1291; 
{ /* Eval/library.scm 139 */
 obj_t BgL_evalz00_1331;
BgL_evalz00_1331 = BgL_evalz00_1292; 
{ /* Eval/library.scm 139 */
 obj_t BgL_initz00_1332;
BgL_initz00_1332 = BgL_initz00_1293; 
{ /* Eval/library.scm 139 */
 obj_t BgL_modulezd2evalzd2_1333;
BgL_modulezd2evalzd2_1333 = BgL_modulezd2evalzd2_1294; 
{ /* Eval/library.scm 139 */
 obj_t BgL_modulezd2initzd2_1334;
BgL_modulezd2initzd2_1334 = BgL_modulezd2initzd2_1295; 
{ /* Eval/library.scm 139 */
 obj_t BgL_srfiz00_1335;
BgL_srfiz00_1335 = BgL_srfiz00_1296; 
return 
BGl_declarezd2libraryz12zc0zz__libraryz00(BgL_arg1273z00_1326, BgL_basenamez00_1327, BgL_classzd2evalzd2_1328, BgL_classzd2initzd2_1329, BgL_dlopenzd2initzd2_1330, BgL_evalz00_1331, BgL_initz00_1332, BgL_modulezd2evalzd2_1333, BgL_modulezd2initzd2_1334, BgL_srfiz00_1335, BgL_versionz00_1297);} } } } } } } } } } } } } } } } } } } } } } } 

}



/* search1121~0 */
obj_t BGl_search1121ze70ze7zz__libraryz00(long BgL_l1120z00_2501, obj_t BgL_opt1118z00_2500, obj_t BgL_k1z00_1284, long BgL_iz00_1285)
{
{ /* Eval/library.scm 139 */
BGl_search1121ze70ze7zz__libraryz00:
if(
(BgL_iz00_1285==BgL_l1120z00_2501))
{ /* Eval/library.scm 139 */
return 
BINT(((long)-1));}  else 
{ /* Eval/library.scm 139 */
if(
(BgL_iz00_1285==
(BgL_l1120z00_2501-((long)1))))
{ /* Eval/library.scm 139 */
return 
BGl_errorz00zz__errorz00(BGl_symbol1904z00zz__libraryz00, BGl_string1908z00zz__libraryz00, 
BINT(
VECTOR_LENGTH(BgL_opt1118z00_2500)));}  else 
{ /* Eval/library.scm 139 */
 obj_t BgL_vz00_1341;
BgL_vz00_1341 = 
VECTOR_REF(BgL_opt1118z00_2500,BgL_iz00_1285); 
if(
(BgL_vz00_1341==BgL_k1z00_1284))
{ /* Eval/library.scm 139 */
return 
BINT(
(BgL_iz00_1285+((long)1)));}  else 
{ 
 long BgL_iz00_2903;
BgL_iz00_2903 = 
(BgL_iz00_1285+((long)2)); 
BgL_iz00_1285 = BgL_iz00_2903; 
goto BGl_search1121ze70ze7zz__libraryz00;} } } } 

}



/* declare-library! */
BGL_EXPORTED_DEF obj_t BGl_declarezd2libraryz12zc0zz__libraryz00(obj_t BgL_idz00_55, obj_t BgL_basenamez00_56, obj_t BgL_classzd2evalzd2_57, obj_t BgL_classzd2initzd2_58, obj_t BgL_dlopenzd2initzd2_59, obj_t BgL_evalz00_60, obj_t BgL_initz00_61, obj_t BgL_modulezd2evalzd2_62, obj_t BgL_modulezd2initzd2_63, obj_t BgL_srfiz00_64, obj_t BgL_versionz00_65)
{
{ /* Eval/library.scm 139 */
{ /* Eval/library.scm 149 */
 obj_t BgL_top2095z00_2906;
BgL_top2095z00_2906 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2libraryzd2mutexza2zd2zz__libraryz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2095z00_2906, BGl_za2libraryzd2mutexza2zd2zz__libraryz00); BUNSPEC; 
{ /* Eval/library.scm 149 */
 obj_t BgL_tmp2094z00_2905;
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_55, BGl_za2librariesza2z00zz__libraryz00)))
{ /* Eval/library.scm 150 */
BgL_tmp2094z00_2905 = BFALSE; }  else 
{ /* Eval/library.scm 150 */
{ /* Eval/library.scm 154 */
 obj_t BgL_arg1285z00_1346;
{ /* Eval/library.scm 154 */
 obj_t BgL_arg1286z00_1347;
{ /* Eval/library.scm 154 */
 obj_t BgL_arg1287z00_1348; obj_t BgL_arg1288z00_1349;
if(
CBOOL(BgL_dlopenzd2initzd2_59))
{ /* Eval/library.scm 157 */
 obj_t BgL_arg1289z00_1350;
BgL_arg1289z00_1350 = 
BGl_evalzd2libraryzd2suffixz00zz__libraryz00(); 
{ /* Eval/library.scm 155 */
 obj_t BgL_list1290z00_1351;
{ /* Eval/library.scm 155 */
 obj_t BgL_arg1291z00_1352;
BgL_arg1291z00_1352 = 
MAKE_YOUNG_PAIR(BgL_arg1289z00_1350, BNIL); 
BgL_list1290z00_1351 = 
MAKE_YOUNG_PAIR(BgL_dlopenzd2initzd2_59, BgL_arg1291z00_1352); } 
BgL_arg1287z00_1348 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string1909z00zz__libraryz00, BgL_list1290z00_1351); } }  else 
{ /* Eval/library.scm 154 */
BgL_arg1287z00_1348 = BFALSE; } 
if(
CBOOL(BgL_dlopenzd2initzd2_59))
{ /* Eval/library.scm 161 */
 obj_t BgL_arg1292z00_1353;
BgL_arg1292z00_1353 = 
BGl_evalzd2libraryzd2suffixz00zz__libraryz00(); 
{ /* Eval/library.scm 159 */
 obj_t BgL_list1293z00_1354;
{ /* Eval/library.scm 159 */
 obj_t BgL_arg1294z00_1355;
BgL_arg1294z00_1355 = 
MAKE_YOUNG_PAIR(BgL_arg1292z00_1353, BNIL); 
BgL_list1293z00_1354 = 
MAKE_YOUNG_PAIR(BgL_dlopenzd2initzd2_59, BgL_arg1294z00_1355); } 
BgL_arg1288z00_1349 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string1910z00zz__libraryz00, BgL_list1293z00_1354); } }  else 
{ /* Eval/library.scm 158 */
BgL_arg1288z00_1349 = BFALSE; } 
{ /* Eval/library.scm 107 */
 obj_t BgL_newz00_2077;
BgL_newz00_2077 = 
create_struct(BGl_symbol1911z00zz__libraryz00, 
(int)(((long)12))); 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_2927;
BgL_tmpz00_2927 = 
(int)(((long)11)); 
STRUCT_SET(BgL_newz00_2077, BgL_tmpz00_2927, BgL_srfiz00_64); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_2930;
BgL_tmpz00_2930 = 
(int)(((long)10)); 
STRUCT_SET(BgL_newz00_2077, BgL_tmpz00_2930, BgL_evalz00_60); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_2933;
BgL_tmpz00_2933 = 
(int)(((long)9)); 
STRUCT_SET(BgL_newz00_2077, BgL_tmpz00_2933, BgL_initz00_61); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_2936;
BgL_tmpz00_2936 = 
(int)(((long)8)); 
STRUCT_SET(BgL_newz00_2077, BgL_tmpz00_2936, BgL_classzd2evalzd2_57); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_2939;
BgL_tmpz00_2939 = 
(int)(((long)7)); 
STRUCT_SET(BgL_newz00_2077, BgL_tmpz00_2939, BgL_classzd2initzd2_58); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_2942;
BgL_tmpz00_2942 = 
(int)(((long)6)); 
STRUCT_SET(BgL_newz00_2077, BgL_tmpz00_2942, BgL_modulezd2evalzd2_62); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_2945;
BgL_tmpz00_2945 = 
(int)(((long)5)); 
STRUCT_SET(BgL_newz00_2077, BgL_tmpz00_2945, BgL_modulezd2initzd2_63); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_2948;
BgL_tmpz00_2948 = 
(int)(((long)4)); 
STRUCT_SET(BgL_newz00_2077, BgL_tmpz00_2948, BgL_arg1288z00_1349); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_2951;
BgL_tmpz00_2951 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_2077, BgL_tmpz00_2951, BgL_arg1287z00_1348); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_2954;
BgL_tmpz00_2954 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_2077, BgL_tmpz00_2954, BgL_versionz00_65); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_2957;
BgL_tmpz00_2957 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_2077, BgL_tmpz00_2957, BgL_basenamez00_56); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_2960;
BgL_tmpz00_2960 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_2077, BgL_tmpz00_2960, BgL_idz00_55); } 
BgL_arg1286z00_1347 = BgL_newz00_2077; } } 
BgL_arg1285z00_1346 = 
MAKE_YOUNG_PAIR(BgL_idz00_55, BgL_arg1286z00_1347); } 
BGl_za2librariesza2z00zz__libraryz00 = 
MAKE_YOUNG_PAIR(BgL_arg1285z00_1346, BGl_za2librariesza2z00zz__libraryz00); } 
{ 
 obj_t BgL_l1096z00_1357;
{ /* Eval/library.scm 166 */
 bool_t BgL_tmpz00_2965;
BgL_l1096z00_1357 = BgL_srfiz00_64; 
BgL_zc3z04anonymousza31295ze3z87_1358:
if(
PAIRP(BgL_l1096z00_1357))
{ /* Eval/library.scm 166 */
{ /* Eval/library.scm 167 */
 obj_t BgL_sz00_1360;
BgL_sz00_1360 = 
CAR(BgL_l1096z00_1357); 
BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(BgL_sz00_1360); 
bgl_register_eval_srfi(BgL_sz00_1360); } 
{ 
 obj_t BgL_l1096z00_2971;
BgL_l1096z00_2971 = 
CDR(BgL_l1096z00_1357); 
BgL_l1096z00_1357 = BgL_l1096z00_2971; 
goto BgL_zc3z04anonymousza31295ze3z87_1358;} }  else 
{ /* Eval/library.scm 166 */
BgL_tmpz00_2965 = ((bool_t)1)
; } 
BgL_tmp2094z00_2905 = 
BBOOL(BgL_tmpz00_2965); } } } 
BGL_EXITD_POP_PROTECT(BgL_top2095z00_2906); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2libraryzd2mutexza2zd2zz__libraryz00); 
return BgL_tmp2094z00_2905;} } } 

}



/* library-info */
BGL_EXPORTED_DEF obj_t BGl_libraryzd2infozd2zz__libraryz00(obj_t BgL_idz00_68)
{
{ /* Eval/library.scm 174 */
{ /* Eval/library.scm 175 */
 obj_t BgL_g1039z00_1363;
BgL_g1039z00_1363 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_68, BGl_za2librariesza2z00zz__libraryz00); 
if(
CBOOL(BgL_g1039z00_1363))
{ /* Eval/library.scm 175 */
return 
CDR(
((obj_t)BgL_g1039z00_1363));}  else 
{ /* Eval/library.scm 175 */
return BFALSE;} } } 

}



/* &library-info */
obj_t BGl_z62libraryzd2infozb0zz__libraryz00(obj_t BgL_envz00_2466, obj_t BgL_idz00_2467)
{
{ /* Eval/library.scm 174 */
{ /* Eval/library.scm 175 */
 obj_t BgL_auxz00_2981;
if(
SYMBOLP(BgL_idz00_2467))
{ /* Eval/library.scm 175 */
BgL_auxz00_2981 = BgL_idz00_2467
; }  else 
{ 
 obj_t BgL_auxz00_2984;
BgL_auxz00_2984 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)6378)), BGl_string1913z00zz__libraryz00, BGl_string1880z00zz__libraryz00, BgL_idz00_2467); 
FAILURE(BgL_auxz00_2984,BFALSE,BFALSE);} 
return 
BGl_libraryzd2infozd2zz__libraryz00(BgL_auxz00_2981);} } 

}



/* library-translation-table-add! */
BGL_EXPORTED_DEF obj_t BGl_libraryzd2translationzd2tablezd2addz12zc0zz__libraryz00(obj_t BgL_namez00_69, obj_t BgL_translationz00_70, obj_t BgL_optz00_71)
{
{ /* Eval/library.scm 180 */
{ /* Eval/library.scm 181 */
 obj_t BgL_versionz00_1365; obj_t BgL_dlopenzd2initzd2_1366;
BgL_versionz00_1365 = 
BGl_bigloozd2configzd2zz__configurez00(BGl_symbol1881z00zz__libraryz00); 
{ /* Eval/library.scm 182 */
 obj_t BgL_arg1611z00_2094;
BgL_arg1611z00_2094 = 
SYMBOL_TO_STRING(BgL_namez00_69); 
BgL_dlopenzd2initzd2_1366 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1611z00_2094); } 
{ 
 obj_t BgL_optz00_1368;
BgL_optz00_1368 = BgL_optz00_71; 
BgL_zc3z04anonymousza31301ze3z87_1369:
if(
PAIRP(BgL_optz00_1368))
{ /* Eval/library.scm 186 */
 bool_t BgL_test2103z00_2994;
{ /* Eval/library.scm 186 */
 obj_t BgL_tmpz00_2995;
BgL_tmpz00_2995 = 
CAR(BgL_optz00_1368); 
BgL_test2103z00_2994 = 
STRINGP(BgL_tmpz00_2995); } 
if(BgL_test2103z00_2994)
{ /* Eval/library.scm 186 */
BgL_versionz00_1365 = 
CAR(BgL_optz00_1368); 
{ 
 obj_t BgL_optz00_2999;
BgL_optz00_2999 = 
CDR(BgL_optz00_1368); 
BgL_optz00_1368 = BgL_optz00_2999; 
goto BgL_zc3z04anonymousza31301ze3z87_1369;} }  else 
{ /* Eval/library.scm 186 */
if(
CBOOL(
CAR(BgL_optz00_1368)))
{ /* Eval/library.scm 189 */
if(
(
CAR(BgL_optz00_1368)==BGl_keyword1890z00zz__libraryz00))
{ /* Eval/library.scm 192 */
if(
NULLP(
CDR(BgL_optz00_1368)))
{ /* Eval/library.scm 194 */
BGl_errorz00zz__errorz00(BGl_symbol1914z00zz__libraryz00, BGl_string1916z00zz__libraryz00, BgL_optz00_1368); }  else 
{ /* Eval/library.scm 198 */
 bool_t BgL_test2107z00_3011;
{ /* Eval/library.scm 198 */
 obj_t BgL_tmpz00_3012;
BgL_tmpz00_3012 = 
CAR(
CDR(BgL_optz00_1368)); 
BgL_test2107z00_3011 = 
STRINGP(BgL_tmpz00_3012); } 
if(BgL_test2107z00_3011)
{ /* Eval/library.scm 198 */
BgL_dlopenzd2initzd2_1366 = 
CAR(
CDR(BgL_optz00_1368)); 
{ 
 obj_t BgL_optz00_3018;
BgL_optz00_3018 = 
CDR(
CDR(BgL_optz00_1368)); 
BgL_optz00_1368 = BgL_optz00_3018; 
goto BgL_zc3z04anonymousza31301ze3z87_1369;} }  else 
{ /* Eval/library.scm 198 */
BGl_errorz00zz__errorz00(BGl_symbol1914z00zz__libraryz00, BGl_string1917z00zz__libraryz00, BgL_optz00_1368); } } }  else 
{ /* Eval/library.scm 192 */
BGl_errorz00zz__errorz00(BGl_symbol1914z00zz__libraryz00, BGl_string1918z00zz__libraryz00, BgL_optz00_1368); } }  else 
{ /* Eval/library.scm 189 */
BgL_versionz00_1365 = BFALSE; 
{ 
 obj_t BgL_optz00_3023;
BgL_optz00_3023 = 
CDR(BgL_optz00_1368); 
BgL_optz00_1368 = BgL_optz00_3023; 
goto BgL_zc3z04anonymousza31301ze3z87_1369;} } } }  else 
{ /* Eval/library.scm 184 */BFALSE; } } 
{ /* Eval/library.scm 209 */
 obj_t BgL_top2109z00_3026;
BgL_top2109z00_3026 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2libraryzd2mutexza2zd2zz__libraryz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2109z00_3026, BGl_za2libraryzd2mutexza2zd2zz__libraryz00); BUNSPEC; 
{ /* Eval/library.scm 209 */
 obj_t BgL_tmp2108z00_3025;
{ /* Eval/library.scm 213 */
 obj_t BgL_arg1337z00_1388;
{ /* Eval/library.scm 213 */
 obj_t BgL_arg1338z00_1389;
{ /* Eval/library.scm 213 */
 obj_t BgL_arg1339z00_1390; obj_t BgL_arg1340z00_1391;
if(
CBOOL(BgL_dlopenzd2initzd2_1366))
{ /* Eval/library.scm 213 */
BgL_arg1339z00_1390 = 
string_append_3(
BGl_manglez00zz__libraryz00(BgL_dlopenzd2initzd2_1366), BGl_string1919z00zz__libraryz00, 
BGl_evalzd2libraryzd2suffixz00zz__libraryz00()); }  else 
{ /* Eval/library.scm 213 */
BgL_arg1339z00_1390 = BFALSE; } 
if(
CBOOL(BgL_dlopenzd2initzd2_1366))
{ /* Eval/library.scm 217 */
BgL_arg1340z00_1391 = 
string_append_3(
BGl_manglez00zz__libraryz00(BgL_dlopenzd2initzd2_1366), BGl_string1920z00zz__libraryz00, 
BGl_evalzd2libraryzd2suffixz00zz__libraryz00()); }  else 
{ /* Eval/library.scm 217 */
BgL_arg1340z00_1391 = BFALSE; } 
{ /* Eval/library.scm 212 */
 obj_t BgL_versionz00_2114;
BgL_versionz00_2114 = BgL_versionz00_1365; 
{ /* Eval/library.scm 107 */
 obj_t BgL_newz00_2115;
BgL_newz00_2115 = 
create_struct(BGl_symbol1911z00zz__libraryz00, 
(int)(((long)12))); 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_3042;
BgL_tmpz00_3042 = 
(int)(((long)11)); 
STRUCT_SET(BgL_newz00_2115, BgL_tmpz00_3042, BFALSE); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_3045;
BgL_tmpz00_3045 = 
(int)(((long)10)); 
STRUCT_SET(BgL_newz00_2115, BgL_tmpz00_3045, BFALSE); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_3048;
BgL_tmpz00_3048 = 
(int)(((long)9)); 
STRUCT_SET(BgL_newz00_2115, BgL_tmpz00_3048, BFALSE); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_3051;
BgL_tmpz00_3051 = 
(int)(((long)8)); 
STRUCT_SET(BgL_newz00_2115, BgL_tmpz00_3051, BFALSE); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_3054;
BgL_tmpz00_3054 = 
(int)(((long)7)); 
STRUCT_SET(BgL_newz00_2115, BgL_tmpz00_3054, BFALSE); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_3057;
BgL_tmpz00_3057 = 
(int)(((long)6)); 
STRUCT_SET(BgL_newz00_2115, BgL_tmpz00_3057, BFALSE); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_3060;
BgL_tmpz00_3060 = 
(int)(((long)5)); 
STRUCT_SET(BgL_newz00_2115, BgL_tmpz00_3060, BFALSE); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_3063;
BgL_tmpz00_3063 = 
(int)(((long)4)); 
STRUCT_SET(BgL_newz00_2115, BgL_tmpz00_3063, BgL_arg1340z00_1391); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_3066;
BgL_tmpz00_3066 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_2115, BgL_tmpz00_3066, BgL_arg1339z00_1390); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_3069;
BgL_tmpz00_3069 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_2115, BgL_tmpz00_3069, BgL_versionz00_2114); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_3072;
BgL_tmpz00_3072 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_2115, BgL_tmpz00_3072, BgL_translationz00_70); } 
{ /* Eval/library.scm 107 */
 int BgL_tmpz00_3075;
BgL_tmpz00_3075 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_2115, BgL_tmpz00_3075, BgL_namez00_69); } 
BgL_arg1338z00_1389 = BgL_newz00_2115; } } } 
BgL_arg1337z00_1388 = 
MAKE_YOUNG_PAIR(BgL_namez00_69, BgL_arg1338z00_1389); } 
BgL_tmp2108z00_3025 = ( 
BGl_za2librariesza2z00zz__libraryz00 = 
MAKE_YOUNG_PAIR(BgL_arg1337z00_1388, BGl_za2librariesza2z00zz__libraryz00), BUNSPEC) ; } 
BGL_EXITD_POP_PROTECT(BgL_top2109z00_3026); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2libraryzd2mutexza2zd2zz__libraryz00); 
return BgL_tmp2108z00_3025;} } } } 

}



/* &library-translation-table-add! */
obj_t BGl_z62libraryzd2translationzd2tablezd2addz12za2zz__libraryz00(obj_t BgL_envz00_2468, obj_t BgL_namez00_2469, obj_t BgL_translationz00_2470, obj_t BgL_optz00_2471)
{
{ /* Eval/library.scm 180 */
{ /* Eval/library.scm 181 */
 obj_t BgL_auxz00_3089; obj_t BgL_auxz00_3082;
if(
STRINGP(BgL_translationz00_2470))
{ /* Eval/library.scm 181 */
BgL_auxz00_3089 = BgL_translationz00_2470
; }  else 
{ 
 obj_t BgL_auxz00_3092;
BgL_auxz00_3092 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)6700)), BGl_string1921z00zz__libraryz00, BGl_string1866z00zz__libraryz00, BgL_translationz00_2470); 
FAILURE(BgL_auxz00_3092,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_namez00_2469))
{ /* Eval/library.scm 181 */
BgL_auxz00_3082 = BgL_namez00_2469
; }  else 
{ 
 obj_t BgL_auxz00_3085;
BgL_auxz00_3085 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)6700)), BGl_string1921z00zz__libraryz00, BGl_string1880z00zz__libraryz00, BgL_namez00_2469); 
FAILURE(BgL_auxz00_3085,BFALSE,BFALSE);} 
return 
BGl_libraryzd2translationzd2tablezd2addz12zc0zz__libraryz00(BgL_auxz00_3082, BgL_auxz00_3089, BgL_optz00_2471);} } 

}



/* library-init-file */
BGL_EXPORTED_DEF obj_t BGl_libraryzd2initzd2filez00zz__libraryz00(obj_t BgL_libz00_72)
{
{ /* Eval/library.scm 229 */
{ /* Eval/library.scm 230 */
 obj_t BgL_arg1345z00_1396;
{ /* Eval/library.scm 230 */
 obj_t BgL_arg1611z00_2129;
BgL_arg1611z00_2129 = 
SYMBOL_TO_STRING(BgL_libz00_72); 
BgL_arg1345z00_1396 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1611z00_2129); } 
return 
string_append(BgL_arg1345z00_1396, BGl_string1922z00zz__libraryz00);} } 

}



/* &library-init-file */
obj_t BGl_z62libraryzd2initzd2filez62zz__libraryz00(obj_t BgL_envz00_2472, obj_t BgL_libz00_2473)
{
{ /* Eval/library.scm 229 */
{ /* Eval/library.scm 230 */
 obj_t BgL_auxz00_3100;
if(
SYMBOLP(BgL_libz00_2473))
{ /* Eval/library.scm 230 */
BgL_auxz00_3100 = BgL_libz00_2473
; }  else 
{ 
 obj_t BgL_auxz00_3103;
BgL_auxz00_3103 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)8119)), BGl_string1923z00zz__libraryz00, BGl_string1880z00zz__libraryz00, BgL_libz00_2473); 
FAILURE(BgL_auxz00_3103,BFALSE,BFALSE);} 
return 
BGl_libraryzd2initzd2filez00zz__libraryz00(BgL_auxz00_3100);} } 

}



/* untranslate-library-name */
obj_t BGl_untranslatezd2libraryzd2namez00zz__libraryz00(obj_t BgL_libraryz00_73)
{
{ /* Eval/library.scm 235 */
{ /* Eval/library.scm 236 */
 obj_t BgL_infoz00_1397;
BgL_infoz00_1397 = 
BGl_libraryzd2infozd2zz__libraryz00(BgL_libraryz00_73); 
if(
CBOOL(BgL_infoz00_1397))
{ /* Eval/library.scm 238 */
 obj_t BgL_val0_1098z00_1398; obj_t BgL_val1_1099z00_1399;
BgL_val0_1098z00_1398 = 
STRUCT_REF(
((obj_t)BgL_infoz00_1397), 
(int)(((long)1))); 
BgL_val1_1099z00_1399 = 
STRUCT_REF(
((obj_t)BgL_infoz00_1397), 
(int)(((long)2))); 
{ /* Eval/library.scm 238 */
 int BgL_tmpz00_3117;
BgL_tmpz00_3117 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3117); } 
{ /* Eval/library.scm 238 */
 int BgL_tmpz00_3120;
BgL_tmpz00_3120 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3120, BgL_val1_1099z00_1399); } 
return BgL_val0_1098z00_1398;}  else 
{ /* Eval/library.scm 239 */
 obj_t BgL_val0_1100z00_1400; obj_t BgL_val1_1101z00_1401;
{ /* Eval/library.scm 239 */
 obj_t BgL_arg1611z00_2133;
BgL_arg1611z00_2133 = 
SYMBOL_TO_STRING(BgL_libraryz00_73); 
BgL_val0_1100z00_1400 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1611z00_2133); } 
BgL_val1_1101z00_1401 = 
BGl_bigloozd2configzd2zz__configurez00(BGl_symbol1881z00zz__libraryz00); 
{ /* Eval/library.scm 239 */
 int BgL_tmpz00_3126;
BgL_tmpz00_3126 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3126); } 
{ /* Eval/library.scm 239 */
 int BgL_tmpz00_3129;
BgL_tmpz00_3129 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3129, BgL_val1_1101z00_1401); } 
return BgL_val0_1100z00_1400;} } } 

}



/* library-file-name */
BGL_EXPORTED_DEF obj_t BGl_libraryzd2filezd2namez00zz__libraryz00(obj_t BgL_libraryz00_74, obj_t BgL_suffixz00_75, obj_t BgL_backendz00_76)
{
{ /* Eval/library.scm 244 */
{ 
 obj_t BgL_basez00_1423; obj_t BgL_suffixz00_1424; obj_t BgL_versionz00_1425;
{ /* Eval/library.scm 255 */
 obj_t BgL_basez00_1403;
BgL_basez00_1403 = 
BGl_untranslatezd2libraryzd2namez00zz__libraryz00(BgL_libraryz00_74); 
{ /* Eval/library.scm 256 */
 obj_t BgL_versionz00_1404;
{ /* Eval/library.scm 257 */
 obj_t BgL_tmpz00_2134;
{ /* Eval/library.scm 257 */
 int BgL_tmpz00_3133;
BgL_tmpz00_3133 = 
(int)(((long)1)); 
BgL_tmpz00_2134 = 
BGL_MVALUES_VAL(BgL_tmpz00_3133); } 
{ /* Eval/library.scm 257 */
 int BgL_tmpz00_3136;
BgL_tmpz00_3136 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3136, BUNSPEC); } 
BgL_versionz00_1404 = BgL_tmpz00_2134; } 
if(
(BgL_backendz00_76==BGl_symbol1928z00zz__libraryz00))
{ /* Eval/library.scm 260 */
 bool_t BgL_test2117z00_3141;
{ /* Eval/library.scm 260 */
 bool_t BgL_test2118z00_3142;
{ /* Eval/library.scm 260 */
 obj_t BgL_string1z00_2136;
BgL_string1z00_2136 = 
string_to_bstring(OS_CLASS); 
{ /* Eval/library.scm 260 */
 long BgL_l1z00_2138;
BgL_l1z00_2138 = 
STRING_LENGTH(BgL_string1z00_2136); 
if(
(BgL_l1z00_2138==((long)4)))
{ /* Eval/library.scm 260 */
 int BgL_arg1503z00_2141;
{ /* Eval/library.scm 260 */
 char * BgL_auxz00_3149; char * BgL_tmpz00_3147;
BgL_auxz00_3149 = 
BSTRING_TO_STRING(BGl_string1930z00zz__libraryz00); 
BgL_tmpz00_3147 = 
BSTRING_TO_STRING(BgL_string1z00_2136); 
BgL_arg1503z00_2141 = 
memcmp(BgL_tmpz00_3147, BgL_auxz00_3149, BgL_l1z00_2138); } 
BgL_test2118z00_3142 = 
(
(long)(BgL_arg1503z00_2141)==((long)0)); }  else 
{ /* Eval/library.scm 260 */
BgL_test2118z00_3142 = ((bool_t)0)
; } } } 
if(BgL_test2118z00_3142)
{ /* Eval/library.scm 260 */
BgL_test2117z00_3141 = ((bool_t)1)
; }  else 
{ /* Eval/library.scm 261 */
 obj_t BgL_string1z00_2147;
BgL_string1z00_2147 = 
string_to_bstring(OS_CLASS); 
{ /* Eval/library.scm 261 */
 long BgL_l1z00_2149;
BgL_l1z00_2149 = 
STRING_LENGTH(BgL_string1z00_2147); 
if(
(BgL_l1z00_2149==((long)5)))
{ /* Eval/library.scm 261 */
 int BgL_arg1503z00_2152;
{ /* Eval/library.scm 261 */
 char * BgL_auxz00_3160; char * BgL_tmpz00_3158;
BgL_auxz00_3160 = 
BSTRING_TO_STRING(BGl_string1931z00zz__libraryz00); 
BgL_tmpz00_3158 = 
BSTRING_TO_STRING(BgL_string1z00_2147); 
BgL_arg1503z00_2152 = 
memcmp(BgL_tmpz00_3158, BgL_auxz00_3160, BgL_l1z00_2149); } 
BgL_test2117z00_3141 = 
(
(long)(BgL_arg1503z00_2152)==((long)0)); }  else 
{ /* Eval/library.scm 261 */
BgL_test2117z00_3141 = ((bool_t)0)
; } } } } 
if(BgL_test2117z00_3141)
{ /* Eval/library.scm 260 */
BgL_basez00_1423 = BgL_basez00_1403; 
BgL_suffixz00_1424 = BgL_suffixz00_75; 
BgL_versionz00_1425 = BgL_versionz00_1404; 
BgL_zc3z04anonymousza31360ze3z87_1426:
if(
CBOOL(BgL_versionz00_1425))
{ /* Eval/library.scm 248 */
if(
STRINGP(BgL_versionz00_1425))
{ /* Eval/library.scm 251 */
 obj_t BgL_list1362z00_1428;
{ /* Eval/library.scm 251 */
 obj_t BgL_arg1363z00_1429;
{ /* Eval/library.scm 251 */
 obj_t BgL_arg1364z00_1430;
{ /* Eval/library.scm 251 */
 obj_t BgL_arg1365z00_1431;
{ /* Eval/library.scm 251 */
 obj_t BgL_arg1366z00_1432;
BgL_arg1366z00_1432 = 
MAKE_YOUNG_PAIR(BgL_versionz00_1425, BNIL); 
BgL_arg1365z00_1431 = 
MAKE_YOUNG_PAIR(BGl_string1924z00zz__libraryz00, BgL_arg1366z00_1432); } 
BgL_arg1364z00_1430 = 
MAKE_YOUNG_PAIR(BGl_libraryzd2threadzd2suffixz00zz__libraryz00, BgL_arg1365z00_1431); } 
BgL_arg1363z00_1429 = 
MAKE_YOUNG_PAIR(BgL_suffixz00_1424, BgL_arg1364z00_1430); } 
BgL_list1362z00_1428 = 
MAKE_YOUNG_PAIR(BgL_basez00_1423, BgL_arg1363z00_1429); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1362z00_1428);}  else 
{ /* Eval/library.scm 250 */
return 
BGl_errorz00zz__errorz00(BGl_symbol1925z00zz__libraryz00, BGl_string1927z00zz__libraryz00, BgL_versionz00_1425);} }  else 
{ /* Eval/library.scm 248 */
return 
string_append_3(BgL_basez00_1423, BgL_suffixz00_1424, BGl_libraryzd2threadzd2suffixz00zz__libraryz00);} }  else 
{ /* Eval/library.scm 263 */
 bool_t BgL_test2123z00_3177;
{ /* Eval/library.scm 263 */
 obj_t BgL_string1z00_2158;
BgL_string1z00_2158 = 
string_to_bstring(OS_CLASS); 
{ /* Eval/library.scm 263 */
 long BgL_l1z00_2160;
BgL_l1z00_2160 = 
STRING_LENGTH(BgL_string1z00_2158); 
if(
(BgL_l1z00_2160==((long)5)))
{ /* Eval/library.scm 263 */
 int BgL_arg1503z00_2163;
{ /* Eval/library.scm 263 */
 char * BgL_auxz00_3184; char * BgL_tmpz00_3182;
BgL_auxz00_3184 = 
BSTRING_TO_STRING(BGl_string1932z00zz__libraryz00); 
BgL_tmpz00_3182 = 
BSTRING_TO_STRING(BgL_string1z00_2158); 
BgL_arg1503z00_2163 = 
memcmp(BgL_tmpz00_3182, BgL_auxz00_3184, BgL_l1z00_2160); } 
BgL_test2123z00_3177 = 
(
(long)(BgL_arg1503z00_2163)==((long)0)); }  else 
{ /* Eval/library.scm 263 */
BgL_test2123z00_3177 = ((bool_t)0)
; } } } 
if(BgL_test2123z00_3177)
{ /* Eval/library.scm 263 */
return 
string_append(BgL_basez00_1403, BgL_suffixz00_75);}  else 
{ /* Eval/library.scm 263 */
return 
BGl_errorz00zz__errorz00(BGl_symbol1925z00zz__libraryz00, BGl_string1933z00zz__libraryz00, 
string_to_bstring(OS_CLASS));} } }  else 
{ /* Eval/library.scm 257 */
if(
(BgL_backendz00_76==BGl_symbol1934z00zz__libraryz00))
{ 
 obj_t BgL_versionz00_3196; obj_t BgL_suffixz00_3195; obj_t BgL_basez00_3194;
BgL_basez00_3194 = BgL_basez00_1403; 
BgL_suffixz00_3195 = BgL_suffixz00_75; 
BgL_versionz00_3196 = BgL_versionz00_1404; 
BgL_versionz00_1425 = BgL_versionz00_3196; 
BgL_suffixz00_1424 = BgL_suffixz00_3195; 
BgL_basez00_1423 = BgL_basez00_3194; 
goto BgL_zc3z04anonymousza31360ze3z87_1426;}  else 
{ /* Eval/library.scm 257 */
 bool_t BgL_test2126z00_3197;
{ /* Eval/library.scm 257 */
 bool_t BgL__ortest_1041z00_1422;
BgL__ortest_1041z00_1422 = 
(BgL_backendz00_76==BGl_symbol1936z00zz__libraryz00); 
if(BgL__ortest_1041z00_1422)
{ /* Eval/library.scm 257 */
BgL_test2126z00_3197 = BgL__ortest_1041z00_1422
; }  else 
{ /* Eval/library.scm 257 */
BgL_test2126z00_3197 = 
(BgL_backendz00_76==BGl_symbol1938z00zz__libraryz00)
; } } 
if(BgL_test2126z00_3197)
{ 
 obj_t BgL_versionz00_3203; obj_t BgL_suffixz00_3202; obj_t BgL_basez00_3201;
BgL_basez00_3201 = BgL_basez00_1403; 
BgL_suffixz00_3202 = BgL_suffixz00_75; 
BgL_versionz00_3203 = BgL_versionz00_1404; 
BgL_versionz00_1425 = BgL_versionz00_3203; 
BgL_suffixz00_1424 = BgL_suffixz00_3202; 
BgL_basez00_1423 = BgL_basez00_3201; 
goto BgL_zc3z04anonymousza31360ze3z87_1426;}  else 
{ /* Eval/library.scm 257 */
return 
BGl_errorz00zz__errorz00(BGl_symbol1925z00zz__libraryz00, BGl_string1940z00zz__libraryz00, BgL_backendz00_76);} } } } } } } 

}



/* &library-file-name */
obj_t BGl_z62libraryzd2filezd2namez62zz__libraryz00(obj_t BgL_envz00_2474, obj_t BgL_libraryz00_2475, obj_t BgL_suffixz00_2476, obj_t BgL_backendz00_2477)
{
{ /* Eval/library.scm 244 */
{ /* Eval/library.scm 248 */
 obj_t BgL_auxz00_3219; obj_t BgL_auxz00_3212; obj_t BgL_auxz00_3205;
if(
SYMBOLP(BgL_backendz00_2477))
{ /* Eval/library.scm 248 */
BgL_auxz00_3219 = BgL_backendz00_2477
; }  else 
{ 
 obj_t BgL_auxz00_3222;
BgL_auxz00_3222 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)8946)), BGl_string1941z00zz__libraryz00, BGl_string1880z00zz__libraryz00, BgL_backendz00_2477); 
FAILURE(BgL_auxz00_3222,BFALSE,BFALSE);} 
if(
STRINGP(BgL_suffixz00_2476))
{ /* Eval/library.scm 248 */
BgL_auxz00_3212 = BgL_suffixz00_2476
; }  else 
{ 
 obj_t BgL_auxz00_3215;
BgL_auxz00_3215 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)8946)), BGl_string1941z00zz__libraryz00, BGl_string1866z00zz__libraryz00, BgL_suffixz00_2476); 
FAILURE(BgL_auxz00_3215,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_libraryz00_2475))
{ /* Eval/library.scm 248 */
BgL_auxz00_3205 = BgL_libraryz00_2475
; }  else 
{ 
 obj_t BgL_auxz00_3208;
BgL_auxz00_3208 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)8946)), BGl_string1941z00zz__libraryz00, BGl_string1880z00zz__libraryz00, BgL_libraryz00_2475); 
FAILURE(BgL_auxz00_3208,BFALSE,BFALSE);} 
return 
BGl_libraryzd2filezd2namez00zz__libraryz00(BgL_auxz00_3205, BgL_auxz00_3212, BgL_auxz00_3219);} } 

}



/* mangle */
obj_t BGl_manglez00zz__libraryz00(obj_t BgL_namez00_77)
{
{ /* Eval/library.scm 277 */
if(
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_namez00_77))
{ /* Eval/library.scm 278 */
return 
bigloo_mangle(BgL_namez00_77);}  else 
{ /* Eval/library.scm 278 */
return BgL_namez00_77;} } 

}



/* library-loaded? */
BGL_EXPORTED_DEF bool_t BGl_libraryzd2loadedzf3z21zz__libraryz00(obj_t BgL_libz00_78)
{
{ /* Eval/library.scm 290 */
{ /* Eval/library.scm 291 */
 obj_t BgL_top2133z00_3231;
BgL_top2133z00_3231 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2libraryzd2mutexza2zd2zz__libraryz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2133z00_3231, BGl_za2libraryzd2mutexza2zd2zz__libraryz00); BUNSPEC; 
{ /* Eval/library.scm 291 */
 bool_t BgL_tmp2132z00_3230;
BgL_tmp2132z00_3230 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_libz00_78, BGl_za2loadedzd2librariesza2zd2zz__libraryz00)); 
BGL_EXITD_POP_PROTECT(BgL_top2133z00_3231); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2libraryzd2mutexza2zd2zz__libraryz00); 
return BgL_tmp2132z00_3230;} } } 

}



/* &library-loaded? */
obj_t BGl_z62libraryzd2loadedzf3z43zz__libraryz00(obj_t BgL_envz00_2478, obj_t BgL_libz00_2479)
{
{ /* Eval/library.scm 290 */
{ /* Eval/library.scm 291 */
 bool_t BgL_tmpz00_3239;
{ /* Eval/library.scm 291 */
 obj_t BgL_auxz00_3240;
if(
SYMBOLP(BgL_libz00_2479))
{ /* Eval/library.scm 291 */
BgL_auxz00_3240 = BgL_libz00_2479
; }  else 
{ 
 obj_t BgL_auxz00_3243;
BgL_auxz00_3243 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)10581)), BGl_string1942z00zz__libraryz00, BGl_string1880z00zz__libraryz00, BgL_libz00_2479); 
FAILURE(BgL_auxz00_3243,BFALSE,BFALSE);} 
BgL_tmpz00_3239 = 
BGl_libraryzd2loadedzf3z21zz__libraryz00(BgL_auxz00_3240); } 
return 
BBOOL(BgL_tmpz00_3239);} } 

}



/* library-mark-loaded! */
BGL_EXPORTED_DEF obj_t BGl_libraryzd2markzd2loadedz12z12zz__libraryz00(obj_t BgL_libz00_79)
{
{ /* Eval/library.scm 297 */
BGL_MUTEX_LOCK(BGl_za2libraryzd2mutexza2zd2zz__libraryz00); 
{ /* Eval/library.scm 298 */
 obj_t BgL_tmp2135z00_3249;
BgL_tmp2135z00_3249 = ( 
BGl_za2loadedzd2librariesza2zd2zz__libraryz00 = 
MAKE_YOUNG_PAIR(BgL_libz00_79, BGl_za2loadedzd2librariesza2zd2zz__libraryz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2libraryzd2mutexza2zd2zz__libraryz00); BgL_tmp2135z00_3249; } 
return BUNSPEC;} 

}



/* &library-mark-loaded! */
obj_t BGl_z62libraryzd2markzd2loadedz12z70zz__libraryz00(obj_t BgL_envz00_2480, obj_t BgL_libz00_2481)
{
{ /* Eval/library.scm 297 */
{ /* Eval/library.scm 299 */
 obj_t BgL_auxz00_3253;
if(
SYMBOLP(BgL_libz00_2481))
{ /* Eval/library.scm 299 */
BgL_auxz00_3253 = BgL_libz00_2481
; }  else 
{ 
 obj_t BgL_auxz00_3256;
BgL_auxz00_3256 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)10999)), BGl_string1943z00zz__libraryz00, BGl_string1880z00zz__libraryz00, BgL_libz00_2481); 
FAILURE(BgL_auxz00_3256,BFALSE,BFALSE);} 
return 
BGl_libraryzd2markzd2loadedz12z12zz__libraryz00(BgL_auxz00_3253);} } 

}



/* library-load */
BGL_EXPORTED_DEF obj_t BGl_libraryzd2loadzd2zz__libraryz00(obj_t BgL_libz00_80, obj_t BgL_pathz00_81)
{
{ /* Eval/library.scm 305 */
{ 

{ /* Eval/library.scm 389 */
 obj_t BgL_modz00_1436;
BgL_modz00_1436 = 
BGl_evalzd2modulezd2zz__evmodulez00(); 
{ /* Eval/library.scm 390 */
 obj_t BgL_tmpz00_3262;
BgL_tmpz00_3262 = 
BGl_interactionzd2environmentzd2zz__evalz00(); 
BGL_MODULE_SET(BgL_tmpz00_3262); } 
{ /* Eval/library.scm 391 */
 obj_t BgL_exitd1047z00_1438;
BgL_exitd1047z00_1438 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/library.scm 393 */
 obj_t BgL_zc3z04anonymousza31369ze3z87_2482;
BgL_zc3z04anonymousza31369ze3z87_2482 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31369ze3ze5zz__libraryz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31369ze3z87_2482, 
(int)(((long)0)), BgL_modz00_1436); 
{ /* Eval/library.scm 391 */
 obj_t BgL_arg1761z00_2181;
{ /* Eval/library.scm 391 */
 obj_t BgL_arg1762z00_2182;
BgL_arg1762z00_2182 = 
BGL_EXITD_PROTECT(BgL_exitd1047z00_1438); 
BgL_arg1761z00_2181 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31369ze3z87_2482, BgL_arg1762z00_2182); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1047z00_1438, BgL_arg1761z00_2181); BUNSPEC; } 
{ /* Eval/library.scm 392 */
 obj_t BgL_tmp1049z00_1440;
if(
STRINGP(BgL_libz00_80))
{ /* Llib/os.scm 269 */

BgL_tmp1049z00_1440 = 
BGl_dynamiczd2loadzd2zz__osz00(BgL_libz00_80, 
string_to_bstring(BGL_DYNAMIC_LOAD_INIT), BFALSE); }  else 
{ /* Eval/library.scm 309 */
if(
SYMBOLP(BgL_libz00_80))
{ /* Eval/library.scm 311 */
if(
BGl_libraryzd2loadedzf3z21zz__libraryz00(BgL_libz00_80))
{ /* Eval/library.scm 313 */
BgL_tmp1049z00_1440 = 
BGl_libraryzd2infozd2zz__libraryz00(BgL_libz00_80); }  else 
{ /* Eval/library.scm 316 */
 obj_t BgL_pathz00_1450;
if(
PAIRP(BgL_pathz00_81))
{ /* Eval/library.scm 316 */
BgL_pathz00_1450 = BgL_pathz00_81; }  else 
{ /* Eval/library.scm 318 */
 obj_t BgL_venvz00_1506;
BgL_venvz00_1506 = 
BGl_getenvz00zz__osz00(BGl_string1944z00zz__libraryz00); 
if(
CBOOL(BgL_venvz00_1506))
{ /* Eval/library.scm 319 */
BgL_pathz00_1450 = 
MAKE_YOUNG_PAIR(BGl_string1945z00zz__libraryz00, 
BGl_unixzd2pathzd2ze3listze3zz__osz00(BgL_venvz00_1506)); }  else 
{ /* Eval/library.scm 319 */
BgL_pathz00_1450 = 
BGl_bigloozd2libraryzd2pathz00zz__paramz00(); } } 
{ /* Eval/library.scm 316 */
 obj_t BgL_initz00_1451;
BgL_initz00_1451 = 
BGl_findzd2filezf2pathz20zz__osz00(
BGl_libraryzd2initzd2filez00zz__libraryz00(BgL_libz00_80), BgL_pathz00_1450); 
{ /* Eval/library.scm 322 */
 obj_t BgL_bez00_1452;
BgL_bez00_1452 = BGl_symbol1928z00zz__libraryz00; 
{ /* Eval/library.scm 323 */

if(
CBOOL(BgL_initz00_1451))
{ /* Eval/eval.scm 92 */
 obj_t BgL_envz00_1454;
BgL_envz00_1454 = 
BGl_defaultzd2environmentzd2zz__evalz00(); 
{ /* Eval/eval.scm 92 */

BGl_loadqz00zz__evalz00(BgL_initz00_1451, BgL_envz00_1454); } }  else 
{ /* Eval/library.scm 326 */BFALSE; } 
{ /* Eval/library.scm 327 */
 obj_t BgL_infoz00_1455;
BgL_infoz00_1455 = 
BGl_libraryzd2infozd2zz__libraryz00(BgL_libz00_80); 
{ /* Eval/library.scm 327 */
 obj_t BgL_nz00_1456;
BgL_nz00_1456 = 
BGl_makezd2sharedzd2libzd2namezd2zz__osz00(
BGl_libraryzd2filezd2namez00zz__libraryz00(BgL_libz00_80, BGl_string1863z00zz__libraryz00, BgL_bez00_1452), BgL_bez00_1452); 
{ /* Eval/library.scm 328 */
 obj_t BgL_nsz00_1457;
BgL_nsz00_1457 = 
BGl_makezd2sharedzd2libzd2namezd2zz__osz00(
BGl_libraryzd2filezd2namez00zz__libraryz00(BgL_libz00_80, 
string_append(BGl_string1919z00zz__libraryz00, 
BGl_evalzd2libraryzd2suffixz00zz__libraryz00()), BgL_bez00_1452), BgL_bez00_1452); 
{ /* Eval/library.scm 330 */
 obj_t BgL_nez00_1458;
BgL_nez00_1458 = 
BGl_makezd2sharedzd2libzd2namezd2zz__osz00(
BGl_libraryzd2filezd2namez00zz__libraryz00(BgL_libz00_80, 
string_append(BGl_string1920z00zz__libraryz00, 
BGl_evalzd2libraryzd2suffixz00zz__libraryz00()), BgL_bez00_1452), BgL_bez00_1452); 
{ /* Eval/library.scm 334 */
 obj_t BgL_rscz00_1459;
{ /* Eval/library.scm 338 */
 obj_t BgL_pz00_1494;
{ /* Eval/library.scm 339 */
 obj_t BgL_arg1393z00_1496;
{ /* Eval/library.scm 339 */
 obj_t BgL_arg1611z00_2171;
BgL_arg1611z00_2171 = 
SYMBOL_TO_STRING(BgL_libz00_80); 
BgL_arg1393z00_1496 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1611z00_2171); } 
BgL_pz00_1494 = 
string_append_3(BGl_string1946z00zz__libraryz00, BgL_arg1393z00_1496, BGl_string1947z00zz__libraryz00); } 
if(
fexists(
BSTRING_TO_STRING(BgL_pz00_1494)))
{ /* Eval/library.scm 347 */
BgL_rscz00_1459 = BgL_pz00_1494; }  else 
{ /* Eval/library.scm 347 */
BgL_rscz00_1459 = BFALSE; } } 
{ /* Eval/library.scm 338 */
 obj_t BgL_libsz00_1460;
BgL_libsz00_1460 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_nsz00_1457, BgL_pathz00_1450); 
{ /* Eval/library.scm 348 */
 obj_t BgL_libez00_1461;
BgL_libez00_1461 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_nez00_1458, BgL_pathz00_1450); 
{ /* Eval/library.scm 349 */
 obj_t BgL_namez00_1462;
{ /* Eval/library.scm 350 */
 obj_t BgL_arg1611z00_2174;
BgL_arg1611z00_2174 = 
SYMBOL_TO_STRING(BgL_libz00_80); 
BgL_namez00_1462 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1611z00_2174); } 
{ /* Eval/library.scm 350 */
 obj_t BgL_init_sz00_1463;
if(
CBOOL(BgL_infoz00_1455))
{ /* Eval/library.scm 351 */
BgL_init_sz00_1463 = 
STRUCT_REF(
((obj_t)BgL_infoz00_1455), 
(int)(((long)3))); }  else 
{ /* Eval/library.scm 351 */
BgL_init_sz00_1463 = BFALSE; } 
{ /* Eval/library.scm 351 */
 obj_t BgL_init_ez00_1464;
if(
CBOOL(BgL_infoz00_1455))
{ /* Eval/library.scm 352 */
BgL_init_ez00_1464 = 
STRUCT_REF(
((obj_t)BgL_infoz00_1455), 
(int)(((long)4))); }  else 
{ /* Eval/library.scm 352 */
BgL_init_ez00_1464 = BFALSE; } 
{ /* Eval/library.scm 352 */
 obj_t BgL_module_sz00_1465;
if(
CBOOL(BgL_infoz00_1455))
{ /* Eval/library.scm 353 */
BgL_module_sz00_1465 = 
STRUCT_REF(
((obj_t)BgL_infoz00_1455), 
(int)(((long)5))); }  else 
{ /* Eval/library.scm 353 */
BgL_module_sz00_1465 = BFALSE; } 
{ /* Eval/library.scm 353 */
 obj_t BgL_module_ez00_1466;
if(
CBOOL(BgL_infoz00_1455))
{ /* Eval/library.scm 357 */
BgL_module_ez00_1466 = 
STRUCT_REF(
((obj_t)BgL_infoz00_1455), 
(int)(((long)6))); }  else 
{ /* Eval/library.scm 357 */
BgL_module_ez00_1466 = BFALSE; } 
{ /* Eval/library.scm 357 */

{ /* Eval/library.scm 362 */
 bool_t BgL_test2148z00_3338;
if(
STRINGP(BgL_rscz00_1459))
{ /* Eval/library.scm 362 */
BgL_test2148z00_3338 = ((bool_t)0)
; }  else 
{ /* Eval/library.scm 362 */
if(
STRINGP(BgL_libsz00_1460))
{ /* Eval/library.scm 362 */
BgL_test2148z00_3338 = ((bool_t)0)
; }  else 
{ /* Eval/library.scm 362 */
BgL_test2148z00_3338 = ((bool_t)1)
; } } 
if(BgL_test2148z00_3338)
{ /* Eval/library.scm 364 */
 obj_t BgL_arg1378z00_1470;
{ /* Eval/library.scm 364 */
 obj_t BgL_list1379z00_1471;
{ /* Eval/library.scm 364 */
 obj_t BgL_arg1380z00_1472;
BgL_arg1380z00_1472 = 
MAKE_YOUNG_PAIR(BgL_nsz00_1457, BNIL); 
BgL_list1379z00_1471 = 
MAKE_YOUNG_PAIR(BgL_libz00_80, BgL_arg1380z00_1472); } 
BgL_arg1378z00_1470 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string1948z00zz__libraryz00, BgL_list1379z00_1471); } 
BGl_errorz00zz__errorz00(BGl_symbol1949z00zz__libraryz00, BgL_arg1378z00_1470, BgL_pathz00_1450); }  else 
{ /* Eval/library.scm 362 */
if(
STRINGP(BgL_libez00_1461))
{ /* Eval/library.scm 366 */
if(
STRINGP(BgL_libsz00_1460))
{ /* Eval/library.scm 379 */
BGl_dynamiczd2loadzd2zz__osz00(BgL_libsz00_1460, BgL_init_sz00_1463, BgL_module_sz00_1465); }  else 
{ /* Eval/library.scm 379 */
BGl_dynamiczd2loadzd2zz__osz00(BgL_rscz00_1459, BgL_init_sz00_1463, BgL_module_sz00_1465); } 
BGl_dynamiczd2loadzd2zz__osz00(BgL_libez00_1461, BgL_init_ez00_1464, BgL_module_ez00_1466); }  else 
{ /* Eval/library.scm 366 */
{ /* Eval/library.scm 372 */
 obj_t BgL_arg1383z00_1475;
{ /* Eval/library.scm 372 */
 obj_t BgL_list1387z00_1479;
{ /* Eval/library.scm 372 */
 obj_t BgL_arg1388z00_1480;
BgL_arg1388z00_1480 = 
MAKE_YOUNG_PAIR(BgL_nez00_1458, BNIL); 
BgL_list1387z00_1479 = 
MAKE_YOUNG_PAIR(BgL_libz00_80, BgL_arg1388z00_1480); } 
BgL_arg1383z00_1475 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string1951z00zz__libraryz00, BgL_list1387z00_1479); } 
{ /* Eval/library.scm 369 */
 obj_t BgL_list1384z00_1476;
{ /* Eval/library.scm 369 */
 obj_t BgL_arg1385z00_1477;
{ /* Eval/library.scm 369 */
 obj_t BgL_arg1386z00_1478;
BgL_arg1386z00_1478 = 
MAKE_YOUNG_PAIR(BgL_pathz00_1450, BNIL); 
BgL_arg1385z00_1477 = 
MAKE_YOUNG_PAIR(BgL_arg1383z00_1475, BgL_arg1386z00_1478); } 
BgL_list1384z00_1476 = 
MAKE_YOUNG_PAIR(BGl_string1950z00zz__libraryz00, BgL_arg1385z00_1477); } 
BGl_evwarningz00zz__everrorz00(BFALSE, BgL_list1384z00_1476); } } 
if(
STRINGP(BgL_libsz00_1460))
{ /* Eval/library.scm 375 */
BGl_dynamiczd2loadzd2zz__osz00(BgL_libsz00_1460, BgL_init_sz00_1463, BgL_module_sz00_1465); }  else 
{ /* Eval/library.scm 375 */
BGl_dynamiczd2loadzd2zz__osz00(BgL_rscz00_1459, BgL_init_sz00_1463, BgL_module_sz00_1465); } } } } 
{ /* Eval/library.scm 383 */
 bool_t BgL_test2154z00_3365;
if(
CBOOL(BgL_infoz00_1455))
{ /* Eval/library.scm 383 */
BgL_test2154z00_3365 = 
CBOOL(
STRUCT_REF(
((obj_t)BgL_infoz00_1455), 
(int)(((long)9))))
; }  else 
{ /* Eval/library.scm 383 */
BgL_test2154z00_3365 = ((bool_t)0)
; } 
if(BgL_test2154z00_3365)
{ /* Eval/library.scm 384 */
 obj_t BgL_g1391z00_1485;
BgL_g1391z00_1485 = BGl_list1952z00zz__libraryz00; 
{ /* Eval/eval.scm 81 */
 obj_t BgL_envz00_1486;
BgL_envz00_1486 = 
BGl_defaultzd2environmentzd2zz__evalz00(); 
{ /* Eval/eval.scm 81 */

BGl_evalz00zz__evalz00(BgL_g1391z00_1485, BgL_envz00_1486); } } }  else 
{ /* Eval/library.scm 383 */BFALSE; } } 
{ /* Eval/library.scm 385 */
 bool_t BgL_test2156z00_3374;
if(
CBOOL(BgL_infoz00_1455))
{ /* Eval/library.scm 385 */
BgL_test2156z00_3374 = 
CBOOL(
STRUCT_REF(
((obj_t)BgL_infoz00_1455), 
(int)(((long)10))))
; }  else 
{ /* Eval/library.scm 385 */
BgL_test2156z00_3374 = ((bool_t)0)
; } 
if(BgL_test2156z00_3374)
{ /* Eval/library.scm 386 */
 obj_t BgL_g1391z00_1488;
BgL_g1391z00_1488 = BGl_list1958z00zz__libraryz00; 
{ /* Eval/eval.scm 81 */
 obj_t BgL_envz00_1489;
BgL_envz00_1489 = 
BGl_defaultzd2environmentzd2zz__evalz00(); 
{ /* Eval/eval.scm 81 */

BGl_evalz00zz__evalz00(BgL_g1391z00_1488, BgL_envz00_1489); } } }  else 
{ /* Eval/library.scm 385 */BFALSE; } } 
BgL_tmp1049z00_1440 = BgL_infoz00_1455; } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/library.scm 311 */
BgL_tmp1049z00_1440 = 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1949z00zz__libraryz00, BGl_string1962z00zz__libraryz00, BgL_libz00_80); } } 
{ /* Eval/library.scm 391 */
 bool_t BgL_test2158z00_3384;
{ /* Eval/library.scm 391 */
 obj_t BgL_arg1760z00_2184;
BgL_arg1760z00_2184 = 
BGL_EXITD_PROTECT(BgL_exitd1047z00_1438); 
BgL_test2158z00_3384 = 
PAIRP(BgL_arg1760z00_2184); } 
if(BgL_test2158z00_3384)
{ /* Eval/library.scm 391 */
 obj_t BgL_arg1757z00_2185;
{ /* Eval/library.scm 391 */
 obj_t BgL_arg1758z00_2186;
BgL_arg1758z00_2186 = 
BGL_EXITD_PROTECT(BgL_exitd1047z00_1438); 
BgL_arg1757z00_2185 = 
CDR(
((obj_t)BgL_arg1758z00_2186)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1047z00_1438, BgL_arg1757z00_2185); BUNSPEC; }  else 
{ /* Eval/library.scm 391 */BFALSE; } } 
BGl_z62zc3z04anonymousza31369ze3ze5zz__libraryz00(BgL_zc3z04anonymousza31369ze3z87_2482); 
return BgL_tmp1049z00_1440;} } } } } } 

}



/* &library-load */
obj_t BGl_z62libraryzd2loadzb0zz__libraryz00(obj_t BgL_envz00_2483, obj_t BgL_libz00_2484, obj_t BgL_pathz00_2485)
{
{ /* Eval/library.scm 305 */
return 
BGl_libraryzd2loadzd2zz__libraryz00(BgL_libz00_2484, BgL_pathz00_2485);} 

}



/* &<@anonymous:1369> */
obj_t BGl_z62zc3z04anonymousza31369ze3ze5zz__libraryz00(obj_t BgL_envz00_2486)
{
{ /* Eval/library.scm 391 */
{ /* Eval/library.scm 393 */
 obj_t BgL_tmpz00_3393;
BgL_tmpz00_3393 = 
PROCEDURE_REF(BgL_envz00_2486, 
(int)(((long)0))); 
return 
BGL_MODULE_SET(BgL_tmpz00_3393);} } 

}



/* library-load-init */
BGL_EXPORTED_DEF obj_t BGl_libraryzd2loadzd2initz00zz__libraryz00(obj_t BgL_libz00_82, obj_t BgL_pathz00_83)
{
{ /* Eval/library.scm 403 */
{ /* Eval/library.scm 404 */
 obj_t BgL_initz00_1509;
BgL_initz00_1509 = 
BGl_findzd2filezf2pathz20zz__osz00(
BGl_libraryzd2initzd2filez00zz__libraryz00(BgL_libz00_82), BgL_pathz00_83); 
if(
CBOOL(BgL_initz00_1509))
{ /* Eval/library.scm 406 */
 bool_t BgL_tozd2loadzd2_1510;
BgL_tozd2loadzd2_1510 = ((bool_t)0); 
{ /* Eval/library.scm 407 */
 obj_t BgL_top2161z00_3402;
BgL_top2161z00_3402 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2libraryzd2mutexza2zd2zz__libraryz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2161z00_3402, BGl_za2libraryzd2mutexza2zd2zz__libraryz00); BUNSPEC; 
{ /* Eval/library.scm 407 */
 obj_t BgL_tmp2160z00_3401;
if(
CBOOL(
BGl_memberz00zz__r4_pairs_and_lists_6_3z00(BgL_initz00_1509, BGl_za2loadedzd2initzd2filesza2z00zz__libraryz00)))
{ /* Eval/library.scm 408 */
BgL_tmp2160z00_3401 = BFALSE; }  else 
{ /* Eval/library.scm 408 */
BgL_tozd2loadzd2_1510 = ((bool_t)1); 
BgL_tmp2160z00_3401 = ( 
BGl_za2loadedzd2initzd2filesza2z00zz__libraryz00 = 
MAKE_YOUNG_PAIR(BgL_initz00_1509, BGl_za2loadedzd2initzd2filesza2z00zz__libraryz00), BUNSPEC) ; } 
BGL_EXITD_POP_PROTECT(BgL_top2161z00_3402); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2libraryzd2mutexza2zd2zz__libraryz00); BgL_tmp2160z00_3401; } } 
if(BgL_tozd2loadzd2_1510)
{ /* Eval/eval.scm 92 */
 obj_t BgL_envz00_1513;
BgL_envz00_1513 = 
BGl_defaultzd2environmentzd2zz__evalz00(); 
{ /* Eval/eval.scm 92 */

return 
BGl_loadqz00zz__evalz00(BgL_initz00_1509, BgL_envz00_1513);} }  else 
{ /* Eval/library.scm 411 */
return BFALSE;} }  else 
{ /* Eval/library.scm 405 */
return BFALSE;} } } 

}



/* &library-load-init */
obj_t BGl_z62libraryzd2loadzd2initz62zz__libraryz00(obj_t BgL_envz00_2488, obj_t BgL_libz00_2489, obj_t BgL_pathz00_2490)
{
{ /* Eval/library.scm 403 */
return 
BGl_libraryzd2loadzd2initz00zz__libraryz00(BgL_libz00_2489, BgL_pathz00_2490);} 

}



/* library-load_e */
BGL_EXPORTED_DEF obj_t BGl_libraryzd2load_ezd2zz__libraryz00(obj_t BgL_libz00_84, obj_t BgL_pathz00_85)
{
{ /* Eval/library.scm 417 */
{ /* Eval/library.scm 418 */
 obj_t BgL_modz00_1515;
BgL_modz00_1515 = 
BGl_evalzd2modulezd2zz__evmodulez00(); 
{ /* Eval/library.scm 419 */
 obj_t BgL_tmpz00_3417;
BgL_tmpz00_3417 = 
BGl_interactionzd2environmentzd2zz__evalz00(); 
BGL_MODULE_SET(BgL_tmpz00_3417); } 
{ /* Eval/library.scm 420 */
 obj_t BgL_exitd1051z00_1517;
BgL_exitd1051z00_1517 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/library.scm 486 */
 obj_t BgL_zc3z04anonymousza31436ze3z87_2491;
BgL_zc3z04anonymousza31436ze3z87_2491 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31436ze3ze5zz__libraryz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31436ze3z87_2491, 
(int)(((long)0)), BgL_modz00_1515); 
{ /* Eval/library.scm 420 */
 obj_t BgL_arg1761z00_2188;
{ /* Eval/library.scm 420 */
 obj_t BgL_arg1762z00_2189;
BgL_arg1762z00_2189 = 
BGL_EXITD_PROTECT(BgL_exitd1051z00_1517); 
BgL_arg1761z00_2188 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31436ze3z87_2491, BgL_arg1762z00_2189); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1051z00_1517, BgL_arg1761z00_2188); BUNSPEC; } 
{ /* Eval/library.scm 422 */
 obj_t BgL_tmp1053z00_1519;
if(
STRINGP(BgL_libz00_84))
{ /* Llib/os.scm 269 */

BgL_tmp1053z00_1519 = 
BGl_dynamiczd2loadzd2zz__osz00(BgL_libz00_84, 
string_to_bstring(BGL_DYNAMIC_LOAD_INIT), BFALSE); }  else 
{ /* Eval/library.scm 422 */
if(
SYMBOLP(BgL_libz00_84))
{ /* Eval/library.scm 427 */
 obj_t BgL_pathz00_1525;
if(
PAIRP(BgL_pathz00_85))
{ /* Eval/library.scm 427 */
BgL_pathz00_1525 = BgL_pathz00_85; }  else 
{ /* Eval/library.scm 429 */
 obj_t BgL_venvz00_1566;
BgL_venvz00_1566 = 
BGl_getenvz00zz__osz00(BGl_string1944z00zz__libraryz00); 
if(
CBOOL(BgL_venvz00_1566))
{ /* Eval/library.scm 430 */
BgL_pathz00_1525 = 
MAKE_YOUNG_PAIR(BGl_string1945z00zz__libraryz00, 
BGl_unixzd2pathzd2ze3listze3zz__osz00(BgL_venvz00_1566)); }  else 
{ /* Eval/library.scm 430 */
BgL_pathz00_1525 = 
BGl_bigloozd2libraryzd2pathz00zz__paramz00(); } } 
{ /* Eval/library.scm 427 */
 obj_t BgL_bez00_1526;
BgL_bez00_1526 = BGl_symbol1928z00zz__libraryz00; 
{ /* Eval/library.scm 433 */

BGl_libraryzd2loadzd2initz00zz__libraryz00(BgL_libz00_84, BgL_pathz00_1525); 
{ /* Eval/library.scm 437 */
 obj_t BgL_infoz00_1527;
BgL_infoz00_1527 = 
BGl_libraryzd2infozd2zz__libraryz00(BgL_libz00_84); 
{ /* Eval/library.scm 437 */
 obj_t BgL_nz00_1528;
BgL_nz00_1528 = 
BGl_makezd2sharedzd2libzd2namezd2zz__osz00(
BGl_libraryzd2filezd2namez00zz__libraryz00(BgL_libz00_84, BGl_string1863z00zz__libraryz00, BgL_bez00_1526), BgL_bez00_1526); 
{ /* Eval/library.scm 438 */
 obj_t BgL_nsz00_1529;
BgL_nsz00_1529 = 
BGl_makezd2sharedzd2libzd2namezd2zz__osz00(
BGl_libraryzd2filezd2namez00zz__libraryz00(BgL_libz00_84, 
string_append(BGl_string1919z00zz__libraryz00, 
BGl_evalzd2libraryzd2suffixz00zz__libraryz00()), BgL_bez00_1526), BgL_bez00_1526); 
{ /* Eval/library.scm 441 */
 obj_t BgL_nez00_1530;
BgL_nez00_1530 = 
BGl_makezd2sharedzd2libzd2namezd2zz__osz00(
BGl_libraryzd2filezd2namez00zz__libraryz00(BgL_libz00_84, 
string_append(BGl_string1920z00zz__libraryz00, 
BGl_evalzd2libraryzd2suffixz00zz__libraryz00()), BgL_bez00_1526), BgL_bez00_1526); 
{ /* Eval/library.scm 445 */
 obj_t BgL_rscz00_1531;
{ /* Eval/library.scm 449 */
 obj_t BgL_pz00_1555;
{ /* Eval/library.scm 450 */
 obj_t BgL_arg1425z00_1557;
{ /* Eval/library.scm 450 */
 obj_t BgL_arg1611z00_2191;
BgL_arg1611z00_2191 = 
SYMBOL_TO_STRING(BgL_libz00_84); 
BgL_arg1425z00_1557 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1611z00_2191); } 
BgL_pz00_1555 = 
string_append_3(BGl_string1946z00zz__libraryz00, BgL_arg1425z00_1557, BGl_string1947z00zz__libraryz00); } 
if(
fexists(
BSTRING_TO_STRING(BgL_pz00_1555)))
{ /* Eval/library.scm 458 */
BgL_rscz00_1531 = BgL_pz00_1555; }  else 
{ /* Eval/library.scm 458 */
BgL_rscz00_1531 = BFALSE; } } 
{ /* Eval/library.scm 449 */
 obj_t BgL_libez00_1532;
BgL_libez00_1532 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_nez00_1530, BgL_pathz00_1525); 
{ /* Eval/library.scm 459 */
 obj_t BgL_namez00_1533;
{ /* Eval/library.scm 460 */
 obj_t BgL_arg1611z00_2194;
BgL_arg1611z00_2194 = 
SYMBOL_TO_STRING(BgL_libz00_84); 
BgL_namez00_1533 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1611z00_2194); } 
{ /* Eval/library.scm 460 */
 obj_t BgL_init_ez00_1534;
if(
CBOOL(BgL_infoz00_1527))
{ /* Eval/library.scm 461 */
BgL_init_ez00_1534 = 
STRUCT_REF(
((obj_t)BgL_infoz00_1527), 
(int)(((long)4))); }  else 
{ /* Eval/library.scm 461 */
BgL_init_ez00_1534 = BFALSE; } 
{ /* Eval/library.scm 461 */
 obj_t BgL_module_ez00_1535;
if(
CBOOL(BgL_infoz00_1527))
{ /* Eval/library.scm 462 */
BgL_module_ez00_1535 = 
STRUCT_REF(
((obj_t)BgL_infoz00_1527), 
(int)(((long)6))); }  else 
{ /* Eval/library.scm 462 */
BgL_module_ez00_1535 = BFALSE; } 
{ /* Eval/library.scm 462 */

if(
STRINGP(BgL_rscz00_1531))
{ /* Eval/library.scm 467 */
if(
STRINGP(BgL_libez00_1532))
{ /* Eval/library.scm 471 */
BGl_dynamiczd2loadzd2zz__osz00(BgL_libez00_1532, BgL_init_ez00_1534, BgL_module_ez00_1535); }  else 
{ /* Eval/library.scm 477 */
 obj_t BgL_arg1414z00_1538;
{ /* Eval/library.scm 477 */
 obj_t BgL_list1418z00_1542;
{ /* Eval/library.scm 477 */
 obj_t BgL_arg1419z00_1543;
BgL_arg1419z00_1543 = 
MAKE_YOUNG_PAIR(BgL_nez00_1530, BNIL); 
BgL_list1418z00_1542 = 
MAKE_YOUNG_PAIR(BgL_libz00_84, BgL_arg1419z00_1543); } 
BgL_arg1414z00_1538 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string1951z00zz__libraryz00, BgL_list1418z00_1542); } 
{ /* Eval/library.scm 474 */
 obj_t BgL_list1415z00_1539;
{ /* Eval/library.scm 474 */
 obj_t BgL_arg1416z00_1540;
{ /* Eval/library.scm 474 */
 obj_t BgL_arg1417z00_1541;
BgL_arg1417z00_1541 = 
MAKE_YOUNG_PAIR(BgL_pathz00_1525, BNIL); 
BgL_arg1416z00_1540 = 
MAKE_YOUNG_PAIR(BgL_arg1414z00_1538, BgL_arg1417z00_1541); } 
BgL_list1415z00_1539 = 
MAKE_YOUNG_PAIR(BGl_string1950z00zz__libraryz00, BgL_arg1416z00_1540); } 
BGl_evwarningz00zz__everrorz00(BFALSE, BgL_list1415z00_1539); } } }  else 
{ /* Eval/library.scm 469 */
 obj_t BgL_arg1420z00_1544;
{ /* Eval/library.scm 469 */
 obj_t BgL_list1421z00_1545;
{ /* Eval/library.scm 469 */
 obj_t BgL_arg1422z00_1546;
BgL_arg1422z00_1546 = 
MAKE_YOUNG_PAIR(BgL_nsz00_1529, BNIL); 
BgL_list1421z00_1545 = 
MAKE_YOUNG_PAIR(BgL_libz00_84, BgL_arg1422z00_1546); } 
BgL_arg1420z00_1544 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string1948z00zz__libraryz00, BgL_list1421z00_1545); } 
BGl_errorz00zz__errorz00(BGl_symbol1949z00zz__libraryz00, BgL_arg1420z00_1544, BgL_pathz00_1525); } 
{ /* Eval/library.scm 482 */
 bool_t BgL_test2173z00_3490;
if(
CBOOL(BgL_infoz00_1527))
{ /* Eval/library.scm 482 */
BgL_test2173z00_3490 = 
CBOOL(
STRUCT_REF(
((obj_t)BgL_infoz00_1527), 
(int)(((long)9))))
; }  else 
{ /* Eval/library.scm 482 */
BgL_test2173z00_3490 = ((bool_t)0)
; } 
if(BgL_test2173z00_3490)
{ /* Eval/library.scm 483 */
 obj_t BgL_g1391z00_1548;
BgL_g1391z00_1548 = BGl_list1952z00zz__libraryz00; 
{ /* Eval/eval.scm 81 */
 obj_t BgL_envz00_1549;
BgL_envz00_1549 = 
BGl_defaultzd2environmentzd2zz__evalz00(); 
{ /* Eval/eval.scm 81 */

BGl_evalz00zz__evalz00(BgL_g1391z00_1548, BgL_envz00_1549); } } }  else 
{ /* Eval/library.scm 482 */BFALSE; } } 
{ /* Eval/library.scm 484 */
 bool_t BgL_test2175z00_3499;
if(
CBOOL(BgL_infoz00_1527))
{ /* Eval/library.scm 484 */
BgL_test2175z00_3499 = 
CBOOL(
STRUCT_REF(
((obj_t)BgL_infoz00_1527), 
(int)(((long)10))))
; }  else 
{ /* Eval/library.scm 484 */
BgL_test2175z00_3499 = ((bool_t)0)
; } 
if(BgL_test2175z00_3499)
{ /* Eval/library.scm 485 */
 obj_t BgL_g1391z00_1551;
BgL_g1391z00_1551 = BGl_list1958z00zz__libraryz00; 
{ /* Eval/eval.scm 81 */
 obj_t BgL_envz00_1552;
BgL_envz00_1552 = 
BGl_defaultzd2environmentzd2zz__evalz00(); 
{ /* Eval/eval.scm 81 */

BgL_tmp1053z00_1519 = 
BGl_evalz00zz__evalz00(BgL_g1391z00_1551, BgL_envz00_1552); } } }  else 
{ /* Eval/library.scm 484 */
BgL_tmp1053z00_1519 = BFALSE; } } } } } } } } } } } } } } }  else 
{ /* Eval/library.scm 424 */
BgL_tmp1053z00_1519 = 
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol1949z00zz__libraryz00, BGl_string1962z00zz__libraryz00, BgL_libz00_84); } } 
{ /* Eval/library.scm 420 */
 bool_t BgL_test2177z00_3509;
{ /* Eval/library.scm 420 */
 obj_t BgL_arg1760z00_2200;
BgL_arg1760z00_2200 = 
BGL_EXITD_PROTECT(BgL_exitd1051z00_1517); 
BgL_test2177z00_3509 = 
PAIRP(BgL_arg1760z00_2200); } 
if(BgL_test2177z00_3509)
{ /* Eval/library.scm 420 */
 obj_t BgL_arg1757z00_2201;
{ /* Eval/library.scm 420 */
 obj_t BgL_arg1758z00_2202;
BgL_arg1758z00_2202 = 
BGL_EXITD_PROTECT(BgL_exitd1051z00_1517); 
BgL_arg1757z00_2201 = 
CDR(
((obj_t)BgL_arg1758z00_2202)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1051z00_1517, BgL_arg1757z00_2201); BUNSPEC; }  else 
{ /* Eval/library.scm 420 */BFALSE; } } 
BGl_z62zc3z04anonymousza31436ze3ze5zz__libraryz00(BgL_zc3z04anonymousza31436ze3z87_2491); 
return BgL_tmp1053z00_1519;} } } } } 

}



/* &library-load_e */
obj_t BGl_z62libraryzd2load_ezb0zz__libraryz00(obj_t BgL_envz00_2492, obj_t BgL_libz00_2493, obj_t BgL_pathz00_2494)
{
{ /* Eval/library.scm 417 */
return 
BGl_libraryzd2load_ezd2zz__libraryz00(BgL_libz00_2493, BgL_pathz00_2494);} 

}



/* &<@anonymous:1436> */
obj_t BGl_z62zc3z04anonymousza31436ze3ze5zz__libraryz00(obj_t BgL_envz00_2495)
{
{ /* Eval/library.scm 420 */
{ /* Eval/library.scm 486 */
 obj_t BgL_tmpz00_3518;
BgL_tmpz00_3518 = 
PROCEDURE_REF(BgL_envz00_2495, 
(int)(((long)0))); 
return 
BGL_MODULE_SET(BgL_tmpz00_3518);} } 

}



/* library-exists? */
BGL_EXPORTED_DEF obj_t BGl_libraryzd2existszf3z21zz__libraryz00(obj_t BgL_libz00_86, obj_t BgL_pathz00_87)
{
{ /* Eval/library.scm 491 */
{ /* Eval/library.scm 492 */
 obj_t BgL_pathz00_1570;
if(
PAIRP(BgL_pathz00_87))
{ /* Eval/library.scm 492 */
BgL_pathz00_1570 = BgL_pathz00_87; }  else 
{ /* Eval/library.scm 494 */
 obj_t BgL_venvz00_1579;
BgL_venvz00_1579 = 
BGl_getenvz00zz__osz00(BGl_string1944z00zz__libraryz00); 
if(
CBOOL(BgL_venvz00_1579))
{ /* Eval/library.scm 495 */
BgL_pathz00_1570 = 
MAKE_YOUNG_PAIR(BGl_string1945z00zz__libraryz00, 
BGl_unixzd2pathzd2ze3listze3zz__osz00(BgL_venvz00_1579)); }  else 
{ /* Eval/library.scm 495 */
BgL_pathz00_1570 = 
BGl_bigloozd2libraryzd2pathz00zz__paramz00(); } } 
{ /* Eval/library.scm 498 */
 obj_t BgL_heapz00_1572;
{ /* Eval/library.scm 501 */
 obj_t BgL_arg1439z00_1577;
{ /* Eval/library.scm 501 */
 obj_t BgL_arg1611z00_2205;
BgL_arg1611z00_2205 = 
SYMBOL_TO_STRING(BgL_libz00_86); 
BgL_arg1439z00_1577 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1611z00_2205); } 
BgL_heapz00_1572 = 
string_append(BgL_arg1439z00_1577, BGl_string1963z00zz__libraryz00); } 
{ /* Eval/library.scm 501 */
 obj_t BgL_initz00_1573;
{ /* Eval/library.scm 502 */
 obj_t BgL_arg1438z00_1576;
{ /* Eval/library.scm 502 */
 obj_t BgL_arg1611z00_2207;
BgL_arg1611z00_2207 = 
SYMBOL_TO_STRING(BgL_libz00_86); 
BgL_arg1438z00_1576 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1611z00_2207); } 
BgL_initz00_1573 = 
string_append(BgL_arg1438z00_1576, BGl_string1922z00zz__libraryz00); } 
{ /* Eval/library.scm 502 */

{ /* Eval/library.scm 503 */
 obj_t BgL_arg1437z00_1574;
{ /* Eval/library.scm 503 */
 obj_t BgL__ortest_1058z00_1575;
BgL__ortest_1058z00_1575 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_1572, BgL_pathz00_1570); 
if(
CBOOL(BgL__ortest_1058z00_1575))
{ /* Eval/library.scm 503 */
BgL_arg1437z00_1574 = BgL__ortest_1058z00_1575; }  else 
{ /* Eval/library.scm 503 */
BgL_arg1437z00_1574 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_initz00_1573, BgL_pathz00_1570); } } 
return 
BBOOL(
STRINGP(BgL_arg1437z00_1574));} } } } } } 

}



/* &library-exists? */
obj_t BGl_z62libraryzd2existszf3z43zz__libraryz00(obj_t BgL_envz00_2497, obj_t BgL_libz00_2498, obj_t BgL_pathz00_2499)
{
{ /* Eval/library.scm 491 */
{ /* Eval/library.scm 492 */
 obj_t BgL_auxz00_3542;
if(
SYMBOLP(BgL_libz00_2498))
{ /* Eval/library.scm 492 */
BgL_auxz00_3542 = BgL_libz00_2498
; }  else 
{ 
 obj_t BgL_auxz00_3545;
BgL_auxz00_3545 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1864z00zz__libraryz00, 
BINT(((long)17687)), BGl_string1964z00zz__libraryz00, BGl_string1880z00zz__libraryz00, BgL_libz00_2498); 
FAILURE(BgL_auxz00_3545,BFALSE,BFALSE);} 
return 
BGl_libraryzd2existszf3z21zz__libraryz00(BgL_auxz00_3542, BgL_pathz00_2499);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libraryz00()
{
{ /* Eval/library.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libraryz00()
{
{ /* Eval/library.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libraryz00()
{
{ /* Eval/library.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libraryz00()
{
{ /* Eval/library.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string1965z00zz__libraryz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string1965z00zz__libraryz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string1965z00zz__libraryz00)); 
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string1965z00zz__libraryz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)14685245), 
BSTRING_TO_STRING(BGl_string1965z00zz__libraryz00)); 
BGl_modulezd2initializa7ationz75zz__configurez00(((long)62374507), 
BSTRING_TO_STRING(BGl_string1965z00zz__libraryz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1965z00zz__libraryz00)); 
BGl_modulezd2initializa7ationz75zz__evalz00(((long)35539458), 
BSTRING_TO_STRING(BGl_string1965z00zz__libraryz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string1965z00zz__libraryz00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string1965z00zz__libraryz00)); 
return 
BGl_modulezd2initializa7ationz75zz__expander_srfi0z00(((long)498124579), 
BSTRING_TO_STRING(BGl_string1965z00zz__libraryz00));} 

}

#ifdef __cplusplus
}
#endif
