/*===========================================================================*/
/*   (Ieee/vector.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Ieee/vector.scm -o objs/obj_p/Ieee/vector.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t, obj_t, obj_t);
extern bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2copy3zd2zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl_vectorzd2mapNz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sortz62zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00 = BUNSPEC;
static obj_t BGl_z62listzd2ze3vectorz53zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2shrinkz12zc0zz__r4_vectors_6_8z00(obj_t, long);
static obj_t BGl_innerzd2sortzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
BGL_EXPORTED_DECL long BGl_vectorzd2lengthzd2zz__r4_vectors_6_8z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, long, long);
extern obj_t BGl_everyz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_vectorzd2map2z12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31284ze3ze5zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_z62vectorzd2setz12za2zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2appendzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_z62vectorzd2tagzd2setz12z70zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2vectorzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_z62vectorzd2setzd2urz12z70zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2refzd2urz00zz__r4_vectors_6_8z00(obj_t, long);
extern long bgl_list_length(obj_t);
static obj_t BGl_z62vectorzd2mapz12za2zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_vectors_6_8z00();
extern obj_t sort_vector(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__r4_vectors_6_8z00();
BGL_EXPORTED_DECL bool_t BGl_vectorzf3zf3zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_z62vectorzf3z91zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_z62vectorz62zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(obj_t, long);
static obj_t BGl_z62vectorzd2copyzb0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static bool_t BGl_vectorzd2forzd2each2z00zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_vectorzd2tagzd2zz__r4_vectors_6_8z00(obj_t);
extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2refzd2zz__r4_vectors_6_8z00(obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_makezd2vectorzd2zz__r4_vectors_6_8z00(long, obj_t);
static obj_t BGl_z62vectorzd2lengthzb0zz__r4_vectors_6_8z00(obj_t, obj_t);
static bool_t BGl_vectorzd2forzd2eachNz00zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62vectorzd2appendzb0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62vectorzd2refzd2urz62zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2mapzd2zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62vectorzd2tagzb0zz__r4_vectors_6_8z00(obj_t, obj_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_z62vectorzd2refzb0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
extern obj_t bgl_fill_vector(obj_t, long, long, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(obj_t, long, obj_t);
static obj_t BGl_profzd2initzd2zz__r4_vectors_6_8z00();
static obj_t BGl__vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_z62vectorzd2mapzb0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2forzd2eachz00zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62vectorzd2forzd2eachz62zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2setz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t);
static obj_t BGl_z62zc3z04anonymousza31317ze3ze5zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorz00zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_z62vectorzd2shrinkz12za2zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2mapz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62vectorzd2ze3listz53zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_z62vectorzd2copy3zb0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_z62copyzd2vectorzb0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2mapzd2envz00zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2mapza71689za7, va_generic_entry, BGl_z62vectorzd2mapzb0zz__r4_vectors_6_8z00, BUNSPEC, -3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2shrinkz12zd2envz12zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2shri1690z00, BGl_z62vectorzd2shrinkz12za2zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_copyzd2vectorzd2envz00zz__r4_vectors_6_8z00, BgL_bgl_za762copyza7d2vector1691z00, BGl_z62copyzd2vectorzb0zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sortzd2envzd2zz__r4_vectors_6_8z00, BgL_bgl_za762sortza762za7za7__r41692z00, BGl_z62sortz62zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2fillz12zd2envz12zz__r4_vectors_6_8z00, BgL_bgl__vectorza7d2fillza711693z00, opt_generic_entry, BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2appendzd2envz00zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2appe1694z00, va_generic_entry, BGl_z62vectorzd2appendzb0zz__r4_vectors_6_8z00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2ze3listzd2envze3zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2za7e3l1695za7, BGl_z62vectorzd2ze3listz53zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2tagzd2envz00zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2tagza71696za7, BGl_z62vectorzd2tagzb0zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2copy3zd2envz00zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2copy1697z00, BGl_z62vectorzd2copy3zb0zz__r4_vectors_6_8z00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2envzd2zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza762za7za7__1698z00, va_generic_entry, BGl_z62vectorz62zz__r4_vectors_6_8z00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2refzd2urzd2envzd2zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2refza71699za7, BGl_z62vectorzd2refzd2urz62zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2mapz12zd2envz12zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2mapza71700za7, va_generic_entry, BGl_z62vectorzd2mapz12za2zz__r4_vectors_6_8z00, BUNSPEC, -3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2copyzd2envz00zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2copy1701z00, va_generic_entry, BGl_z62vectorzd2copyzb0zz__r4_vectors_6_8z00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1650z00zz__r4_vectors_6_8z00, BgL_bgl_string1650za700za7za7_1702za7, "/builddir/build/BUILD/bigloo-4.4c-4/runtime/Ieee/vector.scm", 59 );
DEFINE_STRING( BGl_string1651z00zz__r4_vectors_6_8z00, BgL_bgl_string1651za700za7za7_1703za7, "_make-vector", 12 );
DEFINE_STRING( BGl_string1652z00zz__r4_vectors_6_8z00, BgL_bgl_string1652za700za7za7_1704za7, "bint", 4 );
DEFINE_STRING( BGl_string1653z00zz__r4_vectors_6_8z00, BgL_bgl_string1653za700za7za7_1705za7, "&vector-length", 14 );
DEFINE_STRING( BGl_string1654z00zz__r4_vectors_6_8z00, BgL_bgl_string1654za700za7za7_1706za7, "vector", 6 );
DEFINE_STRING( BGl_string1655z00zz__r4_vectors_6_8z00, BgL_bgl_string1655za700za7za7_1707za7, "&vector-ref", 11 );
DEFINE_STRING( BGl_string1656z00zz__r4_vectors_6_8z00, BgL_bgl_string1656za700za7za7_1708za7, "&vector-set!", 12 );
DEFINE_STRING( BGl_string1657z00zz__r4_vectors_6_8z00, BgL_bgl_string1657za700za7za7_1709za7, "&vector-ref-ur", 14 );
DEFINE_STRING( BGl_string1658z00zz__r4_vectors_6_8z00, BgL_bgl_string1658za700za7za7_1710za7, "&vector-set-ur!", 15 );
DEFINE_STRING( BGl_string1659z00zz__r4_vectors_6_8z00, BgL_bgl_string1659za700za7za7_1711za7, "&vector->list", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_listzd2ze3vectorzd2envze3zz__r4_vectors_6_8z00, BgL_bgl_za762listza7d2za7e3vec1712za7, BGl_z62listzd2ze3vectorz53zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2refzd2envz00zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2refza71713za7, BGl_z62vectorzd2refzb0zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2lengthzd2envz00zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2leng1714z00, BGl_z62vectorzd2lengthzb0zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1660z00zz__r4_vectors_6_8z00, BgL_bgl_string1660za700za7za7_1715za7, "&list->vector", 13 );
DEFINE_STRING( BGl_string1661z00zz__r4_vectors_6_8z00, BgL_bgl_string1661za700za7za7_1716za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1662z00zz__r4_vectors_6_8z00, BgL_bgl_string1662za700za7za7_1717za7, "_vector-fill!", 13 );
DEFINE_STRING( BGl_string1663z00zz__r4_vectors_6_8z00, BgL_bgl_string1663za700za7za7_1718za7, "vector-fill!", 12 );
DEFINE_STRING( BGl_string1664z00zz__r4_vectors_6_8z00, BgL_bgl_string1664za700za7za7_1719za7, "wrong negative start", 20 );
DEFINE_STRING( BGl_string1665z00zz__r4_vectors_6_8z00, BgL_bgl_string1665za700za7za7_1720za7, "end index too large", 19 );
DEFINE_STRING( BGl_string1666z00zz__r4_vectors_6_8z00, BgL_bgl_string1666za700za7za7_1721za7, "start index larger than end", 27 );
DEFINE_STRING( BGl_string1667z00zz__r4_vectors_6_8z00, BgL_bgl_string1667za700za7za7_1722za7, "&vector-tag", 11 );
DEFINE_STRING( BGl_string1668z00zz__r4_vectors_6_8z00, BgL_bgl_string1668za700za7za7_1723za7, "&vector-tag-set!", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2tagzd2setz12zd2envzc0zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2tagza71724za7, BGl_z62vectorzd2tagzd2setz12z70zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1669z00zz__r4_vectors_6_8z00, BgL_bgl_string1669za700za7za7_1725za7, "&copy-vector", 12 );
DEFINE_STRING( BGl_string1670z00zz__r4_vectors_6_8z00, BgL_bgl_string1670za700za7za7_1726za7, "vector-copy", 11 );
DEFINE_STRING( BGl_string1671z00zz__r4_vectors_6_8z00, BgL_bgl_string1671za700za7za7_1727za7, "Illegal indexes", 15 );
DEFINE_STRING( BGl_string1672z00zz__r4_vectors_6_8z00, BgL_bgl_string1672za700za7za7_1728za7, "&vector-copy3", 13 );
DEFINE_STRING( BGl_string1673z00zz__r4_vectors_6_8z00, BgL_bgl_string1673za700za7za7_1729za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string1674z00zz__r4_vectors_6_8z00, BgL_bgl_string1674za700za7za7_1730za7, "&vector-copy", 12 );
DEFINE_STRING( BGl_string1675z00zz__r4_vectors_6_8z00, BgL_bgl_string1675za700za7za7_1731za7, "_vector-copy!", 13 );
DEFINE_STRING( BGl_string1676z00zz__r4_vectors_6_8z00, BgL_bgl_string1676za700za7za7_1732za7, "&vector-append", 14 );
DEFINE_STRING( BGl_string1677z00zz__r4_vectors_6_8z00, BgL_bgl_string1677za700za7za7_1733za7, "sort", 4 );
DEFINE_STRING( BGl_string1678z00zz__r4_vectors_6_8z00, BgL_bgl_string1678za700za7za7_1734za7, "Object must be a list or a vector", 33 );
DEFINE_STRING( BGl_string1679z00zz__r4_vectors_6_8z00, BgL_bgl_string1679za700za7za7_1735za7, "vector-map", 10 );
DEFINE_STRING( BGl_string1680z00zz__r4_vectors_6_8z00, BgL_bgl_string1680za700za7za7_1736za7, "Illegal arguments", 17 );
DEFINE_STRING( BGl_string1681z00zz__r4_vectors_6_8z00, BgL_bgl_string1681za700za7za7_1737za7, "&vector-map", 11 );
DEFINE_STRING( BGl_string1682z00zz__r4_vectors_6_8z00, BgL_bgl_string1682za700za7za7_1738za7, "procedure", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzf3zd2envz21zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7f3za791za71739z00, BGl_z62vectorzf3z91zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1683z00zz__r4_vectors_6_8z00, BgL_bgl_string1683za700za7za7_1740za7, "vector-map!", 11 );
DEFINE_STRING( BGl_string1684z00zz__r4_vectors_6_8z00, BgL_bgl_string1684za700za7za7_1741za7, "&vector-map!", 12 );
DEFINE_STRING( BGl_string1685z00zz__r4_vectors_6_8z00, BgL_bgl_string1685za700za7za7_1742za7, "vector-for-each", 15 );
DEFINE_STRING( BGl_string1686z00zz__r4_vectors_6_8z00, BgL_bgl_string1686za700za7za7_1743za7, "&vector-for-each", 16 );
DEFINE_STRING( BGl_string1687z00zz__r4_vectors_6_8z00, BgL_bgl_string1687za700za7za7_1744za7, "&vector-shrink!", 15 );
DEFINE_STRING( BGl_string1688z00zz__r4_vectors_6_8z00, BgL_bgl_string1688za700za7za7_1745za7, "__r4_vectors_6_8", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2setzd2urz12zd2envzc0zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2setza71746za7, BGl_z62vectorzd2setzd2urz12z70zz__r4_vectors_6_8z00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2copyz12zd2envz12zz__r4_vectors_6_8z00, BgL_bgl__vectorza7d2copyza711747z00, opt_generic_entry, BGl__vectorzd2copyz12zc0zz__r4_vectors_6_8z00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2vectorzd2envz00zz__r4_vectors_6_8z00, BgL_bgl__makeza7d2vectorza7d1748z00, opt_generic_entry, BGl__makezd2vectorzd2zz__r4_vectors_6_8z00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2forzd2eachzd2envzd2zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2forza71749za7, va_generic_entry, BGl_z62vectorzd2forzd2eachz62zz__r4_vectors_6_8z00, BUNSPEC, -3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2setz12zd2envz12zz__r4_vectors_6_8z00, BgL_bgl_za762vectorza7d2setza71750za7, BGl_z62vectorzd2setz12za2zz__r4_vectors_6_8z00, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector?\" \"Ieee/vector.scm\" 6143) \"BGl_vectorzf3zf3zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector?\" \"Ieee/vector.scm\" 6143) \"BGl_z62vectorzf3z91zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_make-vector\" \"Ieee/vector.scm\" 6414) \"BGl__makezd2vectorzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-vector\" \"Ieee/vector.scm\" 6414) \"BGl_makezd2vectorzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector\" \"Ieee/vector.scm\" 6729) \"BGl_vectorz00zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector\" \"Ieee/vector.scm\" 6729) \"BGl_z62vectorz62zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-length\" \"Ieee/vector.scm\" 7007) \"BGl_vectorzd2lengthzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-length\" \"Ieee/vector.scm\" 7007) \"BGl_z62vectorzd2lengthzb0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-ref\" \"Ieee/vector.scm\" 7296) \"BGl_vectorzd2refzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-ref\" \"Ieee/vector.scm\" 7296) \"BGl_z62vectorzd2refzb0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-set!\" \"Ieee/vector.scm\" 7583) \"BGl_vectorzd2setz12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-set!\" \"Ieee/vector.scm\" 7583) \"BGl_z62vectorzd2setz12za2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-ref-ur\" \"Ieee/vector.scm\" 7880) \"BGl_vectorzd2refzd2urz00zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-ref-ur\" \"Ieee/vector.scm\" 7880) \"BGl_z62vectorzd2refzd2urz62zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-set-ur!\" \"Ieee/vector.scm\" 8173) \"BGl_vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-set-ur!\" \"Ieee/vector.scm\" 8173) \"BGl_z62vectorzd2setzd2urz12z70zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector->list\" \"Ieee/vector.scm\" 8476) \"BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector->list\" \"Ieee/vector.scm\" 8476) \"BGl_z62vectorzd2ze3listz53zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"list->vector\" \"Ieee/vector.scm\" 8968) \"BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&list->vector\" \"Ieee/vector.scm\" 8968) \"BGl_z62listzd2ze3vectorz53zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_vector-fill!\" \"Ieee/vector.scm\" 9422) \"BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-fill!\" \"Ieee/vector.scm\" 9422) \"BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-tag\" \"Ieee/vector.scm\" 10152) \"BGl_vectorzd2tagzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-tag\" \"Ieee/vector.scm\" 10152) \"BGl_z62vectorzd2tagzb0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-tag-set!\" \"Ieee/vector.scm\" 10435) \"BGl_vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-tag-set!\" \"Ieee/vector.scm\" 10435) \"BGl_z62vectorzd2tagzd2setz12z70zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"copy-vector\" \"Ieee/vector.scm\" 10736) \"BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&copy-vector\" \"Ieee/vector.scm\" 10736) \"BGl_z62copyzd2vectorzb0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-copy3\" \"Ieee/vector.scm\" 11321) \"BGl_vectorzd2copy3zd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-copy3\" \"Ieee/vector.scm\" 11321) \"BGl_z62vectorzd2copy3zb0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-copy\" \"Ieee/vector.scm\" 12085) \"BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-copy\" \"Ieee/vector.scm\" 12085) \"BGl_z62vectorzd2copyzb0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_vector-copy!\" \"Ieee/vector.scm\" 12798) \"BGl__vectorzd2copyz12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-copy!\" \"Ieee/vector.scm\" 12798) \"BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-append\" \"Ieee/vector.scm\" 13900) \"BGl_vectorzd2appendzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-append\" \"Ieee/vector.scm\" 13900) \"BGl_z62vectorzd2appendzb0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"sort\" \"Ieee/vector.scm\" 14600) \"BGl_sortz00zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&sort\" \"Ieee/vector.scm\" 14600) \"BGl_z62sortz62zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"inner-sort\" \"Ieee/vector.scm\" 14921) \"BGl_innerzd2sortzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-map2!\" \"Ieee/vector.scm\" 15801) \"BGl_vectorzd2map2z12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-mapN!\" \"Ieee/vector.scm\" 16249) \"BGl_vectorzd2mapNz12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-map\" \"Ieee/vector.scm\" 16779) \"BGl_vectorzd2mapzd2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-map\" \"Ieee/vector.scm\" 16779) \"BGl_z62vectorzd2mapzb0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1273>\" \"Ieee/vector.scm\" 16945) \"BGl_z62zc3z04anonymousza31273ze3ze5zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-map!\" \"Ieee/vector.scm\" 17323) \"BGl_vectorzd2mapz12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-map!\" \"Ieee/vector.scm\" 17323) \"BGl_z62vectorzd2mapz12za2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1284>\" \"Ieee/vector.scm\" 17459) \"BGl_z62zc3z04anonymousza31284ze3ze5zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-for-each2\" \"Ieee/vector.scm\" 17837) \"BGl_vectorzd2forzd2each2z00zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-for-eachN\" \"Ieee/vector.scm\" 18239) \"BGl_vectorzd2forzd2eachNz00zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-for-each\" \"Ieee/vector.scm\" 18723) \"BGl_vectorzd2forzd2eachz00zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-for-each\" \"Ieee/vector.scm\" 18723) \"BGl_z62vectorzd2forzd2eachz62zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1317>\" \"Ieee/vector.scm\" 18865) \"BGl_z62zc3z04anonymousza31317ze3ze5zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector-shrink!\" \"Ieee/vector.scm\" 19249) \"BGl_vectorzd2shrinkz12zc0zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector-shrink!\" \"Ieee/vector.scm\" 19249) \"BGl_z62vectorzd2shrinkz12za2zz__r4_vectors_6_8z00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long BgL_checksumz00_1741, char * BgL_fromz00_1742)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__r4_vectors_6_8z00(); 
BGl_importedzd2moduleszd2initz00zz__r4_vectors_6_8z00(); 
return 
BGl_profzd2initzd2zz__r4_vectors_6_8z00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__r4_vectors_6_8z00()
{
{ /* Ieee/vector.scm 18 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__r4_vectors_6_8z00()
{
{ /* Ieee/vector.scm 18 */
return 
write_bprof_table();} 

}



/* vector? */
BGL_EXPORTED_DEF bool_t BGl_vectorzf3zf3zz__r4_vectors_6_8z00(obj_t BgL_objz00_3)
{
{ /* Ieee/vector.scm 134 */
return 
VECTORP(BgL_objz00_3);} 

}



/* &vector? */
obj_t BGl_z62vectorzf3z91zz__r4_vectors_6_8z00(obj_t BgL_envz00_1572, obj_t BgL_objz00_1573)
{
{ /* Ieee/vector.scm 134 */
return 
BBOOL(
BGl_vectorzf3zf3zz__r4_vectors_6_8z00(BgL_objz00_1573));} 

}



/* _make-vector */
obj_t BGl__makezd2vectorzd2zz__r4_vectors_6_8z00(obj_t BgL_env1050z00_7, obj_t BgL_opt1049z00_6)
{
{ /* Ieee/vector.scm 140 */
{ /* Ieee/vector.scm 140 */
 obj_t BgL_g1051z00_1737;
BgL_g1051z00_1737 = 
VECTOR_REF(BgL_opt1049z00_6,((long)0)); 
switch( 
VECTOR_LENGTH(BgL_opt1049z00_6)) { case ((long)1) : 

{ /* Ieee/vector.scm 140 */

{ /* Ieee/vector.scm 140 */
 long BgL_intz00_1738;
{ /* Ieee/vector.scm 140 */
 obj_t BgL_tmpz00_1755;
if(
INTEGERP(BgL_g1051z00_1737))
{ /* Ieee/vector.scm 140 */
BgL_tmpz00_1755 = BgL_g1051z00_1737
; }  else 
{ 
 obj_t BgL_auxz00_1758;
BgL_auxz00_1758 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)6414)), BGl_string1651z00zz__r4_vectors_6_8z00, BGl_string1652z00zz__r4_vectors_6_8z00, BgL_g1051z00_1737); 
FAILURE(BgL_auxz00_1758,BFALSE,BFALSE);} 
BgL_intz00_1738 = 
(long)CINT(BgL_tmpz00_1755); } 
return 
make_vector(BgL_intz00_1738, BUNSPEC);} } break;case ((long)2) : 

{ /* Ieee/vector.scm 140 */
 obj_t BgL_fillz00_1739;
BgL_fillz00_1739 = 
VECTOR_REF(BgL_opt1049z00_6,((long)1)); 
{ /* Ieee/vector.scm 140 */

{ /* Ieee/vector.scm 140 */
 long BgL_intz00_1740;
{ /* Ieee/vector.scm 140 */
 obj_t BgL_tmpz00_1765;
if(
INTEGERP(BgL_g1051z00_1737))
{ /* Ieee/vector.scm 140 */
BgL_tmpz00_1765 = BgL_g1051z00_1737
; }  else 
{ 
 obj_t BgL_auxz00_1768;
BgL_auxz00_1768 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)6414)), BGl_string1651z00zz__r4_vectors_6_8z00, BGl_string1652z00zz__r4_vectors_6_8z00, BgL_g1051z00_1737); 
FAILURE(BgL_auxz00_1768,BFALSE,BFALSE);} 
BgL_intz00_1740 = 
(long)CINT(BgL_tmpz00_1765); } 
return 
make_vector(BgL_intz00_1740, BgL_fillz00_1739);} } } break;
default: 
return BUNSPEC;} } } 

}



/* make-vector */
BGL_EXPORTED_DEF obj_t BGl_makezd2vectorzd2zz__r4_vectors_6_8z00(long BgL_intz00_4, obj_t BgL_fillz00_5)
{
{ /* Ieee/vector.scm 140 */
return 
make_vector(BgL_intz00_4, BgL_fillz00_5);} 

}



/* vector */
BGL_EXPORTED_DEF obj_t BGl_vectorz00zz__r4_vectors_6_8z00(obj_t BgL_argsz00_8)
{
{ /* Ieee/vector.scm 146 */
return 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_argsz00_8);} 

}



/* &vector */
obj_t BGl_z62vectorz62zz__r4_vectors_6_8z00(obj_t BgL_envz00_1574, obj_t BgL_argsz00_1575)
{
{ /* Ieee/vector.scm 146 */
return 
BGl_vectorz00zz__r4_vectors_6_8z00(BgL_argsz00_1575);} 

}



/* vector-length */
BGL_EXPORTED_DEF long BGl_vectorzd2lengthzd2zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_9)
{
{ /* Ieee/vector.scm 152 */
return 
VECTOR_LENGTH(BgL_vectorz00_9);} 

}



/* &vector-length */
obj_t BGl_z62vectorzd2lengthzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1576, obj_t BgL_vectorz00_1577)
{
{ /* Ieee/vector.scm 152 */
{ /* Ieee/vector.scm 153 */
 long BgL_tmpz00_1780;
{ /* Ieee/vector.scm 153 */
 obj_t BgL_auxz00_1781;
if(
VECTORP(BgL_vectorz00_1577))
{ /* Ieee/vector.scm 153 */
BgL_auxz00_1781 = BgL_vectorz00_1577
; }  else 
{ 
 obj_t BgL_auxz00_1784;
BgL_auxz00_1784 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)7048)), BGl_string1653z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vectorz00_1577); 
FAILURE(BgL_auxz00_1784,BFALSE,BFALSE);} 
BgL_tmpz00_1780 = 
BGl_vectorzd2lengthzd2zz__r4_vectors_6_8z00(BgL_auxz00_1781); } 
return 
BINT(BgL_tmpz00_1780);} } 

}



/* vector-ref */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2refzd2zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_10, long BgL_kz00_11)
{
{ /* Ieee/vector.scm 158 */
return 
VECTOR_REF(BgL_vectorz00_10,BgL_kz00_11);} 

}



/* &vector-ref */
obj_t BGl_z62vectorzd2refzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1578, obj_t BgL_vectorz00_1579, obj_t BgL_kz00_1580)
{
{ /* Ieee/vector.scm 158 */
{ /* Ieee/vector.scm 159 */
 long BgL_auxz00_1798; obj_t BgL_auxz00_1791;
{ /* Ieee/vector.scm 159 */
 obj_t BgL_tmpz00_1799;
if(
INTEGERP(BgL_kz00_1580))
{ /* Ieee/vector.scm 159 */
BgL_tmpz00_1799 = BgL_kz00_1580
; }  else 
{ 
 obj_t BgL_auxz00_1802;
BgL_auxz00_1802 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)7336)), BGl_string1655z00zz__r4_vectors_6_8z00, BGl_string1652z00zz__r4_vectors_6_8z00, BgL_kz00_1580); 
FAILURE(BgL_auxz00_1802,BFALSE,BFALSE);} 
BgL_auxz00_1798 = 
(long)CINT(BgL_tmpz00_1799); } 
if(
VECTORP(BgL_vectorz00_1579))
{ /* Ieee/vector.scm 159 */
BgL_auxz00_1791 = BgL_vectorz00_1579
; }  else 
{ 
 obj_t BgL_auxz00_1794;
BgL_auxz00_1794 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)7336)), BGl_string1655z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vectorz00_1579); 
FAILURE(BgL_auxz00_1794,BFALSE,BFALSE);} 
return 
BGl_vectorzd2refzd2zz__r4_vectors_6_8z00(BgL_auxz00_1791, BgL_auxz00_1798);} } 

}



/* vector-set! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2setz12zc0zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_12, long BgL_kz00_13, obj_t BgL_objz00_14)
{
{ /* Ieee/vector.scm 164 */
return 
VECTOR_SET(BgL_vectorz00_12,BgL_kz00_13,BgL_objz00_14);} 

}



/* &vector-set! */
obj_t BGl_z62vectorzd2setz12za2zz__r4_vectors_6_8z00(obj_t BgL_envz00_1581, obj_t BgL_vectorz00_1582, obj_t BgL_kz00_1583, obj_t BgL_objz00_1584)
{
{ /* Ieee/vector.scm 164 */
{ /* Ieee/vector.scm 165 */
 long BgL_auxz00_1816; obj_t BgL_auxz00_1809;
{ /* Ieee/vector.scm 165 */
 obj_t BgL_tmpz00_1817;
if(
INTEGERP(BgL_kz00_1583))
{ /* Ieee/vector.scm 165 */
BgL_tmpz00_1817 = BgL_kz00_1583
; }  else 
{ 
 obj_t BgL_auxz00_1820;
BgL_auxz00_1820 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)7628)), BGl_string1656z00zz__r4_vectors_6_8z00, BGl_string1652z00zz__r4_vectors_6_8z00, BgL_kz00_1583); 
FAILURE(BgL_auxz00_1820,BFALSE,BFALSE);} 
BgL_auxz00_1816 = 
(long)CINT(BgL_tmpz00_1817); } 
if(
VECTORP(BgL_vectorz00_1582))
{ /* Ieee/vector.scm 165 */
BgL_auxz00_1809 = BgL_vectorz00_1582
; }  else 
{ 
 obj_t BgL_auxz00_1812;
BgL_auxz00_1812 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)7628)), BGl_string1656z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vectorz00_1582); 
FAILURE(BgL_auxz00_1812,BFALSE,BFALSE);} 
return 
BGl_vectorzd2setz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_1809, BgL_auxz00_1816, BgL_objz00_1584);} } 

}



/* vector-ref-ur */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2refzd2urz00zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_15, long BgL_kz00_16)
{
{ /* Ieee/vector.scm 170 */
return 
VECTOR_REF(BgL_vectorz00_15,BgL_kz00_16);} 

}



/* &vector-ref-ur */
obj_t BGl_z62vectorzd2refzd2urz62zz__r4_vectors_6_8z00(obj_t BgL_envz00_1585, obj_t BgL_vectorz00_1586, obj_t BgL_kz00_1587)
{
{ /* Ieee/vector.scm 170 */
{ /* Ieee/vector.scm 171 */
 long BgL_auxz00_1834; obj_t BgL_auxz00_1827;
{ /* Ieee/vector.scm 171 */
 obj_t BgL_tmpz00_1835;
if(
INTEGERP(BgL_kz00_1587))
{ /* Ieee/vector.scm 171 */
BgL_tmpz00_1835 = BgL_kz00_1587
; }  else 
{ 
 obj_t BgL_auxz00_1838;
BgL_auxz00_1838 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)7923)), BGl_string1657z00zz__r4_vectors_6_8z00, BGl_string1652z00zz__r4_vectors_6_8z00, BgL_kz00_1587); 
FAILURE(BgL_auxz00_1838,BFALSE,BFALSE);} 
BgL_auxz00_1834 = 
(long)CINT(BgL_tmpz00_1835); } 
if(
VECTORP(BgL_vectorz00_1586))
{ /* Ieee/vector.scm 171 */
BgL_auxz00_1827 = BgL_vectorz00_1586
; }  else 
{ 
 obj_t BgL_auxz00_1830;
BgL_auxz00_1830 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)7923)), BGl_string1657z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vectorz00_1586); 
FAILURE(BgL_auxz00_1830,BFALSE,BFALSE);} 
return 
BGl_vectorzd2refzd2urz00zz__r4_vectors_6_8z00(BgL_auxz00_1827, BgL_auxz00_1834);} } 

}



/* vector-set-ur! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_17, long BgL_kz00_18, obj_t BgL_objz00_19)
{
{ /* Ieee/vector.scm 176 */
return 
VECTOR_SET(BgL_vectorz00_17,BgL_kz00_18,BgL_objz00_19);} 

}



/* &vector-set-ur! */
obj_t BGl_z62vectorzd2setzd2urz12z70zz__r4_vectors_6_8z00(obj_t BgL_envz00_1588, obj_t BgL_vectorz00_1589, obj_t BgL_kz00_1590, obj_t BgL_objz00_1591)
{
{ /* Ieee/vector.scm 176 */
{ /* Ieee/vector.scm 177 */
 long BgL_auxz00_1852; obj_t BgL_auxz00_1845;
{ /* Ieee/vector.scm 177 */
 obj_t BgL_tmpz00_1853;
if(
INTEGERP(BgL_kz00_1590))
{ /* Ieee/vector.scm 177 */
BgL_tmpz00_1853 = BgL_kz00_1590
; }  else 
{ 
 obj_t BgL_auxz00_1856;
BgL_auxz00_1856 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)8221)), BGl_string1658z00zz__r4_vectors_6_8z00, BGl_string1652z00zz__r4_vectors_6_8z00, BgL_kz00_1590); 
FAILURE(BgL_auxz00_1856,BFALSE,BFALSE);} 
BgL_auxz00_1852 = 
(long)CINT(BgL_tmpz00_1853); } 
if(
VECTORP(BgL_vectorz00_1589))
{ /* Ieee/vector.scm 177 */
BgL_auxz00_1845 = BgL_vectorz00_1589
; }  else 
{ 
 obj_t BgL_auxz00_1848;
BgL_auxz00_1848 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)8221)), BGl_string1658z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vectorz00_1589); 
FAILURE(BgL_auxz00_1848,BFALSE,BFALSE);} 
return 
BGl_vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(BgL_auxz00_1845, BgL_auxz00_1852, BgL_objz00_1591);} } 

}



/* vector->list */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_20)
{
{ /* Ieee/vector.scm 182 */
if(
(
VECTOR_LENGTH(BgL_vectorz00_20)==((long)0)))
{ /* Ieee/vector.scm 184 */
return BNIL;}  else 
{ /* Ieee/vector.scm 186 */
 long BgL_g1013z00_750;
BgL_g1013z00_750 = 
(
VECTOR_LENGTH(BgL_vectorz00_20)-((long)1)); 
{ 
 long BgL_iz00_753; obj_t BgL_accz00_754;
BgL_iz00_753 = BgL_g1013z00_750; 
BgL_accz00_754 = BNIL; 
BgL_zc3z04anonymousza31090ze3z87_755:
if(
(BgL_iz00_753==((long)0)))
{ /* Ieee/vector.scm 188 */
return 
MAKE_YOUNG_PAIR(
VECTOR_REF(BgL_vectorz00_20,BgL_iz00_753), BgL_accz00_754);}  else 
{ /* Ieee/vector.scm 190 */
 long BgL_arg1095z00_758; obj_t BgL_arg1096z00_759;
BgL_arg1095z00_758 = 
(BgL_iz00_753-((long)1)); 
BgL_arg1096z00_759 = 
MAKE_YOUNG_PAIR(
VECTOR_REF(BgL_vectorz00_20,BgL_iz00_753), BgL_accz00_754); 
{ 
 obj_t BgL_accz00_1875; long BgL_iz00_1874;
BgL_iz00_1874 = BgL_arg1095z00_758; 
BgL_accz00_1875 = BgL_arg1096z00_759; 
BgL_accz00_754 = BgL_accz00_1875; 
BgL_iz00_753 = BgL_iz00_1874; 
goto BgL_zc3z04anonymousza31090ze3z87_755;} } } } } 

}



/* &vector->list */
obj_t BGl_z62vectorzd2ze3listz53zz__r4_vectors_6_8z00(obj_t BgL_envz00_1592, obj_t BgL_vectorz00_1593)
{
{ /* Ieee/vector.scm 182 */
{ /* Ieee/vector.scm 183 */
 obj_t BgL_auxz00_1876;
if(
VECTORP(BgL_vectorz00_1593))
{ /* Ieee/vector.scm 183 */
BgL_auxz00_1876 = BgL_vectorz00_1593
; }  else 
{ 
 obj_t BgL_auxz00_1879;
BgL_auxz00_1879 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)8509)), BGl_string1659z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vectorz00_1593); 
FAILURE(BgL_auxz00_1879,BFALSE,BFALSE);} 
return 
BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(BgL_auxz00_1876);} } 

}



/* list->vector */
BGL_EXPORTED_DEF obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t BgL_listz00_21)
{
{ /* Ieee/vector.scm 195 */
{ /* Ieee/vector.scm 196 */
 long BgL_lenz00_762;
BgL_lenz00_762 = 
bgl_list_length(BgL_listz00_21); 
{ /* Ieee/vector.scm 196 */
 obj_t BgL_vecz00_763;
BgL_vecz00_763 = 
create_vector(BgL_lenz00_762); 
{ /* Ieee/vector.scm 197 */

{ 
 long BgL_iz00_765; obj_t BgL_lz00_766;
BgL_iz00_765 = ((long)0); 
BgL_lz00_766 = BgL_listz00_21; 
BgL_zc3z04anonymousza31098ze3z87_767:
if(
(BgL_iz00_765==BgL_lenz00_762))
{ /* Ieee/vector.scm 200 */
return BgL_vecz00_763;}  else 
{ /* Ieee/vector.scm 200 */
{ /* Ieee/vector.scm 203 */
 obj_t BgL_arg1100z00_769;
BgL_arg1100z00_769 = 
CAR(
((obj_t)BgL_lz00_766)); 
VECTOR_SET(BgL_vecz00_763,BgL_iz00_765,BgL_arg1100z00_769); } 
{ /* Ieee/vector.scm 204 */
 long BgL_arg1102z00_770; obj_t BgL_arg1107z00_771;
BgL_arg1102z00_770 = 
(BgL_iz00_765+((long)1)); 
BgL_arg1107z00_771 = 
CDR(
((obj_t)BgL_lz00_766)); 
{ 
 obj_t BgL_lz00_1895; long BgL_iz00_1894;
BgL_iz00_1894 = BgL_arg1102z00_770; 
BgL_lz00_1895 = BgL_arg1107z00_771; 
BgL_lz00_766 = BgL_lz00_1895; 
BgL_iz00_765 = BgL_iz00_1894; 
goto BgL_zc3z04anonymousza31098ze3z87_767;} } } } } } } } 

}



/* &list->vector */
obj_t BGl_z62listzd2ze3vectorz53zz__r4_vectors_6_8z00(obj_t BgL_envz00_1594, obj_t BgL_listz00_1595)
{
{ /* Ieee/vector.scm 195 */
{ /* Ieee/vector.scm 196 */
 obj_t BgL_auxz00_1896;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_listz00_1595))
{ /* Ieee/vector.scm 196 */
BgL_auxz00_1896 = BgL_listz00_1595
; }  else 
{ 
 obj_t BgL_auxz00_1899;
BgL_auxz00_1899 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)8999)), BGl_string1660z00zz__r4_vectors_6_8z00, BGl_string1661z00zz__r4_vectors_6_8z00, BgL_listz00_1595); 
FAILURE(BgL_auxz00_1899,BFALSE,BFALSE);} 
return 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_auxz00_1896);} } 

}



/* _vector-fill! */
obj_t BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t BgL_env1055z00_27, obj_t BgL_opt1054z00_26)
{
{ /* Ieee/vector.scm 209 */
{ /* Ieee/vector.scm 209 */
 obj_t BgL_vecz00_773; obj_t BgL_fillz00_774;
BgL_vecz00_773 = 
VECTOR_REF(BgL_opt1054z00_26,((long)0)); 
BgL_fillz00_774 = 
VECTOR_REF(BgL_opt1054z00_26,((long)1)); 
switch( 
VECTOR_LENGTH(BgL_opt1054z00_26)) { case ((long)2) : 

{ /* Ieee/vector.scm 210 */
 long BgL_endz00_779;
{ /* Ieee/vector.scm 210 */
 obj_t BgL_vectorz00_1340;
if(
VECTORP(BgL_vecz00_773))
{ /* Ieee/vector.scm 210 */
BgL_vectorz00_1340 = BgL_vecz00_773; }  else 
{ 
 obj_t BgL_auxz00_1908;
BgL_auxz00_1908 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)9510)), BGl_string1662z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vecz00_773); 
FAILURE(BgL_auxz00_1908,BFALSE,BFALSE);} 
BgL_endz00_779 = 
VECTOR_LENGTH(BgL_vectorz00_1340); } 
{ /* Ieee/vector.scm 209 */

{ /* Ieee/vector.scm 209 */
 obj_t BgL_auxz00_1913;
if(
VECTORP(BgL_vecz00_773))
{ /* Ieee/vector.scm 209 */
BgL_auxz00_1913 = BgL_vecz00_773
; }  else 
{ 
 obj_t BgL_auxz00_1916;
BgL_auxz00_1916 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)9422)), BGl_string1662z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vecz00_773); 
FAILURE(BgL_auxz00_1916,BFALSE,BFALSE);} 
return 
BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_1913, BgL_fillz00_774, ((long)0), BgL_endz00_779);} } } break;case ((long)3) : 

{ /* Ieee/vector.scm 209 */
 obj_t BgL_startz00_780;
BgL_startz00_780 = 
VECTOR_REF(BgL_opt1054z00_26,((long)2)); 
{ /* Ieee/vector.scm 210 */
 long BgL_endz00_781;
{ /* Ieee/vector.scm 210 */
 obj_t BgL_vectorz00_1341;
if(
VECTORP(BgL_vecz00_773))
{ /* Ieee/vector.scm 210 */
BgL_vectorz00_1341 = BgL_vecz00_773; }  else 
{ 
 obj_t BgL_auxz00_1924;
BgL_auxz00_1924 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)9510)), BGl_string1662z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vecz00_773); 
FAILURE(BgL_auxz00_1924,BFALSE,BFALSE);} 
BgL_endz00_781 = 
VECTOR_LENGTH(BgL_vectorz00_1341); } 
{ /* Ieee/vector.scm 209 */

{ /* Ieee/vector.scm 209 */
 long BgL_auxz00_1936; obj_t BgL_auxz00_1929;
{ /* Ieee/vector.scm 209 */
 obj_t BgL_tmpz00_1937;
if(
INTEGERP(BgL_startz00_780))
{ /* Ieee/vector.scm 209 */
BgL_tmpz00_1937 = BgL_startz00_780
; }  else 
{ 
 obj_t BgL_auxz00_1940;
BgL_auxz00_1940 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)9422)), BGl_string1662z00zz__r4_vectors_6_8z00, BGl_string1652z00zz__r4_vectors_6_8z00, BgL_startz00_780); 
FAILURE(BgL_auxz00_1940,BFALSE,BFALSE);} 
BgL_auxz00_1936 = 
(long)CINT(BgL_tmpz00_1937); } 
if(
VECTORP(BgL_vecz00_773))
{ /* Ieee/vector.scm 209 */
BgL_auxz00_1929 = BgL_vecz00_773
; }  else 
{ 
 obj_t BgL_auxz00_1932;
BgL_auxz00_1932 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)9422)), BGl_string1662z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vecz00_773); 
FAILURE(BgL_auxz00_1932,BFALSE,BFALSE);} 
return 
BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_1929, BgL_fillz00_774, BgL_auxz00_1936, BgL_endz00_781);} } } } break;case ((long)4) : 

{ /* Ieee/vector.scm 209 */
 obj_t BgL_startz00_782;
BgL_startz00_782 = 
VECTOR_REF(BgL_opt1054z00_26,((long)2)); 
{ /* Ieee/vector.scm 209 */
 obj_t BgL_endz00_783;
BgL_endz00_783 = 
VECTOR_REF(BgL_opt1054z00_26,((long)3)); 
{ /* Ieee/vector.scm 209 */

{ /* Ieee/vector.scm 209 */
 long BgL_auxz00_1964; long BgL_auxz00_1955; obj_t BgL_auxz00_1948;
{ /* Ieee/vector.scm 209 */
 obj_t BgL_tmpz00_1965;
if(
INTEGERP(BgL_endz00_783))
{ /* Ieee/vector.scm 209 */
BgL_tmpz00_1965 = BgL_endz00_783
; }  else 
{ 
 obj_t BgL_auxz00_1968;
BgL_auxz00_1968 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)9422)), BGl_string1662z00zz__r4_vectors_6_8z00, BGl_string1652z00zz__r4_vectors_6_8z00, BgL_endz00_783); 
FAILURE(BgL_auxz00_1968,BFALSE,BFALSE);} 
BgL_auxz00_1964 = 
(long)CINT(BgL_tmpz00_1965); } 
{ /* Ieee/vector.scm 209 */
 obj_t BgL_tmpz00_1956;
if(
INTEGERP(BgL_startz00_782))
{ /* Ieee/vector.scm 209 */
BgL_tmpz00_1956 = BgL_startz00_782
; }  else 
{ 
 obj_t BgL_auxz00_1959;
BgL_auxz00_1959 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)9422)), BGl_string1662z00zz__r4_vectors_6_8z00, BGl_string1652z00zz__r4_vectors_6_8z00, BgL_startz00_782); 
FAILURE(BgL_auxz00_1959,BFALSE,BFALSE);} 
BgL_auxz00_1955 = 
(long)CINT(BgL_tmpz00_1956); } 
if(
VECTORP(BgL_vecz00_773))
{ /* Ieee/vector.scm 209 */
BgL_auxz00_1948 = BgL_vecz00_773
; }  else 
{ 
 obj_t BgL_auxz00_1951;
BgL_auxz00_1951 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)9422)), BGl_string1662z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vecz00_773); 
FAILURE(BgL_auxz00_1951,BFALSE,BFALSE);} 
return 
BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_1948, BgL_fillz00_774, BgL_auxz00_1955, BgL_auxz00_1964);} } } } break;
default: 
return BUNSPEC;} } } 

}



/* vector-fill! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t BgL_vecz00_22, obj_t BgL_fillz00_23, long BgL_startz00_24, long BgL_endz00_25)
{
{ /* Ieee/vector.scm 209 */
if(
(BgL_startz00_24<((long)0)))
{ /* Ieee/vector.scm 212 */
return 
BGl_errorz00zz__errorz00(BGl_string1663z00zz__r4_vectors_6_8z00, BGl_string1664z00zz__r4_vectors_6_8z00, 
BINT(BgL_startz00_24));}  else 
{ /* Ieee/vector.scm 212 */
if(
(BgL_endz00_25>
VECTOR_LENGTH(BgL_vecz00_22)))
{ /* Ieee/vector.scm 214 */
return 
BGl_errorz00zz__errorz00(BGl_string1663z00zz__r4_vectors_6_8z00, BGl_string1665z00zz__r4_vectors_6_8z00, 
BINT(BgL_endz00_25));}  else 
{ /* Ieee/vector.scm 214 */
if(
(BgL_startz00_24>=BgL_endz00_25))
{ /* Ieee/vector.scm 217 */
 bool_t BgL_test1779z00_1987;
if(
(BgL_startz00_24==BgL_endz00_25))
{ /* Ieee/vector.scm 217 */
BgL_test1779z00_1987 = 
(BgL_startz00_24==((long)0))
; }  else 
{ /* Ieee/vector.scm 217 */
BgL_test1779z00_1987 = ((bool_t)0)
; } 
if(BgL_test1779z00_1987)
{ /* Ieee/vector.scm 217 */
return BUNSPEC;}  else 
{ /* Ieee/vector.scm 220 */
 obj_t BgL_arg1117z00_790;
BgL_arg1117z00_790 = 
MAKE_YOUNG_PAIR(
BINT(BgL_startz00_24), 
BINT(BgL_endz00_25)); 
return 
BGl_errorz00zz__errorz00(BGl_string1663z00zz__r4_vectors_6_8z00, BGl_string1666z00zz__r4_vectors_6_8z00, BgL_arg1117z00_790);} }  else 
{ /* Ieee/vector.scm 216 */
return 
bgl_fill_vector(BgL_vecz00_22, BgL_startz00_24, BgL_endz00_25, BgL_fillz00_23);} } } } 

}



/* vector-tag */
BGL_EXPORTED_DEF int BGl_vectorzd2tagzd2zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_28)
{
{ /* Ieee/vector.scm 227 */
return 
VECTOR_TAG(BgL_vectorz00_28);} 

}



/* &vector-tag */
obj_t BGl_z62vectorzd2tagzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1596, obj_t BgL_vectorz00_1597)
{
{ /* Ieee/vector.scm 227 */
{ /* Ieee/vector.scm 228 */
 int BgL_tmpz00_1997;
{ /* Ieee/vector.scm 228 */
 obj_t BgL_auxz00_1998;
if(
VECTORP(BgL_vectorz00_1597))
{ /* Ieee/vector.scm 228 */
BgL_auxz00_1998 = BgL_vectorz00_1597
; }  else 
{ 
 obj_t BgL_auxz00_2001;
BgL_auxz00_2001 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)10190)), BGl_string1667z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vectorz00_1597); 
FAILURE(BgL_auxz00_2001,BFALSE,BFALSE);} 
BgL_tmpz00_1997 = 
BGl_vectorzd2tagzd2zz__r4_vectors_6_8z00(BgL_auxz00_1998); } 
return 
BINT(BgL_tmpz00_1997);} } 

}



/* vector-tag-set! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(obj_t BgL_vectorz00_29, int BgL_tagz00_30)
{
{ /* Ieee/vector.scm 233 */
return 
VECTOR_TAG_SET(BgL_vectorz00_29, BgL_tagz00_30);} 

}



/* &vector-tag-set! */
obj_t BGl_z62vectorzd2tagzd2setz12z70zz__r4_vectors_6_8z00(obj_t BgL_envz00_1598, obj_t BgL_vectorz00_1599, obj_t BgL_tagz00_1600)
{
{ /* Ieee/vector.scm 233 */
{ /* Ieee/vector.scm 234 */
 int BgL_auxz00_2015; obj_t BgL_auxz00_2008;
{ /* Ieee/vector.scm 234 */
 obj_t BgL_tmpz00_2016;
if(
INTEGERP(BgL_tagz00_1600))
{ /* Ieee/vector.scm 234 */
BgL_tmpz00_2016 = BgL_tagz00_1600
; }  else 
{ 
 obj_t BgL_auxz00_2019;
BgL_auxz00_2019 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)10482)), BGl_string1668z00zz__r4_vectors_6_8z00, BGl_string1652z00zz__r4_vectors_6_8z00, BgL_tagz00_1600); 
FAILURE(BgL_auxz00_2019,BFALSE,BFALSE);} 
BgL_auxz00_2015 = 
CINT(BgL_tmpz00_2016); } 
if(
VECTORP(BgL_vectorz00_1599))
{ /* Ieee/vector.scm 234 */
BgL_auxz00_2008 = BgL_vectorz00_1599
; }  else 
{ 
 obj_t BgL_auxz00_2011;
BgL_auxz00_2011 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)10482)), BGl_string1668z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vectorz00_1599); 
FAILURE(BgL_auxz00_2011,BFALSE,BFALSE);} 
return 
BGl_vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(BgL_auxz00_2008, BgL_auxz00_2015);} } 

}



/* copy-vector */
BGL_EXPORTED_DEF obj_t BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(obj_t BgL_oldzd2veczd2_31, long BgL_newzd2lenzd2_32)
{
{ /* Ieee/vector.scm 239 */
{ /* Ieee/vector.scm 240 */
 obj_t BgL_newzd2veczd2_794;
BgL_newzd2veczd2_794 = 
make_vector(BgL_newzd2lenzd2_32, BUNSPEC); 
{ /* Ieee/vector.scm 241 */
 long BgL_minz00_795;
if(
(BgL_newzd2lenzd2_32<
VECTOR_LENGTH(BgL_oldzd2veczd2_31)))
{ /* Ieee/vector.scm 242 */
BgL_minz00_795 = BgL_newzd2lenzd2_32; }  else 
{ /* Ieee/vector.scm 242 */
BgL_minz00_795 = 
VECTOR_LENGTH(BgL_oldzd2veczd2_31); } 
{ /* Ieee/vector.scm 242 */

{ 
 long BgL_iz00_797;
BgL_iz00_797 = ((long)0); 
BgL_zc3z04anonymousza31120ze3z87_798:
if(
(BgL_iz00_797==BgL_minz00_795))
{ /* Ieee/vector.scm 246 */
return BgL_newzd2veczd2_794;}  else 
{ /* Ieee/vector.scm 246 */
VECTOR_SET(BgL_newzd2veczd2_794,BgL_iz00_797,
VECTOR_REF(BgL_oldzd2veczd2_31,BgL_iz00_797)); 
{ 
 long BgL_iz00_2034;
BgL_iz00_2034 = 
(BgL_iz00_797+((long)1)); 
BgL_iz00_797 = BgL_iz00_2034; 
goto BgL_zc3z04anonymousza31120ze3z87_798;} } } } } } } 

}



/* &copy-vector */
obj_t BGl_z62copyzd2vectorzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1601, obj_t BgL_oldzd2veczd2_1602, obj_t BgL_newzd2lenzd2_1603)
{
{ /* Ieee/vector.scm 239 */
{ /* Ieee/vector.scm 240 */
 long BgL_auxz00_2043; obj_t BgL_auxz00_2036;
{ /* Ieee/vector.scm 240 */
 obj_t BgL_tmpz00_2044;
if(
INTEGERP(BgL_newzd2lenzd2_1603))
{ /* Ieee/vector.scm 240 */
BgL_tmpz00_2044 = BgL_newzd2lenzd2_1603
; }  else 
{ 
 obj_t BgL_auxz00_2047;
BgL_auxz00_2047 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)10799)), BGl_string1669z00zz__r4_vectors_6_8z00, BGl_string1652z00zz__r4_vectors_6_8z00, BgL_newzd2lenzd2_1603); 
FAILURE(BgL_auxz00_2047,BFALSE,BFALSE);} 
BgL_auxz00_2043 = 
(long)CINT(BgL_tmpz00_2044); } 
if(
VECTORP(BgL_oldzd2veczd2_1602))
{ /* Ieee/vector.scm 240 */
BgL_auxz00_2036 = BgL_oldzd2veczd2_1602
; }  else 
{ 
 obj_t BgL_auxz00_2039;
BgL_auxz00_2039 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)10799)), BGl_string1669z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_oldzd2veczd2_1602); 
FAILURE(BgL_auxz00_2039,BFALSE,BFALSE);} 
return 
BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(BgL_auxz00_2036, BgL_auxz00_2043);} } 

}



/* vector-copy3 */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2copy3zd2zz__r4_vectors_6_8z00(obj_t BgL_oldzd2veczd2_33, obj_t BgL_startz00_34, obj_t BgL_stopz00_35)
{
{ /* Ieee/vector.scm 255 */
{ /* Ieee/vector.scm 256 */
 long BgL_newzd2lenzd2_806;
BgL_newzd2lenzd2_806 = 
(
(long)CINT(BgL_stopz00_35)-
(long)CINT(BgL_startz00_34)); 
{ /* Ieee/vector.scm 257 */
 obj_t BgL_newzd2veczd2_807;
BgL_newzd2veczd2_807 = 
make_vector(BgL_newzd2lenzd2_806, BUNSPEC); 
{ /* Ieee/vector.scm 259 */

{ /* Ieee/vector.scm 262 */
 bool_t BgL_test1788z00_2057;
if(
(BgL_newzd2lenzd2_806<((long)0)))
{ /* Ieee/vector.scm 262 */
BgL_test1788z00_2057 = ((bool_t)1)
; }  else 
{ /* Ieee/vector.scm 262 */
if(
(
(long)CINT(BgL_startz00_34)>
VECTOR_LENGTH(BgL_oldzd2veczd2_33)))
{ /* Ieee/vector.scm 262 */
BgL_test1788z00_2057 = ((bool_t)1)
; }  else 
{ /* Ieee/vector.scm 262 */
BgL_test1788z00_2057 = 
(
(long)CINT(BgL_stopz00_35)>
VECTOR_LENGTH(BgL_oldzd2veczd2_33))
; } } 
if(BgL_test1788z00_2057)
{ /* Ieee/vector.scm 263 */
 obj_t BgL_arg1131z00_812;
BgL_arg1131z00_812 = 
MAKE_YOUNG_PAIR(BgL_startz00_34, BgL_stopz00_35); 
return 
BGl_errorz00zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, BGl_string1671z00zz__r4_vectors_6_8z00, BgL_arg1131z00_812);}  else 
{ 
 obj_t BgL_rz00_814; long BgL_wz00_815;
BgL_rz00_814 = BgL_startz00_34; 
BgL_wz00_815 = ((long)0); 
BgL_zc3z04anonymousza31132ze3z87_816:
if(
(
(long)CINT(BgL_rz00_814)==
(long)CINT(BgL_stopz00_35)))
{ /* Ieee/vector.scm 266 */
return BgL_newzd2veczd2_807;}  else 
{ /* Ieee/vector.scm 266 */
VECTOR_SET(BgL_newzd2veczd2_807,BgL_wz00_815,
VECTOR_REF(BgL_oldzd2veczd2_33,
(long)CINT(BgL_rz00_814))); 
{ /* Ieee/vector.scm 270 */
 long BgL_arg1139z00_819; long BgL_arg1140z00_820;
BgL_arg1139z00_819 = 
(
(long)CINT(BgL_rz00_814)+((long)1)); 
BgL_arg1140z00_820 = 
(BgL_wz00_815+((long)1)); 
{ 
 long BgL_wz00_2081; obj_t BgL_rz00_2079;
BgL_rz00_2079 = 
BINT(BgL_arg1139z00_819); 
BgL_wz00_2081 = BgL_arg1140z00_820; 
BgL_wz00_815 = BgL_wz00_2081; 
BgL_rz00_814 = BgL_rz00_2079; 
goto BgL_zc3z04anonymousza31132ze3z87_816;} } } } } } } } } 

}



/* &vector-copy3 */
obj_t BGl_z62vectorzd2copy3zb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1604, obj_t BgL_oldzd2veczd2_1605, obj_t BgL_startz00_1606, obj_t BgL_stopz00_1607)
{
{ /* Ieee/vector.scm 255 */
{ /* Ieee/vector.scm 256 */
 obj_t BgL_auxz00_2082;
if(
VECTORP(BgL_oldzd2veczd2_1605))
{ /* Ieee/vector.scm 256 */
BgL_auxz00_2082 = BgL_oldzd2veczd2_1605
; }  else 
{ 
 obj_t BgL_auxz00_2085;
BgL_auxz00_2085 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)11382)), BGl_string1672z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_oldzd2veczd2_1605); 
FAILURE(BgL_auxz00_2085,BFALSE,BFALSE);} 
return 
BGl_vectorzd2copy3zd2zz__r4_vectors_6_8z00(BgL_auxz00_2082, BgL_startz00_1606, BgL_stopz00_1607);} } 

}



/* vector-copy */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00(obj_t BgL_oldzd2veczd2_36, obj_t BgL_argsz00_37)
{
{ /* Ieee/vector.scm 275 */
{ /* Ieee/vector.scm 276 */
 obj_t BgL_startz00_827;
if(
PAIRP(BgL_argsz00_37))
{ /* Ieee/vector.scm 277 */
if(
INTEGERP(
CAR(BgL_argsz00_37)))
{ /* Ieee/vector.scm 278 */
BgL_startz00_827 = 
CAR(BgL_argsz00_37); }  else 
{ /* Ieee/vector.scm 278 */
BgL_startz00_827 = 
BGl_errorz00zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, BGl_string1673z00zz__r4_vectors_6_8z00, 
CAR(BgL_argsz00_37)); } }  else 
{ /* Ieee/vector.scm 277 */
BgL_startz00_827 = 
BINT(((long)0)); } 
{ /* Ieee/vector.scm 277 */
 obj_t BgL_stopz00_828;
{ /* Ieee/vector.scm 282 */
 bool_t BgL_test1795z00_2099;
if(
PAIRP(BgL_argsz00_37))
{ /* Ieee/vector.scm 282 */
 obj_t BgL_tmpz00_2102;
BgL_tmpz00_2102 = 
CDR(BgL_argsz00_37); 
BgL_test1795z00_2099 = 
PAIRP(BgL_tmpz00_2102); }  else 
{ /* Ieee/vector.scm 282 */
BgL_test1795z00_2099 = ((bool_t)0)
; } 
if(BgL_test1795z00_2099)
{ /* Ieee/vector.scm 283 */
 bool_t BgL_test1797z00_2105;
{ /* Ieee/vector.scm 283 */
 bool_t BgL_test1798z00_2106;
{ /* Ieee/vector.scm 283 */
 obj_t BgL_tmpz00_2107;
BgL_tmpz00_2107 = 
CDR(
CDR(BgL_argsz00_37)); 
BgL_test1798z00_2106 = 
PAIRP(BgL_tmpz00_2107); } 
if(BgL_test1798z00_2106)
{ /* Ieee/vector.scm 283 */
BgL_test1797z00_2105 = ((bool_t)1)
; }  else 
{ /* Ieee/vector.scm 283 */
if(
INTEGERP(
CAR(
CDR(BgL_argsz00_37))))
{ /* Ieee/vector.scm 284 */
BgL_test1797z00_2105 = ((bool_t)0)
; }  else 
{ /* Ieee/vector.scm 284 */
BgL_test1797z00_2105 = ((bool_t)1)
; } } } 
if(BgL_test1797z00_2105)
{ /* Ieee/vector.scm 283 */
BgL_stopz00_828 = 
BGl_errorz00zz__errorz00(BGl_string1670z00zz__r4_vectors_6_8z00, BGl_string1673z00zz__r4_vectors_6_8z00, 
CDR(BgL_argsz00_37)); }  else 
{ /* Ieee/vector.scm 283 */
BgL_stopz00_828 = 
CAR(
CDR(BgL_argsz00_37)); } }  else 
{ /* Ieee/vector.scm 282 */
BgL_stopz00_828 = 
BINT(
VECTOR_LENGTH(BgL_oldzd2veczd2_36)); } } 
{ /* Ieee/vector.scm 282 */

return 
BGl_vectorzd2copy3zd2zz__r4_vectors_6_8z00(BgL_oldzd2veczd2_36, BgL_startz00_827, BgL_stopz00_828);} } } } 

}



/* &vector-copy */
obj_t BGl_z62vectorzd2copyzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1608, obj_t BgL_oldzd2veczd2_1609, obj_t BgL_argsz00_1610)
{
{ /* Ieee/vector.scm 275 */
{ /* Ieee/vector.scm 276 */
 obj_t BgL_auxz00_2122;
if(
VECTORP(BgL_oldzd2veczd2_1609))
{ /* Ieee/vector.scm 276 */
BgL_auxz00_2122 = BgL_oldzd2veczd2_1609
; }  else 
{ 
 obj_t BgL_auxz00_2125;
BgL_auxz00_2125 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)12141)), BGl_string1674z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_oldzd2veczd2_1609); 
FAILURE(BgL_auxz00_2125,BFALSE,BFALSE);} 
return 
BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00(BgL_auxz00_2122, BgL_argsz00_1610);} } 

}



/* _vector-copy! */
obj_t BGl__vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t BgL_env1059z00_44, obj_t BgL_opt1058z00_43)
{
{ /* Ieee/vector.scm 293 */
{ /* Ieee/vector.scm 293 */
 obj_t BgL_g1060z00_851; obj_t BgL_g1061z00_852; obj_t BgL_sourcez00_853;
BgL_g1060z00_851 = 
VECTOR_REF(BgL_opt1058z00_43,((long)0)); 
BgL_g1061z00_852 = 
VECTOR_REF(BgL_opt1058z00_43,((long)1)); 
BgL_sourcez00_853 = 
VECTOR_REF(BgL_opt1058z00_43,((long)2)); 
switch( 
VECTOR_LENGTH(BgL_opt1058z00_43)) { case ((long)3) : 

{ /* Ieee/vector.scm 294 */
 long BgL_sendz00_858;
{ /* Ieee/vector.scm 294 */
 obj_t BgL_vectorz00_1399;
if(
VECTORP(BgL_sourcez00_853))
{ /* Ieee/vector.scm 294 */
BgL_vectorz00_1399 = BgL_sourcez00_853; }  else 
{ 
 obj_t BgL_auxz00_2135;
BgL_auxz00_2135 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)12906)), BGl_string1675z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_sourcez00_853); 
FAILURE(BgL_auxz00_2135,BFALSE,BFALSE);} 
BgL_sendz00_858 = 
VECTOR_LENGTH(BgL_vectorz00_1399); } 
{ /* Ieee/vector.scm 293 */

{ /* Ieee/vector.scm 293 */
 long BgL_auxz00_2147; obj_t BgL_auxz00_2140;
{ /* Ieee/vector.scm 293 */
 obj_t BgL_tmpz00_2148;
if(
INTEGERP(BgL_g1061z00_852))
{ /* Ieee/vector.scm 293 */
BgL_tmpz00_2148 = BgL_g1061z00_852
; }  else 
{ 
 obj_t BgL_auxz00_2151;
BgL_auxz00_2151 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)12798)), BGl_string1675z00zz__r4_vectors_6_8z00, BGl_string1652z00zz__r4_vectors_6_8z00, BgL_g1061z00_852); 
FAILURE(BgL_auxz00_2151,BFALSE,BFALSE);} 
BgL_auxz00_2147 = 
(long)CINT(BgL_tmpz00_2148); } 
if(
VECTORP(BgL_g1060z00_851))
{ /* Ieee/vector.scm 293 */
BgL_auxz00_2140 = BgL_g1060z00_851
; }  else 
{ 
 obj_t BgL_auxz00_2143;
BgL_auxz00_2143 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)12798)), BGl_string1675z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_g1060z00_851); 
FAILURE(BgL_auxz00_2143,BFALSE,BFALSE);} 
return 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_2140, BgL_auxz00_2147, BgL_sourcez00_853, 
BINT(((long)0)), 
BINT(BgL_sendz00_858));} } } break;case ((long)4) : 

{ /* Ieee/vector.scm 293 */
 obj_t BgL_sstartz00_859;
BgL_sstartz00_859 = 
VECTOR_REF(BgL_opt1058z00_43,((long)3)); 
{ /* Ieee/vector.scm 294 */
 long BgL_sendz00_860;
{ /* Ieee/vector.scm 294 */
 obj_t BgL_vectorz00_1400;
if(
VECTORP(BgL_sourcez00_853))
{ /* Ieee/vector.scm 294 */
BgL_vectorz00_1400 = BgL_sourcez00_853; }  else 
{ 
 obj_t BgL_auxz00_2162;
BgL_auxz00_2162 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)12906)), BGl_string1675z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_sourcez00_853); 
FAILURE(BgL_auxz00_2162,BFALSE,BFALSE);} 
BgL_sendz00_860 = 
VECTOR_LENGTH(BgL_vectorz00_1400); } 
{ /* Ieee/vector.scm 293 */

{ /* Ieee/vector.scm 293 */
 long BgL_auxz00_2174; obj_t BgL_auxz00_2167;
{ /* Ieee/vector.scm 293 */
 obj_t BgL_tmpz00_2175;
if(
INTEGERP(BgL_g1061z00_852))
{ /* Ieee/vector.scm 293 */
BgL_tmpz00_2175 = BgL_g1061z00_852
; }  else 
{ 
 obj_t BgL_auxz00_2178;
BgL_auxz00_2178 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)12798)), BGl_string1675z00zz__r4_vectors_6_8z00, BGl_string1652z00zz__r4_vectors_6_8z00, BgL_g1061z00_852); 
FAILURE(BgL_auxz00_2178,BFALSE,BFALSE);} 
BgL_auxz00_2174 = 
(long)CINT(BgL_tmpz00_2175); } 
if(
VECTORP(BgL_g1060z00_851))
{ /* Ieee/vector.scm 293 */
BgL_auxz00_2167 = BgL_g1060z00_851
; }  else 
{ 
 obj_t BgL_auxz00_2170;
BgL_auxz00_2170 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)12798)), BGl_string1675z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_g1060z00_851); 
FAILURE(BgL_auxz00_2170,BFALSE,BFALSE);} 
return 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_2167, BgL_auxz00_2174, BgL_sourcez00_853, BgL_sstartz00_859, 
BINT(BgL_sendz00_860));} } } } break;case ((long)5) : 

{ /* Ieee/vector.scm 293 */
 obj_t BgL_sstartz00_861;
BgL_sstartz00_861 = 
VECTOR_REF(BgL_opt1058z00_43,((long)3)); 
{ /* Ieee/vector.scm 293 */
 obj_t BgL_sendz00_862;
BgL_sendz00_862 = 
VECTOR_REF(BgL_opt1058z00_43,((long)4)); 
{ /* Ieee/vector.scm 293 */

{ /* Ieee/vector.scm 293 */
 long BgL_auxz00_2194; obj_t BgL_auxz00_2187;
{ /* Ieee/vector.scm 293 */
 obj_t BgL_tmpz00_2195;
if(
INTEGERP(BgL_g1061z00_852))
{ /* Ieee/vector.scm 293 */
BgL_tmpz00_2195 = BgL_g1061z00_852
; }  else 
{ 
 obj_t BgL_auxz00_2198;
BgL_auxz00_2198 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)12798)), BGl_string1675z00zz__r4_vectors_6_8z00, BGl_string1652z00zz__r4_vectors_6_8z00, BgL_g1061z00_852); 
FAILURE(BgL_auxz00_2198,BFALSE,BFALSE);} 
BgL_auxz00_2194 = 
(long)CINT(BgL_tmpz00_2195); } 
if(
VECTORP(BgL_g1060z00_851))
{ /* Ieee/vector.scm 293 */
BgL_auxz00_2187 = BgL_g1060z00_851
; }  else 
{ 
 obj_t BgL_auxz00_2190;
BgL_auxz00_2190 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)12798)), BGl_string1675z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_g1060z00_851); 
FAILURE(BgL_auxz00_2190,BFALSE,BFALSE);} 
return 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_2187, BgL_auxz00_2194, BgL_sourcez00_853, BgL_sstartz00_861, BgL_sendz00_862);} } } } break;
default: 
return BUNSPEC;} } } 

}



/* vector-copy! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t BgL_targetz00_38, long BgL_tstartz00_39, obj_t BgL_sourcez00_40, obj_t BgL_sstartz00_41, obj_t BgL_sendz00_42)
{
{ /* Ieee/vector.scm 293 */
{ /* Ieee/vector.scm 295 */
 obj_t BgL_endz00_863;
if(
(
(long)CINT(BgL_sendz00_42)<
VECTOR_LENGTH(
((obj_t)BgL_sourcez00_40))))
{ /* Ieee/vector.scm 295 */
BgL_endz00_863 = BgL_sendz00_42; }  else 
{ /* Ieee/vector.scm 295 */
BgL_endz00_863 = 
BINT(
VECTOR_LENGTH(
((obj_t)BgL_sourcez00_40))); } 
{ /* Ieee/vector.scm 295 */
 long BgL_countz00_864;
BgL_countz00_864 = 
(
(long)CINT(BgL_endz00_863)-
(long)CINT(BgL_sstartz00_41)); 
{ /* Ieee/vector.scm 296 */
 long BgL_tendz00_865;
{ /* Ieee/vector.scm 297 */
 long BgL_az00_899;
BgL_az00_899 = 
(BgL_tstartz00_39+BgL_countz00_864); 
if(
(BgL_az00_899<
VECTOR_LENGTH(BgL_targetz00_38)))
{ /* Ieee/vector.scm 297 */
BgL_tendz00_865 = BgL_az00_899; }  else 
{ /* Ieee/vector.scm 297 */
BgL_tendz00_865 = 
VECTOR_LENGTH(BgL_targetz00_38); } } 
{ /* Ieee/vector.scm 297 */

{ /* Ieee/vector.scm 298 */
 bool_t BgL_test1811z00_2222;
if(
(BgL_targetz00_38==BgL_sourcez00_40))
{ /* Ieee/vector.scm 298 */
if(
(
(long)CINT(BgL_sstartz00_41)<BgL_tstartz00_39))
{ /* Ieee/vector.scm 300 */
 long BgL_tmpz00_2228;
{ /* Ieee/vector.scm 300 */
 long BgL_za71za7_1415;
BgL_za71za7_1415 = 
(long)CINT(BgL_sstartz00_41); 
BgL_tmpz00_2228 = 
(BgL_za71za7_1415+
(
(long)CINT(BgL_sendz00_42)-BgL_za71za7_1415)); } 
BgL_test1811z00_2222 = 
(BgL_tstartz00_39<BgL_tmpz00_2228); }  else 
{ /* Ieee/vector.scm 299 */
BgL_test1811z00_2222 = ((bool_t)0)
; } }  else 
{ /* Ieee/vector.scm 298 */
BgL_test1811z00_2222 = ((bool_t)0)
; } 
if(BgL_test1811z00_2222)
{ /* Ieee/vector.scm 301 */
 long BgL_g1017z00_871; long BgL_g1018z00_872;
BgL_g1017z00_871 = 
(
(long)CINT(BgL_endz00_863)-((long)1)); 
BgL_g1018z00_872 = 
(BgL_tendz00_865-((long)1)); 
{ 
 long BgL_iz00_874; long BgL_jz00_875;
{ /* Ieee/vector.scm 301 */
 bool_t BgL_tmpz00_2237;
BgL_iz00_874 = BgL_g1017z00_871; 
BgL_jz00_875 = BgL_g1018z00_872; 
BgL_zc3z04anonymousza31181ze3z87_876:
{ /* Ieee/vector.scm 303 */
 bool_t BgL_test1814z00_2238;
if(
(BgL_iz00_874>=
(long)CINT(BgL_sstartz00_41)))
{ /* Ieee/vector.scm 303 */
BgL_test1814z00_2238 = 
(BgL_jz00_875>=BgL_tstartz00_39)
; }  else 
{ /* Ieee/vector.scm 303 */
BgL_test1814z00_2238 = ((bool_t)0)
; } 
if(BgL_test1814z00_2238)
{ /* Ieee/vector.scm 303 */
{ /* Ieee/vector.scm 304 */
 obj_t BgL_arg1184z00_879;
BgL_arg1184z00_879 = 
VECTOR_REF(
((obj_t)BgL_sourcez00_40),BgL_iz00_874); 
VECTOR_SET(BgL_targetz00_38,BgL_jz00_875,BgL_arg1184z00_879); } 
{ 
 long BgL_jz00_2248; long BgL_iz00_2246;
BgL_iz00_2246 = 
(BgL_iz00_874-((long)1)); 
BgL_jz00_2248 = 
(BgL_jz00_875-((long)1)); 
BgL_jz00_875 = BgL_jz00_2248; 
BgL_iz00_874 = BgL_iz00_2246; 
goto BgL_zc3z04anonymousza31181ze3z87_876;} }  else 
{ /* Ieee/vector.scm 303 */
BgL_tmpz00_2237 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_2237);} } }  else 
{ 
 obj_t BgL_iz00_885; long BgL_jz00_886;
{ /* Ieee/vector.scm 306 */
 bool_t BgL_tmpz00_2251;
BgL_iz00_885 = BgL_sstartz00_41; 
BgL_jz00_886 = BgL_tstartz00_39; 
BgL_zc3z04anonymousza31187ze3z87_887:
{ /* Ieee/vector.scm 308 */
 bool_t BgL_test1816z00_2252;
if(
(
(long)CINT(BgL_iz00_885)<
(long)CINT(BgL_endz00_863)))
{ /* Ieee/vector.scm 308 */
BgL_test1816z00_2252 = 
(BgL_jz00_886<BgL_tendz00_865)
; }  else 
{ /* Ieee/vector.scm 308 */
BgL_test1816z00_2252 = ((bool_t)0)
; } 
if(BgL_test1816z00_2252)
{ /* Ieee/vector.scm 308 */
{ /* Ieee/vector.scm 309 */
 obj_t BgL_arg1190z00_890;
{ /* Ieee/vector.scm 309 */
 long BgL_kz00_1436;
BgL_kz00_1436 = 
(long)CINT(BgL_iz00_885); 
BgL_arg1190z00_890 = 
VECTOR_REF(
((obj_t)BgL_sourcez00_40),BgL_kz00_1436); } 
VECTOR_SET(BgL_targetz00_38,BgL_jz00_886,BgL_arg1190z00_890); } 
{ /* Ieee/vector.scm 310 */
 long BgL_arg1197z00_891; long BgL_arg1198z00_892;
BgL_arg1197z00_891 = 
(
(long)CINT(BgL_iz00_885)+((long)1)); 
BgL_arg1198z00_892 = 
(BgL_jz00_886+((long)1)); 
{ 
 long BgL_jz00_2267; obj_t BgL_iz00_2265;
BgL_iz00_2265 = 
BINT(BgL_arg1197z00_891); 
BgL_jz00_2267 = BgL_arg1198z00_892; 
BgL_jz00_886 = BgL_jz00_2267; 
BgL_iz00_885 = BgL_iz00_2265; 
goto BgL_zc3z04anonymousza31187ze3z87_887;} } }  else 
{ /* Ieee/vector.scm 308 */
BgL_tmpz00_2251 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_2251);} } } } } } } } 

}



/* vector-append */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2appendzd2zz__r4_vectors_6_8z00(obj_t BgL_vecz00_45, obj_t BgL_argsz00_46)
{
{ /* Ieee/vector.scm 315 */
{ 
 long BgL_lenz00_907; obj_t BgL_vectsz00_908;
BgL_lenz00_907 = 
VECTOR_LENGTH(BgL_vecz00_45); 
BgL_vectsz00_908 = BgL_argsz00_46; 
BgL_zc3z04anonymousza31204ze3z87_909:
if(
NULLP(BgL_vectsz00_908))
{ /* Ieee/vector.scm 319 */
 obj_t BgL_resz00_911;
BgL_resz00_911 = 
make_vector(BgL_lenz00_907, BUNSPEC); 
{ /* Ieee/vector.scm 110 */

BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_resz00_911, ((long)0), BgL_vecz00_45, 
BINT(((long)0)), 
BINT(
VECTOR_LENGTH(BgL_vecz00_45))); } 
{ 
 long BgL_iz00_919; obj_t BgL_vectsz00_920;
BgL_iz00_919 = 
VECTOR_LENGTH(BgL_vecz00_45); 
BgL_vectsz00_920 = BgL_argsz00_46; 
BgL_zc3z04anonymousza31206ze3z87_921:
if(
NULLP(BgL_vectsz00_920))
{ /* Ieee/vector.scm 323 */
return BgL_resz00_911;}  else 
{ /* Ieee/vector.scm 325 */
 obj_t BgL_vecz00_923;
BgL_vecz00_923 = 
CAR(
((obj_t)BgL_vectsz00_920)); 
{ /* Ieee/vector.scm 110 */

BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_resz00_911, BgL_iz00_919, BgL_vecz00_923, 
BINT(((long)0)), 
BINT(
VECTOR_LENGTH(
((obj_t)BgL_vecz00_923)))); } 
{ /* Ieee/vector.scm 327 */
 long BgL_arg1211z00_929; obj_t BgL_arg1213z00_930;
BgL_arg1211z00_929 = 
(BgL_iz00_919+
VECTOR_LENGTH(
((obj_t)BgL_vecz00_923))); 
BgL_arg1213z00_930 = 
CDR(
((obj_t)BgL_vectsz00_920)); 
{ 
 obj_t BgL_vectsz00_2291; long BgL_iz00_2290;
BgL_iz00_2290 = BgL_arg1211z00_929; 
BgL_vectsz00_2291 = BgL_arg1213z00_930; 
BgL_vectsz00_920 = BgL_vectsz00_2291; 
BgL_iz00_919 = BgL_iz00_2290; 
goto BgL_zc3z04anonymousza31206ze3z87_921;} } } } }  else 
{ /* Ieee/vector.scm 328 */
 long BgL_arg1218z00_934; obj_t BgL_arg1219z00_935;
{ /* Ieee/vector.scm 328 */
 long BgL_arg1221z00_936;
{ /* Ieee/vector.scm 328 */
 obj_t BgL_arg1224z00_937;
BgL_arg1224z00_937 = 
CAR(
((obj_t)BgL_vectsz00_908)); 
BgL_arg1221z00_936 = 
VECTOR_LENGTH(
((obj_t)BgL_arg1224z00_937)); } 
BgL_arg1218z00_934 = 
(BgL_arg1221z00_936+BgL_lenz00_907); } 
BgL_arg1219z00_935 = 
CDR(
((obj_t)BgL_vectsz00_908)); 
{ 
 obj_t BgL_vectsz00_2301; long BgL_lenz00_2300;
BgL_lenz00_2300 = BgL_arg1218z00_934; 
BgL_vectsz00_2301 = BgL_arg1219z00_935; 
BgL_vectsz00_908 = BgL_vectsz00_2301; 
BgL_lenz00_907 = BgL_lenz00_2300; 
goto BgL_zc3z04anonymousza31204ze3z87_909;} } } } 

}



/* &vector-append */
obj_t BGl_z62vectorzd2appendzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1611, obj_t BgL_vecz00_1612, obj_t BgL_argsz00_1613)
{
{ /* Ieee/vector.scm 315 */
{ /* Ieee/vector.scm 316 */
 obj_t BgL_auxz00_2303;
if(
VECTORP(BgL_vecz00_1612))
{ /* Ieee/vector.scm 316 */
BgL_auxz00_2303 = BgL_vecz00_1612
; }  else 
{ 
 obj_t BgL_auxz00_2306;
BgL_auxz00_2306 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)13954)), BGl_string1676z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vecz00_1612); 
FAILURE(BgL_auxz00_2306,BFALSE,BFALSE);} 
return 
BGl_vectorzd2appendzd2zz__r4_vectors_6_8z00(BgL_auxz00_2303, BgL_argsz00_1613);} } 

}



/* sort */
BGL_EXPORTED_DEF obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t BgL_o1z00_47, obj_t BgL_o2z00_48)
{
{ /* Ieee/vector.scm 333 */
if(
PROCEDUREP(BgL_o1z00_47))
{ /* Ieee/vector.scm 334 */
return 
BGl_innerzd2sortzd2zz__r4_vectors_6_8z00(BgL_o2z00_48, BgL_o1z00_47);}  else 
{ /* Ieee/vector.scm 334 */
return 
BGl_innerzd2sortzd2zz__r4_vectors_6_8z00(BgL_o1z00_47, BgL_o2z00_48);} } 

}



/* &sort */
obj_t BGl_z62sortz62zz__r4_vectors_6_8z00(obj_t BgL_envz00_1614, obj_t BgL_o1z00_1615, obj_t BgL_o2z00_1616)
{
{ /* Ieee/vector.scm 333 */
return 
BGl_sortz00zz__r4_vectors_6_8z00(BgL_o1z00_1615, BgL_o2z00_1616);} 

}



/* inner-sort */
obj_t BGl_innerzd2sortzd2zz__r4_vectors_6_8z00(obj_t BgL_objz00_49, obj_t BgL_procz00_50)
{
{ /* Ieee/vector.scm 341 */
if(
NULLP(BgL_objz00_49))
{ /* Ieee/vector.scm 343 */
return BgL_objz00_49;}  else 
{ /* Ieee/vector.scm 345 */
 bool_t BgL_test1823z00_2318;
if(
PAIRP(BgL_objz00_49))
{ /* Ieee/vector.scm 345 */
BgL_test1823z00_2318 = 
NULLP(
CDR(BgL_objz00_49))
; }  else 
{ /* Ieee/vector.scm 345 */
BgL_test1823z00_2318 = ((bool_t)0)
; } 
if(BgL_test1823z00_2318)
{ /* Ieee/vector.scm 345 */
return BgL_objz00_49;}  else 
{ /* Ieee/vector.scm 348 */
 obj_t BgL_vecz00_944;
if(
VECTORP(BgL_objz00_49))
{ /* Ieee/vector.scm 350 */
 obj_t BgL_newz00_949;
BgL_newz00_949 = 
create_vector(
VECTOR_LENGTH(BgL_objz00_49)); 
{ /* Ieee/vector.scm 351 */

{ 
 long BgL_iz00_951;
BgL_iz00_951 = ((long)0); 
BgL_zc3z04anonymousza31232ze3z87_952:
if(
(BgL_iz00_951<
VECTOR_LENGTH(BgL_objz00_49)))
{ /* Ieee/vector.scm 353 */
{ /* Ieee/vector.scm 355 */
 obj_t BgL_arg1234z00_954;
BgL_arg1234z00_954 = 
VECTOR_REF(
((obj_t)BgL_objz00_49),BgL_iz00_951); 
VECTOR_SET(BgL_newz00_949,BgL_iz00_951,BgL_arg1234z00_954); } 
{ 
 long BgL_iz00_2333;
BgL_iz00_2333 = 
(BgL_iz00_951+((long)1)); 
BgL_iz00_951 = BgL_iz00_2333; 
goto BgL_zc3z04anonymousza31232ze3z87_952;} }  else 
{ /* Ieee/vector.scm 353 */((bool_t)0); } } 
BgL_vecz00_944 = BgL_newz00_949; } }  else 
{ /* Ieee/vector.scm 349 */
if(
PAIRP(BgL_objz00_49))
{ /* Ieee/vector.scm 358 */
BgL_vecz00_944 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_objz00_49); }  else 
{ /* Ieee/vector.scm 358 */
BgL_vecz00_944 = 
BGl_errorz00zz__errorz00(BGl_string1677z00zz__r4_vectors_6_8z00, BGl_string1678z00zz__r4_vectors_6_8z00, BgL_objz00_49); } } 
{ /* Ieee/vector.scm 364 */
 obj_t BgL_resz00_945;
BgL_resz00_945 = 
sort_vector(BgL_vecz00_944, BgL_procz00_50); 
if(
PAIRP(BgL_objz00_49))
{ /* Ieee/vector.scm 365 */
return 
BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(BgL_resz00_945);}  else 
{ /* Ieee/vector.scm 365 */
return BgL_resz00_945;} } } } } 

}



/* vector-map2! */
obj_t BGl_vectorzd2map2z12zc0zz__r4_vectors_6_8z00(obj_t BgL_procz00_51, obj_t BgL_vdestz00_52, obj_t BgL_vsrcz00_53)
{
{ /* Ieee/vector.scm 372 */
{ 
 long BgL_iz00_962;
BgL_iz00_962 = ((long)0); 
BgL_zc3z04anonymousza31239ze3z87_963:
if(
(BgL_iz00_962<
VECTOR_LENGTH(
((obj_t)BgL_vdestz00_52))))
{ /* Ieee/vector.scm 375 */
{ /* Ieee/vector.scm 377 */
 obj_t BgL_arg1241z00_965;
{ /* Ieee/vector.scm 377 */
 obj_t BgL_arg1242z00_966;
BgL_arg1242z00_966 = 
VECTOR_REF(BgL_vsrcz00_53,BgL_iz00_962); 
BgL_arg1241z00_965 = 
PROCEDURE_ENTRY(BgL_procz00_51)(BgL_procz00_51, BgL_arg1242z00_966, BEOA); } 
VECTOR_SET(
((obj_t)BgL_vdestz00_52),BgL_iz00_962,BgL_arg1241z00_965); } 
{ 
 long BgL_iz00_2354;
BgL_iz00_2354 = 
(BgL_iz00_962+((long)1)); 
BgL_iz00_962 = BgL_iz00_2354; 
goto BgL_zc3z04anonymousza31239ze3z87_963;} }  else 
{ /* Ieee/vector.scm 375 */
return BgL_vdestz00_52;} } } 

}



/* vector-mapN! */
obj_t BGl_vectorzd2mapNz12zc0zz__r4_vectors_6_8z00(obj_t BgL_procz00_54, obj_t BgL_vdestz00_55, obj_t BgL_vsrcz00_56, obj_t BgL_vrestz00_57)
{
{ /* Ieee/vector.scm 384 */
{ 
 long BgL_iz00_971;
BgL_iz00_971 = ((long)0); 
BgL_zc3z04anonymousza31245ze3z87_972:
if(
(BgL_iz00_971<
VECTOR_LENGTH(
((obj_t)BgL_vdestz00_55))))
{ /* Ieee/vector.scm 388 */
 obj_t BgL_argsz00_974;
if(
NULLP(BgL_vrestz00_57))
{ /* Ieee/vector.scm 388 */
BgL_argsz00_974 = BNIL; }  else 
{ /* Ieee/vector.scm 388 */
 obj_t BgL_head1037z00_981;
BgL_head1037z00_981 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1035z00_983; obj_t BgL_tail1038z00_984;
BgL_l1035z00_983 = BgL_vrestz00_57; 
BgL_tail1038z00_984 = BgL_head1037z00_981; 
BgL_zc3z04anonymousza31252ze3z87_985:
if(
NULLP(BgL_l1035z00_983))
{ /* Ieee/vector.scm 388 */
BgL_argsz00_974 = 
CDR(BgL_head1037z00_981); }  else 
{ /* Ieee/vector.scm 388 */
 obj_t BgL_newtail1039z00_987;
{ /* Ieee/vector.scm 388 */
 obj_t BgL_arg1263z00_989;
{ /* Ieee/vector.scm 388 */
 obj_t BgL_vz00_990;
BgL_vz00_990 = 
CAR(
((obj_t)BgL_l1035z00_983)); 
BgL_arg1263z00_989 = 
VECTOR_REF(
((obj_t)BgL_vz00_990),BgL_iz00_971); } 
BgL_newtail1039z00_987 = 
MAKE_YOUNG_PAIR(BgL_arg1263z00_989, BNIL); } 
SET_CDR(BgL_tail1038z00_984, BgL_newtail1039z00_987); 
{ /* Ieee/vector.scm 388 */
 obj_t BgL_arg1262z00_988;
BgL_arg1262z00_988 = 
CDR(
((obj_t)BgL_l1035z00_983)); 
{ 
 obj_t BgL_tail1038z00_2375; obj_t BgL_l1035z00_2374;
BgL_l1035z00_2374 = BgL_arg1262z00_988; 
BgL_tail1038z00_2375 = BgL_newtail1039z00_987; 
BgL_tail1038z00_984 = BgL_tail1038z00_2375; 
BgL_l1035z00_983 = BgL_l1035z00_2374; 
goto BgL_zc3z04anonymousza31252ze3z87_985;} } } } } 
{ /* Ieee/vector.scm 388 */
 obj_t BgL_nvalz00_975;
{ /* Ieee/vector.scm 389 */
 obj_t BgL_auxz00_2376;
{ /* Ieee/vector.scm 389 */
 obj_t BgL_arg1249z00_977;
BgL_arg1249z00_977 = 
VECTOR_REF(BgL_vsrcz00_56,BgL_iz00_971); 
{ /* Ieee/vector.scm 389 */
 obj_t BgL_list1250z00_978;
BgL_list1250z00_978 = 
MAKE_YOUNG_PAIR(BgL_argsz00_974, BNIL); 
BgL_auxz00_2376 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1249z00_977, BgL_list1250z00_978); } } 
BgL_nvalz00_975 = 
apply(BgL_procz00_54, BgL_auxz00_2376); } 
{ /* Ieee/vector.scm 389 */

VECTOR_SET(
((obj_t)BgL_vdestz00_55),BgL_iz00_971,BgL_nvalz00_975); 
{ 
 long BgL_iz00_2383;
BgL_iz00_2383 = 
(BgL_iz00_971+((long)1)); 
BgL_iz00_971 = BgL_iz00_2383; 
goto BgL_zc3z04anonymousza31245ze3z87_972;} } } }  else 
{ /* Ieee/vector.scm 387 */
return BgL_vdestz00_55;} } } 

}



/* vector-map */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2mapzd2zz__r4_vectors_6_8z00(obj_t BgL_procz00_58, obj_t BgL_vz00_59, obj_t BgL_restz00_60)
{
{ /* Ieee/vector.scm 397 */
{ /* Ieee/vector.scm 398 */
 obj_t BgL_nvz00_994;
BgL_nvz00_994 = 
create_vector(
VECTOR_LENGTH(BgL_vz00_59)); 
{ /* Ieee/vector.scm 399 */

if(
NULLP(BgL_restz00_60))
{ /* Ieee/vector.scm 401 */
return 
BGl_vectorzd2map2z12zc0zz__r4_vectors_6_8z00(BgL_procz00_58, BgL_nvz00_994, BgL_vz00_59);}  else 
{ /* Ieee/vector.scm 403 */
 bool_t BgL_test1834z00_2390;
{ /* Ieee/vector.scm 403 */
 obj_t BgL_zc3z04anonymousza31273ze3z87_1617;
BgL_zc3z04anonymousza31273ze3z87_1617 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31273ze3ze5zz__r4_vectors_6_8z00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31273ze3z87_1617, 
(int)(((long)0)), 
BINT(
VECTOR_LENGTH(BgL_vz00_59))); 
BgL_test1834z00_2390 = 
CBOOL(
BGl_everyz00zz__r4_pairs_and_lists_6_3z00(BgL_zc3z04anonymousza31273ze3z87_1617, BNIL)); } 
if(BgL_test1834z00_2390)
{ /* Ieee/vector.scm 403 */
return 
BGl_vectorzd2mapNz12zc0zz__r4_vectors_6_8z00(BgL_procz00_58, BgL_nvz00_994, BgL_vz00_59, BgL_restz00_60);}  else 
{ /* Ieee/vector.scm 403 */
return 
BGl_errorz00zz__errorz00(BGl_string1679z00zz__r4_vectors_6_8z00, BGl_string1680z00zz__r4_vectors_6_8z00, BgL_restz00_60);} } } } } 

}



/* &vector-map */
obj_t BGl_z62vectorzd2mapzb0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1618, obj_t BgL_procz00_1619, obj_t BgL_vz00_1620, obj_t BgL_restz00_1621)
{
{ /* Ieee/vector.scm 397 */
{ /* Ieee/vector.scm 398 */
 obj_t BgL_auxz00_2409; obj_t BgL_auxz00_2402;
if(
VECTORP(BgL_vz00_1620))
{ /* Ieee/vector.scm 398 */
BgL_auxz00_2409 = BgL_vz00_1620
; }  else 
{ 
 obj_t BgL_auxz00_2412;
BgL_auxz00_2412 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)16817)), BGl_string1681z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vz00_1620); 
FAILURE(BgL_auxz00_2412,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_procz00_1619))
{ /* Ieee/vector.scm 398 */
BgL_auxz00_2402 = BgL_procz00_1619
; }  else 
{ 
 obj_t BgL_auxz00_2405;
BgL_auxz00_2405 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)16817)), BGl_string1681z00zz__r4_vectors_6_8z00, BGl_string1682z00zz__r4_vectors_6_8z00, BgL_procz00_1619); 
FAILURE(BgL_auxz00_2405,BFALSE,BFALSE);} 
return 
BGl_vectorzd2mapzd2zz__r4_vectors_6_8z00(BgL_auxz00_2402, BgL_auxz00_2409, BgL_restz00_1621);} } 

}



/* &<@anonymous:1273> */
obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__r4_vectors_6_8z00(obj_t BgL_envz00_1622, obj_t BgL_vz00_1624)
{
{ /* Ieee/vector.scm 403 */
{ /* Ieee/vector.scm 403 */
 long BgL_lenz00_1623;
BgL_lenz00_1623 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_1622, 
(int)(((long)0)))); 
{ /* Ieee/vector.scm 403 */
 bool_t BgL_tmpz00_2420;
if(
VECTORP(BgL_vz00_1624))
{ /* Ieee/vector.scm 403 */
BgL_tmpz00_2420 = 
(
VECTOR_LENGTH(BgL_vz00_1624)==BgL_lenz00_1623)
; }  else 
{ /* Ieee/vector.scm 403 */
BgL_tmpz00_2420 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_2420);} } } 

}



/* vector-map! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2mapz12zc0zz__r4_vectors_6_8z00(obj_t BgL_procz00_61, obj_t BgL_vz00_62, obj_t BgL_restz00_63)
{
{ /* Ieee/vector.scm 411 */
if(
NULLP(BgL_restz00_63))
{ /* Ieee/vector.scm 414 */
return 
BGl_vectorzd2map2z12zc0zz__r4_vectors_6_8z00(BgL_procz00_61, BgL_vz00_62, BgL_vz00_62);}  else 
{ /* Ieee/vector.scm 416 */
 bool_t BgL_test1839z00_2429;
{ /* Ieee/vector.scm 416 */
 obj_t BgL_zc3z04anonymousza31284ze3z87_1625;
BgL_zc3z04anonymousza31284ze3z87_1625 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31284ze3ze5zz__r4_vectors_6_8z00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31284ze3z87_1625, 
(int)(((long)0)), 
BINT(
VECTOR_LENGTH(BgL_vz00_62))); 
BgL_test1839z00_2429 = 
CBOOL(
BGl_everyz00zz__r4_pairs_and_lists_6_3z00(BgL_zc3z04anonymousza31284ze3z87_1625, BNIL)); } 
if(BgL_test1839z00_2429)
{ /* Ieee/vector.scm 416 */
return 
BGl_vectorzd2mapNz12zc0zz__r4_vectors_6_8z00(BgL_procz00_61, BgL_vz00_62, BgL_vz00_62, BgL_restz00_63);}  else 
{ /* Ieee/vector.scm 416 */
return 
BGl_errorz00zz__errorz00(BGl_string1683z00zz__r4_vectors_6_8z00, BGl_string1680z00zz__r4_vectors_6_8z00, BgL_restz00_63);} } } 

}



/* &vector-map! */
obj_t BGl_z62vectorzd2mapz12za2zz__r4_vectors_6_8z00(obj_t BgL_envz00_1626, obj_t BgL_procz00_1627, obj_t BgL_vz00_1628, obj_t BgL_restz00_1629)
{
{ /* Ieee/vector.scm 411 */
{ /* Ieee/vector.scm 412 */
 obj_t BgL_auxz00_2448; obj_t BgL_auxz00_2441;
if(
VECTORP(BgL_vz00_1628))
{ /* Ieee/vector.scm 412 */
BgL_auxz00_2448 = BgL_vz00_1628
; }  else 
{ 
 obj_t BgL_auxz00_2451;
BgL_auxz00_2451 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)17362)), BGl_string1684z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vz00_1628); 
FAILURE(BgL_auxz00_2451,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_procz00_1627))
{ /* Ieee/vector.scm 412 */
BgL_auxz00_2441 = BgL_procz00_1627
; }  else 
{ 
 obj_t BgL_auxz00_2444;
BgL_auxz00_2444 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)17362)), BGl_string1684z00zz__r4_vectors_6_8z00, BGl_string1682z00zz__r4_vectors_6_8z00, BgL_procz00_1627); 
FAILURE(BgL_auxz00_2444,BFALSE,BFALSE);} 
return 
BGl_vectorzd2mapz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_2441, BgL_auxz00_2448, BgL_restz00_1629);} } 

}



/* &<@anonymous:1284> */
obj_t BGl_z62zc3z04anonymousza31284ze3ze5zz__r4_vectors_6_8z00(obj_t BgL_envz00_1630, obj_t BgL_vz00_1632)
{
{ /* Ieee/vector.scm 416 */
{ /* Ieee/vector.scm 416 */
 long BgL_lenz00_1631;
BgL_lenz00_1631 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_1630, 
(int)(((long)0)))); 
{ /* Ieee/vector.scm 416 */
 bool_t BgL_tmpz00_2459;
if(
VECTORP(BgL_vz00_1632))
{ /* Ieee/vector.scm 416 */
BgL_tmpz00_2459 = 
(
VECTOR_LENGTH(BgL_vz00_1632)==BgL_lenz00_1631)
; }  else 
{ /* Ieee/vector.scm 416 */
BgL_tmpz00_2459 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_2459);} } } 

}



/* vector-for-each2 */
bool_t BGl_vectorzd2forzd2each2z00zz__r4_vectors_6_8z00(obj_t BgL_procz00_64, obj_t BgL_vsrcz00_65)
{
{ /* Ieee/vector.scm 424 */
{ 
 long BgL_iz00_1030;
BgL_iz00_1030 = ((long)0); 
BgL_zc3z04anonymousza31286ze3z87_1031:
if(
(BgL_iz00_1030<
VECTOR_LENGTH(BgL_vsrcz00_65)))
{ /* Ieee/vector.scm 427 */
{ /* Ieee/vector.scm 428 */
 obj_t BgL_arg1288z00_1033;
BgL_arg1288z00_1033 = 
VECTOR_REF(BgL_vsrcz00_65,BgL_iz00_1030); 
PROCEDURE_ENTRY(BgL_procz00_64)(BgL_procz00_64, BgL_arg1288z00_1033, BEOA); } 
{ 
 long BgL_iz00_2473;
BgL_iz00_2473 = 
(BgL_iz00_1030+((long)1)); 
BgL_iz00_1030 = BgL_iz00_2473; 
goto BgL_zc3z04anonymousza31286ze3z87_1031;} }  else 
{ /* Ieee/vector.scm 427 */
return ((bool_t)0);} } } 

}



/* vector-for-eachN */
bool_t BGl_vectorzd2forzd2eachNz00zz__r4_vectors_6_8z00(obj_t BgL_procz00_66, obj_t BgL_vsrcz00_67, obj_t BgL_vrestz00_68)
{
{ /* Ieee/vector.scm 434 */
{ 
 long BgL_iz00_1038;
BgL_iz00_1038 = ((long)0); 
BgL_zc3z04anonymousza31290ze3z87_1039:
if(
(BgL_iz00_1038<
VECTOR_LENGTH(BgL_vsrcz00_67)))
{ /* Ieee/vector.scm 438 */
 obj_t BgL_argsz00_1041;
if(
NULLP(BgL_vrestz00_68))
{ /* Ieee/vector.scm 438 */
BgL_argsz00_1041 = BNIL; }  else 
{ /* Ieee/vector.scm 438 */
 obj_t BgL_head1042z00_1047;
BgL_head1042z00_1047 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1040z00_1049; obj_t BgL_tail1043z00_1050;
BgL_l1040z00_1049 = BgL_vrestz00_68; 
BgL_tail1043z00_1050 = BgL_head1042z00_1047; 
BgL_zc3z04anonymousza31296ze3z87_1051:
if(
NULLP(BgL_l1040z00_1049))
{ /* Ieee/vector.scm 438 */
BgL_argsz00_1041 = 
CDR(BgL_head1042z00_1047); }  else 
{ /* Ieee/vector.scm 438 */
 obj_t BgL_newtail1044z00_1053;
{ /* Ieee/vector.scm 438 */
 obj_t BgL_arg1302z00_1055;
{ /* Ieee/vector.scm 438 */
 obj_t BgL_vz00_1056;
BgL_vz00_1056 = 
CAR(
((obj_t)BgL_l1040z00_1049)); 
BgL_arg1302z00_1055 = 
VECTOR_REF(
((obj_t)BgL_vz00_1056),BgL_iz00_1038); } 
BgL_newtail1044z00_1053 = 
MAKE_YOUNG_PAIR(BgL_arg1302z00_1055, BNIL); } 
SET_CDR(BgL_tail1043z00_1050, BgL_newtail1044z00_1053); 
{ /* Ieee/vector.scm 438 */
 obj_t BgL_arg1300z00_1054;
BgL_arg1300z00_1054 = 
CDR(
((obj_t)BgL_l1040z00_1049)); 
{ 
 obj_t BgL_tail1043z00_2493; obj_t BgL_l1040z00_2492;
BgL_l1040z00_2492 = BgL_arg1300z00_1054; 
BgL_tail1043z00_2493 = BgL_newtail1044z00_1053; 
BgL_tail1043z00_1050 = BgL_tail1043z00_2493; 
BgL_l1040z00_1049 = BgL_l1040z00_2492; 
goto BgL_zc3z04anonymousza31296ze3z87_1051;} } } } } 
{ /* Ieee/vector.scm 439 */
 obj_t BgL_auxz00_2494;
{ /* Ieee/vector.scm 439 */
 obj_t BgL_arg1292z00_1042;
BgL_arg1292z00_1042 = 
VECTOR_REF(BgL_vsrcz00_67,BgL_iz00_1038); 
{ /* Ieee/vector.scm 439 */
 obj_t BgL_list1293z00_1043;
BgL_list1293z00_1043 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1041, BNIL); 
BgL_auxz00_2494 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1292z00_1042, BgL_list1293z00_1043); } } 
apply(BgL_procz00_66, BgL_auxz00_2494); } 
{ 
 long BgL_iz00_2499;
BgL_iz00_2499 = 
(BgL_iz00_1038+((long)1)); 
BgL_iz00_1038 = BgL_iz00_2499; 
goto BgL_zc3z04anonymousza31290ze3z87_1039;} }  else 
{ /* Ieee/vector.scm 437 */
return ((bool_t)0);} } } 

}



/* vector-for-each */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2forzd2eachz00zz__r4_vectors_6_8z00(obj_t BgL_procz00_69, obj_t BgL_vz00_70, obj_t BgL_restz00_71)
{
{ /* Ieee/vector.scm 445 */
if(
NULLP(BgL_restz00_71))
{ /* Ieee/vector.scm 448 */
return 
BBOOL(
BGl_vectorzd2forzd2each2z00zz__r4_vectors_6_8z00(BgL_procz00_69, BgL_vz00_70));}  else 
{ /* Ieee/vector.scm 450 */
 bool_t BgL_test1848z00_2505;
{ /* Ieee/vector.scm 450 */
 obj_t BgL_zc3z04anonymousza31317ze3z87_1633;
BgL_zc3z04anonymousza31317ze3z87_1633 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31317ze3ze5zz__r4_vectors_6_8z00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31317ze3z87_1633, 
(int)(((long)0)), 
BINT(
VECTOR_LENGTH(BgL_vz00_70))); 
BgL_test1848z00_2505 = 
CBOOL(
BGl_everyz00zz__r4_pairs_and_lists_6_3z00(BgL_zc3z04anonymousza31317ze3z87_1633, BNIL)); } 
if(BgL_test1848z00_2505)
{ /* Ieee/vector.scm 450 */
return 
BBOOL(
BGl_vectorzd2forzd2eachNz00zz__r4_vectors_6_8z00(BgL_procz00_69, BgL_vz00_70, BgL_restz00_71));}  else 
{ /* Ieee/vector.scm 450 */
return 
BGl_errorz00zz__errorz00(BGl_string1685z00zz__r4_vectors_6_8z00, BGl_string1680z00zz__r4_vectors_6_8z00, BgL_restz00_71);} } } 

}



/* &vector-for-each */
obj_t BGl_z62vectorzd2forzd2eachz62zz__r4_vectors_6_8z00(obj_t BgL_envz00_1634, obj_t BgL_procz00_1635, obj_t BgL_vz00_1636, obj_t BgL_restz00_1637)
{
{ /* Ieee/vector.scm 445 */
{ /* Ieee/vector.scm 446 */
 obj_t BgL_auxz00_2525; obj_t BgL_auxz00_2518;
if(
VECTORP(BgL_vz00_1636))
{ /* Ieee/vector.scm 446 */
BgL_auxz00_2525 = BgL_vz00_1636
; }  else 
{ 
 obj_t BgL_auxz00_2528;
BgL_auxz00_2528 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)18766)), BGl_string1686z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vz00_1636); 
FAILURE(BgL_auxz00_2528,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_procz00_1635))
{ /* Ieee/vector.scm 446 */
BgL_auxz00_2518 = BgL_procz00_1635
; }  else 
{ 
 obj_t BgL_auxz00_2521;
BgL_auxz00_2521 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)18766)), BGl_string1686z00zz__r4_vectors_6_8z00, BGl_string1682z00zz__r4_vectors_6_8z00, BgL_procz00_1635); 
FAILURE(BgL_auxz00_2521,BFALSE,BFALSE);} 
return 
BGl_vectorzd2forzd2eachz00zz__r4_vectors_6_8z00(BgL_auxz00_2518, BgL_auxz00_2525, BgL_restz00_1637);} } 

}



/* &<@anonymous:1317> */
obj_t BGl_z62zc3z04anonymousza31317ze3ze5zz__r4_vectors_6_8z00(obj_t BgL_envz00_1638, obj_t BgL_vz00_1640)
{
{ /* Ieee/vector.scm 450 */
{ /* Ieee/vector.scm 450 */
 long BgL_lenz00_1639;
BgL_lenz00_1639 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_1638, 
(int)(((long)0)))); 
{ /* Ieee/vector.scm 450 */
 bool_t BgL_tmpz00_2536;
if(
VECTORP(BgL_vz00_1640))
{ /* Ieee/vector.scm 450 */
BgL_tmpz00_2536 = 
(
VECTOR_LENGTH(BgL_vz00_1640)==BgL_lenz00_1639)
; }  else 
{ /* Ieee/vector.scm 450 */
BgL_tmpz00_2536 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_2536);} } } 

}



/* vector-shrink! */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2shrinkz12zc0zz__r4_vectors_6_8z00(obj_t BgL_vecz00_72, long BgL_nlenz00_73)
{
{ /* Ieee/vector.scm 458 */
return 
BGL_VECTOR_SHRINK(BgL_vecz00_72, BgL_nlenz00_73);} 

}



/* &vector-shrink! */
obj_t BGl_z62vectorzd2shrinkz12za2zz__r4_vectors_6_8z00(obj_t BgL_envz00_1641, obj_t BgL_vecz00_1642, obj_t BgL_nlenz00_1643)
{
{ /* Ieee/vector.scm 458 */
{ /* Ieee/vector.scm 459 */
 long BgL_auxz00_2550; obj_t BgL_auxz00_2543;
{ /* Ieee/vector.scm 459 */
 obj_t BgL_tmpz00_2551;
if(
INTEGERP(BgL_nlenz00_1643))
{ /* Ieee/vector.scm 459 */
BgL_tmpz00_2551 = BgL_nlenz00_1643
; }  else 
{ 
 obj_t BgL_auxz00_2554;
BgL_auxz00_2554 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)19293)), BGl_string1687z00zz__r4_vectors_6_8z00, BGl_string1652z00zz__r4_vectors_6_8z00, BgL_nlenz00_1643); 
FAILURE(BgL_auxz00_2554,BFALSE,BFALSE);} 
BgL_auxz00_2550 = 
(long)CINT(BgL_tmpz00_2551); } 
if(
VECTORP(BgL_vecz00_1642))
{ /* Ieee/vector.scm 459 */
BgL_auxz00_2543 = BgL_vecz00_1642
; }  else 
{ 
 obj_t BgL_auxz00_2546;
BgL_auxz00_2546 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1650z00zz__r4_vectors_6_8z00, 
BINT(((long)19293)), BGl_string1687z00zz__r4_vectors_6_8z00, BGl_string1654z00zz__r4_vectors_6_8z00, BgL_vecz00_1642); 
FAILURE(BgL_auxz00_2546,BFALSE,BFALSE);} 
return 
BGl_vectorzd2shrinkz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_2543, BgL_auxz00_2550);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_vectors_6_8z00()
{
{ /* Ieee/vector.scm 18 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string1688z00zz__r4_vectors_6_8z00)); 
return 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1688z00zz__r4_vectors_6_8z00));} 

}

#ifdef __cplusplus
}
#endif
