/*===========================================================================*/
/*   (Rgc/rgcconfig.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Rgc/rgcconfig.scm -o objs/obj_p/Rgc/rgcconfig.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_symbol1671z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31200ze3ze5zz__rgc_configz00(obj_t, obj_t);
static obj_t BGl_list1640z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1642z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1645z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1648z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1649z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1651z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1654z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1655z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1656z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1658z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1661z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1663z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1666z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1668z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31193ze3ze5zz__rgc_configz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgc_configz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62zc3z04anonymousza31203ze3ze5zz__rgc_configz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__rgc_configz00();
BGL_EXPORTED_DEF obj_t BGl_za2rgczd2optimza2zd2zz__rgc_configz00 = BUNSPEC;
extern obj_t create_struct(obj_t, int);
static obj_t BGl_cnstzd2initzd2zz__rgc_configz00();
static obj_t BGl_genericzd2initzd2zz__rgc_configz00();
static obj_t BGl_z62rgczd2downcasezb0zz__rgc_configz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_configz00();
static obj_t BGl_gczd2rootszd2initz00zz__rgc_configz00();
static obj_t BGl_objectzd2initzd2zz__rgc_configz00();
static obj_t BGl_za2asciizd2configza2zd2zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_z62rgczd2charzf3z43zz__rgc_configz00(obj_t, obj_t);
extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rgczd2downcasezd2zz__rgc_configz00(obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_za2rgczd2configza2zd2zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1611z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1614z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1617z00zz__rgc_configz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_rgczd2envzd2zz__rgc_configz00();
static obj_t BGl_z62rgczd2envzb0zz__rgc_configz00(obj_t);
static obj_t BGl_symbol1620z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__rgc_configz00();
static obj_t BGl_symbol1625z00zz__rgc_configz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_rgczd2charzf3z21zz__rgc_configz00(obj_t);
static obj_t BGl_profzd2initzd2zz__rgc_configz00();
static obj_t BGl_z62rgczd2maxzd2charz62zz__rgc_configz00(obj_t);
static obj_t BGl_symbol1631z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1634z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1637z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1609z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1643z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1610z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1646z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1613z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1616z00zz__rgc_configz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_rgczd2upcasezd2zz__rgc_configz00(obj_t);
static obj_t BGl_list1619z00zz__rgc_configz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_rgczd2alphabeticzf3z21zz__rgc_configz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_rgczd2maxzd2charz00zz__rgc_configz00();
static obj_t BGl_z62rgczd2alphabeticzf3z43zz__rgc_configz00(obj_t, obj_t);
static obj_t BGl_symbol1652z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1622z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1624z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1659z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1627z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1628z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1630z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1664z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1633z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1669z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1636z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31190ze3ze5zz__rgc_configz00(obj_t, obj_t);
static obj_t BGl_list1639z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_z62rgczd2upcasezb0zz__rgc_configz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgczd2alphabeticzf3zd2envzf3zz__rgc_configz00, BgL_bgl_za762rgcza7d2alphabe1675z00, BGl_z62rgczd2alphabeticzf3z43zz__rgc_configz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgczd2envzd2envz00zz__rgc_configz00, BgL_bgl_za762rgcza7d2envza7b0za71676z00, BGl_z62rgczd2envzb0zz__rgc_configz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgczd2charzf3zd2envzf3zz__rgc_configz00, BgL_bgl_za762rgcza7d2charza7f31677za7, BGl_z62rgczd2charzf3z43zz__rgc_configz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgczd2upcasezd2envz00zz__rgc_configz00, BgL_bgl_za762rgcza7d2upcaseza71678za7, BGl_z62rgczd2upcasezb0zz__rgc_configz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgczd2maxzd2charzd2envzd2zz__rgc_configz00, BgL_bgl_za762rgcza7d2maxza7d2c1679za7, BGl_z62rgczd2maxzd2charz62zz__rgc_configz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1605z00zz__rgc_configz00, BgL_bgl_za762za7c3za704anonymo1680za7, BGl_z62zc3z04anonymousza31203ze3ze5zz__rgc_configz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1612z00zz__rgc_configz00, BgL_bgl_string1612za700za7za7_1681za7, "all", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1606z00zz__rgc_configz00, BgL_bgl_za762za7c3za704anonymo1682za7, BGl_z62zc3z04anonymousza31200ze3ze5zz__rgc_configz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1607z00zz__rgc_configz00, BgL_bgl_za762za7c3za704anonymo1683za7, BGl_z62zc3z04anonymousza31193ze3ze5zz__rgc_configz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1608z00zz__rgc_configz00, BgL_bgl_za762za7c3za704anonymo1684za7, BGl_z62zc3z04anonymousza31190ze3ze5zz__rgc_configz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1615z00zz__rgc_configz00, BgL_bgl_string1615za700za7za7_1685za7, "out", 3 );
DEFINE_STRING( BGl_string1618z00zz__rgc_configz00, BgL_bgl_string1618za700za7za7_1686za7, "lower", 5 );
DEFINE_STRING( BGl_string1621z00zz__rgc_configz00, BgL_bgl_string1621za700za7za7_1687za7, "in", 2 );
DEFINE_STRING( BGl_string1623z00zz__rgc_configz00, BgL_bgl_string1623za700za7za7_1688za7, "az", 2 );
DEFINE_STRING( BGl_string1626z00zz__rgc_configz00, BgL_bgl_string1626za700za7za7_1689za7, "upper", 5 );
DEFINE_STRING( BGl_string1629z00zz__rgc_configz00, BgL_bgl_string1629za700za7za7_1690za7, "AZ", 2 );
DEFINE_STRING( BGl_string1632z00zz__rgc_configz00, BgL_bgl_string1632za700za7za7_1691za7, "alpha", 5 );
DEFINE_STRING( BGl_string1635z00zz__rgc_configz00, BgL_bgl_string1635za700za7za7_1692za7, "or", 2 );
DEFINE_STRING( BGl_string1638z00zz__rgc_configz00, BgL_bgl_string1638za700za7za7_1693za7, "digit", 5 );
DEFINE_STRING( BGl_string1641z00zz__rgc_configz00, BgL_bgl_string1641za700za7za7_1694za7, "09", 2 );
DEFINE_STRING( BGl_string1644z00zz__rgc_configz00, BgL_bgl_string1644za700za7za7_1695za7, "xdigit", 6 );
DEFINE_STRING( BGl_string1647z00zz__rgc_configz00, BgL_bgl_string1647za700za7za7_1696za7, "uncase", 6 );
DEFINE_STRING( BGl_string1650z00zz__rgc_configz00, BgL_bgl_string1650za700za7za7_1697za7, "af09", 4 );
DEFINE_STRING( BGl_string1653z00zz__rgc_configz00, BgL_bgl_string1653za700za7za7_1698za7, "alnum", 5 );
DEFINE_STRING( BGl_string1657z00zz__rgc_configz00, BgL_bgl_string1657za700za7za7_1699za7, "az09", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgczd2downcasezd2envz00zz__rgc_configz00, BgL_bgl_za762rgcza7d2downcas1700z00, BGl_z62rgczd2downcasezb0zz__rgc_configz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1660z00zz__rgc_configz00, BgL_bgl_string1660za700za7za7_1701za7, "punct", 5 );
DEFINE_STRING( BGl_string1662z00zz__rgc_configz00, BgL_bgl_string1662za700za7za7_1702za7, ".,;!?", 5 );
DEFINE_STRING( BGl_string1665z00zz__rgc_configz00, BgL_bgl_string1665za700za7za7_1703za7, "blank", 5 );
DEFINE_STRING( BGl_string1667z00zz__rgc_configz00, BgL_bgl_string1667za700za7za7_1704za7, " \t\n", 3 );
DEFINE_STRING( BGl_string1670z00zz__rgc_configz00, BgL_bgl_string1670za700za7za7_1705za7, "space", 5 );
DEFINE_STRING( BGl_string1672z00zz__rgc_configz00, BgL_bgl_string1672za700za7za7_1706za7, "rgc-config", 10 );
DEFINE_STRING( BGl_string1673z00zz__rgc_configz00, BgL_bgl_string1673za700za7za7_1707za7, "ascii", 5 );
DEFINE_STRING( BGl_string1674z00zz__rgc_configz00, BgL_bgl_string1674za700za7za7_1708za7, "__rgc_config", 12 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol1671z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1640z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1642z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1645z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1648z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1649z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1651z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1654z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1655z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1656z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1658z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1661z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1663z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1666z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1668z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_za2rgczd2optimza2zd2zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_za2asciizd2configza2zd2zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_za2rgczd2configza2zd2zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_symbol1611z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_symbol1614z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_symbol1617z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_symbol1620z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_symbol1625z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_symbol1631z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_symbol1634z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_symbol1637z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1609z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_symbol1643z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1610z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_symbol1646z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1613z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1616z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1619z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_symbol1652z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1622z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1624z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_symbol1659z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1627z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1628z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1630z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_symbol1664z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1633z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_symbol1669z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1636z00zz__rgc_configz00) );
ADD_ROOT( (void *)(&BGl_list1639z00zz__rgc_configz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Rgc/rgcconfig.scm\" 889) \"BGl_toplevelzd2initzd2zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1190>\" \"Rgc/rgcconfig.scm\" 4920) \"BGl_z62zc3z04anonymousza31190ze3ze5zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1193>\" \"Rgc/rgcconfig.scm\" 4979) \"BGl_z62zc3z04anonymousza31193ze3ze5zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1200>\" \"Rgc/rgcconfig.scm\" 5065) \"BGl_z62zc3z04anonymousza31200ze3ze5zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1203>\" \"Rgc/rgcconfig.scm\" 5138) \"BGl_z62zc3z04anonymousza31203ze3ze5zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgc-max-char\" \"Rgc/rgcconfig.scm\" 2950) \"BGl_rgczd2maxzd2charz00zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgc-max-char\" \"Rgc/rgcconfig.scm\" 2950) \"BGl_z62rgczd2maxzd2charz62zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgc-char?\" \"Rgc/rgcconfig.scm\" 3235) \"BGl_rgczd2charzf3z21zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgc-char?\" \"Rgc/rgcconfig.scm\" 3235) \"BGl_z62rgczd2charzf3z43zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgc-alphabetic?\" \"Rgc/rgcconfig.scm\" 3532) \"BGl_rgczd2alphabeticzf3z21zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgc-alphabetic?\" \"Rgc/rgcconfig.scm\" 3532) \"BGl_z62rgczd2alphabeticzf3z43zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgc-upcase\" \"Rgc/rgcconfig.scm\" 3841) \"BGl_rgczd2upcasezd2zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgc-upcase\" \"Rgc/rgcconfig.scm\" 3841) \"BGl_z62rgczd2upcasezb0zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgc-downcase\" \"Rgc/rgcconfig.scm\" 4134) \"BGl_rgczd2downcasezd2zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgc-downcase\" \"Rgc/rgcconfig.scm\" 4134) \"BGl_z62rgczd2downcasezb0zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgc-env\" \"Rgc/rgcconfig.scm\" 4431) \"BGl_rgczd2envzd2zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgc-env\" \"Rgc/rgcconfig.scm\" 4431) \"BGl_z62rgczd2envzb0zz__rgc_configz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_configz00(long BgL_checksumz00_1990, char * BgL_fromz00_1991)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_configz00))
{ 
BGl_requirezd2initializa7ationz75zz__rgc_configz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__rgc_configz00(); 
BGl_cnstzd2initzd2zz__rgc_configz00(); 
BGl_importedzd2moduleszd2initz00zz__rgc_configz00(); 
BGl_toplevelzd2initzd2zz__rgc_configz00(); 
return 
BGl_profzd2initzd2zz__rgc_configz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__rgc_configz00()
{
{ /* Rgc/rgcconfig.scm 14 */
BGl_symbol1611z00zz__rgc_configz00 = 
bstring_to_symbol(BGl_string1612z00zz__rgc_configz00); 
BGl_symbol1614z00zz__rgc_configz00 = 
bstring_to_symbol(BGl_string1615z00zz__rgc_configz00); 
BGl_list1613z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1614z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL)); 
BGl_list1610z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1611z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1613z00zz__rgc_configz00, BNIL)); 
BGl_symbol1617z00zz__rgc_configz00 = 
bstring_to_symbol(BGl_string1618z00zz__rgc_configz00); 
BGl_symbol1620z00zz__rgc_configz00 = 
bstring_to_symbol(BGl_string1621z00zz__rgc_configz00); 
BGl_list1622z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_string1623z00zz__rgc_configz00, BNIL); 
BGl_list1619z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1620z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1622z00zz__rgc_configz00, BNIL)); 
BGl_list1616z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1617z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1619z00zz__rgc_configz00, BNIL)); 
BGl_symbol1625z00zz__rgc_configz00 = 
bstring_to_symbol(BGl_string1626z00zz__rgc_configz00); 
BGl_list1628z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_string1629z00zz__rgc_configz00, BNIL); 
BGl_list1627z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1620z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1628z00zz__rgc_configz00, BNIL)); 
BGl_list1624z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1625z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1627z00zz__rgc_configz00, BNIL)); 
BGl_symbol1631z00zz__rgc_configz00 = 
bstring_to_symbol(BGl_string1632z00zz__rgc_configz00); 
BGl_symbol1634z00zz__rgc_configz00 = 
bstring_to_symbol(BGl_string1635z00zz__rgc_configz00); 
BGl_list1633z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1634z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_symbol1617z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_symbol1625z00zz__rgc_configz00, BNIL))); 
BGl_list1630z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1631z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1633z00zz__rgc_configz00, BNIL)); 
BGl_symbol1637z00zz__rgc_configz00 = 
bstring_to_symbol(BGl_string1638z00zz__rgc_configz00); 
BGl_list1640z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_string1641z00zz__rgc_configz00, BNIL); 
BGl_list1639z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1620z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1640z00zz__rgc_configz00, BNIL)); 
BGl_list1636z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1637z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1639z00zz__rgc_configz00, BNIL)); 
BGl_symbol1643z00zz__rgc_configz00 = 
bstring_to_symbol(BGl_string1644z00zz__rgc_configz00); 
BGl_symbol1646z00zz__rgc_configz00 = 
bstring_to_symbol(BGl_string1647z00zz__rgc_configz00); 
BGl_list1649z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_string1650z00zz__rgc_configz00, BNIL); 
BGl_list1648z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1620z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1649z00zz__rgc_configz00, BNIL)); 
BGl_list1645z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1646z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1648z00zz__rgc_configz00, BNIL)); 
BGl_list1642z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1643z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1645z00zz__rgc_configz00, BNIL)); 
BGl_symbol1652z00zz__rgc_configz00 = 
bstring_to_symbol(BGl_string1653z00zz__rgc_configz00); 
BGl_list1656z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_string1657z00zz__rgc_configz00, BNIL); 
BGl_list1655z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1620z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1656z00zz__rgc_configz00, BNIL)); 
BGl_list1654z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1646z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1655z00zz__rgc_configz00, BNIL)); 
BGl_list1651z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1652z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1654z00zz__rgc_configz00, BNIL)); 
BGl_symbol1659z00zz__rgc_configz00 = 
bstring_to_symbol(BGl_string1660z00zz__rgc_configz00); 
BGl_list1661z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1620z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_string1662z00zz__rgc_configz00, BNIL)); 
BGl_list1658z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1659z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1661z00zz__rgc_configz00, BNIL)); 
BGl_symbol1664z00zz__rgc_configz00 = 
bstring_to_symbol(BGl_string1665z00zz__rgc_configz00); 
BGl_list1666z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1620z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_string1667z00zz__rgc_configz00, BNIL)); 
BGl_list1663z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1664z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1666z00zz__rgc_configz00, BNIL)); 
BGl_symbol1669z00zz__rgc_configz00 = 
bstring_to_symbol(BGl_string1670z00zz__rgc_configz00); 
BGl_list1668z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1669z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)' ')), BNIL)); 
BGl_list1609z00zz__rgc_configz00 = 
MAKE_YOUNG_PAIR(BGl_list1610z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1616z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1624z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1630z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1636z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1642z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1651z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1658z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1663z00zz__rgc_configz00, 
MAKE_YOUNG_PAIR(BGl_list1668z00zz__rgc_configz00, BNIL)))))))))); 
return ( 
BGl_symbol1671z00zz__rgc_configz00 = 
bstring_to_symbol(BGl_string1672z00zz__rgc_configz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__rgc_configz00()
{
{ /* Rgc/rgcconfig.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__rgc_configz00()
{
{ /* Rgc/rgcconfig.scm 14 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__rgc_configz00()
{
{ /* Rgc/rgcconfig.scm 14 */
BGl_za2rgczd2optimza2zd2zz__rgc_configz00 = BTRUE; 
{ /* Rgc/rgcconfig.scm 116 */
 obj_t BgL_envz00_1696;
BgL_envz00_1696 = BGl_list1609z00zz__rgc_configz00; 
{ /* Rgc/rgcconfig.scm 63 */
 obj_t BgL_newz00_1697;
BgL_newz00_1697 = 
create_struct(BGl_symbol1671z00zz__rgc_configz00, 
(int)(((long)7))); 
{ /* Rgc/rgcconfig.scm 63 */
 int BgL_tmpz00_2079;
BgL_tmpz00_2079 = 
(int)(((long)6)); 
STRUCT_SET(BgL_newz00_1697, BgL_tmpz00_2079, BgL_envz00_1696); } 
{ /* Rgc/rgcconfig.scm 63 */
 int BgL_tmpz00_2082;
BgL_tmpz00_2082 = 
(int)(((long)5)); 
STRUCT_SET(BgL_newz00_1697, BgL_tmpz00_2082, BGl_proc1605z00zz__rgc_configz00); } 
{ /* Rgc/rgcconfig.scm 63 */
 int BgL_tmpz00_2085;
BgL_tmpz00_2085 = 
(int)(((long)4)); 
STRUCT_SET(BgL_newz00_1697, BgL_tmpz00_2085, BGl_proc1606z00zz__rgc_configz00); } 
{ /* Rgc/rgcconfig.scm 63 */
 int BgL_tmpz00_2088;
BgL_tmpz00_2088 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1697, BgL_tmpz00_2088, BGl_proc1607z00zz__rgc_configz00); } 
{ /* Rgc/rgcconfig.scm 63 */
 int BgL_tmpz00_2091;
BgL_tmpz00_2091 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1697, BgL_tmpz00_2091, BGl_proc1608z00zz__rgc_configz00); } 
{ /* Rgc/rgcconfig.scm 63 */
 obj_t BgL_auxz00_2096; int BgL_tmpz00_2094;
BgL_auxz00_2096 = 
BINT(((long)256)); 
BgL_tmpz00_2094 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1697, BgL_tmpz00_2094, BgL_auxz00_2096); } 
{ /* Rgc/rgcconfig.scm 63 */
 int BgL_tmpz00_2099;
BgL_tmpz00_2099 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1697, BgL_tmpz00_2099, BGl_string1673z00zz__rgc_configz00); } 
BGl_za2asciizd2configza2zd2zz__rgc_configz00 = BgL_newz00_1697; } } 
return ( 
BGl_za2rgczd2configza2zd2zz__rgc_configz00 = BGl_za2asciizd2configza2zd2zz__rgc_configz00, BUNSPEC) ;} 

}



/* &<@anonymous:1190> */
obj_t BGl_z62zc3z04anonymousza31190ze3ze5zz__rgc_configz00(obj_t BgL_envz00_1971, obj_t BgL_xz00_1972)
{
{ /* Rgc/rgcconfig.scm 118 */
{ /* Rgc/rgcconfig.scm 119 */
 bool_t BgL_tmpz00_2102;
{ /* Rgc/rgcconfig.scm 119 */
 bool_t BgL_test1710z00_2103;
if(
INTEGERP(BgL_xz00_1972))
{ /* Rgc/rgcconfig.scm 119 */
BgL_test1710z00_2103 = 
(
(long)CINT(BgL_xz00_1972)>((long)0))
; }  else 
{ /* Rgc/rgcconfig.scm 119 */
BgL_test1710z00_2103 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_xz00_1972, 
BINT(((long)0)))
; } 
if(BgL_test1710z00_2103)
{ /* Rgc/rgcconfig.scm 119 */
 bool_t BgL_test1712z00_2110;
if(
INTEGERP(BgL_xz00_1972))
{ /* Rgc/rgcconfig.scm 119 */
BgL_test1712z00_2110 = 
(
(long)CINT(BgL_xz00_1972)<((long)256))
; }  else 
{ /* Rgc/rgcconfig.scm 119 */
BgL_test1712z00_2110 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_xz00_1972, 
BINT(((long)256)))
; } 
if(BgL_test1712z00_2110)
{ /* Rgc/rgcconfig.scm 119 */
BgL_tmpz00_2102 = 
CHARP(BgL_xz00_1972)
; }  else 
{ /* Rgc/rgcconfig.scm 119 */
BgL_tmpz00_2102 = ((bool_t)0)
; } }  else 
{ /* Rgc/rgcconfig.scm 119 */
BgL_tmpz00_2102 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_2102);} } 

}



/* &<@anonymous:1193> */
obj_t BGl_z62zc3z04anonymousza31193ze3ze5zz__rgc_configz00(obj_t BgL_envz00_1973, obj_t BgL_xz00_1974)
{
{ /* Rgc/rgcconfig.scm 120 */
{ /* Rgc/rgcconfig.scm 121 */
 bool_t BgL_tmpz00_2119;
{ /* Rgc/rgcconfig.scm 121 */
 bool_t BgL_test1714z00_2120;
if(
INTEGERP(BgL_xz00_1974))
{ /* Rgc/rgcconfig.scm 121 */
BgL_test1714z00_2120 = 
(
(long)CINT(BgL_xz00_1974)>((long)0))
; }  else 
{ /* Rgc/rgcconfig.scm 121 */
BgL_test1714z00_2120 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_xz00_1974, 
BINT(((long)0)))
; } 
if(BgL_test1714z00_2120)
{ /* Rgc/rgcconfig.scm 121 */
 bool_t BgL_test1716z00_2127;
if(
INTEGERP(BgL_xz00_1974))
{ /* Rgc/rgcconfig.scm 121 */
BgL_test1716z00_2127 = 
(
(long)CINT(BgL_xz00_1974)<((long)256))
; }  else 
{ /* Rgc/rgcconfig.scm 121 */
BgL_test1716z00_2127 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_xz00_1974, 
BINT(((long)256)))
; } 
if(BgL_test1716z00_2127)
{ /* Rgc/rgcconfig.scm 121 */
 unsigned char BgL_tmpz00_2134;
BgL_tmpz00_2134 = 
(
(long)CINT(BgL_xz00_1974)); 
BgL_tmpz00_2119 = 
isalpha(BgL_tmpz00_2134); }  else 
{ /* Rgc/rgcconfig.scm 121 */
BgL_tmpz00_2119 = ((bool_t)0)
; } }  else 
{ /* Rgc/rgcconfig.scm 121 */
BgL_tmpz00_2119 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_2119);} } 

}



/* &<@anonymous:1200> */
obj_t BGl_z62zc3z04anonymousza31200ze3ze5zz__rgc_configz00(obj_t BgL_envz00_1975, obj_t BgL_xz00_1976)
{
{ /* Rgc/rgcconfig.scm 122 */
return 
BINT(
(
toupper(
(
(long)CINT(BgL_xz00_1976)))));} 

}



/* &<@anonymous:1203> */
obj_t BGl_z62zc3z04anonymousza31203ze3ze5zz__rgc_configz00(obj_t BgL_envz00_1977, obj_t BgL_xz00_1978)
{
{ /* Rgc/rgcconfig.scm 124 */
return 
BINT(
(
tolower(
(
(long)CINT(BgL_xz00_1978)))));} 

}



/* rgc-max-char */
BGL_EXPORTED_DEF obj_t BGl_rgczd2maxzd2charz00zz__rgc_configz00()
{
{ /* Rgc/rgcconfig.scm 77 */
return 
STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, 
(int)(((long)1)));} 

}



/* &rgc-max-char */
obj_t BGl_z62rgczd2maxzd2charz62zz__rgc_configz00(obj_t BgL_envz00_1979)
{
{ /* Rgc/rgcconfig.scm 77 */
return 
BGl_rgczd2maxzd2charz00zz__rgc_configz00();} 

}



/* rgc-char? */
BGL_EXPORTED_DEF bool_t BGl_rgczd2charzf3z21zz__rgc_configz00(obj_t BgL_charz00_33)
{
{ /* Rgc/rgcconfig.scm 83 */
{ /* Rgc/rgcconfig.scm 84 */
 obj_t BgL_fun1230z00_1242;
BgL_fun1230z00_1242 = 
STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, 
(int)(((long)2))); 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_fun1230z00_1242)(BgL_fun1230z00_1242, BgL_charz00_33, BEOA));} } 

}



/* &rgc-char? */
obj_t BGl_z62rgczd2charzf3z43zz__rgc_configz00(obj_t BgL_envz00_1980, obj_t BgL_charz00_1981)
{
{ /* Rgc/rgcconfig.scm 83 */
return 
BBOOL(
BGl_rgczd2charzf3z21zz__rgc_configz00(BgL_charz00_1981));} 

}



/* rgc-alphabetic? */
BGL_EXPORTED_DEF bool_t BGl_rgczd2alphabeticzf3z21zz__rgc_configz00(obj_t BgL_charz00_34)
{
{ /* Rgc/rgcconfig.scm 89 */
{ /* Rgc/rgcconfig.scm 90 */
 obj_t BgL_fun1231z00_1243;
BgL_fun1231z00_1243 = 
STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, 
(int)(((long)3))); 
return 
CBOOL(
PROCEDURE_ENTRY(BgL_fun1231z00_1243)(BgL_fun1231z00_1243, BgL_charz00_34, BEOA));} } 

}



/* &rgc-alphabetic? */
obj_t BGl_z62rgczd2alphabeticzf3z43zz__rgc_configz00(obj_t BgL_envz00_1982, obj_t BgL_charz00_1983)
{
{ /* Rgc/rgcconfig.scm 89 */
return 
BBOOL(
BGl_rgczd2alphabeticzf3z21zz__rgc_configz00(BgL_charz00_1983));} 

}



/* rgc-upcase */
BGL_EXPORTED_DEF obj_t BGl_rgczd2upcasezd2zz__rgc_configz00(obj_t BgL_charz00_35)
{
{ /* Rgc/rgcconfig.scm 95 */
{ /* Rgc/rgcconfig.scm 96 */
 obj_t BgL_fun1232z00_1244;
BgL_fun1232z00_1244 = 
STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, 
(int)(((long)4))); 
return 
PROCEDURE_ENTRY(BgL_fun1232z00_1244)(BgL_fun1232z00_1244, BgL_charz00_35, BEOA);} } 

}



/* &rgc-upcase */
obj_t BGl_z62rgczd2upcasezb0zz__rgc_configz00(obj_t BgL_envz00_1984, obj_t BgL_charz00_1985)
{
{ /* Rgc/rgcconfig.scm 95 */
return 
BGl_rgczd2upcasezd2zz__rgc_configz00(BgL_charz00_1985);} 

}



/* rgc-downcase */
BGL_EXPORTED_DEF obj_t BGl_rgczd2downcasezd2zz__rgc_configz00(obj_t BgL_charz00_36)
{
{ /* Rgc/rgcconfig.scm 101 */
{ /* Rgc/rgcconfig.scm 102 */
 obj_t BgL_fun1233z00_1245;
BgL_fun1233z00_1245 = 
STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, 
(int)(((long)5))); 
return 
PROCEDURE_ENTRY(BgL_fun1233z00_1245)(BgL_fun1233z00_1245, BgL_charz00_36, BEOA);} } 

}



/* &rgc-downcase */
obj_t BGl_z62rgczd2downcasezb0zz__rgc_configz00(obj_t BgL_envz00_1986, obj_t BgL_charz00_1987)
{
{ /* Rgc/rgcconfig.scm 101 */
return 
BGl_rgczd2downcasezd2zz__rgc_configz00(BgL_charz00_1987);} 

}



/* rgc-env */
BGL_EXPORTED_DEF obj_t BGl_rgczd2envzd2zz__rgc_configz00()
{
{ /* Rgc/rgcconfig.scm 107 */
return 
STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, 
(int)(((long)6)));} 

}



/* &rgc-env */
obj_t BGl_z62rgczd2envzb0zz__rgc_configz00(obj_t BgL_envz00_1988)
{
{ /* Rgc/rgcconfig.scm 107 */
return 
BGl_rgczd2envzd2zz__rgc_configz00();} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__rgc_configz00()
{
{ /* Rgc/rgcconfig.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__rgc_configz00()
{
{ /* Rgc/rgcconfig.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__rgc_configz00()
{
{ /* Rgc/rgcconfig.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__rgc_configz00()
{
{ /* Rgc/rgcconfig.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string1674z00zz__rgc_configz00));} 

}

#ifdef __cplusplus
}
#endif
