/*===========================================================================*/
/*   (Llib/tvector.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -srfi enable-gmp -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -c Llib/tvector.scm -indent -o objs/obj_s/Llib/tvector.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
extern bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_symbol1830z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1836z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_list1803z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1838z00zz__tvectorz00 = BUNSPEC;
BGL_EXPORTED_DECL int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t);
static obj_t BGl_z62tvectorzd2refzb0zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_list1813z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_z62tvectorzf3z91zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__tvectorz00 = BUNSPEC;
static obj_t BGl_list1829z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_symbol1785z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_list1835z00zz__tvectorz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_symbol1790z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1792z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__tvectorz00();
static obj_t BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00(obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__tvectorz00();
static obj_t BGl_genericzd2initzd2zz__tvectorz00();
extern long bgl_list_length(obj_t);
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t);
static obj_t BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00();
static obj_t BGl_gczd2rootszd2initz00zz__tvectorz00();
static obj_t BGl_objectzd2initzd2zz__tvectorz00();
BGL_EXPORTED_DECL obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char *, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62tvectorzd2lengthzb0zz__tvectorz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t get_tvector_descriptor(obj_t);
static obj_t BGl_methodzd2initzd2zz__tvectorz00();
BGL_EXPORTED_DECL bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
extern obj_t BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(obj_t, obj_t, obj_t, obj_t, int, int);
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t);
static obj_t BGl_symbol1804z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1806z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1808z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_z62declarezd2tvectorz12za2zz__tvectorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_bigloozd2casezd2sensitivityz00zz__readerz00();
static obj_t BGl_symbol1814z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_symbol1816z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_z62tvectorzd2idzb0zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_symbol1818z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_symbol1820z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BUNSPEC;
static obj_t BGl_z62listzd2ze3tvectorz53zz__tvectorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1791z00zz__tvectorz00, BgL_bgl_string1791za700za7za7_1843za7, "upcase", 6 );
DEFINE_STRING( BGl_string1793z00zz__tvectorz00, BgL_bgl_string1793za700za7za7_1844za7, "downcase", 8 );
DEFINE_STRING( BGl_string1794z00zz__tvectorz00, BgL_bgl_string1794za700za7za7_1845za7, "declare-tvector!", 16 );
DEFINE_STRING( BGl_string1795z00zz__tvectorz00, BgL_bgl_string1795za700za7za7_1846za7, "struct-set!:not an instance of", 30 );
DEFINE_STRING( BGl_string1796z00zz__tvectorz00, BgL_bgl_string1796za700za7za7_1847za7, "&declare-tvector!", 17 );
DEFINE_STRING( BGl_string1797z00zz__tvectorz00, BgL_bgl_string1797za700za7za7_1848za7, "bstring", 7 );
DEFINE_STRING( BGl_string1798z00zz__tvectorz00, BgL_bgl_string1798za700za7za7_1849za7, "procedure", 9 );
DEFINE_STRING( BGl_string1799z00zz__tvectorz00, BgL_bgl_string1799za700za7za7_1850za7, "tvector-ref", 11 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzf3zd2envz21zz__tvectorz00, BgL_bgl_za762tvectorza7f3za7911851za7, BGl_z62tvectorzf3z91zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_listzd2ze3tvectorzd2envze3zz__tvectorz00, BgL_bgl_za762listza7d2za7e3tve1852za7, BGl_z62listzd2ze3tvectorz53zz__tvectorz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2ze3tvectorzd2envze3zz__tvectorz00, BgL_bgl_za762vectorza7d2za7e3t1853za7, BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2lengthzd2envz00zz__tvectorz00, BgL_bgl_za762tvectorza7d2len1854z00, BGl_z62tvectorzd2lengthzb0zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2ze3vectorzd2envze3zz__tvectorz00, BgL_bgl_za762tvectorza7d2za7e31855za7, BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1800z00zz__tvectorz00, BgL_bgl_string1800za700za7za7_1856za7, "&tvector-ref", 12 );
DEFINE_STRING( BGl_string1801z00zz__tvectorz00, BgL_bgl_string1801za700za7za7_1857za7, "list->tvector", 13 );
DEFINE_STRING( BGl_string1802z00zz__tvectorz00, BgL_bgl_string1802za700za7za7_1858za7, "list->tvector:Wrong number of arguments", 39 );
DEFINE_STRING( BGl_string1805z00zz__tvectorz00, BgL_bgl_string1805za700za7za7_1859za7, "funcall", 7 );
DEFINE_STRING( BGl_string1807z00zz__tvectorz00, BgL_bgl_string1807za700za7za7_1860za7, "allocate", 8 );
DEFINE_STRING( BGl_string1809z00zz__tvectorz00, BgL_bgl_string1809za700za7za7_1861za7, "len", 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2tvectorzd2descriptorzd2envzd2zz__tvectorz00, BgL_bgl_za762getza7d2tvector1862z00, BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_declarezd2tvectorz12zd2envz12zz__tvectorz00, BgL_bgl_za762declareza7d2tve1863z00, BGl_z62declarezd2tvectorz12za2zz__tvectorz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1810z00zz__tvectorz00, BgL_bgl_string1810za700za7za7_1864za7, "loop", 4 );
DEFINE_STRING( BGl_string1811z00zz__tvectorz00, BgL_bgl_string1811za700za7za7_1865za7, "pair", 4 );
DEFINE_STRING( BGl_string1812z00zz__tvectorz00, BgL_bgl_string1812za700za7za7_1866za7, "loop:Wrong number of arguments", 30 );
DEFINE_STRING( BGl_string1815z00zz__tvectorz00, BgL_bgl_string1815za700za7za7_1867za7, "set", 3 );
DEFINE_STRING( BGl_string1817z00zz__tvectorz00, BgL_bgl_string1817za700za7za7_1868za7, "tvec", 4 );
DEFINE_STRING( BGl_string1819z00zz__tvectorz00, BgL_bgl_string1819za700za7za7_1869za7, "i", 1 );
DEFINE_STRING( BGl_string1821z00zz__tvectorz00, BgL_bgl_string1821za700za7za7_1870za7, "arg1253", 7 );
DEFINE_STRING( BGl_string1822z00zz__tvectorz00, BgL_bgl_string1822za700za7za7_1871za7, "Unable to convert to such tvector", 33 );
DEFINE_STRING( BGl_string1823z00zz__tvectorz00, BgL_bgl_string1823za700za7za7_1872za7, "Undeclared tvector", 18 );
DEFINE_STRING( BGl_string1824z00zz__tvectorz00, BgL_bgl_string1824za700za7za7_1873za7, "&list->tvector", 14 );
DEFINE_STRING( BGl_string1825z00zz__tvectorz00, BgL_bgl_string1825za700za7za7_1874za7, "pair-nil", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2refzd2envz00zz__tvectorz00, BgL_bgl_za762tvectorza7d2ref1875z00, BGl_z62tvectorzd2refzb0zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1826z00zz__tvectorz00, BgL_bgl_string1826za700za7za7_1876za7, "vector->tvector", 15 );
DEFINE_STRING( BGl_string1827z00zz__tvectorz00, BgL_bgl_string1827za700za7za7_1877za7, "vector->tvector:Wrong number of arguments", 41 );
DEFINE_STRING( BGl_string1828z00zz__tvectorz00, BgL_bgl_string1828za700za7za7_1878za7, "vector-ref", 10 );
DEFINE_STRING( BGl_string1831z00zz__tvectorz00, BgL_bgl_string1831za700za7za7_1879za7, "arg1259", 7 );
DEFINE_STRING( BGl_string1832z00zz__tvectorz00, BgL_bgl_string1832za700za7za7_1880za7, "&vector->tvector", 16 );
DEFINE_STRING( BGl_string1833z00zz__tvectorz00, BgL_bgl_string1833za700za7za7_1881za7, "vector", 6 );
DEFINE_STRING( BGl_string1834z00zz__tvectorz00, BgL_bgl_string1834za700za7za7_1882za7, "tvector->vector", 15 );
DEFINE_STRING( BGl_string1837z00zz__tvectorz00, BgL_bgl_string1837za700za7za7_1883za7, "ref", 3 );
DEFINE_STRING( BGl_string1839z00zz__tvectorz00, BgL_bgl_string1839za700za7za7_1884za7, "tv", 2 );
DEFINE_STRING( BGl_string1840z00zz__tvectorz00, BgL_bgl_string1840za700za7za7_1885za7, "vector-set!", 11 );
DEFINE_STRING( BGl_string1841z00zz__tvectorz00, BgL_bgl_string1841za700za7za7_1886za7, "&tvector->vector", 16 );
DEFINE_STRING( BGl_string1842z00zz__tvectorz00, BgL_bgl_string1842za700za7za7_1887za7, "__tvector", 9 );
DEFINE_STRING( BGl_string1779z00zz__tvectorz00, BgL_bgl_string1779za700za7za7_1888za7, "/tmp/bigloo/runtime/Llib/tvector.scm", 36 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2idzd2envz00zz__tvectorz00, BgL_bgl_za762tvectorza7d2idza71889za7, BGl_z62tvectorzd2idzb0zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1780z00zz__tvectorz00, BgL_bgl_string1780za700za7za7_1890za7, "&tvector-length", 15 );
DEFINE_STRING( BGl_string1781z00zz__tvectorz00, BgL_bgl_string1781za700za7za7_1891za7, "tvector", 7 );
DEFINE_STRING( BGl_string1782z00zz__tvectorz00, BgL_bgl_string1782za700za7za7_1892za7, "tvector-id", 10 );
DEFINE_STRING( BGl_string1783z00zz__tvectorz00, BgL_bgl_string1783za700za7za7_1893za7, "struct", 6 );
DEFINE_STRING( BGl_string1784z00zz__tvectorz00, BgL_bgl_string1784za700za7za7_1894za7, "symbol", 6 );
DEFINE_STRING( BGl_string1786z00zz__tvectorz00, BgL_bgl_string1786za700za7za7_1895za7, "tvect-descr", 11 );
DEFINE_STRING( BGl_string1787z00zz__tvectorz00, BgL_bgl_string1787za700za7za7_1896za7, "struct-ref:not an instance of", 29 );
DEFINE_STRING( BGl_string1788z00zz__tvectorz00, BgL_bgl_string1788za700za7za7_1897za7, "&tvector-id", 11 );
DEFINE_STRING( BGl_string1789z00zz__tvectorz00, BgL_bgl_string1789za700za7za7_1898za7, "&get-tvector-descriptor", 23 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol1830z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1836z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_list1803z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1838z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_list1813z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_list1829z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1785z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_list1835z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1790z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1792z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1804z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1806z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1808z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1814z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1816z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1818z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1820z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_za2tvectorzd2tableza2zd2zz__tvectorz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long BgL_checksumz00_2104, char * BgL_fromz00_2105)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__tvectorz00))
{ 
BGl_requirezd2initializa7ationz75zz__tvectorz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__tvectorz00(); 
BGl_cnstzd2initzd2zz__tvectorz00(); 
BGl_importedzd2moduleszd2initz00zz__tvectorz00(); 
return 
BGl_toplevelzd2initzd2zz__tvectorz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__tvectorz00()
{
{ /* Llib/tvector.scm 14 */
BGl_symbol1785z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1786z00zz__tvectorz00); 
BGl_symbol1790z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1791z00zz__tvectorz00); 
BGl_symbol1792z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1793z00zz__tvectorz00); 
BGl_symbol1804z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1805z00zz__tvectorz00); 
BGl_symbol1806z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1807z00zz__tvectorz00); 
BGl_symbol1808z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1809z00zz__tvectorz00); 
BGl_list1803z00zz__tvectorz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1804z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1806z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1806z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1808z00zz__tvectorz00, BNIL)))); 
BGl_symbol1814z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1815z00zz__tvectorz00); 
BGl_symbol1816z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1817z00zz__tvectorz00); 
BGl_symbol1818z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1819z00zz__tvectorz00); 
BGl_symbol1820z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1821z00zz__tvectorz00); 
BGl_list1813z00zz__tvectorz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1804z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1814z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1814z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1816z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1818z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1820z00zz__tvectorz00, BNIL)))))); 
BGl_symbol1830z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1831z00zz__tvectorz00); 
BGl_list1829z00zz__tvectorz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1804z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1814z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1814z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1816z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1818z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1830z00zz__tvectorz00, BNIL)))))); 
BGl_symbol1836z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1837z00zz__tvectorz00); 
BGl_symbol1838z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1839z00zz__tvectorz00); 
return ( 
BGl_list1835z00zz__tvectorz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1804z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1836z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1836z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1838z00zz__tvectorz00, 
MAKE_YOUNG_PAIR(BGl_symbol1818z00zz__tvectorz00, BNIL))))), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__tvectorz00()
{
{ /* Llib/tvector.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__tvectorz00()
{
{ /* Llib/tvector.scm 14 */
return ( 
BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BNIL, BUNSPEC) ;} 

}



/* tvector? */
BGL_EXPORTED_DEF bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t BgL_objz00_3)
{
{ /* Llib/tvector.scm 92 */
return 
TVECTORP(BgL_objz00_3);} 

}



/* &tvector? */
obj_t BGl_z62tvectorzf3z91zz__tvectorz00(obj_t BgL_envz00_1975, obj_t BgL_objz00_1976)
{
{ /* Llib/tvector.scm 92 */
return 
BBOOL(
BGl_tvectorzf3zf3zz__tvectorz00(BgL_objz00_1976));} 

}



/* tvector-length */
BGL_EXPORTED_DEF int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t BgL_objz00_4)
{
{ /* Llib/tvector.scm 98 */
return 
TVECTOR_LENGTH(BgL_objz00_4);} 

}



/* &tvector-length */
obj_t BGl_z62tvectorzd2lengthzb0zz__tvectorz00(obj_t BgL_envz00_1977, obj_t BgL_objz00_1978)
{
{ /* Llib/tvector.scm 98 */
{ /* Llib/tvector.scm 99 */
 int BgL_tmpz00_2152;
{ /* Llib/tvector.scm 99 */
 obj_t BgL_auxz00_2153;
if(
TVECTORP(BgL_objz00_1978))
{ /* Llib/tvector.scm 99 */
BgL_auxz00_2153 = BgL_objz00_1978
; }  else 
{ 
 obj_t BgL_auxz00_2156;
BgL_auxz00_2156 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)3558)), BGl_string1780z00zz__tvectorz00, BGl_string1781z00zz__tvectorz00, BgL_objz00_1978); 
FAILURE(BgL_auxz00_2156,BFALSE,BFALSE);} 
BgL_tmpz00_2152 = 
BGl_tvectorzd2lengthzd2zz__tvectorz00(BgL_auxz00_2153); } 
return 
BINT(BgL_tmpz00_2152);} } 

}



/* tvector-id */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t BgL_tvectz00_5)
{
{ /* Llib/tvector.scm 104 */
{ /* Llib/tvector.scm 105 */
 obj_t BgL_arg1156z00_1632;
BgL_arg1156z00_1632 = 
TVECTOR_DESCR(BgL_tvectz00_5); 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1901z00_2163;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2164;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1652z00_1636;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1635;
if(
STRUCTP(BgL_arg1156z00_1632))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1635 = BgL_arg1156z00_1632; }  else 
{ 
 obj_t BgL_auxz00_2167;
BgL_auxz00_2167 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1782z00zz__tvectorz00, BGl_string1783z00zz__tvectorz00, BgL_arg1156z00_1632); 
FAILURE(BgL_auxz00_2167,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1691z00_2011;
BgL_aux1691z00_2011 = 
STRUCT_KEY(BgL_sz00_1635); 
if(
SYMBOLP(BgL_aux1691z00_2011))
{ /* Llib/tvector.scm 113 */
BgL_res1652z00_1636 = BgL_aux1691z00_2011; }  else 
{ 
 obj_t BgL_auxz00_2174;
BgL_auxz00_2174 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1782z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_aux1691z00_2011); 
FAILURE(BgL_auxz00_2174,BFALSE,BFALSE);} } } 
BgL_tmpz00_2164 = BgL_res1652z00_1636; } 
BgL_test1901z00_2163 = 
(BgL_tmpz00_2164==BGl_symbol1785z00zz__tvectorz00); } 
if(BgL_test1901z00_2163)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2179;
BgL_tmpz00_2179 = 
(int)(((long)0)); 
return 
STRUCT_REF(BgL_arg1156z00_1632, BgL_tmpz00_2179);}  else 
{ /* Llib/tvector.scm 113 */
return 
BGl_errorz00zz__errorz00(BGl_string1787z00zz__tvectorz00, BGl_string1786z00zz__tvectorz00, BgL_arg1156z00_1632);} } } } 

}



/* &tvector-id */
obj_t BGl_z62tvectorzd2idzb0zz__tvectorz00(obj_t BgL_envz00_1979, obj_t BgL_tvectz00_1980)
{
{ /* Llib/tvector.scm 104 */
{ /* Llib/tvector.scm 105 */
 obj_t BgL_auxz00_2183;
if(
TVECTORP(BgL_tvectz00_1980))
{ /* Llib/tvector.scm 105 */
BgL_auxz00_2183 = BgL_tvectz00_1980
; }  else 
{ 
 obj_t BgL_auxz00_2186;
BgL_auxz00_2186 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)3850)), BGl_string1788z00zz__tvectorz00, BGl_string1781z00zz__tvectorz00, BgL_tvectz00_1980); 
FAILURE(BgL_auxz00_2186,BFALSE,BFALSE);} 
return 
BGl_tvectorzd2idzd2zz__tvectorz00(BgL_auxz00_2183);} } 

}



/* get-tvector-descriptor */
BGL_EXPORTED_DEF obj_t get_tvector_descriptor(obj_t BgL_idz00_24)
{
{ /* Llib/tvector.scm 127 */
if(
NULLP(BGl_za2tvectorzd2tableza2zd2zz__tvectorz00))
{ /* Llib/tvector.scm 128 */
return BFALSE;}  else 
{ /* Llib/tvector.scm 129 */
 obj_t BgL_cellz00_1156;
BgL_cellz00_1156 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_24, BGl_za2tvectorzd2tableza2zd2zz__tvectorz00); 
if(
PAIRP(BgL_cellz00_1156))
{ /* Llib/tvector.scm 130 */
return 
CDR(BgL_cellz00_1156);}  else 
{ /* Llib/tvector.scm 130 */
return BFALSE;} } } 

}



/* &get-tvector-descriptor */
obj_t BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00(obj_t BgL_envz00_1981, obj_t BgL_idz00_1982)
{
{ /* Llib/tvector.scm 127 */
{ /* Llib/tvector.scm 128 */
 obj_t BgL_auxz00_2197;
if(
SYMBOLP(BgL_idz00_1982))
{ /* Llib/tvector.scm 128 */
BgL_auxz00_2197 = BgL_idz00_1982
; }  else 
{ 
 obj_t BgL_auxz00_2200;
BgL_auxz00_2200 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)5101)), BGl_string1789z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_idz00_1982); 
FAILURE(BgL_auxz00_2200,BFALSE,BFALSE);} 
return 
get_tvector_descriptor(BgL_auxz00_2197);} } 

}



/* declare-tvector! */
BGL_EXPORTED_DEF obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char * BgL_idz00_25, obj_t BgL_allocatez00_26, obj_t BgL_refz00_27, obj_t BgL_setz00_28)
{
{ /* Llib/tvector.scm 141 */
{ /* Llib/tvector.scm 142 */
 obj_t BgL_idz00_1158;
{ /* Llib/tvector.scm 142 */
 obj_t BgL_arg1237z00_1163;
{ /* Llib/tvector.scm 142 */
 obj_t BgL_casezd2valuezd2_1164;
BgL_casezd2valuezd2_1164 = 
BGl_bigloozd2casezd2sensitivityz00zz__readerz00(); 
if(
(BgL_casezd2valuezd2_1164==BGl_symbol1790z00zz__tvectorz00))
{ /* Llib/tvector.scm 142 */
BgL_arg1237z00_1163 = 
BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(
string_to_bstring(BgL_idz00_25)); }  else 
{ /* Llib/tvector.scm 142 */
if(
(BgL_casezd2valuezd2_1164==BGl_symbol1792z00zz__tvectorz00))
{ /* Llib/tvector.scm 142 */
BgL_arg1237z00_1163 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(
string_to_bstring(BgL_idz00_25)); }  else 
{ /* Llib/tvector.scm 142 */
BgL_arg1237z00_1163 = 
string_to_bstring(BgL_idz00_25); } } } 
BgL_idz00_1158 = 
bstring_to_symbol(BgL_arg1237z00_1163); } 
{ /* Llib/tvector.scm 142 */
 obj_t BgL_oldz00_1159;
BgL_oldz00_1159 = 
get_tvector_descriptor(BgL_idz00_1158); 
{ /* Llib/tvector.scm 149 */

{ /* Llib/tvector.scm 150 */
 bool_t BgL_test1910z00_2217;
if(
STRUCTP(BgL_oldz00_1159))
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2220;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1666z00_1698;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1697z00_2017;
BgL_aux1697z00_2017 = 
STRUCT_KEY(BgL_oldz00_1159); 
if(
SYMBOLP(BgL_aux1697z00_2017))
{ /* Llib/tvector.scm 113 */
BgL_res1666z00_1698 = BgL_aux1697z00_2017; }  else 
{ 
 obj_t BgL_auxz00_2224;
BgL_auxz00_2224 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1794z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_aux1697z00_2017); 
FAILURE(BgL_auxz00_2224,BFALSE,BFALSE);} } 
BgL_tmpz00_2220 = BgL_res1666z00_1698; } 
BgL_test1910z00_2217 = 
(BgL_tmpz00_2220==BGl_symbol1785z00zz__tvectorz00); }  else 
{ /* Llib/tvector.scm 113 */
BgL_test1910z00_2217 = ((bool_t)0)
; } 
if(BgL_test1910z00_2217)
{ /* Llib/tvector.scm 150 */
return BgL_oldz00_1159;}  else 
{ /* Llib/tvector.scm 151 */
 obj_t BgL_newz00_1161;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_newz00_1699;
BgL_newz00_1699 = 
create_struct(BGl_symbol1785z00zz__tvectorz00, 
(int)(((long)4))); 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1913z00_2231;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2232;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1667z00_1703;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1699z00_2019;
BgL_aux1699z00_2019 = 
STRUCT_KEY(BgL_newz00_1699); 
if(
SYMBOLP(BgL_aux1699z00_2019))
{ /* Llib/tvector.scm 113 */
BgL_res1667z00_1703 = BgL_aux1699z00_2019; }  else 
{ 
 obj_t BgL_auxz00_2236;
BgL_auxz00_2236 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1794z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_aux1699z00_2019); 
FAILURE(BgL_auxz00_2236,BFALSE,BFALSE);} } 
BgL_tmpz00_2232 = BgL_res1667z00_1703; } 
BgL_test1913z00_2231 = 
(BgL_tmpz00_2232==BGl_symbol1785z00zz__tvectorz00); } 
if(BgL_test1913z00_2231)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2241;
BgL_tmpz00_2241 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1699, BgL_tmpz00_2241, BgL_setz00_28); }  else 
{ /* Llib/tvector.scm 113 */
BGl_errorz00zz__errorz00(BGl_string1795z00zz__tvectorz00, BGl_string1786z00zz__tvectorz00, BgL_newz00_1699); } } 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1915z00_2245;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2246;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1668z00_1707;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1701z00_2021;
BgL_aux1701z00_2021 = 
STRUCT_KEY(BgL_newz00_1699); 
if(
SYMBOLP(BgL_aux1701z00_2021))
{ /* Llib/tvector.scm 113 */
BgL_res1668z00_1707 = BgL_aux1701z00_2021; }  else 
{ 
 obj_t BgL_auxz00_2250;
BgL_auxz00_2250 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1794z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_aux1701z00_2021); 
FAILURE(BgL_auxz00_2250,BFALSE,BFALSE);} } 
BgL_tmpz00_2246 = BgL_res1668z00_1707; } 
BgL_test1915z00_2245 = 
(BgL_tmpz00_2246==BGl_symbol1785z00zz__tvectorz00); } 
if(BgL_test1915z00_2245)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2255;
BgL_tmpz00_2255 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1699, BgL_tmpz00_2255, BgL_refz00_27); }  else 
{ /* Llib/tvector.scm 113 */
BGl_errorz00zz__errorz00(BGl_string1795z00zz__tvectorz00, BGl_string1786z00zz__tvectorz00, BgL_newz00_1699); } } 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1917z00_2259;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2260;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1669z00_1711;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1703z00_2023;
BgL_aux1703z00_2023 = 
STRUCT_KEY(BgL_newz00_1699); 
if(
SYMBOLP(BgL_aux1703z00_2023))
{ /* Llib/tvector.scm 113 */
BgL_res1669z00_1711 = BgL_aux1703z00_2023; }  else 
{ 
 obj_t BgL_auxz00_2264;
BgL_auxz00_2264 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1794z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_aux1703z00_2023); 
FAILURE(BgL_auxz00_2264,BFALSE,BFALSE);} } 
BgL_tmpz00_2260 = BgL_res1669z00_1711; } 
BgL_test1917z00_2259 = 
(BgL_tmpz00_2260==BGl_symbol1785z00zz__tvectorz00); } 
if(BgL_test1917z00_2259)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2269;
BgL_tmpz00_2269 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1699, BgL_tmpz00_2269, BgL_allocatez00_26); }  else 
{ /* Llib/tvector.scm 113 */
BGl_errorz00zz__errorz00(BGl_string1795z00zz__tvectorz00, BGl_string1786z00zz__tvectorz00, BgL_newz00_1699); } } 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1919z00_2273;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2274;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1670z00_1715;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1705z00_2025;
BgL_aux1705z00_2025 = 
STRUCT_KEY(BgL_newz00_1699); 
if(
SYMBOLP(BgL_aux1705z00_2025))
{ /* Llib/tvector.scm 113 */
BgL_res1670z00_1715 = BgL_aux1705z00_2025; }  else 
{ 
 obj_t BgL_auxz00_2278;
BgL_auxz00_2278 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1794z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_aux1705z00_2025); 
FAILURE(BgL_auxz00_2278,BFALSE,BFALSE);} } 
BgL_tmpz00_2274 = BgL_res1670z00_1715; } 
BgL_test1919z00_2273 = 
(BgL_tmpz00_2274==BGl_symbol1785z00zz__tvectorz00); } 
if(BgL_test1919z00_2273)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2283;
BgL_tmpz00_2283 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1699, BgL_tmpz00_2283, BgL_idz00_1158); }  else 
{ /* Llib/tvector.scm 113 */
BGl_errorz00zz__errorz00(BGl_string1795z00zz__tvectorz00, BGl_string1786z00zz__tvectorz00, BgL_newz00_1699); } } 
BgL_newz00_1161 = BgL_newz00_1699; } 
{ /* Llib/tvector.scm 152 */
 obj_t BgL_arg1236z00_1162;
BgL_arg1236z00_1162 = 
MAKE_YOUNG_PAIR(BgL_idz00_1158, BgL_newz00_1161); 
BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = 
MAKE_YOUNG_PAIR(BgL_arg1236z00_1162, BGl_za2tvectorzd2tableza2zd2zz__tvectorz00); } 
return BgL_newz00_1161;} } } } } } 

}



/* &declare-tvector! */
obj_t BGl_z62declarezd2tvectorz12za2zz__tvectorz00(obj_t BgL_envz00_1983, obj_t BgL_idz00_1984, obj_t BgL_allocatez00_1985, obj_t BgL_refz00_1986, obj_t BgL_setz00_1987)
{
{ /* Llib/tvector.scm 141 */
{ /* Llib/tvector.scm 142 */
 obj_t BgL_auxz00_2298; char * BgL_auxz00_2289;
if(
PROCEDUREP(BgL_allocatez00_1985))
{ /* Llib/tvector.scm 142 */
BgL_auxz00_2298 = BgL_allocatez00_1985
; }  else 
{ 
 obj_t BgL_auxz00_2301;
BgL_auxz00_2301 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)5790)), BGl_string1796z00zz__tvectorz00, BGl_string1798z00zz__tvectorz00, BgL_allocatez00_1985); 
FAILURE(BgL_auxz00_2301,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 142 */
 obj_t BgL_tmpz00_2290;
if(
STRINGP(BgL_idz00_1984))
{ /* Llib/tvector.scm 142 */
BgL_tmpz00_2290 = BgL_idz00_1984
; }  else 
{ 
 obj_t BgL_auxz00_2293;
BgL_auxz00_2293 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)5790)), BGl_string1796z00zz__tvectorz00, BGl_string1797z00zz__tvectorz00, BgL_idz00_1984); 
FAILURE(BgL_auxz00_2293,BFALSE,BFALSE);} 
BgL_auxz00_2289 = 
BSTRING_TO_STRING(BgL_tmpz00_2290); } 
return 
BGl_declarezd2tvectorz12zc0zz__tvectorz00(BgL_auxz00_2289, BgL_auxz00_2298, BgL_refz00_1986, BgL_setz00_1987);} } 

}



/* tvector-ref */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t BgL_tvectorz00_29)
{
{ /* Llib/tvector.scm 159 */
{ /* Llib/tvector.scm 160 */
 obj_t BgL_arg1245z00_1716;
BgL_arg1245z00_1716 = 
TVECTOR_DESCR(BgL_tvectorz00_29); 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1923z00_2307;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2308;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1671z00_1720;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1719;
if(
STRUCTP(BgL_arg1245z00_1716))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1719 = BgL_arg1245z00_1716; }  else 
{ 
 obj_t BgL_auxz00_2311;
BgL_auxz00_2311 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1799z00zz__tvectorz00, BGl_string1783z00zz__tvectorz00, BgL_arg1245z00_1716); 
FAILURE(BgL_auxz00_2311,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1713z00_2033;
BgL_aux1713z00_2033 = 
STRUCT_KEY(BgL_sz00_1719); 
if(
SYMBOLP(BgL_aux1713z00_2033))
{ /* Llib/tvector.scm 113 */
BgL_res1671z00_1720 = BgL_aux1713z00_2033; }  else 
{ 
 obj_t BgL_auxz00_2318;
BgL_auxz00_2318 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1799z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_aux1713z00_2033); 
FAILURE(BgL_auxz00_2318,BFALSE,BFALSE);} } } 
BgL_tmpz00_2308 = BgL_res1671z00_1720; } 
BgL_test1923z00_2307 = 
(BgL_tmpz00_2308==BGl_symbol1785z00zz__tvectorz00); } 
if(BgL_test1923z00_2307)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2323;
BgL_tmpz00_2323 = 
(int)(((long)2)); 
return 
STRUCT_REF(BgL_arg1245z00_1716, BgL_tmpz00_2323);}  else 
{ /* Llib/tvector.scm 113 */
return 
BGl_errorz00zz__errorz00(BGl_string1787z00zz__tvectorz00, BGl_string1786z00zz__tvectorz00, BgL_arg1245z00_1716);} } } } 

}



/* &tvector-ref */
obj_t BGl_z62tvectorzd2refzb0zz__tvectorz00(obj_t BgL_envz00_1988, obj_t BgL_tvectorz00_1989)
{
{ /* Llib/tvector.scm 159 */
{ /* Llib/tvector.scm 160 */
 obj_t BgL_auxz00_2327;
if(
TVECTORP(BgL_tvectorz00_1989))
{ /* Llib/tvector.scm 160 */
BgL_auxz00_2327 = BgL_tvectorz00_1989
; }  else 
{ 
 obj_t BgL_auxz00_2330;
BgL_auxz00_2330 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)6511)), BGl_string1800z00zz__tvectorz00, BGl_string1781z00zz__tvectorz00, BgL_tvectorz00_1989); 
FAILURE(BgL_auxz00_2330,BFALSE,BFALSE);} 
return 
BGl_tvectorzd2refzd2zz__tvectorz00(BgL_auxz00_2327);} } 

}



/* list->tvector */
BGL_EXPORTED_DEF obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_idz00_30, obj_t BgL_lz00_31)
{
{ /* Llib/tvector.scm 165 */
{ /* Llib/tvector.scm 166 */
 obj_t BgL_descrz00_1170;
BgL_descrz00_1170 = 
get_tvector_descriptor(BgL_idz00_30); 
if(
CBOOL(BgL_descrz00_1170))
{ /* Llib/tvector.scm 169 */
 obj_t BgL_allocatez00_1171; obj_t BgL_setz00_1172;
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1928z00_2338;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2339;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1672z00_1724;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1723;
if(
STRUCTP(BgL_descrz00_1170))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1723 = BgL_descrz00_1170; }  else 
{ 
 obj_t BgL_auxz00_2342;
BgL_auxz00_2342 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1801z00zz__tvectorz00, BGl_string1783z00zz__tvectorz00, BgL_descrz00_1170); 
FAILURE(BgL_auxz00_2342,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1719z00_2039;
BgL_aux1719z00_2039 = 
STRUCT_KEY(BgL_sz00_1723); 
if(
SYMBOLP(BgL_aux1719z00_2039))
{ /* Llib/tvector.scm 113 */
BgL_res1672z00_1724 = BgL_aux1719z00_2039; }  else 
{ 
 obj_t BgL_auxz00_2349;
BgL_auxz00_2349 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1801z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_aux1719z00_2039); 
FAILURE(BgL_auxz00_2349,BFALSE,BFALSE);} } } 
BgL_tmpz00_2339 = BgL_res1672z00_1724; } 
BgL_test1928z00_2338 = 
(BgL_tmpz00_2339==BGl_symbol1785z00zz__tvectorz00); } 
if(BgL_test1928z00_2338)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2354;
BgL_tmpz00_2354 = 
(int)(((long)1)); 
BgL_allocatez00_1171 = 
STRUCT_REF(BgL_descrz00_1170, BgL_tmpz00_2354); }  else 
{ /* Llib/tvector.scm 113 */
BgL_allocatez00_1171 = 
BGl_errorz00zz__errorz00(BGl_string1787z00zz__tvectorz00, BGl_string1786z00zz__tvectorz00, BgL_descrz00_1170); } } 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1931z00_2358;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2359;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1673z00_1728;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1727;
if(
STRUCTP(BgL_descrz00_1170))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1727 = BgL_descrz00_1170; }  else 
{ 
 obj_t BgL_auxz00_2362;
BgL_auxz00_2362 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1801z00zz__tvectorz00, BGl_string1783z00zz__tvectorz00, BgL_descrz00_1170); 
FAILURE(BgL_auxz00_2362,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1723z00_2043;
BgL_aux1723z00_2043 = 
STRUCT_KEY(BgL_sz00_1727); 
if(
SYMBOLP(BgL_aux1723z00_2043))
{ /* Llib/tvector.scm 113 */
BgL_res1673z00_1728 = BgL_aux1723z00_2043; }  else 
{ 
 obj_t BgL_auxz00_2369;
BgL_auxz00_2369 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1801z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_aux1723z00_2043); 
FAILURE(BgL_auxz00_2369,BFALSE,BFALSE);} } } 
BgL_tmpz00_2359 = BgL_res1673z00_1728; } 
BgL_test1931z00_2358 = 
(BgL_tmpz00_2359==BGl_symbol1785z00zz__tvectorz00); } 
if(BgL_test1931z00_2358)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2374;
BgL_tmpz00_2374 = 
(int)(((long)3)); 
BgL_setz00_1172 = 
STRUCT_REF(BgL_descrz00_1170, BgL_tmpz00_2374); }  else 
{ /* Llib/tvector.scm 113 */
BgL_setz00_1172 = 
BGl_errorz00zz__errorz00(BGl_string1787z00zz__tvectorz00, BGl_string1786z00zz__tvectorz00, BgL_descrz00_1170); } } 
if(
PROCEDUREP(BgL_setz00_1172))
{ /* Llib/tvector.scm 175 */
 long BgL_lenz00_1174;
BgL_lenz00_1174 = 
bgl_list_length(BgL_lz00_31); 
{ /* Llib/tvector.scm 175 */
 obj_t BgL_tvecz00_1175;
{ /* Llib/tvector.scm 176 */
 obj_t BgL_funz00_2047;
if(
PROCEDUREP(BgL_allocatez00_1171))
{ /* Llib/tvector.scm 176 */
BgL_funz00_2047 = BgL_allocatez00_1171; }  else 
{ 
 obj_t BgL_auxz00_2383;
BgL_auxz00_2383 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)7157)), BGl_string1801z00zz__tvectorz00, BGl_string1798z00zz__tvectorz00, BgL_allocatez00_1171); 
FAILURE(BgL_auxz00_2383,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_2047, ((long)1)))
{ /* Llib/tvector.scm 176 */
BgL_tvecz00_1175 = 
PROCEDURE_ENTRY(BgL_funz00_2047)(BgL_allocatez00_1171, 
BINT(BgL_lenz00_1174), BEOA); }  else 
{ /* Llib/tvector.scm 176 */
FAILURE(BGl_string1802z00zz__tvectorz00,BGl_list1803z00zz__tvectorz00,BgL_funz00_2047);} } 
{ /* Llib/tvector.scm 176 */

{ 
 obj_t BgL_lz00_1733; long BgL_iz00_1734;
BgL_lz00_1733 = BgL_lz00_31; 
BgL_iz00_1734 = ((long)0); 
BgL_loopz00_1732:
if(
NULLP(BgL_lz00_1733))
{ /* Llib/tvector.scm 179 */
return BgL_tvecz00_1175;}  else 
{ /* Llib/tvector.scm 179 */
{ /* Llib/tvector.scm 182 */
 obj_t BgL_arg1253z00_1736;
{ /* Llib/tvector.scm 182 */
 obj_t BgL_pairz00_1737;
if(
PAIRP(BgL_lz00_1733))
{ /* Llib/tvector.scm 182 */
BgL_pairz00_1737 = BgL_lz00_1733; }  else 
{ 
 obj_t BgL_auxz00_2399;
BgL_auxz00_2399 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)7287)), BGl_string1810z00zz__tvectorz00, BGl_string1811z00zz__tvectorz00, BgL_lz00_1733); 
FAILURE(BgL_auxz00_2399,BFALSE,BFALSE);} 
BgL_arg1253z00_1736 = 
CAR(BgL_pairz00_1737); } 
if(
PROCEDURE_CORRECT_ARITYP(
((obj_t)BgL_setz00_1172), ((long)3)))
{ /* Llib/tvector.scm 182 */
 obj_t BgL_tmpfunz00_2413;
BgL_tmpfunz00_2413 = 
((obj_t)BgL_setz00_1172); 
PROCEDURE_ENTRY(BgL_tmpfunz00_2413)(BgL_setz00_1172, BgL_tvecz00_1175, 
BINT(BgL_iz00_1734), BgL_arg1253z00_1736, BEOA); }  else 
{ 
 obj_t BgL_auxz00_2415;
BgL_auxz00_2415 = 
((obj_t)BgL_setz00_1172); 
FAILURE(BGl_string1812z00zz__tvectorz00,BGl_list1813z00zz__tvectorz00,BgL_auxz00_2415);} } 
{ /* Llib/tvector.scm 183 */
 obj_t BgL_arg1254z00_1738; long BgL_arg1255z00_1739;
{ /* Llib/tvector.scm 183 */
 obj_t BgL_pairz00_1740;
if(
PAIRP(BgL_lz00_1733))
{ /* Llib/tvector.scm 183 */
BgL_pairz00_1740 = BgL_lz00_1733; }  else 
{ 
 obj_t BgL_auxz00_2420;
BgL_auxz00_2420 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)7311)), BGl_string1810z00zz__tvectorz00, BGl_string1811z00zz__tvectorz00, BgL_lz00_1733); 
FAILURE(BgL_auxz00_2420,BFALSE,BFALSE);} 
BgL_arg1254z00_1738 = 
CDR(BgL_pairz00_1740); } 
BgL_arg1255z00_1739 = 
(BgL_iz00_1734+((long)1)); 
{ 
 long BgL_iz00_2427; obj_t BgL_lz00_2426;
BgL_lz00_2426 = BgL_arg1254z00_1738; 
BgL_iz00_2427 = BgL_arg1255z00_1739; 
BgL_iz00_1734 = BgL_iz00_2427; 
BgL_lz00_1733 = BgL_lz00_2426; 
goto BgL_loopz00_1732;} } } } } } }  else 
{ /* Llib/tvector.scm 171 */
return 
BGl_errorz00zz__errorz00(BGl_string1801z00zz__tvectorz00, BGl_string1822z00zz__tvectorz00, BgL_idz00_30);} }  else 
{ /* Llib/tvector.scm 167 */
return 
BGl_errorz00zz__errorz00(BGl_string1801z00zz__tvectorz00, BGl_string1823z00zz__tvectorz00, BgL_idz00_30);} } } 

}



/* &list->tvector */
obj_t BGl_z62listzd2ze3tvectorz53zz__tvectorz00(obj_t BgL_envz00_1990, obj_t BgL_idz00_1991, obj_t BgL_lz00_1992)
{
{ /* Llib/tvector.scm 165 */
{ /* Llib/tvector.scm 166 */
 obj_t BgL_auxz00_2437; obj_t BgL_auxz00_2430;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_lz00_1992))
{ /* Llib/tvector.scm 166 */
BgL_auxz00_2437 = BgL_lz00_1992
; }  else 
{ 
 obj_t BgL_auxz00_2440;
BgL_auxz00_2440 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)6812)), BGl_string1824z00zz__tvectorz00, BGl_string1825z00zz__tvectorz00, BgL_lz00_1992); 
FAILURE(BgL_auxz00_2440,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_idz00_1991))
{ /* Llib/tvector.scm 166 */
BgL_auxz00_2430 = BgL_idz00_1991
; }  else 
{ 
 obj_t BgL_auxz00_2433;
BgL_auxz00_2433 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)6812)), BGl_string1824z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_idz00_1991); 
FAILURE(BgL_auxz00_2433,BFALSE,BFALSE);} 
return 
BGl_listzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_2430, BgL_auxz00_2437);} } 

}



/* vector->tvector */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_idz00_32, obj_t BgL_vz00_33)
{
{ /* Llib/tvector.scm 188 */
{ /* Llib/tvector.scm 189 */
 obj_t BgL_descrz00_1185;
BgL_descrz00_1185 = 
get_tvector_descriptor(BgL_idz00_32); 
if(
CBOOL(BgL_descrz00_1185))
{ /* Llib/tvector.scm 192 */
 obj_t BgL_allocatez00_1186; obj_t BgL_setz00_1187;
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1944z00_2448;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2449;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1674z00_1745;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1744;
if(
STRUCTP(BgL_descrz00_1185))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1744 = BgL_descrz00_1185; }  else 
{ 
 obj_t BgL_auxz00_2452;
BgL_auxz00_2452 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1826z00zz__tvectorz00, BGl_string1783z00zz__tvectorz00, BgL_descrz00_1185); 
FAILURE(BgL_auxz00_2452,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1743z00_2065;
BgL_aux1743z00_2065 = 
STRUCT_KEY(BgL_sz00_1744); 
if(
SYMBOLP(BgL_aux1743z00_2065))
{ /* Llib/tvector.scm 113 */
BgL_res1674z00_1745 = BgL_aux1743z00_2065; }  else 
{ 
 obj_t BgL_auxz00_2459;
BgL_auxz00_2459 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1826z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_aux1743z00_2065); 
FAILURE(BgL_auxz00_2459,BFALSE,BFALSE);} } } 
BgL_tmpz00_2449 = BgL_res1674z00_1745; } 
BgL_test1944z00_2448 = 
(BgL_tmpz00_2449==BGl_symbol1785z00zz__tvectorz00); } 
if(BgL_test1944z00_2448)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2464;
BgL_tmpz00_2464 = 
(int)(((long)1)); 
BgL_allocatez00_1186 = 
STRUCT_REF(BgL_descrz00_1185, BgL_tmpz00_2464); }  else 
{ /* Llib/tvector.scm 113 */
BgL_allocatez00_1186 = 
BGl_errorz00zz__errorz00(BGl_string1787z00zz__tvectorz00, BGl_string1786z00zz__tvectorz00, BgL_descrz00_1185); } } 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1947z00_2468;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2469;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1675z00_1749;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1748;
if(
STRUCTP(BgL_descrz00_1185))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1748 = BgL_descrz00_1185; }  else 
{ 
 obj_t BgL_auxz00_2472;
BgL_auxz00_2472 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1826z00zz__tvectorz00, BGl_string1783z00zz__tvectorz00, BgL_descrz00_1185); 
FAILURE(BgL_auxz00_2472,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1747z00_2069;
BgL_aux1747z00_2069 = 
STRUCT_KEY(BgL_sz00_1748); 
if(
SYMBOLP(BgL_aux1747z00_2069))
{ /* Llib/tvector.scm 113 */
BgL_res1675z00_1749 = BgL_aux1747z00_2069; }  else 
{ 
 obj_t BgL_auxz00_2479;
BgL_auxz00_2479 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1826z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_aux1747z00_2069); 
FAILURE(BgL_auxz00_2479,BFALSE,BFALSE);} } } 
BgL_tmpz00_2469 = BgL_res1675z00_1749; } 
BgL_test1947z00_2468 = 
(BgL_tmpz00_2469==BGl_symbol1785z00zz__tvectorz00); } 
if(BgL_test1947z00_2468)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2484;
BgL_tmpz00_2484 = 
(int)(((long)3)); 
BgL_setz00_1187 = 
STRUCT_REF(BgL_descrz00_1185, BgL_tmpz00_2484); }  else 
{ /* Llib/tvector.scm 113 */
BgL_setz00_1187 = 
BGl_errorz00zz__errorz00(BGl_string1787z00zz__tvectorz00, BGl_string1786z00zz__tvectorz00, BgL_descrz00_1185); } } 
if(
PROCEDUREP(BgL_setz00_1187))
{ /* Llib/tvector.scm 198 */
 obj_t BgL_tvecz00_1190;
{ /* Llib/tvector.scm 199 */
 obj_t BgL_funz00_2073;
if(
PROCEDUREP(BgL_allocatez00_1186))
{ /* Llib/tvector.scm 199 */
BgL_funz00_2073 = BgL_allocatez00_1186; }  else 
{ 
 obj_t BgL_auxz00_2492;
BgL_auxz00_2492 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)7963)), BGl_string1826z00zz__tvectorz00, BGl_string1798z00zz__tvectorz00, BgL_allocatez00_1186); 
FAILURE(BgL_auxz00_2492,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_2073, ((long)1)))
{ /* Llib/tvector.scm 199 */
BgL_tvecz00_1190 = 
PROCEDURE_ENTRY(BgL_funz00_2073)(BgL_allocatez00_1186, 
BINT(
VECTOR_LENGTH(BgL_vz00_33)), BEOA); }  else 
{ /* Llib/tvector.scm 199 */
FAILURE(BGl_string1827z00zz__tvectorz00,BGl_list1803z00zz__tvectorz00,BgL_funz00_2073);} } 
{ /* Llib/tvector.scm 199 */

{ /* Llib/tvector.scm 200 */
 long BgL_g1040z00_1191;
BgL_g1040z00_1191 = 
(
VECTOR_LENGTH(BgL_vz00_33)-((long)1)); 
{ 
 long BgL_iz00_1193;
BgL_iz00_1193 = BgL_g1040z00_1191; 
BgL_zc3z04anonymousza31257ze3z87_1194:
if(
(BgL_iz00_1193==((long)-1)))
{ /* Llib/tvector.scm 201 */
return BgL_tvecz00_1190;}  else 
{ /* Llib/tvector.scm 201 */
{ /* Llib/tvector.scm 204 */
 obj_t BgL_arg1259z00_1196;
{ /* Llib/tvector.scm 204 */
 bool_t BgL_test1954z00_2509;
{ /* Llib/tvector.scm 204 */
 long BgL_tmpz00_2510;
BgL_tmpz00_2510 = 
VECTOR_LENGTH(BgL_vz00_33); 
BgL_test1954z00_2509 = 
BOUND_CHECK(BgL_iz00_1193, BgL_tmpz00_2510); } 
if(BgL_test1954z00_2509)
{ /* Llib/tvector.scm 204 */
BgL_arg1259z00_1196 = 
VECTOR_REF(BgL_vz00_33,BgL_iz00_1193); }  else 
{ 
 obj_t BgL_auxz00_2514;
BgL_auxz00_2514 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)8083)), BGl_string1828z00zz__tvectorz00, BgL_vz00_33, 
(int)(
VECTOR_LENGTH(BgL_vz00_33)), 
(int)(BgL_iz00_1193)); 
FAILURE(BgL_auxz00_2514,BFALSE,BFALSE);} } 
if(
PROCEDURE_CORRECT_ARITYP(
((obj_t)BgL_setz00_1187), ((long)3)))
{ /* Llib/tvector.scm 204 */
 obj_t BgL_tmpfunz00_2530;
BgL_tmpfunz00_2530 = 
((obj_t)BgL_setz00_1187); 
PROCEDURE_ENTRY(BgL_tmpfunz00_2530)(BgL_setz00_1187, BgL_tvecz00_1190, 
BINT(BgL_iz00_1193), BgL_arg1259z00_1196, BEOA); }  else 
{ 
 obj_t BgL_auxz00_2532;
BgL_auxz00_2532 = 
((obj_t)BgL_setz00_1187); 
FAILURE(BGl_string1812z00zz__tvectorz00,BGl_list1829z00zz__tvectorz00,BgL_auxz00_2532);} } 
{ 
 long BgL_iz00_2535;
BgL_iz00_2535 = 
(BgL_iz00_1193-((long)1)); 
BgL_iz00_1193 = BgL_iz00_2535; 
goto BgL_zc3z04anonymousza31257ze3z87_1194;} } } } } }  else 
{ /* Llib/tvector.scm 194 */
return 
BGl_errorz00zz__errorz00(BGl_string1826z00zz__tvectorz00, BGl_string1822z00zz__tvectorz00, BgL_idz00_32);} }  else 
{ /* Llib/tvector.scm 190 */
return 
BGl_errorz00zz__errorz00(BGl_string1826z00zz__tvectorz00, BGl_string1823z00zz__tvectorz00, BgL_idz00_32);} } } 

}



/* &vector->tvector */
obj_t BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00(obj_t BgL_envz00_1993, obj_t BgL_idz00_1994, obj_t BgL_vz00_1995)
{
{ /* Llib/tvector.scm 188 */
{ /* Llib/tvector.scm 189 */
 obj_t BgL_auxz00_2546; obj_t BgL_auxz00_2539;
if(
VECTORP(BgL_vz00_1995))
{ /* Llib/tvector.scm 189 */
BgL_auxz00_2546 = BgL_vz00_1995
; }  else 
{ 
 obj_t BgL_auxz00_2549;
BgL_auxz00_2549 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)7607)), BGl_string1832z00zz__tvectorz00, BGl_string1833z00zz__tvectorz00, BgL_vz00_1995); 
FAILURE(BgL_auxz00_2549,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_idz00_1994))
{ /* Llib/tvector.scm 189 */
BgL_auxz00_2539 = BgL_idz00_1994
; }  else 
{ 
 obj_t BgL_auxz00_2542;
BgL_auxz00_2542 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)7607)), BGl_string1832z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_idz00_1994); 
FAILURE(BgL_auxz00_2542,BFALSE,BFALSE);} 
return 
BGl_vectorzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_2539, BgL_auxz00_2546);} } 

}



/* tvector->vector */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t BgL_tvz00_34)
{
{ /* Llib/tvector.scm 210 */
{ /* Llib/tvector.scm 211 */
 obj_t BgL_descrz00_1199;
BgL_descrz00_1199 = 
TVECTOR_DESCR(BgL_tvz00_34); 
{ /* Llib/tvector.scm 212 */
 obj_t BgL_allocatez00_1200; obj_t BgL_refz00_1201;
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1958z00_2555;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2556;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1676z00_1759;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1758;
if(
STRUCTP(BgL_descrz00_1199))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1758 = BgL_descrz00_1199; }  else 
{ 
 obj_t BgL_auxz00_2559;
BgL_auxz00_2559 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1834z00zz__tvectorz00, BGl_string1783z00zz__tvectorz00, BgL_descrz00_1199); 
FAILURE(BgL_auxz00_2559,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1763z00_2087;
BgL_aux1763z00_2087 = 
STRUCT_KEY(BgL_sz00_1758); 
if(
SYMBOLP(BgL_aux1763z00_2087))
{ /* Llib/tvector.scm 113 */
BgL_res1676z00_1759 = BgL_aux1763z00_2087; }  else 
{ 
 obj_t BgL_auxz00_2566;
BgL_auxz00_2566 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1834z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_aux1763z00_2087); 
FAILURE(BgL_auxz00_2566,BFALSE,BFALSE);} } } 
BgL_tmpz00_2556 = BgL_res1676z00_1759; } 
BgL_test1958z00_2555 = 
(BgL_tmpz00_2556==BGl_symbol1785z00zz__tvectorz00); } 
if(BgL_test1958z00_2555)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2571;
BgL_tmpz00_2571 = 
(int)(((long)1)); 
BgL_allocatez00_1200 = 
STRUCT_REF(BgL_descrz00_1199, BgL_tmpz00_2571); }  else 
{ /* Llib/tvector.scm 113 */
BgL_allocatez00_1200 = 
BGl_errorz00zz__errorz00(BGl_string1787z00zz__tvectorz00, BGl_string1786z00zz__tvectorz00, BgL_descrz00_1199); } } 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1961z00_2575;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2576;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1677z00_1763;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1762;
if(
STRUCTP(BgL_descrz00_1199))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1762 = BgL_descrz00_1199; }  else 
{ 
 obj_t BgL_auxz00_2579;
BgL_auxz00_2579 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1834z00zz__tvectorz00, BGl_string1783z00zz__tvectorz00, BgL_descrz00_1199); 
FAILURE(BgL_auxz00_2579,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1767z00_2091;
BgL_aux1767z00_2091 = 
STRUCT_KEY(BgL_sz00_1762); 
if(
SYMBOLP(BgL_aux1767z00_2091))
{ /* Llib/tvector.scm 113 */
BgL_res1677z00_1763 = BgL_aux1767z00_2091; }  else 
{ 
 obj_t BgL_auxz00_2586;
BgL_auxz00_2586 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1834z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_aux1767z00_2091); 
FAILURE(BgL_auxz00_2586,BFALSE,BFALSE);} } } 
BgL_tmpz00_2576 = BgL_res1677z00_1763; } 
BgL_test1961z00_2575 = 
(BgL_tmpz00_2576==BGl_symbol1785z00zz__tvectorz00); } 
if(BgL_test1961z00_2575)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2591;
BgL_tmpz00_2591 = 
(int)(((long)2)); 
BgL_refz00_1201 = 
STRUCT_REF(BgL_descrz00_1199, BgL_tmpz00_2591); }  else 
{ /* Llib/tvector.scm 113 */
BgL_refz00_1201 = 
BGl_errorz00zz__errorz00(BGl_string1787z00zz__tvectorz00, BGl_string1786z00zz__tvectorz00, BgL_descrz00_1199); } } 
if(
PROCEDUREP(BgL_refz00_1201))
{ /* Llib/tvector.scm 218 */
 int BgL_lenz00_1203;
BgL_lenz00_1203 = 
TVECTOR_LENGTH(BgL_tvz00_34); 
{ /* Llib/tvector.scm 218 */
 obj_t BgL_vecz00_1204;
BgL_vecz00_1204 = 
create_vector(
(long)(BgL_lenz00_1203)); 
{ /* Llib/tvector.scm 219 */

{ /* Llib/tvector.scm 220 */
 long BgL_g1041z00_1205;
BgL_g1041z00_1205 = 
(
(long)(BgL_lenz00_1203)-((long)1)); 
{ 
 long BgL_iz00_1207;
BgL_iz00_1207 = BgL_g1041z00_1205; 
BgL_zc3z04anonymousza31262ze3z87_1208:
if(
(BgL_iz00_1207==((long)-1)))
{ /* Llib/tvector.scm 221 */
return BgL_vecz00_1204;}  else 
{ /* Llib/tvector.scm 221 */
{ /* Llib/tvector.scm 224 */
 obj_t BgL_arg1265z00_1210;
if(
PROCEDURE_CORRECT_ARITYP(
((obj_t)BgL_refz00_1201), ((long)2)))
{ /* Llib/tvector.scm 224 */
 obj_t BgL_tmpfunz00_2612;
BgL_tmpfunz00_2612 = 
((obj_t)BgL_refz00_1201); 
BgL_arg1265z00_1210 = 
PROCEDURE_ENTRY(BgL_tmpfunz00_2612)(BgL_refz00_1201, BgL_tvz00_34, 
BINT(BgL_iz00_1207), BEOA); }  else 
{ 
 obj_t BgL_auxz00_2614;
BgL_auxz00_2614 = 
((obj_t)BgL_refz00_1201); 
FAILURE(BGl_string1812z00zz__tvectorz00,BGl_list1835z00zz__tvectorz00,BgL_auxz00_2614);} 
{ /* Llib/tvector.scm 224 */
 bool_t BgL_test1967z00_2617;
{ /* Llib/tvector.scm 224 */
 long BgL_tmpz00_2618;
BgL_tmpz00_2618 = 
VECTOR_LENGTH(BgL_vecz00_1204); 
BgL_test1967z00_2617 = 
BOUND_CHECK(BgL_iz00_1207, BgL_tmpz00_2618); } 
if(BgL_test1967z00_2617)
{ /* Llib/tvector.scm 224 */
VECTOR_SET(BgL_vecz00_1204,BgL_iz00_1207,BgL_arg1265z00_1210); }  else 
{ 
 obj_t BgL_auxz00_2622;
BgL_auxz00_2622 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)8812)), BGl_string1840z00zz__tvectorz00, BgL_vecz00_1204, 
(int)(
VECTOR_LENGTH(BgL_vecz00_1204)), 
(int)(BgL_iz00_1207)); 
FAILURE(BgL_auxz00_2622,BFALSE,BFALSE);} } } 
{ 
 long BgL_iz00_2629;
BgL_iz00_2629 = 
(BgL_iz00_1207-((long)1)); 
BgL_iz00_1207 = BgL_iz00_2629; 
goto BgL_zc3z04anonymousza31262ze3z87_1208;} } } } } } }  else 
{ /* Llib/tvector.scm 217 */
 obj_t BgL_arg1280z00_1213;
{ /* Llib/tvector.scm 105 */
 obj_t BgL_arg1156z00_1771;
BgL_arg1156z00_1771 = 
TVECTOR_DESCR(BgL_tvz00_34); 
{ /* Llib/tvector.scm 113 */
 bool_t BgL_test1968z00_2632;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_tmpz00_2633;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_res1678z00_1775;
{ /* Llib/tvector.scm 113 */
 obj_t BgL_sz00_1774;
if(
STRUCTP(BgL_arg1156z00_1771))
{ /* Llib/tvector.scm 113 */
BgL_sz00_1774 = BgL_arg1156z00_1771; }  else 
{ 
 obj_t BgL_auxz00_2636;
BgL_auxz00_2636 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1834z00zz__tvectorz00, BGl_string1783z00zz__tvectorz00, BgL_arg1156z00_1771); 
FAILURE(BgL_auxz00_2636,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 113 */
 obj_t BgL_aux1775z00_2100;
BgL_aux1775z00_2100 = 
STRUCT_KEY(BgL_sz00_1774); 
if(
SYMBOLP(BgL_aux1775z00_2100))
{ /* Llib/tvector.scm 113 */
BgL_res1678z00_1775 = BgL_aux1775z00_2100; }  else 
{ 
 obj_t BgL_auxz00_2643;
BgL_auxz00_2643 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)4320)), BGl_string1834z00zz__tvectorz00, BGl_string1784z00zz__tvectorz00, BgL_aux1775z00_2100); 
FAILURE(BgL_auxz00_2643,BFALSE,BFALSE);} } } 
BgL_tmpz00_2633 = BgL_res1678z00_1775; } 
BgL_test1968z00_2632 = 
(BgL_tmpz00_2633==BGl_symbol1785z00zz__tvectorz00); } 
if(BgL_test1968z00_2632)
{ /* Llib/tvector.scm 113 */
 int BgL_tmpz00_2648;
BgL_tmpz00_2648 = 
(int)(((long)0)); 
BgL_arg1280z00_1213 = 
STRUCT_REF(BgL_arg1156z00_1771, BgL_tmpz00_2648); }  else 
{ /* Llib/tvector.scm 113 */
BgL_arg1280z00_1213 = 
BGl_errorz00zz__errorz00(BGl_string1787z00zz__tvectorz00, BGl_string1786z00zz__tvectorz00, BgL_arg1156z00_1771); } } } 
return 
BGl_errorz00zz__errorz00(BGl_string1834z00zz__tvectorz00, BGl_string1822z00zz__tvectorz00, BgL_arg1280z00_1213);} } } } 

}



/* &tvector->vector */
obj_t BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00(obj_t BgL_envz00_1996, obj_t BgL_tvz00_1997)
{
{ /* Llib/tvector.scm 210 */
{ /* Llib/tvector.scm 211 */
 obj_t BgL_auxz00_2653;
if(
TVECTORP(BgL_tvz00_1997))
{ /* Llib/tvector.scm 211 */
BgL_auxz00_2653 = BgL_tvz00_1997
; }  else 
{ 
 obj_t BgL_auxz00_2656;
BgL_auxz00_2656 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1779z00zz__tvectorz00, 
BINT(((long)8400)), BGl_string1841z00zz__tvectorz00, BGl_string1781z00zz__tvectorz00, BgL_tvz00_1997); 
FAILURE(BgL_auxz00_2656,BFALSE,BFALSE);} 
return 
BGl_tvectorzd2ze3vectorz31zz__tvectorz00(BgL_auxz00_2653);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__tvectorz00()
{
{ /* Llib/tvector.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__tvectorz00()
{
{ /* Llib/tvector.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__tvectorz00()
{
{ /* Llib/tvector.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00()
{
{ /* Llib/tvector.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string1842z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)415464083), 
BSTRING_TO_STRING(BGl_string1842z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string1842z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1842z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string1842z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string1842z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string1842z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string1842z00zz__tvectorz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string1842z00zz__tvectorz00));} 

}

#ifdef __cplusplus
}
#endif
