/*===========================================================================*/
/*   (Match/mexpand.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Match/mexpand.scm -indent -o objs/obj_u/Match/mexpand.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_list1722z00zz__match_expandz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2matchzd2lambdaz00zz__match_expandz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31256ze3ze5zz__match_expandz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2matchzd2casez00zz__match_expandz00(obj_t);
	static obj_t BGl_list1735z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__match_expandz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__match_expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__match_s2cfunz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__match_normaliza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__match_descriptionsz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__match_compilerz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zz__match_expandz00();
	static obj_t BGl_z62zc3z04anonymousza31195ze3ze5zz__match_expandz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jimzd2gensymzd2zz__match_s2cfunz00;
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__match_expandz00();
	static obj_t BGl_genericzd2initzd2zz__match_expandz00();
	static obj_t BGl_za2thezd2emptyzd2envza2z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__match_expandz00();
	static obj_t BGl_gczd2rootszd2initz00zz__match_expandz00();
	static obj_t BGl_objectzd2initzd2zz__match_expandz00();
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62expandzd2matchzd2lambdaz62zz__match_expandz00(obj_t,
		obj_t);
	extern obj_t BGl_patternzd2variableszd2zz__match_descriptionsz00(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_pcompilez00zz__match_compilerz00(obj_t);
	static obj_t BGl_fetchzd2prototypeszd2zz__match_expandz00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__match_expandz00();
	static obj_t BGl_symbol1720z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_symbol1723z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_symbol1726z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_symbol1728z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_z62expandzd2matchzd2casez62zz__match_expandz00(obj_t, obj_t);
	static obj_t BGl_symbol1730z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_symbol1733z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_symbol1736z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_symbol1738z00zz__match_expandz00 = BUNSPEC;
	extern obj_t BGl_normaliza7ezd2patternz75zz__match_normaliza7eza7(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_list1719z00zz__match_expandz00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1721z00zz__match_expandz00,
		BgL_bgl_string1721za700za7za7_1741za7, "not", 3);
	      DEFINE_STRING(BGl_string1724z00zz__match_expandz00,
		BgL_bgl_string1724za700za7za7_1742za7, "any", 3);
	      DEFINE_STRING(BGl_string1725z00zz__match_expandz00,
		BgL_bgl_string1725za700za7za7_1743za7, "TAG-", 4);
	      DEFINE_STRING(BGl_string1727z00zz__match_expandz00,
		BgL_bgl_string1727za700za7za7_1744za7, "else", 4);
	      DEFINE_STRING(BGl_string1729z00zz__match_expandz00,
		BgL_bgl_string1729za700za7za7_1745za7, "tagged-or", 9);
	      DEFINE_STRING(BGl_string1731z00zz__match_expandz00,
		BgL_bgl_string1731za700za7za7_1746za7, "match-case", 10);
	      DEFINE_STRING(BGl_string1732z00zz__match_expandz00,
		BgL_bgl_string1732za700za7za7_1747za7, "Illegal expression", 18);
	      DEFINE_STRING(BGl_string1734z00zz__match_expandz00,
		BgL_bgl_string1734za700za7za7_1748za7, "labels", 6);
	      DEFINE_STRING(BGl_string1737z00zz__match_expandz00,
		BgL_bgl_string1737za700za7za7_1749za7, "t-or", 4);
	      DEFINE_STRING(BGl_string1739z00zz__match_expandz00,
		BgL_bgl_string1739za700za7za7_1750za7, "match-lambda", 12);
	      DEFINE_STRING(BGl_string1740z00zz__match_expandz00,
		BgL_bgl_string1740za700za7za7_1751za7, "__match_expand", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2matchzd2casezd2envzd2zz__match_expandz00,
		BgL_bgl_za762expandza7d2matc1752z00,
		BGl_z62expandzd2matchzd2casez62zz__match_expandz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2matchzd2lambdazd2envzd2zz__match_expandz00,
		BgL_bgl_za762expandza7d2matc1753z00,
		BGl_z62expandzd2matchzd2lambdaz62zz__match_expandz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_list1722z00zz__match_expandz00));
		     ADD_ROOT((void *) (&BGl_list1735z00zz__match_expandz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__match_expandz00));
		     ADD_ROOT((void
				*) (&BGl_za2thezd2emptyzd2envza2z00zz__match_expandz00));
		     ADD_ROOT((void *) (&BGl_symbol1720z00zz__match_expandz00));
		     ADD_ROOT((void *) (&BGl_symbol1723z00zz__match_expandz00));
		     ADD_ROOT((void *) (&BGl_symbol1726z00zz__match_expandz00));
		     ADD_ROOT((void *) (&BGl_symbol1728z00zz__match_expandz00));
		     ADD_ROOT((void *) (&BGl_symbol1730z00zz__match_expandz00));
		     ADD_ROOT((void *) (&BGl_symbol1733z00zz__match_expandz00));
		     ADD_ROOT((void *) (&BGl_symbol1736z00zz__match_expandz00));
		     ADD_ROOT((void *) (&BGl_symbol1738z00zz__match_expandz00));
		     ADD_ROOT((void *) (&BGl_list1719z00zz__match_expandz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__match_expandz00(long
		BgL_checksumz00_2130, char *BgL_fromz00_2131)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__match_expandz00))
				{
					BGl_requirezd2initializa7ationz75zz__match_expandz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__match_expandz00();
					BGl_cnstzd2initzd2zz__match_expandz00();
					BGl_importedzd2moduleszd2initz00zz__match_expandz00();
					return BGl_toplevelzd2initzd2zz__match_expandz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__match_expandz00()
	{
		{	/* Match/mexpand.scm 26 */
			BGl_symbol1720z00zz__match_expandz00 =
				bstring_to_symbol(BGl_string1721z00zz__match_expandz00);
			BGl_symbol1723z00zz__match_expandz00 =
				bstring_to_symbol(BGl_string1724z00zz__match_expandz00);
			BGl_list1722z00zz__match_expandz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1723z00zz__match_expandz00, BNIL);
			BGl_list1719z00zz__match_expandz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1720z00zz__match_expandz00,
				MAKE_YOUNG_PAIR(BGl_list1722z00zz__match_expandz00, BNIL));
			BGl_symbol1726z00zz__match_expandz00 =
				bstring_to_symbol(BGl_string1727z00zz__match_expandz00);
			BGl_symbol1728z00zz__match_expandz00 =
				bstring_to_symbol(BGl_string1729z00zz__match_expandz00);
			BGl_symbol1730z00zz__match_expandz00 =
				bstring_to_symbol(BGl_string1731z00zz__match_expandz00);
			BGl_symbol1733z00zz__match_expandz00 =
				bstring_to_symbol(BGl_string1734z00zz__match_expandz00);
			BGl_symbol1736z00zz__match_expandz00 =
				bstring_to_symbol(BGl_string1737z00zz__match_expandz00);
			BGl_list1735z00zz__match_expandz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1736z00zz__match_expandz00,
				MAKE_YOUNG_PAIR(BGl_symbol1728z00zz__match_expandz00, BNIL));
			return (BGl_symbol1738z00zz__match_expandz00 =
				bstring_to_symbol(BGl_string1739z00zz__match_expandz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__match_expandz00()
	{
		{	/* Match/mexpand.scm 26 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__match_expandz00()
	{
		{	/* Match/mexpand.scm 26 */
			return (BGl_za2thezd2emptyzd2envza2z00zz__match_expandz00 =
				BNIL, BUNSPEC);
		}

	}



/* expand-match-lambda */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2matchzd2lambdaz00zz__match_expandz00(obj_t
		BgL_expz00_3)
	{
		{	/* Match/mexpand.scm 74 */
			{
				obj_t BgL_clausesz00_1204;
				obj_t BgL_kz00_1205;

				{	/* Match/mexpand.scm 98 */
					obj_t BgL_arg1193z00_1207;

					BgL_arg1193z00_1207 = CDR(((obj_t) BgL_expz00_3));
					{	/* Match/mexpand.scm 100 */
						obj_t BgL_zc3z04anonymousza31195ze3z87_2082;

						{
							int BgL_tmpz00_2155;

							BgL_tmpz00_2155 = (int) (((long) 1));
							BgL_zc3z04anonymousza31195ze3z87_2082 =
								MAKE_L_PROCEDURE
								(BGl_z62zc3z04anonymousza31195ze3ze5zz__match_expandz00,
								BgL_tmpz00_2155);
						}
						PROCEDURE_L_SET(BgL_zc3z04anonymousza31195ze3z87_2082,
							(int) (((long) 0)), BgL_expz00_3);
						BgL_clausesz00_1204 = BgL_arg1193z00_1207;
						BgL_kz00_1205 = BgL_zc3z04anonymousza31195ze3z87_2082;
					BgL_clauseszd2ze3patternz31_1206:
						if (NULLP(BgL_clausesz00_1204))
							{	/* Match/mexpand.scm 78 */
								return
									PROCEDURE_L_ENTRY(BgL_kz00_1205) (BgL_kz00_1205,
									BGl_list1719z00zz__match_expandz00, BNIL);
							}
						else
							{	/* Match/mexpand.scm 80 */
								bool_t BgL_test1756z00_2167;

								{	/* Match/mexpand.scm 80 */
									obj_t BgL_tmpz00_2168;

									BgL_tmpz00_2168 = CAR(((obj_t) BgL_clausesz00_1204));
									BgL_test1756z00_2167 = PAIRP(BgL_tmpz00_2168);
								}
								if (BgL_test1756z00_2167)
									{	/* Match/mexpand.scm 83 */
										obj_t BgL_patternz00_1242;
										obj_t BgL_actionsz00_1243;
										obj_t BgL_restz00_1244;

										{	/* Match/mexpand.scm 83 */
											obj_t BgL_pairz00_1758;

											BgL_pairz00_1758 = CAR(((obj_t) BgL_clausesz00_1204));
											BgL_patternz00_1242 = CAR(BgL_pairz00_1758);
										}
										{	/* Match/mexpand.scm 84 */
											obj_t BgL_pairz00_1762;

											BgL_pairz00_1762 = CAR(((obj_t) BgL_clausesz00_1204));
											BgL_actionsz00_1243 = CDR(BgL_pairz00_1762);
										}
										BgL_restz00_1244 = CDR(((obj_t) BgL_clausesz00_1204));
										{	/* Match/mexpand.scm 86 */
											obj_t BgL_tagz00_1245;

											BgL_tagz00_1245 =
												PROCEDURE_ENTRY(BGl_jimzd2gensymzd2zz__match_s2cfunz00)
												(BGl_jimzd2gensymzd2zz__match_s2cfunz00,
												BGl_string1725z00zz__match_expandz00, BEOA);
											if ((BgL_patternz00_1242 ==
													BGl_symbol1726z00zz__match_expandz00))
												{	/* Match/mexpand.scm 88 */
													obj_t BgL_arg1236z00_1247;
													obj_t BgL_arg1237z00_1248;

													{	/* Match/mexpand.scm 88 */
														obj_t BgL_arg1240z00_1249;

														{	/* Match/mexpand.scm 88 */
															obj_t BgL_arg1243z00_1250;
															obj_t BgL_arg1245z00_1251;

															BgL_arg1243z00_1250 =
																MAKE_YOUNG_PAIR
																(BGl_symbol1723z00zz__match_expandz00, BNIL);
															{	/* Match/mexpand.scm 88 */
																obj_t BgL_arg1246z00_1252;

																{	/* Match/mexpand.scm 88 */
																	obj_t BgL_arg1247z00_1253;

																	{	/* Match/mexpand.scm 88 */
																		obj_t BgL_arg1253z00_1254;

																		{	/* Match/mexpand.scm 88 */
																			obj_t BgL_arg1254z00_1255;

																			BgL_arg1254z00_1255 =
																				MAKE_YOUNG_PAIR
																				(BGl_symbol1723z00zz__match_expandz00,
																				BNIL);
																			BgL_arg1253z00_1254 =
																				MAKE_YOUNG_PAIR(BgL_arg1254z00_1255,
																				BNIL);
																		}
																		BgL_arg1247z00_1253 =
																			MAKE_YOUNG_PAIR
																			(BGl_symbol1720z00zz__match_expandz00,
																			BgL_arg1253z00_1254);
																	}
																	BgL_arg1246z00_1252 =
																		MAKE_YOUNG_PAIR(BgL_arg1247z00_1253, BNIL);
																}
																BgL_arg1245z00_1251 =
																	MAKE_YOUNG_PAIR(BgL_tagz00_1245,
																	BgL_arg1246z00_1252);
															}
															BgL_arg1240z00_1249 =
																MAKE_YOUNG_PAIR(BgL_arg1243z00_1250,
																BgL_arg1245z00_1251);
														}
														BgL_arg1236z00_1247 =
															MAKE_YOUNG_PAIR
															(BGl_symbol1728z00zz__match_expandz00,
															BgL_arg1240z00_1249);
													}
													{	/* Match/mexpand.scm 131 */
														obj_t BgL_arg1318z00_1764;

														BgL_arg1318z00_1764 =
															MAKE_YOUNG_PAIR(BgL_tagz00_1245,
															BgL_actionsz00_1243);
														BgL_arg1237z00_1248 =
															MAKE_YOUNG_PAIR(BgL_arg1318z00_1764, BNIL);
													}
													return
														PROCEDURE_L_ENTRY(BgL_kz00_1205) (BgL_kz00_1205,
														BgL_arg1236z00_1247, BgL_arg1237z00_1248);
												}
											else
												{	/* Match/mexpand.scm 93 */
													obj_t BgL_zc3z04anonymousza31256ze3z87_2083;

													{
														int BgL_tmpz00_2201;

														BgL_tmpz00_2201 = (int) (((long) 4));
														BgL_zc3z04anonymousza31256ze3z87_2083 =
															MAKE_L_PROCEDURE
															(BGl_z62zc3z04anonymousza31256ze3ze5zz__match_expandz00,
															BgL_tmpz00_2201);
													}
													PROCEDURE_L_SET(BgL_zc3z04anonymousza31256ze3z87_2083,
														(int) (((long) 0)), BgL_patternz00_1242);
													PROCEDURE_L_SET(BgL_zc3z04anonymousza31256ze3z87_2083,
														(int) (((long) 1)), BgL_tagz00_1245);
													PROCEDURE_L_SET(BgL_zc3z04anonymousza31256ze3z87_2083,
														(int) (((long) 2)), BgL_actionsz00_1243);
													PROCEDURE_L_SET(BgL_zc3z04anonymousza31256ze3z87_2083,
														(int) (((long) 3)), BgL_kz00_1205);
													{
														obj_t BgL_kz00_2213;
														obj_t BgL_clausesz00_2212;

														BgL_clausesz00_2212 = BgL_restz00_1244;
														BgL_kz00_2213 =
															BgL_zc3z04anonymousza31256ze3z87_2083;
														BgL_kz00_1205 = BgL_kz00_2213;
														BgL_clausesz00_1204 = BgL_clausesz00_2212;
														goto BgL_clauseszd2ze3patternz31_1206;
													}
												}
										}
									}
								else
									{	/* Match/mexpand.scm 80 */
										return
											BGl_errorz00zz__errorz00
											(BGl_symbol1730z00zz__match_expandz00,
											BGl_string1732z00zz__match_expandz00, BgL_expz00_3);
									}
							}
					}
				}
			}
		}

	}



/* &expand-match-lambda */
	obj_t BGl_z62expandzd2matchzd2lambdaz62zz__match_expandz00(obj_t
		BgL_envz00_2084, obj_t BgL_expz00_2085)
	{
		{	/* Match/mexpand.scm 74 */
			return BGl_expandzd2matchzd2lambdaz00zz__match_expandz00(BgL_expz00_2085);
		}

	}



/* &<@anonymous:1195> */
	obj_t BGl_z62zc3z04anonymousza31195ze3ze5zz__match_expandz00(obj_t
		BgL_envz00_2086, obj_t BgL_patz00_2088, obj_t BgL_envz00_2089)
	{
		{	/* Match/mexpand.scm 99 */
			{	/* Match/mexpand.scm 100 */
				obj_t BgL_expz00_2087;

				BgL_expz00_2087 = PROCEDURE_L_REF(BgL_envz00_2086, (int) (((long) 0)));
				{	/* Match/mexpand.scm 100 */
					obj_t BgL_compiledzd2patzd2_2101;
					obj_t BgL_prototypesz00_2102;

					BgL_compiledzd2patzd2_2101 =
						BGl_pcompilez00zz__match_compilerz00(BgL_patz00_2088);
					BgL_prototypesz00_2102 =
						BGl_fetchzd2prototypeszd2zz__match_expandz00(BgL_patz00_2088);
					{	/* Match/mexpand.scm 105 */
						obj_t BgL_arg1196z00_2103;

						{	/* Match/mexpand.scm 105 */
							obj_t BgL_arg1199z00_2104;
							obj_t BgL_arg1203z00_2105;

							{	/* Match/mexpand.scm 105 */
								obj_t BgL_arg1204z00_2106;

								if (NULLP(BgL_prototypesz00_2102))
									{	/* Match/mexpand.scm 105 */
										BgL_arg1204z00_2106 = BNIL;
									}
								else
									{	/* Match/mexpand.scm 105 */
										obj_t BgL_head1088z00_2107;

										BgL_head1088z00_2107 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1086z00_2109;
											obj_t BgL_tail1089z00_2110;

											BgL_l1086z00_2109 = BgL_prototypesz00_2102;
											BgL_tail1089z00_2110 = BgL_head1088z00_2107;
										BgL_zc3z04anonymousza31206ze3z87_2108:
											if (NULLP(BgL_l1086z00_2109))
												{	/* Match/mexpand.scm 105 */
													BgL_arg1204z00_2106 = CDR(BgL_head1088z00_2107);
												}
											else
												{	/* Match/mexpand.scm 105 */
													obj_t BgL_newtail1090z00_2111;

													{	/* Match/mexpand.scm 105 */
														obj_t BgL_arg1209z00_2112;

														{	/* Match/mexpand.scm 105 */
															obj_t BgL_prototypez00_2113;

															BgL_prototypez00_2113 =
																CAR(((obj_t) BgL_l1086z00_2109));
															{	/* Match/mexpand.scm 107 */
																obj_t BgL_bodyz00_2114;

																{	/* Match/mexpand.scm 107 */
																	obj_t BgL_pairz00_2115;

																	BgL_pairz00_2115 =
																		BGl_assqz00zz__r4_pairs_and_lists_6_3z00(CAR
																		(((obj_t) BgL_prototypez00_2113)),
																		BgL_envz00_2089);
																	BgL_bodyz00_2114 = CDR(BgL_pairz00_2115);
																}
																if (NULLP(BgL_bodyz00_2114))
																	{	/* Match/mexpand.scm 108 */
																		BgL_arg1209z00_2112 =
																			BGl_errorz00zz__errorz00
																			(BGl_symbol1730z00zz__match_expandz00,
																			BGl_string1732z00zz__match_expandz00,
																			BgL_expz00_2087);
																	}
																else
																	{	/* Match/mexpand.scm 110 */
																		obj_t BgL_arg1212z00_2116;
																		obj_t BgL_arg1216z00_2117;

																		BgL_arg1212z00_2116 =
																			CAR(((obj_t) BgL_prototypez00_2113));
																		{	/* Match/mexpand.scm 111 */
																			obj_t BgL_arg1217z00_2118;

																			{	/* Match/mexpand.scm 111 */
																				obj_t BgL_pairz00_2119;

																				BgL_pairz00_2119 =
																					CDR(((obj_t) BgL_prototypez00_2113));
																				BgL_arg1217z00_2118 =
																					CAR(BgL_pairz00_2119);
																			}
																			BgL_arg1216z00_2117 =
																				MAKE_YOUNG_PAIR(BgL_arg1217z00_2118,
																				BgL_bodyz00_2114);
																		}
																		BgL_arg1209z00_2112 =
																			MAKE_YOUNG_PAIR(BgL_arg1212z00_2116,
																			BgL_arg1216z00_2117);
																	}
															}
														}
														BgL_newtail1090z00_2111 =
															MAKE_YOUNG_PAIR(BgL_arg1209z00_2112, BNIL);
													}
													SET_CDR(BgL_tail1089z00_2110,
														BgL_newtail1090z00_2111);
													{	/* Match/mexpand.scm 105 */
														obj_t BgL_arg1208z00_2120;

														BgL_arg1208z00_2120 =
															CDR(((obj_t) BgL_l1086z00_2109));
														{
															obj_t BgL_tail1089z00_2247;
															obj_t BgL_l1086z00_2246;

															BgL_l1086z00_2246 = BgL_arg1208z00_2120;
															BgL_tail1089z00_2247 = BgL_newtail1090z00_2111;
															BgL_tail1089z00_2110 = BgL_tail1089z00_2247;
															BgL_l1086z00_2109 = BgL_l1086z00_2246;
															goto BgL_zc3z04anonymousza31206ze3z87_2108;
														}
													}
												}
										}
									}
								BgL_arg1199z00_2104 =
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1204z00_2106, BNIL);
							}
							BgL_arg1203z00_2105 =
								MAKE_YOUNG_PAIR(BgL_compiledzd2patzd2_2101, BNIL);
							BgL_arg1196z00_2103 =
								MAKE_YOUNG_PAIR(BgL_arg1199z00_2104, BgL_arg1203z00_2105);
						}
						return
							MAKE_YOUNG_PAIR(BGl_symbol1733z00zz__match_expandz00,
							BgL_arg1196z00_2103);
					}
				}
			}
		}

	}



/* &<@anonymous:1256> */
	obj_t BGl_z62zc3z04anonymousza31256ze3ze5zz__match_expandz00(obj_t
		BgL_envz00_2090, obj_t BgL_patz00_2095, obj_t BgL_envz00_2096)
	{
		{	/* Match/mexpand.scm 92 */
			{	/* Match/mexpand.scm 93 */
				obj_t BgL_patternz00_2091;
				obj_t BgL_tagz00_2092;
				obj_t BgL_actionsz00_2093;
				obj_t BgL_kz00_2094;

				BgL_patternz00_2091 =
					PROCEDURE_L_REF(BgL_envz00_2090, (int) (((long) 0)));
				BgL_tagz00_2092 = PROCEDURE_L_REF(BgL_envz00_2090, (int) (((long) 1)));
				BgL_actionsz00_2093 =
					PROCEDURE_L_REF(BgL_envz00_2090, (int) (((long) 2)));
				BgL_kz00_2094 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_2090, (int) (((long) 3))));
				{	/* Match/mexpand.scm 93 */
					obj_t BgL_arg1257z00_2123;
					obj_t BgL_arg1258z00_2124;

					{	/* Match/mexpand.scm 93 */
						obj_t BgL_arg1259z00_2125;

						{	/* Match/mexpand.scm 93 */
							obj_t BgL_arg1260z00_2126;
							obj_t BgL_arg1261z00_2127;

							BgL_arg1260z00_2126 =
								BGl_normaliza7ezd2patternz75zz__match_normaliza7eza7
								(BgL_patternz00_2091);
							{	/* Match/mexpand.scm 93 */
								obj_t BgL_arg1265z00_2128;

								BgL_arg1265z00_2128 = MAKE_YOUNG_PAIR(BgL_patz00_2095, BNIL);
								BgL_arg1261z00_2127 =
									MAKE_YOUNG_PAIR(BgL_tagz00_2092, BgL_arg1265z00_2128);
							}
							BgL_arg1259z00_2125 =
								MAKE_YOUNG_PAIR(BgL_arg1260z00_2126, BgL_arg1261z00_2127);
						}
						BgL_arg1257z00_2123 =
							MAKE_YOUNG_PAIR(BGl_symbol1728z00zz__match_expandz00,
							BgL_arg1259z00_2125);
					}
					{	/* Match/mexpand.scm 131 */
						obj_t BgL_arg1318z00_2129;

						BgL_arg1318z00_2129 =
							MAKE_YOUNG_PAIR(BgL_tagz00_2092, BgL_actionsz00_2093);
						BgL_arg1258z00_2124 =
							MAKE_YOUNG_PAIR(BgL_arg1318z00_2129, BgL_envz00_2096);
					}
					return
						PROCEDURE_L_ENTRY(BgL_kz00_2094) (BgL_kz00_2094,
						BgL_arg1257z00_2123, BgL_arg1258z00_2124);
				}
			}
		}

	}



/* fetch-prototypes */
	obj_t BGl_fetchzd2prototypeszd2zz__match_expandz00(obj_t BgL_patz00_4)
	{
		{	/* Match/mexpand.scm 115 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
							((obj_t) BgL_patz00_4)), BGl_list1735z00zz__match_expandz00)))
				{	/* Match/mexpand.scm 117 */
					obj_t BgL_arg1284z00_1270;
					obj_t BgL_arg1295z00_1271;

					{	/* Match/mexpand.scm 117 */
						obj_t BgL_arg1296z00_1272;
						obj_t BgL_arg1297z00_1273;

						{	/* Match/mexpand.scm 117 */
							obj_t BgL_pairz00_1790;

							{	/* Match/mexpand.scm 117 */
								obj_t BgL_pairz00_1789;

								BgL_pairz00_1789 = CDR(((obj_t) BgL_patz00_4));
								BgL_pairz00_1790 = CDR(BgL_pairz00_1789);
							}
							BgL_arg1296z00_1272 = CAR(BgL_pairz00_1790);
						}
						{	/* Match/mexpand.scm 117 */
							obj_t BgL_arg1298z00_1274;

							{	/* Match/mexpand.scm 117 */
								obj_t BgL_arg1299z00_1275;

								{	/* Match/mexpand.scm 117 */
									obj_t BgL_pairz00_1794;

									BgL_pairz00_1794 = CDR(((obj_t) BgL_patz00_4));
									BgL_arg1299z00_1275 = CAR(BgL_pairz00_1794);
								}
								BgL_arg1298z00_1274 =
									BGl_patternzd2variableszd2zz__match_descriptionsz00
									(BgL_arg1299z00_1275);
							}
							BgL_arg1297z00_1273 = MAKE_YOUNG_PAIR(BgL_arg1298z00_1274, BNIL);
						}
						BgL_arg1284z00_1270 =
							MAKE_YOUNG_PAIR(BgL_arg1296z00_1272, BgL_arg1297z00_1273);
					}
					{	/* Match/mexpand.scm 118 */
						obj_t BgL_arg1301z00_1276;

						{	/* Match/mexpand.scm 118 */
							obj_t BgL_pairz00_1802;

							{	/* Match/mexpand.scm 118 */
								obj_t BgL_pairz00_1801;

								{	/* Match/mexpand.scm 118 */
									obj_t BgL_pairz00_1800;

									BgL_pairz00_1800 = CDR(((obj_t) BgL_patz00_4));
									BgL_pairz00_1801 = CDR(BgL_pairz00_1800);
								}
								BgL_pairz00_1802 = CDR(BgL_pairz00_1801);
							}
							BgL_arg1301z00_1276 = CAR(BgL_pairz00_1802);
						}
						BgL_arg1295z00_1271 =
							BGl_fetchzd2prototypeszd2zz__match_expandz00(BgL_arg1301z00_1276);
					}
					return MAKE_YOUNG_PAIR(BgL_arg1284z00_1270, BgL_arg1295z00_1271);
				}
			else
				{	/* Match/mexpand.scm 116 */
					return BNIL;
				}
		}

	}



/* expand-match-case */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2matchzd2casez00zz__match_expandz00(obj_t
		BgL_expz00_7)
	{
		{	/* Match/mexpand.scm 126 */
			{	/* Match/mexpand.scm 127 */
				obj_t BgL_arg1309z00_1282;
				obj_t BgL_arg1310z00_1283;

				{	/* Match/mexpand.scm 127 */
					obj_t BgL_arg1314z00_1286;

					{	/* Match/mexpand.scm 127 */
						obj_t BgL_arg1316z00_1287;

						{	/* Match/mexpand.scm 127 */
							obj_t BgL_arg1317z00_1288;

							{	/* Match/mexpand.scm 127 */
								obj_t BgL_pairz00_1814;

								BgL_pairz00_1814 = CDR(((obj_t) BgL_expz00_7));
								BgL_arg1317z00_1288 = CDR(BgL_pairz00_1814);
							}
							BgL_arg1316z00_1287 =
								MAKE_YOUNG_PAIR(BGl_symbol1738z00zz__match_expandz00,
								BgL_arg1317z00_1288);
						}
						if (EPAIRP(BgL_expz00_7))
							{	/* Match/mexpand.scm 123 */
								obj_t BgL_arg1306z00_1816;
								obj_t BgL_arg1307z00_1817;
								obj_t BgL_arg1308z00_1818;

								BgL_arg1306z00_1816 = CAR(BgL_arg1316z00_1287);
								BgL_arg1307z00_1817 = CDR(BgL_arg1316z00_1287);
								BgL_arg1308z00_1818 = CER(((obj_t) BgL_expz00_7));
								{	/* Match/mexpand.scm 123 */
									obj_t BgL_res1717z00_1822;

									BgL_res1717z00_1822 =
										MAKE_YOUNG_EPAIR(BgL_arg1306z00_1816, BgL_arg1307z00_1817,
										BgL_arg1308z00_1818);
									BgL_arg1314z00_1286 = BgL_res1717z00_1822;
								}
							}
						else
							{	/* Match/mexpand.scm 122 */
								BgL_arg1314z00_1286 = BgL_arg1316z00_1287;
							}
					}
					BgL_arg1309z00_1282 =
						BGl_expandzd2matchzd2lambdaz00zz__match_expandz00
						(BgL_arg1314z00_1286);
				}
				{	/* Match/mexpand.scm 128 */
					obj_t BgL_pairz00_1826;

					BgL_pairz00_1826 = CDR(((obj_t) BgL_expz00_7));
					BgL_arg1310z00_1283 = CAR(BgL_pairz00_1826);
				}
				{	/* Match/mexpand.scm 127 */
					obj_t BgL_list1311z00_1284;

					{	/* Match/mexpand.scm 127 */
						obj_t BgL_arg1313z00_1285;

						BgL_arg1313z00_1285 = MAKE_YOUNG_PAIR(BgL_arg1310z00_1283, BNIL);
						BgL_list1311z00_1284 =
							MAKE_YOUNG_PAIR(BgL_arg1309z00_1282, BgL_arg1313z00_1285);
					}
					return BgL_list1311z00_1284;
				}
			}
		}

	}



/* &expand-match-case */
	obj_t BGl_z62expandzd2matchzd2casez62zz__match_expandz00(obj_t
		BgL_envz00_2097, obj_t BgL_expz00_2098)
	{
		{	/* Match/mexpand.scm 126 */
			return BGl_expandzd2matchzd2casez00zz__match_expandz00(BgL_expz00_2098);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__match_expandz00()
	{
		{	/* Match/mexpand.scm 26 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__match_expandz00()
	{
		{	/* Match/mexpand.scm 26 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__match_expandz00()
	{
		{	/* Match/mexpand.scm 26 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__match_expandz00()
	{
		{	/* Match/mexpand.scm 26 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string1740z00zz__match_expandz00));
			BGl_modulezd2initializa7ationz75zz__match_compilerz00(((long) 108809663),
				BSTRING_TO_STRING(BGl_string1740z00zz__match_expandz00));
			BGl_modulezd2initializa7ationz75zz__match_descriptionsz00(((long)
					232414635), BSTRING_TO_STRING(BGl_string1740z00zz__match_expandz00));
			BGl_modulezd2initializa7ationz75zz__match_normaliza7eza7(((long)
					515155867), BSTRING_TO_STRING(BGl_string1740z00zz__match_expandz00));
			BGl_modulezd2initializa7ationz75zz__match_s2cfunz00(((long) 509060701),
				BSTRING_TO_STRING(BGl_string1740z00zz__match_expandz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string1740z00zz__match_expandz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 43287392),
				BSTRING_TO_STRING(BGl_string1740z00zz__match_expandz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 475449627),
				BSTRING_TO_STRING(BGl_string1740z00zz__match_expandz00));
			return BGl_modulezd2initializa7ationz75zz__threadz00(((long) 224967693),
				BSTRING_TO_STRING(BGl_string1740z00zz__match_expandz00));
		}

	}

#ifdef __cplusplus
}
#endif
