/*===========================================================================*/
/*   (Llib/mixer.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IUnix Llib/mixer.scm -o objs/mixer.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_mixerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_devicesz00;
} *BgL_mixerz00_bglt;


static obj_t BGl_requirezd2initializa7ationz75zz__multimediazd2mixerzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62mixerzd2volumezd2get1057z62zz__multimediazd2mixerzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__multimediazd2mixerzd2();
static obj_t BGl_genericzd2initzd2zz__multimediazd2mixerzd2();
BGL_EXPORTED_DECL obj_t BGl_mixerzd2closezd2zz__multimediazd2mixerzd2(BgL_mixerz00_bglt);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mixerzd2volumezd2getz00zz__multimediazd2mixerzd2(BgL_mixerz00_bglt, obj_t);
static obj_t BGl_objectzd2initzd2zz__multimediazd2mixerzd2();
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_mixerzd2volumezd2setz12z12zz__multimediazd2mixerzd2(BgL_mixerz00_bglt, obj_t, int, int);
static obj_t BGl_z62mixerzd2close1055zb0zz__multimediazd2mixerzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__multimediazd2mixerzd2();
static obj_t BGl_z62zc3z04anonymousza31073ze3ze5zz__multimediazd2mixerzd2(obj_t, obj_t);
static obj_t BGl_z62mixerzd2volumezd2getz62zz__multimediazd2mixerzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31083ze3ze5zz__multimediazd2mixerzd2(obj_t);
static obj_t BGl_z62mixerzd2closezb0zz__multimediazd2mixerzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static BgL_mixerz00_bglt BGl_z62lambda1069z62zz__multimediazd2mixerzd2(obj_t, obj_t);
static BgL_mixerz00_bglt BGl_z62lambda1071z62zz__multimediazd2mixerzd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mixerzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62lambda1081z62zz__multimediazd2mixerzd2(obj_t, obj_t);
static obj_t BGl_z62lambda1082z62zz__multimediazd2mixerzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62mixerzd2volumezd2setz12z70zz__multimediazd2mixerzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__multimediazd2mixerzd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2mixerzd2();
BGL_EXPORTED_DEF obj_t BGl_mixerz00zz__multimediazd2mixerzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__multimediazd2mixerzd2();
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62mixerzd2volumezd2setz121059z70zz__multimediazd2mixerzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 7 ] ;


DEFINE_EXPORT_BGL_GENERIC( BGl_mixerzd2volumezd2getzd2envzd2zz__multimediazd2mixerzd2, BgL_bgl_za762mixerza7d2volum1151z00, BGl_z62mixerzd2volumezd2getz62zz__multimediazd2mixerzd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mixerzd2closezd2envz00zz__multimediazd2mixerzd2, BgL_bgl_za762mixerza7d2close1152z00, BGl_z62mixerzd2closezb0zz__multimediazd2mixerzd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mixerzd2volumezd2setz12zd2envzc0zz__multimediazd2mixerzd2, BgL_bgl_za762mixerza7d2volum1153z00, BGl_z62mixerzd2volumezd2setz12z70zz__multimediazd2mixerzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1124z00zz__multimediazd2mixerzd2, BgL_bgl_za762za7c3za704anonymo1154za7, BGl_z62zc3z04anonymousza31083ze3ze5zz__multimediazd2mixerzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1131z00zz__multimediazd2mixerzd2, BgL_bgl_string1131za700za7za7_1155za7, "mixer-close1055", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1125z00zz__multimediazd2mixerzd2, BgL_bgl_za762lambda1082za7621156z00, BGl_z62lambda1082z62zz__multimediazd2mixerzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1126z00zz__multimediazd2mixerzd2, BgL_bgl_za762lambda1081za7621157z00, BGl_z62lambda1081z62zz__multimediazd2mixerzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1133z00zz__multimediazd2mixerzd2, BgL_bgl_string1133za700za7za7_1158za7, "mixer-volume-get1057", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1127z00zz__multimediazd2mixerzd2, BgL_bgl_za762za7c3za704anonymo1159za7, BGl_z62zc3z04anonymousza31073ze3ze5zz__multimediazd2mixerzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1128z00zz__multimediazd2mixerzd2, BgL_bgl_za762lambda1071za7621160z00, BGl_z62lambda1071z62zz__multimediazd2mixerzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1135z00zz__multimediazd2mixerzd2, BgL_bgl_string1135za700za7za7_1161za7, "mixer-volume-set!1059", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1129z00zz__multimediazd2mixerzd2, BgL_bgl_za762lambda1069za7621162z00, BGl_z62lambda1069z62zz__multimediazd2mixerzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1136z00zz__multimediazd2mixerzd2, BgL_bgl_string1136za700za7za7_1163za7, "No method for this object", 25 );
DEFINE_STRING( BGl_string1137z00zz__multimediazd2mixerzd2, BgL_bgl_string1137za700za7za7_1164za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/multimedia/src/Llib/mixer.scm", 69 );
DEFINE_STRING( BGl_string1138z00zz__multimediazd2mixerzd2, BgL_bgl_string1138za700za7za7_1165za7, "&mixer-close", 12 );
DEFINE_STRING( BGl_string1139z00zz__multimediazd2mixerzd2, BgL_bgl_string1139za700za7za7_1166za7, "mixer", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1130z00zz__multimediazd2mixerzd2, BgL_bgl_za762mixerza7d2close1167z00, BGl_z62mixerzd2close1055zb0zz__multimediazd2mixerzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1132z00zz__multimediazd2mixerzd2, BgL_bgl_za762mixerza7d2volum1168z00, BGl_z62mixerzd2volumezd2get1057z62zz__multimediazd2mixerzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1140z00zz__multimediazd2mixerzd2, BgL_bgl_string1140za700za7za7_1169za7, "&mixer-volume-get", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1134z00zz__multimediazd2mixerzd2, BgL_bgl_za762mixerza7d2volum1170z00, BGl_z62mixerzd2volumezd2setz121059z70zz__multimediazd2mixerzd2, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1141z00zz__multimediazd2mixerzd2, BgL_bgl_string1141za700za7za7_1171za7, "bstring", 7 );
DEFINE_STRING( BGl_string1142z00zz__multimediazd2mixerzd2, BgL_bgl_string1142za700za7za7_1172za7, "&mixer-volume-set!", 18 );
DEFINE_STRING( BGl_string1143z00zz__multimediazd2mixerzd2, BgL_bgl_string1143za700za7za7_1173za7, "bint", 4 );
DEFINE_STRING( BGl_string1144z00zz__multimediazd2mixerzd2, BgL_bgl_string1144za700za7za7_1174za7, "mixer-close1055 mixer-volume-get1057 mixer-volume-set!1059 __multimedia-mixer mixer pair-nil devices ", 101 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__multimediazd2mixerzd2) );
ADD_ROOT( (void *)(&BGl_mixerz00zz__multimediazd2mixerzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mixerzd2(long BgL_checksumz00_373, char * BgL_fromz00_374)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__multimediazd2mixerzd2))
{ 
BGl_requirezd2initializa7ationz75zz__multimediazd2mixerzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__multimediazd2mixerzd2(); 
BGl_libraryzd2moduleszd2initz00zz__multimediazd2mixerzd2(); 
BGl_cnstzd2initzd2zz__multimediazd2mixerzd2(); 
BGl_objectzd2initzd2zz__multimediazd2mixerzd2(); 
BGl_genericzd2initzd2zz__multimediazd2mixerzd2(); 
return 
BGl_toplevelzd2initzd2zz__multimediazd2mixerzd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2mixerzd2()
{
{ /* Llib/mixer.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__multimedia-mixer"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__multimedia-mixer"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__multimedia-mixer"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__multimedia-mixer"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__multimedia-mixer"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__multimedia-mixer"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__multimedia-mixer"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__multimedia-mixer"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__multimedia-mixer"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__multimediazd2mixerzd2()
{
{ /* Llib/mixer.scm 15 */
{ /* Llib/mixer.scm 15 */
 obj_t BgL_cportz00_230;
{ /* Llib/mixer.scm 15 */
 obj_t BgL_stringz00_238;
BgL_stringz00_238 = BGl_string1144z00zz__multimediazd2mixerzd2; 
{ /* Llib/mixer.scm 15 */
 obj_t BgL_startz00_239;
BgL_startz00_239 = 
BINT(((long)0)); 
{ /* Llib/mixer.scm 15 */
 obj_t BgL_endz00_240;
BgL_endz00_240 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_238))); 
{ /* Llib/mixer.scm 15 */

BgL_cportz00_230 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_238, BgL_startz00_239, BgL_endz00_240); } } } } 
{ 
 long BgL_iz00_231;
BgL_iz00_231 = ((long)6); 
BgL_loopz00_232:
if(
(BgL_iz00_231==((long)-1)))
{ /* Llib/mixer.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/mixer.scm 15 */
{ /* Llib/mixer.scm 15 */
 obj_t BgL_arg1147z00_234;
{ /* Llib/mixer.scm 15 */

{ /* Llib/mixer.scm 15 */
 obj_t BgL_locationz00_236;
BgL_locationz00_236 = 
BBOOL(((bool_t)0)); 
{ /* Llib/mixer.scm 15 */

BgL_arg1147z00_234 = 
BGl_readz00zz__readerz00(BgL_cportz00_230, BgL_locationz00_236); } } } 
{ /* Llib/mixer.scm 15 */
 int BgL_tmpz00_402;
BgL_tmpz00_402 = 
(int)(BgL_iz00_231); 
CNST_TABLE_SET(BgL_tmpz00_402, BgL_arg1147z00_234); } } 
{ /* Llib/mixer.scm 15 */
 int BgL_auxz00_237;
BgL_auxz00_237 = 
(int)(
(BgL_iz00_231-((long)1))); 
{ 
 long BgL_iz00_407;
BgL_iz00_407 = 
(long)(BgL_auxz00_237); 
BgL_iz00_231 = BgL_iz00_407; 
goto BgL_loopz00_232;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__multimediazd2mixerzd2()
{
{ /* Llib/mixer.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__multimediazd2mixerzd2()
{
{ /* Llib/mixer.scm 15 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__multimediazd2mixerzd2()
{
{ /* Llib/mixer.scm 15 */
{ /* Llib/mixer.scm 17 */
 obj_t BgL_arg1067z00_21; obj_t BgL_arg1068z00_22;
{ /* Llib/mixer.scm 17 */
 obj_t BgL_v1053z00_33;
BgL_v1053z00_33 = 
create_vector(((long)1)); 
{ /* Llib/mixer.scm 17 */
 obj_t BgL_arg1074z00_34;
BgL_arg1074z00_34 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1126z00zz__multimediazd2mixerzd2, BGl_proc1125z00zz__multimediazd2mixerzd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1124z00zz__multimediazd2mixerzd2, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1053z00_33,((long)0),BgL_arg1074z00_34); } 
BgL_arg1067z00_21 = BgL_v1053z00_33; } 
{ /* Llib/mixer.scm 17 */
 obj_t BgL_v1054z00_47;
BgL_v1054z00_47 = 
create_vector(((long)0)); 
BgL_arg1068z00_22 = BgL_v1054z00_47; } 
return ( 
BGl_mixerz00zz__multimediazd2mixerzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)2)), 
CNST_TABLE_REF(((long)3)), BGl_objectz00zz__objectz00, ((long)27830), BGl_proc1129z00zz__multimediazd2mixerzd2, BGl_proc1128z00zz__multimediazd2mixerzd2, BFALSE, BGl_proc1127z00zz__multimediazd2mixerzd2, BFALSE, BgL_arg1067z00_21, BgL_arg1068z00_22), BUNSPEC) ;} } 

}



/* &<@anonymous:1073> */
obj_t BGl_z62zc3z04anonymousza31073ze3ze5zz__multimediazd2mixerzd2(obj_t BgL_envz00_176, obj_t BgL_new1050z00_177)
{
{ /* Llib/mixer.scm 17 */
{ 
 BgL_mixerz00_bglt BgL_auxz00_419;
((((BgL_mixerz00_bglt)COBJECT(
((BgL_mixerz00_bglt)BgL_new1050z00_177)))->BgL_devicesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_419 = 
((BgL_mixerz00_bglt)BgL_new1050z00_177); 
return 
((obj_t)BgL_auxz00_419);} } 

}



/* &lambda1071 */
BgL_mixerz00_bglt BGl_z62lambda1071z62zz__multimediazd2mixerzd2(obj_t BgL_envz00_178)
{
{ /* Llib/mixer.scm 17 */
{ /* Llib/mixer.scm 17 */
 BgL_mixerz00_bglt BgL_new1049z00_243;
BgL_new1049z00_243 = 
((BgL_mixerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mixerz00_bgl) ))); 
{ /* Llib/mixer.scm 17 */
 long BgL_arg1072z00_244;
BgL_arg1072z00_244 = 
BGL_CLASS_NUM(BGl_mixerz00zz__multimediazd2mixerzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1049z00_243), BgL_arg1072z00_244); } 
return BgL_new1049z00_243;} } 

}



/* &lambda1069 */
BgL_mixerz00_bglt BGl_z62lambda1069z62zz__multimediazd2mixerzd2(obj_t BgL_envz00_179, obj_t BgL_devices1048z00_180)
{
{ /* Llib/mixer.scm 17 */
{ /* Llib/mixer.scm 17 */
 BgL_mixerz00_bglt BgL_new1052z00_246;
{ /* Llib/mixer.scm 17 */
 BgL_mixerz00_bglt BgL_new1051z00_247;
BgL_new1051z00_247 = 
((BgL_mixerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mixerz00_bgl) ))); 
{ /* Llib/mixer.scm 17 */
 long BgL_arg1070z00_248;
BgL_arg1070z00_248 = 
BGL_CLASS_NUM(BGl_mixerz00zz__multimediazd2mixerzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_247), BgL_arg1070z00_248); } 
BgL_new1052z00_246 = BgL_new1051z00_247; } 
((((BgL_mixerz00_bglt)COBJECT(BgL_new1052z00_246))->BgL_devicesz00)=((obj_t)
((obj_t)BgL_devices1048z00_180)),BUNSPEC); 
return BgL_new1052z00_246;} } 

}



/* &<@anonymous:1083> */
obj_t BGl_z62zc3z04anonymousza31083ze3ze5zz__multimediazd2mixerzd2(obj_t BgL_envz00_181)
{
{ /* Llib/mixer.scm 17 */
return BNIL;} 

}



/* &lambda1082 */
obj_t BGl_z62lambda1082z62zz__multimediazd2mixerzd2(obj_t BgL_envz00_182, obj_t BgL_oz00_183, obj_t BgL_vz00_184)
{
{ /* Llib/mixer.scm 17 */
return 
((((BgL_mixerz00_bglt)COBJECT(
((BgL_mixerz00_bglt)BgL_oz00_183)))->BgL_devicesz00)=((obj_t)
((obj_t)BgL_vz00_184)),BUNSPEC);} 

}



/* &lambda1081 */
obj_t BGl_z62lambda1081z62zz__multimediazd2mixerzd2(obj_t BgL_envz00_185, obj_t BgL_oz00_186)
{
{ /* Llib/mixer.scm 17 */
return 
(((BgL_mixerz00_bglt)COBJECT(
((BgL_mixerz00_bglt)BgL_oz00_186)))->BgL_devicesz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__multimediazd2mixerzd2()
{
{ /* Llib/mixer.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mixerzd2closezd2envz00zz__multimediazd2mixerzd2, BGl_proc1130z00zz__multimediazd2mixerzd2, BGl_mixerz00zz__multimediazd2mixerzd2, BGl_string1131z00zz__multimediazd2mixerzd2); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mixerzd2volumezd2getzd2envzd2zz__multimediazd2mixerzd2, BGl_proc1132z00zz__multimediazd2mixerzd2, BGl_mixerz00zz__multimediazd2mixerzd2, BGl_string1133z00zz__multimediazd2mixerzd2); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mixerzd2volumezd2setz12zd2envzc0zz__multimediazd2mixerzd2, BGl_proc1134z00zz__multimediazd2mixerzd2, BGl_mixerz00zz__multimediazd2mixerzd2, BGl_string1135z00zz__multimediazd2mixerzd2);} 

}



/* &mixer-volume-set!1059 */
obj_t BGl_z62mixerzd2volumezd2setz121059z70zz__multimediazd2mixerzd2(obj_t BgL_envz00_190, obj_t BgL_mz00_191, obj_t BgL_dz00_192, obj_t BgL_lz00_193, obj_t BgL_rz00_194)
{
{ /* Llib/mixer.scm 29 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)4)), BGl_string1136z00zz__multimediazd2mixerzd2, 
((obj_t)
((BgL_mixerz00_bglt)BgL_mz00_191)));} 

}



/* &mixer-volume-get1057 */
obj_t BGl_z62mixerzd2volumezd2get1057z62zz__multimediazd2mixerzd2(obj_t BgL_envz00_195, obj_t BgL_mz00_196, obj_t BgL_dz00_197)
{
{ /* Llib/mixer.scm 28 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)5)), BGl_string1136z00zz__multimediazd2mixerzd2, 
((obj_t)
((BgL_mixerz00_bglt)BgL_mz00_196)));} 

}



/* &mixer-close1055 */
obj_t BGl_z62mixerzd2close1055zb0zz__multimediazd2mixerzd2(obj_t BgL_envz00_198, obj_t BgL_mz00_199)
{
{ /* Llib/mixer.scm 27 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)6)), BGl_string1136z00zz__multimediazd2mixerzd2, 
((obj_t)
((BgL_mixerz00_bglt)BgL_mz00_199)));} 

}



/* mixer-close */
BGL_EXPORTED_DEF obj_t BGl_mixerzd2closezd2zz__multimediazd2mixerzd2(BgL_mixerz00_bglt BgL_mz00_3)
{
{ /* Llib/mixer.scm 27 */
{ /* Llib/mixer.scm 27 */
 obj_t BgL_method1056z00_67;
{ /* Llib/mixer.scm 27 */
 obj_t BgL_res1099z00_107;
{ /* Llib/mixer.scm 27 */
 long BgL_objzd2classzd2numz00_78;
BgL_objzd2classzd2numz00_78 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_3)); 
{ /* Llib/mixer.scm 27 */
 obj_t BgL_arg1801z00_79;
BgL_arg1801z00_79 = 
PROCEDURE_REF(BGl_mixerzd2closezd2envz00zz__multimediazd2mixerzd2, 
(int)(((long)1))); 
{ /* Llib/mixer.scm 27 */
 int BgL_offsetz00_82;
BgL_offsetz00_82 = 
(int)(BgL_objzd2classzd2numz00_78); 
{ /* Llib/mixer.scm 27 */
 long BgL_offsetz00_83;
BgL_offsetz00_83 = 
(
(long)(BgL_offsetz00_82)-OBJECT_TYPE); 
{ /* Llib/mixer.scm 27 */
 long BgL_modz00_84;
BgL_modz00_84 = 
(BgL_offsetz00_83 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mixer.scm 27 */
 long BgL_restz00_86;
BgL_restz00_86 = 
(BgL_offsetz00_83 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mixer.scm 27 */

{ /* Llib/mixer.scm 27 */
 obj_t BgL_bucketz00_88;
BgL_bucketz00_88 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_79),BgL_modz00_84); 
BgL_res1099z00_107 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_88),BgL_restz00_86); } } } } } } } } 
BgL_method1056z00_67 = BgL_res1099z00_107; } 
return 
PROCEDURE_ENTRY(BgL_method1056z00_67)(BgL_method1056z00_67, 
((obj_t)BgL_mz00_3), BEOA);} } 

}



/* &mixer-close */
obj_t BGl_z62mixerzd2closezb0zz__multimediazd2mixerzd2(obj_t BgL_envz00_200, obj_t BgL_mz00_201)
{
{ /* Llib/mixer.scm 27 */
{ /* Llib/mixer.scm 27 */
 BgL_mixerz00_bglt BgL_auxz00_484;
{ /* Llib/mixer.scm 27 */
 bool_t BgL_test1177z00_485;
{ /* Llib/mixer.scm 27 */
 obj_t BgL_classz00_259;
BgL_classz00_259 = BGl_mixerz00zz__multimediazd2mixerzd2; 
if(
BGL_OBJECTP(BgL_mz00_201))
{ /* Llib/mixer.scm 27 */
 BgL_objectz00_bglt BgL_arg1799z00_261; long BgL_arg1800z00_262;
BgL_arg1799z00_261 = 
(BgL_objectz00_bglt)(BgL_mz00_201); 
BgL_arg1800z00_262 = 
BGL_CLASS_DEPTH(BgL_classz00_259); 
{ /* Llib/mixer.scm 27 */
 bool_t BgL_arg1794z00_266; bool_t BgL_arg1795z00_267;
{ /* Llib/mixer.scm 27 */
 long BgL_idxz00_271;
BgL_idxz00_271 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_261); 
{ /* Llib/mixer.scm 27 */
 obj_t BgL_arg1791z00_272;
{ /* Llib/mixer.scm 27 */
 long BgL_arg1792z00_273;
BgL_arg1792z00_273 = 
(BgL_idxz00_271+BgL_arg1800z00_262); 
BgL_arg1791z00_272 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_273); } 
BgL_arg1794z00_266 = 
(BgL_arg1791z00_272==BgL_classz00_259); } } 
{ /* Llib/mixer.scm 27 */
 bool_t BgL_res1148z00_296;
{ /* Llib/mixer.scm 27 */
 obj_t BgL_oclassz00_281;
{ /* Llib/mixer.scm 27 */
 long BgL_arg1804z00_287;
{ /* Llib/mixer.scm 27 */
 long BgL_arg1805z00_288;
BgL_arg1805z00_288 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_261); 
BgL_arg1804z00_287 = 
(BgL_arg1805z00_288-OBJECT_TYPE); } 
BgL_oclassz00_281 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_287); } 
{ /* Llib/mixer.scm 27 */
 bool_t BgL__ortest_1111z00_282;
BgL__ortest_1111z00_282 = 
(BgL_classz00_259==BgL_oclassz00_281); 
if(BgL__ortest_1111z00_282)
{ /* Llib/mixer.scm 27 */
BgL_res1148z00_296 = BgL__ortest_1111z00_282; }  else 
{ /* Llib/mixer.scm 27 */
 long BgL_odepthz00_283;
BgL_odepthz00_283 = 
BGL_CLASS_DEPTH(BgL_oclassz00_281); 
if(
(BgL_arg1800z00_262<BgL_odepthz00_283))
{ /* Llib/mixer.scm 27 */
 obj_t BgL_arg1793z00_285;
BgL_arg1793z00_285 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_281, BgL_arg1800z00_262); 
BgL_res1148z00_296 = 
(BgL_arg1793z00_285==BgL_classz00_259); }  else 
{ /* Llib/mixer.scm 27 */
BgL_res1148z00_296 = ((bool_t)0); } } } } 
BgL_arg1795z00_267 = BgL_res1148z00_296; } 
BgL_test1177z00_485 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_266, BgL_arg1795z00_267); } }  else 
{ /* Llib/mixer.scm 27 */
BgL_test1177z00_485 = ((bool_t)0)
; } } 
if(BgL_test1177z00_485)
{ /* Llib/mixer.scm 27 */
BgL_auxz00_484 = 
((BgL_mixerz00_bglt)BgL_mz00_201)
; }  else 
{ 
 obj_t BgL_auxz00_506;
BgL_auxz00_506 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1137z00zz__multimediazd2mixerzd2, 
BINT(((long)1428)), BGl_string1138z00zz__multimediazd2mixerzd2, BGl_string1139z00zz__multimediazd2mixerzd2, BgL_mz00_201); 
FAILURE(BgL_auxz00_506,BFALSE,BFALSE);} } 
return 
BGl_mixerzd2closezd2zz__multimediazd2mixerzd2(BgL_auxz00_484);} } 

}



/* mixer-volume-get */
BGL_EXPORTED_DEF obj_t BGl_mixerzd2volumezd2getz00zz__multimediazd2mixerzd2(BgL_mixerz00_bglt BgL_mz00_4, obj_t BgL_dz00_5)
{
{ /* Llib/mixer.scm 28 */
{ /* Llib/mixer.scm 28 */
 obj_t BgL_method1058z00_68;
{ /* Llib/mixer.scm 28 */
 obj_t BgL_res1104z00_138;
{ /* Llib/mixer.scm 28 */
 long BgL_objzd2classzd2numz00_109;
BgL_objzd2classzd2numz00_109 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_4)); 
{ /* Llib/mixer.scm 28 */
 obj_t BgL_arg1801z00_110;
BgL_arg1801z00_110 = 
PROCEDURE_REF(BGl_mixerzd2volumezd2getzd2envzd2zz__multimediazd2mixerzd2, 
(int)(((long)1))); 
{ /* Llib/mixer.scm 28 */
 int BgL_offsetz00_113;
BgL_offsetz00_113 = 
(int)(BgL_objzd2classzd2numz00_109); 
{ /* Llib/mixer.scm 28 */
 long BgL_offsetz00_114;
BgL_offsetz00_114 = 
(
(long)(BgL_offsetz00_113)-OBJECT_TYPE); 
{ /* Llib/mixer.scm 28 */
 long BgL_modz00_115;
BgL_modz00_115 = 
(BgL_offsetz00_114 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mixer.scm 28 */
 long BgL_restz00_117;
BgL_restz00_117 = 
(BgL_offsetz00_114 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mixer.scm 28 */

{ /* Llib/mixer.scm 28 */
 obj_t BgL_bucketz00_119;
BgL_bucketz00_119 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_110),BgL_modz00_115); 
BgL_res1104z00_138 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_119),BgL_restz00_117); } } } } } } } } 
BgL_method1058z00_68 = BgL_res1104z00_138; } 
return 
PROCEDURE_ENTRY(BgL_method1058z00_68)(BgL_method1058z00_68, 
((obj_t)BgL_mz00_4), BgL_dz00_5, BEOA);} } 

}



/* &mixer-volume-get */
obj_t BGl_z62mixerzd2volumezd2getz62zz__multimediazd2mixerzd2(obj_t BgL_envz00_202, obj_t BgL_mz00_203, obj_t BgL_dz00_204)
{
{ /* Llib/mixer.scm 28 */
{ /* Llib/mixer.scm 28 */
 obj_t BgL_auxz00_568; BgL_mixerz00_bglt BgL_auxz00_542;
if(
STRINGP(BgL_dz00_204))
{ /* Llib/mixer.scm 28 */
BgL_auxz00_568 = BgL_dz00_204
; }  else 
{ 
 obj_t BgL_auxz00_571;
BgL_auxz00_571 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1137z00zz__multimediazd2mixerzd2, 
BINT(((long)1468)), BGl_string1140z00zz__multimediazd2mixerzd2, BGl_string1141z00zz__multimediazd2mixerzd2, BgL_dz00_204); 
FAILURE(BgL_auxz00_571,BFALSE,BFALSE);} 
{ /* Llib/mixer.scm 28 */
 bool_t BgL_test1181z00_543;
{ /* Llib/mixer.scm 28 */
 obj_t BgL_classz00_297;
BgL_classz00_297 = BGl_mixerz00zz__multimediazd2mixerzd2; 
if(
BGL_OBJECTP(BgL_mz00_203))
{ /* Llib/mixer.scm 28 */
 BgL_objectz00_bglt BgL_arg1799z00_299; long BgL_arg1800z00_300;
BgL_arg1799z00_299 = 
(BgL_objectz00_bglt)(BgL_mz00_203); 
BgL_arg1800z00_300 = 
BGL_CLASS_DEPTH(BgL_classz00_297); 
{ /* Llib/mixer.scm 28 */
 bool_t BgL_arg1794z00_304; bool_t BgL_arg1795z00_305;
{ /* Llib/mixer.scm 28 */
 long BgL_idxz00_309;
BgL_idxz00_309 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_299); 
{ /* Llib/mixer.scm 28 */
 obj_t BgL_arg1791z00_310;
{ /* Llib/mixer.scm 28 */
 long BgL_arg1792z00_311;
BgL_arg1792z00_311 = 
(BgL_idxz00_309+BgL_arg1800z00_300); 
BgL_arg1791z00_310 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_311); } 
BgL_arg1794z00_304 = 
(BgL_arg1791z00_310==BgL_classz00_297); } } 
{ /* Llib/mixer.scm 28 */
 bool_t BgL_res1149z00_334;
{ /* Llib/mixer.scm 28 */
 obj_t BgL_oclassz00_319;
{ /* Llib/mixer.scm 28 */
 long BgL_arg1804z00_325;
{ /* Llib/mixer.scm 28 */
 long BgL_arg1805z00_326;
BgL_arg1805z00_326 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_299); 
BgL_arg1804z00_325 = 
(BgL_arg1805z00_326-OBJECT_TYPE); } 
BgL_oclassz00_319 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_325); } 
{ /* Llib/mixer.scm 28 */
 bool_t BgL__ortest_1111z00_320;
BgL__ortest_1111z00_320 = 
(BgL_classz00_297==BgL_oclassz00_319); 
if(BgL__ortest_1111z00_320)
{ /* Llib/mixer.scm 28 */
BgL_res1149z00_334 = BgL__ortest_1111z00_320; }  else 
{ /* Llib/mixer.scm 28 */
 long BgL_odepthz00_321;
BgL_odepthz00_321 = 
BGL_CLASS_DEPTH(BgL_oclassz00_319); 
if(
(BgL_arg1800z00_300<BgL_odepthz00_321))
{ /* Llib/mixer.scm 28 */
 obj_t BgL_arg1793z00_323;
BgL_arg1793z00_323 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_319, BgL_arg1800z00_300); 
BgL_res1149z00_334 = 
(BgL_arg1793z00_323==BgL_classz00_297); }  else 
{ /* Llib/mixer.scm 28 */
BgL_res1149z00_334 = ((bool_t)0); } } } } 
BgL_arg1795z00_305 = BgL_res1149z00_334; } 
BgL_test1181z00_543 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_304, BgL_arg1795z00_305); } }  else 
{ /* Llib/mixer.scm 28 */
BgL_test1181z00_543 = ((bool_t)0)
; } } 
if(BgL_test1181z00_543)
{ /* Llib/mixer.scm 28 */
BgL_auxz00_542 = 
((BgL_mixerz00_bglt)BgL_mz00_203)
; }  else 
{ 
 obj_t BgL_auxz00_564;
BgL_auxz00_564 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1137z00zz__multimediazd2mixerzd2, 
BINT(((long)1468)), BGl_string1140z00zz__multimediazd2mixerzd2, BGl_string1139z00zz__multimediazd2mixerzd2, BgL_mz00_203); 
FAILURE(BgL_auxz00_564,BFALSE,BFALSE);} } 
return 
BGl_mixerzd2volumezd2getz00zz__multimediazd2mixerzd2(BgL_auxz00_542, BgL_auxz00_568);} } 

}



/* mixer-volume-set! */
BGL_EXPORTED_DEF obj_t BGl_mixerzd2volumezd2setz12z12zz__multimediazd2mixerzd2(BgL_mixerz00_bglt BgL_mz00_6, obj_t BgL_dz00_7, int BgL_lz00_8, int BgL_rz00_9)
{
{ /* Llib/mixer.scm 29 */
{ /* Llib/mixer.scm 29 */
 obj_t BgL_method1060z00_69;
{ /* Llib/mixer.scm 29 */
 obj_t BgL_res1109z00_169;
{ /* Llib/mixer.scm 29 */
 long BgL_objzd2classzd2numz00_140;
BgL_objzd2classzd2numz00_140 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_mz00_6)); 
{ /* Llib/mixer.scm 29 */
 obj_t BgL_arg1801z00_141;
BgL_arg1801z00_141 = 
PROCEDURE_REF(BGl_mixerzd2volumezd2setz12zd2envzc0zz__multimediazd2mixerzd2, 
(int)(((long)1))); 
{ /* Llib/mixer.scm 29 */
 int BgL_offsetz00_144;
BgL_offsetz00_144 = 
(int)(BgL_objzd2classzd2numz00_140); 
{ /* Llib/mixer.scm 29 */
 long BgL_offsetz00_145;
BgL_offsetz00_145 = 
(
(long)(BgL_offsetz00_144)-OBJECT_TYPE); 
{ /* Llib/mixer.scm 29 */
 long BgL_modz00_146;
BgL_modz00_146 = 
(BgL_offsetz00_145 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/mixer.scm 29 */
 long BgL_restz00_148;
BgL_restz00_148 = 
(BgL_offsetz00_145 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/mixer.scm 29 */

{ /* Llib/mixer.scm 29 */
 obj_t BgL_bucketz00_150;
BgL_bucketz00_150 = 
VECTOR_REF(
((obj_t)BgL_arg1801z00_141),BgL_modz00_146); 
BgL_res1109z00_169 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_150),BgL_restz00_148); } } } } } } } } 
BgL_method1060z00_69 = BgL_res1109z00_169; } 
return 
PROCEDURE_ENTRY(BgL_method1060z00_69)(BgL_method1060z00_69, 
((obj_t)BgL_mz00_6), BgL_dz00_7, 
BINT(BgL_lz00_8), 
BINT(BgL_rz00_9), BEOA);} } 

}



/* &mixer-volume-set! */
obj_t BGl_z62mixerzd2volumezd2setz12z70zz__multimediazd2mixerzd2(obj_t BgL_envz00_205, obj_t BgL_mz00_206, obj_t BgL_dz00_207, obj_t BgL_lz00_208, obj_t BgL_rz00_209)
{
{ /* Llib/mixer.scm 29 */
{ /* Llib/mixer.scm 29 */
 int BgL_auxz00_653; int BgL_auxz00_644; obj_t BgL_auxz00_637; BgL_mixerz00_bglt BgL_auxz00_611;
{ /* Llib/mixer.scm 29 */
 obj_t BgL_tmpz00_654;
if(
INTEGERP(BgL_rz00_209))
{ /* Llib/mixer.scm 29 */
BgL_tmpz00_654 = BgL_rz00_209
; }  else 
{ 
 obj_t BgL_auxz00_657;
BgL_auxz00_657 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1137z00zz__multimediazd2mixerzd2, 
BINT(((long)1524)), BGl_string1142z00zz__multimediazd2mixerzd2, BGl_string1143z00zz__multimediazd2mixerzd2, BgL_rz00_209); 
FAILURE(BgL_auxz00_657,BFALSE,BFALSE);} 
BgL_auxz00_653 = 
CINT(BgL_tmpz00_654); } 
{ /* Llib/mixer.scm 29 */
 obj_t BgL_tmpz00_645;
if(
INTEGERP(BgL_lz00_208))
{ /* Llib/mixer.scm 29 */
BgL_tmpz00_645 = BgL_lz00_208
; }  else 
{ 
 obj_t BgL_auxz00_648;
BgL_auxz00_648 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1137z00zz__multimediazd2mixerzd2, 
BINT(((long)1524)), BGl_string1142z00zz__multimediazd2mixerzd2, BGl_string1143z00zz__multimediazd2mixerzd2, BgL_lz00_208); 
FAILURE(BgL_auxz00_648,BFALSE,BFALSE);} 
BgL_auxz00_644 = 
CINT(BgL_tmpz00_645); } 
if(
STRINGP(BgL_dz00_207))
{ /* Llib/mixer.scm 29 */
BgL_auxz00_637 = BgL_dz00_207
; }  else 
{ 
 obj_t BgL_auxz00_640;
BgL_auxz00_640 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1137z00zz__multimediazd2mixerzd2, 
BINT(((long)1524)), BGl_string1142z00zz__multimediazd2mixerzd2, BGl_string1141z00zz__multimediazd2mixerzd2, BgL_dz00_207); 
FAILURE(BgL_auxz00_640,BFALSE,BFALSE);} 
{ /* Llib/mixer.scm 29 */
 bool_t BgL_test1186z00_612;
{ /* Llib/mixer.scm 29 */
 obj_t BgL_classz00_335;
BgL_classz00_335 = BGl_mixerz00zz__multimediazd2mixerzd2; 
if(
BGL_OBJECTP(BgL_mz00_206))
{ /* Llib/mixer.scm 29 */
 BgL_objectz00_bglt BgL_arg1799z00_337; long BgL_arg1800z00_338;
BgL_arg1799z00_337 = 
(BgL_objectz00_bglt)(BgL_mz00_206); 
BgL_arg1800z00_338 = 
BGL_CLASS_DEPTH(BgL_classz00_335); 
{ /* Llib/mixer.scm 29 */
 bool_t BgL_arg1794z00_342; bool_t BgL_arg1795z00_343;
{ /* Llib/mixer.scm 29 */
 long BgL_idxz00_347;
BgL_idxz00_347 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_337); 
{ /* Llib/mixer.scm 29 */
 obj_t BgL_arg1791z00_348;
{ /* Llib/mixer.scm 29 */
 long BgL_arg1792z00_349;
BgL_arg1792z00_349 = 
(BgL_idxz00_347+BgL_arg1800z00_338); 
BgL_arg1791z00_348 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_349); } 
BgL_arg1794z00_342 = 
(BgL_arg1791z00_348==BgL_classz00_335); } } 
{ /* Llib/mixer.scm 29 */
 bool_t BgL_res1150z00_372;
{ /* Llib/mixer.scm 29 */
 obj_t BgL_oclassz00_357;
{ /* Llib/mixer.scm 29 */
 long BgL_arg1804z00_363;
{ /* Llib/mixer.scm 29 */
 long BgL_arg1805z00_364;
BgL_arg1805z00_364 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_337); 
BgL_arg1804z00_363 = 
(BgL_arg1805z00_364-OBJECT_TYPE); } 
BgL_oclassz00_357 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_363); } 
{ /* Llib/mixer.scm 29 */
 bool_t BgL__ortest_1111z00_358;
BgL__ortest_1111z00_358 = 
(BgL_classz00_335==BgL_oclassz00_357); 
if(BgL__ortest_1111z00_358)
{ /* Llib/mixer.scm 29 */
BgL_res1150z00_372 = BgL__ortest_1111z00_358; }  else 
{ /* Llib/mixer.scm 29 */
 long BgL_odepthz00_359;
BgL_odepthz00_359 = 
BGL_CLASS_DEPTH(BgL_oclassz00_357); 
if(
(BgL_arg1800z00_338<BgL_odepthz00_359))
{ /* Llib/mixer.scm 29 */
 obj_t BgL_arg1793z00_361;
BgL_arg1793z00_361 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_357, BgL_arg1800z00_338); 
BgL_res1150z00_372 = 
(BgL_arg1793z00_361==BgL_classz00_335); }  else 
{ /* Llib/mixer.scm 29 */
BgL_res1150z00_372 = ((bool_t)0); } } } } 
BgL_arg1795z00_343 = BgL_res1150z00_372; } 
BgL_test1186z00_612 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_342, BgL_arg1795z00_343); } }  else 
{ /* Llib/mixer.scm 29 */
BgL_test1186z00_612 = ((bool_t)0)
; } } 
if(BgL_test1186z00_612)
{ /* Llib/mixer.scm 29 */
BgL_auxz00_611 = 
((BgL_mixerz00_bglt)BgL_mz00_206)
; }  else 
{ 
 obj_t BgL_auxz00_633;
BgL_auxz00_633 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1137z00zz__multimediazd2mixerzd2, 
BINT(((long)1524)), BGl_string1142z00zz__multimediazd2mixerzd2, BGl_string1139z00zz__multimediazd2mixerzd2, BgL_mz00_206); 
FAILURE(BgL_auxz00_633,BFALSE,BFALSE);} } 
return 
BGl_mixerzd2volumezd2setz12z12zz__multimediazd2mixerzd2(BgL_auxz00_611, BgL_auxz00_637, BgL_auxz00_644, BgL_auxz00_653);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__multimediazd2mixerzd2()
{
{ /* Llib/mixer.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
