/*===========================================================================*/
/*   (Llib/simple.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -srfi pulseaudio -copt -D_REENTRANT -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/simple.scm -o objs/simple.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <pulse/simple.h>
#include <pulse/version.h>
#include <pulse/sample.h>
#include <pulse/error.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_pulseaudiozd2simplezd2_bgl {
   header_t header;
   obj_t widening;
   pa_simple * BgL_z42builtinz42;
   obj_t BgL_srvnamez00;
   obj_t BgL_namez00;
   obj_t BgL_streamz00;
   long BgL_ratez00;
   long BgL_channelsz00;
   int BgL_bpsz00;
   obj_t BgL_formatz00;
} *BgL_pulseaudiozd2simplezd2_bglt;


BGL_EXPORTED_DEF obj_t BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00 = BUNSPEC;
static obj_t BGl_z62pulseaudiozd2simplezd2initz62zz__pulseaudio_simplez00(obj_t, obj_t);
BGL_EXPORTED_DECL double BGl_pulseaudiozd2simplezd2getzd2latencyzd2zz__pulseaudio_simplez00(BgL_pulseaudiozd2simplezd2_bglt);
static obj_t BGl_requirezd2initializa7ationz75zz__pulseaudio_simplez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_genericzd2initzd2zz__pulseaudio_simplez00();
static obj_t BGl_z62zc3z04anonymousza31206ze3ze5zz__pulseaudio_simplez00(obj_t, obj_t);
static obj_t BGl_z62pulseaudiozd2simplezd2writez62zz__pulseaudio_simplez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__pulseaudio_simplez00();
extern pa_simple * bgl_pa_simple_new(char *, char *, char *, long, long, long);
static obj_t BGl_z62pulseaudiozd2simplezd2flushz62zz__pulseaudio_simplez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31217ze3ze5zz__pulseaudio_simplez00(obj_t);
static long BGl_bpszd2formatzd2zz__pulseaudio_simplez00(int);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31234ze3ze5zz__pulseaudio_simplez00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__pulseaudio_simplez00();
static obj_t BGl_z62zc3z04anonymousza31227ze3ze5zz__pulseaudio_simplez00(obj_t);
static obj_t BGl_z62pulseaudiozd2simplezd2statez62zz__pulseaudio_simplez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31245ze3ze5zz__pulseaudio_simplez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_pulseaudiozd2simplezd2drainz00zz__pulseaudio_simplez00(BgL_pulseaudiozd2simplezd2_bglt);
static obj_t BGl_z62pulseaudiozd2simplezd2closez62zz__pulseaudio_simplez00(obj_t, obj_t);
static BgL_pulseaudiozd2simplezd2_bglt BGl_z62lambda1202z62zz__pulseaudio_simplez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31336ze3ze5zz__pulseaudio_simplez00(obj_t);
static obj_t BGl_z62lambda1215z62zz__pulseaudio_simplez00(obj_t, obj_t);
static obj_t BGl_z62lambda1216z62zz__pulseaudio_simplez00(obj_t, obj_t, obj_t);
static long BGl_pazd2formatzd2zz__pulseaudio_simplez00(obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__pulseaudio_simplez00(obj_t);
static obj_t BGl_z62lambda1225z62zz__pulseaudio_simplez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31265ze3ze5zz__pulseaudio_simplez00(obj_t);
static obj_t BGl_z62lambda1226z62zz__pulseaudio_simplez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1232z62zz__pulseaudio_simplez00(obj_t, obj_t);
static obj_t BGl_z62lambda1233z62zz__pulseaudio_simplez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_simplez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62lambda1243z62zz__pulseaudio_simplez00(obj_t, obj_t);
static obj_t BGl_z62lambda1244z62zz__pulseaudio_simplez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1334z62zz__pulseaudio_simplez00(obj_t, obj_t);
static obj_t BGl_z62lambda1335z62zz__pulseaudio_simplez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62pulseaudiozd2simplezd2getzd2latencyzb0zz__pulseaudio_simplez00(obj_t, obj_t);
static obj_t BGl_z62lambda1263z62zz__pulseaudio_simplez00(obj_t, obj_t);
static obj_t BGl_z62lambda1264z62zz__pulseaudio_simplez00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__pulseaudio_simplez00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__pulseaudio_simplez00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_pulseaudiozd2simplezd2writez00zz__pulseaudio_simplez00(BgL_pulseaudiozd2simplezd2_bglt, obj_t, long);
static obj_t BGl_importedzd2moduleszd2initz00zz__pulseaudio_simplez00();
static obj_t BGl_gczd2rootszd2initz00zz__pulseaudio_simplez00();
static obj_t BGl_z62lambda1271z62zz__pulseaudio_simplez00(obj_t, obj_t);
static obj_t BGl_z62lambda1272z62zz__pulseaudio_simplez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pulseaudiozd2simplezd2initz00zz__pulseaudio_simplez00(BgL_pulseaudiozd2simplezd2_bglt);
static BgL_pulseaudiozd2simplezd2_bglt BGl_z62lambda1199z62zz__pulseaudio_simplez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pulseaudiozd2simplezd2flushz00zz__pulseaudio_simplez00(BgL_pulseaudiozd2simplezd2_bglt);
extern int bgl_pulseaudio_error(char *, char *, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda1287z62zz__pulseaudio_simplez00(obj_t, obj_t);
static obj_t BGl_z62lambda1288z62zz__pulseaudio_simplez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62zc3z04anonymousza31289ze3ze5zz__pulseaudio_simplez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_pulseaudiozd2simplezd2statez00zz__pulseaudio_simplez00(BgL_pulseaudiozd2simplezd2_bglt);
static obj_t BGl_z62pulseaudiozd2simplezd2drainz62zz__pulseaudio_simplez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_pulseaudiozd2simplezd2closez00zz__pulseaudio_simplez00(BgL_pulseaudiozd2simplezd2_bglt);
static obj_t __cnst[ 34 ] ;


DEFINE_STRING( BGl_string1402z00zz__pulseaudio_simplez00, BgL_bgl_string1402za700za7za7_1416za7, "", 0 );
DEFINE_STRING( BGl_string1403z00zz__pulseaudio_simplez00, BgL_bgl_string1403za700za7za7_1417za7, "bigloo", 6 );
DEFINE_STRING( BGl_string1404z00zz__pulseaudio_simplez00, BgL_bgl_string1404za700za7za7_1418za7, "__pulseaudio_simple", 19 );
DEFINE_STRING( BGl_string1405z00zz__pulseaudio_simplez00, BgL_bgl_string1405za700za7za7_1419za7, "_ __pulseaudio_simple pulseaudio-simple symbol format int bps channels long rate stream bstring name obj srvname $pa-simple $builtin s8 u8 float-be float-le s24-3be s24-3le s32be s32le s32 s24be s24le s24 s16be s16le s16 opened closed ", 235 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pulseaudiozd2simplezd2drainzd2envzd2zz__pulseaudio_simplez00, BgL_bgl_za762pulseaudioza7d21420z00, BGl_z62pulseaudiozd2simplezd2drainz62zz__pulseaudio_simplez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pulseaudiozd2simplezd2initzd2envzd2zz__pulseaudio_simplez00, BgL_bgl_za762pulseaudioza7d21421z00, BGl_z62pulseaudiozd2simplezd2initz62zz__pulseaudio_simplez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1400z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1202za7621422z00, BGl_z62lambda1202z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1401z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1199za7621423z00, BGl_z62lambda1199z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 8 );
DEFINE_STRING( BGl_string1360z00zz__pulseaudio_simplez00, BgL_bgl_string1360za700za7za7_1424za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/pulseaudio/src/Llib/simple.scm", 70 );
DEFINE_STRING( BGl_string1361z00zz__pulseaudio_simplez00, BgL_bgl_string1361za700za7za7_1425za7, "&pulseaudio-simple-init", 23 );
DEFINE_STRING( BGl_string1362z00zz__pulseaudio_simplez00, BgL_bgl_string1362za700za7za7_1426za7, "pulseaudio-simple", 17 );
DEFINE_STRING( BGl_string1363z00zz__pulseaudio_simplez00, BgL_bgl_string1363za700za7za7_1427za7, "&pulseaudio-simple-state", 24 );
DEFINE_STRING( BGl_string1364z00zz__pulseaudio_simplez00, BgL_bgl_string1364za700za7za7_1428za7, "&pulseaudio-simple-close", 24 );
DEFINE_STRING( BGl_string1365z00zz__pulseaudio_simplez00, BgL_bgl_string1365za700za7za7_1429za7, "pulseaudio-simple-get-latency", 29 );
DEFINE_STRING( BGl_string1366z00zz__pulseaudio_simplez00, BgL_bgl_string1366za700za7za7_1430za7, "&pulseaudio-simple-get-latency", 30 );
DEFINE_STRING( BGl_string1367z00zz__pulseaudio_simplez00, BgL_bgl_string1367za700za7za7_1431za7, "pulseaudio-simple-write", 23 );
DEFINE_STRING( BGl_string1368z00zz__pulseaudio_simplez00, BgL_bgl_string1368za700za7za7_1432za7, "&pulseaudio-simple-write", 24 );
DEFINE_STRING( BGl_string1369z00zz__pulseaudio_simplez00, BgL_bgl_string1369za700za7za7_1433za7, "bstring", 7 );
DEFINE_STRING( BGl_string1370z00zz__pulseaudio_simplez00, BgL_bgl_string1370za700za7za7_1434za7, "bint", 4 );
DEFINE_STRING( BGl_string1371z00zz__pulseaudio_simplez00, BgL_bgl_string1371za700za7za7_1435za7, "pulseaudio-simple-drain", 23 );
DEFINE_STRING( BGl_string1372z00zz__pulseaudio_simplez00, BgL_bgl_string1372za700za7za7_1436za7, "&pulseaudio-simple-drain", 24 );
DEFINE_STRING( BGl_string1373z00zz__pulseaudio_simplez00, BgL_bgl_string1373za700za7za7_1437za7, "pulseaudio-simple-flush", 23 );
DEFINE_STRING( BGl_string1374z00zz__pulseaudio_simplez00, BgL_bgl_string1374za700za7za7_1438za7, "&pulseaudio-simple-flush", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1375z00zz__pulseaudio_simplez00, BgL_bgl_za762za7c3za704anonymo1439za7, BGl_z62zc3z04anonymousza31217ze3ze5zz__pulseaudio_simplez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1376z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1216za7621440z00, BGl_z62lambda1216z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1377z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1215za7621441z00, BGl_z62lambda1215z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1378z00zz__pulseaudio_simplez00, BgL_bgl_za762za7c3za704anonymo1442za7, BGl_z62zc3z04anonymousza31227ze3ze5zz__pulseaudio_simplez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1379z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1226za7621443z00, BGl_z62lambda1226z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1380z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1225za7621444z00, BGl_z62lambda1225z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1381z00zz__pulseaudio_simplez00, BgL_bgl_za762za7c3za704anonymo1445za7, BGl_z62zc3z04anonymousza31234ze3ze5zz__pulseaudio_simplez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1382z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1233za7621446z00, BGl_z62lambda1233z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1383z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1232za7621447z00, BGl_z62lambda1232z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1384z00zz__pulseaudio_simplez00, BgL_bgl_za762za7c3za704anonymo1448za7, BGl_z62zc3z04anonymousza31245ze3ze5zz__pulseaudio_simplez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1385z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1244za7621449z00, BGl_z62lambda1244z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1386z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1243za7621450z00, BGl_z62lambda1243z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1387z00zz__pulseaudio_simplez00, BgL_bgl_za762za7c3za704anonymo1451za7, BGl_z62zc3z04anonymousza31265ze3ze5zz__pulseaudio_simplez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1388z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1264za7621452z00, BGl_z62lambda1264z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1389z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1263za7621453z00, BGl_z62lambda1263z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1390z00zz__pulseaudio_simplez00, BgL_bgl_za762za7c3za704anonymo1454za7, BGl_z62zc3z04anonymousza31273ze3ze5zz__pulseaudio_simplez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1391z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1272za7621455z00, BGl_z62lambda1272z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1392z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1271za7621456z00, BGl_z62lambda1271z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1393z00zz__pulseaudio_simplez00, BgL_bgl_za762za7c3za704anonymo1457za7, BGl_z62zc3z04anonymousza31289ze3ze5zz__pulseaudio_simplez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1394z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1288za7621458z00, BGl_z62lambda1288z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1395z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1287za7621459z00, BGl_z62lambda1287z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1396z00zz__pulseaudio_simplez00, BgL_bgl_za762za7c3za704anonymo1460za7, BGl_z62zc3z04anonymousza31336ze3ze5zz__pulseaudio_simplez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1397z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1335za7621461z00, BGl_z62lambda1335z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1398z00zz__pulseaudio_simplez00, BgL_bgl_za762lambda1334za7621462z00, BGl_z62lambda1334z62zz__pulseaudio_simplez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1399z00zz__pulseaudio_simplez00, BgL_bgl_za762za7c3za704anonymo1463za7, BGl_z62zc3z04anonymousza31206ze3ze5zz__pulseaudio_simplez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pulseaudiozd2simplezd2getzd2latencyzd2envz00zz__pulseaudio_simplez00, BgL_bgl_za762pulseaudioza7d21464z00, BGl_z62pulseaudiozd2simplezd2getzd2latencyzb0zz__pulseaudio_simplez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pulseaudiozd2simplezd2closezd2envzd2zz__pulseaudio_simplez00, BgL_bgl_za762pulseaudioza7d21465z00, BGl_z62pulseaudiozd2simplezd2closez62zz__pulseaudio_simplez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pulseaudiozd2simplezd2flushzd2envzd2zz__pulseaudio_simplez00, BgL_bgl_za762pulseaudioza7d21466z00, BGl_z62pulseaudiozd2simplezd2flushz62zz__pulseaudio_simplez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pulseaudiozd2simplezd2statezd2envzd2zz__pulseaudio_simplez00, BgL_bgl_za762pulseaudioza7d21467z00, BGl_z62pulseaudiozd2simplezd2statez62zz__pulseaudio_simplez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pulseaudiozd2simplezd2writezd2envzd2zz__pulseaudio_simplez00, BgL_bgl_za762pulseaudioza7d21468z00, BGl_z62pulseaudiozd2simplezd2writez62zz__pulseaudio_simplez00, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__pulseaudio_simplez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_simplez00(long BgL_checksumz00_542, char * BgL_fromz00_543)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__pulseaudio_simplez00))
{ 
BGl_requirezd2initializa7ationz75zz__pulseaudio_simplez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__pulseaudio_simplez00(); 
BGl_libraryzd2moduleszd2initz00zz__pulseaudio_simplez00(); 
BGl_cnstzd2initzd2zz__pulseaudio_simplez00(); 
BGl_importedzd2moduleszd2initz00zz__pulseaudio_simplez00(); 
BGl_objectzd2initzd2zz__pulseaudio_simplez00(); 
return 
BGl_methodzd2initzd2zz__pulseaudio_simplez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__pulseaudio_simplez00()
{
{ /* Llib/simple.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__pulseaudio_simple"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__pulseaudio_simple"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__pulseaudio_simple"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__pulseaudio_simple"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__pulseaudio_simple"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__pulseaudio_simple"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__pulseaudio_simple"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__pulseaudio_simple"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__pulseaudio_simple"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__pulseaudio_simplez00()
{
{ /* Llib/simple.scm 15 */
{ /* Llib/simple.scm 15 */
 obj_t BgL_cportz00_445;
{ /* Llib/simple.scm 15 */
 obj_t BgL_stringz00_453;
BgL_stringz00_453 = BGl_string1405z00zz__pulseaudio_simplez00; 
{ /* Llib/simple.scm 15 */
 obj_t BgL_startz00_454;
BgL_startz00_454 = 
BINT(((long)0)); 
{ /* Llib/simple.scm 15 */
 obj_t BgL_endz00_455;
BgL_endz00_455 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_453))); 
{ /* Llib/simple.scm 15 */

BgL_cportz00_445 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_453, BgL_startz00_454, BgL_endz00_455); } } } } 
{ 
 long BgL_iz00_446;
BgL_iz00_446 = ((long)33); 
BgL_loopz00_447:
if(
(BgL_iz00_446==((long)-1)))
{ /* Llib/simple.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/simple.scm 15 */
{ /* Llib/simple.scm 15 */
 obj_t BgL_arg1414z00_449;
{ /* Llib/simple.scm 15 */

{ /* Llib/simple.scm 15 */
 obj_t BgL_locationz00_451;
BgL_locationz00_451 = 
BBOOL(((bool_t)0)); 
{ /* Llib/simple.scm 15 */

BgL_arg1414z00_449 = 
BGl_readz00zz__readerz00(BgL_cportz00_445, BgL_locationz00_451); } } } 
{ /* Llib/simple.scm 15 */
 int BgL_tmpz00_571;
BgL_tmpz00_571 = 
(int)(BgL_iz00_446); 
CNST_TABLE_SET(BgL_tmpz00_571, BgL_arg1414z00_449); } } 
{ /* Llib/simple.scm 15 */
 int BgL_auxz00_452;
BgL_auxz00_452 = 
(int)(
(BgL_iz00_446-((long)1))); 
{ 
 long BgL_iz00_576;
BgL_iz00_576 = 
(long)(BgL_auxz00_452); 
BgL_iz00_446 = BgL_iz00_576; 
goto BgL_loopz00_447;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__pulseaudio_simplez00()
{
{ /* Llib/simple.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* pulseaudio-simple-init */
BGL_EXPORTED_DEF obj_t BGl_pulseaudiozd2simplezd2initz00zz__pulseaudio_simplez00(BgL_pulseaudiozd2simplezd2_bglt BgL_oz00_3)
{
{ /* Llib/simple.scm 43 */
{ /* Llib/simple.scm 46 */
 long BgL_fmtz00_24;
if(
(
(long)(
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_3))->BgL_bpsz00))>((long)0)))
{ /* Llib/simple.scm 46 */
BgL_fmtz00_24 = 
BGl_bpszd2formatzd2zz__pulseaudio_simplez00(
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_3))->BgL_bpsz00)); }  else 
{ /* Llib/simple.scm 48 */
 long BgL_formatz00_39;
BgL_formatz00_39 = 
BGl_pazd2formatzd2zz__pulseaudio_simplez00(
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_3))->BgL_formatz00)); 
{ /* Llib/simple.scm 49 */
 obj_t BgL_fbpsz00_40;
{ /* Llib/simple.scm 50 */
 obj_t BgL_tmpz00_255;
{ /* Llib/simple.scm 50 */
 int BgL_tmpz00_587;
BgL_tmpz00_587 = 
(int)(((long)1)); 
BgL_tmpz00_255 = 
BGL_MVALUES_VAL(BgL_tmpz00_587); } 
{ /* Llib/simple.scm 50 */
 int BgL_tmpz00_590;
BgL_tmpz00_590 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_590, BUNSPEC); } 
BgL_fbpsz00_40 = BgL_tmpz00_255; } 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_3))->BgL_bpsz00)=((int)
CINT(BgL_fbpsz00_40)),BUNSPEC); 
BgL_fmtz00_24 = BgL_formatz00_39; } } 
{ 
 pa_simple * BgL_auxz00_595;
{ /* Llib/simple.scm 54 */
 obj_t BgL_arg1119z00_25; obj_t BgL_arg1120z00_26; obj_t BgL_arg1121z00_27; long BgL_arg1122z00_28; long BgL_arg1123z00_29;
{ /* Llib/simple.scm 54 */
 bool_t BgL_test1472z00_596;
{ /* Llib/simple.scm 54 */
 obj_t BgL_tmpz00_597;
BgL_tmpz00_597 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_3))->BgL_srvnamez00); 
BgL_test1472z00_596 = 
STRINGP(BgL_tmpz00_597); } 
if(BgL_test1472z00_596)
{ /* Llib/simple.scm 54 */
BgL_arg1119z00_25 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_3))->BgL_srvnamez00); }  else 
{ /* Llib/simple.scm 54 */
BgL_arg1119z00_25 = 
string_to_bstring(0L); } } 
BgL_arg1120z00_26 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_3))->BgL_namez00); 
{ /* Llib/simple.scm 56 */
 bool_t BgL_test1473z00_603;
{ /* Llib/simple.scm 56 */
 obj_t BgL_tmpz00_604;
BgL_tmpz00_604 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_3))->BgL_streamz00); 
BgL_test1473z00_603 = 
STRINGP(BgL_tmpz00_604); } 
if(BgL_test1473z00_603)
{ /* Llib/simple.scm 56 */
BgL_arg1121z00_27 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_3))->BgL_streamz00); }  else 
{ /* Llib/simple.scm 56 */
BgL_arg1121z00_27 = 
string_to_bstring(0L); } } 
BgL_arg1122z00_28 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_3))->BgL_ratez00); 
BgL_arg1123z00_29 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_3))->BgL_channelsz00); 
BgL_auxz00_595 = 
bgl_pa_simple_new(
BSTRING_TO_STRING(BgL_arg1119z00_25), 
BSTRING_TO_STRING(BgL_arg1120z00_26), 
BSTRING_TO_STRING(BgL_arg1121z00_27), BgL_fmtz00_24, BgL_arg1122z00_28, BgL_arg1123z00_29); } 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_3))->BgL_z42builtinz42)=((pa_simple *)BgL_auxz00_595),BUNSPEC); } } 
return 
((obj_t)BgL_oz00_3);} 

}



/* &pulseaudio-simple-init */
obj_t BGl_z62pulseaudiozd2simplezd2initz62zz__pulseaudio_simplez00(obj_t BgL_envz00_310, obj_t BgL_oz00_311)
{
{ /* Llib/simple.scm 43 */
{ /* Llib/simple.scm 44 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_auxz00_617;
{ /* Llib/simple.scm 44 */
 bool_t BgL_test1474z00_618;
{ /* Llib/simple.scm 44 */
 obj_t BgL_classz00_457;
BgL_classz00_457 = BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00; 
if(
BGL_OBJECTP(BgL_oz00_311))
{ /* Llib/simple.scm 44 */
 BgL_objectz00_bglt BgL_arg1799z00_459; long BgL_arg1800z00_460;
BgL_arg1799z00_459 = 
(BgL_objectz00_bglt)(BgL_oz00_311); 
BgL_arg1800z00_460 = 
BGL_CLASS_DEPTH(BgL_classz00_457); 
{ /* Llib/simple.scm 44 */
 bool_t BgL_arg1794z00_464; bool_t BgL_arg1795z00_465;
{ /* Llib/simple.scm 44 */
 long BgL_idxz00_469;
BgL_idxz00_469 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1799z00_459); 
{ /* Llib/simple.scm 44 */
 obj_t BgL_arg1791z00_470;
{ /* Llib/simple.scm 44 */
 long BgL_arg1792z00_471;
BgL_arg1792z00_471 = 
(BgL_idxz00_469+BgL_arg1800z00_460); 
BgL_arg1791z00_470 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1792z00_471); } 
BgL_arg1794z00_464 = 
(BgL_arg1791z00_470==BgL_classz00_457); } } 
{ /* Llib/simple.scm 44 */
 bool_t BgL_res1415z00_494;
{ /* Llib/simple.scm 44 */
 obj_t BgL_oclassz00_479;
{ /* Llib/simple.scm 44 */
 long BgL_arg1804z00_485;
{ /* Llib/simple.scm 44 */
 long BgL_arg1805z00_486;
BgL_arg1805z00_486 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1799z00_459); 
BgL_arg1804z00_485 = 
(BgL_arg1805z00_486-OBJECT_TYPE); } 
BgL_oclassz00_479 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1804z00_485); } 
{ /* Llib/simple.scm 44 */
 bool_t BgL__ortest_1111z00_480;
BgL__ortest_1111z00_480 = 
(BgL_classz00_457==BgL_oclassz00_479); 
if(BgL__ortest_1111z00_480)
{ /* Llib/simple.scm 44 */
BgL_res1415z00_494 = BgL__ortest_1111z00_480; }  else 
{ /* Llib/simple.scm 44 */
 long BgL_odepthz00_481;
BgL_odepthz00_481 = 
BGL_CLASS_DEPTH(BgL_oclassz00_479); 
if(
(BgL_arg1800z00_460<BgL_odepthz00_481))
{ /* Llib/simple.scm 44 */
 obj_t BgL_arg1793z00_483;
BgL_arg1793z00_483 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_479, BgL_arg1800z00_460); 
BgL_res1415z00_494 = 
(BgL_arg1793z00_483==BgL_classz00_457); }  else 
{ /* Llib/simple.scm 44 */
BgL_res1415z00_494 = ((bool_t)0); } } } } 
BgL_arg1795z00_465 = BgL_res1415z00_494; } 
BgL_test1474z00_618 = 
BGL_ISA_C_BACKEND(BgL_arg1794z00_464, BgL_arg1795z00_465); } }  else 
{ /* Llib/simple.scm 44 */
BgL_test1474z00_618 = ((bool_t)0)
; } } 
if(BgL_test1474z00_618)
{ /* Llib/simple.scm 44 */
BgL_auxz00_617 = 
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_311)
; }  else 
{ 
 obj_t BgL_auxz00_639;
BgL_auxz00_639 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1360z00zz__pulseaudio_simplez00, 
BINT(((long)2189)), BGl_string1361z00zz__pulseaudio_simplez00, BGl_string1362z00zz__pulseaudio_simplez00, BgL_oz00_311); 
FAILURE(BgL_auxz00_639,BFALSE,BFALSE);} } 
return 
BGl_pulseaudiozd2simplezd2initz00zz__pulseaudio_simplez00(BgL_auxz00_617);} } 

}



/* pulseaudio-simple-state */
BGL_EXPORTED_DEF obj_t BGl_pulseaudiozd2simplezd2statez00zz__pulseaudio_simplez00(BgL_pulseaudiozd2simplezd2_bglt BgL_oz00_4)
{
{ /* Llib/simple.scm 63 */
{ /* Llib/simple.scm 65 */
 bool_t BgL_test1478z00_644;
{ /* Llib/simple.scm 65 */
 pa_simple * BgL_tmpz00_645;
BgL_tmpz00_645 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_4))->BgL_z42builtinz42); 
BgL_test1478z00_644 = 
(BgL_tmpz00_645 == 0L); } 
if(BgL_test1478z00_644)
{ /* Llib/simple.scm 65 */
return 
CNST_TABLE_REF(((long)0));}  else 
{ /* Llib/simple.scm 65 */
return 
CNST_TABLE_REF(((long)1));} } } 

}



/* &pulseaudio-simple-state */
obj_t BGl_z62pulseaudiozd2simplezd2statez62zz__pulseaudio_simplez00(obj_t BgL_envz00_312, obj_t BgL_oz00_313)
{
{ /* Llib/simple.scm 63 */
{ /* Llib/simple.scm 64 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_auxz00_650;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_313, BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00))
{ /* Llib/simple.scm 64 */
BgL_auxz00_650 = 
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_313)
; }  else 
{ 
 obj_t BgL_auxz00_654;
BgL_auxz00_654 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1360z00zz__pulseaudio_simplez00, 
BINT(((long)2936)), BGl_string1363z00zz__pulseaudio_simplez00, BGl_string1362z00zz__pulseaudio_simplez00, BgL_oz00_313); 
FAILURE(BgL_auxz00_654,BFALSE,BFALSE);} 
return 
BGl_pulseaudiozd2simplezd2statez00zz__pulseaudio_simplez00(BgL_auxz00_650);} } 

}



/* pulseaudio-simple-close */
BGL_EXPORTED_DEF obj_t BGl_pulseaudiozd2simplezd2closez00zz__pulseaudio_simplez00(BgL_pulseaudiozd2simplezd2_bglt BgL_oz00_5)
{
{ /* Llib/simple.scm 72 */
{ /* Llib/simple.scm 74 */
 pa_simple * BgL_arg1148z00_260;
BgL_arg1148z00_260 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42builtinz42); 
pa_simple_free(BgL_arg1148z00_260); BUNSPEC; } 
return 
((obj_t)BgL_oz00_5);} 

}



/* &pulseaudio-simple-close */
obj_t BGl_z62pulseaudiozd2simplezd2closez62zz__pulseaudio_simplez00(obj_t BgL_envz00_314, obj_t BgL_oz00_315)
{
{ /* Llib/simple.scm 72 */
{ /* Llib/simple.scm 73 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_auxz00_662;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_315, BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00))
{ /* Llib/simple.scm 73 */
BgL_auxz00_662 = 
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_315)
; }  else 
{ 
 obj_t BgL_auxz00_666;
BgL_auxz00_666 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1360z00zz__pulseaudio_simplez00, 
BINT(((long)3324)), BGl_string1364z00zz__pulseaudio_simplez00, BGl_string1362z00zz__pulseaudio_simplez00, BgL_oz00_315); 
FAILURE(BgL_auxz00_666,BFALSE,BFALSE);} 
return 
BGl_pulseaudiozd2simplezd2closez00zz__pulseaudio_simplez00(BgL_auxz00_662);} } 

}



/* pulseaudio-simple-get-latency */
BGL_EXPORTED_DEF double BGl_pulseaudiozd2simplezd2getzd2latencyzd2zz__pulseaudio_simplez00(BgL_pulseaudiozd2simplezd2_bglt BgL_oz00_6)
{
{ /* Llib/simple.scm 80 */
{ /* Llib/simple.scm 82 */
 int BgL_errz00_50;
BgL_errz00_50 = 
(int)(((long)0)); 
{ /* Llib/simple.scm 83 */
 double BgL_fz00_51;
{ /* Llib/simple.scm 83 */
 pa_simple * BgL_arg1153z00_54; int * BgL_arg1154z00_55;
BgL_arg1153z00_54 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_6))->BgL_z42builtinz42); 
BgL_arg1154z00_55 = 
&(BgL_errz00_50); 
BgL_fz00_51 = 
pa_simple_get_latency(BgL_arg1153z00_54, BgL_arg1154z00_55); } 
if(
(
(long)(BgL_errz00_50)<((long)0)))
{ /* Llib/simple.scm 86 */
 char * BgL_arg1150z00_53;
{ /* Llib/simple.scm 86 */
 int BgL_tmpz00_678;
BgL_tmpz00_678 = 
(int)(((long)0)); 
BgL_arg1150z00_53 = 
pa_strerror(BgL_tmpz00_678); } 
BINT(
bgl_pulseaudio_error(
BSTRING_TO_STRING(BGl_string1365z00zz__pulseaudio_simplez00), BgL_arg1150z00_53, 
BINT(((long)0)))); }  else 
{ /* Llib/simple.scm 84 */BFALSE; } 
return BgL_fz00_51;} } } 

}



/* &pulseaudio-simple-get-latency */
obj_t BGl_z62pulseaudiozd2simplezd2getzd2latencyzb0zz__pulseaudio_simplez00(obj_t BgL_envz00_316, obj_t BgL_oz00_317)
{
{ /* Llib/simple.scm 80 */
{ /* Llib/simple.scm 81 */
 double BgL_tmpz00_685;
{ /* Llib/simple.scm 81 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_auxz00_686;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_317, BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00))
{ /* Llib/simple.scm 81 */
BgL_auxz00_686 = 
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_317)
; }  else 
{ 
 obj_t BgL_auxz00_690;
BgL_auxz00_690 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1360z00zz__pulseaudio_simplez00, 
BINT(((long)3699)), BGl_string1366z00zz__pulseaudio_simplez00, BGl_string1362z00zz__pulseaudio_simplez00, BgL_oz00_317); 
FAILURE(BgL_auxz00_690,BFALSE,BFALSE);} 
BgL_tmpz00_685 = 
BGl_pulseaudiozd2simplezd2getzd2latencyzd2zz__pulseaudio_simplez00(BgL_auxz00_686); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_685);} } 

}



/* bps-format */
long BGl_bpszd2formatzd2zz__pulseaudio_simplez00(int BgL_bpsz00_7)
{
{ /* Llib/simple.scm 93 */
switch( 
(long)(BgL_bpsz00_7)) { case ((long)8) : 

return PA_SAMPLE_ALAW;break;case ((long)16) : 

return PA_SAMPLE_S16LE;break;case ((long)24) : 

return PA_SAMPLE_S24_32LE;break;case ((long)32) : 

return PA_SAMPLE_S32LE;break;
default: 
return PA_SAMPLE_INVALID;} } 

}



/* pa-format */
long BGl_pazd2formatzd2zz__pulseaudio_simplez00(obj_t BgL_formatz00_8)
{
{ /* Llib/simple.scm 104 */
{ /* Llib/simple.scm 105 */
 bool_t BgL_test1483z00_698;
{ /* Llib/simple.scm 105 */
 bool_t BgL__ortest_1067z00_103;
BgL__ortest_1067z00_103 = 
(BgL_formatz00_8==
CNST_TABLE_REF(((long)2))); 
if(BgL__ortest_1067z00_103)
{ /* Llib/simple.scm 105 */
BgL_test1483z00_698 = BgL__ortest_1067z00_103
; }  else 
{ /* Llib/simple.scm 105 */
BgL_test1483z00_698 = 
(BgL_formatz00_8==
CNST_TABLE_REF(((long)3)))
; } } 
if(BgL_test1483z00_698)
{ /* Llib/simple.scm 105 */
{ /* Llib/simple.scm 107 */
 int BgL_tmpz00_704;
BgL_tmpz00_704 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_704); } 
{ /* Llib/simple.scm 107 */
 obj_t BgL_auxz00_709; int BgL_tmpz00_707;
BgL_auxz00_709 = 
BINT(((long)16)); 
BgL_tmpz00_707 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_707, BgL_auxz00_709); } 
return PA_SAMPLE_S16LE;}  else 
{ /* Llib/simple.scm 105 */
if(
(BgL_formatz00_8==
CNST_TABLE_REF(((long)4))))
{ /* Llib/simple.scm 105 */
{ /* Llib/simple.scm 109 */
 int BgL_tmpz00_715;
BgL_tmpz00_715 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_715); } 
{ /* Llib/simple.scm 109 */
 obj_t BgL_auxz00_720; int BgL_tmpz00_718;
BgL_auxz00_720 = 
BINT(((long)16)); 
BgL_tmpz00_718 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_718, BgL_auxz00_720); } 
return PA_SAMPLE_S16BE;}  else 
{ /* Llib/simple.scm 105 */
 bool_t BgL_test1486z00_723;
{ /* Llib/simple.scm 105 */
 bool_t BgL__ortest_1079z00_102;
BgL__ortest_1079z00_102 = 
(BgL_formatz00_8==
CNST_TABLE_REF(((long)5))); 
if(BgL__ortest_1079z00_102)
{ /* Llib/simple.scm 105 */
BgL_test1486z00_723 = BgL__ortest_1079z00_102
; }  else 
{ /* Llib/simple.scm 105 */
BgL_test1486z00_723 = 
(BgL_formatz00_8==
CNST_TABLE_REF(((long)6)))
; } } 
if(BgL_test1486z00_723)
{ /* Llib/simple.scm 105 */
{ /* Llib/simple.scm 111 */
 int BgL_tmpz00_729;
BgL_tmpz00_729 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_729); } 
{ /* Llib/simple.scm 111 */
 obj_t BgL_auxz00_734; int BgL_tmpz00_732;
BgL_auxz00_734 = 
BINT(((long)24)); 
BgL_tmpz00_732 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_732, BgL_auxz00_734); } 
return PA_SAMPLE_S24LE;}  else 
{ /* Llib/simple.scm 105 */
if(
(BgL_formatz00_8==
CNST_TABLE_REF(((long)7))))
{ /* Llib/simple.scm 105 */
{ /* Llib/simple.scm 113 */
 int BgL_tmpz00_740;
BgL_tmpz00_740 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_740); } 
{ /* Llib/simple.scm 113 */
 obj_t BgL_auxz00_745; int BgL_tmpz00_743;
BgL_auxz00_745 = 
BINT(((long)24)); 
BgL_tmpz00_743 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_743, BgL_auxz00_745); } 
return PA_SAMPLE_S24BE;}  else 
{ /* Llib/simple.scm 105 */
 bool_t BgL_test1489z00_748;
{ /* Llib/simple.scm 105 */
 bool_t BgL__ortest_1080z00_101;
BgL__ortest_1080z00_101 = 
(BgL_formatz00_8==
CNST_TABLE_REF(((long)8))); 
if(BgL__ortest_1080z00_101)
{ /* Llib/simple.scm 105 */
BgL_test1489z00_748 = BgL__ortest_1080z00_101
; }  else 
{ /* Llib/simple.scm 105 */
BgL_test1489z00_748 = 
(BgL_formatz00_8==
CNST_TABLE_REF(((long)9)))
; } } 
if(BgL_test1489z00_748)
{ /* Llib/simple.scm 105 */
{ /* Llib/simple.scm 115 */
 int BgL_tmpz00_754;
BgL_tmpz00_754 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_754); } 
{ /* Llib/simple.scm 115 */
 obj_t BgL_auxz00_759; int BgL_tmpz00_757;
BgL_auxz00_759 = 
BINT(((long)32)); 
BgL_tmpz00_757 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_757, BgL_auxz00_759); } 
return PA_SAMPLE_S32LE;}  else 
{ /* Llib/simple.scm 105 */
if(
(BgL_formatz00_8==
CNST_TABLE_REF(((long)10))))
{ /* Llib/simple.scm 105 */
{ /* Llib/simple.scm 117 */
 int BgL_tmpz00_765;
BgL_tmpz00_765 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_765); } 
{ /* Llib/simple.scm 117 */
 obj_t BgL_auxz00_770; int BgL_tmpz00_768;
BgL_auxz00_770 = 
BINT(((long)32)); 
BgL_tmpz00_768 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_768, BgL_auxz00_770); } 
return PA_SAMPLE_S32BE;}  else 
{ /* Llib/simple.scm 105 */
if(
(BgL_formatz00_8==
CNST_TABLE_REF(((long)11))))
{ /* Llib/simple.scm 105 */
{ /* Llib/simple.scm 119 */
 int BgL_tmpz00_776;
BgL_tmpz00_776 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_776); } 
{ /* Llib/simple.scm 119 */
 obj_t BgL_auxz00_781; int BgL_tmpz00_779;
BgL_auxz00_781 = 
BINT(((long)24)); 
BgL_tmpz00_779 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_779, BgL_auxz00_781); } 
return PA_SAMPLE_S24_32LE;}  else 
{ /* Llib/simple.scm 105 */
if(
(BgL_formatz00_8==
CNST_TABLE_REF(((long)12))))
{ /* Llib/simple.scm 105 */
{ /* Llib/simple.scm 121 */
 int BgL_tmpz00_787;
BgL_tmpz00_787 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_787); } 
{ /* Llib/simple.scm 121 */
 obj_t BgL_auxz00_792; int BgL_tmpz00_790;
BgL_auxz00_792 = 
BINT(((long)24)); 
BgL_tmpz00_790 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_790, BgL_auxz00_792); } 
return PA_SAMPLE_S24_32BE;}  else 
{ /* Llib/simple.scm 105 */
if(
(BgL_formatz00_8==
CNST_TABLE_REF(((long)13))))
{ /* Llib/simple.scm 105 */
{ /* Llib/simple.scm 123 */
 int BgL_tmpz00_798;
BgL_tmpz00_798 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_798); } 
{ /* Llib/simple.scm 123 */
 obj_t BgL_auxz00_803; int BgL_tmpz00_801;
BgL_auxz00_803 = 
BINT(PA_SAMPLE_FLOAT32LE); 
BgL_tmpz00_801 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_801, BgL_auxz00_803); } 
return ((long)32);}  else 
{ /* Llib/simple.scm 105 */
if(
(BgL_formatz00_8==
CNST_TABLE_REF(((long)14))))
{ /* Llib/simple.scm 105 */
{ /* Llib/simple.scm 125 */
 int BgL_tmpz00_809;
BgL_tmpz00_809 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_809); } 
{ /* Llib/simple.scm 125 */
 obj_t BgL_auxz00_814; int BgL_tmpz00_812;
BgL_auxz00_814 = 
BINT(((long)32)); 
BgL_tmpz00_812 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_812, BgL_auxz00_814); } 
return PA_SAMPLE_FLOAT32BE;}  else 
{ /* Llib/simple.scm 105 */
if(
(BgL_formatz00_8==
CNST_TABLE_REF(((long)15))))
{ /* Llib/simple.scm 105 */
{ /* Llib/simple.scm 127 */
 int BgL_tmpz00_820;
BgL_tmpz00_820 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_820); } 
{ /* Llib/simple.scm 127 */
 obj_t BgL_auxz00_825; int BgL_tmpz00_823;
BgL_auxz00_825 = 
BINT(((long)8)); 
BgL_tmpz00_823 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_823, BgL_auxz00_825); } 
return PA_SAMPLE_U8;}  else 
{ /* Llib/simple.scm 105 */
if(
(BgL_formatz00_8==
CNST_TABLE_REF(((long)16))))
{ /* Llib/simple.scm 105 */
{ /* Llib/simple.scm 129 */
 int BgL_tmpz00_831;
BgL_tmpz00_831 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_831); } 
{ /* Llib/simple.scm 129 */
 obj_t BgL_auxz00_836; int BgL_tmpz00_834;
BgL_auxz00_836 = 
BINT(((long)8)); 
BgL_tmpz00_834 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_834, BgL_auxz00_836); } 
return PA_SAMPLE_ALAW;}  else 
{ /* Llib/simple.scm 105 */
{ /* Llib/simple.scm 131 */
 int BgL_tmpz00_839;
BgL_tmpz00_839 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_839); } 
{ /* Llib/simple.scm 131 */
 obj_t BgL_auxz00_844; int BgL_tmpz00_842;
BgL_auxz00_844 = 
BINT(((long)0)); 
BgL_tmpz00_842 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_842, BgL_auxz00_844); } 
return PA_SAMPLE_INVALID;} } } } } } } } } } } } } } 

}



/* pulseaudio-simple-write */
BGL_EXPORTED_DEF long BGl_pulseaudiozd2simplezd2writez00zz__pulseaudio_simplez00(BgL_pulseaudiozd2simplezd2_bglt BgL_oz00_9, obj_t BgL_outbufz00_10, long BgL_siza7eza7_11)
{
{ /* Llib/simple.scm 136 */
{ /* Llib/simple.scm 138 */
 int BgL_errz00_495;
BgL_errz00_495 = 
(int)(((long)0)); 
{ /* Llib/simple.scm 139 */
 pa_simple * BgL_arg1171z00_496; int * BgL_arg1172z00_497;
BgL_arg1171z00_496 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_9))->BgL_z42builtinz42); 
BgL_arg1172z00_497 = 
&(BgL_errz00_495); 
{ /* Llib/simple.scm 139 */
 char * BgL_tmpz00_850;
BgL_tmpz00_850 = 
BSTRING_TO_STRING(BgL_outbufz00_10); 
pa_simple_write(BgL_arg1171z00_496, BgL_tmpz00_850, BgL_siza7eza7_11, BgL_arg1172z00_497); } } 
if(
(
(long)(BgL_errz00_495)<((long)0)))
{ /* Llib/simple.scm 142 */
 char * BgL_arg1175z00_498;
{ /* Llib/simple.scm 142 */
 int BgL_tmpz00_856;
BgL_tmpz00_856 = 
(int)(((long)0)); 
BgL_arg1175z00_498 = 
pa_strerror(BgL_tmpz00_856); } 
BINT(
bgl_pulseaudio_error(
BSTRING_TO_STRING(BGl_string1367z00zz__pulseaudio_simplez00), BgL_arg1175z00_498, 
BINT(((long)0)))); }  else 
{ /* Llib/simple.scm 140 */BFALSE; } 
return BgL_siza7eza7_11;} } 

}



/* &pulseaudio-simple-write */
obj_t BGl_z62pulseaudiozd2simplezd2writez62zz__pulseaudio_simplez00(obj_t BgL_envz00_318, obj_t BgL_oz00_319, obj_t BgL_outbufz00_320, obj_t BgL_siza7eza7_321)
{
{ /* Llib/simple.scm 136 */
{ /* Llib/simple.scm 137 */
 long BgL_tmpz00_863;
{ /* Llib/simple.scm 137 */
 long BgL_auxz00_879; obj_t BgL_auxz00_872; BgL_pulseaudiozd2simplezd2_bglt BgL_auxz00_864;
{ /* Llib/simple.scm 137 */
 obj_t BgL_tmpz00_880;
if(
INTEGERP(BgL_siza7eza7_321))
{ /* Llib/simple.scm 137 */
BgL_tmpz00_880 = BgL_siza7eza7_321
; }  else 
{ 
 obj_t BgL_auxz00_883;
BgL_auxz00_883 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1360z00zz__pulseaudio_simplez00, 
BINT(((long)5641)), BGl_string1368z00zz__pulseaudio_simplez00, BGl_string1370z00zz__pulseaudio_simplez00, BgL_siza7eza7_321); 
FAILURE(BgL_auxz00_883,BFALSE,BFALSE);} 
BgL_auxz00_879 = 
(long)CINT(BgL_tmpz00_880); } 
if(
STRINGP(BgL_outbufz00_320))
{ /* Llib/simple.scm 137 */
BgL_auxz00_872 = BgL_outbufz00_320
; }  else 
{ 
 obj_t BgL_auxz00_875;
BgL_auxz00_875 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1360z00zz__pulseaudio_simplez00, 
BINT(((long)5641)), BGl_string1368z00zz__pulseaudio_simplez00, BGl_string1369z00zz__pulseaudio_simplez00, BgL_outbufz00_320); 
FAILURE(BgL_auxz00_875,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_319, BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00))
{ /* Llib/simple.scm 137 */
BgL_auxz00_864 = 
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_319)
; }  else 
{ 
 obj_t BgL_auxz00_868;
BgL_auxz00_868 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1360z00zz__pulseaudio_simplez00, 
BINT(((long)5641)), BGl_string1368z00zz__pulseaudio_simplez00, BGl_string1362z00zz__pulseaudio_simplez00, BgL_oz00_319); 
FAILURE(BgL_auxz00_868,BFALSE,BFALSE);} 
BgL_tmpz00_863 = 
BGl_pulseaudiozd2simplezd2writez00zz__pulseaudio_simplez00(BgL_auxz00_864, BgL_auxz00_872, BgL_auxz00_879); } 
return 
BINT(BgL_tmpz00_863);} } 

}



/* pulseaudio-simple-drain */
BGL_EXPORTED_DEF obj_t BGl_pulseaudiozd2simplezd2drainz00zz__pulseaudio_simplez00(BgL_pulseaudiozd2simplezd2_bglt BgL_oz00_12)
{
{ /* Llib/simple.scm 149 */
{ /* Llib/simple.scm 151 */
 int BgL_errz00_499;
BgL_errz00_499 = 
(int)(((long)0)); 
{ /* Llib/simple.scm 152 */
 pa_simple * BgL_arg1177z00_500; int * BgL_arg1179z00_501;
BgL_arg1177z00_500 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_12))->BgL_z42builtinz42); 
BgL_arg1179z00_501 = 
&(BgL_errz00_499); 
pa_simple_drain(BgL_arg1177z00_500, BgL_arg1179z00_501); } 
if(
(
(long)(BgL_errz00_499)<((long)0)))
{ /* Llib/simple.scm 155 */
 char * BgL_arg1181z00_502;
{ /* Llib/simple.scm 155 */
 int BgL_tmpz00_897;
BgL_tmpz00_897 = 
(int)(((long)0)); 
BgL_arg1181z00_502 = 
pa_strerror(BgL_tmpz00_897); } 
return 
BINT(
bgl_pulseaudio_error(
BSTRING_TO_STRING(BGl_string1371z00zz__pulseaudio_simplez00), BgL_arg1181z00_502, 
BINT(((long)0))));}  else 
{ /* Llib/simple.scm 153 */
return BFALSE;} } } 

}



/* &pulseaudio-simple-drain */
obj_t BGl_z62pulseaudiozd2simplezd2drainz62zz__pulseaudio_simplez00(obj_t BgL_envz00_322, obj_t BgL_oz00_323)
{
{ /* Llib/simple.scm 149 */
{ /* Llib/simple.scm 150 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_auxz00_904;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_323, BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00))
{ /* Llib/simple.scm 150 */
BgL_auxz00_904 = 
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_323)
; }  else 
{ 
 obj_t BgL_auxz00_908;
BgL_auxz00_908 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1360z00zz__pulseaudio_simplez00, 
BINT(((long)6173)), BGl_string1372z00zz__pulseaudio_simplez00, BGl_string1362z00zz__pulseaudio_simplez00, BgL_oz00_323); 
FAILURE(BgL_auxz00_908,BFALSE,BFALSE);} 
return 
BGl_pulseaudiozd2simplezd2drainz00zz__pulseaudio_simplez00(BgL_auxz00_904);} } 

}



/* pulseaudio-simple-flush */
BGL_EXPORTED_DEF obj_t BGl_pulseaudiozd2simplezd2flushz00zz__pulseaudio_simplez00(BgL_pulseaudiozd2simplezd2_bglt BgL_oz00_13)
{
{ /* Llib/simple.scm 161 */
{ /* Llib/simple.scm 163 */
 int BgL_errz00_503;
BgL_errz00_503 = 
(int)(((long)0)); 
{ /* Llib/simple.scm 164 */
 pa_simple * BgL_arg1182z00_504; int * BgL_arg1184z00_505;
BgL_arg1182z00_504 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_oz00_13))->BgL_z42builtinz42); 
BgL_arg1184z00_505 = 
&(BgL_errz00_503); 
pa_simple_flush(BgL_arg1182z00_504, BgL_arg1184z00_505); } 
if(
(
(long)(BgL_errz00_503)<((long)0)))
{ /* Llib/simple.scm 167 */
 char * BgL_arg1186z00_506;
{ /* Llib/simple.scm 167 */
 int BgL_tmpz00_920;
BgL_tmpz00_920 = 
(int)(((long)0)); 
BgL_arg1186z00_506 = 
pa_strerror(BgL_tmpz00_920); } 
return 
BINT(
bgl_pulseaudio_error(
BSTRING_TO_STRING(BGl_string1373z00zz__pulseaudio_simplez00), BgL_arg1186z00_506, 
BINT(((long)0))));}  else 
{ /* Llib/simple.scm 165 */
return BFALSE;} } } 

}



/* &pulseaudio-simple-flush */
obj_t BGl_z62pulseaudiozd2simplezd2flushz62zz__pulseaudio_simplez00(obj_t BgL_envz00_324, obj_t BgL_oz00_325)
{
{ /* Llib/simple.scm 161 */
{ /* Llib/simple.scm 162 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_auxz00_927;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_325, BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00))
{ /* Llib/simple.scm 162 */
BgL_auxz00_927 = 
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_325)
; }  else 
{ 
 obj_t BgL_auxz00_931;
BgL_auxz00_931 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1360z00zz__pulseaudio_simplez00, 
BINT(((long)6686)), BGl_string1374z00zz__pulseaudio_simplez00, BGl_string1362z00zz__pulseaudio_simplez00, BgL_oz00_325); 
FAILURE(BgL_auxz00_931,BFALSE,BFALSE);} 
return 
BGl_pulseaudiozd2simplezd2flushz00zz__pulseaudio_simplez00(BgL_auxz00_927);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__pulseaudio_simplez00()
{
{ /* Llib/simple.scm 15 */
{ /* Llib/simple.scm 21 */
 obj_t BgL_arg1197z00_125; obj_t BgL_arg1198z00_126;
{ /* Llib/simple.scm 21 */
 obj_t BgL_v1112z00_145;
BgL_v1112z00_145 = 
create_vector(((long)8)); 
{ /* Llib/simple.scm 21 */
 obj_t BgL_arg1207z00_146;
BgL_arg1207z00_146 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc1377z00zz__pulseaudio_simplez00, BGl_proc1376z00zz__pulseaudio_simplez00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1375z00zz__pulseaudio_simplez00, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1112z00_145,((long)0),BgL_arg1207z00_146); } 
{ /* Llib/simple.scm 21 */
 obj_t BgL_arg1218z00_159;
BgL_arg1218z00_159 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc1380z00zz__pulseaudio_simplez00, BGl_proc1379z00zz__pulseaudio_simplez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1378z00zz__pulseaudio_simplez00, 
CNST_TABLE_REF(((long)20))); 
VECTOR_SET(BgL_v1112z00_145,((long)1),BgL_arg1218z00_159); } 
{ /* Llib/simple.scm 21 */
 obj_t BgL_arg1228z00_172;
BgL_arg1228z00_172 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)21)), BGl_proc1383z00zz__pulseaudio_simplez00, BGl_proc1382z00zz__pulseaudio_simplez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1381z00zz__pulseaudio_simplez00, 
CNST_TABLE_REF(((long)22))); 
VECTOR_SET(BgL_v1112z00_145,((long)2),BgL_arg1228z00_172); } 
{ /* Llib/simple.scm 21 */
 obj_t BgL_arg1235z00_185;
BgL_arg1235z00_185 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc1386z00zz__pulseaudio_simplez00, BGl_proc1385z00zz__pulseaudio_simplez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1384z00zz__pulseaudio_simplez00, 
CNST_TABLE_REF(((long)20))); 
VECTOR_SET(BgL_v1112z00_145,((long)3),BgL_arg1235z00_185); } 
{ /* Llib/simple.scm 21 */
 obj_t BgL_arg1250z00_198;
BgL_arg1250z00_198 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)24)), BGl_proc1389z00zz__pulseaudio_simplez00, BGl_proc1388z00zz__pulseaudio_simplez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1387z00zz__pulseaudio_simplez00, 
CNST_TABLE_REF(((long)25))); 
VECTOR_SET(BgL_v1112z00_145,((long)4),BgL_arg1250z00_198); } 
{ /* Llib/simple.scm 21 */
 obj_t BgL_arg1267z00_211;
BgL_arg1267z00_211 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_proc1392z00zz__pulseaudio_simplez00, BGl_proc1391z00zz__pulseaudio_simplez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1390z00zz__pulseaudio_simplez00, 
CNST_TABLE_REF(((long)25))); 
VECTOR_SET(BgL_v1112z00_145,((long)5),BgL_arg1267z00_211); } 
{ /* Llib/simple.scm 21 */
 obj_t BgL_arg1279z00_224;
BgL_arg1279z00_224 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc1395z00zz__pulseaudio_simplez00, BGl_proc1394z00zz__pulseaudio_simplez00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1393z00zz__pulseaudio_simplez00, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1112z00_145,((long)6),BgL_arg1279z00_224); } 
{ /* Llib/simple.scm 21 */
 obj_t BgL_arg1291z00_237;
BgL_arg1291z00_237 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_proc1398z00zz__pulseaudio_simplez00, BGl_proc1397z00zz__pulseaudio_simplez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1396z00zz__pulseaudio_simplez00, 
CNST_TABLE_REF(((long)30))); 
VECTOR_SET(BgL_v1112z00_145,((long)7),BgL_arg1291z00_237); } 
BgL_arg1197z00_125 = BgL_v1112z00_145; } 
{ /* Llib/simple.scm 21 */
 obj_t BgL_v1113z00_250;
BgL_v1113z00_250 = 
create_vector(((long)0)); 
BgL_arg1198z00_126 = BgL_v1113z00_250; } 
return ( 
BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)31)), 
CNST_TABLE_REF(((long)32)), BGl_objectz00zz__objectz00, ((long)52983), BGl_proc1401z00zz__pulseaudio_simplez00, BGl_proc1400z00zz__pulseaudio_simplez00, BGl_pulseaudiozd2simplezd2initzd2envzd2zz__pulseaudio_simplez00, BGl_proc1399z00zz__pulseaudio_simplez00, BFALSE, BgL_arg1197z00_125, BgL_arg1198z00_126), BUNSPEC) ;} } 

}



/* &<@anonymous:1206> */
obj_t BGl_z62zc3z04anonymousza31206ze3ze5zz__pulseaudio_simplez00(obj_t BgL_envz00_353, obj_t BgL_new1059z00_354)
{
{ /* Llib/simple.scm 21 */
{ 
 BgL_pulseaudiozd2simplezd2_bglt BgL_auxz00_973;
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_new1059z00_354)))->BgL_z42builtinz42)=((pa_simple *)
0L),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_new1059z00_354)))->BgL_srvnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_new1059z00_354)))->BgL_namez00)=((obj_t)BGl_string1402z00zz__pulseaudio_simplez00),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_new1059z00_354)))->BgL_streamz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_new1059z00_354)))->BgL_ratez00)=((long)((long)0)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_new1059z00_354)))->BgL_channelsz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_new1059z00_354)))->BgL_bpsz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_new1059z00_354)))->BgL_formatz00)=((obj_t)
CNST_TABLE_REF(((long)33))),BUNSPEC); 
BgL_auxz00_973 = 
((BgL_pulseaudiozd2simplezd2_bglt)BgL_new1059z00_354); 
return 
((obj_t)BgL_auxz00_973);} } 

}



/* &lambda1202 */
BgL_pulseaudiozd2simplezd2_bglt BGl_z62lambda1202z62zz__pulseaudio_simplez00(obj_t BgL_envz00_355)
{
{ /* Llib/simple.scm 21 */
{ /* Llib/simple.scm 21 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_new1058z00_508;
BgL_new1058z00_508 = 
((BgL_pulseaudiozd2simplezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pulseaudiozd2simplezd2_bgl) ))); 
{ /* Llib/simple.scm 21 */
 long BgL_arg1205z00_509;
BgL_arg1205z00_509 = 
BGL_CLASS_NUM(BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1058z00_508), BgL_arg1205z00_509); } 
return BgL_new1058z00_508;} } 

}



/* &lambda1199 */
BgL_pulseaudiozd2simplezd2_bglt BGl_z62lambda1199z62zz__pulseaudio_simplez00(obj_t BgL_envz00_356, obj_t BgL_z42builtin1050z42_357, obj_t BgL_srvname1051z00_358, obj_t BgL_name1052z00_359, obj_t BgL_stream1053z00_360, obj_t BgL_rate1054z00_361, obj_t BgL_channels1055z00_362, obj_t BgL_bps1056z00_363, obj_t BgL_format1057z00_364)
{
{ /* Llib/simple.scm 21 */
{ /* Llib/simple.scm 21 */
 pa_simple * BgL_z42builtin1050z42_510; long BgL_rate1054z00_512; long BgL_channels1055z00_513; int BgL_bps1056z00_514;
BgL_z42builtin1050z42_510 = 
FOREIGN_TO_COBJ(BgL_z42builtin1050z42_357); 
BgL_rate1054z00_512 = 
(long)CINT(BgL_rate1054z00_361); 
BgL_channels1055z00_513 = 
(long)CINT(BgL_channels1055z00_362); 
BgL_bps1056z00_514 = 
CINT(BgL_bps1056z00_363); 
{ /* Llib/simple.scm 21 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_new1085z00_516;
{ /* Llib/simple.scm 21 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_new1084z00_517;
BgL_new1084z00_517 = 
((BgL_pulseaudiozd2simplezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pulseaudiozd2simplezd2_bgl) ))); 
{ /* Llib/simple.scm 21 */
 long BgL_arg1201z00_518;
BgL_arg1201z00_518 = 
BGL_CLASS_NUM(BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1084z00_517), BgL_arg1201z00_518); } 
BgL_new1085z00_516 = BgL_new1084z00_517; } 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1085z00_516))->BgL_z42builtinz42)=((pa_simple *)BgL_z42builtin1050z42_510),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1085z00_516))->BgL_srvnamez00)=((obj_t)BgL_srvname1051z00_358),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1085z00_516))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1052z00_359)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1085z00_516))->BgL_streamz00)=((obj_t)BgL_stream1053z00_360),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1085z00_516))->BgL_ratez00)=((long)BgL_rate1054z00_512),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1085z00_516))->BgL_channelsz00)=((long)BgL_channels1055z00_513),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1085z00_516))->BgL_bpsz00)=((int)BgL_bps1056z00_514),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1085z00_516))->BgL_formatz00)=((obj_t)
((obj_t)BgL_format1057z00_364)),BUNSPEC); 
{ /* Llib/simple.scm 21 */
 obj_t BgL_fun1200z00_519;
BgL_fun1200z00_519 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00); 
PROCEDURE_ENTRY(BgL_fun1200z00_519)(BgL_fun1200z00_519, 
((obj_t)BgL_new1085z00_516), BEOA); } 
return BgL_new1085z00_516;} } } 

}



/* &<@anonymous:1336> */
obj_t BGl_z62zc3z04anonymousza31336ze3ze5zz__pulseaudio_simplez00(obj_t BgL_envz00_365)
{
{ /* Llib/simple.scm 21 */
return 
CNST_TABLE_REF(((long)2));} 

}



/* &lambda1335 */
obj_t BGl_z62lambda1335z62zz__pulseaudio_simplez00(obj_t BgL_envz00_366, obj_t BgL_oz00_367, obj_t BgL_vz00_368)
{
{ /* Llib/simple.scm 21 */
return 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_367)))->BgL_formatz00)=((obj_t)
((obj_t)BgL_vz00_368)),BUNSPEC);} 

}



/* &lambda1334 */
obj_t BGl_z62lambda1334z62zz__pulseaudio_simplez00(obj_t BgL_envz00_369, obj_t BgL_oz00_370)
{
{ /* Llib/simple.scm 21 */
return 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_370)))->BgL_formatz00);} 

}



/* &<@anonymous:1289> */
obj_t BGl_z62zc3z04anonymousza31289ze3ze5zz__pulseaudio_simplez00(obj_t BgL_envz00_371)
{
{ /* Llib/simple.scm 21 */
return 
BINT(((long)0));} 

}



/* &lambda1288 */
obj_t BGl_z62lambda1288z62zz__pulseaudio_simplez00(obj_t BgL_envz00_372, obj_t BgL_oz00_373, obj_t BgL_vz00_374)
{
{ /* Llib/simple.scm 21 */
{ /* Llib/simple.scm 21 */
 int BgL_vz00_524;
BgL_vz00_524 = 
CINT(BgL_vz00_374); 
return 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_373)))->BgL_bpsz00)=((int)BgL_vz00_524),BUNSPEC);} } 

}



/* &lambda1287 */
obj_t BGl_z62lambda1287z62zz__pulseaudio_simplez00(obj_t BgL_envz00_375, obj_t BgL_oz00_376)
{
{ /* Llib/simple.scm 21 */
return 
BINT(
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_376)))->BgL_bpsz00));} 

}



/* &<@anonymous:1273> */
obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__pulseaudio_simplez00(obj_t BgL_envz00_377)
{
{ /* Llib/simple.scm 21 */
return 
BINT(((long)2));} 

}



/* &lambda1272 */
obj_t BGl_z62lambda1272z62zz__pulseaudio_simplez00(obj_t BgL_envz00_378, obj_t BgL_oz00_379, obj_t BgL_vz00_380)
{
{ /* Llib/simple.scm 21 */
{ /* Llib/simple.scm 21 */
 long BgL_vz00_527;
BgL_vz00_527 = 
(long)CINT(BgL_vz00_380); 
return 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_379)))->BgL_channelsz00)=((long)BgL_vz00_527),BUNSPEC);} } 

}



/* &lambda1271 */
obj_t BGl_z62lambda1271z62zz__pulseaudio_simplez00(obj_t BgL_envz00_381, obj_t BgL_oz00_382)
{
{ /* Llib/simple.scm 21 */
return 
BINT(
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_382)))->BgL_channelsz00));} 

}



/* &<@anonymous:1265> */
obj_t BGl_z62zc3z04anonymousza31265ze3ze5zz__pulseaudio_simplez00(obj_t BgL_envz00_383)
{
{ /* Llib/simple.scm 21 */
return 
BINT(((long)44000));} 

}



/* &lambda1264 */
obj_t BGl_z62lambda1264z62zz__pulseaudio_simplez00(obj_t BgL_envz00_384, obj_t BgL_oz00_385, obj_t BgL_vz00_386)
{
{ /* Llib/simple.scm 21 */
{ /* Llib/simple.scm 21 */
 long BgL_vz00_530;
BgL_vz00_530 = 
(long)CINT(BgL_vz00_386); 
return 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_385)))->BgL_ratez00)=((long)BgL_vz00_530),BUNSPEC);} } 

}



/* &lambda1263 */
obj_t BGl_z62lambda1263z62zz__pulseaudio_simplez00(obj_t BgL_envz00_387, obj_t BgL_oz00_388)
{
{ /* Llib/simple.scm 21 */
return 
BINT(
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_388)))->BgL_ratez00));} 

}



/* &<@anonymous:1245> */
obj_t BGl_z62zc3z04anonymousza31245ze3ze5zz__pulseaudio_simplez00(obj_t BgL_envz00_389)
{
{ /* Llib/simple.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1244 */
obj_t BGl_z62lambda1244z62zz__pulseaudio_simplez00(obj_t BgL_envz00_390, obj_t BgL_oz00_391, obj_t BgL_vz00_392)
{
{ /* Llib/simple.scm 21 */
return 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_391)))->BgL_streamz00)=((obj_t)BgL_vz00_392),BUNSPEC);} 

}



/* &lambda1243 */
obj_t BGl_z62lambda1243z62zz__pulseaudio_simplez00(obj_t BgL_envz00_393, obj_t BgL_oz00_394)
{
{ /* Llib/simple.scm 21 */
return 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_394)))->BgL_streamz00);} 

}



/* &<@anonymous:1234> */
obj_t BGl_z62zc3z04anonymousza31234ze3ze5zz__pulseaudio_simplez00(obj_t BgL_envz00_395)
{
{ /* Llib/simple.scm 21 */
return BGl_string1403z00zz__pulseaudio_simplez00;} 

}



/* &lambda1233 */
obj_t BGl_z62lambda1233z62zz__pulseaudio_simplez00(obj_t BgL_envz00_396, obj_t BgL_oz00_397, obj_t BgL_vz00_398)
{
{ /* Llib/simple.scm 21 */
return 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_397)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_398)),BUNSPEC);} 

}



/* &lambda1232 */
obj_t BGl_z62lambda1232z62zz__pulseaudio_simplez00(obj_t BgL_envz00_399, obj_t BgL_oz00_400)
{
{ /* Llib/simple.scm 21 */
return 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_400)))->BgL_namez00);} 

}



/* &<@anonymous:1227> */
obj_t BGl_z62zc3z04anonymousza31227ze3ze5zz__pulseaudio_simplez00(obj_t BgL_envz00_401)
{
{ /* Llib/simple.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1226 */
obj_t BGl_z62lambda1226z62zz__pulseaudio_simplez00(obj_t BgL_envz00_402, obj_t BgL_oz00_403, obj_t BgL_vz00_404)
{
{ /* Llib/simple.scm 21 */
return 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_403)))->BgL_srvnamez00)=((obj_t)BgL_vz00_404),BUNSPEC);} 

}



/* &lambda1225 */
obj_t BGl_z62lambda1225z62zz__pulseaudio_simplez00(obj_t BgL_envz00_405, obj_t BgL_oz00_406)
{
{ /* Llib/simple.scm 21 */
return 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_406)))->BgL_srvnamez00);} 

}



/* &<@anonymous:1217> */
obj_t BGl_z62zc3z04anonymousza31217ze3ze5zz__pulseaudio_simplez00(obj_t BgL_envz00_407)
{
{ /* Llib/simple.scm 21 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1216 */
obj_t BGl_z62lambda1216z62zz__pulseaudio_simplez00(obj_t BgL_envz00_408, obj_t BgL_oz00_409, obj_t BgL_vz00_410)
{
{ /* Llib/simple.scm 21 */
{ /* Llib/simple.scm 21 */
 pa_simple * BgL_vz00_540;
BgL_vz00_540 = 
FOREIGN_TO_COBJ(BgL_vz00_410); 
return 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_409)))->BgL_z42builtinz42)=((pa_simple *)BgL_vz00_540),BUNSPEC);} } 

}



/* &lambda1215 */
obj_t BGl_z62lambda1215z62zz__pulseaudio_simplez00(obj_t BgL_envz00_411, obj_t BgL_oz00_412)
{
{ /* Llib/simple.scm 21 */
return 
void_star_to_obj(
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(
((BgL_pulseaudiozd2simplezd2_bglt)BgL_oz00_412)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__pulseaudio_simplez00()
{
{ /* Llib/simple.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__pulseaudio_simplez00()
{
{ /* Llib/simple.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__pulseaudio_simplez00()
{
{ /* Llib/simple.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(((long)117276091), 
BSTRING_TO_STRING(BGl_string1404z00zz__pulseaudio_simplez00));} 

}

#ifdef __cplusplus
}
#endif
