/*===========================================================================*/
/*   (Llib/atom.scm)                                                         */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IPosix Llib/atom.scm -o objs/atom.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_requirezd2initializa7ationz75zz__web_atomz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31839ze3ze5zz__web_atomz00(obj_t);
extern obj_t BGl_cdatazd2decodezd2zz__web_rssz00(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_atom2005zd2parsezd2zz__web_atomz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strncmp_ci(obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_stringzd2containszd2ciz00zz__r4_strings_6_7z00(obj_t, obj_t, int);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__web_atomz00();
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__web_atomz00();
BGL_IMPORT bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT long BGl_stringzd2compare3zd2ciz00zz__r4_strings_6_7z00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl__atom0ze23zd2parsez30zz__web_atomz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_appendzd221010zd2zz__web_atomz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__web_atomz00();
static obj_t BGl_dropzd2prefixze70z35zz__web_atomz00(obj_t, obj_t);
static obj_t BGl_atomza3linkze70z44zz__web_atomz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
static obj_t BGl_atomza3categoryze70z44zz__web_atomz00(obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
static obj_t BGl_simplezd2cdatazd2decodez00zz__web_atomz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_atom0ze23zd2parsez30zz__web_atomz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31183ze3ze5zz__web_atomz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__web_atomz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__web_rssz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__web_htmlz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__web_xmlz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__base64z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_atomzd2parsezd2zz__web_atomz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__web_atomz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__web_atomz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__web_atomz00();
static obj_t BGl_gczd2rootszd2initz00zz__web_atomz00();
static obj_t BGl_z62atomzd2parsezb0zz__web_atomz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_base64zd2decodezd2zz__base64z00(obj_t, obj_t);
BGL_IMPORT long BGl_stringzd2compare3zd2zz__r4_strings_6_7z00(obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_IMPORT bool_t rgc_fill_buffer(obj_t);
static obj_t BGl__atom2005zd2parsezd2zz__web_atomz00(obj_t, obj_t);
static obj_t __cnst[ 48 ] ;


DEFINE_STRING( BGl_string2040z00zz__web_atomz00, BgL_bgl_string2040za700za7za7_2054za7, "Illegal or Unsupported Atom Syndication Format version", 54 );
DEFINE_STRING( BGl_string2041z00zz__web_atomz00, BgL_bgl_string2041za700za7za7_2055za7, "&atom-parse", 11 );
DEFINE_STRING( BGl_string2042z00zz__web_atomz00, BgL_bgl_string2042za700za7za7_2056za7, "text/plain", 10 );
DEFINE_STRING( BGl_string2043z00zz__web_atomz00, BgL_bgl_string2043za700za7za7_2057za7, "xml", 3 );
DEFINE_STRING( BGl_string2044z00zz__web_atomz00, BgL_bgl_string2044za700za7za7_2058za7, "text/", 5 );
DEFINE_STRING( BGl_string2045z00zz__web_atomz00, BgL_bgl_string2045za700za7za7_2059za7, "regular-grammar", 15 );
DEFINE_STRING( BGl_string2046z00zz__web_atomz00, BgL_bgl_string2046za700za7za7_2060za7, "Illegal match", 13 );
DEFINE_STRING( BGl_string2047z00zz__web_atomz00, BgL_bgl_string2047za700za7za7_2061za7, "text", 4 );
DEFINE_STRING( BGl_string2048z00zz__web_atomz00, BgL_bgl_string2048za700za7za7_2062za7, "html", 4 );
DEFINE_STRING( BGl_string2049z00zz__web_atomz00, BgL_bgl_string2049za700za7za7_2063za7, "xhtml", 5 );
DEFINE_STRING( BGl_string2050z00zz__web_atomz00, BgL_bgl_string2050za700za7za7_2064za7, "__web_atom", 10 );
DEFINE_STRING( BGl_string2051z00zz__web_atomz00, BgL_bgl_string2051za700za7za7_2065za7, "label scheme term length hreflang rel feed href alternate mode type email uri name :summary :content :authors :source summary source created issued published content author :title :links :categories :date :rights :subtitle entry modified updated title tagline subtitle copyright rights logo link category atom-parse atom0.3-parse :prefix (:prefix) atom2005-parse cdata ", 369 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_atom2005zd2parsezd2envz00zz__web_atomz00, BgL_bgl__atom2005za7d2pars2066za7, opt_generic_entry, BGl__atom2005zd2parsezd2zz__web_atomz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_atom0ze23zd2parsezd2envze2zz__web_atomz00, BgL_bgl__atom0za7e23za7d2par2067z00, opt_generic_entry, BGl__atom0ze23zd2parsez30zz__web_atomz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_atomzd2parsezd2envz00zz__web_atomz00, BgL_bgl_za762atomza7d2parseza72068za7, BGl_z62atomzd2parsezb0zz__web_atomz00, 0L, BUNSPEC, 7 );
DEFINE_REAL( BGl_real2037z00zz__web_atomz00, BgL_bgl_real2037za700za7za7__w2069za7, 2005.0 );
DEFINE_REAL( BGl_real2039z00zz__web_atomz00, BgL_bgl_real2039za700za7za7__w2070za7, 0.3 );
DEFINE_STRING( BGl_string2030z00zz__web_atomz00, BgL_bgl_string2030za700za7za7_2071za7, "wrong number of arguments: [5..6] expected, provided", 52 );
DEFINE_STRING( BGl_string2031z00zz__web_atomz00, BgL_bgl_string2031za700za7za7_2072za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string2032z00zz__web_atomz00, BgL_bgl_string2032za700za7za7_2073za7, "/builddir/build/BUILD/bigloo-4.4c-4/api/web/src/Llib/atom.scm", 61 );
DEFINE_STRING( BGl_string2033z00zz__web_atomz00, BgL_bgl_string2033za700za7za7_2074za7, "_atom2005-parse", 15 );
DEFINE_STRING( BGl_string2034z00zz__web_atomz00, BgL_bgl_string2034za700za7za7_2075za7, "bint", 4 );
DEFINE_STRING( BGl_string2035z00zz__web_atomz00, BgL_bgl_string2035za700za7za7_2076za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string2036z00zz__web_atomz00, BgL_bgl_string2036za700za7za7_2077za7, "procedure", 9 );
DEFINE_STRING( BGl_string2038z00zz__web_atomz00, BgL_bgl_string2038za700za7za7_2078za7, "_atom0.3-parse", 14 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__web_atomz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__web_atomz00(long BgL_checksumz00_1709, char * BgL_fromz00_1710)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__web_atomz00))
{ 
BGl_requirezd2initializa7ationz75zz__web_atomz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__web_atomz00(); 
BGl_libraryzd2moduleszd2initz00zz__web_atomz00(); 
BGl_cnstzd2initzd2zz__web_atomz00(); 
BGl_importedzd2moduleszd2initz00zz__web_atomz00(); 
return 
BGl_methodzd2initzd2zz__web_atomz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__web_atomz00()
{
{ /* Llib/atom.scm 17 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__base64z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__rgcz00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__web_atom"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__web_atom"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__web_atomz00()
{
{ /* Llib/atom.scm 17 */
{ /* Llib/atom.scm 17 */
 obj_t BgL_cportz00_1433;
{ /* Llib/atom.scm 17 */
 obj_t BgL_stringz00_1441;
BgL_stringz00_1441 = BGl_string2051z00zz__web_atomz00; 
{ /* Llib/atom.scm 17 */
 obj_t BgL_startz00_1442;
BgL_startz00_1442 = 
BINT(((long)0)); 
{ /* Llib/atom.scm 17 */
 obj_t BgL_endz00_1443;
BgL_endz00_1443 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1441))); 
{ /* Llib/atom.scm 17 */

BgL_cportz00_1433 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1441, BgL_startz00_1442, BgL_endz00_1443); } } } } 
{ 
 long BgL_iz00_1434;
BgL_iz00_1434 = ((long)47); 
BgL_loopz00_1435:
if(
(BgL_iz00_1434==((long)-1)))
{ /* Llib/atom.scm 17 */
return BUNSPEC;}  else 
{ /* Llib/atom.scm 17 */
{ /* Llib/atom.scm 17 */
 obj_t BgL_arg2053z00_1437;
{ /* Llib/atom.scm 17 */

{ /* Llib/atom.scm 17 */
 obj_t BgL_locationz00_1439;
BgL_locationz00_1439 = 
BBOOL(((bool_t)0)); 
{ /* Llib/atom.scm 17 */

BgL_arg2053z00_1437 = 
BGl_readz00zz__readerz00(BgL_cportz00_1433, BgL_locationz00_1439); } } } 
{ /* Llib/atom.scm 17 */
 int BgL_tmpz00_1743;
BgL_tmpz00_1743 = 
(int)(BgL_iz00_1434); 
CNST_TABLE_SET(BgL_tmpz00_1743, BgL_arg2053z00_1437); } } 
{ /* Llib/atom.scm 17 */
 int BgL_auxz00_1440;
BgL_auxz00_1440 = 
(int)(
(BgL_iz00_1434-((long)1))); 
{ 
 long BgL_iz00_1748;
BgL_iz00_1748 = 
(long)(BgL_auxz00_1440); 
BgL_iz00_1434 = BgL_iz00_1748; 
goto BgL_loopz00_1435;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__web_atomz00()
{
{ /* Llib/atom.scm 17 */
return 
bgl_gc_roots_register();} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__web_atomz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_27;
BgL_headz00_27 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_28; obj_t BgL_tailz00_29;
BgL_prevz00_28 = BgL_headz00_27; 
BgL_tailz00_29 = BgL_l1z00_1; 
BgL_loopz00_30:
if(
PAIRP(BgL_tailz00_29))
{ 
 obj_t BgL_newzd2prevzd2_32;
BgL_newzd2prevzd2_32 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_29), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_28, BgL_newzd2prevzd2_32); 
{ 
 obj_t BgL_tailz00_1758; obj_t BgL_prevz00_1757;
BgL_prevz00_1757 = BgL_newzd2prevzd2_32; 
BgL_tailz00_1758 = 
CDR(BgL_tailz00_29); 
BgL_tailz00_29 = BgL_tailz00_1758; 
BgL_prevz00_28 = BgL_prevz00_1757; 
goto BgL_loopz00_30;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_27);} } } 

}



/* simple-cdata-decode */
obj_t BGl_simplezd2cdatazd2decodez00zz__web_atomz00(obj_t BgL_oz00_3)
{
{ /* Llib/atom.scm 49 */
if(
STRINGP(BgL_oz00_3))
{ /* Llib/atom.scm 51 */
return BgL_oz00_3;}  else 
{ /* Llib/atom.scm 51 */
if(
PAIRP(BgL_oz00_3))
{ /* Llib/atom.scm 53 */
if(
(
CAR(BgL_oz00_3)==
CNST_TABLE_REF(((long)0))))
{ /* Llib/atom.scm 54 */
return 
CDR(BgL_oz00_3);}  else 
{ /* Llib/atom.scm 54 */
return BgL_oz00_3;} }  else 
{ /* Llib/atom.scm 53 */
return BgL_oz00_3;} } } 

}



/* _atom2005-parse */
obj_t BGl__atom2005zd2parsezd2zz__web_atomz00(obj_t BgL_env1073z00_11, obj_t BgL_opt1072z00_10)
{
{ /* Llib/atom.scm 63 */
{ 
 obj_t BgL_k1z00_41; long BgL_iz00_42;
{ /* Llib/atom.scm 63 */
 obj_t BgL_g1085z00_44; obj_t BgL_g1086z00_45; obj_t BgL_g1087z00_46; obj_t BgL_g1088z00_47; obj_t BgL_g1090z00_48;
BgL_g1085z00_44 = 
VECTOR_REF(BgL_opt1072z00_10,((long)0)); 
BgL_g1086z00_45 = 
VECTOR_REF(BgL_opt1072z00_10,((long)1)); 
BgL_g1087z00_46 = 
VECTOR_REF(BgL_opt1072z00_10,((long)2)); 
BgL_g1088z00_47 = 
VECTOR_REF(BgL_opt1072z00_10,((long)3)); 
BgL_g1090z00_48 = 
VECTOR_REF(BgL_opt1072z00_10,((long)4)); 
{ /* Llib/atom.scm 63 */
 obj_t BgL_prefixz00_49;
BgL_prefixz00_49 = BFALSE; 
{ /* Llib/atom.scm 63 */

{ 
 long BgL_iz00_50;
BgL_iz00_50 = ((long)5); 
BgL_check1076z00_51:
if(
(BgL_iz00_50==
VECTOR_LENGTH(BgL_opt1072z00_10)))
{ /* Llib/atom.scm 63 */BNIL; }  else 
{ /* Llib/atom.scm 63 */
 bool_t BgL_test2086z00_1778;
{ /* Llib/atom.scm 63 */
 obj_t BgL_arg1123z00_57;
BgL_arg1123z00_57 = 
VECTOR_REF(BgL_opt1072z00_10,BgL_iz00_50); 
BgL_test2086z00_1778 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1123z00_57, 
CNST_TABLE_REF(((long)2)))); } 
if(BgL_test2086z00_1778)
{ 
 long BgL_iz00_1783;
BgL_iz00_1783 = 
(BgL_iz00_50+((long)2)); 
BgL_iz00_50 = BgL_iz00_1783; 
goto BgL_check1076z00_51;}  else 
{ /* Llib/atom.scm 63 */
 obj_t BgL_arg1122z00_56;
BgL_arg1122z00_56 = 
VECTOR_REF(BgL_opt1072z00_10,BgL_iz00_50); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2031z00zz__web_atomz00, BgL_arg1122z00_56); } } } 
{ /* Llib/atom.scm 63 */
 obj_t BgL_index1078z00_58;
BgL_k1z00_41 = 
CNST_TABLE_REF(((long)3)); 
BgL_iz00_42 = ((long)5); 
BgL_search1075z00_43:
if(
(BgL_iz00_42==
VECTOR_LENGTH(BgL_opt1072z00_10)))
{ /* Llib/atom.scm 63 */
BgL_index1078z00_58 = 
BINT(((long)-1)); }  else 
{ /* Llib/atom.scm 63 */
if(
(BgL_iz00_42==
(
VECTOR_LENGTH(BgL_opt1072z00_10)-((long)1))))
{ /* Llib/atom.scm 63 */
BgL_index1078z00_58 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2030z00zz__web_atomz00, 
BINT(
VECTOR_LENGTH(BgL_opt1072z00_10))); }  else 
{ /* Llib/atom.scm 63 */
 obj_t BgL_vz00_70;
BgL_vz00_70 = 
VECTOR_REF(BgL_opt1072z00_10,BgL_iz00_42); 
if(
(BgL_vz00_70==BgL_k1z00_41))
{ /* Llib/atom.scm 63 */
BgL_index1078z00_58 = 
BINT(
(BgL_iz00_42+((long)1))); }  else 
{ 
 long BgL_iz00_1805;
BgL_iz00_1805 = 
(BgL_iz00_42+((long)2)); 
BgL_iz00_42 = BgL_iz00_1805; 
goto BgL_search1075z00_43;} } } 
{ /* Llib/atom.scm 63 */
 bool_t BgL_test2090z00_1808;
{ /* Llib/atom.scm 63 */
 long BgL_n1z00_897;
{ /* Llib/atom.scm 63 */
 obj_t BgL_tmpz00_1809;
if(
INTEGERP(BgL_index1078z00_58))
{ /* Llib/atom.scm 63 */
BgL_tmpz00_1809 = BgL_index1078z00_58
; }  else 
{ 
 obj_t BgL_auxz00_1812;
BgL_auxz00_1812 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)2795)), BGl_string2033z00zz__web_atomz00, BGl_string2034z00zz__web_atomz00, BgL_index1078z00_58); 
FAILURE(BgL_auxz00_1812,BFALSE,BFALSE);} 
BgL_n1z00_897 = 
(long)CINT(BgL_tmpz00_1809); } 
BgL_test2090z00_1808 = 
(BgL_n1z00_897>=((long)0)); } 
if(BgL_test2090z00_1808)
{ 
 long BgL_auxz00_1818;
{ /* Llib/atom.scm 63 */
 obj_t BgL_tmpz00_1819;
if(
INTEGERP(BgL_index1078z00_58))
{ /* Llib/atom.scm 63 */
BgL_tmpz00_1819 = BgL_index1078z00_58
; }  else 
{ 
 obj_t BgL_auxz00_1822;
BgL_auxz00_1822 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)2795)), BGl_string2033z00zz__web_atomz00, BGl_string2034z00zz__web_atomz00, BgL_index1078z00_58); 
FAILURE(BgL_auxz00_1822,BFALSE,BFALSE);} 
BgL_auxz00_1818 = 
(long)CINT(BgL_tmpz00_1819); } 
BgL_prefixz00_49 = 
VECTOR_REF(BgL_opt1072z00_10,BgL_auxz00_1818); }  else 
{ /* Llib/atom.scm 63 */BFALSE; } } } 
{ /* Llib/atom.scm 63 */
 obj_t BgL_arg1127z00_60; obj_t BgL_arg1128z00_61; obj_t BgL_arg1129z00_62; obj_t BgL_arg1130z00_63; obj_t BgL_arg1131z00_64;
BgL_arg1127z00_60 = 
VECTOR_REF(BgL_opt1072z00_10,((long)0)); 
BgL_arg1128z00_61 = 
VECTOR_REF(BgL_opt1072z00_10,((long)1)); 
BgL_arg1129z00_62 = 
VECTOR_REF(BgL_opt1072z00_10,((long)2)); 
BgL_arg1130z00_63 = 
VECTOR_REF(BgL_opt1072z00_10,((long)3)); 
BgL_arg1131z00_64 = 
VECTOR_REF(BgL_opt1072z00_10,((long)4)); 
{ /* Llib/atom.scm 63 */
 obj_t BgL_prefixz00_65;
BgL_prefixz00_65 = BgL_prefixz00_49; 
{ /* Llib/atom.scm 63 */
 obj_t BgL_xmlzd2treezd2_898; obj_t BgL_xmlzd2nszd2_899; obj_t BgL_makezd2atomzd2_900; obj_t BgL_makezd2feedzd2_901; obj_t BgL_makezd2entryzd2_902;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_arg1127z00_60))
{ /* Llib/atom.scm 63 */
BgL_xmlzd2treezd2_898 = BgL_arg1127z00_60; }  else 
{ 
 obj_t BgL_auxz00_1835;
BgL_auxz00_1835 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)2795)), BGl_string2033z00zz__web_atomz00, BGl_string2035z00zz__web_atomz00, BgL_arg1127z00_60); 
FAILURE(BgL_auxz00_1835,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_arg1128z00_61))
{ /* Llib/atom.scm 63 */
BgL_xmlzd2nszd2_899 = BgL_arg1128z00_61; }  else 
{ 
 obj_t BgL_auxz00_1841;
BgL_auxz00_1841 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)2795)), BGl_string2033z00zz__web_atomz00, BGl_string2035z00zz__web_atomz00, BgL_arg1128z00_61); 
FAILURE(BgL_auxz00_1841,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_arg1129z00_62))
{ /* Llib/atom.scm 63 */
BgL_makezd2atomzd2_900 = BgL_arg1129z00_62; }  else 
{ 
 obj_t BgL_auxz00_1847;
BgL_auxz00_1847 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)2795)), BGl_string2033z00zz__web_atomz00, BGl_string2036z00zz__web_atomz00, BgL_arg1129z00_62); 
FAILURE(BgL_auxz00_1847,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_arg1130z00_63))
{ /* Llib/atom.scm 63 */
BgL_makezd2feedzd2_901 = BgL_arg1130z00_63; }  else 
{ 
 obj_t BgL_auxz00_1853;
BgL_auxz00_1853 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)2795)), BGl_string2033z00zz__web_atomz00, BGl_string2036z00zz__web_atomz00, BgL_arg1130z00_63); 
FAILURE(BgL_auxz00_1853,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_arg1131z00_64))
{ /* Llib/atom.scm 63 */
BgL_makezd2entryzd2_902 = BgL_arg1131z00_64; }  else 
{ 
 obj_t BgL_auxz00_1859;
BgL_auxz00_1859 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)2795)), BGl_string2033z00zz__web_atomz00, BGl_string2036z00zz__web_atomz00, BgL_arg1131z00_64); 
FAILURE(BgL_auxz00_1859,BFALSE,BFALSE);} 
return 
BGl_atomzd2parsezd2zz__web_atomz00(BGL_REAL_CNST( BGl_real2037z00zz__web_atomz00), BgL_xmlzd2treezd2_898, BgL_xmlzd2nszd2_899, BgL_prefixz00_65, BgL_makezd2atomzd2_900, BgL_makezd2feedzd2_901, BgL_makezd2entryzd2_902);} } } } } } } } 

}



/* atom2005-parse */
BGL_EXPORTED_DEF obj_t BGl_atom2005zd2parsezd2zz__web_atomz00(obj_t BgL_xmlzd2treezd2_4, obj_t BgL_xmlzd2nszd2_5, obj_t BgL_makezd2atomzd2_6, obj_t BgL_makezd2feedzd2_7, obj_t BgL_makezd2entryzd2_8, obj_t BgL_prefixz00_9)
{
{ /* Llib/atom.scm 63 */
return 
BGl_atomzd2parsezd2zz__web_atomz00(BGL_REAL_CNST( BGl_real2037z00zz__web_atomz00), BgL_xmlzd2treezd2_4, BgL_xmlzd2nszd2_5, BgL_prefixz00_9, BgL_makezd2atomzd2_6, BgL_makezd2feedzd2_7, BgL_makezd2entryzd2_8);} 

}



/* _atom0.3-parse */
obj_t BGl__atom0ze23zd2parsez30zz__web_atomz00(obj_t BgL_env1092z00_19, obj_t BgL_opt1091z00_18)
{
{ /* Llib/atom.scm 70 */
{ 
 obj_t BgL_k1z00_75; long BgL_iz00_76;
{ /* Llib/atom.scm 70 */
 obj_t BgL_g1098z00_78; obj_t BgL_g1099z00_79; obj_t BgL_g1100z00_80; obj_t BgL_g1101z00_81; obj_t BgL_g1102z00_82;
BgL_g1098z00_78 = 
VECTOR_REF(BgL_opt1091z00_18,((long)0)); 
BgL_g1099z00_79 = 
VECTOR_REF(BgL_opt1091z00_18,((long)1)); 
BgL_g1100z00_80 = 
VECTOR_REF(BgL_opt1091z00_18,((long)2)); 
BgL_g1101z00_81 = 
VECTOR_REF(BgL_opt1091z00_18,((long)3)); 
BgL_g1102z00_82 = 
VECTOR_REF(BgL_opt1091z00_18,((long)4)); 
{ /* Llib/atom.scm 70 */
 obj_t BgL_prefixz00_83;
BgL_prefixz00_83 = BFALSE; 
{ /* Llib/atom.scm 70 */

{ 
 long BgL_iz00_84;
BgL_iz00_84 = ((long)5); 
BgL_check1095z00_85:
if(
(BgL_iz00_84==
VECTOR_LENGTH(BgL_opt1091z00_18)))
{ /* Llib/atom.scm 70 */BNIL; }  else 
{ /* Llib/atom.scm 70 */
 bool_t BgL_test2099z00_1873;
{ /* Llib/atom.scm 70 */
 obj_t BgL_arg1149z00_91;
BgL_arg1149z00_91 = 
VECTOR_REF(BgL_opt1091z00_18,BgL_iz00_84); 
BgL_test2099z00_1873 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1149z00_91, 
CNST_TABLE_REF(((long)2)))); } 
if(BgL_test2099z00_1873)
{ 
 long BgL_iz00_1878;
BgL_iz00_1878 = 
(BgL_iz00_84+((long)2)); 
BgL_iz00_84 = BgL_iz00_1878; 
goto BgL_check1095z00_85;}  else 
{ /* Llib/atom.scm 70 */
 obj_t BgL_arg1148z00_90;
BgL_arg1148z00_90 = 
VECTOR_REF(BgL_opt1091z00_18,BgL_iz00_84); 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)4)), BGl_string2031z00zz__web_atomz00, BgL_arg1148z00_90); } } } 
{ /* Llib/atom.scm 70 */
 obj_t BgL_index1097z00_92;
BgL_k1z00_75 = 
CNST_TABLE_REF(((long)3)); 
BgL_iz00_76 = ((long)5); 
BgL_search1094z00_77:
if(
(BgL_iz00_76==
VECTOR_LENGTH(BgL_opt1091z00_18)))
{ /* Llib/atom.scm 70 */
BgL_index1097z00_92 = 
BINT(((long)-1)); }  else 
{ /* Llib/atom.scm 70 */
if(
(BgL_iz00_76==
(
VECTOR_LENGTH(BgL_opt1091z00_18)-((long)1))))
{ /* Llib/atom.scm 70 */
BgL_index1097z00_92 = 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)4)), BGl_string2030z00zz__web_atomz00, 
BINT(
VECTOR_LENGTH(BgL_opt1091z00_18))); }  else 
{ /* Llib/atom.scm 70 */
 obj_t BgL_vz00_104;
BgL_vz00_104 = 
VECTOR_REF(BgL_opt1091z00_18,BgL_iz00_76); 
if(
(BgL_vz00_104==BgL_k1z00_75))
{ /* Llib/atom.scm 70 */
BgL_index1097z00_92 = 
BINT(
(BgL_iz00_76+((long)1))); }  else 
{ 
 long BgL_iz00_1900;
BgL_iz00_1900 = 
(BgL_iz00_76+((long)2)); 
BgL_iz00_76 = BgL_iz00_1900; 
goto BgL_search1094z00_77;} } } 
{ /* Llib/atom.scm 70 */
 bool_t BgL_test2103z00_1903;
{ /* Llib/atom.scm 70 */
 long BgL_n1z00_918;
{ /* Llib/atom.scm 70 */
 obj_t BgL_tmpz00_1904;
if(
INTEGERP(BgL_index1097z00_92))
{ /* Llib/atom.scm 70 */
BgL_tmpz00_1904 = BgL_index1097z00_92
; }  else 
{ 
 obj_t BgL_auxz00_1907;
BgL_auxz00_1907 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)3196)), BGl_string2038z00zz__web_atomz00, BGl_string2034z00zz__web_atomz00, BgL_index1097z00_92); 
FAILURE(BgL_auxz00_1907,BFALSE,BFALSE);} 
BgL_n1z00_918 = 
(long)CINT(BgL_tmpz00_1904); } 
BgL_test2103z00_1903 = 
(BgL_n1z00_918>=((long)0)); } 
if(BgL_test2103z00_1903)
{ 
 long BgL_auxz00_1913;
{ /* Llib/atom.scm 70 */
 obj_t BgL_tmpz00_1914;
if(
INTEGERP(BgL_index1097z00_92))
{ /* Llib/atom.scm 70 */
BgL_tmpz00_1914 = BgL_index1097z00_92
; }  else 
{ 
 obj_t BgL_auxz00_1917;
BgL_auxz00_1917 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)3196)), BGl_string2038z00zz__web_atomz00, BGl_string2034z00zz__web_atomz00, BgL_index1097z00_92); 
FAILURE(BgL_auxz00_1917,BFALSE,BFALSE);} 
BgL_auxz00_1913 = 
(long)CINT(BgL_tmpz00_1914); } 
BgL_prefixz00_83 = 
VECTOR_REF(BgL_opt1091z00_18,BgL_auxz00_1913); }  else 
{ /* Llib/atom.scm 70 */BFALSE; } } } 
{ /* Llib/atom.scm 70 */
 obj_t BgL_arg1153z00_94; obj_t BgL_arg1154z00_95; obj_t BgL_arg1158z00_96; obj_t BgL_arg1159z00_97; obj_t BgL_arg1162z00_98;
BgL_arg1153z00_94 = 
VECTOR_REF(BgL_opt1091z00_18,((long)0)); 
BgL_arg1154z00_95 = 
VECTOR_REF(BgL_opt1091z00_18,((long)1)); 
BgL_arg1158z00_96 = 
VECTOR_REF(BgL_opt1091z00_18,((long)2)); 
BgL_arg1159z00_97 = 
VECTOR_REF(BgL_opt1091z00_18,((long)3)); 
BgL_arg1162z00_98 = 
VECTOR_REF(BgL_opt1091z00_18,((long)4)); 
{ /* Llib/atom.scm 70 */
 obj_t BgL_prefixz00_99;
BgL_prefixz00_99 = BgL_prefixz00_83; 
{ /* Llib/atom.scm 70 */
 obj_t BgL_xmlzd2treezd2_919; obj_t BgL_xmlzd2nszd2_920; obj_t BgL_makezd2atomzd2_921; obj_t BgL_makezd2feedzd2_922; obj_t BgL_makezd2entryzd2_923;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_arg1153z00_94))
{ /* Llib/atom.scm 70 */
BgL_xmlzd2treezd2_919 = BgL_arg1153z00_94; }  else 
{ 
 obj_t BgL_auxz00_1930;
BgL_auxz00_1930 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)3196)), BGl_string2038z00zz__web_atomz00, BGl_string2035z00zz__web_atomz00, BgL_arg1153z00_94); 
FAILURE(BgL_auxz00_1930,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_arg1154z00_95))
{ /* Llib/atom.scm 70 */
BgL_xmlzd2nszd2_920 = BgL_arg1154z00_95; }  else 
{ 
 obj_t BgL_auxz00_1936;
BgL_auxz00_1936 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)3196)), BGl_string2038z00zz__web_atomz00, BGl_string2035z00zz__web_atomz00, BgL_arg1154z00_95); 
FAILURE(BgL_auxz00_1936,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_arg1158z00_96))
{ /* Llib/atom.scm 70 */
BgL_makezd2atomzd2_921 = BgL_arg1158z00_96; }  else 
{ 
 obj_t BgL_auxz00_1942;
BgL_auxz00_1942 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)3196)), BGl_string2038z00zz__web_atomz00, BGl_string2036z00zz__web_atomz00, BgL_arg1158z00_96); 
FAILURE(BgL_auxz00_1942,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_arg1159z00_97))
{ /* Llib/atom.scm 70 */
BgL_makezd2feedzd2_922 = BgL_arg1159z00_97; }  else 
{ 
 obj_t BgL_auxz00_1948;
BgL_auxz00_1948 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)3196)), BGl_string2038z00zz__web_atomz00, BGl_string2036z00zz__web_atomz00, BgL_arg1159z00_97); 
FAILURE(BgL_auxz00_1948,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_arg1162z00_98))
{ /* Llib/atom.scm 70 */
BgL_makezd2entryzd2_923 = BgL_arg1162z00_98; }  else 
{ 
 obj_t BgL_auxz00_1954;
BgL_auxz00_1954 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)3196)), BGl_string2038z00zz__web_atomz00, BGl_string2036z00zz__web_atomz00, BgL_arg1162z00_98); 
FAILURE(BgL_auxz00_1954,BFALSE,BFALSE);} 
return 
BGl_atomzd2parsezd2zz__web_atomz00(BGL_REAL_CNST( BGl_real2039z00zz__web_atomz00), BgL_xmlzd2treezd2_919, BgL_xmlzd2nszd2_920, BgL_prefixz00_99, BgL_makezd2atomzd2_921, BgL_makezd2feedzd2_922, BgL_makezd2entryzd2_923);} } } } } } } } 

}



/* atom0.3-parse */
BGL_EXPORTED_DEF obj_t BGl_atom0ze23zd2parsez30zz__web_atomz00(obj_t BgL_xmlzd2treezd2_12, obj_t BgL_xmlzd2nszd2_13, obj_t BgL_makezd2atomzd2_14, obj_t BgL_makezd2feedzd2_15, obj_t BgL_makezd2entryzd2_16, obj_t BgL_prefixz00_17)
{
{ /* Llib/atom.scm 70 */
return 
BGl_atomzd2parsezd2zz__web_atomz00(BGL_REAL_CNST( BGl_real2039z00zz__web_atomz00), BgL_xmlzd2treezd2_12, BgL_xmlzd2nszd2_13, BgL_prefixz00_17, BgL_makezd2atomzd2_14, BgL_makezd2feedzd2_15, BgL_makezd2entryzd2_16);} 

}



/* atom-parse */
BGL_EXPORTED_DEF obj_t BGl_atomzd2parsezd2zz__web_atomz00(obj_t BgL_versionz00_20, obj_t BgL_xmlzd2treezd2_21, obj_t BgL_xmlzd2nszd2_22, obj_t BgL_prefixz00_23, obj_t BgL_makezd2atomzd2_24, obj_t BgL_makezd2headzd2_25, obj_t BgL_makezd2entryzd2_26)
{
{ /* Llib/atom.scm 77 */
{ /* Llib/atom.scm 78 */
 bool_t BgL_v2005z00_108; obj_t BgL_v0ze23ze2_1387;
BgL_v2005z00_108 = ((bool_t)1); 
BgL_v0ze23ze2_1387 = 
MAKE_CELL(BFALSE); 
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_versionz00_20, BGL_REAL_CNST( BGl_real2039z00zz__web_atomz00)))
{ /* Llib/atom.scm 380 */
 obj_t BgL_auxz00_1388;
BgL_auxz00_1388 = BTRUE; 
CELL_SET(BgL_v0ze23ze2_1387, BgL_auxz00_1388); }  else 
{ /* Llib/atom.scm 381 */
 bool_t BgL_test2112z00_1962;
if(
INTEGERP(BgL_versionz00_20))
{ /* Llib/atom.scm 381 */
BgL_test2112z00_1962 = 
(
(long)CINT(BgL_versionz00_20)==((long)2005))
; }  else 
{ /* Llib/atom.scm 381 */
BgL_test2112z00_1962 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_versionz00_20, 
BINT(((long)2005)))
; } 
if(BgL_test2112z00_1962)
{ /* Llib/atom.scm 381 */
BgL_v2005z00_108 = ((bool_t)1); 
{ /* Llib/atom.scm 382 */
 obj_t BgL_auxz00_1389;
BgL_auxz00_1389 = BFALSE; 
CELL_SET(BgL_v0ze23ze2_1387, BgL_auxz00_1389); } }  else 
{ /* Llib/atom.scm 381 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)5)), BGl_string2040z00zz__web_atomz00, BgL_versionz00_20); } } 
{ /* Llib/atom.scm 388 */
 obj_t BgL_zc3z04anonymousza31183ze3z87_1369;
BgL_zc3z04anonymousza31183ze3z87_1369 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31183ze3ze5zz__web_atomz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31183ze3z87_1369, 
(int)(((long)0)), BgL_makezd2headzd2_25); 
PROCEDURE_SET(BgL_zc3z04anonymousza31183ze3z87_1369, 
(int)(((long)1)), BgL_makezd2atomzd2_24); 
PROCEDURE_SET(BgL_zc3z04anonymousza31183ze3z87_1369, 
(int)(((long)2)), BgL_prefixz00_23); 
PROCEDURE_SET(BgL_zc3z04anonymousza31183ze3z87_1369, 
(int)(((long)3)), 
((obj_t)BgL_v0ze23ze2_1387)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31183ze3z87_1369, 
(int)(((long)4)), BgL_makezd2entryzd2_26); 
{ /* Llib/atom.scm 387 */
 obj_t BgL_list1182z00_124;
BgL_list1182z00_124 = 
MAKE_YOUNG_PAIR(BgL_xmlzd2treezd2_21, BNIL); 
return 
BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(BgL_zc3z04anonymousza31183ze3z87_1369, BgL_list1182z00_124);} } } } 

}



/* &atom-parse */
obj_t BGl_z62atomzd2parsezb0zz__web_atomz00(obj_t BgL_envz00_1370, obj_t BgL_versionz00_1371, obj_t BgL_xmlzd2treezd2_1372, obj_t BgL_xmlzd2nszd2_1373, obj_t BgL_prefixz00_1374, obj_t BgL_makezd2atomzd2_1375, obj_t BgL_makezd2headzd2_1376, obj_t BgL_makezd2entryzd2_1377)
{
{ /* Llib/atom.scm 77 */
{ /* Llib/atom.scm 78 */
 obj_t BgL_auxz00_2015; obj_t BgL_auxz00_2008; obj_t BgL_auxz00_2001; obj_t BgL_auxz00_1994; obj_t BgL_auxz00_1987;
if(
PROCEDUREP(BgL_makezd2entryzd2_1377))
{ /* Llib/atom.scm 78 */
BgL_auxz00_2015 = BgL_makezd2entryzd2_1377
; }  else 
{ 
 obj_t BgL_auxz00_2018;
BgL_auxz00_2018 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)3686)), BGl_string2041z00zz__web_atomz00, BGl_string2036z00zz__web_atomz00, BgL_makezd2entryzd2_1377); 
FAILURE(BgL_auxz00_2018,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_makezd2headzd2_1376))
{ /* Llib/atom.scm 78 */
BgL_auxz00_2008 = BgL_makezd2headzd2_1376
; }  else 
{ 
 obj_t BgL_auxz00_2011;
BgL_auxz00_2011 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)3686)), BGl_string2041z00zz__web_atomz00, BGl_string2036z00zz__web_atomz00, BgL_makezd2headzd2_1376); 
FAILURE(BgL_auxz00_2011,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_makezd2atomzd2_1375))
{ /* Llib/atom.scm 78 */
BgL_auxz00_2001 = BgL_makezd2atomzd2_1375
; }  else 
{ 
 obj_t BgL_auxz00_2004;
BgL_auxz00_2004 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)3686)), BGl_string2041z00zz__web_atomz00, BGl_string2036z00zz__web_atomz00, BgL_makezd2atomzd2_1375); 
FAILURE(BgL_auxz00_2004,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_xmlzd2nszd2_1373))
{ /* Llib/atom.scm 78 */
BgL_auxz00_1994 = BgL_xmlzd2nszd2_1373
; }  else 
{ 
 obj_t BgL_auxz00_1997;
BgL_auxz00_1997 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)3686)), BGl_string2041z00zz__web_atomz00, BGl_string2035z00zz__web_atomz00, BgL_xmlzd2nszd2_1373); 
FAILURE(BgL_auxz00_1997,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_xmlzd2treezd2_1372))
{ /* Llib/atom.scm 78 */
BgL_auxz00_1987 = BgL_xmlzd2treezd2_1372
; }  else 
{ 
 obj_t BgL_auxz00_1990;
BgL_auxz00_1990 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2032z00zz__web_atomz00, 
BINT(((long)3686)), BGl_string2041z00zz__web_atomz00, BGl_string2035z00zz__web_atomz00, BgL_xmlzd2treezd2_1372); 
FAILURE(BgL_auxz00_1990,BFALSE,BFALSE);} 
return 
BGl_atomzd2parsezd2zz__web_atomz00(BgL_versionz00_1371, BgL_auxz00_1987, BgL_auxz00_1994, BgL_prefixz00_1374, BgL_auxz00_2001, BgL_auxz00_2008, BgL_auxz00_2015);} } 

}



/* &<@anonymous:1183> */
obj_t BGl_z62zc3z04anonymousza31183ze3ze5zz__web_atomz00(obj_t BgL_envz00_1378, obj_t BgL_ez00_1384)
{
{ /* Llib/atom.scm 387 */
{ /* Llib/atom.scm 388 */
 obj_t BgL_makezd2headzd2_1379; obj_t BgL_makezd2atomzd2_1380; obj_t BgL_prefixz00_1381; obj_t BgL_v0ze23ze2_1382; obj_t BgL_makezd2entryzd2_1383;
BgL_makezd2headzd2_1379 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1378, 
(int)(((long)0)))); 
BgL_makezd2atomzd2_1380 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1378, 
(int)(((long)1)))); 
BgL_prefixz00_1381 = 
PROCEDURE_REF(BgL_envz00_1378, 
(int)(((long)2))); 
BgL_v0ze23ze2_1382 = 
PROCEDURE_REF(BgL_envz00_1378, 
(int)(((long)3))); 
BgL_makezd2entryzd2_1383 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1378, 
(int)(((long)4)))); 
{ 
 obj_t BgL_attrz00_1699; obj_t BgL_bodyz00_1700; obj_t BgL_attrz00_1538; obj_t BgL_bodyz00_1539; obj_t BgL_attrz00_1529; obj_t BgL_bodyz00_1530; obj_t BgL_entryz00_1486; obj_t BgL_attrz00_1450; obj_t BgL_bodyz00_1451;
if(
PAIRP(BgL_ez00_1384))
{ /* Llib/atom.scm 389 */
 obj_t BgL_casezd2valuezd2_1708;
BgL_casezd2valuezd2_1708 = 
BGl_dropzd2prefixze70z35zz__web_atomz00(BgL_prefixz00_1381, 
CAR(BgL_ez00_1384)); 
if(
(BgL_casezd2valuezd2_1708==
CNST_TABLE_REF(((long)41))))
{ /* Llib/atom.scm 389 */
BgL_attrz00_1450 = 
CAR(
CDR(BgL_ez00_1384)); 
BgL_bodyz00_1451 = 
CAR(
CDR(
CDR(BgL_ez00_1384))); 
{ /* Llib/atom.scm 328 */
 obj_t BgL_catz00_1452; obj_t BgL_linksz00_1453; obj_t BgL_subtitlez00_1454; obj_t BgL_logoz00_1455; obj_t BgL_rightsz00_1456; obj_t BgL_titlez00_1457; obj_t BgL_updatedz00_1458; obj_t BgL_itemsz00_1459; obj_t BgL_restz00_1460;
BgL_catz00_1452 = BNIL; 
BgL_linksz00_1453 = BNIL; 
BgL_subtitlez00_1454 = BFALSE; 
BgL_logoz00_1455 = BFALSE; 
BgL_rightsz00_1456 = BFALSE; 
BgL_titlez00_1457 = BFALSE; 
BgL_updatedz00_1458 = BFALSE; 
BgL_itemsz00_1459 = BNIL; 
BgL_restz00_1460 = BNIL; 
{ 
 obj_t BgL_l1070z00_1462;
BgL_l1070z00_1462 = BgL_bodyz00_1451; 
BgL_zc3z04anonymousza31952ze3z87_1461:
if(
PAIRP(BgL_l1070z00_1462))
{ /* Llib/atom.scm 337 */
{ /* Llib/atom.scm 338 */
 obj_t BgL_ez00_1463;
BgL_ez00_1463 = 
CAR(BgL_l1070z00_1462); 
if(
PAIRP(BgL_ez00_1463))
{ /* Llib/atom.scm 339 */
 obj_t BgL_casezd2valuezd2_1464;
BgL_casezd2valuezd2_1464 = 
CAR(BgL_ez00_1463); 
if(
(BgL_casezd2valuezd2_1464==
CNST_TABLE_REF(((long)6))))
{ /* Llib/atom.scm 341 */
 obj_t BgL_arg1956z00_1465;
BgL_arg1956z00_1465 = 
BGl_atomza3categoryze70z44zz__web_atomz00(BgL_prefixz00_1381, 
CAR(
CDR(BgL_ez00_1463))); 
BgL_catz00_1452 = 
MAKE_YOUNG_PAIR(BgL_arg1956z00_1465, BgL_catz00_1452); }  else 
{ /* Llib/atom.scm 339 */
if(
(BgL_casezd2valuezd2_1464==
CNST_TABLE_REF(((long)7))))
{ /* Llib/atom.scm 343 */
 obj_t BgL_lnkz00_1466;
BgL_lnkz00_1466 = 
BGl_atomza3linkze70z44zz__web_atomz00(BgL_v0ze23ze2_1382, BgL_prefixz00_1381, 
CAR(
CDR(BgL_ez00_1463))); 
if(
CBOOL(BgL_lnkz00_1466))
{ /* Llib/atom.scm 344 */
BgL_linksz00_1453 = 
MAKE_YOUNG_PAIR(BgL_lnkz00_1466, BgL_linksz00_1453); }  else 
{ /* Llib/atom.scm 344 */BFALSE; } }  else 
{ /* Llib/atom.scm 339 */
if(
(BgL_casezd2valuezd2_1464==
CNST_TABLE_REF(((long)8))))
{ /* Llib/atom.scm 339 */
BgL_logoz00_1455 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_ez00_1463)))); }  else 
{ /* Llib/atom.scm 339 */
 bool_t BgL_test2127z00_2072;
{ /* Llib/atom.scm 339 */
 bool_t BgL__ortest_1053z00_1467;
BgL__ortest_1053z00_1467 = 
(BgL_casezd2valuezd2_1464==
CNST_TABLE_REF(((long)9))); 
if(BgL__ortest_1053z00_1467)
{ /* Llib/atom.scm 339 */
BgL_test2127z00_2072 = BgL__ortest_1053z00_1467
; }  else 
{ /* Llib/atom.scm 339 */
BgL_test2127z00_2072 = 
(BgL_casezd2valuezd2_1464==
CNST_TABLE_REF(((long)10)))
; } } 
if(BgL_test2127z00_2072)
{ /* Llib/atom.scm 339 */
BgL_rightsz00_1456 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_ez00_1463)))); }  else 
{ /* Llib/atom.scm 339 */
 bool_t BgL_test2129z00_2082;
{ /* Llib/atom.scm 339 */
 bool_t BgL__ortest_1054z00_1468;
BgL__ortest_1054z00_1468 = 
(BgL_casezd2valuezd2_1464==
CNST_TABLE_REF(((long)11))); 
if(BgL__ortest_1054z00_1468)
{ /* Llib/atom.scm 339 */
BgL_test2129z00_2082 = BgL__ortest_1054z00_1468
; }  else 
{ /* Llib/atom.scm 339 */
BgL_test2129z00_2082 = 
(BgL_casezd2valuezd2_1464==
CNST_TABLE_REF(((long)12)))
; } } 
if(BgL_test2129z00_2082)
{ /* Llib/atom.scm 339 */
BgL_subtitlez00_1454 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_ez00_1463)))); }  else 
{ /* Llib/atom.scm 339 */
if(
(BgL_casezd2valuezd2_1464==
CNST_TABLE_REF(((long)13))))
{ /* Llib/atom.scm 339 */
BgL_titlez00_1457 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_ez00_1463)))); }  else 
{ /* Llib/atom.scm 339 */
 bool_t BgL_test2132z00_2099;
{ /* Llib/atom.scm 339 */
 bool_t BgL__ortest_1055z00_1469;
BgL__ortest_1055z00_1469 = 
(BgL_casezd2valuezd2_1464==
CNST_TABLE_REF(((long)14))); 
if(BgL__ortest_1055z00_1469)
{ /* Llib/atom.scm 339 */
BgL_test2132z00_2099 = BgL__ortest_1055z00_1469
; }  else 
{ /* Llib/atom.scm 339 */
BgL_test2132z00_2099 = 
(BgL_casezd2valuezd2_1464==
CNST_TABLE_REF(((long)15)))
; } } 
if(BgL_test2132z00_2099)
{ /* Llib/atom.scm 355 */
 obj_t BgL_dz00_1470;
BgL_dz00_1470 = 
BGl_simplezd2cdatazd2decodez00zz__web_atomz00(
CAR(
CAR(
CDR(
CDR(BgL_ez00_1463))))); 
{ /* Llib/atom.scm 356 */
 bool_t BgL_test2134z00_2110;
if(
CBOOL(BgL_updatedz00_1458))
{ /* Llib/atom.scm 356 */
BgL_test2134z00_2110 = 
(
BGl_stringzd2compare3zd2ciz00zz__r4_strings_6_7z00(BgL_updatedz00_1458, BgL_dz00_1470)>((long)0))
; }  else 
{ /* Llib/atom.scm 356 */
BgL_test2134z00_2110 = ((bool_t)1)
; } 
if(BgL_test2134z00_2110)
{ /* Llib/atom.scm 356 */
BgL_updatedz00_1458 = BgL_dz00_1470; }  else 
{ /* Llib/atom.scm 356 */BFALSE; } } }  else 
{ /* Llib/atom.scm 339 */
if(
(BgL_casezd2valuezd2_1464==
CNST_TABLE_REF(((long)16))))
{ /* Llib/atom.scm 363 */
 obj_t BgL_arg1974z00_1471;
BgL_entryz00_1486 = 
BGl_simplezd2cdatazd2decodez00zz__web_atomz00(
CAR(
CDR(
CDR(BgL_ez00_1463)))); 
{ /* Llib/atom.scm 249 */
 obj_t BgL_authorsz00_1487; obj_t BgL_catz00_1488; obj_t BgL_contentz00_1489; obj_t BgL_linksz00_1490; obj_t BgL_rightsz00_1491; obj_t BgL_sourcez00_1492; obj_t BgL_summaryz00_1493; obj_t BgL_titlez00_1494; obj_t BgL_updatedz00_1495; obj_t BgL_restz00_1496;
BgL_authorsz00_1487 = BNIL; 
BgL_catz00_1488 = BNIL; 
BgL_contentz00_1489 = BFALSE; 
BgL_linksz00_1490 = BNIL; 
BgL_rightsz00_1491 = BFALSE; 
BgL_sourcez00_1492 = BFALSE; 
BgL_summaryz00_1493 = BFALSE; 
BgL_titlez00_1494 = BFALSE; 
BgL_updatedz00_1495 = BFALSE; 
BgL_restz00_1496 = BNIL; 
{ 
 obj_t BgL_l1068z00_1498;
BgL_l1068z00_1498 = BgL_entryz00_1486; 
BgL_zc3z04anonymousza31900ze3z87_1497:
if(
PAIRP(BgL_l1068z00_1498))
{ /* Llib/atom.scm 260 */
{ /* Llib/atom.scm 261 */
 obj_t BgL_ez00_1499;
BgL_ez00_1499 = 
CAR(BgL_l1068z00_1498); 
if(
PAIRP(BgL_ez00_1499))
{ /* Llib/atom.scm 262 */
 obj_t BgL_casezd2valuezd2_1500;
BgL_casezd2valuezd2_1500 = 
BGl_dropzd2prefixze70z35zz__web_atomz00(BgL_prefixz00_1381, 
CAR(BgL_ez00_1499)); 
if(
(BgL_casezd2valuezd2_1500==
CNST_TABLE_REF(((long)23))))
{ /* Llib/atom.scm 264 */
 obj_t BgL_persz00_1501;
BgL_attrz00_1529 = 
CAR(
CDR(BgL_ez00_1499)); 
BgL_bodyz00_1530 = 
CAR(
CDR(
CDR(BgL_ez00_1499))); 
{ /* Llib/atom.scm 91 */
 obj_t BgL_namez00_1531; obj_t BgL_uriz00_1532; obj_t BgL_emailz00_1533;
BgL_namez00_1531 = BFALSE; 
BgL_uriz00_1532 = BFALSE; 
BgL_emailz00_1533 = BFALSE; 
{ 
 obj_t BgL_l1058z00_1535;
BgL_l1058z00_1535 = BgL_bodyz00_1530; 
BgL_zc3z04anonymousza31202ze3z87_1534:
if(
PAIRP(BgL_l1058z00_1535))
{ /* Llib/atom.scm 92 */
{ /* Llib/atom.scm 93 */
 obj_t BgL_elmtz00_1536;
BgL_elmtz00_1536 = 
CAR(BgL_l1058z00_1535); 
if(
PAIRP(BgL_elmtz00_1536))
{ /* Llib/atom.scm 94 */
 obj_t BgL_casezd2valuezd2_1537;
BgL_casezd2valuezd2_1537 = 
BGl_dropzd2prefixze70z35zz__web_atomz00(BgL_prefixz00_1381, 
CAR(BgL_elmtz00_1536)); 
if(
(BgL_casezd2valuezd2_1537==
CNST_TABLE_REF(((long)34))))
{ /* Llib/atom.scm 94 */
BgL_namez00_1531 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_elmtz00_1536)))); }  else 
{ /* Llib/atom.scm 94 */
if(
(BgL_casezd2valuezd2_1537==
CNST_TABLE_REF(((long)35))))
{ /* Llib/atom.scm 94 */
BgL_uriz00_1532 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_elmtz00_1536)))); }  else 
{ /* Llib/atom.scm 94 */
if(
(BgL_casezd2valuezd2_1537==
CNST_TABLE_REF(((long)36))))
{ /* Llib/atom.scm 94 */
BgL_emailz00_1533 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_elmtz00_1536)))); }  else 
{ /* Llib/atom.scm 94 */BUNSPEC; } } } }  else 
{ /* Llib/atom.scm 93 */BFALSE; } } 
{ 
 obj_t BgL_l1058z00_2156;
BgL_l1058z00_2156 = 
CDR(BgL_l1058z00_1535); 
BgL_l1058z00_1535 = BgL_l1058z00_2156; 
goto BgL_zc3z04anonymousza31202ze3z87_1534;} }  else 
{ /* Llib/atom.scm 92 */((bool_t)1); } } 
BgL_persz00_1501 = BgL_namez00_1531; } 
if(
CBOOL(BgL_persz00_1501))
{ /* Llib/atom.scm 265 */
BgL_authorsz00_1487 = 
MAKE_YOUNG_PAIR(BgL_persz00_1501, BgL_authorsz00_1487); }  else 
{ /* Llib/atom.scm 265 */BFALSE; } }  else 
{ /* Llib/atom.scm 262 */
if(
(BgL_casezd2valuezd2_1500==
CNST_TABLE_REF(((long)6))))
{ /* Llib/atom.scm 268 */
 obj_t BgL_arg1909z00_1502;
BgL_arg1909z00_1502 = 
BGl_atomza3categoryze70z44zz__web_atomz00(BgL_prefixz00_1381, 
CAR(
CDR(BgL_ez00_1499))); 
BgL_catz00_1488 = 
MAKE_YOUNG_PAIR(BgL_arg1909z00_1502, BgL_catz00_1488); }  else 
{ /* Llib/atom.scm 262 */
if(
(BgL_casezd2valuezd2_1500==
CNST_TABLE_REF(((long)24))))
{ /* Llib/atom.scm 262 */
BgL_attrz00_1538 = 
CAR(
CDR(BgL_ez00_1499)); 
BgL_bodyz00_1539 = 
CAR(
CDR(
CDR(BgL_ez00_1499))); 
if(
CBOOL(
CELL_REF(BgL_v0ze23ze2_1382)))
{ /* Llib/atom.scm 123 */
 obj_t BgL_tz00_1540; obj_t BgL_mz00_1541;
BgL_tz00_1540 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)37)), BgL_attrz00_1538); 
BgL_mz00_1541 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)38)), BgL_attrz00_1538); 
if(
CBOOL(BgL_tz00_1540))
{ /* Llib/atom.scm 125 */BFALSE; }  else 
{ /* Llib/atom.scm 125 */
BgL_tz00_1540 = BGl_string2042z00zz__web_atomz00; } 
if(
CBOOL(BgL_mz00_1541))
{ /* Llib/atom.scm 126 */BFALSE; }  else 
{ /* Llib/atom.scm 126 */
BgL_mz00_1541 = BGl_string2043z00zz__web_atomz00; } 
if(
bigloo_strncmp(BgL_tz00_1540, BGl_string2044z00zz__web_atomz00, ((long)5)))
{ /* Llib/atom.scm 128 */
 obj_t BgL_port1021z00_1542;
{ /* Llib/atom.scm 128 */
 obj_t BgL_stringz00_1543;
BgL_stringz00_1543 = BgL_mz00_1541; 
{ /* Llib/atom.scm 128 */
 long BgL_endz00_1544;
BgL_endz00_1544 = 
STRING_LENGTH(
((obj_t)BgL_stringz00_1543)); 
{ /* Llib/atom.scm 128 */

BgL_port1021z00_1542 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_stringz00_1543, 
BINT(((long)0)), 
BINT(BgL_endz00_1544)); } } } 
{ /* Llib/atom.scm 128 */
 obj_t BgL_exitd1022z00_1545;
BgL_exitd1022z00_1545 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/atom.scm 128 */
 obj_t BgL_zc3z04anonymousza31839ze3z87_1546;
BgL_zc3z04anonymousza31839ze3z87_1546 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31839ze3ze5zz__web_atomz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31839ze3z87_1546, 
(int)(((long)0)), BgL_port1021z00_1542); 
{ /* Llib/atom.scm 128 */
 obj_t BgL_arg1818z00_1547;
{ /* Llib/atom.scm 128 */
 obj_t BgL_arg1819z00_1548;
BgL_arg1819z00_1548 = 
BGL_EXITD_PROTECT(BgL_exitd1022z00_1545); 
BgL_arg1818z00_1547 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31839ze3z87_1546, BgL_arg1819z00_1548); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1022z00_1545, BgL_arg1818z00_1547); BUNSPEC; } 
{ /* Llib/atom.scm 128 */
 obj_t BgL_tmp1024z00_1549;
{ 
 obj_t BgL_iportz00_1666; long BgL_lastzd2matchzd2_1667; long BgL_forwardz00_1668; long BgL_bufposz00_1669; obj_t BgL_iportz00_1659; long BgL_lastzd2matchzd2_1660; long BgL_forwardz00_1661; long BgL_bufposz00_1662; obj_t BgL_iportz00_1652; long BgL_lastzd2matchzd2_1653; long BgL_forwardz00_1654; long BgL_bufposz00_1655; obj_t BgL_iportz00_1645; long BgL_lastzd2matchzd2_1646; long BgL_forwardz00_1647; long BgL_bufposz00_1648; obj_t BgL_iportz00_1636; long BgL_lastzd2matchzd2_1637; long BgL_forwardz00_1638; long BgL_bufposz00_1639; obj_t BgL_iportz00_1629; long BgL_lastzd2matchzd2_1630; long BgL_forwardz00_1631; long BgL_bufposz00_1632; obj_t BgL_iportz00_1622; long BgL_lastzd2matchzd2_1623; long BgL_forwardz00_1624; long BgL_bufposz00_1625; obj_t BgL_iportz00_1615; long BgL_lastzd2matchzd2_1616; long BgL_forwardz00_1617; long BgL_bufposz00_1618; obj_t BgL_iportz00_1608; long BgL_lastzd2matchzd2_1609; long BgL_forwardz00_1610; long BgL_bufposz00_1611; obj_t BgL_iportz00_1599; long BgL_lastzd2matchzd2_1600; long BgL_forwardz00_1601; long BgL_bufposz00_1602; obj_t BgL_iportz00_1591; long BgL_lastzd2matchzd2_1592; long BgL_forwardz00_1593; long BgL_bufposz00_1594; obj_t BgL_iportz00_1583; long BgL_lastzd2matchzd2_1584; long BgL_forwardz00_1585; long BgL_bufposz00_1586; obj_t BgL_iportz00_1575; long BgL_lastzd2matchzd2_1576; long BgL_forwardz00_1577; long BgL_bufposz00_1578; obj_t BgL_iportz00_1566; long BgL_lastzd2matchzd2_1567; long BgL_forwardz00_1568; long BgL_bufposz00_1569;
RGC_START_MATCH(BgL_port1021z00_1542); 
{ /* Llib/atom.scm 128 */
 long BgL_matchz00_1676;
{ /* Llib/atom.scm 128 */
 long BgL_arg1837z00_1677; long BgL_arg1838z00_1678;
BgL_arg1837z00_1677 = 
RGC_BUFFER_FORWARD(BgL_port1021z00_1542); 
BgL_arg1838z00_1678 = 
RGC_BUFFER_BUFPOS(BgL_port1021z00_1542); 
BgL_iportz00_1566 = BgL_port1021z00_1542; 
BgL_lastzd2matchzd2_1567 = ((long)3); 
BgL_forwardz00_1568 = BgL_arg1837z00_1677; 
BgL_bufposz00_1569 = BgL_arg1838z00_1678; 
BgL_statezd20zd21026z00_1550:
if(
(BgL_forwardz00_1568==BgL_bufposz00_1569))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1566))
{ /* Llib/atom.scm 128 */
 long BgL_arg1235z00_1570; long BgL_arg1238z00_1571;
BgL_arg1235z00_1570 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1566); 
BgL_arg1238z00_1571 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1566); 
{ 
 long BgL_bufposz00_2212; long BgL_forwardz00_2211;
BgL_forwardz00_2211 = BgL_arg1235z00_1570; 
BgL_bufposz00_2212 = BgL_arg1238z00_1571; 
BgL_bufposz00_1569 = BgL_bufposz00_2212; 
BgL_forwardz00_1568 = BgL_forwardz00_2211; 
goto BgL_statezd20zd21026z00_1550;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1567; } }  else 
{ /* Llib/atom.scm 128 */
 int BgL_curz00_1572;
BgL_curz00_1572 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1566, BgL_forwardz00_1568); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1572)==((long)120)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1591 = BgL_iportz00_1566; 
BgL_lastzd2matchzd2_1592 = BgL_lastzd2matchzd2_1567; 
BgL_forwardz00_1593 = 
(((long)1)+BgL_forwardz00_1568); 
BgL_bufposz00_1594 = BgL_bufposz00_1569; 
BgL_statezd24zd21030z00_1553:
{ /* Llib/atom.scm 128 */
 long BgL_newzd2matchzd2_1595;
RGC_STOP_MATCH(BgL_iportz00_1591, BgL_forwardz00_1593); 
BgL_newzd2matchzd2_1595 = ((long)3); 
if(
(BgL_forwardz00_1593==BgL_bufposz00_1594))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1591))
{ /* Llib/atom.scm 128 */
 long BgL_arg1331z00_1596; long BgL_arg1332z00_1597;
BgL_arg1331z00_1596 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1591); 
BgL_arg1332z00_1597 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1591); 
{ 
 long BgL_bufposz00_2225; long BgL_forwardz00_2224;
BgL_forwardz00_2224 = BgL_arg1331z00_1596; 
BgL_bufposz00_2225 = BgL_arg1332z00_1597; 
BgL_bufposz00_1594 = BgL_bufposz00_2225; 
BgL_forwardz00_1593 = BgL_forwardz00_2224; 
goto BgL_statezd24zd21030z00_1553;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_newzd2matchzd2_1595; } }  else 
{ /* Llib/atom.scm 128 */
 int BgL_curz00_1598;
BgL_curz00_1598 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1591, BgL_forwardz00_1593); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1598)==((long)109)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1599 = BgL_iportz00_1591; 
BgL_lastzd2matchzd2_1600 = BgL_newzd2matchzd2_1595; 
BgL_forwardz00_1601 = 
(((long)1)+BgL_forwardz00_1593); 
BgL_bufposz00_1602 = BgL_bufposz00_1594; 
BgL_statezd25zd21031z00_1554:
if(
(BgL_forwardz00_1601==BgL_bufposz00_1602))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1599))
{ /* Llib/atom.scm 128 */
 long BgL_arg1345z00_1603; long BgL_arg1348z00_1604;
BgL_arg1345z00_1603 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1599); 
BgL_arg1348z00_1604 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1599); 
{ 
 long BgL_bufposz00_2237; long BgL_forwardz00_2236;
BgL_forwardz00_2236 = BgL_arg1345z00_1603; 
BgL_bufposz00_2237 = BgL_arg1348z00_1604; 
BgL_bufposz00_1602 = BgL_bufposz00_2237; 
BgL_forwardz00_1601 = BgL_forwardz00_2236; 
goto BgL_statezd25zd21031z00_1554;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1600; } }  else 
{ /* Llib/atom.scm 128 */
 int BgL_curz00_1605;
BgL_curz00_1605 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1599, BgL_forwardz00_1601); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1605)==((long)108)))
{ /* Llib/atom.scm 128 */
 long BgL_arg1354z00_1606;
BgL_arg1354z00_1606 = 
(((long)1)+BgL_forwardz00_1601); 
{ /* Llib/atom.scm 128 */
 long BgL_newzd2matchzd2_1607;
RGC_STOP_MATCH(BgL_iportz00_1599, BgL_arg1354z00_1606); 
BgL_newzd2matchzd2_1607 = ((long)0); 
BgL_matchz00_1676 = BgL_newzd2matchzd2_1607; } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1600; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_newzd2matchzd2_1595; } } } } }  else 
{ /* Llib/atom.scm 128 */
if(
(
(long)(BgL_curz00_1572)==((long)101)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1583 = BgL_iportz00_1566; 
BgL_lastzd2matchzd2_1584 = BgL_lastzd2matchzd2_1567; 
BgL_forwardz00_1585 = 
(((long)1)+BgL_forwardz00_1568); 
BgL_bufposz00_1586 = BgL_bufposz00_1569; 
BgL_statezd23zd21029z00_1552:
{ /* Llib/atom.scm 128 */
 long BgL_newzd2matchzd2_1587;
RGC_STOP_MATCH(BgL_iportz00_1583, BgL_forwardz00_1585); 
BgL_newzd2matchzd2_1587 = ((long)3); 
if(
(BgL_forwardz00_1585==BgL_bufposz00_1586))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1583))
{ /* Llib/atom.scm 128 */
 long BgL_arg1283z00_1588; long BgL_arg1285z00_1589;
BgL_arg1283z00_1588 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1583); 
BgL_arg1285z00_1589 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1583); 
{ 
 long BgL_bufposz00_2257; long BgL_forwardz00_2256;
BgL_forwardz00_2256 = BgL_arg1283z00_1588; 
BgL_bufposz00_2257 = BgL_arg1285z00_1589; 
BgL_bufposz00_1586 = BgL_bufposz00_2257; 
BgL_forwardz00_1585 = BgL_forwardz00_2256; 
goto BgL_statezd23zd21029z00_1552;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_newzd2matchzd2_1587; } }  else 
{ /* Llib/atom.scm 128 */
 int BgL_curz00_1590;
BgL_curz00_1590 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1583, BgL_forwardz00_1585); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1590)==((long)115)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1608 = BgL_iportz00_1583; 
BgL_lastzd2matchzd2_1609 = BgL_newzd2matchzd2_1587; 
BgL_forwardz00_1610 = 
(((long)1)+BgL_forwardz00_1585); 
BgL_bufposz00_1611 = BgL_bufposz00_1586; 
BgL_statezd28zd21034z00_1555:
if(
(BgL_forwardz00_1610==BgL_bufposz00_1611))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1608))
{ /* Llib/atom.scm 128 */
 long BgL_arg1360z00_1612; long BgL_arg1361z00_1613;
BgL_arg1360z00_1612 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1608); 
BgL_arg1361z00_1613 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1608); 
{ 
 long BgL_bufposz00_2269; long BgL_forwardz00_2268;
BgL_forwardz00_2268 = BgL_arg1360z00_1612; 
BgL_bufposz00_2269 = BgL_arg1361z00_1613; 
BgL_bufposz00_1611 = BgL_bufposz00_2269; 
BgL_forwardz00_1610 = BgL_forwardz00_2268; 
goto BgL_statezd28zd21034z00_1555;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1609; } }  else 
{ /* Llib/atom.scm 128 */
 int BgL_curz00_1614;
BgL_curz00_1614 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1608, BgL_forwardz00_1610); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1614)==((long)99)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1615 = BgL_iportz00_1608; 
BgL_lastzd2matchzd2_1616 = BgL_lastzd2matchzd2_1609; 
BgL_forwardz00_1617 = 
(((long)1)+BgL_forwardz00_1610); 
BgL_bufposz00_1618 = BgL_bufposz00_1611; 
BgL_statezd29zd21035z00_1556:
if(
(BgL_forwardz00_1617==BgL_bufposz00_1618))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1615))
{ /* Llib/atom.scm 128 */
 long BgL_arg1377z00_1619; long BgL_arg1378z00_1620;
BgL_arg1377z00_1619 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1615); 
BgL_arg1378z00_1620 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1615); 
{ 
 long BgL_bufposz00_2281; long BgL_forwardz00_2280;
BgL_forwardz00_2280 = BgL_arg1377z00_1619; 
BgL_bufposz00_2281 = BgL_arg1378z00_1620; 
BgL_bufposz00_1618 = BgL_bufposz00_2281; 
BgL_forwardz00_1617 = BgL_forwardz00_2280; 
goto BgL_statezd29zd21035z00_1556;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1616; } }  else 
{ /* Llib/atom.scm 128 */
 int BgL_curz00_1621;
BgL_curz00_1621 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1615, BgL_forwardz00_1617); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1621)==((long)97)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1622 = BgL_iportz00_1615; 
BgL_lastzd2matchzd2_1623 = BgL_lastzd2matchzd2_1616; 
BgL_forwardz00_1624 = 
(((long)1)+BgL_forwardz00_1617); 
BgL_bufposz00_1625 = BgL_bufposz00_1618; 
BgL_statezd210zd21036z00_1557:
if(
(BgL_forwardz00_1624==BgL_bufposz00_1625))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1622))
{ /* Llib/atom.scm 128 */
 long BgL_arg1455z00_1626; long BgL_arg1456z00_1627;
BgL_arg1455z00_1626 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1622); 
BgL_arg1456z00_1627 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1622); 
{ 
 long BgL_bufposz00_2293; long BgL_forwardz00_2292;
BgL_forwardz00_2292 = BgL_arg1455z00_1626; 
BgL_bufposz00_2293 = BgL_arg1456z00_1627; 
BgL_bufposz00_1625 = BgL_bufposz00_2293; 
BgL_forwardz00_1624 = BgL_forwardz00_2292; 
goto BgL_statezd210zd21036z00_1557;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1623; } }  else 
{ /* Llib/atom.scm 128 */
 int BgL_curz00_1628;
BgL_curz00_1628 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1622, BgL_forwardz00_1624); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1628)==((long)112)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1629 = BgL_iportz00_1622; 
BgL_lastzd2matchzd2_1630 = BgL_lastzd2matchzd2_1623; 
BgL_forwardz00_1631 = 
(((long)1)+BgL_forwardz00_1624); 
BgL_bufposz00_1632 = BgL_bufposz00_1625; 
BgL_statezd211zd21037z00_1558:
if(
(BgL_forwardz00_1631==BgL_bufposz00_1632))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1629))
{ /* Llib/atom.scm 128 */
 long BgL_arg1541z00_1633; long BgL_arg1554z00_1634;
BgL_arg1541z00_1633 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1629); 
BgL_arg1554z00_1634 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1629); 
{ 
 long BgL_bufposz00_2305; long BgL_forwardz00_2304;
BgL_forwardz00_2304 = BgL_arg1541z00_1633; 
BgL_bufposz00_2305 = BgL_arg1554z00_1634; 
BgL_bufposz00_1632 = BgL_bufposz00_2305; 
BgL_forwardz00_1631 = BgL_forwardz00_2304; 
goto BgL_statezd211zd21037z00_1558;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1630; } }  else 
{ /* Llib/atom.scm 128 */
 int BgL_curz00_1635;
BgL_curz00_1635 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1629, BgL_forwardz00_1631); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1635)==((long)101)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1636 = BgL_iportz00_1629; 
BgL_lastzd2matchzd2_1637 = BgL_lastzd2matchzd2_1630; 
BgL_forwardz00_1638 = 
(((long)1)+BgL_forwardz00_1631); 
BgL_bufposz00_1639 = BgL_bufposz00_1632; 
BgL_statezd212zd21038z00_1559:
if(
(BgL_forwardz00_1638==BgL_bufposz00_1639))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1636))
{ /* Llib/atom.scm 128 */
 long BgL_arg1572z00_1640; long BgL_arg1573z00_1641;
BgL_arg1572z00_1640 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1636); 
BgL_arg1573z00_1641 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1636); 
{ 
 long BgL_bufposz00_2317; long BgL_forwardz00_2316;
BgL_forwardz00_2316 = BgL_arg1572z00_1640; 
BgL_bufposz00_2317 = BgL_arg1573z00_1641; 
BgL_bufposz00_1639 = BgL_bufposz00_2317; 
BgL_forwardz00_1638 = BgL_forwardz00_2316; 
goto BgL_statezd212zd21038z00_1559;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1637; } }  else 
{ /* Llib/atom.scm 128 */
 int BgL_curz00_1642;
BgL_curz00_1642 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1636, BgL_forwardz00_1638); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1642)==((long)100)))
{ /* Llib/atom.scm 128 */
 long BgL_arg1576z00_1643;
BgL_arg1576z00_1643 = 
(((long)1)+BgL_forwardz00_1638); 
{ /* Llib/atom.scm 128 */
 long BgL_newzd2matchzd2_1644;
RGC_STOP_MATCH(BgL_iportz00_1636, BgL_arg1576z00_1643); 
BgL_newzd2matchzd2_1644 = ((long)1); 
BgL_matchz00_1676 = BgL_newzd2matchzd2_1644; } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1637; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1630; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1623; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1616; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1609; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_newzd2matchzd2_1587; } } } } }  else 
{ /* Llib/atom.scm 128 */
if(
(
(long)(BgL_curz00_1572)==((long)98)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1575 = BgL_iportz00_1566; 
BgL_lastzd2matchzd2_1576 = BgL_lastzd2matchzd2_1567; 
BgL_forwardz00_1577 = 
(((long)1)+BgL_forwardz00_1568); 
BgL_bufposz00_1578 = BgL_bufposz00_1569; 
BgL_statezd22zd21028z00_1551:
{ /* Llib/atom.scm 128 */
 long BgL_newzd2matchzd2_1579;
RGC_STOP_MATCH(BgL_iportz00_1575, BgL_forwardz00_1577); 
BgL_newzd2matchzd2_1579 = ((long)3); 
if(
(BgL_forwardz00_1577==BgL_bufposz00_1578))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1575))
{ /* Llib/atom.scm 128 */
 long BgL_arg1267z00_1580; long BgL_arg1268z00_1581;
BgL_arg1267z00_1580 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1575); 
BgL_arg1268z00_1581 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1575); 
{ 
 long BgL_bufposz00_2341; long BgL_forwardz00_2340;
BgL_forwardz00_2340 = BgL_arg1267z00_1580; 
BgL_bufposz00_2341 = BgL_arg1268z00_1581; 
BgL_bufposz00_1578 = BgL_bufposz00_2341; 
BgL_forwardz00_1577 = BgL_forwardz00_2340; 
goto BgL_statezd22zd21028z00_1551;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_newzd2matchzd2_1579; } }  else 
{ /* Llib/atom.scm 128 */
 int BgL_curz00_1582;
BgL_curz00_1582 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1575, BgL_forwardz00_1577); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1582)==((long)97)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1645 = BgL_iportz00_1575; 
BgL_lastzd2matchzd2_1646 = BgL_newzd2matchzd2_1579; 
BgL_forwardz00_1647 = 
(((long)1)+BgL_forwardz00_1577); 
BgL_bufposz00_1648 = BgL_bufposz00_1578; 
BgL_statezd214zd21040z00_1560:
if(
(BgL_forwardz00_1647==BgL_bufposz00_1648))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1645))
{ /* Llib/atom.scm 128 */
 long BgL_arg1590z00_1649; long BgL_arg1591z00_1650;
BgL_arg1590z00_1649 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1645); 
BgL_arg1591z00_1650 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1645); 
{ 
 long BgL_bufposz00_2353; long BgL_forwardz00_2352;
BgL_forwardz00_2352 = BgL_arg1590z00_1649; 
BgL_bufposz00_2353 = BgL_arg1591z00_1650; 
BgL_bufposz00_1648 = BgL_bufposz00_2353; 
BgL_forwardz00_1647 = BgL_forwardz00_2352; 
goto BgL_statezd214zd21040z00_1560;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1646; } }  else 
{ /* Llib/atom.scm 128 */
 int BgL_curz00_1651;
BgL_curz00_1651 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1645, BgL_forwardz00_1647); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1651)==((long)115)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1652 = BgL_iportz00_1645; 
BgL_lastzd2matchzd2_1653 = BgL_lastzd2matchzd2_1646; 
BgL_forwardz00_1654 = 
(((long)1)+BgL_forwardz00_1647); 
BgL_bufposz00_1655 = BgL_bufposz00_1648; 
BgL_statezd215zd21041z00_1561:
if(
(BgL_forwardz00_1654==BgL_bufposz00_1655))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1652))
{ /* Llib/atom.scm 128 */
 long BgL_arg1609z00_1656; long BgL_arg1611z00_1657;
BgL_arg1609z00_1656 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1652); 
BgL_arg1611z00_1657 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1652); 
{ 
 long BgL_bufposz00_2365; long BgL_forwardz00_2364;
BgL_forwardz00_2364 = BgL_arg1609z00_1656; 
BgL_bufposz00_2365 = BgL_arg1611z00_1657; 
BgL_bufposz00_1655 = BgL_bufposz00_2365; 
BgL_forwardz00_1654 = BgL_forwardz00_2364; 
goto BgL_statezd215zd21041z00_1561;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1653; } }  else 
{ /* Llib/atom.scm 128 */
 int BgL_curz00_1658;
BgL_curz00_1658 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1652, BgL_forwardz00_1654); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1658)==((long)101)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1659 = BgL_iportz00_1652; 
BgL_lastzd2matchzd2_1660 = BgL_lastzd2matchzd2_1653; 
BgL_forwardz00_1661 = 
(((long)1)+BgL_forwardz00_1654); 
BgL_bufposz00_1662 = BgL_bufposz00_1655; 
BgL_statezd216zd21042z00_1562:
if(
(BgL_forwardz00_1661==BgL_bufposz00_1662))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1659))
{ /* Llib/atom.scm 128 */
 long BgL_arg1642z00_1663; long BgL_arg1643z00_1664;
BgL_arg1642z00_1663 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1659); 
BgL_arg1643z00_1664 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1659); 
{ 
 long BgL_bufposz00_2377; long BgL_forwardz00_2376;
BgL_forwardz00_2376 = BgL_arg1642z00_1663; 
BgL_bufposz00_2377 = BgL_arg1643z00_1664; 
BgL_bufposz00_1662 = BgL_bufposz00_2377; 
BgL_forwardz00_1661 = BgL_forwardz00_2376; 
goto BgL_statezd216zd21042z00_1562;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1660; } }  else 
{ /* Llib/atom.scm 128 */
 int BgL_curz00_1665;
BgL_curz00_1665 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1659, BgL_forwardz00_1661); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1665)==((long)54)))
{ /* Llib/atom.scm 128 */
BgL_iportz00_1666 = BgL_iportz00_1659; 
BgL_lastzd2matchzd2_1667 = BgL_lastzd2matchzd2_1660; 
BgL_forwardz00_1668 = 
(((long)1)+BgL_forwardz00_1661); 
BgL_bufposz00_1669 = BgL_bufposz00_1662; 
BgL_statezd217zd21043z00_1563:
if(
(BgL_forwardz00_1668==BgL_bufposz00_1669))
{ /* Llib/atom.scm 128 */
if(
rgc_fill_buffer(BgL_iportz00_1666))
{ /* Llib/atom.scm 128 */
 long BgL_arg1657z00_1670; long BgL_arg1664z00_1671;
BgL_arg1657z00_1670 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1666); 
BgL_arg1664z00_1671 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1666); 
{ 
 long BgL_bufposz00_2389; long BgL_forwardz00_2388;
BgL_forwardz00_2388 = BgL_arg1657z00_1670; 
BgL_bufposz00_2389 = BgL_arg1664z00_1671; 
BgL_bufposz00_1669 = BgL_bufposz00_2389; 
BgL_forwardz00_1668 = BgL_forwardz00_2388; 
goto BgL_statezd217zd21043z00_1563;} }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1667; } }  else 
{ /* Llib/atom.scm 128 */
 int BgL_curz00_1672;
BgL_curz00_1672 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1666, BgL_forwardz00_1668); 
{ /* Llib/atom.scm 128 */

if(
(
(long)(BgL_curz00_1672)==((long)52)))
{ /* Llib/atom.scm 128 */
 long BgL_arg1672z00_1673;
BgL_arg1672z00_1673 = 
(((long)1)+BgL_forwardz00_1668); 
{ /* Llib/atom.scm 128 */
 long BgL_newzd2matchzd2_1674;
RGC_STOP_MATCH(BgL_iportz00_1666, BgL_arg1672z00_1673); 
BgL_newzd2matchzd2_1674 = ((long)2); 
BgL_matchz00_1676 = BgL_newzd2matchzd2_1674; } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1667; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1660; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1653; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_lastzd2matchzd2_1646; } } } }  else 
{ /* Llib/atom.scm 128 */
BgL_matchz00_1676 = BgL_newzd2matchzd2_1579; } } } } }  else 
{ /* Llib/atom.scm 128 */
 long BgL_arg1262z00_1573;
BgL_arg1262z00_1573 = 
(((long)1)+BgL_forwardz00_1568); 
{ /* Llib/atom.scm 128 */
 long BgL_newzd2matchzd2_1574;
RGC_STOP_MATCH(BgL_iportz00_1566, BgL_arg1262z00_1573); 
BgL_newzd2matchzd2_1574 = ((long)3); 
BgL_matchz00_1676 = BgL_newzd2matchzd2_1574; } } } } } } } 
RGC_SET_FILEPOS(BgL_port1021z00_1542); 
{ 

{ /* Llib/atom.scm 128 */
 obj_t BgL_aux1063z00_1680;
BgL_aux1063z00_1680 = 
BINT(BgL_matchz00_1676); 
switch( 
(long)CINT(BgL_aux1063z00_1680)) { case ((long)3) : 

{ /* Llib/atom.scm 128 */
 bool_t BgL_test2196z00_2405;
{ /* Llib/atom.scm 128 */
 long BgL_arg1828z00_1675;
BgL_arg1828z00_1675 = 
RGC_BUFFER_MATCH_LENGTH(BgL_port1021z00_1542); 
BgL_test2196z00_2405 = 
(BgL_arg1828z00_1675==((long)0)); } 
if(BgL_test2196z00_2405)
{ /* Llib/atom.scm 128 */
BgL_tmp1024z00_1549 = BEOF; }  else 
{ /* Llib/atom.scm 128 */
BgL_tmp1024z00_1549 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_port1021z00_1542)); } } break;case ((long)2) : 

{ /* Llib/atom.scm 131 */

BgL_tmp1024z00_1549 = 
BGl_base64zd2decodezd2zz__base64z00(BgL_bodyz00_1539, BFALSE); } break;case ((long)1) : 

BgL_tmp1024z00_1549 = 
BGl_cdatazd2decodezd2zz__web_rssz00(BgL_bodyz00_1539); break;case ((long)0) : 

BgL_tmp1024z00_1549 = BgL_bodyz00_1539; break;
default: 
BgL_tmp1024z00_1549 = 
BGl_errorz00zz__errorz00(BGl_string2045z00zz__web_atomz00, BGl_string2046z00zz__web_atomz00, 
BINT(BgL_matchz00_1676)); } } } } } 
{ /* Llib/atom.scm 128 */
 bool_t BgL_test2197z00_2416;
{ /* Llib/atom.scm 128 */
 obj_t BgL_arg1817z00_1681;
BgL_arg1817z00_1681 = 
BGL_EXITD_PROTECT(BgL_exitd1022z00_1545); 
BgL_test2197z00_2416 = 
PAIRP(BgL_arg1817z00_1681); } 
if(BgL_test2197z00_2416)
{ /* Llib/atom.scm 128 */
 obj_t BgL_arg1815z00_1682;
{ /* Llib/atom.scm 128 */
 obj_t BgL_arg1816z00_1683;
BgL_arg1816z00_1683 = 
BGL_EXITD_PROTECT(BgL_exitd1022z00_1545); 
BgL_arg1815z00_1682 = 
CDR(
((obj_t)BgL_arg1816z00_1683)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1022z00_1545, BgL_arg1815z00_1682); BUNSPEC; }  else 
{ /* Llib/atom.scm 128 */BFALSE; } } 
bgl_close_input_port(BgL_port1021z00_1542); 
BgL_contentz00_1489 = BgL_tmp1024z00_1549; } } } }  else 
{ /* Llib/atom.scm 127 */
BgL_contentz00_1489 = BFALSE; } }  else 
{ /* Llib/atom.scm 133 */
 obj_t BgL_tz00_1684;
BgL_tz00_1684 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)37)), BgL_attrz00_1538); 
{ /* Llib/atom.scm 137 */
 bool_t BgL_test2198z00_2426;
{ /* Llib/atom.scm 137 */
 obj_t BgL_arg1855z00_1685;
BgL_arg1855z00_1685 = 
CDR(
((obj_t)BgL_tz00_1684)); 
{ /* Llib/atom.scm 137 */
 long BgL_l1z00_1686;
BgL_l1z00_1686 = 
STRING_LENGTH(
((obj_t)BgL_arg1855z00_1685)); 
if(
(BgL_l1z00_1686==((long)4)))
{ /* Llib/atom.scm 137 */
 int BgL_arg1289z00_1687;
{ /* Llib/atom.scm 137 */
 char * BgL_auxz00_2436; char * BgL_tmpz00_2433;
BgL_auxz00_2436 = 
BSTRING_TO_STRING(BGl_string2047z00zz__web_atomz00); 
BgL_tmpz00_2433 = 
BSTRING_TO_STRING(
((obj_t)BgL_arg1855z00_1685)); 
BgL_arg1289z00_1687 = 
memcmp(BgL_tmpz00_2433, BgL_auxz00_2436, BgL_l1z00_1686); } 
BgL_test2198z00_2426 = 
(
(long)(BgL_arg1289z00_1687)==((long)0)); }  else 
{ /* Llib/atom.scm 137 */
BgL_test2198z00_2426 = ((bool_t)0)
; } } } 
if(BgL_test2198z00_2426)
{ /* Llib/atom.scm 137 */
BgL_contentz00_1489 = BgL_bodyz00_1539; }  else 
{ /* Llib/atom.scm 138 */
 bool_t BgL_test2200z00_2441;
{ /* Llib/atom.scm 138 */
 obj_t BgL_arg1854z00_1688;
BgL_arg1854z00_1688 = 
CDR(
((obj_t)BgL_tz00_1684)); 
{ /* Llib/atom.scm 138 */
 long BgL_l1z00_1689;
BgL_l1z00_1689 = 
STRING_LENGTH(
((obj_t)BgL_arg1854z00_1688)); 
if(
(BgL_l1z00_1689==((long)4)))
{ /* Llib/atom.scm 138 */
 int BgL_arg1289z00_1690;
{ /* Llib/atom.scm 138 */
 char * BgL_auxz00_2451; char * BgL_tmpz00_2448;
BgL_auxz00_2451 = 
BSTRING_TO_STRING(BGl_string2048z00zz__web_atomz00); 
BgL_tmpz00_2448 = 
BSTRING_TO_STRING(
((obj_t)BgL_arg1854z00_1688)); 
BgL_arg1289z00_1690 = 
memcmp(BgL_tmpz00_2448, BgL_auxz00_2451, BgL_l1z00_1689); } 
BgL_test2200z00_2441 = 
(
(long)(BgL_arg1289z00_1690)==((long)0)); }  else 
{ /* Llib/atom.scm 138 */
BgL_test2200z00_2441 = ((bool_t)0)
; } } } 
if(BgL_test2200z00_2441)
{ /* Llib/atom.scm 138 */
BgL_contentz00_1489 = 
BGl_cdatazd2decodezd2zz__web_rssz00(BgL_bodyz00_1539); }  else 
{ /* Llib/atom.scm 139 */
 bool_t BgL_test2202z00_2457;
{ /* Llib/atom.scm 139 */
 obj_t BgL_arg1853z00_1691;
BgL_arg1853z00_1691 = 
CDR(
((obj_t)BgL_tz00_1684)); 
{ /* Llib/atom.scm 139 */
 long BgL_l1z00_1692;
BgL_l1z00_1692 = 
STRING_LENGTH(
((obj_t)BgL_arg1853z00_1691)); 
if(
(BgL_l1z00_1692==((long)5)))
{ /* Llib/atom.scm 139 */
 int BgL_arg1289z00_1693;
{ /* Llib/atom.scm 139 */
 char * BgL_auxz00_2467; char * BgL_tmpz00_2464;
BgL_auxz00_2467 = 
BSTRING_TO_STRING(BGl_string2049z00zz__web_atomz00); 
BgL_tmpz00_2464 = 
BSTRING_TO_STRING(
((obj_t)BgL_arg1853z00_1691)); 
BgL_arg1289z00_1693 = 
memcmp(BgL_tmpz00_2464, BgL_auxz00_2467, BgL_l1z00_1692); } 
BgL_test2202z00_2457 = 
(
(long)(BgL_arg1289z00_1693)==((long)0)); }  else 
{ /* Llib/atom.scm 139 */
BgL_test2202z00_2457 = ((bool_t)0)
; } } } 
if(BgL_test2202z00_2457)
{ /* Llib/atom.scm 139 */
 obj_t BgL_arg1846z00_1694;
{ /* Llib/atom.scm 139 */
 obj_t BgL_pairz00_1695;
{ /* Llib/atom.scm 139 */
 obj_t BgL_pairz00_1696;
BgL_pairz00_1696 = 
CDR(
((obj_t)BgL_bodyz00_1539)); 
BgL_pairz00_1695 = 
CDR(BgL_pairz00_1696); } 
BgL_arg1846z00_1694 = 
CAR(BgL_pairz00_1695); } 
BgL_contentz00_1489 = 
BGl_cdatazd2decodezd2zz__web_rssz00(BgL_arg1846z00_1694); }  else 
{ /* Llib/atom.scm 140 */
 bool_t BgL_test2204z00_2477;
{ /* Llib/atom.scm 140 */
 obj_t BgL_arg1852z00_1697;
BgL_arg1852z00_1697 = 
CDR(
((obj_t)BgL_tz00_1684)); 
{ /* Llib/atom.scm 140 */

BgL_test2204z00_2477 = 
CBOOL(
BGl_stringzd2containszd2ciz00zz__r4_strings_6_7z00(BgL_arg1852z00_1697, BGl_string2043z00zz__web_atomz00, 
(int)(((long)0)))); } } 
if(BgL_test2204z00_2477)
{ /* Llib/atom.scm 140 */
BgL_contentz00_1489 = BgL_bodyz00_1539; }  else 
{ /* Llib/atom.scm 141 */
 bool_t BgL_test2205z00_2483;
{ /* Llib/atom.scm 141 */
 obj_t BgL_string1z00_1698;
BgL_string1z00_1698 = 
CDR(
((obj_t)BgL_tz00_1684)); 
BgL_test2205z00_2483 = 
bigloo_strncmp_ci(BgL_string1z00_1698, BGl_string2044z00zz__web_atomz00, ((long)5)); } 
if(BgL_test2205z00_2483)
{ /* Llib/atom.scm 141 */
BgL_contentz00_1489 = BgL_bodyz00_1539; }  else 
{ /* Llib/atom.scm 142 */

BgL_contentz00_1489 = 
BGl_base64zd2decodezd2zz__base64z00(BgL_bodyz00_1539, BFALSE); } } } } } } } }  else 
{ /* Llib/atom.scm 262 */
if(
(BgL_casezd2valuezd2_1500==
CNST_TABLE_REF(((long)7))))
{ /* Llib/atom.scm 273 */
 obj_t BgL_lnkz00_1503;
BgL_lnkz00_1503 = 
BGl_atomza3linkze70z44zz__web_atomz00(BgL_v0ze23ze2_1382, BgL_prefixz00_1381, 
CAR(
CDR(BgL_ez00_1499))); 
if(
CBOOL(BgL_lnkz00_1503))
{ /* Llib/atom.scm 274 */
BgL_linksz00_1490 = 
MAKE_YOUNG_PAIR(BgL_lnkz00_1503, BgL_linksz00_1490); }  else 
{ /* Llib/atom.scm 274 */BFALSE; } }  else 
{ /* Llib/atom.scm 262 */
 bool_t BgL_test2208z00_2502;
{ /* Llib/atom.scm 262 */
 bool_t BgL__ortest_1048z00_1504;
BgL__ortest_1048z00_1504 = 
(BgL_casezd2valuezd2_1500==
CNST_TABLE_REF(((long)25))); 
if(BgL__ortest_1048z00_1504)
{ /* Llib/atom.scm 262 */
BgL_test2208z00_2502 = BgL__ortest_1048z00_1504
; }  else 
{ /* Llib/atom.scm 262 */
 bool_t BgL__ortest_1049z00_1505;
BgL__ortest_1049z00_1505 = 
(BgL_casezd2valuezd2_1500==
CNST_TABLE_REF(((long)26))); 
if(BgL__ortest_1049z00_1505)
{ /* Llib/atom.scm 262 */
BgL_test2208z00_2502 = BgL__ortest_1049z00_1505
; }  else 
{ /* Llib/atom.scm 262 */
 bool_t BgL__ortest_1050z00_1506;
BgL__ortest_1050z00_1506 = 
(BgL_casezd2valuezd2_1500==
CNST_TABLE_REF(((long)14))); 
if(BgL__ortest_1050z00_1506)
{ /* Llib/atom.scm 262 */
BgL_test2208z00_2502 = BgL__ortest_1050z00_1506
; }  else 
{ /* Llib/atom.scm 262 */
 bool_t BgL__ortest_1051z00_1507;
BgL__ortest_1051z00_1507 = 
(BgL_casezd2valuezd2_1500==
CNST_TABLE_REF(((long)15))); 
if(BgL__ortest_1051z00_1507)
{ /* Llib/atom.scm 262 */
BgL_test2208z00_2502 = BgL__ortest_1051z00_1507
; }  else 
{ /* Llib/atom.scm 262 */
BgL_test2208z00_2502 = 
(BgL_casezd2valuezd2_1500==
CNST_TABLE_REF(((long)27)))
; } } } } } 
if(BgL_test2208z00_2502)
{ /* Llib/atom.scm 277 */
 bool_t BgL_test2213z00_2517;
if(
CBOOL(BgL_updatedz00_1495))
{ /* Llib/atom.scm 280 */
 long BgL_arg1920z00_1508;
{ /* Llib/atom.scm 280 */
 obj_t BgL_arg1921z00_1509;
BgL_arg1921z00_1509 = 
CAR(
CAR(
CDR(
CDR(BgL_ez00_1499)))); 
BgL_arg1920z00_1508 = 
BGl_stringzd2compare3zd2zz__r4_strings_6_7z00(BgL_updatedz00_1495, BgL_arg1921z00_1509); } 
BgL_test2213z00_2517 = 
(BgL_arg1920z00_1508>((long)0)); }  else 
{ /* Llib/atom.scm 277 */
BgL_test2213z00_2517 = ((bool_t)1)
; } 
if(BgL_test2213z00_2517)
{ /* Llib/atom.scm 277 */
BgL_updatedz00_1495 = 
CAR(
CAR(
CDR(
CDR(BgL_ez00_1499)))); }  else 
{ /* Llib/atom.scm 277 */BFALSE; } }  else 
{ /* Llib/atom.scm 262 */
 bool_t BgL_test2215z00_2530;
{ /* Llib/atom.scm 262 */
 bool_t BgL__ortest_1052z00_1510;
BgL__ortest_1052z00_1510 = 
(BgL_casezd2valuezd2_1500==
CNST_TABLE_REF(((long)9))); 
if(BgL__ortest_1052z00_1510)
{ /* Llib/atom.scm 262 */
BgL_test2215z00_2530 = BgL__ortest_1052z00_1510
; }  else 
{ /* Llib/atom.scm 262 */
BgL_test2215z00_2530 = 
(BgL_casezd2valuezd2_1500==
CNST_TABLE_REF(((long)10)))
; } } 
if(BgL_test2215z00_2530)
{ /* Llib/atom.scm 262 */
BgL_rightsz00_1491 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_ez00_1499)))); }  else 
{ /* Llib/atom.scm 262 */
if(
(BgL_casezd2valuezd2_1500==
CNST_TABLE_REF(((long)28))))
{ /* Llib/atom.scm 262 */
BgL_attrz00_1699 = 
CAR(
CDR(BgL_ez00_1499)); 
BgL_bodyz00_1700 = 
CAR(
CDR(
CDR(BgL_ez00_1499))); 
{ /* Llib/atom.scm 215 */
 obj_t BgL_titlez00_1701; obj_t BgL_hrefz00_1702;
BgL_titlez00_1701 = BFALSE; 
BgL_hrefz00_1702 = BFALSE; 
{ 
 obj_t BgL_l1066z00_1704;
BgL_l1066z00_1704 = BgL_bodyz00_1700; 
BgL_zc3z04anonymousza31886ze3z87_1703:
if(
PAIRP(BgL_l1066z00_1704))
{ /* Llib/atom.scm 216 */
{ /* Llib/atom.scm 217 */
 obj_t BgL_ez00_1705;
BgL_ez00_1705 = 
CAR(BgL_l1066z00_1704); 
if(
PAIRP(BgL_ez00_1705))
{ /* Llib/atom.scm 218 */
 obj_t BgL_casezd2valuezd2_1706;
BgL_casezd2valuezd2_1706 = 
BGl_dropzd2prefixze70z35zz__web_atomz00(BgL_prefixz00_1381, 
CAR(BgL_ez00_1705)); 
if(
(BgL_casezd2valuezd2_1706==
CNST_TABLE_REF(((long)7))))
{ /* Llib/atom.scm 220 */
 obj_t BgL_lnkz00_1707;
BgL_lnkz00_1707 = 
BGl_atomza3linkze70z44zz__web_atomz00(BgL_v0ze23ze2_1382, BgL_prefixz00_1381, 
CAR(
CDR(BgL_ez00_1705))); 
{ /* Llib/atom.scm 221 */
 bool_t BgL_test2221z00_2556;
if(
CBOOL(BgL_lnkz00_1707))
{ /* Llib/atom.scm 221 */
BgL_test2221z00_2556 = 
(
CAR(
((obj_t)BgL_lnkz00_1707))==
CNST_TABLE_REF(((long)39)))
; }  else 
{ /* Llib/atom.scm 221 */
BgL_test2221z00_2556 = ((bool_t)0)
; } 
if(BgL_test2221z00_2556)
{ /* Llib/atom.scm 221 */
BgL_hrefz00_1702 = 
CDR(
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)40)), BgL_lnkz00_1707)); }  else 
{ /* Llib/atom.scm 221 */BFALSE; } } }  else 
{ /* Llib/atom.scm 218 */
if(
(BgL_casezd2valuezd2_1706==
CNST_TABLE_REF(((long)13))))
{ /* Llib/atom.scm 218 */
BgL_titlez00_1701 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_ez00_1705)))); }  else 
{ /* Llib/atom.scm 218 */BUNSPEC; } } }  else 
{ /* Llib/atom.scm 217 */BFALSE; } } 
{ 
 obj_t BgL_l1066z00_2573;
BgL_l1066z00_2573 = 
CDR(BgL_l1066z00_1704); 
BgL_l1066z00_1704 = BgL_l1066z00_2573; 
goto BgL_zc3z04anonymousza31886ze3z87_1703;} }  else 
{ /* Llib/atom.scm 216 */((bool_t)1); } } 
BgL_sourcez00_1492 = 
MAKE_YOUNG_PAIR(BgL_titlez00_1701, BgL_hrefz00_1702); } }  else 
{ /* Llib/atom.scm 262 */
if(
(BgL_casezd2valuezd2_1500==
CNST_TABLE_REF(((long)29))))
{ /* Llib/atom.scm 262 */
BgL_summaryz00_1493 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_ez00_1499)))); }  else 
{ /* Llib/atom.scm 262 */
if(
(BgL_casezd2valuezd2_1500==
CNST_TABLE_REF(((long)13))))
{ /* Llib/atom.scm 262 */
BgL_titlez00_1494 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CAR(
CDR(
CDR(BgL_ez00_1499)))); }  else 
{ /* Llib/atom.scm 262 */
BgL_restz00_1496 = 
MAKE_YOUNG_PAIR(BgL_ez00_1499, BgL_restz00_1496); } } } } } } } } } }  else 
{ /* Llib/atom.scm 261 */BFALSE; } } 
{ 
 obj_t BgL_l1068z00_2596;
BgL_l1068z00_2596 = 
CDR(BgL_l1068z00_1498); 
BgL_l1068z00_1498 = BgL_l1068z00_2596; 
goto BgL_zc3z04anonymousza31900ze3z87_1497;} }  else 
{ /* Llib/atom.scm 260 */((bool_t)1); } } 
{ /* Llib/atom.scm 296 */
 obj_t BgL_auxz00_2598;
{ /* Llib/atom.scm 296 */
 obj_t BgL_list1933z00_1511;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1934z00_1512;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1935z00_1513;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1936z00_1514;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1937z00_1515;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1938z00_1516;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1939z00_1517;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1940z00_1518;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1941z00_1519;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1942z00_1520;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1943z00_1521;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1944z00_1522;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1945z00_1523;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1946z00_1524;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1947z00_1525;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1948z00_1526;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1949z00_1527;
{ /* Llib/atom.scm 296 */
 obj_t BgL_arg1950z00_1528;
BgL_arg1950z00_1528 = 
MAKE_YOUNG_PAIR(BgL_restz00_1496, BNIL); 
BgL_arg1949z00_1527 = 
MAKE_YOUNG_PAIR(BgL_sourcez00_1492, BgL_arg1950z00_1528); } 
BgL_arg1948z00_1526 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)30)), BgL_arg1949z00_1527); } 
BgL_arg1947z00_1525 = 
MAKE_YOUNG_PAIR(BgL_authorsz00_1487, BgL_arg1948z00_1526); } 
BgL_arg1946z00_1524 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)31)), BgL_arg1947z00_1525); } 
BgL_arg1945z00_1523 = 
MAKE_YOUNG_PAIR(BgL_contentz00_1489, BgL_arg1946z00_1524); } 
BgL_arg1944z00_1522 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)32)), BgL_arg1945z00_1523); } 
BgL_arg1943z00_1521 = 
MAKE_YOUNG_PAIR(BgL_summaryz00_1493, BgL_arg1944z00_1522); } 
BgL_arg1942z00_1520 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)33)), BgL_arg1943z00_1521); } 
BgL_arg1941z00_1519 = 
MAKE_YOUNG_PAIR(BgL_rightsz00_1491, BgL_arg1942z00_1520); } 
BgL_arg1940z00_1518 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)18)), BgL_arg1941z00_1519); } 
BgL_arg1939z00_1517 = 
MAKE_YOUNG_PAIR(BgL_updatedz00_1495, BgL_arg1940z00_1518); } 
BgL_arg1938z00_1516 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)19)), BgL_arg1939z00_1517); } 
BgL_arg1937z00_1515 = 
MAKE_YOUNG_PAIR(BgL_catz00_1488, BgL_arg1938z00_1516); } 
BgL_arg1936z00_1514 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)20)), BgL_arg1937z00_1515); } 
BgL_arg1935z00_1513 = 
MAKE_YOUNG_PAIR(BgL_linksz00_1490, BgL_arg1936z00_1514); } 
BgL_arg1934z00_1512 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)21)), BgL_arg1935z00_1513); } 
BgL_list1933z00_1511 = 
MAKE_YOUNG_PAIR(BgL_titlez00_1494, BgL_arg1934z00_1512); } 
BgL_auxz00_2598 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)22)), BgL_list1933z00_1511); } 
BgL_arg1974z00_1471 = 
apply(BgL_makezd2entryzd2_1383, BgL_auxz00_2598); } } 
BgL_itemsz00_1459 = 
MAKE_YOUNG_PAIR(BgL_arg1974z00_1471, BgL_itemsz00_1459); }  else 
{ /* Llib/atom.scm 339 */
BgL_restz00_1460 = 
MAKE_YOUNG_PAIR(BgL_ez00_1463, BgL_restz00_1460); } } } } } } } } }  else 
{ /* Llib/atom.scm 338 */BFALSE; } } 
{ 
 obj_t BgL_l1070z00_2634;
BgL_l1070z00_2634 = 
CDR(BgL_l1070z00_1462); 
BgL_l1070z00_1462 = BgL_l1070z00_2634; 
goto BgL_zc3z04anonymousza31952ze3z87_1461;} }  else 
{ /* Llib/atom.scm 337 */((bool_t)1); } } 
{ /* Llib/atom.scm 368 */
 obj_t BgL_arg1978z00_1472; obj_t BgL_arg1979z00_1473;
{ /* Llib/atom.scm 368 */
 obj_t BgL_auxz00_2636;
{ /* Llib/atom.scm 368 */
 obj_t BgL_list1980z00_1474;
{ /* Llib/atom.scm 368 */
 obj_t BgL_arg1981z00_1475;
{ /* Llib/atom.scm 368 */
 obj_t BgL_arg1982z00_1476;
{ /* Llib/atom.scm 368 */
 obj_t BgL_arg1983z00_1477;
{ /* Llib/atom.scm 368 */
 obj_t BgL_arg1984z00_1478;
{ /* Llib/atom.scm 368 */
 obj_t BgL_arg1985z00_1479;
{ /* Llib/atom.scm 368 */
 obj_t BgL_arg1986z00_1480;
{ /* Llib/atom.scm 368 */
 obj_t BgL_arg1987z00_1481;
{ /* Llib/atom.scm 368 */
 obj_t BgL_arg1988z00_1482;
{ /* Llib/atom.scm 368 */
 obj_t BgL_arg1989z00_1483;
{ /* Llib/atom.scm 368 */
 obj_t BgL_arg1990z00_1484;
{ /* Llib/atom.scm 368 */
 obj_t BgL_arg1991z00_1485;
BgL_arg1991z00_1485 = 
MAKE_YOUNG_PAIR(BgL_restz00_1460, BNIL); 
BgL_arg1990z00_1484 = 
MAKE_YOUNG_PAIR(BgL_subtitlez00_1454, BgL_arg1991z00_1485); } 
BgL_arg1989z00_1483 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)17)), BgL_arg1990z00_1484); } 
BgL_arg1988z00_1482 = 
MAKE_YOUNG_PAIR(BgL_rightsz00_1456, BgL_arg1989z00_1483); } 
BgL_arg1987z00_1481 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)18)), BgL_arg1988z00_1482); } 
BgL_arg1986z00_1480 = 
MAKE_YOUNG_PAIR(BgL_updatedz00_1458, BgL_arg1987z00_1481); } 
BgL_arg1985z00_1479 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)19)), BgL_arg1986z00_1480); } 
BgL_arg1984z00_1478 = 
MAKE_YOUNG_PAIR(BgL_catz00_1452, BgL_arg1985z00_1479); } 
BgL_arg1983z00_1477 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)20)), BgL_arg1984z00_1478); } 
BgL_arg1982z00_1476 = 
MAKE_YOUNG_PAIR(BgL_linksz00_1453, BgL_arg1983z00_1477); } 
BgL_arg1981z00_1475 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)21)), BgL_arg1982z00_1476); } 
BgL_list1980z00_1474 = 
MAKE_YOUNG_PAIR(BgL_titlez00_1457, BgL_arg1981z00_1475); } 
BgL_auxz00_2636 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)22)), BgL_list1980z00_1474); } 
BgL_arg1978z00_1472 = 
apply(BgL_makezd2headzd2_1379, BgL_auxz00_2636); } 
BgL_arg1979z00_1473 = 
bgl_reverse_bang(BgL_itemsz00_1459); 
return 
PROCEDURE_ENTRY(BgL_makezd2atomzd2_1380)(BgL_makezd2atomzd2_1380, BgL_arg1978z00_1472, BgL_arg1979z00_1473, BEOA);} } }  else 
{ /* Llib/atom.scm 389 */
return BFALSE;} }  else 
{ /* Llib/atom.scm 388 */
return BFALSE;} } } } 

}



/* atom:link~0 */
obj_t BGl_atomza3linkze70z44zz__web_atomz00(obj_t BgL_v0ze23ze2_1392, obj_t BgL_prefixz00_1391, obj_t BgL_attrz00_652)
{
{ /* Llib/atom.scm 186 */
{ /* Llib/atom.scm 156 */
 obj_t BgL_hrefz00_654; obj_t BgL_relz00_655; obj_t BgL_typez00_656; obj_t BgL_hreflangz00_657; obj_t BgL_titlez00_658; obj_t BgL_lengthz00_659;
BgL_hrefz00_654 = BFALSE; 
BgL_relz00_655 = BFALSE; 
BgL_typez00_656 = BFALSE; 
BgL_hreflangz00_657 = BFALSE; 
BgL_titlez00_658 = BFALSE; 
BgL_lengthz00_659 = BFALSE; 
{ 
 obj_t BgL_l1064z00_661;
BgL_l1064z00_661 = BgL_attrz00_652; 
BgL_zc3z04anonymousza31857ze3z87_662:
if(
PAIRP(BgL_l1064z00_661))
{ /* Llib/atom.scm 163 */
{ /* Llib/atom.scm 164 */
 obj_t BgL_eltz00_664;
BgL_eltz00_664 = 
CAR(BgL_l1064z00_661); 
if(
PAIRP(BgL_eltz00_664))
{ /* Llib/atom.scm 165 */
 obj_t BgL_casezd2valuezd2_666;
BgL_casezd2valuezd2_666 = 
BGl_dropzd2prefixze70z35zz__web_atomz00(BgL_prefixz00_1391, 
CAR(BgL_eltz00_664)); 
if(
(BgL_casezd2valuezd2_666==
CNST_TABLE_REF(((long)40))))
{ /* Llib/atom.scm 165 */
BgL_hrefz00_654 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CDR(BgL_eltz00_664)); }  else 
{ /* Llib/atom.scm 165 */
if(
(BgL_casezd2valuezd2_666==
CNST_TABLE_REF(((long)42))))
{ /* Llib/atom.scm 169 */
 obj_t BgL_arg1863z00_671;
BgL_arg1863z00_671 = 
CDR(BgL_eltz00_664); 
BgL_relz00_655 = 
bstring_to_symbol(
((obj_t)BgL_arg1863z00_671)); }  else 
{ /* Llib/atom.scm 165 */
if(
(BgL_casezd2valuezd2_666==
CNST_TABLE_REF(((long)37))))
{ /* Llib/atom.scm 165 */
BgL_typez00_656 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CDR(BgL_eltz00_664)); }  else 
{ /* Llib/atom.scm 165 */
if(
(BgL_casezd2valuezd2_666==
CNST_TABLE_REF(((long)43))))
{ /* Llib/atom.scm 165 */
BgL_hreflangz00_657 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CDR(BgL_eltz00_664)); }  else 
{ /* Llib/atom.scm 165 */
if(
(BgL_casezd2valuezd2_666==
CNST_TABLE_REF(((long)13))))
{ /* Llib/atom.scm 165 */
BgL_titlez00_658 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CDR(BgL_eltz00_664)); }  else 
{ /* Llib/atom.scm 165 */
if(
(BgL_casezd2valuezd2_666==
CNST_TABLE_REF(((long)44))))
{ /* Llib/atom.scm 165 */
BgL_lengthz00_659 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CDR(BgL_eltz00_664)); }  else 
{ /* Llib/atom.scm 165 */BUNSPEC; } } } } } } }  else 
{ /* Llib/atom.scm 164 */BFALSE; } } 
{ 
 obj_t BgL_l1064z00_2706;
BgL_l1064z00_2706 = 
CDR(BgL_l1064z00_661); 
BgL_l1064z00_661 = BgL_l1064z00_2706; 
goto BgL_zc3z04anonymousza31857ze3z87_662;} }  else 
{ /* Llib/atom.scm 163 */((bool_t)1); } } 
{ /* Llib/atom.scm 180 */
 obj_t BgL_basez00_683; obj_t BgL_suppz00_684;
{ /* Llib/atom.scm 180 */
 obj_t BgL_arg1875z00_686;
{ /* Llib/atom.scm 180 */
 obj_t BgL_arg1876z00_687; obj_t BgL_arg1877z00_688;
BgL_arg1876z00_687 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)40)), BgL_hrefz00_654); 
{ /* Llib/atom.scm 181 */
 obj_t BgL_arg1878z00_689; obj_t BgL_arg1879z00_690;
BgL_arg1878z00_689 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)37)), BgL_typez00_656); 
{ /* Llib/atom.scm 182 */
 obj_t BgL_arg1880z00_691;
BgL_arg1880z00_691 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)13)), BgL_titlez00_658); 
BgL_arg1879z00_690 = 
MAKE_YOUNG_PAIR(BgL_arg1880z00_691, BNIL); } 
BgL_arg1877z00_688 = 
MAKE_YOUNG_PAIR(BgL_arg1878z00_689, BgL_arg1879z00_690); } 
BgL_arg1875z00_686 = 
MAKE_YOUNG_PAIR(BgL_arg1876z00_687, BgL_arg1877z00_688); } 
BgL_basez00_683 = 
MAKE_YOUNG_PAIR(BgL_relz00_655, BgL_arg1875z00_686); } 
{ /* Llib/atom.scm 183 */
 obj_t BgL_arg1881z00_692; obj_t BgL_arg1882z00_693;
BgL_arg1881z00_692 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)43)), BgL_hreflangz00_657); 
{ /* Llib/atom.scm 184 */
 obj_t BgL_arg1883z00_694;
BgL_arg1883z00_694 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)44)), BgL_lengthz00_659); 
BgL_arg1882z00_693 = 
MAKE_YOUNG_PAIR(BgL_arg1883z00_694, BNIL); } 
BgL_suppz00_684 = 
MAKE_YOUNG_PAIR(BgL_arg1881z00_692, BgL_arg1882z00_693); } 
{ /* Llib/atom.scm 186 */
 obj_t BgL__andtest_1047z00_685;
BgL__andtest_1047z00_685 = BgL_hrefz00_654; 
if(
CBOOL(BgL__andtest_1047z00_685))
{ /* Llib/atom.scm 186 */
if(
CBOOL(
CELL_REF(BgL_v0ze23ze2_1392)))
{ /* Llib/atom.scm 186 */
return BgL_basez00_683;}  else 
{ /* Llib/atom.scm 186 */
return 
BGl_appendzd221010zd2zz__web_atomz00(BgL_basez00_683, BgL_suppz00_684);} }  else 
{ /* Llib/atom.scm 186 */
return BFALSE;} } } } } 

}



/* atom:category~0 */
obj_t BGl_atomza3categoryze70z44zz__web_atomz00(obj_t BgL_prefixz00_1393, obj_t BgL_attrz00_165)
{
{ /* Llib/atom.scm 119 */
{ /* Llib/atom.scm 106 */
 obj_t BgL_termz00_167; obj_t BgL_schemez00_168; obj_t BgL_labelz00_169;
BgL_termz00_167 = BFALSE; 
BgL_schemez00_168 = BFALSE; 
BgL_labelz00_169 = BFALSE; 
{ 
 obj_t BgL_l1060z00_171;
BgL_l1060z00_171 = BgL_attrz00_165; 
BgL_zc3z04anonymousza31217ze3z87_172:
if(
PAIRP(BgL_l1060z00_171))
{ /* Llib/atom.scm 109 */
{ /* Llib/atom.scm 110 */
 obj_t BgL_eltz00_174;
BgL_eltz00_174 = 
CAR(BgL_l1060z00_171); 
if(
PAIRP(BgL_eltz00_174))
{ /* Llib/atom.scm 111 */
 obj_t BgL_casezd2valuezd2_176;
BgL_casezd2valuezd2_176 = 
BGl_dropzd2prefixze70z35zz__web_atomz00(BgL_prefixz00_1393, 
CAR(BgL_eltz00_174)); 
if(
(BgL_casezd2valuezd2_176==
CNST_TABLE_REF(((long)45))))
{ /* Llib/atom.scm 111 */
BgL_termz00_167 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CDR(BgL_eltz00_174)); }  else 
{ /* Llib/atom.scm 111 */
if(
(BgL_casezd2valuezd2_176==
CNST_TABLE_REF(((long)46))))
{ /* Llib/atom.scm 111 */
BgL_schemez00_168 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CDR(BgL_eltz00_174)); }  else 
{ /* Llib/atom.scm 111 */
if(
(BgL_casezd2valuezd2_176==
CNST_TABLE_REF(((long)47))))
{ /* Llib/atom.scm 111 */
BgL_labelz00_169 = 
BGl_cdatazd2decodezd2zz__web_rssz00(
CDR(BgL_eltz00_174)); }  else 
{ /* Llib/atom.scm 111 */BUNSPEC; } } } }  else 
{ /* Llib/atom.scm 110 */BFALSE; } } 
{ 
 obj_t BgL_l1060z00_2751;
BgL_l1060z00_2751 = 
CDR(BgL_l1060z00_171); 
BgL_l1060z00_171 = BgL_l1060z00_2751; 
goto BgL_zc3z04anonymousza31217ze3z87_172;} }  else 
{ /* Llib/atom.scm 109 */((bool_t)1); } } 
{ /* Llib/atom.scm 119 */
 obj_t BgL__ortest_1019z00_187;
BgL__ortest_1019z00_187 = BgL_labelz00_169; 
if(
CBOOL(BgL__ortest_1019z00_187))
{ /* Llib/atom.scm 119 */
return BgL__ortest_1019z00_187;}  else 
{ /* Llib/atom.scm 119 */
 obj_t BgL__ortest_1020z00_188;
BgL__ortest_1020z00_188 = BgL_termz00_167; 
if(
CBOOL(BgL__ortest_1020z00_188))
{ /* Llib/atom.scm 119 */
return BgL__ortest_1020z00_188;}  else 
{ /* Llib/atom.scm 119 */
return BgL_schemez00_168;} } } } } 

}



/* drop-prefix~0 */
obj_t BGl_dropzd2prefixze70z35zz__web_atomz00(obj_t BgL_prefixz00_1394, obj_t BgL_ez00_134)
{
{ /* Llib/atom.scm 88 */
if(
CBOOL(BgL_prefixz00_1394))
{ /* Llib/atom.scm 83 */
 obj_t BgL_sz00_136; long BgL_lz00_137;
{ /* Llib/atom.scm 83 */
 obj_t BgL_arg1457z00_925;
BgL_arg1457z00_925 = 
SYMBOL_TO_STRING(BgL_ez00_134); 
BgL_sz00_136 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1457z00_925); } 
BgL_lz00_137 = 
STRING_LENGTH(
((obj_t)BgL_prefixz00_1394)); 
if(
bigloo_strncmp(BgL_sz00_136, 
((obj_t)BgL_prefixz00_1394), BgL_lz00_137))
{ /* Llib/atom.scm 85 */
return 
bstring_to_symbol(
c_substring(BgL_sz00_136, 
(BgL_lz00_137+((long)1)), 
STRING_LENGTH(BgL_sz00_136)));}  else 
{ /* Llib/atom.scm 85 */
return BgL_ez00_134;} }  else 
{ /* Llib/atom.scm 82 */
return BgL_ez00_134;} } 

}



/* &<@anonymous:1839> */
obj_t BGl_z62zc3z04anonymousza31839ze3ze5zz__web_atomz00(obj_t BgL_envz00_1385)
{
{ /* Llib/atom.scm 128 */
{ /* Llib/atom.scm 128 */
 obj_t BgL_port1021z00_1386;
BgL_port1021z00_1386 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1385, 
(int)(((long)0)))); 
return 
bgl_close_input_port(BgL_port1021z00_1386);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__web_atomz00()
{
{ /* Llib/atom.scm 17 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__web_atomz00()
{
{ /* Llib/atom.scm 17 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__web_atomz00()
{
{ /* Llib/atom.scm 17 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__web_atomz00()
{
{ /* Llib/atom.scm 17 */
BGl_modulezd2initializa7ationz75zz__web_xmlz00(((long)275582174), 
BSTRING_TO_STRING(BGl_string2050z00zz__web_atomz00)); 
BGl_modulezd2initializa7ationz75zz__web_htmlz00(((long)337118967), 
BSTRING_TO_STRING(BGl_string2050z00zz__web_atomz00)); 
return 
BGl_modulezd2initializa7ationz75zz__web_rssz00(((long)326955775), 
BSTRING_TO_STRING(BGl_string2050z00zz__web_atomz00));} 

}

#ifdef __cplusplus
}
#endif
