/*===========================================================================*/
/*   (SawMill/collapse.scm)                                                  */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/collapse.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_collapsedz00_bgl
	{
		obj_t BgL_lastz00;
	}                   *BgL_collapsedz00_bglt;


	static obj_t BGl_z62zc3z04anonymousza31579ze3ze5zzsaw_collapsez00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_collapsez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_genericzd2initzd2zzsaw_collapsez00();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_collapsez00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_collapsez00();
	static obj_t BGl_z62collapsez62zzsaw_collapsez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_collapsez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_substz00zzsaw_libz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_collapsez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00();
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static bool_t BGl_dfsze70ze7zzsaw_collapsez00(BgL_blockz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_collapsez00();
	static obj_t BGl_gczd2rootszd2initz00zzsaw_collapsez00();
	static obj_t BGl_collapsedz00zzsaw_collapsez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_collapsez00zzsaw_collapsez00(BgL_blockz00_bglt);
	static BgL_blockz00_bglt BGl_z62lambda1565z62zzsaw_collapsez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static BgL_blockz00_bglt BGl_z62lambda1571z62zzsaw_collapsez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static BgL_blockz00_bglt BGl_z62lambda1580z62zzsaw_collapsez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1587z62zzsaw_collapsez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1588z62zzsaw_collapsez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_collapsezd2envzd2zzsaw_collapsez00,
		BgL_bgl_za762collapseza762za7za71873z00,
		BGl_z62collapsez62zzsaw_collapsez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1869z00zzsaw_collapsez00,
		BgL_bgl_string1869za700za7za7s1874za7, "saw_collapse", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zzsaw_collapsez00,
		BgL_bgl_za762lambda1588za7621875z00, BGl_z62lambda1588z62zzsaw_collapsez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1870z00zzsaw_collapsez00,
		BgL_bgl_string1870za700za7za7s1876za7, "saw_collapse collapsed obj last ",
		32);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zzsaw_collapsez00,
		BgL_bgl_za762lambda1587za7621877z00, BGl_z62lambda1587z62zzsaw_collapsez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zzsaw_collapsez00,
		BgL_bgl_za762lambda1580za7621878z00, BGl_z62lambda1580z62zzsaw_collapsez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zzsaw_collapsez00,
		BgL_bgl_za762za7c3za704anonymo1879za7,
		BGl_z62zc3z04anonymousza31579ze3ze5zzsaw_collapsez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zzsaw_collapsez00,
		BgL_bgl_za762lambda1571za7621880z00, BGl_z62lambda1571z62zzsaw_collapsez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zzsaw_collapsez00,
		BgL_bgl_za762lambda1565za7621881z00, BGl_z62lambda1565z62zzsaw_collapsez00,
		0L, BUNSPEC, 5);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_collapsez00));
		     ADD_ROOT((void *) (&BGl_collapsedz00zzsaw_collapsez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_collapsez00(long
		BgL_checksumz00_2335, char *BgL_fromz00_2336)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_collapsez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_collapsez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_collapsez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00();
					BGl_cnstzd2initzd2zzsaw_collapsez00();
					BGl_importedzd2moduleszd2initz00zzsaw_collapsez00();
					BGl_objectzd2initzd2zzsaw_collapsez00();
					return BGl_methodzd2initzd2zzsaw_collapsez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00()
	{
		{	/* SawMill/collapse.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_collapse");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_collapse");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_collapsez00()
	{
		{	/* SawMill/collapse.scm 1 */
			{	/* SawMill/collapse.scm 1 */
				obj_t BgL_cportz00_2301;

				{	/* SawMill/collapse.scm 1 */
					obj_t BgL_stringz00_2309;

					BgL_stringz00_2309 = BGl_string1870z00zzsaw_collapsez00;
					{	/* SawMill/collapse.scm 1 */
						obj_t BgL_startz00_2310;

						BgL_startz00_2310 = BINT(((long) 0));
						{	/* SawMill/collapse.scm 1 */
							obj_t BgL_endz00_2311;

							BgL_endz00_2311 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2309)));
							{	/* SawMill/collapse.scm 1 */

								BgL_cportz00_2301 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2309, BgL_startz00_2310, BgL_endz00_2311);
				}}}}
				{
					long BgL_iz00_2302;

					BgL_iz00_2302 = ((long) 3);
				BgL_loopz00_2303:
					if ((BgL_iz00_2302 == ((long) -1)))
						{	/* SawMill/collapse.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/collapse.scm 1 */
							{	/* SawMill/collapse.scm 1 */
								obj_t BgL_arg1872z00_2305;

								{	/* SawMill/collapse.scm 1 */

									{	/* SawMill/collapse.scm 1 */
										obj_t BgL_locationz00_2307;

										BgL_locationz00_2307 = BBOOL(((bool_t) 0));
										{	/* SawMill/collapse.scm 1 */

											BgL_arg1872z00_2305 =
												BGl_readz00zz__readerz00(BgL_cportz00_2301,
												BgL_locationz00_2307);
										}
									}
								}
								{	/* SawMill/collapse.scm 1 */
									int BgL_tmpz00_2363;

									BgL_tmpz00_2363 = (int) (BgL_iz00_2302);
									CNST_TABLE_SET(BgL_tmpz00_2363, BgL_arg1872z00_2305);
							}}
							{	/* SawMill/collapse.scm 1 */
								int BgL_auxz00_2308;

								BgL_auxz00_2308 = (int) ((BgL_iz00_2302 - ((long) 1)));
								{
									long BgL_iz00_2368;

									BgL_iz00_2368 = (long) (BgL_auxz00_2308);
									BgL_iz00_2302 = BgL_iz00_2368;
									goto BgL_loopz00_2303;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_collapsez00()
	{
		{	/* SawMill/collapse.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* collapse */
	BGL_EXPORTED_DEF obj_t BGl_collapsez00zzsaw_collapsez00(BgL_blockz00_bglt
		BgL_bz00_24)
	{
		{	/* SawMill/collapse.scm 14 */
			BGl_dfsze70ze7zzsaw_collapsez00(BgL_bz00_24);
			return BUNSPEC;
		}

	}



/* dfs~0 */
	bool_t BGl_dfsze70ze7zzsaw_collapsez00(BgL_blockz00_bglt BgL_bz00_1809)
	{
		{	/* SawMill/collapse.scm 15 */
			{	/* SawMill/collapse.scm 17 */
				BgL_collapsedz00_bglt BgL_wide1174z00_1814;

				BgL_wide1174z00_1814 =
					((BgL_collapsedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_collapsedz00_bgl))));
				{	/* SawMill/collapse.scm 17 */
					obj_t BgL_auxz00_2376;
					BgL_objectz00_bglt BgL_tmpz00_2373;

					BgL_auxz00_2376 = ((obj_t) BgL_wide1174z00_1814);
					BgL_tmpz00_2373 =
						((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_1809));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2373, BgL_auxz00_2376);
				}
				((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_1809));
				{	/* SawMill/collapse.scm 17 */
					long BgL_arg1418z00_1815;

					BgL_arg1418z00_1815 =
						BGL_CLASS_NUM(BGl_collapsedz00zzsaw_collapsez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt) BgL_bz00_1809)), BgL_arg1418z00_1815);
				}
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_1809));
			}
			{
				BgL_collapsedz00_bglt BgL_auxz00_2387;

				{
					obj_t BgL_auxz00_2388;

					{	/* SawMill/collapse.scm 17 */
						BgL_objectz00_bglt BgL_tmpz00_2389;

						BgL_tmpz00_2389 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_1809));
						BgL_auxz00_2388 = BGL_OBJECT_WIDENING(BgL_tmpz00_2389);
					}
					BgL_auxz00_2387 = ((BgL_collapsedz00_bglt) BgL_auxz00_2388);
				}
				((((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2387))->BgL_lastz00) =
					((obj_t)
						BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(((
									(BgL_blockz00_bglt) COBJECT(BgL_bz00_1809))->BgL_firstz00))),
					BUNSPEC);
			}
			((BgL_blockz00_bglt) BgL_bz00_1809);
			{	/* SawMill/collapse.scm 18 */
				bool_t BgL_test1884z00_2398;

				if (NULLP((((BgL_blockz00_bglt) COBJECT(BgL_bz00_1809))->BgL_predsz00)))
					{	/* SawMill/collapse.scm 18 */
						BgL_test1884z00_2398 = ((bool_t) 0);
					}
				else
					{	/* SawMill/collapse.scm 18 */
						BgL_test1884z00_2398 =
							NULLP(CDR(
								(((BgL_blockz00_bglt) COBJECT(BgL_bz00_1809))->BgL_predsz00)));
					}
				if (BgL_test1884z00_2398)
					{	/* SawMill/collapse.scm 19 */
						obj_t BgL_pz00_1824;

						BgL_pz00_1824 =
							CAR((((BgL_blockz00_bglt) COBJECT(BgL_bz00_1809))->BgL_predsz00));
						{	/* SawMill/collapse.scm 19 */
							obj_t BgL_psz00_1825;

							BgL_psz00_1825 =
								(((BgL_blockz00_bglt) COBJECT(
										((BgL_blockz00_bglt) BgL_pz00_1824)))->BgL_succsz00);
							{	/* SawMill/collapse.scm 19 */

								if (NULLP(CDR(((obj_t) BgL_psz00_1825))))
									{	/* SawMill/collapse.scm 21 */
										{	/* SawMill/collapse.scm 24 */
											obj_t BgL_arg1477z00_1828;
											obj_t BgL_arg1494z00_1829;

											{
												BgL_collapsedz00_bglt BgL_auxz00_2413;

												{
													obj_t BgL_auxz00_2414;

													{	/* SawMill/collapse.scm 24 */
														BgL_objectz00_bglt BgL_tmpz00_2415;

														BgL_tmpz00_2415 =
															((BgL_objectz00_bglt)
															((BgL_blockz00_bglt) BgL_pz00_1824));
														BgL_auxz00_2414 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2415);
													}
													BgL_auxz00_2413 =
														((BgL_collapsedz00_bglt) BgL_auxz00_2414);
												}
												BgL_arg1477z00_1828 =
													(((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2413))->
													BgL_lastz00);
											}
											BgL_arg1494z00_1829 =
												(((BgL_blockz00_bglt) COBJECT(BgL_bz00_1809))->
												BgL_firstz00);
											{	/* SawMill/collapse.scm 24 */
												obj_t BgL_tmpz00_2422;

												BgL_tmpz00_2422 = ((obj_t) BgL_arg1477z00_1828);
												SET_CDR(BgL_tmpz00_2422, BgL_arg1494z00_1829);
											}
										}
										{	/* SawMill/collapse.scm 25 */
											obj_t BgL_arg1496z00_1830;

											{
												BgL_collapsedz00_bglt BgL_auxz00_2425;

												{
													obj_t BgL_auxz00_2426;

													{	/* SawMill/collapse.scm 25 */
														BgL_objectz00_bglt BgL_tmpz00_2427;

														BgL_tmpz00_2427 =
															((BgL_objectz00_bglt)
															((BgL_blockz00_bglt) BgL_bz00_1809));
														BgL_auxz00_2426 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2427);
													}
													BgL_auxz00_2425 =
														((BgL_collapsedz00_bglt) BgL_auxz00_2426);
												}
												BgL_arg1496z00_1830 =
													(((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2425))->
													BgL_lastz00);
											}
											{
												BgL_collapsedz00_bglt BgL_auxz00_2433;

												{
													obj_t BgL_auxz00_2434;

													{	/* SawMill/collapse.scm 25 */
														BgL_objectz00_bglt BgL_tmpz00_2435;

														BgL_tmpz00_2435 =
															((BgL_objectz00_bglt)
															((BgL_blockz00_bglt) BgL_pz00_1824));
														BgL_auxz00_2434 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2435);
													}
													BgL_auxz00_2433 =
														((BgL_collapsedz00_bglt) BgL_auxz00_2434);
												}
												((((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2433))->
														BgL_lastz00) =
													((obj_t) BgL_arg1496z00_1830), BUNSPEC);
											}
										}
										{	/* SawMill/collapse.scm 26 */
											obj_t BgL_arg1497z00_1831;

											BgL_arg1497z00_1831 =
												(((BgL_blockz00_bglt) COBJECT(BgL_bz00_1809))->
												BgL_succsz00);
											((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
																BgL_pz00_1824)))->BgL_succsz00) =
												((obj_t) BgL_arg1497z00_1831), BUNSPEC);
										}
										{	/* SawMill/collapse.scm 27 */
											obj_t BgL_g1382z00_1832;

											BgL_g1382z00_1832 =
												(((BgL_blockz00_bglt) COBJECT(BgL_bz00_1809))->
												BgL_succsz00);
											{
												obj_t BgL_l1380z00_1834;

												BgL_l1380z00_1834 = BgL_g1382z00_1832;
											BgL_zc3z04anonymousza31498ze3z87_1835:
												if (PAIRP(BgL_l1380z00_1834))
													{	/* SawMill/collapse.scm 27 */
														{	/* SawMill/collapse.scm 28 */
															obj_t BgL_sz00_1837;

															BgL_sz00_1837 = CAR(BgL_l1380z00_1834);
															{
																obj_t BgL_auxz00_2448;

																{	/* SawMill/collapse.scm 29 */
																	obj_t BgL_arg1500z00_1839;

																	BgL_arg1500z00_1839 =
																		(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt) BgL_sz00_1837)))->
																		BgL_predsz00);
																	BgL_auxz00_2448 =
																		BGl_substz00zzsaw_libz00
																		(BgL_arg1500z00_1839,
																		((obj_t) BgL_bz00_1809), BgL_pz00_1824);
																}
																((((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt) BgL_sz00_1837)))->
																		BgL_predsz00) =
																	((obj_t) BgL_auxz00_2448), BUNSPEC);
															}
														}
														{
															obj_t BgL_l1380z00_2455;

															BgL_l1380z00_2455 = CDR(BgL_l1380z00_1834);
															BgL_l1380z00_1834 = BgL_l1380z00_2455;
															goto BgL_zc3z04anonymousza31498ze3z87_1835;
														}
													}
												else
													{	/* SawMill/collapse.scm 27 */
														((bool_t) 1);
													}
											}
										}
									}
								else
									{	/* SawMill/collapse.scm 21 */
										((bool_t) 0);
									}
							}
						}
					}
				else
					{	/* SawMill/collapse.scm 18 */
						((bool_t) 0);
					}
			}
			{	/* SawMill/collapse.scm 31 */
				obj_t BgL_g1385z00_1848;

				BgL_g1385z00_1848 =
					(((BgL_blockz00_bglt) COBJECT(BgL_bz00_1809))->BgL_succsz00);
				{
					obj_t BgL_l1383z00_1850;

					BgL_l1383z00_1850 = BgL_g1385z00_1848;
				BgL_zc3z04anonymousza31544ze3z87_1851:
					if (PAIRP(BgL_l1383z00_1850))
						{	/* SawMill/collapse.scm 31 */
							{	/* SawMill/collapse.scm 32 */
								BgL_blockz00_bglt BgL_succz00_1853;

								BgL_succz00_1853 = ((BgL_blockz00_bglt) CAR(BgL_l1383z00_1850));
								{	/* SawMill/collapse.scm 32 */
									bool_t BgL_test1889z00_2462;

									{	/* SawMill/collapse.scm 32 */
										obj_t BgL_classz00_2235;

										BgL_classz00_2235 = BGl_collapsedz00zzsaw_collapsez00;
										{	/* SawMill/collapse.scm 32 */
											obj_t BgL_oclassz00_2237;

											{	/* SawMill/collapse.scm 32 */
												long BgL_arg1833z00_2239;

												{	/* SawMill/collapse.scm 32 */
													long BgL_arg1834z00_2240;

													BgL_arg1834z00_2240 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt) BgL_succz00_1853));
													BgL_arg1833z00_2239 =
														(BgL_arg1834z00_2240 - OBJECT_TYPE);
												}
												BgL_oclassz00_2237 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2239);
											}
											BgL_test1889z00_2462 =
												(BgL_oclassz00_2237 == BgL_classz00_2235);
									}}
									if (BgL_test1889z00_2462)
										{	/* SawMill/collapse.scm 32 */
											((bool_t) 0);
										}
									else
										{	/* SawMill/collapse.scm 32 */
											BGl_dfsze70ze7zzsaw_collapsez00(BgL_succz00_1853);
										}
								}
							}
							{
								obj_t BgL_l1383z00_2469;

								BgL_l1383z00_2469 = CDR(BgL_l1383z00_1850);
								BgL_l1383z00_1850 = BgL_l1383z00_2469;
								goto BgL_zc3z04anonymousza31544ze3z87_1851;
							}
						}
					else
						{	/* SawMill/collapse.scm 31 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* &collapse */
	obj_t BGl_z62collapsez62zzsaw_collapsez00(obj_t BgL_envz00_2276,
		obj_t BgL_bz00_2277)
	{
		{	/* SawMill/collapse.scm 14 */
			return
				BGl_collapsez00zzsaw_collapsez00(((BgL_blockz00_bglt) BgL_bz00_2277));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_collapsez00()
	{
		{	/* SawMill/collapse.scm 1 */
			{	/* SawMill/collapse.scm 8 */
				obj_t BgL_arg1563z00_1862;
				obj_t BgL_arg1564z00_1863;

				{	/* SawMill/collapse.scm 8 */
					obj_t BgL_v1386z00_1889;

					BgL_v1386z00_1889 = create_vector(((long) 1));
					{	/* SawMill/collapse.scm 8 */
						obj_t BgL_arg1584z00_1890;

						BgL_arg1584z00_1890 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc1864z00zzsaw_collapsez00,
							BGl_proc1863z00zzsaw_collapsez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1386z00_1889, ((long) 0), BgL_arg1584z00_1890);
					}
					BgL_arg1563z00_1862 = BgL_v1386z00_1889;
				}
				{	/* SawMill/collapse.scm 8 */
					obj_t BgL_v1387z00_1900;

					BgL_v1387z00_1900 = create_vector(((long) 0));
					BgL_arg1564z00_1863 = BgL_v1387z00_1900;
				}
				return (BGl_collapsedz00zzsaw_collapsez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 2)),
						CNST_TABLE_REF(((long) 3)), BGl_blockz00zzsaw_defsz00,
						((long) 33907), BGl_proc1868z00zzsaw_collapsez00,
						BGl_proc1867z00zzsaw_collapsez00, BFALSE,
						BGl_proc1866z00zzsaw_collapsez00, BGl_proc1865z00zzsaw_collapsez00,
						BgL_arg1563z00_1862, BgL_arg1564z00_1863), BUNSPEC);
		}}

	}



/* &lambda1580 */
	BgL_blockz00_bglt BGl_z62lambda1580z62zzsaw_collapsez00(obj_t BgL_envz00_2284,
		obj_t BgL_o1155z00_2285)
	{
		{	/* SawMill/collapse.scm 8 */
			{	/* SawMill/collapse.scm 8 */
				long BgL_arg1581z00_2314;

				{	/* SawMill/collapse.scm 8 */
					obj_t BgL_arg1582z00_2315;

					{	/* SawMill/collapse.scm 8 */
						obj_t BgL_arg1583z00_2316;

						{	/* SawMill/collapse.scm 8 */
							long BgL_arg1833z00_2317;

							{	/* SawMill/collapse.scm 8 */
								long BgL_arg1834z00_2318;

								BgL_arg1834z00_2318 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1155z00_2285)));
								BgL_arg1833z00_2317 = (BgL_arg1834z00_2318 - OBJECT_TYPE);
							}
							BgL_arg1583z00_2316 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_2317);
						}
						BgL_arg1582z00_2315 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1583z00_2316);
					}
					{	/* SawMill/collapse.scm 8 */
						obj_t BgL_tmpz00_2488;

						BgL_tmpz00_2488 = ((obj_t) BgL_arg1582z00_2315);
						BgL_arg1581z00_2314 = BGL_CLASS_NUM(BgL_tmpz00_2488);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1155z00_2285)), BgL_arg1581z00_2314);
			}
			{	/* SawMill/collapse.scm 8 */
				BgL_objectz00_bglt BgL_tmpz00_2494;

				BgL_tmpz00_2494 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1155z00_2285));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2494, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1155z00_2285));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1155z00_2285));
		}

	}



/* &<@anonymous:1579> */
	obj_t BGl_z62zc3z04anonymousza31579ze3ze5zzsaw_collapsez00(obj_t
		BgL_envz00_2286, obj_t BgL_new1154z00_2287)
	{
		{	/* SawMill/collapse.scm 8 */
			{
				BgL_blockz00_bglt BgL_auxz00_2502;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1154z00_2287))))->BgL_labelz00) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1154z00_2287))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1154z00_2287))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1154z00_2287))))->BgL_firstz00) =
					((obj_t) MAKE_YOUNG_PAIR(BFALSE, BFALSE)), BUNSPEC);
				{
					BgL_collapsedz00_bglt BgL_auxz00_2517;

					{
						obj_t BgL_auxz00_2518;

						{	/* SawMill/collapse.scm 8 */
							BgL_objectz00_bglt BgL_tmpz00_2519;

							BgL_tmpz00_2519 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1154z00_2287));
							BgL_auxz00_2518 = BGL_OBJECT_WIDENING(BgL_tmpz00_2519);
						}
						BgL_auxz00_2517 = ((BgL_collapsedz00_bglt) BgL_auxz00_2518);
					}
					((((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2517))->BgL_lastz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_2502 = ((BgL_blockz00_bglt) BgL_new1154z00_2287);
				return ((obj_t) BgL_auxz00_2502);
			}
		}

	}



/* &lambda1571 */
	BgL_blockz00_bglt BGl_z62lambda1571z62zzsaw_collapsez00(obj_t BgL_envz00_2288,
		obj_t BgL_o1151z00_2289)
	{
		{	/* SawMill/collapse.scm 8 */
			{	/* SawMill/collapse.scm 8 */
				BgL_collapsedz00_bglt BgL_wide1153z00_2321;

				BgL_wide1153z00_2321 =
					((BgL_collapsedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_collapsedz00_bgl))));
				{	/* SawMill/collapse.scm 8 */
					obj_t BgL_auxz00_2532;
					BgL_objectz00_bglt BgL_tmpz00_2528;

					BgL_auxz00_2532 = ((obj_t) BgL_wide1153z00_2321);
					BgL_tmpz00_2528 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1151z00_2289)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2528, BgL_auxz00_2532);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1151z00_2289)));
				{	/* SawMill/collapse.scm 8 */
					long BgL_arg1578z00_2322;

					BgL_arg1578z00_2322 =
						BGL_CLASS_NUM(BGl_collapsedz00zzsaw_collapsez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1151z00_2289))), BgL_arg1578z00_2322);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1151z00_2289)));
			}
		}

	}



/* &lambda1565 */
	BgL_blockz00_bglt BGl_z62lambda1565z62zzsaw_collapsez00(obj_t BgL_envz00_2290,
		obj_t BgL_label1146z00_2291, obj_t BgL_preds1147z00_2292,
		obj_t BgL_succs1148z00_2293, obj_t BgL_first1149z00_2294,
		obj_t BgL_last1150z00_2295)
	{
		{	/* SawMill/collapse.scm 8 */
			{	/* SawMill/collapse.scm 8 */
				int BgL_label1146z00_2323;

				BgL_label1146z00_2323 = CINT(BgL_label1146z00_2291);
				{	/* SawMill/collapse.scm 8 */
					BgL_blockz00_bglt BgL_new1180z00_2327;

					{	/* SawMill/collapse.scm 8 */
						BgL_blockz00_bglt BgL_tmp1178z00_2328;
						BgL_collapsedz00_bglt BgL_wide1179z00_2329;

						{
							BgL_blockz00_bglt BgL_auxz00_2547;

							{	/* SawMill/collapse.scm 8 */
								BgL_blockz00_bglt BgL_new1177z00_2330;

								BgL_new1177z00_2330 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/collapse.scm 8 */
									long BgL_arg1570z00_2331;

									BgL_arg1570z00_2331 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1177z00_2330),
										BgL_arg1570z00_2331);
								}
								{	/* SawMill/collapse.scm 8 */
									BgL_objectz00_bglt BgL_tmpz00_2552;

									BgL_tmpz00_2552 = ((BgL_objectz00_bglt) BgL_new1177z00_2330);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2552, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1177z00_2330);
								BgL_auxz00_2547 = BgL_new1177z00_2330;
							}
							BgL_tmp1178z00_2328 = ((BgL_blockz00_bglt) BgL_auxz00_2547);
						}
						BgL_wide1179z00_2329 =
							((BgL_collapsedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_collapsedz00_bgl))));
						{	/* SawMill/collapse.scm 8 */
							obj_t BgL_auxz00_2560;
							BgL_objectz00_bglt BgL_tmpz00_2558;

							BgL_auxz00_2560 = ((obj_t) BgL_wide1179z00_2329);
							BgL_tmpz00_2558 = ((BgL_objectz00_bglt) BgL_tmp1178z00_2328);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2558, BgL_auxz00_2560);
						}
						((BgL_objectz00_bglt) BgL_tmp1178z00_2328);
						{	/* SawMill/collapse.scm 8 */
							long BgL_arg1567z00_2332;

							BgL_arg1567z00_2332 =
								BGL_CLASS_NUM(BGl_collapsedz00zzsaw_collapsez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1178z00_2328),
								BgL_arg1567z00_2332);
						}
						BgL_new1180z00_2327 = ((BgL_blockz00_bglt) BgL_tmp1178z00_2328);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1180z00_2327)))->BgL_labelz00) =
						((int) BgL_label1146z00_2323), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1180z00_2327)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1147z00_2292)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1180z00_2327)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1148z00_2293)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1180z00_2327)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1149z00_2294)), BUNSPEC);
					{
						BgL_collapsedz00_bglt BgL_auxz00_2579;

						{
							obj_t BgL_auxz00_2580;

							{	/* SawMill/collapse.scm 8 */
								BgL_objectz00_bglt BgL_tmpz00_2581;

								BgL_tmpz00_2581 = ((BgL_objectz00_bglt) BgL_new1180z00_2327);
								BgL_auxz00_2580 = BGL_OBJECT_WIDENING(BgL_tmpz00_2581);
							}
							BgL_auxz00_2579 = ((BgL_collapsedz00_bglt) BgL_auxz00_2580);
						}
						((((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2579))->BgL_lastz00) =
							((obj_t) BgL_last1150z00_2295), BUNSPEC);
					}
					return BgL_new1180z00_2327;
				}
			}
		}

	}



/* &lambda1588 */
	obj_t BGl_z62lambda1588z62zzsaw_collapsez00(obj_t BgL_envz00_2296,
		obj_t BgL_oz00_2297, obj_t BgL_vz00_2298)
	{
		{	/* SawMill/collapse.scm 8 */
			{
				BgL_collapsedz00_bglt BgL_auxz00_2586;

				{
					obj_t BgL_auxz00_2587;

					{	/* SawMill/collapse.scm 8 */
						BgL_objectz00_bglt BgL_tmpz00_2588;

						BgL_tmpz00_2588 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2297));
						BgL_auxz00_2587 = BGL_OBJECT_WIDENING(BgL_tmpz00_2588);
					}
					BgL_auxz00_2586 = ((BgL_collapsedz00_bglt) BgL_auxz00_2587);
				}
				return
					((((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2586))->BgL_lastz00) =
					((obj_t) BgL_vz00_2298), BUNSPEC);
			}
		}

	}



/* &lambda1587 */
	obj_t BGl_z62lambda1587z62zzsaw_collapsez00(obj_t BgL_envz00_2299,
		obj_t BgL_oz00_2300)
	{
		{	/* SawMill/collapse.scm 8 */
			{
				BgL_collapsedz00_bglt BgL_auxz00_2594;

				{
					obj_t BgL_auxz00_2595;

					{	/* SawMill/collapse.scm 8 */
						BgL_objectz00_bglt BgL_tmpz00_2596;

						BgL_tmpz00_2596 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2300));
						BgL_auxz00_2595 = BGL_OBJECT_WIDENING(BgL_tmpz00_2596);
					}
					BgL_auxz00_2594 = ((BgL_collapsedz00_bglt) BgL_auxz00_2595);
				}
				return
					(((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2594))->BgL_lastz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_collapsez00()
	{
		{	/* SawMill/collapse.scm 1 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_collapsez00()
	{
		{	/* SawMill/collapse.scm 1 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_collapsez00()
	{
		{	/* SawMill/collapse.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1869z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1869z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1869z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string1869z00zzsaw_collapsez00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string1869z00zzsaw_collapsez00));
		}

	}

#ifdef __cplusplus
}
#endif
