/*===========================================================================*/
/*   (Rgc/rgcset.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Rgc/rgcset.scm -o objs/obj_p/Rgc/rgcset.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_z62rgcsetzd2andz12za2zz__rgc_setz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__rgc_setz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(obj_t, obj_t);
static obj_t BGl_z62forzd2eachzd2rgcsetz62zz__rgc_setz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62rgcsetzd2butz12za2zz__rgc_setz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2notz12zc0zz__rgc_setz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31274ze3ze5zz__rgc_setz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgc_setz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62rgcsetzd2lengthzb0zz__rgc_setz00(obj_t, obj_t);
static obj_t BGl_z62rgcsetzd2ze3listz53zz__rgc_setz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2addz12zc0zz__rgc_setz00(obj_t, long);
static obj_t BGl_toplevelzd2initzd2zz__rgc_setz00();
BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2removez12zc0zz__rgc_setz00(obj_t, long);
extern obj_t create_struct(obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2ze3listz31zz__rgc_setz00(obj_t);
static obj_t BGl_z62rgcsetzd2memberzf3z43zz__rgc_setz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__rgc_setz00();
static long BGl_bitzd2perzd2wordz00zz__rgc_setz00;
static obj_t BGl_genericzd2initzd2zz__rgc_setz00();
BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2notzd2zz__rgc_setz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_setz00();
static obj_t BGl_gczd2rootszd2initz00zz__rgc_setz00();
static obj_t BGl_objectzd2initzd2zz__rgc_setz00();
static obj_t BGl_z62rgcsetzd2ze3hashz53zz__rgc_setz00(obj_t, obj_t);
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_rgcsetzd2wordszd2zz__rgc_setz00(obj_t, long);
extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62makezd2rgcsetzb0zz__rgc_setz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2andz12zc0zz__rgc_setz00(obj_t, obj_t);
static obj_t BGl_z62rgcsetzd2notzb0zz__rgc_setz00(obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_rgcsetzd2ze3hashz31zz__rgc_setz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2orz12zc0zz__rgc_setz00(obj_t, obj_t);
static obj_t BGl_z62rgcsetzd2orzb0zz__rgc_setz00(obj_t, obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62listzd2ze3rgcsetz53zz__rgc_setz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2butz12zc0zz__rgc_setz00(obj_t, obj_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_z62rgcsetzd2notz12za2zz__rgc_setz00(obj_t, obj_t);
static long BGl_rgcsetzd2wordszd2lenz00zz__rgc_setz00(obj_t);
static obj_t BGl_z62rgcsetzd2orz12za2zz__rgc_setz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__rgc_setz00();
BGL_EXPORTED_DECL bool_t BGl_rgcsetzd2memberzf3z21zz__rgc_setz00(obj_t, long);
BGL_EXPORTED_DECL bool_t BGl_rgcsetzd2equalzf3z21zz__rgc_setz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_listzd2ze3rgcsetz31zz__rgc_setz00(obj_t, long);
static obj_t BGl_profzd2initzd2zz__rgc_setz00();
static obj_t BGl_rgcsetzd2wordszd2setz12z12zz__rgc_setz00(obj_t, long, obj_t);
static obj_t BGl_z62rgcsetzd2addz12za2zz__rgc_setz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol1718z00zz__rgc_setz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2orzd2zz__rgc_setz00(obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_rgcsetzd2lengthzd2zz__rgc_setz00(obj_t);
static obj_t BGl_z62rgcsetzd2removez12za2zz__rgc_setz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62rgcsetzd2equalzf3z43zz__rgc_setz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2rgcsetzd2zz__rgc_setz00(long);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgcsetzd2ze3listzd2envze3zz__rgc_setz00, BgL_bgl_za762rgcsetza7d2za7e3l1730za7, BGl_z62rgcsetzd2ze3listz53zz__rgc_setz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgcsetzd2orzd2envz00zz__rgc_setz00, BgL_bgl_za762rgcsetza7d2orza7b1731za7, BGl_z62rgcsetzd2orzb0zz__rgc_setz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgcsetzd2ze3hashzd2envze3zz__rgc_setz00, BgL_bgl_za762rgcsetza7d2za7e3h1732za7, BGl_z62rgcsetzd2ze3hashz53zz__rgc_setz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgcsetzd2orz12zd2envz12zz__rgc_setz00, BgL_bgl_za762rgcsetza7d2orza711733za7, BGl_z62rgcsetzd2orz12za2zz__rgc_setz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgcsetzd2removez12zd2envz12zz__rgc_setz00, BgL_bgl_za762rgcsetza7d2remo1734z00, BGl_z62rgcsetzd2removez12za2zz__rgc_setz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_listzd2ze3rgcsetzd2envze3zz__rgc_setz00, BgL_bgl_za762listza7d2za7e3rgc1735za7, BGl_z62listzd2ze3rgcsetz53zz__rgc_setz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1719z00zz__rgc_setz00, BgL_bgl_string1719za700za7za7_1736za7, "__rgcset", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_forzd2eachzd2rgcsetzd2envzd2zz__rgc_setz00, BgL_bgl_za762forza7d2eachza7d21737za7, BGl_z62forzd2eachzd2rgcsetz62zz__rgc_setz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1720z00zz__rgc_setz00, BgL_bgl_string1720za700za7za7_1738za7, "/builddir/build/BUILD/bigloo-4.4c-4/runtime/Rgc/rgcset.scm", 58 );
DEFINE_STRING( BGl_string1721z00zz__rgc_setz00, BgL_bgl_string1721za700za7za7_1739za7, "&make-rgcset", 12 );
DEFINE_STRING( BGl_string1722z00zz__rgc_setz00, BgL_bgl_string1722za700za7za7_1740za7, "bint", 4 );
DEFINE_STRING( BGl_string1723z00zz__rgc_setz00, BgL_bgl_string1723za700za7za7_1741za7, "&rgcset-add!", 12 );
DEFINE_STRING( BGl_string1724z00zz__rgc_setz00, BgL_bgl_string1724za700za7za7_1742za7, "&rgcset-member?", 15 );
DEFINE_STRING( BGl_string1725z00zz__rgc_setz00, BgL_bgl_string1725za700za7za7_1743za7, "&list->rgcset", 13 );
DEFINE_STRING( BGl_string1726z00zz__rgc_setz00, BgL_bgl_string1726za700za7za7_1744za7, "&for-each-rgcset", 16 );
DEFINE_STRING( BGl_string1727z00zz__rgc_setz00, BgL_bgl_string1727za700za7za7_1745za7, "procedure", 9 );
DEFINE_STRING( BGl_string1728z00zz__rgc_setz00, BgL_bgl_string1728za700za7za7_1746za7, "&rgcset-remove!", 15 );
DEFINE_STRING( BGl_string1729z00zz__rgc_setz00, BgL_bgl_string1729za700za7za7_1747za7, "__rgc_set", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgcsetzd2lengthzd2envz00zz__rgc_setz00, BgL_bgl_za762rgcsetza7d2leng1748z00, BGl_z62rgcsetzd2lengthzb0zz__rgc_setz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgcsetzd2equalzf3zd2envzf3zz__rgc_setz00, BgL_bgl_za762rgcsetza7d2equa1749z00, BGl_z62rgcsetzd2equalzf3z43zz__rgc_setz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgcsetzd2memberzf3zd2envzf3zz__rgc_setz00, BgL_bgl_za762rgcsetza7d2memb1750z00, BGl_z62rgcsetzd2memberzf3z43zz__rgc_setz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2rgcsetzd2envz00zz__rgc_setz00, BgL_bgl_za762makeza7d2rgcset1751z00, BGl_z62makezd2rgcsetzb0zz__rgc_setz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgcsetzd2andz12zd2envz12zz__rgc_setz00, BgL_bgl_za762rgcsetza7d2andza71752za7, BGl_z62rgcsetzd2andz12za2zz__rgc_setz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgcsetzd2butz12zd2envz12zz__rgc_setz00, BgL_bgl_za762rgcsetza7d2butza71753za7, BGl_z62rgcsetzd2butz12za2zz__rgc_setz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgcsetzd2notzd2envz00zz__rgc_setz00, BgL_bgl_za762rgcsetza7d2notza71754za7, BGl_z62rgcsetzd2notzb0zz__rgc_setz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgcsetzd2notz12zd2envz12zz__rgc_setz00, BgL_bgl_za762rgcsetza7d2notza71755za7, BGl_z62rgcsetzd2notz12za2zz__rgc_setz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rgcsetzd2addz12zd2envz12zz__rgc_setz00, BgL_bgl_za762rgcsetza7d2addza71756za7, BGl_z62rgcsetzd2addz12za2zz__rgc_setz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__rgc_setz00) );
ADD_ROOT( (void *)(&BGl_symbol1718z00zz__rgc_setz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Rgc/rgcset.scm\" 963) \"BGl_toplevelzd2initzd2zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-rgcset\" \"Rgc/rgcset.scm\" 3216) \"BGl_makezd2rgcsetzd2zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&make-rgcset\" \"Rgc/rgcset.scm\" 3216) \"BGl_z62makezd2rgcsetzb0zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgcset-words-set!\" \"Rgc/rgcset.scm\" 3532) \"BGl_rgcsetzd2wordszd2setz12z12zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgcset-words\" \"Rgc/rgcset.scm\" 3858) \"BGl_rgcsetzd2wordszd2zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgcset-words-len\" \"Rgc/rgcset.scm\" 4166) \"BGl_rgcsetzd2wordszd2lenz00zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgcset-add!\" \"Rgc/rgcset.scm\" 4467) \"BGl_rgcsetzd2addz12zc0zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgcset-add!\" \"Rgc/rgcset.scm\" 4467) \"BGl_z62rgcsetzd2addz12za2zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgcset-member?\" \"Rgc/rgcset.scm\" 4950) \"BGl_rgcsetzd2memberzf3z21zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgcset-member?\" \"Rgc/rgcset.scm\" 4950) \"BGl_z62rgcsetzd2memberzf3z43zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"list->rgcset\" \"Rgc/rgcset.scm\" 5420) \"BGl_listzd2ze3rgcsetz31zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&list->rgcset\" \"Rgc/rgcset.scm\" 5420) \"BGl_z62listzd2ze3rgcsetz53zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgcset->list\" \"Rgc/rgcset.scm\" 5784) \"BGl_rgcsetzd2ze3listz31zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgcset->list\" \"Rgc/rgcset.scm\" 5784) \"BGl_z62rgcsetzd2ze3listz53zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"for-each-rgcset\" \"Rgc/rgcset.scm\" 6568) \"BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&for-each-rgcset\" \"Rgc/rgcset.scm\" 6568) \"BGl_z62forzd2eachzd2rgcsetz62zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgcset-length\" \"Rgc/rgcset.scm\" 7482) \"BGl_rgcsetzd2lengthzd2zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgcset-length\" \"Rgc/rgcset.scm\" 7482) \"BGl_z62rgcsetzd2lengthzb0zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1274>\" \"Rgc/rgcset.scm\" 7551) \"BGl_z62zc3z04anonymousza31274ze3ze5zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgcset-not!\" \"Rgc/rgcset.scm\" 7827) \"BGl_rgcsetzd2notz12zc0zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgcset-not!\" \"Rgc/rgcset.scm\" 7827) \"BGl_z62rgcsetzd2notz12za2zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgcset-not\" \"Rgc/rgcset.scm\" 8325) \"BGl_rgcsetzd2notzd2zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgcset-not\" \"Rgc/rgcset.scm\" 8325) \"BGl_z62rgcsetzd2notzb0zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgcset-and!\" \"Rgc/rgcset.scm\" 8873) \"BGl_rgcsetzd2andz12zc0zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgcset-and!\" \"Rgc/rgcset.scm\" 8873) \"BGl_z62rgcsetzd2andz12za2zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgcset-or!\" \"Rgc/rgcset.scm\" 9477) \"BGl_rgcsetzd2orz12zc0zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgcset-or!\" \"Rgc/rgcset.scm\" 9477) \"BGl_z62rgcsetzd2orz12za2zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgcset-or\" \"Rgc/rgcset.scm\" 10135) \"BGl_rgcsetzd2orzd2zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgcset-or\" \"Rgc/rgcset.scm\" 10135) \"BGl_z62rgcsetzd2orzb0zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgcset-but!\" \"Rgc/rgcset.scm\" 10847) \"BGl_rgcsetzd2butz12zc0zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgcset-but!\" \"Rgc/rgcset.scm\" 10847) \"BGl_z62rgcsetzd2butz12za2zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgcset-equal?\" \"Rgc/rgcset.scm\" 11432) \"BGl_rgcsetzd2equalzf3z21zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgcset-equal?\" \"Rgc/rgcset.scm\" 11432) \"BGl_z62rgcsetzd2equalzf3z43zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgcset->hash\" \"Rgc/rgcset.scm\" 12026) \"BGl_rgcsetzd2ze3hashz31zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgcset->hash\" \"Rgc/rgcset.scm\" 12026) \"BGl_z62rgcsetzd2ze3hashz53zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rgcset-remove!\" \"Rgc/rgcset.scm\" 12592) \"BGl_rgcsetzd2removez12zc0zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&rgcset-remove!\" \"Rgc/rgcset.scm\" 12592) \"BGl_z62rgcsetzd2removez12za2zz__rgc_setz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_setz00(long BgL_checksumz00_2297, char * BgL_fromz00_2298)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_setz00))
{ 
BGl_requirezd2initializa7ationz75zz__rgc_setz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__rgc_setz00(); 
BGl_cnstzd2initzd2zz__rgc_setz00(); 
BGl_importedzd2moduleszd2initz00zz__rgc_setz00(); 
BGl_toplevelzd2initzd2zz__rgc_setz00(); 
return 
BGl_profzd2initzd2zz__rgc_setz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__rgc_setz00()
{
{ /* Rgc/rgcset.scm 15 */
return ( 
BGl_symbol1718z00zz__rgc_setz00 = 
bstring_to_symbol(BGl_string1719z00zz__rgc_setz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__rgc_setz00()
{
{ /* Rgc/rgcset.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__rgc_setz00()
{
{ /* Rgc/rgcset.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__rgc_setz00()
{
{ /* Rgc/rgcset.scm 15 */
BGl_bitzd2perzd2wordz00zz__rgc_setz00 = 
(BGL_INT_BIT_SIZE-((long)1)); 
return BUNSPEC;} 

}



/* make-rgcset */
BGL_EXPORTED_DEF obj_t BGl_makezd2rgcsetzd2zz__rgc_setz00(long BgL_siza7eza7_13)
{
{ /* Rgc/rgcset.scm 84 */
{ /* Rgc/rgcset.scm 85 */
 obj_t BgL_arg1211z00_1216;
{ /* Rgc/rgcset.scm 85 */
 long BgL_arg1213z00_1217;
{ /* Rgc/rgcset.scm 85 */
 obj_t BgL_tmpz00_2311;
{ /* Rgc/rgcset.scm 85 */
 obj_t BgL_auxz00_2312;
{ /* Rgc/rgcset.scm 85 */
 long BgL_za72za7_1846;
BgL_za72za7_1846 = BGl_bitzd2perzd2wordz00zz__rgc_setz00; 
BgL_auxz00_2312 = 
BINT(
(BgL_siza7eza7_13/BgL_za72za7_1846)); } 
BgL_tmpz00_2311 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(((long)1)), BgL_auxz00_2312); } 
BgL_arg1213z00_1217 = 
(long)CINT(BgL_tmpz00_2311); } 
BgL_arg1211z00_1216 = 
make_vector(BgL_arg1213z00_1217, 
BINT(((long)0))); } 
{ /* Rgc/rgcset.scm 79 */
 obj_t BgL_newz00_1847;
BgL_newz00_1847 = 
create_struct(BGl_symbol1718z00zz__rgc_setz00, 
(int)(((long)2))); 
{ /* Rgc/rgcset.scm 79 */
 int BgL_tmpz00_2322;
BgL_tmpz00_2322 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1847, BgL_tmpz00_2322, BgL_arg1211z00_1216); } 
{ /* Rgc/rgcset.scm 79 */
 obj_t BgL_auxz00_2327; int BgL_tmpz00_2325;
BgL_auxz00_2327 = 
BINT(BgL_siza7eza7_13); 
BgL_tmpz00_2325 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1847, BgL_tmpz00_2325, BgL_auxz00_2327); } 
return BgL_newz00_1847;} } } 

}



/* &make-rgcset */
obj_t BGl_z62makezd2rgcsetzb0zz__rgc_setz00(obj_t BgL_envz00_2233, obj_t BgL_siza7eza7_2234)
{
{ /* Rgc/rgcset.scm 84 */
{ /* Rgc/rgcset.scm 85 */
 long BgL_auxz00_2330;
{ /* Rgc/rgcset.scm 85 */
 obj_t BgL_tmpz00_2331;
if(
INTEGERP(BgL_siza7eza7_2234))
{ /* Rgc/rgcset.scm 85 */
BgL_tmpz00_2331 = BgL_siza7eza7_2234
; }  else 
{ 
 obj_t BgL_auxz00_2334;
BgL_auxz00_2334 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1720z00zz__rgc_setz00, 
BINT(((long)3279)), BGl_string1721z00zz__rgc_setz00, BGl_string1722z00zz__rgc_setz00, BgL_siza7eza7_2234); 
FAILURE(BgL_auxz00_2334,BFALSE,BFALSE);} 
BgL_auxz00_2330 = 
(long)CINT(BgL_tmpz00_2331); } 
return 
BGl_makezd2rgcsetzd2zz__rgc_setz00(BgL_auxz00_2330);} } 

}



/* rgcset-words-set! */
obj_t BGl_rgcsetzd2wordszd2setz12z12zz__rgc_setz00(obj_t BgL_rgcsetz00_14, long BgL_offsetz00_15, obj_t BgL_valuez00_16)
{
{ /* Rgc/rgcset.scm 90 */
{ /* Rgc/rgcset.scm 91 */
 obj_t BgL_arg1215z00_1219;
BgL_arg1215z00_1219 = 
STRUCT_REF(
((obj_t)BgL_rgcsetz00_14), 
(int)(((long)1))); 
return 
VECTOR_SET(
((obj_t)BgL_arg1215z00_1219),BgL_offsetz00_15,BgL_valuez00_16);} } 

}



/* rgcset-words */
obj_t BGl_rgcsetzd2wordszd2zz__rgc_setz00(obj_t BgL_rgcsetz00_17, long BgL_offsetz00_18)
{
{ /* Rgc/rgcset.scm 96 */
{ /* Rgc/rgcset.scm 97 */
 obj_t BgL_arg1218z00_1220;
BgL_arg1218z00_1220 = 
STRUCT_REF(
((obj_t)BgL_rgcsetz00_17), 
(int)(((long)1))); 
return 
VECTOR_REF(
((obj_t)BgL_arg1218z00_1220),BgL_offsetz00_18);} } 

}



/* rgcset-words-len */
long BGl_rgcsetzd2wordszd2lenz00zz__rgc_setz00(obj_t BgL_rgcsetz00_19)
{
{ /* Rgc/rgcset.scm 102 */
{ /* Rgc/rgcset.scm 103 */
 obj_t BgL_arg1219z00_1221;
BgL_arg1219z00_1221 = 
STRUCT_REF(
((obj_t)BgL_rgcsetz00_19), 
(int)(((long)1))); 
return 
VECTOR_LENGTH(
((obj_t)BgL_arg1219z00_1221));} } 

}



/* rgcset-add! */
BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2addz12zc0zz__rgc_setz00(obj_t BgL_rgcsetz00_20, long BgL_numz00_21)
{
{ /* Rgc/rgcset.scm 108 */
{ /* Rgc/rgcset.scm 109 */
 long BgL_wordzd2numzd2_1222;
BgL_wordzd2numzd2_1222 = 
(BgL_numz00_21/BGl_bitzd2perzd2wordz00zz__rgc_setz00); 
{ /* Rgc/rgcset.scm 109 */
 long BgL_wordzd2bitzd2_1223;
{ /* Rgc/rgcset.scm 110 */
 long BgL_n1z00_1860; long BgL_n2z00_1861;
BgL_n1z00_1860 = BgL_numz00_21; 
BgL_n2z00_1861 = BGl_bitzd2perzd2wordz00zz__rgc_setz00; 
{ /* Rgc/rgcset.scm 110 */
 bool_t BgL_test1759z00_2356;
{ /* Rgc/rgcset.scm 110 */
 long BgL_arg1541z00_1863;
BgL_arg1541z00_1863 = 
(((BgL_n1z00_1860) | (BgL_n2z00_1861)) & -2147483648); 
BgL_test1759z00_2356 = 
(BgL_arg1541z00_1863==((long)0)); } 
if(BgL_test1759z00_2356)
{ /* Rgc/rgcset.scm 110 */
 int32_t BgL_arg1538z00_1864;
{ /* Rgc/rgcset.scm 110 */
 int32_t BgL_arg1539z00_1865; int32_t BgL_arg1540z00_1866;
BgL_arg1539z00_1865 = 
(int32_t)(BgL_n1z00_1860); 
BgL_arg1540z00_1866 = 
(int32_t)(BgL_n2z00_1861); 
BgL_arg1538z00_1864 = 
(BgL_arg1539z00_1865%BgL_arg1540z00_1866); } 
{ /* Rgc/rgcset.scm 110 */
 long BgL_arg1650z00_1871;
BgL_arg1650z00_1871 = 
(long)(BgL_arg1538z00_1864); 
BgL_wordzd2bitzd2_1223 = 
(long)(BgL_arg1650z00_1871); } }  else 
{ /* Rgc/rgcset.scm 110 */
BgL_wordzd2bitzd2_1223 = 
(BgL_n1z00_1860%BgL_n2z00_1861); } } } 
{ /* Rgc/rgcset.scm 110 */
 obj_t BgL_oldz00_1224;
BgL_oldz00_1224 = 
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_rgcsetz00_20, BgL_wordzd2numzd2_1222); 
{ /* Rgc/rgcset.scm 111 */

{ /* Rgc/rgcset.scm 114 */
 long BgL_arg1221z00_1225;
BgL_arg1221z00_1225 = 
(
(long)CINT(BgL_oldz00_1224) | 
(((long)1) << 
(int)(BgL_wordzd2bitzd2_1223))); 
return 
BGl_rgcsetzd2wordszd2setz12z12zz__rgc_setz00(BgL_rgcsetz00_20, BgL_wordzd2numzd2_1222, 
BINT(BgL_arg1221z00_1225));} } } } } } 

}



/* &rgcset-add! */
obj_t BGl_z62rgcsetzd2addz12za2zz__rgc_setz00(obj_t BgL_envz00_2235, obj_t BgL_rgcsetz00_2236, obj_t BgL_numz00_2237)
{
{ /* Rgc/rgcset.scm 108 */
{ /* Rgc/rgcset.scm 109 */
 long BgL_auxz00_2372;
{ /* Rgc/rgcset.scm 109 */
 obj_t BgL_tmpz00_2373;
if(
INTEGERP(BgL_numz00_2237))
{ /* Rgc/rgcset.scm 109 */
BgL_tmpz00_2373 = BgL_numz00_2237
; }  else 
{ 
 obj_t BgL_auxz00_2376;
BgL_auxz00_2376 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1720z00zz__rgc_setz00, 
BINT(((long)4509)), BGl_string1723z00zz__rgc_setz00, BGl_string1722z00zz__rgc_setz00, BgL_numz00_2237); 
FAILURE(BgL_auxz00_2376,BFALSE,BFALSE);} 
BgL_auxz00_2372 = 
(long)CINT(BgL_tmpz00_2373); } 
return 
BGl_rgcsetzd2addz12zc0zz__rgc_setz00(BgL_rgcsetz00_2236, BgL_auxz00_2372);} } 

}



/* rgcset-member? */
BGL_EXPORTED_DEF bool_t BGl_rgcsetzd2memberzf3z21zz__rgc_setz00(obj_t BgL_setz00_22, long BgL_numz00_23)
{
{ /* Rgc/rgcset.scm 119 */
{ /* Rgc/rgcset.scm 120 */
 long BgL_wordzd2numzd2_1227;
BgL_wordzd2numzd2_1227 = 
(BgL_numz00_23/BGl_bitzd2perzd2wordz00zz__rgc_setz00); 
{ /* Rgc/rgcset.scm 120 */
 long BgL_wordzd2bitzd2_1228;
{ /* Rgc/rgcset.scm 121 */
 long BgL_n1z00_1878; long BgL_n2z00_1879;
BgL_n1z00_1878 = BgL_numz00_23; 
BgL_n2z00_1879 = BGl_bitzd2perzd2wordz00zz__rgc_setz00; 
{ /* Rgc/rgcset.scm 121 */
 bool_t BgL_test1761z00_2383;
{ /* Rgc/rgcset.scm 121 */
 long BgL_arg1541z00_1881;
BgL_arg1541z00_1881 = 
(((BgL_n1z00_1878) | (BgL_n2z00_1879)) & -2147483648); 
BgL_test1761z00_2383 = 
(BgL_arg1541z00_1881==((long)0)); } 
if(BgL_test1761z00_2383)
{ /* Rgc/rgcset.scm 121 */
 int32_t BgL_arg1538z00_1882;
{ /* Rgc/rgcset.scm 121 */
 int32_t BgL_arg1539z00_1883; int32_t BgL_arg1540z00_1884;
BgL_arg1539z00_1883 = 
(int32_t)(BgL_n1z00_1878); 
BgL_arg1540z00_1884 = 
(int32_t)(BgL_n2z00_1879); 
BgL_arg1538z00_1882 = 
(BgL_arg1539z00_1883%BgL_arg1540z00_1884); } 
{ /* Rgc/rgcset.scm 121 */
 long BgL_arg1650z00_1889;
BgL_arg1650z00_1889 = 
(long)(BgL_arg1538z00_1882); 
BgL_wordzd2bitzd2_1228 = 
(long)(BgL_arg1650z00_1889); } }  else 
{ /* Rgc/rgcset.scm 121 */
BgL_wordzd2bitzd2_1228 = 
(BgL_n1z00_1878%BgL_n2z00_1879); } } } 
{ /* Rgc/rgcset.scm 122 */
 long BgL_maskz00_1230;
BgL_maskz00_1230 = 
(((long)1) << 
(int)(BgL_wordzd2bitzd2_1228)); 
{ /* Rgc/rgcset.scm 123 */

return 
(BgL_maskz00_1230==
(
(long)CINT(
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_setz00_22, BgL_wordzd2numzd2_1227)) & BgL_maskz00_1230));} } } } } 

}



/* &rgcset-member? */
obj_t BGl_z62rgcsetzd2memberzf3z43zz__rgc_setz00(obj_t BgL_envz00_2238, obj_t BgL_setz00_2239, obj_t BgL_numz00_2240)
{
{ /* Rgc/rgcset.scm 119 */
{ /* Rgc/rgcset.scm 120 */
 bool_t BgL_tmpz00_2398;
{ /* Rgc/rgcset.scm 120 */
 long BgL_auxz00_2399;
{ /* Rgc/rgcset.scm 120 */
 obj_t BgL_tmpz00_2400;
if(
INTEGERP(BgL_numz00_2240))
{ /* Rgc/rgcset.scm 120 */
BgL_tmpz00_2400 = BgL_numz00_2240
; }  else 
{ 
 obj_t BgL_auxz00_2403;
BgL_auxz00_2403 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1720z00zz__rgc_setz00, 
BINT(((long)4992)), BGl_string1724z00zz__rgc_setz00, BGl_string1722z00zz__rgc_setz00, BgL_numz00_2240); 
FAILURE(BgL_auxz00_2403,BFALSE,BFALSE);} 
BgL_auxz00_2399 = 
(long)CINT(BgL_tmpz00_2400); } 
BgL_tmpz00_2398 = 
BGl_rgcsetzd2memberzf3z21zz__rgc_setz00(BgL_setz00_2239, BgL_auxz00_2399); } 
return 
BBOOL(BgL_tmpz00_2398);} } 

}



/* list->rgcset */
BGL_EXPORTED_DEF obj_t BGl_listzd2ze3rgcsetz31zz__rgc_setz00(obj_t BgL_lstz00_24, long BgL_maxz00_25)
{
{ /* Rgc/rgcset.scm 129 */
{ /* Rgc/rgcset.scm 130 */
 obj_t BgL_setz00_1232;
BgL_setz00_1232 = 
BGl_makezd2rgcsetzd2zz__rgc_setz00(BgL_maxz00_25); 
{ 
 obj_t BgL_l1090z00_1234;
BgL_l1090z00_1234 = BgL_lstz00_24; 
BgL_zc3z04anonymousza31226ze3z87_1235:
if(
PAIRP(BgL_l1090z00_1234))
{ /* Rgc/rgcset.scm 131 */
{ /* Rgc/rgcset.scm 131 */
 obj_t BgL_itemz00_1237;
BgL_itemz00_1237 = 
CAR(BgL_l1090z00_1234); 
BGl_rgcsetzd2addz12zc0zz__rgc_setz00(BgL_setz00_1232, 
(long)CINT(BgL_itemz00_1237)); } 
{ 
 obj_t BgL_l1090z00_2416;
BgL_l1090z00_2416 = 
CDR(BgL_l1090z00_1234); 
BgL_l1090z00_1234 = BgL_l1090z00_2416; 
goto BgL_zc3z04anonymousza31226ze3z87_1235;} }  else 
{ /* Rgc/rgcset.scm 131 */((bool_t)1); } } 
return BgL_setz00_1232;} } 

}



/* &list->rgcset */
obj_t BGl_z62listzd2ze3rgcsetz53zz__rgc_setz00(obj_t BgL_envz00_2241, obj_t BgL_lstz00_2242, obj_t BgL_maxz00_2243)
{
{ /* Rgc/rgcset.scm 129 */
{ /* Rgc/rgcset.scm 130 */
 long BgL_auxz00_2418;
{ /* Rgc/rgcset.scm 130 */
 obj_t BgL_tmpz00_2419;
if(
INTEGERP(BgL_maxz00_2243))
{ /* Rgc/rgcset.scm 130 */
BgL_tmpz00_2419 = BgL_maxz00_2243
; }  else 
{ 
 obj_t BgL_auxz00_2422;
BgL_auxz00_2422 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1720z00zz__rgc_setz00, 
BINT(((long)5454)), BGl_string1725z00zz__rgc_setz00, BGl_string1722z00zz__rgc_setz00, BgL_maxz00_2243); 
FAILURE(BgL_auxz00_2422,BFALSE,BFALSE);} 
BgL_auxz00_2418 = 
(long)CINT(BgL_tmpz00_2419); } 
return 
BGl_listzd2ze3rgcsetz31zz__rgc_setz00(BgL_lstz00_2242, BgL_auxz00_2418);} } 

}



/* rgcset->list */
BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2ze3listz31zz__rgc_setz00(obj_t BgL_setz00_26)
{
{ /* Rgc/rgcset.scm 137 */
{ /* Rgc/rgcset.scm 138 */
 obj_t BgL_maxz00_1240; long BgL_maxmaskz00_1241;
BgL_maxz00_1240 = 
STRUCT_REF(
((obj_t)BgL_setz00_26), 
(int)(((long)0))); 
{ /* Rgc/rgcset.scm 139 */
 long BgL_yz00_1899;
BgL_yz00_1899 = BGl_bitzd2perzd2wordz00zz__rgc_setz00; 
BgL_maxmaskz00_1241 = 
(((long)1) << 
(int)(BgL_yz00_1899)); } 
{ /* Rgc/rgcset.scm 140 */
 obj_t BgL_g1038z00_1242;
BgL_g1038z00_1242 = 
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_setz00_26, ((long)0)); 
{ 
 long BgL_iz00_1245; long BgL_wordzd2numzd2_1246; obj_t BgL_wordz00_1247; long BgL_maskz00_1248; obj_t BgL_resz00_1249;
BgL_iz00_1245 = ((long)0); 
BgL_wordzd2numzd2_1246 = ((long)0); 
BgL_wordz00_1247 = BgL_g1038z00_1242; 
BgL_maskz00_1248 = ((long)1); 
BgL_resz00_1249 = BNIL; 
BgL_zc3z04anonymousza31229ze3z87_1250:
if(
(BgL_iz00_1245==
(long)CINT(BgL_maxz00_1240)))
{ /* Rgc/rgcset.scm 146 */
return BgL_resz00_1249;}  else 
{ /* Rgc/rgcset.scm 146 */
if(
(BgL_maskz00_1248==BgL_maxmaskz00_1241))
{ 
 long BgL_maskz00_2444; obj_t BgL_wordz00_2441; long BgL_wordzd2numzd2_2439;
BgL_wordzd2numzd2_2439 = 
(BgL_wordzd2numzd2_1246+((long)1)); 
BgL_wordz00_2441 = 
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_setz00_26, 
(BgL_wordzd2numzd2_1246+((long)1))); 
BgL_maskz00_2444 = ((long)1); 
BgL_maskz00_1248 = BgL_maskz00_2444; 
BgL_wordz00_1247 = BgL_wordz00_2441; 
BgL_wordzd2numzd2_1246 = BgL_wordzd2numzd2_2439; 
goto BgL_zc3z04anonymousza31229ze3z87_1250;}  else 
{ /* Rgc/rgcset.scm 148 */
if(
(
(
(long)CINT(BgL_wordz00_1247) & BgL_maskz00_1248)==BgL_maskz00_1248))
{ /* Rgc/rgcset.scm 155 */
 long BgL_arg1241z00_1258; long BgL_arg1242z00_1259; obj_t BgL_arg1244z00_1260;
BgL_arg1241z00_1258 = 
(BgL_iz00_1245+((long)1)); 
BgL_arg1242z00_1259 = 
(BgL_maskz00_1248 << 
(int)(((long)1))); 
BgL_arg1244z00_1260 = 
MAKE_YOUNG_PAIR(
BINT(BgL_iz00_1245), BgL_resz00_1249); 
{ 
 obj_t BgL_resz00_2456; long BgL_maskz00_2455; long BgL_iz00_2454;
BgL_iz00_2454 = BgL_arg1241z00_1258; 
BgL_maskz00_2455 = BgL_arg1242z00_1259; 
BgL_resz00_2456 = BgL_arg1244z00_1260; 
BgL_resz00_1249 = BgL_resz00_2456; 
BgL_maskz00_1248 = BgL_maskz00_2455; 
BgL_iz00_1245 = BgL_iz00_2454; 
goto BgL_zc3z04anonymousza31229ze3z87_1250;} }  else 
{ 
 long BgL_maskz00_2459; long BgL_iz00_2457;
BgL_iz00_2457 = 
(BgL_iz00_1245+((long)1)); 
BgL_maskz00_2459 = 
(BgL_maskz00_1248 << 
(int)(((long)1))); 
BgL_maskz00_1248 = BgL_maskz00_2459; 
BgL_iz00_1245 = BgL_iz00_2457; 
goto BgL_zc3z04anonymousza31229ze3z87_1250;} } } } } } } 

}



/* &rgcset->list */
obj_t BGl_z62rgcsetzd2ze3listz53zz__rgc_setz00(obj_t BgL_envz00_2244, obj_t BgL_setz00_2245)
{
{ /* Rgc/rgcset.scm 137 */
return 
BGl_rgcsetzd2ze3listz31zz__rgc_setz00(BgL_setz00_2245);} 

}



/* for-each-rgcset */
BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(obj_t BgL_procz00_27, obj_t BgL_setz00_28)
{
{ /* Rgc/rgcset.scm 162 */
{ /* Rgc/rgcset.scm 163 */
 obj_t BgL_maxz00_1265; long BgL_maxmaskz00_1266;
BgL_maxz00_1265 = 
STRUCT_REF(
((obj_t)BgL_setz00_28), 
(int)(((long)0))); 
{ /* Rgc/rgcset.scm 164 */
 long BgL_yz00_1915;
BgL_yz00_1915 = BGl_bitzd2perzd2wordz00zz__rgc_setz00; 
BgL_maxmaskz00_1266 = 
(((long)1) << 
(int)(BgL_yz00_1915)); } 
{ /* Rgc/rgcset.scm 165 */
 obj_t BgL_g1040z00_1267;
BgL_g1040z00_1267 = 
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_setz00_28, ((long)0)); 
{ 
 long BgL_iz00_1269; long BgL_wordzd2numzd2_1270; obj_t BgL_wordz00_1271; long BgL_maskz00_1272;
BgL_iz00_1269 = ((long)0); 
BgL_wordzd2numzd2_1270 = ((long)0); 
BgL_wordz00_1271 = BgL_g1040z00_1267; 
BgL_maskz00_1272 = ((long)1); 
BgL_zc3z04anonymousza31251ze3z87_1273:
if(
(BgL_iz00_1269==
(long)CINT(BgL_maxz00_1265)))
{ /* Rgc/rgcset.scm 170 */
return BUNSPEC;}  else 
{ /* Rgc/rgcset.scm 170 */
if(
(BgL_maskz00_1272==BgL_maxmaskz00_1266))
{ 
 long BgL_maskz00_2479; obj_t BgL_wordz00_2476; long BgL_wordzd2numzd2_2474;
BgL_wordzd2numzd2_2474 = 
(BgL_wordzd2numzd2_1270+((long)1)); 
BgL_wordz00_2476 = 
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_setz00_28, 
(BgL_wordzd2numzd2_1270+((long)1))); 
BgL_maskz00_2479 = ((long)1); 
BgL_maskz00_1272 = BgL_maskz00_2479; 
BgL_wordz00_1271 = BgL_wordz00_2476; 
BgL_wordzd2numzd2_1270 = BgL_wordzd2numzd2_2474; 
goto BgL_zc3z04anonymousza31251ze3z87_1273;}  else 
{ /* Rgc/rgcset.scm 172 */
if(
(
(
(long)CINT(BgL_wordz00_1271) & BgL_maskz00_1272)==BgL_maskz00_1272))
{ /* Rgc/rgcset.scm 177 */
PROCEDURE_ENTRY(BgL_procz00_27)(BgL_procz00_27, 
BINT(BgL_iz00_1269), BEOA); 
{ 
 long BgL_maskz00_2491; long BgL_iz00_2489;
BgL_iz00_2489 = 
(BgL_iz00_1269+((long)1)); 
BgL_maskz00_2491 = 
(BgL_maskz00_1272 << 
(int)(((long)1))); 
BgL_maskz00_1272 = BgL_maskz00_2491; 
BgL_iz00_1269 = BgL_iz00_2489; 
goto BgL_zc3z04anonymousza31251ze3z87_1273;} }  else 
{ 
 long BgL_maskz00_2496; long BgL_iz00_2494;
BgL_iz00_2494 = 
(BgL_iz00_1269+((long)1)); 
BgL_maskz00_2496 = 
(BgL_maskz00_1272 << 
(int)(((long)1))); 
BgL_maskz00_1272 = BgL_maskz00_2496; 
BgL_iz00_1269 = BgL_iz00_2494; 
goto BgL_zc3z04anonymousza31251ze3z87_1273;} } } } } } } 

}



/* &for-each-rgcset */
obj_t BGl_z62forzd2eachzd2rgcsetz62zz__rgc_setz00(obj_t BgL_envz00_2246, obj_t BgL_procz00_2247, obj_t BgL_setz00_2248)
{
{ /* Rgc/rgcset.scm 162 */
{ /* Rgc/rgcset.scm 163 */
 obj_t BgL_auxz00_2499;
if(
PROCEDUREP(BgL_procz00_2247))
{ /* Rgc/rgcset.scm 163 */
BgL_auxz00_2499 = BgL_procz00_2247
; }  else 
{ 
 obj_t BgL_auxz00_2502;
BgL_auxz00_2502 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1720z00zz__rgc_setz00, 
BINT(((long)6606)), BGl_string1726z00zz__rgc_setz00, BGl_string1727z00zz__rgc_setz00, BgL_procz00_2247); 
FAILURE(BgL_auxz00_2502,BFALSE,BFALSE);} 
return 
BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(BgL_auxz00_2499, BgL_setz00_2248);} } 

}



/* rgcset-length */
BGL_EXPORTED_DEF long BGl_rgcsetzd2lengthzd2zz__rgc_setz00(obj_t BgL_setz00_29)
{
{ /* Rgc/rgcset.scm 188 */
{ /* Rgc/rgcset.scm 189 */
 obj_t BgL_numz00_2256;
BgL_numz00_2256 = 
MAKE_CELL(
BINT(((long)0))); 
{ /* Rgc/rgcset.scm 190 */
 obj_t BgL_zc3z04anonymousza31274ze3z87_2249;
BgL_zc3z04anonymousza31274ze3z87_2249 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31274ze3ze5zz__rgc_setz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31274ze3z87_2249, 
(int)(((long)0)), 
((obj_t)BgL_numz00_2256)); 
BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(BgL_zc3z04anonymousza31274ze3z87_2249, BgL_setz00_29); } 
return 
(long)CINT(
CELL_REF(BgL_numz00_2256));} } 

}



/* &rgcset-length */
obj_t BGl_z62rgcsetzd2lengthzb0zz__rgc_setz00(obj_t BgL_envz00_2250, obj_t BgL_setz00_2251)
{
{ /* Rgc/rgcset.scm 188 */
return 
BINT(
BGl_rgcsetzd2lengthzd2zz__rgc_setz00(BgL_setz00_2251));} 

}



/* &<@anonymous:1274> */
obj_t BGl_z62zc3z04anonymousza31274ze3ze5zz__rgc_setz00(obj_t BgL_envz00_2252, obj_t BgL_xz00_2254)
{
{ /* Rgc/rgcset.scm 190 */
{ /* Rgc/rgcset.scm 190 */
 obj_t BgL_numz00_2253;
BgL_numz00_2253 = 
PROCEDURE_REF(BgL_envz00_2252, 
(int)(((long)0))); 
{ /* Rgc/rgcset.scm 190 */
 obj_t BgL_auxz00_2296;
BgL_auxz00_2296 = 
ADDFX(
BINT(((long)1)), 
CELL_REF(BgL_numz00_2253)); 
return 
CELL_SET(BgL_numz00_2253, BgL_auxz00_2296);} } } 

}



/* rgcset-not! */
BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2notz12zc0zz__rgc_setz00(obj_t BgL_setz00_30)
{
{ /* Rgc/rgcset.scm 196 */
{ /* Rgc/rgcset.scm 198 */
 long BgL_lenz00_1292;
BgL_lenz00_1292 = 
BGl_rgcsetzd2wordszd2lenz00zz__rgc_setz00(BgL_setz00_30); 
{ 
 long BgL_iz00_1294;
{ /* Rgc/rgcset.scm 199 */
 bool_t BgL_tmpz00_2523;
BgL_iz00_1294 = ((long)0); 
BgL_zc3z04anonymousza31275ze3z87_1295:
if(
BGl_2zc3zc3zz__r4_numbers_6_5z00(
BINT(BgL_iz00_1294), 
BINT(BgL_lenz00_1292)))
{ /* Rgc/rgcset.scm 200 */
{ /* Rgc/rgcset.scm 202 */
 long BgL_arg1277z00_1297;
BgL_arg1277z00_1297 = 
~(
(long)CINT(
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_setz00_30, BgL_iz00_1294))); 
BGl_rgcsetzd2wordszd2setz12z12zz__rgc_setz00(BgL_setz00_30, BgL_iz00_1294, 
BINT(BgL_arg1277z00_1297)); } 
{ 
 long BgL_iz00_2533;
BgL_iz00_2533 = 
(BgL_iz00_1294+((long)1)); 
BgL_iz00_1294 = BgL_iz00_2533; 
goto BgL_zc3z04anonymousza31275ze3z87_1295;} }  else 
{ /* Rgc/rgcset.scm 200 */
BgL_tmpz00_2523 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_2523);} } } } 

}



/* &rgcset-not! */
obj_t BGl_z62rgcsetzd2notz12za2zz__rgc_setz00(obj_t BgL_envz00_2258, obj_t BgL_setz00_2259)
{
{ /* Rgc/rgcset.scm 196 */
return 
BGl_rgcsetzd2notz12zc0zz__rgc_setz00(BgL_setz00_2259);} 

}



/* rgcset-not */
BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2notzd2zz__rgc_setz00(obj_t BgL_setz00_31)
{
{ /* Rgc/rgcset.scm 208 */
{ /* Rgc/rgcset.scm 210 */
 long BgL_lenz00_1301; obj_t BgL_newz00_1302;
BgL_lenz00_1301 = 
BGl_rgcsetzd2wordszd2lenz00zz__rgc_setz00(BgL_setz00_31); 
{ /* Rgc/rgcset.scm 211 */
 obj_t BgL_arg1286z00_1311;
BgL_arg1286z00_1311 = 
STRUCT_REF(
((obj_t)BgL_setz00_31), 
(int)(((long)0))); 
BgL_newz00_1302 = 
BGl_makezd2rgcsetzd2zz__rgc_setz00(
(long)CINT(BgL_arg1286z00_1311)); } 
{ 
 long BgL_iz00_1304;
BgL_iz00_1304 = ((long)0); 
BgL_zc3z04anonymousza31280ze3z87_1305:
if(
BGl_2zc3zc3zz__r4_numbers_6_5z00(
BINT(BgL_iz00_1304), 
BINT(BgL_lenz00_1301)))
{ /* Rgc/rgcset.scm 213 */
{ /* Rgc/rgcset.scm 215 */
 long BgL_arg1282z00_1307;
BgL_arg1282z00_1307 = 
~(
(long)CINT(
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_setz00_31, BgL_iz00_1304))); 
BGl_rgcsetzd2wordszd2setz12z12zz__rgc_setz00(BgL_newz00_1302, BgL_iz00_1304, 
BINT(BgL_arg1282z00_1307)); } 
{ 
 long BgL_iz00_2552;
BgL_iz00_2552 = 
(BgL_iz00_1304+((long)1)); 
BgL_iz00_1304 = BgL_iz00_2552; 
goto BgL_zc3z04anonymousza31280ze3z87_1305;} }  else 
{ /* Rgc/rgcset.scm 213 */
return BgL_newz00_1302;} } } } 

}



/* &rgcset-not */
obj_t BGl_z62rgcsetzd2notzb0zz__rgc_setz00(obj_t BgL_envz00_2260, obj_t BgL_setz00_2261)
{
{ /* Rgc/rgcset.scm 208 */
return 
BGl_rgcsetzd2notzd2zz__rgc_setz00(BgL_setz00_2261);} 

}



/* rgcset-and! */
BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2andz12zc0zz__rgc_setz00(obj_t BgL_set1z00_32, obj_t BgL_set2z00_33)
{
{ /* Rgc/rgcset.scm 222 */
{ /* Rgc/rgcset.scm 224 */
 long BgL_len1z00_1312; long BgL_len2z00_1313;
BgL_len1z00_1312 = 
BGl_rgcsetzd2wordszd2lenz00zz__rgc_setz00(BgL_set1z00_32); 
BgL_len2z00_1313 = 
BGl_rgcsetzd2wordszd2lenz00zz__rgc_setz00(BgL_set2z00_33); 
{ 
 long BgL_iz00_1315;
{ /* Rgc/rgcset.scm 226 */
 bool_t BgL_tmpz00_2557;
BgL_iz00_1315 = ((long)0); 
BgL_zc3z04anonymousza31287ze3z87_1316:
{ /* Rgc/rgcset.scm 227 */
 bool_t BgL_test1774z00_2558;
if(
BGl_2zc3zc3zz__r4_numbers_6_5z00(
BINT(BgL_iz00_1315), 
BINT(BgL_len1z00_1312)))
{ /* Rgc/rgcset.scm 227 */
BgL_test1774z00_2558 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(
BINT(BgL_iz00_1315), 
BINT(BgL_len2z00_1313))
; }  else 
{ /* Rgc/rgcset.scm 227 */
BgL_test1774z00_2558 = ((bool_t)0)
; } 
if(BgL_test1774z00_2558)
{ /* Rgc/rgcset.scm 227 */
{ /* Rgc/rgcset.scm 231 */
 long BgL_arg1290z00_1319;
BgL_arg1290z00_1319 = 
(
(long)CINT(
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_set1z00_32, BgL_iz00_1315)) & 
(long)CINT(
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_set2z00_33, BgL_iz00_1315))); 
BGl_rgcsetzd2wordszd2setz12z12zz__rgc_setz00(BgL_set1z00_32, BgL_iz00_1315, 
BINT(BgL_arg1290z00_1319)); } 
{ 
 long BgL_iz00_2573;
BgL_iz00_2573 = 
(BgL_iz00_1315+((long)1)); 
BgL_iz00_1315 = BgL_iz00_2573; 
goto BgL_zc3z04anonymousza31287ze3z87_1316;} }  else 
{ /* Rgc/rgcset.scm 227 */
BgL_tmpz00_2557 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_2557);} } } } 

}



/* &rgcset-and! */
obj_t BGl_z62rgcsetzd2andz12za2zz__rgc_setz00(obj_t BgL_envz00_2262, obj_t BgL_set1z00_2263, obj_t BgL_set2z00_2264)
{
{ /* Rgc/rgcset.scm 222 */
return 
BGl_rgcsetzd2andz12zc0zz__rgc_setz00(BgL_set1z00_2263, BgL_set2z00_2264);} 

}



/* rgcset-or! */
BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2orz12zc0zz__rgc_setz00(obj_t BgL_set1z00_34, obj_t BgL_set2z00_35)
{
{ /* Rgc/rgcset.scm 238 */
{ /* Rgc/rgcset.scm 240 */
 long BgL_len1z00_1325;
BgL_len1z00_1325 = 
BGl_rgcsetzd2wordszd2lenz00zz__rgc_setz00(BgL_set1z00_34); 
{ 
 long BgL_iz00_1328;
{ /* Rgc/rgcset.scm 243 */
 bool_t BgL_tmpz00_2578;
BgL_iz00_1328 = ((long)0); 
BgL_zc3z04anonymousza31294ze3z87_1329:
if(
BGl_2zc3zc3zz__r4_numbers_6_5z00(
BINT(BgL_iz00_1328), 
BINT(BgL_len1z00_1325)))
{ /* Rgc/rgcset.scm 244 */
{ /* Rgc/rgcset.scm 248 */
 long BgL_arg1300z00_1331;
BgL_arg1300z00_1331 = 
(
(long)CINT(
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_set1z00_34, BgL_iz00_1328)) | 
(long)CINT(
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_set2z00_35, BgL_iz00_1328))); 
BGl_rgcsetzd2wordszd2setz12z12zz__rgc_setz00(BgL_set1z00_34, BgL_iz00_1328, 
BINT(BgL_arg1300z00_1331)); } 
{ 
 long BgL_iz00_2590;
BgL_iz00_2590 = 
(BgL_iz00_1328+((long)1)); 
BgL_iz00_1328 = BgL_iz00_2590; 
goto BgL_zc3z04anonymousza31294ze3z87_1329;} }  else 
{ /* Rgc/rgcset.scm 244 */
BgL_tmpz00_2578 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_2578);} } } } 

}



/* &rgcset-or! */
obj_t BGl_z62rgcsetzd2orz12za2zz__rgc_setz00(obj_t BgL_envz00_2265, obj_t BgL_set1z00_2266, obj_t BgL_set2z00_2267)
{
{ /* Rgc/rgcset.scm 238 */
return 
BGl_rgcsetzd2orz12zc0zz__rgc_setz00(BgL_set1z00_2266, BgL_set2z00_2267);} 

}



/* rgcset-or */
BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2orzd2zz__rgc_setz00(obj_t BgL_set1z00_36, obj_t BgL_set2z00_37)
{
{ /* Rgc/rgcset.scm 255 */
{ /* Rgc/rgcset.scm 257 */
 long BgL_len1z00_1336;
BgL_len1z00_1336 = 
BGl_rgcsetzd2wordszd2lenz00zz__rgc_setz00(BgL_set1z00_36); 
{ /* Rgc/rgcset.scm 258 */
 obj_t BgL_newz00_1338;
{ /* Rgc/rgcset.scm 259 */
 obj_t BgL_arg1331z00_1348;
BgL_arg1331z00_1348 = 
STRUCT_REF(
((obj_t)BgL_set1z00_36), 
(int)(((long)0))); 
BgL_newz00_1338 = 
BGl_makezd2rgcsetzd2zz__rgc_setz00(
(long)CINT(BgL_arg1331z00_1348)); } 
{ /* Rgc/rgcset.scm 259 */

{ 
 long BgL_iz00_1340;
BgL_iz00_1340 = ((long)0); 
BgL_zc3z04anonymousza31306ze3z87_1341:
if(
BGl_2zc3zc3zz__r4_numbers_6_5z00(
BINT(BgL_iz00_1340), 
BINT(BgL_len1z00_1336)))
{ /* Rgc/rgcset.scm 262 */
{ /* Rgc/rgcset.scm 266 */
 long BgL_arg1312z00_1343;
BgL_arg1312z00_1343 = 
(
(long)CINT(
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_set1z00_36, BgL_iz00_1340)) | 
(long)CINT(
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_set2z00_37, BgL_iz00_1340))); 
BGl_rgcsetzd2wordszd2setz12z12zz__rgc_setz00(BgL_newz00_1338, BgL_iz00_1340, 
BINT(BgL_arg1312z00_1343)); } 
{ 
 long BgL_iz00_2611;
BgL_iz00_2611 = 
(BgL_iz00_1340+((long)1)); 
BgL_iz00_1340 = BgL_iz00_2611; 
goto BgL_zc3z04anonymousza31306ze3z87_1341;} }  else 
{ /* Rgc/rgcset.scm 262 */
return BgL_newz00_1338;} } } } } } 

}



/* &rgcset-or */
obj_t BGl_z62rgcsetzd2orzb0zz__rgc_setz00(obj_t BgL_envz00_2268, obj_t BgL_set1z00_2269, obj_t BgL_set2z00_2270)
{
{ /* Rgc/rgcset.scm 255 */
return 
BGl_rgcsetzd2orzd2zz__rgc_setz00(BgL_set1z00_2269, BgL_set2z00_2270);} 

}



/* rgcset-but! */
BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2butz12zc0zz__rgc_setz00(obj_t BgL_set1z00_38, obj_t BgL_set2z00_39)
{
{ /* Rgc/rgcset.scm 274 */
{ /* Rgc/rgcset.scm 275 */
 long BgL_len1z00_1349;
BgL_len1z00_1349 = 
BGl_rgcsetzd2wordszd2lenz00zz__rgc_setz00(BgL_set1z00_38); 
{ 
 long BgL_iz00_1352;
{ /* Rgc/rgcset.scm 278 */
 bool_t BgL_tmpz00_2615;
BgL_iz00_1352 = ((long)0); 
BgL_zc3z04anonymousza31332ze3z87_1353:
if(
BGl_2zc3zc3zz__r4_numbers_6_5z00(
BINT(BgL_iz00_1352), 
BINT(BgL_len1z00_1349)))
{ /* Rgc/rgcset.scm 279 */
BGl_rgcsetzd2wordszd2setz12z12zz__rgc_setz00(BgL_set1z00_38, BgL_iz00_1352, 
BGl_2zd2zd2zz__r4_numbers_6_5z00(
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_set1z00_38, BgL_iz00_1352), 
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_set2z00_39, BgL_iz00_1352))); 
{ 
 long BgL_iz00_2624;
BgL_iz00_2624 = 
(BgL_iz00_1352+((long)1)); 
BgL_iz00_1352 = BgL_iz00_2624; 
goto BgL_zc3z04anonymousza31332ze3z87_1353;} }  else 
{ /* Rgc/rgcset.scm 279 */
BgL_tmpz00_2615 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_2615);} } } } 

}



/* &rgcset-but! */
obj_t BGl_z62rgcsetzd2butz12za2zz__rgc_setz00(obj_t BgL_envz00_2271, obj_t BgL_set1z00_2272, obj_t BgL_set2z00_2273)
{
{ /* Rgc/rgcset.scm 274 */
return 
BGl_rgcsetzd2butz12zc0zz__rgc_setz00(BgL_set1z00_2272, BgL_set2z00_2273);} 

}



/* rgcset-equal? */
BGL_EXPORTED_DEF bool_t BGl_rgcsetzd2equalzf3z21zz__rgc_setz00(obj_t BgL_set1z00_40, obj_t BgL_set2z00_41)
{
{ /* Rgc/rgcset.scm 290 */
{ /* Rgc/rgcset.scm 291 */
 long BgL_len1z00_1360;
BgL_len1z00_1360 = 
BGl_rgcsetzd2wordszd2lenz00zz__rgc_setz00(BgL_set1z00_40); 
if(
(BgL_len1z00_1360==
BGl_rgcsetzd2wordszd2lenz00zz__rgc_setz00(BgL_set2z00_41)))
{ /* Rgc/rgcset.scm 294 */
 obj_t BgL_w1z00_1363; obj_t BgL_w2z00_1364;
BgL_w1z00_1363 = 
STRUCT_REF(
((obj_t)BgL_set1z00_40), 
(int)(((long)1))); 
BgL_w2z00_1364 = 
STRUCT_REF(
((obj_t)BgL_set2z00_41), 
(int)(((long)1))); 
{ 
 long BgL_iz00_1366;
BgL_iz00_1366 = ((long)0); 
BgL_zc3z04anonymousza31339ze3z87_1367:
if(
(BgL_iz00_1366==BgL_len1z00_1360))
{ /* Rgc/rgcset.scm 298 */
return ((bool_t)1);}  else 
{ /* Rgc/rgcset.scm 300 */
 bool_t BgL_test1781z00_2640;
{ /* Rgc/rgcset.scm 300 */
 obj_t BgL_arg1345z00_1373; obj_t BgL_arg1347z00_1374;
BgL_arg1345z00_1373 = 
VECTOR_REF(
((obj_t)BgL_w1z00_1363),BgL_iz00_1366); 
BgL_arg1347z00_1374 = 
VECTOR_REF(
((obj_t)BgL_w2z00_1364),BgL_iz00_1366); 
BgL_test1781z00_2640 = 
(
(long)CINT(BgL_arg1345z00_1373)==
(long)CINT(BgL_arg1347z00_1374)); } 
if(BgL_test1781z00_2640)
{ 
 long BgL_iz00_2648;
BgL_iz00_2648 = 
(BgL_iz00_1366+((long)1)); 
BgL_iz00_1366 = BgL_iz00_2648; 
goto BgL_zc3z04anonymousza31339ze3z87_1367;}  else 
{ /* Rgc/rgcset.scm 300 */
return ((bool_t)0);} } } }  else 
{ /* Rgc/rgcset.scm 293 */
return ((bool_t)0);} } } 

}



/* &rgcset-equal? */
obj_t BGl_z62rgcsetzd2equalzf3z43zz__rgc_setz00(obj_t BgL_envz00_2274, obj_t BgL_set1z00_2275, obj_t BgL_set2z00_2276)
{
{ /* Rgc/rgcset.scm 290 */
return 
BBOOL(
BGl_rgcsetzd2equalzf3z21zz__rgc_setz00(BgL_set1z00_2275, BgL_set2z00_2276));} 

}



/* rgcset->hash */
BGL_EXPORTED_DEF long BGl_rgcsetzd2ze3hashz31zz__rgc_setz00(obj_t BgL_setz00_42)
{
{ /* Rgc/rgcset.scm 308 */
{ /* Rgc/rgcset.scm 309 */
 long BgL_lenz00_1376;
BgL_lenz00_1376 = 
BGl_rgcsetzd2wordszd2lenz00zz__rgc_setz00(BgL_setz00_42); 
{ 
 long BgL_iz00_1379; obj_t BgL_resz00_1380;
{ /* Rgc/rgcset.scm 310 */
 obj_t BgL_tmpz00_2653;
BgL_iz00_1379 = ((long)1); 
BgL_resz00_1380 = 
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_setz00_42, ((long)0)); 
BgL_zc3z04anonymousza31348ze3z87_1381:
if(
(BgL_iz00_1379==BgL_lenz00_1376))
{ /* Rgc/rgcset.scm 312 */
if(
(
(long)CINT(BgL_resz00_1380)<((long)0)))
{ /* Rgc/rgcset.scm 313 */
BgL_tmpz00_2653 = 
BINT(
NEG(
(long)CINT(BgL_resz00_1380)))
; }  else 
{ /* Rgc/rgcset.scm 313 */
BgL_tmpz00_2653 = BgL_resz00_1380
; } }  else 
{ /* Rgc/rgcset.scm 316 */
 long BgL_vz00_1384;
{ /* Rgc/rgcset.scm 316 */
 long BgL_za71za7_1967;
BgL_za71za7_1967 = 
(long)CINT(BgL_resz00_1380); 
BgL_vz00_1384 = 
(BgL_za71za7_1967+
(
(BgL_za71za7_1967 << 
(int)(((long)3)))+
(long)CINT(
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_setz00_42, BgL_iz00_1379)))); } 
{ 
 obj_t BgL_resz00_2671; long BgL_iz00_2669;
BgL_iz00_2669 = 
(BgL_iz00_1379+((long)1)); 
if(
(
(long)CINT(
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_setz00_42, BgL_iz00_1379))==((long)0)))
{ /* Rgc/rgcset.scm 318 */
BgL_resz00_2671 = 
BINT(BgL_vz00_1384); }  else 
{ /* Rgc/rgcset.scm 318 */
BgL_resz00_2671 = 
BINT(
(BgL_iz00_1379+BgL_vz00_1384)); } 
BgL_resz00_1380 = BgL_resz00_2671; 
BgL_iz00_1379 = BgL_iz00_2669; 
goto BgL_zc3z04anonymousza31348ze3z87_1381;} } 
return 
(long)CINT(BgL_tmpz00_2653);} } } } 

}



/* &rgcset->hash */
obj_t BGl_z62rgcsetzd2ze3hashz53zz__rgc_setz00(obj_t BgL_envz00_2277, obj_t BgL_setz00_2278)
{
{ /* Rgc/rgcset.scm 308 */
return 
BINT(
BGl_rgcsetzd2ze3hashz31zz__rgc_setz00(BgL_setz00_2278));} 

}



/* rgcset-remove! */
BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2removez12zc0zz__rgc_setz00(obj_t BgL_setz00_43, long BgL_numz00_44)
{
{ /* Rgc/rgcset.scm 325 */
{ /* Rgc/rgcset.scm 326 */
 long BgL_wordzd2numzd2_1394;
BgL_wordzd2numzd2_1394 = 
(BgL_numz00_44/BGl_bitzd2perzd2wordz00zz__rgc_setz00); 
{ /* Rgc/rgcset.scm 326 */
 long BgL_wordzd2bitzd2_1395;
{ /* Rgc/rgcset.scm 327 */
 long BgL_n1z00_1975; long BgL_n2z00_1976;
BgL_n1z00_1975 = BgL_numz00_44; 
BgL_n2z00_1976 = BGl_bitzd2perzd2wordz00zz__rgc_setz00; 
{ /* Rgc/rgcset.scm 327 */
 bool_t BgL_test1785z00_2684;
{ /* Rgc/rgcset.scm 327 */
 long BgL_arg1541z00_1978;
BgL_arg1541z00_1978 = 
(((BgL_n1z00_1975) | (BgL_n2z00_1976)) & -2147483648); 
BgL_test1785z00_2684 = 
(BgL_arg1541z00_1978==((long)0)); } 
if(BgL_test1785z00_2684)
{ /* Rgc/rgcset.scm 327 */
 int32_t BgL_arg1538z00_1979;
{ /* Rgc/rgcset.scm 327 */
 int32_t BgL_arg1539z00_1980; int32_t BgL_arg1540z00_1981;
BgL_arg1539z00_1980 = 
(int32_t)(BgL_n1z00_1975); 
BgL_arg1540z00_1981 = 
(int32_t)(BgL_n2z00_1976); 
BgL_arg1538z00_1979 = 
(BgL_arg1539z00_1980%BgL_arg1540z00_1981); } 
{ /* Rgc/rgcset.scm 327 */
 long BgL_arg1650z00_1986;
BgL_arg1650z00_1986 = 
(long)(BgL_arg1538z00_1979); 
BgL_wordzd2bitzd2_1395 = 
(long)(BgL_arg1650z00_1986); } }  else 
{ /* Rgc/rgcset.scm 327 */
BgL_wordzd2bitzd2_1395 = 
(BgL_n1z00_1975%BgL_n2z00_1976); } } } 
{ /* Rgc/rgcset.scm 327 */
 obj_t BgL_oldz00_1396;
BgL_oldz00_1396 = 
BGl_rgcsetzd2wordszd2zz__rgc_setz00(BgL_setz00_43, BgL_wordzd2numzd2_1394); 
{ /* Rgc/rgcset.scm 328 */

{ /* Rgc/rgcset.scm 329 */
 long BgL_arg1359z00_1397;
BgL_arg1359z00_1397 = 
(
(long)CINT(BgL_oldz00_1396) ^ 
(((long)1) << 
(int)(BgL_wordzd2bitzd2_1395))); 
return 
BGl_rgcsetzd2wordszd2setz12z12zz__rgc_setz00(BgL_setz00_43, BgL_wordzd2numzd2_1394, 
BINT(BgL_arg1359z00_1397));} } } } } } 

}



/* &rgcset-remove! */
obj_t BGl_z62rgcsetzd2removez12za2zz__rgc_setz00(obj_t BgL_envz00_2279, obj_t BgL_setz00_2280, obj_t BgL_numz00_2281)
{
{ /* Rgc/rgcset.scm 325 */
{ /* Rgc/rgcset.scm 326 */
 long BgL_auxz00_2700;
{ /* Rgc/rgcset.scm 326 */
 obj_t BgL_tmpz00_2701;
if(
INTEGERP(BgL_numz00_2281))
{ /* Rgc/rgcset.scm 326 */
BgL_tmpz00_2701 = BgL_numz00_2281
; }  else 
{ 
 obj_t BgL_auxz00_2704;
BgL_auxz00_2704 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1720z00zz__rgc_setz00, 
BINT(((long)12634)), BGl_string1728z00zz__rgc_setz00, BGl_string1722z00zz__rgc_setz00, BgL_numz00_2281); 
FAILURE(BgL_auxz00_2704,BFALSE,BFALSE);} 
BgL_auxz00_2700 = 
(long)CINT(BgL_tmpz00_2701); } 
return 
BGl_rgcsetzd2removez12zc0zz__rgc_setz00(BgL_setz00_2280, BgL_auxz00_2700);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__rgc_setz00()
{
{ /* Rgc/rgcset.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__rgc_setz00()
{
{ /* Rgc/rgcset.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__rgc_setz00()
{
{ /* Rgc/rgcset.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__rgc_setz00()
{
{ /* Rgc/rgcset.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string1729z00zz__rgc_setz00));} 

}

#ifdef __cplusplus
}
#endif
