/*===========================================================================*/
/*   (Llib/mmap.scm)                                                         */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -srfi enable-gmp -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -c Llib/mmap.scm -indent -o objs/obj_s/Llib/mmap.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
BGL_EXPORTED_DECL obj_t BGl_mmapzd2putzd2charz12z12zz__mmapz00(obj_t, unsigned char);
extern obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62closezd2mmapzb0zz__mmapz00(obj_t, obj_t);
static obj_t BGl_z62mmapzd2readzd2positionz62zz__mmapz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mmapzd2ze3bstringz31zz__mmapz00(obj_t);
static obj_t BGl_z62mmapzf3z91zz__mmapz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__mmapz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_mmapzd2putzd2stringz12z12zz__mmapz00(obj_t, obj_t);
static obj_t BGl_symbol1853z00zz__mmapz00 = BUNSPEC;
static obj_t BGl_z62mmapzd2getzd2charz62zz__mmapz00(obj_t, obj_t);
static obj_t BGl__openzd2mmapzd2zz__mmapz00(obj_t, obj_t);
static obj_t BGl_z62mmapzd2substringzd2setz12z70zz__mmapz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__mmapz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62mmapzd2namezb0zz__mmapz00(obj_t, obj_t);
static obj_t BGl_z62mmapzd2lengthzb0zz__mmapz00(obj_t, obj_t);
static obj_t BGl_symbol1860z00zz__mmapz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_mmapzd2setz12zc0zz__mmapz00(obj_t, long, unsigned char);
BGL_EXPORTED_DECL obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
extern obj_t string_to_bstring_len(char *, int);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3mmapz31zz__mmapz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mmapzd2refzd2urz62zz__mmapz00(obj_t, obj_t, obj_t);
static obj_t BGl_list1848z00zz__mmapz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_mmapzd2getzd2stringz00zz__mmapz00(obj_t, long);
static obj_t BGl_z62mmapzd2getzd2stringz62zz__mmapz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol1880z00zz__mmapz00 = BUNSPEC;
static obj_t BGl_symbol1883z00zz__mmapz00 = BUNSPEC;
static obj_t BGl_symbol1886z00zz__mmapz00 = BUNSPEC;
static obj_t BGl_z62mmapzd2ze3stringz53zz__mmapz00(obj_t, obj_t);
static obj_t BGl_z62mmapzd2ze3bstringz53zz__mmapz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__mmapz00();
static obj_t BGl_genericzd2initzd2zz__mmapz00();
static obj_t BGl_z62mmapzd2writezd2positionz62zz__mmapz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__mmapz00();
static obj_t BGl_symbol1895z00zz__mmapz00 = BUNSPEC;
static obj_t BGl_gczd2rootszd2initz00zz__mmapz00();
static obj_t BGl_symbol1898z00zz__mmapz00 = BUNSPEC;
BGL_EXPORTED_DECL unsigned char BGl_mmapzd2refzd2zz__mmapz00(obj_t, long);
static obj_t BGl_objectzd2initzd2zz__mmapz00();
BGL_EXPORTED_DECL obj_t BGl_mmapzd2namezd2zz__mmapz00(obj_t);
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62mmapzd2substringzb0zz__mmapz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL char * BGl_mmapzd2ze3stringz31zz__mmapz00(obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62mmapzd2putzd2stringz12z70zz__mmapz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mmapzd2setzd2urz12z70zz__mmapz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_mmapzd2writezd2positionzd2setz12zc0zz__mmapz00(obj_t, long);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
BGL_EXPORTED_DECL obj_t BGl_mmapzd2setzd2urz12z12zz__mmapz00(obj_t, long, unsigned char);
static obj_t BGl_z62mmapzd2putzd2charz12z70zz__mmapz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mmapzd2substringzd2setz12z12zz__mmapz00(obj_t, long, obj_t);
BGL_EXPORTED_DECL long BGl_mmapzd2lengthzd2zz__mmapz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__mmapz00();
static obj_t BGl_search1100ze70ze7zz__mmapz00(long, obj_t, obj_t, long);
extern obj_t BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(obj_t, obj_t, obj_t, obj_t, int, int);
BGL_EXPORTED_DECL unsigned char BGl_mmapzd2refzd2urz00zz__mmapz00(obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_mmapzd2substringzd2zz__mmapz00(obj_t, long, long);
extern obj_t bstring_to_keyword(obj_t);
static obj_t BGl_keyword1849z00zz__mmapz00 = BUNSPEC;
static obj_t BGl_z62mmapzd2refzb0zz__mmapz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_mmapzf3zf3zz__mmapz00(obj_t);
static obj_t BGl_search1109ze70ze7zz__mmapz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL long BGl_mmapzd2readzd2positionzd2setz12zc0zz__mmapz00(obj_t, long);
static obj_t BGl_keyword1851z00zz__mmapz00 = BUNSPEC;
static obj_t BGl_z62mmapzd2readzd2positionzd2setz12za2zz__mmapz00(obj_t, obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
BGL_EXPORTED_DECL unsigned char BGl_mmapzd2getzd2charz00zz__mmapz00(obj_t);
static obj_t BGl_z62mmapzd2writezd2positionzd2setz12za2zz__mmapz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_mmapzd2writezd2positionz00zz__mmapz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_closezd2mmapzd2zz__mmapz00(obj_t);
extern obj_t make_string_sans_fill(long);
BGL_EXPORTED_DECL long BGl_mmapzd2readzd2positionz00zz__mmapz00(obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62mmapzd2setz12za2zz__mmapz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__stringzd2ze3mmapz31zz__mmapz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1870z00zz__mmapz00, BgL_bgl_string1870za700za7za7_1906za7, "&mmap-read-position", 19 );
DEFINE_STRING( BGl_string1871z00zz__mmapz00, BgL_bgl_string1871za700za7za7_1907za7, "&mmap-read-position-set!", 24 );
DEFINE_STRING( BGl_string1872z00zz__mmapz00, BgL_bgl_string1872za700za7za7_1908za7, "belong", 6 );
DEFINE_STRING( BGl_string1873z00zz__mmapz00, BgL_bgl_string1873za700za7za7_1909za7, "&mmap-write-position", 20 );
DEFINE_STRING( BGl_string1874z00zz__mmapz00, BgL_bgl_string1874za700za7za7_1910za7, "&mmap-write-position-set!", 25 );
DEFINE_STRING( BGl_string1875z00zz__mmapz00, BgL_bgl_string1875za700za7za7_1911za7, "&mmap-ref-ur", 12 );
DEFINE_STRING( BGl_string1876z00zz__mmapz00, BgL_bgl_string1876za700za7za7_1912za7, "&mmap-set-ur!", 13 );
DEFINE_STRING( BGl_string1877z00zz__mmapz00, BgL_bgl_string1877za700za7za7_1913za7, "bchar", 5 );
DEFINE_STRING( BGl_string1878z00zz__mmapz00, BgL_bgl_string1878za700za7za7_1914za7, "index out of range [0..", 23 );
DEFINE_STRING( BGl_string1879z00zz__mmapz00, BgL_bgl_string1879za700za7za7_1915za7, "]", 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2writezd2positionzd2envzd2zz__mmapz00, BgL_bgl_za762mmapza7d2writeza71916za7, BGl_z62mmapzd2writezd2positionz62zz__mmapz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1881z00zz__mmapz00, BgL_bgl_string1881za700za7za7_1917za7, "mmap-ref", 8 );
DEFINE_STRING( BGl_string1882z00zz__mmapz00, BgL_bgl_string1882za700za7za7_1918za7, "&mmap-ref", 9 );
DEFINE_STRING( BGl_string1884z00zz__mmapz00, BgL_bgl_string1884za700za7za7_1919za7, "mmap-set!", 9 );
DEFINE_STRING( BGl_string1885z00zz__mmapz00, BgL_bgl_string1885za700za7za7_1920za7, "&mmap-set!", 10 );
DEFINE_STRING( BGl_string1887z00zz__mmapz00, BgL_bgl_string1887za700za7za7_1921za7, "mmap-substring", 14 );
DEFINE_STRING( BGl_string1888z00zz__mmapz00, BgL_bgl_string1888za700za7za7_1922za7, "length too small", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2lengthzd2envz00zz__mmapz00, BgL_bgl_za762mmapza7d2length1923z00, BGl_z62mmapzd2lengthzb0zz__mmapz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1889z00zz__mmapz00, BgL_bgl_string1889za700za7za7_1924za7, "string-set!", 11 );
DEFINE_STRING( BGl_string1890z00zz__mmapz00, BgL_bgl_string1890za700za7za7_1925za7, "Illegal index", 13 );
DEFINE_STRING( BGl_string1891z00zz__mmapz00, BgL_bgl_string1891za700za7za7_1926za7, "start+length bigger than ", 25 );
DEFINE_STRING( BGl_string1892z00zz__mmapz00, BgL_bgl_string1892za700za7za7_1927za7, "&mmap-substring", 15 );
DEFINE_STRING( BGl_string1893z00zz__mmapz00, BgL_bgl_string1893za700za7za7_1928za7, "mmap-substring-set!", 19 );
DEFINE_STRING( BGl_string1894z00zz__mmapz00, BgL_bgl_string1894za700za7za7_1929za7, "string-ref", 10 );
DEFINE_STRING( BGl_string1896z00zz__mmapz00, BgL_bgl_string1896za700za7za7_1930za7, "mmap-sbustring-set!", 19 );
DEFINE_STRING( BGl_string1897z00zz__mmapz00, BgL_bgl_string1897za700za7za7_1931za7, "[", 1 );
DEFINE_STRING( BGl_string1899z00zz__mmapz00, BgL_bgl_string1899za700za7za7_1932za7, "&mmap-substring-set!", 20 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2putzd2charz12zd2envzc0zz__mmapz00, BgL_bgl_za762mmapza7d2putza7d21933za7, BGl_z62mmapzd2putzd2charz12z70zz__mmapz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2writezd2positionzd2setz12zd2envz12zz__mmapz00, BgL_bgl_za762mmapza7d2writeza71934za7, BGl_z62mmapzd2writezd2positionzd2setz12za2zz__mmapz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2getzd2stringzd2envzd2zz__mmapz00, BgL_bgl_za762mmapza7d2getza7d21935za7, BGl_z62mmapzd2getzd2stringz62zz__mmapz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzf3zd2envz21zz__mmapz00, BgL_bgl_za762mmapza7f3za791za7za7_1936za7, BGl_z62mmapzf3z91zz__mmapz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_closezd2mmapzd2envz00zz__mmapz00, BgL_bgl_za762closeza7d2mmapza71937za7, BGl_z62closezd2mmapzb0zz__mmapz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2substringzd2setz12zd2envzc0zz__mmapz00, BgL_bgl_za762mmapza7d2substr1938z00, BGl_z62mmapzd2substringzd2setz12z70zz__mmapz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2readzd2positionzd2envzd2zz__mmapz00, BgL_bgl_za762mmapza7d2readza7d1939za7, BGl_z62mmapzd2readzd2positionz62zz__mmapz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2setz12zd2envz12zz__mmapz00, BgL_bgl_za762mmapza7d2setza7121940za7, BGl_z62mmapzd2setz12za2zz__mmapz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_stringzd2ze3mmapzd2envze3zz__mmapz00, BgL_bgl__stringza7d2za7e3mma1941z00, opt_generic_entry, BGl__stringzd2ze3mmapz31zz__mmapz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2putzd2stringz12zd2envzc0zz__mmapz00, BgL_bgl_za762mmapza7d2putza7d21942za7, BGl_z62mmapzd2putzd2stringz12z70zz__mmapz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2getzd2charzd2envzd2zz__mmapz00, BgL_bgl_za762mmapza7d2getza7d21943za7, BGl_z62mmapzd2getzd2charz62zz__mmapz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2refzd2envz00zz__mmapz00, BgL_bgl_za762mmapza7d2refza7b01944za7, BGl_z62mmapzd2refzb0zz__mmapz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2namezd2envz00zz__mmapz00, BgL_bgl_za762mmapza7d2nameza7b1945za7, BGl_z62mmapzd2namezb0zz__mmapz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_openzd2mmapzd2envz00zz__mmapz00, BgL_bgl__openza7d2mmapza7d2za71946za7, opt_generic_entry, BGl__openzd2mmapzd2zz__mmapz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2ze3stringzd2envze3zz__mmapz00, BgL_bgl_za762mmapza7d2za7e3str1947za7, BGl_z62mmapzd2ze3stringz53zz__mmapz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1900z00zz__mmapz00, BgL_bgl_string1900za700za7za7_1948za7, "mmap-get-char", 13 );
DEFINE_STRING( BGl_string1901z00zz__mmapz00, BgL_bgl_string1901za700za7za7_1949za7, "&mmap-get-char", 14 );
DEFINE_STRING( BGl_string1902z00zz__mmapz00, BgL_bgl_string1902za700za7za7_1950za7, "&mmap-put-char!", 15 );
DEFINE_STRING( BGl_string1903z00zz__mmapz00, BgL_bgl_string1903za700za7za7_1951za7, "&mmap-get-string", 16 );
DEFINE_STRING( BGl_string1904z00zz__mmapz00, BgL_bgl_string1904za700za7za7_1952za7, "&mmap-put-string!", 17 );
DEFINE_STRING( BGl_string1905z00zz__mmapz00, BgL_bgl_string1905za700za7za7_1953za7, "__mmap", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2ze3bstringzd2envze3zz__mmapz00, BgL_bgl_za762mmapza7d2za7e3bst1954za7, BGl_z62mmapzd2ze3bstringz53zz__mmapz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2readzd2positionzd2setz12zd2envz12zz__mmapz00, BgL_bgl_za762mmapza7d2readza7d1955za7, BGl_z62mmapzd2readzd2positionzd2setz12za2zz__mmapz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2setzd2urz12zd2envzc0zz__mmapz00, BgL_bgl_za762mmapza7d2setza7d21956za7, BGl_z62mmapzd2setzd2urz12z70zz__mmapz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1846z00zz__mmapz00, BgL_bgl_string1846za700za7za7_1957za7, "/tmp/bigloo/runtime/Llib/mmap.scm", 33 );
DEFINE_STRING( BGl_string1847z00zz__mmapz00, BgL_bgl_string1847za700za7za7_1958za7, "vector-ref", 10 );
DEFINE_STRING( BGl_string1850z00zz__mmapz00, BgL_bgl_string1850za700za7za7_1959za7, "read", 4 );
DEFINE_STRING( BGl_string1852z00zz__mmapz00, BgL_bgl_string1852za700za7za7_1960za7, "write", 5 );
DEFINE_STRING( BGl_string1854z00zz__mmapz00, BgL_bgl_string1854za700za7za7_1961za7, "open-mmap", 9 );
DEFINE_STRING( BGl_string1855z00zz__mmapz00, BgL_bgl_string1855za700za7za7_1962za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string1856z00zz__mmapz00, BgL_bgl_string1856za700za7za7_1963za7, "_open-mmap", 10 );
DEFINE_STRING( BGl_string1857z00zz__mmapz00, BgL_bgl_string1857za700za7za7_1964za7, "bint", 4 );
DEFINE_STRING( BGl_string1858z00zz__mmapz00, BgL_bgl_string1858za700za7za7_1965za7, "bstring", 7 );
DEFINE_STRING( BGl_string1859z00zz__mmapz00, BgL_bgl_string1859za700za7za7_1966za7, "wrong number of arguments: [1..3] expected, provided", 52 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2refzd2urzd2envzd2zz__mmapz00, BgL_bgl_za762mmapza7d2refza7d21967za7, BGl_z62mmapzd2refzd2urz62zz__mmapz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1861z00zz__mmapz00, BgL_bgl_string1861za700za7za7_1968za7, "string->mmap", 12 );
DEFINE_STRING( BGl_string1862z00zz__mmapz00, BgL_bgl_string1862za700za7za7_1969za7, "_string->mmap", 13 );
DEFINE_STRING( BGl_string1863z00zz__mmapz00, BgL_bgl_string1863za700za7za7_1970za7, "mmap-name", 9 );
DEFINE_STRING( BGl_string1864z00zz__mmapz00, BgL_bgl_string1864za700za7za7_1971za7, "&mmap-name", 10 );
DEFINE_STRING( BGl_string1865z00zz__mmapz00, BgL_bgl_string1865za700za7za7_1972za7, "mmap", 4 );
DEFINE_STRING( BGl_string1866z00zz__mmapz00, BgL_bgl_string1866za700za7za7_1973za7, "&mmap->string", 13 );
DEFINE_STRING( BGl_string1867z00zz__mmapz00, BgL_bgl_string1867za700za7za7_1974za7, "&mmap->bstring", 14 );
DEFINE_STRING( BGl_string1868z00zz__mmapz00, BgL_bgl_string1868za700za7za7_1975za7, "&close-mmap", 11 );
DEFINE_STRING( BGl_string1869z00zz__mmapz00, BgL_bgl_string1869za700za7za7_1976za7, "&mmap-length", 12 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mmapzd2substringzd2envz00zz__mmapz00, BgL_bgl_za762mmapza7d2substr1977z00, BGl_z62mmapzd2substringzb0zz__mmapz00, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__mmapz00) );
ADD_ROOT( (void *)(&BGl_symbol1853z00zz__mmapz00) );
ADD_ROOT( (void *)(&BGl_symbol1860z00zz__mmapz00) );
ADD_ROOT( (void *)(&BGl_list1848z00zz__mmapz00) );
ADD_ROOT( (void *)(&BGl_symbol1880z00zz__mmapz00) );
ADD_ROOT( (void *)(&BGl_symbol1883z00zz__mmapz00) );
ADD_ROOT( (void *)(&BGl_symbol1886z00zz__mmapz00) );
ADD_ROOT( (void *)(&BGl_symbol1895z00zz__mmapz00) );
ADD_ROOT( (void *)(&BGl_symbol1898z00zz__mmapz00) );
ADD_ROOT( (void *)(&BGl_keyword1849z00zz__mmapz00) );
ADD_ROOT( (void *)(&BGl_keyword1851z00zz__mmapz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__mmapz00(long BgL_checksumz00_2320, char * BgL_fromz00_2321)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__mmapz00))
{ 
BGl_requirezd2initializa7ationz75zz__mmapz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__mmapz00(); 
BGl_cnstzd2initzd2zz__mmapz00(); 
BGl_importedzd2moduleszd2initz00zz__mmapz00(); 
return 
BGl_methodzd2initzd2zz__mmapz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__mmapz00()
{
{ /* Llib/mmap.scm 19 */
BGl_keyword1849z00zz__mmapz00 = 
bstring_to_keyword(BGl_string1850z00zz__mmapz00); 
BGl_keyword1851z00zz__mmapz00 = 
bstring_to_keyword(BGl_string1852z00zz__mmapz00); 
BGl_list1848z00zz__mmapz00 = 
MAKE_YOUNG_PAIR(BGl_keyword1849z00zz__mmapz00, 
MAKE_YOUNG_PAIR(BGl_keyword1851z00zz__mmapz00, BNIL)); 
BGl_symbol1853z00zz__mmapz00 = 
bstring_to_symbol(BGl_string1854z00zz__mmapz00); 
BGl_symbol1860z00zz__mmapz00 = 
bstring_to_symbol(BGl_string1861z00zz__mmapz00); 
BGl_symbol1880z00zz__mmapz00 = 
bstring_to_symbol(BGl_string1881z00zz__mmapz00); 
BGl_symbol1883z00zz__mmapz00 = 
bstring_to_symbol(BGl_string1884z00zz__mmapz00); 
BGl_symbol1886z00zz__mmapz00 = 
bstring_to_symbol(BGl_string1887z00zz__mmapz00); 
BGl_symbol1895z00zz__mmapz00 = 
bstring_to_symbol(BGl_string1896z00zz__mmapz00); 
return ( 
BGl_symbol1898z00zz__mmapz00 = 
bstring_to_symbol(BGl_string1893z00zz__mmapz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__mmapz00()
{
{ /* Llib/mmap.scm 19 */
return 
bgl_gc_roots_register();} 

}



/* mmap? */
BGL_EXPORTED_DEF bool_t BGl_mmapzf3zf3zz__mmapz00(obj_t BgL_objz00_3)
{
{ /* Llib/mmap.scm 117 */
return 
BGL_MMAPP(BgL_objz00_3);} 

}



/* &mmap? */
obj_t BGl_z62mmapzf3z91zz__mmapz00(obj_t BgL_envz00_2093, obj_t BgL_objz00_2094)
{
{ /* Llib/mmap.scm 117 */
return 
BBOOL(
BGl_mmapzf3zf3zz__mmapz00(BgL_objz00_2094));} 

}



/* _open-mmap */
obj_t BGl__openzd2mmapzd2zz__mmapz00(obj_t BgL_env1098z00_8, obj_t BgL_opt1097z00_7)
{
{ /* Llib/mmap.scm 123 */
{ /* Llib/mmap.scm 123 */
 obj_t BgL_g1105z00_1130;
BgL_g1105z00_1130 = 
VECTOR_REF(BgL_opt1097z00_7,((long)0)); 
{ /* Llib/mmap.scm 123 */
 obj_t BgL_readz00_1131;
BgL_readz00_1131 = BTRUE; 
{ /* Llib/mmap.scm 123 */
 obj_t BgL_writez00_1132;
BgL_writez00_1132 = BTRUE; 
{ /* Llib/mmap.scm 123 */

{ 
 long BgL_iz00_1133;
BgL_iz00_1133 = ((long)1); 
BgL_check1101z00_1134:
if(
(BgL_iz00_1133==
VECTOR_LENGTH(BgL_opt1097z00_7)))
{ /* Llib/mmap.scm 123 */BNIL; }  else 
{ /* Llib/mmap.scm 123 */
 bool_t BgL_test1980z00_2348;
{ /* Llib/mmap.scm 123 */
 obj_t BgL_arg1195z00_1140;
{ /* Llib/mmap.scm 123 */
 bool_t BgL_test1981z00_2349;
{ /* Llib/mmap.scm 123 */
 long BgL_tmpz00_2350;
BgL_tmpz00_2350 = 
VECTOR_LENGTH(BgL_opt1097z00_7); 
BgL_test1981z00_2349 = 
BOUND_CHECK(BgL_iz00_1133, BgL_tmpz00_2350); } 
if(BgL_test1981z00_2349)
{ /* Llib/mmap.scm 123 */
BgL_arg1195z00_1140 = 
VECTOR_REF(BgL_opt1097z00_7,BgL_iz00_1133); }  else 
{ 
 obj_t BgL_auxz00_2354;
BgL_auxz00_2354 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)5352)), BGl_string1847z00zz__mmapz00, BgL_opt1097z00_7, 
(int)(
VECTOR_LENGTH(BgL_opt1097z00_7)), 
(int)(BgL_iz00_1133)); 
FAILURE(BgL_auxz00_2354,BFALSE,BFALSE);} } 
BgL_test1980z00_2348 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1195z00_1140, BGl_list1848z00zz__mmapz00)); } 
if(BgL_test1980z00_2348)
{ 
 long BgL_iz00_2363;
BgL_iz00_2363 = 
(BgL_iz00_1133+((long)2)); 
BgL_iz00_1133 = BgL_iz00_2363; 
goto BgL_check1101z00_1134;}  else 
{ /* Llib/mmap.scm 123 */
 obj_t BgL_arg1194z00_1139;
{ /* Llib/mmap.scm 123 */
 bool_t BgL_test1982z00_2365;
{ /* Llib/mmap.scm 123 */
 long BgL_tmpz00_2366;
BgL_tmpz00_2366 = 
VECTOR_LENGTH(BgL_opt1097z00_7); 
BgL_test1982z00_2365 = 
BOUND_CHECK(BgL_iz00_1133, BgL_tmpz00_2366); } 
if(BgL_test1982z00_2365)
{ /* Llib/mmap.scm 123 */
BgL_arg1194z00_1139 = 
VECTOR_REF(BgL_opt1097z00_7,BgL_iz00_1133); }  else 
{ 
 obj_t BgL_auxz00_2370;
BgL_auxz00_2370 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)5352)), BGl_string1847z00zz__mmapz00, BgL_opt1097z00_7, 
(int)(
VECTOR_LENGTH(BgL_opt1097z00_7)), 
(int)(BgL_iz00_1133)); 
FAILURE(BgL_auxz00_2370,BFALSE,BFALSE);} } 
BGl_errorz00zz__errorz00(BGl_symbol1853z00zz__mmapz00, BGl_string1855z00zz__mmapz00, BgL_arg1194z00_1139); } } } 
{ /* Llib/mmap.scm 123 */
 obj_t BgL_index1103z00_1141;
BgL_index1103z00_1141 = 
BGl_search1100ze70ze7zz__mmapz00(
VECTOR_LENGTH(BgL_opt1097z00_7), BgL_opt1097z00_7, BGl_keyword1849z00zz__mmapz00, ((long)1)); 
{ /* Llib/mmap.scm 123 */
 bool_t BgL_test1983z00_2380;
{ /* Llib/mmap.scm 123 */
 long BgL_n1z00_1706;
{ /* Llib/mmap.scm 123 */
 obj_t BgL_tmpz00_2381;
if(
INTEGERP(BgL_index1103z00_1141))
{ /* Llib/mmap.scm 123 */
BgL_tmpz00_2381 = BgL_index1103z00_1141
; }  else 
{ 
 obj_t BgL_auxz00_2384;
BgL_auxz00_2384 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)5352)), BGl_string1856z00zz__mmapz00, BGl_string1857z00zz__mmapz00, BgL_index1103z00_1141); 
FAILURE(BgL_auxz00_2384,BFALSE,BFALSE);} 
BgL_n1z00_1706 = 
(long)CINT(BgL_tmpz00_2381); } 
BgL_test1983z00_2380 = 
(BgL_n1z00_1706>=((long)0)); } 
if(BgL_test1983z00_2380)
{ 
 long BgL_auxz00_2390;
{ /* Llib/mmap.scm 123 */
 obj_t BgL_tmpz00_2391;
if(
INTEGERP(BgL_index1103z00_1141))
{ /* Llib/mmap.scm 123 */
BgL_tmpz00_2391 = BgL_index1103z00_1141
; }  else 
{ 
 obj_t BgL_auxz00_2394;
BgL_auxz00_2394 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)5352)), BGl_string1856z00zz__mmapz00, BGl_string1857z00zz__mmapz00, BgL_index1103z00_1141); 
FAILURE(BgL_auxz00_2394,BFALSE,BFALSE);} 
BgL_auxz00_2390 = 
(long)CINT(BgL_tmpz00_2391); } 
BgL_readz00_1131 = 
VECTOR_REF(BgL_opt1097z00_7,BgL_auxz00_2390); }  else 
{ /* Llib/mmap.scm 123 */BFALSE; } } } 
{ /* Llib/mmap.scm 123 */
 obj_t BgL_index1104z00_1143;
BgL_index1104z00_1143 = 
BGl_search1100ze70ze7zz__mmapz00(
VECTOR_LENGTH(BgL_opt1097z00_7), BgL_opt1097z00_7, BGl_keyword1851z00zz__mmapz00, ((long)1)); 
{ /* Llib/mmap.scm 123 */
 bool_t BgL_test1986z00_2402;
{ /* Llib/mmap.scm 123 */
 long BgL_n1z00_1707;
{ /* Llib/mmap.scm 123 */
 obj_t BgL_tmpz00_2403;
if(
INTEGERP(BgL_index1104z00_1143))
{ /* Llib/mmap.scm 123 */
BgL_tmpz00_2403 = BgL_index1104z00_1143
; }  else 
{ 
 obj_t BgL_auxz00_2406;
BgL_auxz00_2406 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)5352)), BGl_string1856z00zz__mmapz00, BGl_string1857z00zz__mmapz00, BgL_index1104z00_1143); 
FAILURE(BgL_auxz00_2406,BFALSE,BFALSE);} 
BgL_n1z00_1707 = 
(long)CINT(BgL_tmpz00_2403); } 
BgL_test1986z00_2402 = 
(BgL_n1z00_1707>=((long)0)); } 
if(BgL_test1986z00_2402)
{ 
 long BgL_auxz00_2412;
{ /* Llib/mmap.scm 123 */
 obj_t BgL_tmpz00_2413;
if(
INTEGERP(BgL_index1104z00_1143))
{ /* Llib/mmap.scm 123 */
BgL_tmpz00_2413 = BgL_index1104z00_1143
; }  else 
{ 
 obj_t BgL_auxz00_2416;
BgL_auxz00_2416 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)5352)), BGl_string1856z00zz__mmapz00, BGl_string1857z00zz__mmapz00, BgL_index1104z00_1143); 
FAILURE(BgL_auxz00_2416,BFALSE,BFALSE);} 
BgL_auxz00_2412 = 
(long)CINT(BgL_tmpz00_2413); } 
BgL_writez00_1132 = 
VECTOR_REF(BgL_opt1097z00_7,BgL_auxz00_2412); }  else 
{ /* Llib/mmap.scm 123 */BFALSE; } } } 
{ /* Llib/mmap.scm 123 */
 obj_t BgL_arg1199z00_1145;
BgL_arg1199z00_1145 = 
VECTOR_REF(BgL_opt1097z00_7,((long)0)); 
{ /* Llib/mmap.scm 123 */
 obj_t BgL_readz00_1146;
BgL_readz00_1146 = BgL_readz00_1131; 
{ /* Llib/mmap.scm 123 */
 obj_t BgL_writez00_1147;
BgL_writez00_1147 = BgL_writez00_1132; 
{ /* Llib/mmap.scm 123 */
 obj_t BgL_namez00_1708;
if(
STRINGP(BgL_arg1199z00_1145))
{ /* Llib/mmap.scm 123 */
BgL_namez00_1708 = BgL_arg1199z00_1145; }  else 
{ 
 obj_t BgL_auxz00_2425;
BgL_auxz00_2425 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)5352)), BGl_string1856z00zz__mmapz00, BGl_string1858z00zz__mmapz00, BgL_arg1199z00_1145); 
FAILURE(BgL_auxz00_2425,BFALSE,BFALSE);} 
{ /* Llib/mmap.scm 124 */
 bool_t BgL_auxz00_2431; bool_t BgL_tmpz00_2429;
BgL_auxz00_2431 = 
CBOOL(BgL_writez00_1147); 
BgL_tmpz00_2429 = 
CBOOL(BgL_readz00_1146); 
return 
bgl_open_mmap(BgL_namez00_1708, BgL_tmpz00_2429, BgL_auxz00_2431);} } } } } } } } } } 

}



/* search1100~0 */
obj_t BGl_search1100ze70ze7zz__mmapz00(long BgL_l1099z00_2151, obj_t BgL_opt1097z00_2150, obj_t BgL_k1z00_1127, long BgL_iz00_1128)
{
{ /* Llib/mmap.scm 123 */
BGl_search1100ze70ze7zz__mmapz00:
if(
(BgL_iz00_1128==BgL_l1099z00_2151))
{ /* Llib/mmap.scm 123 */
return 
BINT(((long)-1));}  else 
{ /* Llib/mmap.scm 123 */
if(
(BgL_iz00_1128==
(BgL_l1099z00_2151-((long)1))))
{ /* Llib/mmap.scm 123 */
return 
BGl_errorz00zz__errorz00(BGl_symbol1853z00zz__mmapz00, BGl_string1859z00zz__mmapz00, 
BINT(
VECTOR_LENGTH(BgL_opt1097z00_2150)));}  else 
{ /* Llib/mmap.scm 123 */
 obj_t BgL_vz00_1152;
BgL_vz00_1152 = 
VECTOR_REF(BgL_opt1097z00_2150,BgL_iz00_1128); 
if(
(BgL_vz00_1152==BgL_k1z00_1127))
{ /* Llib/mmap.scm 123 */
return 
BINT(
(BgL_iz00_1128+((long)1)));}  else 
{ 
 long BgL_iz00_2448;
BgL_iz00_2448 = 
(BgL_iz00_1128+((long)2)); 
BgL_iz00_1128 = BgL_iz00_2448; 
goto BGl_search1100ze70ze7zz__mmapz00;} } } } 

}



/* open-mmap */
BGL_EXPORTED_DEF obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t BgL_namez00_4, obj_t BgL_readz00_5, obj_t BgL_writez00_6)
{
{ /* Llib/mmap.scm 123 */
{ /* Llib/mmap.scm 124 */
 bool_t BgL_auxz00_2452; bool_t BgL_tmpz00_2450;
BgL_auxz00_2452 = 
CBOOL(BgL_writez00_6); 
BgL_tmpz00_2450 = 
CBOOL(BgL_readz00_5); 
return 
bgl_open_mmap(BgL_namez00_4, BgL_tmpz00_2450, BgL_auxz00_2452);} } 

}



/* _string->mmap */
obj_t BGl__stringzd2ze3mmapz31zz__mmapz00(obj_t BgL_env1107z00_13, obj_t BgL_opt1106z00_12)
{
{ /* Llib/mmap.scm 129 */
{ /* Llib/mmap.scm 129 */
 obj_t BgL_g1114z00_1160;
BgL_g1114z00_1160 = 
VECTOR_REF(BgL_opt1106z00_12,((long)0)); 
{ /* Llib/mmap.scm 129 */
 obj_t BgL_readz00_1161;
BgL_readz00_1161 = BTRUE; 
{ /* Llib/mmap.scm 129 */
 obj_t BgL_writez00_1162;
BgL_writez00_1162 = BTRUE; 
{ /* Llib/mmap.scm 129 */

{ 
 long BgL_iz00_1163;
BgL_iz00_1163 = ((long)1); 
BgL_check1110z00_1164:
if(
(BgL_iz00_1163==
VECTOR_LENGTH(BgL_opt1106z00_12)))
{ /* Llib/mmap.scm 129 */BNIL; }  else 
{ /* Llib/mmap.scm 129 */
 bool_t BgL_test1994z00_2459;
{ /* Llib/mmap.scm 129 */
 obj_t BgL_arg1223z00_1170;
{ /* Llib/mmap.scm 129 */
 bool_t BgL_test1995z00_2460;
{ /* Llib/mmap.scm 129 */
 long BgL_tmpz00_2461;
BgL_tmpz00_2461 = 
VECTOR_LENGTH(BgL_opt1106z00_12); 
BgL_test1995z00_2460 = 
BOUND_CHECK(BgL_iz00_1163, BgL_tmpz00_2461); } 
if(BgL_test1995z00_2460)
{ /* Llib/mmap.scm 129 */
BgL_arg1223z00_1170 = 
VECTOR_REF(BgL_opt1106z00_12,BgL_iz00_1163); }  else 
{ 
 obj_t BgL_auxz00_2465;
BgL_auxz00_2465 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)5669)), BGl_string1847z00zz__mmapz00, BgL_opt1106z00_12, 
(int)(
VECTOR_LENGTH(BgL_opt1106z00_12)), 
(int)(BgL_iz00_1163)); 
FAILURE(BgL_auxz00_2465,BFALSE,BFALSE);} } 
BgL_test1994z00_2459 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1223z00_1170, BGl_list1848z00zz__mmapz00)); } 
if(BgL_test1994z00_2459)
{ 
 long BgL_iz00_2474;
BgL_iz00_2474 = 
(BgL_iz00_1163+((long)2)); 
BgL_iz00_1163 = BgL_iz00_2474; 
goto BgL_check1110z00_1164;}  else 
{ /* Llib/mmap.scm 129 */
 obj_t BgL_arg1222z00_1169;
{ /* Llib/mmap.scm 129 */
 bool_t BgL_test1996z00_2476;
{ /* Llib/mmap.scm 129 */
 long BgL_tmpz00_2477;
BgL_tmpz00_2477 = 
VECTOR_LENGTH(BgL_opt1106z00_12); 
BgL_test1996z00_2476 = 
BOUND_CHECK(BgL_iz00_1163, BgL_tmpz00_2477); } 
if(BgL_test1996z00_2476)
{ /* Llib/mmap.scm 129 */
BgL_arg1222z00_1169 = 
VECTOR_REF(BgL_opt1106z00_12,BgL_iz00_1163); }  else 
{ 
 obj_t BgL_auxz00_2481;
BgL_auxz00_2481 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)5669)), BGl_string1847z00zz__mmapz00, BgL_opt1106z00_12, 
(int)(
VECTOR_LENGTH(BgL_opt1106z00_12)), 
(int)(BgL_iz00_1163)); 
FAILURE(BgL_auxz00_2481,BFALSE,BFALSE);} } 
BGl_errorz00zz__errorz00(BGl_symbol1860z00zz__mmapz00, BGl_string1855z00zz__mmapz00, BgL_arg1222z00_1169); } } } 
{ /* Llib/mmap.scm 129 */
 obj_t BgL_index1112z00_1171;
BgL_index1112z00_1171 = 
BGl_search1109ze70ze7zz__mmapz00(
VECTOR_LENGTH(BgL_opt1106z00_12), BgL_opt1106z00_12, BGl_keyword1849z00zz__mmapz00, ((long)1)); 
{ /* Llib/mmap.scm 129 */
 bool_t BgL_test1997z00_2491;
{ /* Llib/mmap.scm 129 */
 long BgL_n1z00_1724;
{ /* Llib/mmap.scm 129 */
 obj_t BgL_tmpz00_2492;
if(
INTEGERP(BgL_index1112z00_1171))
{ /* Llib/mmap.scm 129 */
BgL_tmpz00_2492 = BgL_index1112z00_1171
; }  else 
{ 
 obj_t BgL_auxz00_2495;
BgL_auxz00_2495 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)5669)), BGl_string1862z00zz__mmapz00, BGl_string1857z00zz__mmapz00, BgL_index1112z00_1171); 
FAILURE(BgL_auxz00_2495,BFALSE,BFALSE);} 
BgL_n1z00_1724 = 
(long)CINT(BgL_tmpz00_2492); } 
BgL_test1997z00_2491 = 
(BgL_n1z00_1724>=((long)0)); } 
if(BgL_test1997z00_2491)
{ 
 long BgL_auxz00_2501;
{ /* Llib/mmap.scm 129 */
 obj_t BgL_tmpz00_2502;
if(
INTEGERP(BgL_index1112z00_1171))
{ /* Llib/mmap.scm 129 */
BgL_tmpz00_2502 = BgL_index1112z00_1171
; }  else 
{ 
 obj_t BgL_auxz00_2505;
BgL_auxz00_2505 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)5669)), BGl_string1862z00zz__mmapz00, BGl_string1857z00zz__mmapz00, BgL_index1112z00_1171); 
FAILURE(BgL_auxz00_2505,BFALSE,BFALSE);} 
BgL_auxz00_2501 = 
(long)CINT(BgL_tmpz00_2502); } 
BgL_readz00_1161 = 
VECTOR_REF(BgL_opt1106z00_12,BgL_auxz00_2501); }  else 
{ /* Llib/mmap.scm 129 */BFALSE; } } } 
{ /* Llib/mmap.scm 129 */
 obj_t BgL_index1113z00_1173;
BgL_index1113z00_1173 = 
BGl_search1109ze70ze7zz__mmapz00(
VECTOR_LENGTH(BgL_opt1106z00_12), BgL_opt1106z00_12, BGl_keyword1851z00zz__mmapz00, ((long)1)); 
{ /* Llib/mmap.scm 129 */
 bool_t BgL_test2000z00_2513;
{ /* Llib/mmap.scm 129 */
 long BgL_n1z00_1725;
{ /* Llib/mmap.scm 129 */
 obj_t BgL_tmpz00_2514;
if(
INTEGERP(BgL_index1113z00_1173))
{ /* Llib/mmap.scm 129 */
BgL_tmpz00_2514 = BgL_index1113z00_1173
; }  else 
{ 
 obj_t BgL_auxz00_2517;
BgL_auxz00_2517 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)5669)), BGl_string1862z00zz__mmapz00, BGl_string1857z00zz__mmapz00, BgL_index1113z00_1173); 
FAILURE(BgL_auxz00_2517,BFALSE,BFALSE);} 
BgL_n1z00_1725 = 
(long)CINT(BgL_tmpz00_2514); } 
BgL_test2000z00_2513 = 
(BgL_n1z00_1725>=((long)0)); } 
if(BgL_test2000z00_2513)
{ 
 long BgL_auxz00_2523;
{ /* Llib/mmap.scm 129 */
 obj_t BgL_tmpz00_2524;
if(
INTEGERP(BgL_index1113z00_1173))
{ /* Llib/mmap.scm 129 */
BgL_tmpz00_2524 = BgL_index1113z00_1173
; }  else 
{ 
 obj_t BgL_auxz00_2527;
BgL_auxz00_2527 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)5669)), BGl_string1862z00zz__mmapz00, BGl_string1857z00zz__mmapz00, BgL_index1113z00_1173); 
FAILURE(BgL_auxz00_2527,BFALSE,BFALSE);} 
BgL_auxz00_2523 = 
(long)CINT(BgL_tmpz00_2524); } 
BgL_writez00_1162 = 
VECTOR_REF(BgL_opt1106z00_12,BgL_auxz00_2523); }  else 
{ /* Llib/mmap.scm 129 */BFALSE; } } } 
{ /* Llib/mmap.scm 129 */
 obj_t BgL_arg1232z00_1175;
BgL_arg1232z00_1175 = 
VECTOR_REF(BgL_opt1106z00_12,((long)0)); 
{ /* Llib/mmap.scm 129 */
 obj_t BgL_readz00_1176;
BgL_readz00_1176 = BgL_readz00_1161; 
{ /* Llib/mmap.scm 129 */
 obj_t BgL_writez00_1177;
BgL_writez00_1177 = BgL_writez00_1162; 
{ /* Llib/mmap.scm 129 */
 obj_t BgL_sz00_1726;
if(
STRINGP(BgL_arg1232z00_1175))
{ /* Llib/mmap.scm 129 */
BgL_sz00_1726 = BgL_arg1232z00_1175; }  else 
{ 
 obj_t BgL_auxz00_2536;
BgL_auxz00_2536 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)5669)), BGl_string1862z00zz__mmapz00, BGl_string1858z00zz__mmapz00, BgL_arg1232z00_1175); 
FAILURE(BgL_auxz00_2536,BFALSE,BFALSE);} 
{ /* Llib/mmap.scm 130 */
 bool_t BgL_auxz00_2542; bool_t BgL_tmpz00_2540;
BgL_auxz00_2542 = 
CBOOL(BgL_writez00_1177); 
BgL_tmpz00_2540 = 
CBOOL(BgL_readz00_1176); 
return 
bgl_string_to_mmap(BgL_sz00_1726, BgL_tmpz00_2540, BgL_auxz00_2542);} } } } } } } } } } 

}



/* search1109~0 */
obj_t BGl_search1109ze70ze7zz__mmapz00(long BgL_l1108z00_2149, obj_t BgL_opt1106z00_2148, obj_t BgL_k1z00_1157, long BgL_iz00_1158)
{
{ /* Llib/mmap.scm 129 */
BGl_search1109ze70ze7zz__mmapz00:
if(
(BgL_iz00_1158==BgL_l1108z00_2149))
{ /* Llib/mmap.scm 129 */
return 
BINT(((long)-1));}  else 
{ /* Llib/mmap.scm 129 */
if(
(BgL_iz00_1158==
(BgL_l1108z00_2149-((long)1))))
{ /* Llib/mmap.scm 129 */
return 
BGl_errorz00zz__errorz00(BGl_symbol1860z00zz__mmapz00, BGl_string1859z00zz__mmapz00, 
BINT(
VECTOR_LENGTH(BgL_opt1106z00_2148)));}  else 
{ /* Llib/mmap.scm 129 */
 obj_t BgL_vz00_1182;
BgL_vz00_1182 = 
VECTOR_REF(BgL_opt1106z00_2148,BgL_iz00_1158); 
if(
(BgL_vz00_1182==BgL_k1z00_1157))
{ /* Llib/mmap.scm 129 */
return 
BINT(
(BgL_iz00_1158+((long)1)));}  else 
{ 
 long BgL_iz00_2559;
BgL_iz00_2559 = 
(BgL_iz00_1158+((long)2)); 
BgL_iz00_1158 = BgL_iz00_2559; 
goto BGl_search1109ze70ze7zz__mmapz00;} } } } 

}



/* string->mmap */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3mmapz31zz__mmapz00(obj_t BgL_sz00_9, obj_t BgL_readz00_10, obj_t BgL_writez00_11)
{
{ /* Llib/mmap.scm 129 */
{ /* Llib/mmap.scm 130 */
 bool_t BgL_auxz00_2563; bool_t BgL_tmpz00_2561;
BgL_auxz00_2563 = 
CBOOL(BgL_writez00_11); 
BgL_tmpz00_2561 = 
CBOOL(BgL_readz00_10); 
return 
bgl_string_to_mmap(BgL_sz00_9, BgL_tmpz00_2561, BgL_auxz00_2563);} } 

}



/* mmap-name */
BGL_EXPORTED_DEF obj_t BGl_mmapzd2namezd2zz__mmapz00(obj_t BgL_mmapz00_14)
{
{ /* Llib/mmap.scm 135 */
{ /* Llib/mmap.scm 136 */
 obj_t BgL_aux1766z00_2276;
BgL_aux1766z00_2276 = 
BGL_MMAP_NAME(BgL_mmapz00_14); 
if(
STRINGP(BgL_aux1766z00_2276))
{ /* Llib/mmap.scm 136 */
return BgL_aux1766z00_2276;}  else 
{ 
 obj_t BgL_auxz00_2569;
BgL_auxz00_2569 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)6027)), BGl_string1863z00zz__mmapz00, BGl_string1858z00zz__mmapz00, BgL_aux1766z00_2276); 
FAILURE(BgL_auxz00_2569,BFALSE,BFALSE);} } } 

}



/* &mmap-name */
obj_t BGl_z62mmapzd2namezb0zz__mmapz00(obj_t BgL_envz00_2095, obj_t BgL_mmapz00_2096)
{
{ /* Llib/mmap.scm 135 */
{ /* Llib/mmap.scm 136 */
 obj_t BgL_auxz00_2573;
if(
BGL_MMAPP(BgL_mmapz00_2096))
{ /* Llib/mmap.scm 136 */
BgL_auxz00_2573 = BgL_mmapz00_2096
; }  else 
{ 
 obj_t BgL_auxz00_2576;
BgL_auxz00_2576 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)6027)), BGl_string1864z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmapz00_2096); 
FAILURE(BgL_auxz00_2576,BFALSE,BFALSE);} 
return 
BGl_mmapzd2namezd2zz__mmapz00(BgL_auxz00_2573);} } 

}



/* mmap->string */
BGL_EXPORTED_DEF char * BGl_mmapzd2ze3stringz31zz__mmapz00(obj_t BgL_mmapz00_15)
{
{ /* Llib/mmap.scm 141 */
return 
BGL_MMAP_TO_STRING(BgL_mmapz00_15);} 

}



/* &mmap->string */
obj_t BGl_z62mmapzd2ze3stringz53zz__mmapz00(obj_t BgL_envz00_2097, obj_t BgL_mmapz00_2098)
{
{ /* Llib/mmap.scm 141 */
{ /* Llib/mmap.scm 142 */
 char * BgL_tmpz00_2582;
{ /* Llib/mmap.scm 142 */
 obj_t BgL_auxz00_2583;
if(
BGL_MMAPP(BgL_mmapz00_2098))
{ /* Llib/mmap.scm 142 */
BgL_auxz00_2583 = BgL_mmapz00_2098
; }  else 
{ 
 obj_t BgL_auxz00_2586;
BgL_auxz00_2586 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)6321)), BGl_string1866z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmapz00_2098); 
FAILURE(BgL_auxz00_2586,BFALSE,BFALSE);} 
BgL_tmpz00_2582 = 
BGl_mmapzd2ze3stringz31zz__mmapz00(BgL_auxz00_2583); } 
return 
string_to_bstring(BgL_tmpz00_2582);} } 

}



/* mmap->bstring */
BGL_EXPORTED_DEF obj_t BGl_mmapzd2ze3bstringz31zz__mmapz00(obj_t BgL_mmapz00_16)
{
{ /* Llib/mmap.scm 147 */
{ /* Llib/mmap.scm 148 */
 int BgL_lenz00_2277;
{ /* Llib/mmap.scm 148 */
 long BgL_arg1247z00_2278;
BgL_arg1247z00_2278 = 
BGL_MMAP_LENGTH(BgL_mmapz00_16); 
BgL_lenz00_2277 = 
(int)(
(long)(BgL_arg1247z00_2278)); } 
{ /* Llib/mmap.scm 149 */
 char * BgL_arg1246z00_2279;
BgL_arg1246z00_2279 = 
BGL_MMAP_TO_STRING(BgL_mmapz00_16); 
return 
string_to_bstring_len(BgL_arg1246z00_2279, BgL_lenz00_2277);} } } 

}



/* &mmap->bstring */
obj_t BGl_z62mmapzd2ze3bstringz53zz__mmapz00(obj_t BgL_envz00_2099, obj_t BgL_mmapz00_2100)
{
{ /* Llib/mmap.scm 147 */
{ /* Llib/mmap.scm 148 */
 obj_t BgL_auxz00_2597;
if(
BGL_MMAPP(BgL_mmapz00_2100))
{ /* Llib/mmap.scm 148 */
BgL_auxz00_2597 = BgL_mmapz00_2100
; }  else 
{ 
 obj_t BgL_auxz00_2600;
BgL_auxz00_2600 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)6620)), BGl_string1867z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmapz00_2100); 
FAILURE(BgL_auxz00_2600,BFALSE,BFALSE);} 
return 
BGl_mmapzd2ze3bstringz31zz__mmapz00(BgL_auxz00_2597);} } 

}



/* close-mmap */
BGL_EXPORTED_DEF obj_t BGl_closezd2mmapzd2zz__mmapz00(obj_t BgL_mmapz00_17)
{
{ /* Llib/mmap.scm 154 */
return 
bgl_close_mmap(BgL_mmapz00_17);} 

}



/* &close-mmap */
obj_t BGl_z62closezd2mmapzb0zz__mmapz00(obj_t BgL_envz00_2101, obj_t BgL_mmapz00_2102)
{
{ /* Llib/mmap.scm 154 */
{ /* Llib/mmap.scm 155 */
 obj_t BgL_auxz00_2606;
if(
BGL_MMAPP(BgL_mmapz00_2102))
{ /* Llib/mmap.scm 155 */
BgL_auxz00_2606 = BgL_mmapz00_2102
; }  else 
{ 
 obj_t BgL_auxz00_2609;
BgL_auxz00_2609 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)6996)), BGl_string1868z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmapz00_2102); 
FAILURE(BgL_auxz00_2609,BFALSE,BFALSE);} 
return 
BGl_closezd2mmapzd2zz__mmapz00(BgL_auxz00_2606);} } 

}



/* mmap-length */
BGL_EXPORTED_DEF long BGl_mmapzd2lengthzd2zz__mmapz00(obj_t BgL_objz00_18)
{
{ /* Llib/mmap.scm 160 */
return 
BGL_MMAP_LENGTH(BgL_objz00_18);} 

}



/* &mmap-length */
obj_t BGl_z62mmapzd2lengthzb0zz__mmapz00(obj_t BgL_envz00_2103, obj_t BgL_objz00_2104)
{
{ /* Llib/mmap.scm 160 */
{ /* Llib/mmap.scm 161 */
 long BgL_tmpz00_2615;
{ /* Llib/mmap.scm 161 */
 obj_t BgL_auxz00_2616;
if(
BGL_MMAPP(BgL_objz00_2104))
{ /* Llib/mmap.scm 161 */
BgL_auxz00_2616 = BgL_objz00_2104
; }  else 
{ 
 obj_t BgL_auxz00_2619;
BgL_auxz00_2619 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)7281)), BGl_string1869z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_objz00_2104); 
FAILURE(BgL_auxz00_2619,BFALSE,BFALSE);} 
BgL_tmpz00_2615 = 
BGl_mmapzd2lengthzd2zz__mmapz00(BgL_auxz00_2616); } 
return 
make_belong(BgL_tmpz00_2615);} } 

}



/* mmap-read-position */
BGL_EXPORTED_DEF long BGl_mmapzd2readzd2positionz00zz__mmapz00(obj_t BgL_mmz00_19)
{
{ /* Llib/mmap.scm 166 */
return 
BGL_MMAP_RP_GET(BgL_mmz00_19);} 

}



/* &mmap-read-position */
obj_t BGl_z62mmapzd2readzd2positionz62zz__mmapz00(obj_t BgL_envz00_2105, obj_t BgL_mmz00_2106)
{
{ /* Llib/mmap.scm 166 */
{ /* Llib/mmap.scm 167 */
 long BgL_tmpz00_2626;
{ /* Llib/mmap.scm 167 */
 obj_t BgL_auxz00_2627;
if(
BGL_MMAPP(BgL_mmz00_2106))
{ /* Llib/mmap.scm 167 */
BgL_auxz00_2627 = BgL_mmz00_2106
; }  else 
{ 
 obj_t BgL_auxz00_2630;
BgL_auxz00_2630 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)7572)), BGl_string1870z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmz00_2106); 
FAILURE(BgL_auxz00_2630,BFALSE,BFALSE);} 
BgL_tmpz00_2626 = 
BGl_mmapzd2readzd2positionz00zz__mmapz00(BgL_auxz00_2627); } 
return 
make_belong(BgL_tmpz00_2626);} } 

}



/* mmap-read-position-set! */
BGL_EXPORTED_DEF long BGl_mmapzd2readzd2positionzd2setz12zc0zz__mmapz00(obj_t BgL_mmz00_20, long BgL_pz00_21)
{
{ /* Llib/mmap.scm 172 */
BGL_MMAP_RP_SET(BgL_mmz00_20, BgL_pz00_21); BUNSPEC; 
return BgL_pz00_21;} 

}



/* &mmap-read-position-set! */
obj_t BGl_z62mmapzd2readzd2positionzd2setz12za2zz__mmapz00(obj_t BgL_envz00_2107, obj_t BgL_mmz00_2108, obj_t BgL_pz00_2109)
{
{ /* Llib/mmap.scm 172 */
{ /* Llib/mmap.scm 173 */
 long BgL_tmpz00_2637;
{ /* Llib/mmap.scm 173 */
 long BgL_auxz00_2645; obj_t BgL_auxz00_2638;
{ /* Llib/mmap.scm 173 */
 obj_t BgL_tmpz00_2646;
if(
ELONGP(BgL_pz00_2109))
{ /* Llib/mmap.scm 173 */
BgL_tmpz00_2646 = BgL_pz00_2109
; }  else 
{ 
 obj_t BgL_auxz00_2649;
BgL_auxz00_2649 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)7884)), BGl_string1871z00zz__mmapz00, BGl_string1872z00zz__mmapz00, BgL_pz00_2109); 
FAILURE(BgL_auxz00_2649,BFALSE,BFALSE);} 
BgL_auxz00_2645 = 
BELONG_TO_LONG(BgL_tmpz00_2646); } 
if(
BGL_MMAPP(BgL_mmz00_2108))
{ /* Llib/mmap.scm 173 */
BgL_auxz00_2638 = BgL_mmz00_2108
; }  else 
{ 
 obj_t BgL_auxz00_2641;
BgL_auxz00_2641 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)7884)), BGl_string1871z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmz00_2108); 
FAILURE(BgL_auxz00_2641,BFALSE,BFALSE);} 
BgL_tmpz00_2637 = 
BGl_mmapzd2readzd2positionzd2setz12zc0zz__mmapz00(BgL_auxz00_2638, BgL_auxz00_2645); } 
return 
make_belong(BgL_tmpz00_2637);} } 

}



/* mmap-write-position */
BGL_EXPORTED_DEF long BGl_mmapzd2writezd2positionz00zz__mmapz00(obj_t BgL_mmz00_22)
{
{ /* Llib/mmap.scm 179 */
return 
BGL_MMAP_WP_GET(BgL_mmz00_22);} 

}



/* &mmap-write-position */
obj_t BGl_z62mmapzd2writezd2positionz62zz__mmapz00(obj_t BgL_envz00_2110, obj_t BgL_mmz00_2111)
{
{ /* Llib/mmap.scm 179 */
{ /* Llib/mmap.scm 180 */
 long BgL_tmpz00_2657;
{ /* Llib/mmap.scm 180 */
 obj_t BgL_auxz00_2658;
if(
BGL_MMAPP(BgL_mmz00_2111))
{ /* Llib/mmap.scm 180 */
BgL_auxz00_2658 = BgL_mmz00_2111
; }  else 
{ 
 obj_t BgL_auxz00_2661;
BgL_auxz00_2661 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)8164)), BGl_string1873z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmz00_2111); 
FAILURE(BgL_auxz00_2661,BFALSE,BFALSE);} 
BgL_tmpz00_2657 = 
BGl_mmapzd2writezd2positionz00zz__mmapz00(BgL_auxz00_2658); } 
return 
make_belong(BgL_tmpz00_2657);} } 

}



/* mmap-write-position-set! */
BGL_EXPORTED_DEF long BGl_mmapzd2writezd2positionzd2setz12zc0zz__mmapz00(obj_t BgL_mmz00_23, long BgL_pz00_24)
{
{ /* Llib/mmap.scm 185 */
BGL_MMAP_WP_SET(BgL_mmz00_23, BgL_pz00_24); BUNSPEC; 
return BgL_pz00_24;} 

}



/* &mmap-write-position-set! */
obj_t BGl_z62mmapzd2writezd2positionzd2setz12za2zz__mmapz00(obj_t BgL_envz00_2112, obj_t BgL_mmz00_2113, obj_t BgL_pz00_2114)
{
{ /* Llib/mmap.scm 185 */
{ /* Llib/mmap.scm 186 */
 long BgL_tmpz00_2668;
{ /* Llib/mmap.scm 186 */
 long BgL_auxz00_2676; obj_t BgL_auxz00_2669;
{ /* Llib/mmap.scm 186 */
 obj_t BgL_tmpz00_2677;
if(
ELONGP(BgL_pz00_2114))
{ /* Llib/mmap.scm 186 */
BgL_tmpz00_2677 = BgL_pz00_2114
; }  else 
{ 
 obj_t BgL_auxz00_2680;
BgL_auxz00_2680 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)8477)), BGl_string1874z00zz__mmapz00, BGl_string1872z00zz__mmapz00, BgL_pz00_2114); 
FAILURE(BgL_auxz00_2680,BFALSE,BFALSE);} 
BgL_auxz00_2676 = 
BELONG_TO_LONG(BgL_tmpz00_2677); } 
if(
BGL_MMAPP(BgL_mmz00_2113))
{ /* Llib/mmap.scm 186 */
BgL_auxz00_2669 = BgL_mmz00_2113
; }  else 
{ 
 obj_t BgL_auxz00_2672;
BgL_auxz00_2672 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)8477)), BGl_string1874z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmz00_2113); 
FAILURE(BgL_auxz00_2672,BFALSE,BFALSE);} 
BgL_tmpz00_2668 = 
BGl_mmapzd2writezd2positionzd2setz12zc0zz__mmapz00(BgL_auxz00_2669, BgL_auxz00_2676); } 
return 
make_belong(BgL_tmpz00_2668);} } 

}



/* mmap-ref-ur */
BGL_EXPORTED_DEF unsigned char BGl_mmapzd2refzd2urz00zz__mmapz00(obj_t BgL_mmz00_25, long BgL_iz00_26)
{
{ /* Llib/mmap.scm 192 */
{ /* Llib/mmap.scm 193 */
 unsigned char BgL_cz00_2280;
BgL_cz00_2280 = 
BGL_MMAP_REF(BgL_mmz00_25, BgL_iz00_26); 
{ /* Llib/mmap.scm 194 */
 long BgL_arg1253z00_2281;
BgL_arg1253z00_2281 = 
(BgL_iz00_26+((long)1)); 
BGL_MMAP_RP_SET(BgL_mmz00_25, BgL_arg1253z00_2281); BUNSPEC; BgL_arg1253z00_2281; } 
return BgL_cz00_2280;} } 

}



/* &mmap-ref-ur */
obj_t BGl_z62mmapzd2refzd2urz62zz__mmapz00(obj_t BgL_envz00_2115, obj_t BgL_mmz00_2116, obj_t BgL_iz00_2117)
{
{ /* Llib/mmap.scm 192 */
{ /* Llib/mmap.scm 193 */
 unsigned char BgL_tmpz00_2690;
{ /* Llib/mmap.scm 193 */
 long BgL_auxz00_2698; obj_t BgL_auxz00_2691;
{ /* Llib/mmap.scm 193 */
 obj_t BgL_tmpz00_2699;
if(
ELONGP(BgL_iz00_2117))
{ /* Llib/mmap.scm 193 */
BgL_tmpz00_2699 = BgL_iz00_2117
; }  else 
{ 
 obj_t BgL_auxz00_2702;
BgL_auxz00_2702 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)8765)), BGl_string1875z00zz__mmapz00, BGl_string1872z00zz__mmapz00, BgL_iz00_2117); 
FAILURE(BgL_auxz00_2702,BFALSE,BFALSE);} 
BgL_auxz00_2698 = 
BELONG_TO_LONG(BgL_tmpz00_2699); } 
if(
BGL_MMAPP(BgL_mmz00_2116))
{ /* Llib/mmap.scm 193 */
BgL_auxz00_2691 = BgL_mmz00_2116
; }  else 
{ 
 obj_t BgL_auxz00_2694;
BgL_auxz00_2694 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)8765)), BGl_string1875z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmz00_2116); 
FAILURE(BgL_auxz00_2694,BFALSE,BFALSE);} 
BgL_tmpz00_2690 = 
BGl_mmapzd2refzd2urz00zz__mmapz00(BgL_auxz00_2691, BgL_auxz00_2698); } 
return 
BCHAR(BgL_tmpz00_2690);} } 

}



/* mmap-set-ur! */
BGL_EXPORTED_DEF obj_t BGl_mmapzd2setzd2urz12z12zz__mmapz00(obj_t BgL_mmz00_27, long BgL_iz00_28, unsigned char BgL_cz00_29)
{
{ /* Llib/mmap.scm 200 */
BGL_MMAP_SET(BgL_mmz00_27, BgL_iz00_28, BgL_cz00_29); 
{ /* Llib/mmap.scm 202 */
 long BgL_arg1254z00_2282;
BgL_arg1254z00_2282 = 
(BgL_iz00_28+((long)1)); 
BGL_MMAP_WP_SET(BgL_mmz00_27, BgL_arg1254z00_2282); BUNSPEC; 
return 
make_belong(BgL_arg1254z00_2282);} } 

}



/* &mmap-set-ur! */
obj_t BGl_z62mmapzd2setzd2urz12z70zz__mmapz00(obj_t BgL_envz00_2118, obj_t BgL_mmz00_2119, obj_t BgL_iz00_2120, obj_t BgL_cz00_2121)
{
{ /* Llib/mmap.scm 200 */
{ /* Llib/mmap.scm 201 */
 unsigned char BgL_auxz00_2729; long BgL_auxz00_2720; obj_t BgL_auxz00_2713;
{ /* Llib/mmap.scm 201 */
 obj_t BgL_tmpz00_2730;
if(
CHARP(BgL_cz00_2121))
{ /* Llib/mmap.scm 201 */
BgL_tmpz00_2730 = BgL_cz00_2121
; }  else 
{ 
 obj_t BgL_auxz00_2733;
BgL_auxz00_2733 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)9159)), BGl_string1876z00zz__mmapz00, BGl_string1877z00zz__mmapz00, BgL_cz00_2121); 
FAILURE(BgL_auxz00_2733,BFALSE,BFALSE);} 
BgL_auxz00_2729 = 
CCHAR(BgL_tmpz00_2730); } 
{ /* Llib/mmap.scm 201 */
 obj_t BgL_tmpz00_2721;
if(
ELONGP(BgL_iz00_2120))
{ /* Llib/mmap.scm 201 */
BgL_tmpz00_2721 = BgL_iz00_2120
; }  else 
{ 
 obj_t BgL_auxz00_2724;
BgL_auxz00_2724 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)9159)), BGl_string1876z00zz__mmapz00, BGl_string1872z00zz__mmapz00, BgL_iz00_2120); 
FAILURE(BgL_auxz00_2724,BFALSE,BFALSE);} 
BgL_auxz00_2720 = 
BELONG_TO_LONG(BgL_tmpz00_2721); } 
if(
BGL_MMAPP(BgL_mmz00_2119))
{ /* Llib/mmap.scm 201 */
BgL_auxz00_2713 = BgL_mmz00_2119
; }  else 
{ 
 obj_t BgL_auxz00_2716;
BgL_auxz00_2716 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)9159)), BGl_string1876z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmz00_2119); 
FAILURE(BgL_auxz00_2716,BFALSE,BFALSE);} 
return 
BGl_mmapzd2setzd2urz12z12zz__mmapz00(BgL_auxz00_2713, BgL_auxz00_2720, BgL_auxz00_2729);} } 

}



/* mmap-ref */
BGL_EXPORTED_DEF unsigned char BGl_mmapzd2refzd2zz__mmapz00(obj_t BgL_mmz00_30, long BgL_iz00_31)
{
{ /* Llib/mmap.scm 207 */
{ /* Llib/mmap.scm 208 */
 bool_t BgL_test2024z00_2739;
{ /* Llib/mmap.scm 208 */
 long BgL_arg1261z00_2283;
BgL_arg1261z00_2283 = 
BGL_MMAP_LENGTH(BgL_mmz00_30); 
BgL_test2024z00_2739 = 
BOUND_CHECK(BgL_iz00_31, BgL_arg1261z00_2283); } 
if(BgL_test2024z00_2739)
{ /* Llib/mmap.scm 209 */
 unsigned char BgL_res1716z00_2284;
{ /* Llib/mmap.scm 193 */
 unsigned char BgL_cz00_2285;
BgL_cz00_2285 = 
BGL_MMAP_REF(BgL_mmz00_30, BgL_iz00_31); 
{ /* Llib/mmap.scm 194 */
 long BgL_arg1253z00_2286;
BgL_arg1253z00_2286 = 
(BgL_iz00_31+((long)1)); 
BGL_MMAP_RP_SET(BgL_mmz00_30, BgL_arg1253z00_2286); BUNSPEC; BgL_arg1253z00_2286; } 
BgL_res1716z00_2284 = BgL_cz00_2285; } 
return BgL_res1716z00_2284;}  else 
{ /* Llib/mmap.scm 212 */
 obj_t BgL_arg1257z00_2287;
{ /* Llib/mmap.scm 212 */
 obj_t BgL_arg1258z00_2288;
{ /* Llib/mmap.scm 212 */
 obj_t BgL_arg1259z00_2289;
{ /* Llib/mmap.scm 212 */
 long BgL_arg1260z00_2290;
BgL_arg1260z00_2290 = 
BGL_MMAP_LENGTH(BgL_mmz00_30); 
BgL_arg1259z00_2289 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(
make_belong(BgL_arg1260z00_2290), 
BINT(((long)1))); } 
{ /* Llib/mmap.scm 212 */

BgL_arg1258z00_2288 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1259z00_2289, 
BINT(((long)10))); } } 
BgL_arg1257z00_2287 = 
string_append_3(BGl_string1878z00zz__mmapz00, BgL_arg1258z00_2288, BGl_string1879z00zz__mmapz00); } 
{ /* Llib/mmap.scm 210 */
 obj_t BgL_tmpz00_2752;
{ /* Llib/mmap.scm 210 */
 obj_t BgL_aux1800z00_2291;
BgL_aux1800z00_2291 = 
BGl_errorz00zz__errorz00(BGl_symbol1880z00zz__mmapz00, BgL_arg1257z00_2287, 
make_belong(BgL_iz00_31)); 
if(
CHARP(BgL_aux1800z00_2291))
{ /* Llib/mmap.scm 210 */
BgL_tmpz00_2752 = BgL_aux1800z00_2291
; }  else 
{ 
 obj_t BgL_auxz00_2757;
BgL_auxz00_2757 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)9564)), BGl_string1881z00zz__mmapz00, BGl_string1877z00zz__mmapz00, BgL_aux1800z00_2291); 
FAILURE(BgL_auxz00_2757,BFALSE,BFALSE);} } 
return 
CCHAR(BgL_tmpz00_2752);} } } } 

}



/* &mmap-ref */
obj_t BGl_z62mmapzd2refzb0zz__mmapz00(obj_t BgL_envz00_2122, obj_t BgL_mmz00_2123, obj_t BgL_iz00_2124)
{
{ /* Llib/mmap.scm 207 */
{ /* Llib/mmap.scm 208 */
 unsigned char BgL_tmpz00_2762;
{ /* Llib/mmap.scm 208 */
 long BgL_auxz00_2770; obj_t BgL_auxz00_2763;
{ /* Llib/mmap.scm 208 */
 obj_t BgL_tmpz00_2771;
if(
ELONGP(BgL_iz00_2124))
{ /* Llib/mmap.scm 208 */
BgL_tmpz00_2771 = BgL_iz00_2124
; }  else 
{ 
 obj_t BgL_auxz00_2774;
BgL_auxz00_2774 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)9487)), BGl_string1882z00zz__mmapz00, BGl_string1872z00zz__mmapz00, BgL_iz00_2124); 
FAILURE(BgL_auxz00_2774,BFALSE,BFALSE);} 
BgL_auxz00_2770 = 
BELONG_TO_LONG(BgL_tmpz00_2771); } 
if(
BGL_MMAPP(BgL_mmz00_2123))
{ /* Llib/mmap.scm 208 */
BgL_auxz00_2763 = BgL_mmz00_2123
; }  else 
{ 
 obj_t BgL_auxz00_2766;
BgL_auxz00_2766 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)9487)), BGl_string1882z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmz00_2123); 
FAILURE(BgL_auxz00_2766,BFALSE,BFALSE);} 
BgL_tmpz00_2762 = 
BGl_mmapzd2refzd2zz__mmapz00(BgL_auxz00_2763, BgL_auxz00_2770); } 
return 
BCHAR(BgL_tmpz00_2762);} } 

}



/* mmap-set! */
BGL_EXPORTED_DEF obj_t BGl_mmapzd2setz12zc0zz__mmapz00(obj_t BgL_mmz00_32, long BgL_iz00_33, unsigned char BgL_cz00_34)
{
{ /* Llib/mmap.scm 219 */
{ /* Llib/mmap.scm 220 */
 bool_t BgL_test2028z00_2781;
{ /* Llib/mmap.scm 220 */
 long BgL_arg1295z00_2292;
BgL_arg1295z00_2292 = 
BGL_MMAP_LENGTH(BgL_mmz00_32); 
BgL_test2028z00_2781 = 
BOUND_CHECK(BgL_iz00_33, BgL_arg1295z00_2292); } 
if(BgL_test2028z00_2781)
{ /* Llib/mmap.scm 220 */
BGL_MMAP_SET(BgL_mmz00_32, BgL_iz00_33, BgL_cz00_34); 
{ /* Llib/mmap.scm 202 */
 long BgL_arg1254z00_2293;
BgL_arg1254z00_2293 = 
(BgL_iz00_33+((long)1)); 
BGL_MMAP_WP_SET(BgL_mmz00_32, BgL_arg1254z00_2293); BUNSPEC; 
return 
make_belong(BgL_arg1254z00_2293);} }  else 
{ /* Llib/mmap.scm 224 */
 obj_t BgL_arg1275z00_2294;
{ /* Llib/mmap.scm 224 */
 obj_t BgL_arg1280z00_2295;
{ /* Llib/mmap.scm 224 */
 obj_t BgL_arg1281z00_2296;
{ /* Llib/mmap.scm 224 */
 long BgL_arg1284z00_2297;
BgL_arg1284z00_2297 = 
BGL_MMAP_LENGTH(BgL_mmz00_32); 
BgL_arg1281z00_2296 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(
make_belong(BgL_arg1284z00_2297), 
BINT(((long)1))); } 
{ /* Llib/mmap.scm 224 */

BgL_arg1280z00_2295 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1281z00_2296, 
BINT(((long)10))); } } 
BgL_arg1275z00_2294 = 
string_append_3(BGl_string1878z00zz__mmapz00, BgL_arg1280z00_2295, BGl_string1879z00zz__mmapz00); } 
return 
BGl_errorz00zz__errorz00(BGl_symbol1883z00zz__mmapz00, BgL_arg1275z00_2294, 
make_belong(BgL_iz00_33));} } } 

}



/* &mmap-set! */
obj_t BGl_z62mmapzd2setz12za2zz__mmapz00(obj_t BgL_envz00_2125, obj_t BgL_mmz00_2126, obj_t BgL_iz00_2127, obj_t BgL_cz00_2128)
{
{ /* Llib/mmap.scm 219 */
{ /* Llib/mmap.scm 220 */
 unsigned char BgL_auxz00_2813; long BgL_auxz00_2804; obj_t BgL_auxz00_2797;
{ /* Llib/mmap.scm 220 */
 obj_t BgL_tmpz00_2814;
if(
CHARP(BgL_cz00_2128))
{ /* Llib/mmap.scm 220 */
BgL_tmpz00_2814 = BgL_cz00_2128
; }  else 
{ 
 obj_t BgL_auxz00_2817;
BgL_auxz00_2817 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)9987)), BGl_string1885z00zz__mmapz00, BGl_string1877z00zz__mmapz00, BgL_cz00_2128); 
FAILURE(BgL_auxz00_2817,BFALSE,BFALSE);} 
BgL_auxz00_2813 = 
CCHAR(BgL_tmpz00_2814); } 
{ /* Llib/mmap.scm 220 */
 obj_t BgL_tmpz00_2805;
if(
ELONGP(BgL_iz00_2127))
{ /* Llib/mmap.scm 220 */
BgL_tmpz00_2805 = BgL_iz00_2127
; }  else 
{ 
 obj_t BgL_auxz00_2808;
BgL_auxz00_2808 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)9987)), BGl_string1885z00zz__mmapz00, BGl_string1872z00zz__mmapz00, BgL_iz00_2127); 
FAILURE(BgL_auxz00_2808,BFALSE,BFALSE);} 
BgL_auxz00_2804 = 
BELONG_TO_LONG(BgL_tmpz00_2805); } 
if(
BGL_MMAPP(BgL_mmz00_2126))
{ /* Llib/mmap.scm 220 */
BgL_auxz00_2797 = BgL_mmz00_2126
; }  else 
{ 
 obj_t BgL_auxz00_2800;
BgL_auxz00_2800 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)9987)), BGl_string1885z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmz00_2126); 
FAILURE(BgL_auxz00_2800,BFALSE,BFALSE);} 
return 
BGl_mmapzd2setz12zc0zz__mmapz00(BgL_auxz00_2797, BgL_auxz00_2804, BgL_auxz00_2813);} } 

}



/* mmap-substring */
BGL_EXPORTED_DEF obj_t BGl_mmapzd2substringzd2zz__mmapz00(obj_t BgL_mmz00_35, long BgL_startz00_36, long BgL_endz00_37)
{
{ /* Llib/mmap.scm 231 */
if(
(BgL_endz00_37<BgL_startz00_36))
{ /* Llib/mmap.scm 234 */
 long BgL_arg1297z00_1211;
{ /* Llib/mmap.scm 234 */
 long BgL_res1717z00_1783;
{ /* Llib/mmap.scm 234 */
 long BgL_tmpz00_2825;
BgL_tmpz00_2825 = 
(BgL_endz00_37-BgL_startz00_36); 
BgL_res1717z00_1783 = 
(long)(BgL_tmpz00_2825); } 
BgL_arg1297z00_1211 = BgL_res1717z00_1783; } 
{ /* Llib/mmap.scm 234 */
 obj_t BgL_aux1812z00_2242;
BgL_aux1812z00_2242 = 
BGl_errorz00zz__errorz00(BGl_symbol1886z00zz__mmapz00, BGl_string1888z00zz__mmapz00, 
make_belong(BgL_arg1297z00_1211)); 
if(
STRINGP(BgL_aux1812z00_2242))
{ /* Llib/mmap.scm 234 */
return BgL_aux1812z00_2242;}  else 
{ 
 obj_t BgL_auxz00_2832;
BgL_auxz00_2832 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)10524)), BGl_string1887z00zz__mmapz00, BGl_string1858z00zz__mmapz00, BgL_aux1812z00_2242); 
FAILURE(BgL_auxz00_2832,BFALSE,BFALSE);} } }  else 
{ /* Llib/mmap.scm 235 */
 bool_t BgL_test2034z00_2836;
{ /* Llib/mmap.scm 235 */
 long BgL_arg1317z00_1235;
{ /* Llib/mmap.scm 235 */
 long BgL_arg1318z00_1236;
BgL_arg1318z00_1236 = 
BGL_MMAP_LENGTH(BgL_mmz00_35); 
BgL_arg1317z00_1235 = 
(((long)1)+BgL_arg1318z00_1236); } 
BgL_test2034z00_2836 = 
BOUND_CHECK(BgL_endz00_37, BgL_arg1317z00_1235); } 
if(BgL_test2034z00_2836)
{ /* Llib/mmap.scm 240 */
 bool_t BgL_test2035z00_2840;
{ /* Llib/mmap.scm 240 */
 long BgL_arg1311z00_1229;
BgL_arg1311z00_1229 = 
BGL_MMAP_LENGTH(BgL_mmz00_35); 
BgL_test2035z00_2840 = 
BOUND_CHECK(BgL_startz00_36, BgL_arg1311z00_1229); } 
if(BgL_test2035z00_2840)
{ /* Llib/mmap.scm 243 */
 obj_t BgL_rz00_1217;
{ /* Llib/mmap.scm 243 */
 long BgL_arg1309z00_1227;
{ /* Llib/mmap.scm 243 */
 long BgL_arg1310z00_1228;
{ /* Llib/mmap.scm 243 */
 long BgL_res1718z00_1790;
{ /* Llib/mmap.scm 243 */
 long BgL_tmpz00_2843;
BgL_tmpz00_2843 = 
(BgL_endz00_37-BgL_startz00_36); 
BgL_res1718z00_1790 = 
(long)(BgL_tmpz00_2843); } 
BgL_arg1310z00_1228 = BgL_res1718z00_1790; } 
BgL_arg1309z00_1227 = 
(long)(BgL_arg1310z00_1228); } 
BgL_rz00_1217 = 
make_string_sans_fill(BgL_arg1309z00_1227); } 
{ 
 long BgL_iz00_1219; long BgL_jz00_1220;
BgL_iz00_1219 = BgL_startz00_36; 
BgL_jz00_1220 = ((long)0); 
BgL_zc3z04anonymousza31303ze3z87_1221:
if(
(BgL_iz00_1219==BgL_endz00_37))
{ /* Llib/mmap.scm 246 */
BGL_MMAP_RP_SET(BgL_mmz00_35, BgL_iz00_1219); BUNSPEC; BgL_iz00_1219; 
return BgL_rz00_1217;}  else 
{ /* Llib/mmap.scm 246 */
{ /* Llib/mmap.scm 251 */
 unsigned char BgL_arg1306z00_1223;
{ /* Llib/mmap.scm 251 */
 unsigned char BgL_res1719z00_1804;
{ /* Llib/mmap.scm 193 */
 unsigned char BgL_cz00_1798;
BgL_cz00_1798 = 
BGL_MMAP_REF(BgL_mmz00_35, BgL_iz00_1219); 
{ /* Llib/mmap.scm 194 */
 long BgL_arg1253z00_1799;
BgL_arg1253z00_1799 = 
(BgL_iz00_1219+((long)1)); 
BGL_MMAP_RP_SET(BgL_mmz00_35, BgL_arg1253z00_1799); BUNSPEC; BgL_arg1253z00_1799; } 
BgL_res1719z00_1804 = BgL_cz00_1798; } 
BgL_arg1306z00_1223 = BgL_res1719z00_1804; } 
{ /* Llib/mmap.scm 251 */
 long BgL_l1740z00_2170;
BgL_l1740z00_2170 = 
STRING_LENGTH(BgL_rz00_1217); 
if(
BOUND_CHECK(BgL_jz00_1220, BgL_l1740z00_2170))
{ /* Llib/mmap.scm 251 */
STRING_SET(BgL_rz00_1217, BgL_jz00_1220, BgL_arg1306z00_1223); }  else 
{ 
 obj_t BgL_auxz00_2858;
BgL_auxz00_2858 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)11125)), BGl_string1889z00zz__mmapz00, BgL_rz00_1217, 
(int)(BgL_l1740z00_2170), 
(int)(BgL_jz00_1220)); 
FAILURE(BgL_auxz00_2858,BFALSE,BFALSE);} } } 
{ /* Llib/mmap.scm 252 */
 long BgL_arg1307z00_1224; long BgL_arg1308z00_1225;
BgL_arg1307z00_1224 = 
(BgL_iz00_1219+
(long)(((long)1))); 
BgL_arg1308z00_1225 = 
(BgL_jz00_1220+((long)1)); 
{ 
 long BgL_jz00_2868; long BgL_iz00_2867;
BgL_iz00_2867 = BgL_arg1307z00_1224; 
BgL_jz00_2868 = BgL_arg1308z00_1225; 
BgL_jz00_1220 = BgL_jz00_2868; 
BgL_iz00_1219 = BgL_iz00_2867; 
goto BgL_zc3z04anonymousza31303ze3z87_1221;} } } } }  else 
{ /* Llib/mmap.scm 241 */
 obj_t BgL_aux1814z00_2244;
BgL_aux1814z00_2244 = 
BGl_errorz00zz__errorz00(BGl_symbol1886z00zz__mmapz00, BGl_string1890z00zz__mmapz00, 
make_belong(BgL_startz00_36)); 
if(
STRINGP(BgL_aux1814z00_2244))
{ /* Llib/mmap.scm 241 */
return BgL_aux1814z00_2244;}  else 
{ 
 obj_t BgL_auxz00_2873;
BgL_auxz00_2873 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)10855)), BGl_string1887z00zz__mmapz00, BGl_string1858z00zz__mmapz00, BgL_aux1814z00_2244); 
FAILURE(BgL_auxz00_2873,BFALSE,BFALSE);} } }  else 
{ /* Llib/mmap.scm 238 */
 obj_t BgL_arg1313z00_1230;
{ /* Llib/mmap.scm 238 */
 obj_t BgL_arg1314z00_1231;
{ /* Llib/mmap.scm 238 */
 long BgL_arg1316z00_1232;
BgL_arg1316z00_1232 = 
BGL_MMAP_LENGTH(BgL_mmz00_35); 
{ /* Ieee/number.scm 169 */

BgL_arg1314z00_1231 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(
make_belong(BgL_arg1316z00_1232), 
BINT(((long)10))); } } 
BgL_arg1313z00_1230 = 
string_append(BGl_string1891z00zz__mmapz00, BgL_arg1314z00_1231); } 
{ /* Llib/mmap.scm 236 */
 obj_t BgL_aux1816z00_2246;
BgL_aux1816z00_2246 = 
BGl_errorz00zz__errorz00(BGl_symbol1886z00zz__mmapz00, BgL_arg1313z00_1230, 
make_belong(BgL_endz00_37)); 
if(
STRINGP(BgL_aux1816z00_2246))
{ /* Llib/mmap.scm 236 */
return BgL_aux1816z00_2246;}  else 
{ 
 obj_t BgL_auxz00_2886;
BgL_auxz00_2886 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)10662)), BGl_string1887z00zz__mmapz00, BGl_string1858z00zz__mmapz00, BgL_aux1816z00_2246); 
FAILURE(BgL_auxz00_2886,BFALSE,BFALSE);} } } } } 

}



/* &mmap-substring */
obj_t BGl_z62mmapzd2substringzb0zz__mmapz00(obj_t BgL_envz00_2129, obj_t BgL_mmz00_2130, obj_t BgL_startz00_2131, obj_t BgL_endz00_2132)
{
{ /* Llib/mmap.scm 231 */
{ /* Llib/mmap.scm 233 */
 long BgL_auxz00_2906; long BgL_auxz00_2897; obj_t BgL_auxz00_2890;
{ /* Llib/mmap.scm 233 */
 obj_t BgL_tmpz00_2907;
if(
ELONGP(BgL_endz00_2132))
{ /* Llib/mmap.scm 233 */
BgL_tmpz00_2907 = BgL_endz00_2132
; }  else 
{ 
 obj_t BgL_auxz00_2910;
BgL_auxz00_2910 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)10497)), BGl_string1892z00zz__mmapz00, BGl_string1872z00zz__mmapz00, BgL_endz00_2132); 
FAILURE(BgL_auxz00_2910,BFALSE,BFALSE);} 
BgL_auxz00_2906 = 
BELONG_TO_LONG(BgL_tmpz00_2907); } 
{ /* Llib/mmap.scm 233 */
 obj_t BgL_tmpz00_2898;
if(
ELONGP(BgL_startz00_2131))
{ /* Llib/mmap.scm 233 */
BgL_tmpz00_2898 = BgL_startz00_2131
; }  else 
{ 
 obj_t BgL_auxz00_2901;
BgL_auxz00_2901 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)10497)), BGl_string1892z00zz__mmapz00, BGl_string1872z00zz__mmapz00, BgL_startz00_2131); 
FAILURE(BgL_auxz00_2901,BFALSE,BFALSE);} 
BgL_auxz00_2897 = 
BELONG_TO_LONG(BgL_tmpz00_2898); } 
if(
BGL_MMAPP(BgL_mmz00_2130))
{ /* Llib/mmap.scm 233 */
BgL_auxz00_2890 = BgL_mmz00_2130
; }  else 
{ 
 obj_t BgL_auxz00_2893;
BgL_auxz00_2893 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)10497)), BGl_string1892z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmz00_2130); 
FAILURE(BgL_auxz00_2893,BFALSE,BFALSE);} 
return 
BGl_mmapzd2substringzd2zz__mmapz00(BgL_auxz00_2890, BgL_auxz00_2897, BgL_auxz00_2906);} } 

}



/* mmap-substring-set! */
BGL_EXPORTED_DEF obj_t BGl_mmapzd2substringzd2setz12z12zz__mmapz00(obj_t BgL_mmz00_38, long BgL_oz00_39, obj_t BgL_sz00_40)
{
{ /* Llib/mmap.scm 257 */
{ /* Llib/mmap.scm 258 */
 long BgL_lenz00_1237;
BgL_lenz00_1237 = 
STRING_LENGTH(BgL_sz00_40); 
if(
(BgL_oz00_39<((long)0)))
{ /* Llib/mmap.scm 260 */
return 
BGl_errorz00zz__errorz00(BGl_string1893z00zz__mmapz00, BGl_string1890z00zz__mmapz00, 
make_belong(BgL_oz00_39));}  else 
{ /* Llib/mmap.scm 262 */
 bool_t BgL_test2044z00_2921;
{ /* Llib/mmap.scm 262 */
 long BgL_arg1346z00_1269;
{ /* Llib/mmap.scm 262 */
 long BgL_arg1347z00_1270;
BgL_arg1347z00_1270 = 
BGL_MMAP_LENGTH(BgL_mmz00_38); 
BgL_arg1346z00_1269 = 
(BgL_arg1347z00_1270+((long)1)); } 
BgL_test2044z00_2921 = 
BOUND_CHECK(BgL_oz00_39, BgL_arg1346z00_1269); } 
if(BgL_test2044z00_2921)
{ /* Llib/mmap.scm 268 */
 bool_t BgL_test2045z00_2925;
{ /* Llib/mmap.scm 268 */
 long BgL_arg1337z00_1260; long BgL_arg1338z00_1261;
{ /* Llib/mmap.scm 268 */
 long BgL_arg1339z00_1262;
BgL_arg1339z00_1262 = 
(long)(BgL_lenz00_1237); 
BgL_arg1337z00_1260 = 
(BgL_oz00_39+BgL_arg1339z00_1262); } 
{ /* Llib/mmap.scm 269 */
 long BgL_arg1340z00_1263;
BgL_arg1340z00_1263 = 
BGL_MMAP_LENGTH(BgL_mmz00_38); 
BgL_arg1338z00_1261 = 
(BgL_arg1340z00_1263+((long)1)); } 
BgL_test2045z00_2925 = 
BOUND_CHECK(BgL_arg1337z00_1260, BgL_arg1338z00_1261); } 
if(BgL_test2045z00_2925)
{ 
 long BgL_iz00_1248; long BgL_jz00_1249;
BgL_iz00_1248 = ((long)0); 
BgL_jz00_1249 = BgL_oz00_39; 
BgL_zc3z04anonymousza31328ze3z87_1250:
if(
(BgL_iz00_1248==BgL_lenz00_1237))
{ /* Llib/mmap.scm 278 */
BGL_MMAP_WP_SET(BgL_mmz00_38, BgL_jz00_1249); BUNSPEC; BgL_jz00_1249; 
return BgL_mmz00_38;}  else 
{ /* Llib/mmap.scm 278 */
{ /* Llib/mmap.scm 283 */
 unsigned char BgL_arg1330z00_1252;
{ /* Llib/mmap.scm 283 */
 long BgL_l1744z00_2174;
BgL_l1744z00_2174 = 
STRING_LENGTH(BgL_sz00_40); 
if(
BOUND_CHECK(BgL_iz00_1248, BgL_l1744z00_2174))
{ /* Llib/mmap.scm 283 */
BgL_arg1330z00_1252 = 
STRING_REF(BgL_sz00_40, BgL_iz00_1248); }  else 
{ 
 obj_t BgL_auxz00_2938;
BgL_auxz00_2938 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)12191)), BGl_string1894z00zz__mmapz00, BgL_sz00_40, 
(int)(BgL_l1744z00_2174), 
(int)(BgL_iz00_1248)); 
FAILURE(BgL_auxz00_2938,BFALSE,BFALSE);} } 
BGL_MMAP_SET(BgL_mmz00_38, BgL_jz00_1249, BgL_arg1330z00_1252); 
{ /* Llib/mmap.scm 202 */
 long BgL_arg1254z00_1833;
BgL_arg1254z00_1833 = 
(BgL_jz00_1249+((long)1)); 
BGL_MMAP_WP_SET(BgL_mmz00_38, BgL_arg1254z00_1833); BUNSPEC; BgL_arg1254z00_1833; } } 
{ /* Llib/mmap.scm 284 */
 long BgL_arg1331z00_1253; long BgL_arg1332z00_1254;
BgL_arg1331z00_1253 = 
(BgL_iz00_1248+((long)1)); 
BgL_arg1332z00_1254 = 
(BgL_jz00_1249+
(long)(((long)1))); 
{ 
 long BgL_jz00_2951; long BgL_iz00_2950;
BgL_iz00_2950 = BgL_arg1331z00_1253; 
BgL_jz00_2951 = BgL_arg1332z00_1254; 
BgL_jz00_1249 = BgL_jz00_2951; 
BgL_iz00_1248 = BgL_iz00_2950; 
goto BgL_zc3z04anonymousza31328ze3z87_1250;} } } }  else 
{ /* Llib/mmap.scm 272 */
 obj_t BgL_arg1333z00_1256; obj_t BgL_arg1334z00_1257;
{ /* Llib/mmap.scm 272 */
 obj_t BgL_arg1335z00_1258;
{ /* Llib/mmap.scm 272 */
 long BgL_arg1336z00_1259;
BgL_arg1336z00_1259 = 
BGL_MMAP_LENGTH(BgL_mmz00_38); 
BgL_arg1335z00_1258 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(
make_belong(BgL_arg1336z00_1259), 
BINT(((long)1))); } 
BgL_arg1333z00_1256 = 
string_append_3(BGl_string1878z00zz__mmapz00, BgL_arg1335z00_1258, BGl_string1879z00zz__mmapz00); } 
BgL_arg1334z00_1257 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
make_belong(BgL_oz00_39), 
BINT(BgL_lenz00_1237)); 
return 
BGl_errorz00zz__errorz00(BGl_symbol1895z00zz__mmapz00, BgL_arg1333z00_1256, BgL_arg1334z00_1257);} }  else 
{ /* Llib/mmap.scm 265 */
 obj_t BgL_arg1341z00_1264;
{ /* Llib/mmap.scm 265 */
 obj_t BgL_arg1343z00_1265;
{ /* Llib/mmap.scm 265 */
 long BgL_arg1344z00_1266;
BgL_arg1344z00_1266 = 
BGL_MMAP_LENGTH(BgL_mmz00_38); 
{ /* Ieee/number.scm 169 */

BgL_arg1343z00_1265 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(
make_belong(BgL_arg1344z00_1266), 
BINT(((long)10))); } } 
BgL_arg1341z00_1264 = 
string_append_3(BGl_string1878z00zz__mmapz00, BgL_arg1343z00_1265, BGl_string1897z00zz__mmapz00); } 
return 
BGl_errorz00zz__errorz00(BGl_symbol1898z00zz__mmapz00, BgL_arg1341z00_1264, 
make_belong(BgL_oz00_39));} } } } 

}



/* &mmap-substring-set! */
obj_t BGl_z62mmapzd2substringzd2setz12z70zz__mmapz00(obj_t BgL_envz00_2133, obj_t BgL_mmz00_2134, obj_t BgL_oz00_2135, obj_t BgL_sz00_2136)
{
{ /* Llib/mmap.scm 257 */
{ /* Llib/mmap.scm 258 */
 obj_t BgL_auxz00_2984; long BgL_auxz00_2975; obj_t BgL_auxz00_2968;
if(
STRINGP(BgL_sz00_2136))
{ /* Llib/mmap.scm 258 */
BgL_auxz00_2984 = BgL_sz00_2136
; }  else 
{ 
 obj_t BgL_auxz00_2987;
BgL_auxz00_2987 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)11493)), BGl_string1899z00zz__mmapz00, BGl_string1858z00zz__mmapz00, BgL_sz00_2136); 
FAILURE(BgL_auxz00_2987,BFALSE,BFALSE);} 
{ /* Llib/mmap.scm 258 */
 obj_t BgL_tmpz00_2976;
if(
ELONGP(BgL_oz00_2135))
{ /* Llib/mmap.scm 258 */
BgL_tmpz00_2976 = BgL_oz00_2135
; }  else 
{ 
 obj_t BgL_auxz00_2979;
BgL_auxz00_2979 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)11493)), BGl_string1899z00zz__mmapz00, BGl_string1872z00zz__mmapz00, BgL_oz00_2135); 
FAILURE(BgL_auxz00_2979,BFALSE,BFALSE);} 
BgL_auxz00_2975 = 
BELONG_TO_LONG(BgL_tmpz00_2976); } 
if(
BGL_MMAPP(BgL_mmz00_2134))
{ /* Llib/mmap.scm 258 */
BgL_auxz00_2968 = BgL_mmz00_2134
; }  else 
{ 
 obj_t BgL_auxz00_2971;
BgL_auxz00_2971 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)11493)), BGl_string1899z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmz00_2134); 
FAILURE(BgL_auxz00_2971,BFALSE,BFALSE);} 
return 
BGl_mmapzd2substringzd2setz12z12zz__mmapz00(BgL_auxz00_2968, BgL_auxz00_2975, BgL_auxz00_2984);} } 

}



/* mmap-get-char */
BGL_EXPORTED_DEF unsigned char BGl_mmapzd2getzd2charz00zz__mmapz00(obj_t BgL_mmz00_41)
{
{ /* Llib/mmap.scm 289 */
{ /* Llib/mmap.scm 290 */
 long BgL_arg1348z00_2298;
BgL_arg1348z00_2298 = 
BGL_MMAP_RP_GET(BgL_mmz00_41); 
{ /* Llib/mmap.scm 290 */
 unsigned char BgL_res1721z00_2299;
{ /* Llib/mmap.scm 208 */
 bool_t BgL_test2051z00_2993;
{ /* Llib/mmap.scm 208 */
 long BgL_arg1261z00_2300;
BgL_arg1261z00_2300 = 
BGL_MMAP_LENGTH(BgL_mmz00_41); 
BgL_test2051z00_2993 = 
BOUND_CHECK(BgL_arg1348z00_2298, BgL_arg1261z00_2300); } 
if(BgL_test2051z00_2993)
{ /* Llib/mmap.scm 209 */
 unsigned char BgL_res1720z00_2301;
{ /* Llib/mmap.scm 193 */
 unsigned char BgL_cz00_2302;
BgL_cz00_2302 = 
BGL_MMAP_REF(BgL_mmz00_41, BgL_arg1348z00_2298); 
{ /* Llib/mmap.scm 194 */
 long BgL_arg1253z00_2303;
BgL_arg1253z00_2303 = 
(BgL_arg1348z00_2298+((long)1)); 
BGL_MMAP_RP_SET(BgL_mmz00_41, BgL_arg1253z00_2303); BUNSPEC; BgL_arg1253z00_2303; } 
BgL_res1720z00_2301 = BgL_cz00_2302; } 
BgL_res1721z00_2299 = BgL_res1720z00_2301; }  else 
{ /* Llib/mmap.scm 212 */
 obj_t BgL_arg1257z00_2304;
{ /* Llib/mmap.scm 212 */
 obj_t BgL_arg1258z00_2305;
{ /* Llib/mmap.scm 212 */
 obj_t BgL_arg1259z00_2306;
{ /* Llib/mmap.scm 212 */
 long BgL_arg1260z00_2307;
BgL_arg1260z00_2307 = 
BGL_MMAP_LENGTH(BgL_mmz00_41); 
BgL_arg1259z00_2306 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(
make_belong(BgL_arg1260z00_2307), 
BINT(((long)1))); } 
{ /* Llib/mmap.scm 212 */

BgL_arg1258z00_2305 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1259z00_2306, 
BINT(((long)10))); } } 
BgL_arg1257z00_2304 = 
string_append_3(BGl_string1878z00zz__mmapz00, BgL_arg1258z00_2305, BGl_string1879z00zz__mmapz00); } 
{ /* Llib/mmap.scm 210 */
 obj_t BgL_tmpz00_3006;
{ /* Llib/mmap.scm 210 */
 obj_t BgL_aux1830z00_2308;
BgL_aux1830z00_2308 = 
BGl_errorz00zz__errorz00(BGl_symbol1880z00zz__mmapz00, BgL_arg1257z00_2304, 
make_belong(BgL_arg1348z00_2298)); 
if(
CHARP(BgL_aux1830z00_2308))
{ /* Llib/mmap.scm 210 */
BgL_tmpz00_3006 = BgL_aux1830z00_2308
; }  else 
{ 
 obj_t BgL_auxz00_3011;
BgL_auxz00_3011 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)9564)), BGl_string1900z00zz__mmapz00, BGl_string1877z00zz__mmapz00, BgL_aux1830z00_2308); 
FAILURE(BgL_auxz00_3011,BFALSE,BFALSE);} } 
BgL_res1721z00_2299 = 
CCHAR(BgL_tmpz00_3006); } } } 
return BgL_res1721z00_2299;} } } 

}



/* &mmap-get-char */
obj_t BGl_z62mmapzd2getzd2charz62zz__mmapz00(obj_t BgL_envz00_2137, obj_t BgL_mmz00_2138)
{
{ /* Llib/mmap.scm 289 */
{ /* Llib/mmap.scm 290 */
 unsigned char BgL_tmpz00_3016;
{ /* Llib/mmap.scm 290 */
 obj_t BgL_auxz00_3017;
if(
BGL_MMAPP(BgL_mmz00_2138))
{ /* Llib/mmap.scm 290 */
BgL_auxz00_3017 = BgL_mmz00_2138
; }  else 
{ 
 obj_t BgL_auxz00_3020;
BgL_auxz00_3020 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)12534)), BGl_string1901z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmz00_2138); 
FAILURE(BgL_auxz00_3020,BFALSE,BFALSE);} 
BgL_tmpz00_3016 = 
BGl_mmapzd2getzd2charz00zz__mmapz00(BgL_auxz00_3017); } 
return 
BCHAR(BgL_tmpz00_3016);} } 

}



/* mmap-put-char! */
BGL_EXPORTED_DEF obj_t BGl_mmapzd2putzd2charz12z12zz__mmapz00(obj_t BgL_mmz00_42, unsigned char BgL_cz00_43)
{
{ /* Llib/mmap.scm 295 */
{ /* Llib/mmap.scm 296 */
 long BgL_arg1350z00_2309;
BgL_arg1350z00_2309 = 
BGL_MMAP_WP_GET(BgL_mmz00_42); 
{ /* Llib/mmap.scm 220 */
 bool_t BgL_test2054z00_3027;
{ /* Llib/mmap.scm 220 */
 long BgL_arg1295z00_2310;
BgL_arg1295z00_2310 = 
BGL_MMAP_LENGTH(BgL_mmz00_42); 
BgL_test2054z00_3027 = 
BOUND_CHECK(BgL_arg1350z00_2309, BgL_arg1295z00_2310); } 
if(BgL_test2054z00_3027)
{ /* Llib/mmap.scm 220 */
BGL_MMAP_SET(BgL_mmz00_42, BgL_arg1350z00_2309, BgL_cz00_43); 
{ /* Llib/mmap.scm 202 */
 long BgL_arg1254z00_2311;
BgL_arg1254z00_2311 = 
(BgL_arg1350z00_2309+((long)1)); 
BGL_MMAP_WP_SET(BgL_mmz00_42, BgL_arg1254z00_2311); BUNSPEC; 
return 
make_belong(BgL_arg1254z00_2311);} }  else 
{ /* Llib/mmap.scm 224 */
 obj_t BgL_arg1275z00_2312;
{ /* Llib/mmap.scm 224 */
 obj_t BgL_arg1280z00_2313;
{ /* Llib/mmap.scm 224 */
 obj_t BgL_arg1281z00_2314;
{ /* Llib/mmap.scm 224 */
 long BgL_arg1284z00_2315;
BgL_arg1284z00_2315 = 
BGL_MMAP_LENGTH(BgL_mmz00_42); 
BgL_arg1281z00_2314 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(
make_belong(BgL_arg1284z00_2315), 
BINT(((long)1))); } 
{ /* Llib/mmap.scm 224 */

BgL_arg1280z00_2313 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1281z00_2314, 
BINT(((long)10))); } } 
BgL_arg1275z00_2312 = 
string_append_3(BGl_string1878z00zz__mmapz00, BgL_arg1280z00_2313, BGl_string1879z00zz__mmapz00); } 
return 
BGl_errorz00zz__errorz00(BGl_symbol1883z00zz__mmapz00, BgL_arg1275z00_2312, 
make_belong(BgL_arg1350z00_2309));} } } } 

}



/* &mmap-put-char! */
obj_t BGl_z62mmapzd2putzd2charz12z70zz__mmapz00(obj_t BgL_envz00_2139, obj_t BgL_mmz00_2140, obj_t BgL_cz00_2141)
{
{ /* Llib/mmap.scm 295 */
{ /* Llib/mmap.scm 296 */
 unsigned char BgL_auxz00_3050; obj_t BgL_auxz00_3043;
{ /* Llib/mmap.scm 296 */
 obj_t BgL_tmpz00_3051;
if(
CHARP(BgL_cz00_2141))
{ /* Llib/mmap.scm 296 */
BgL_tmpz00_3051 = BgL_cz00_2141
; }  else 
{ 
 obj_t BgL_auxz00_3054;
BgL_auxz00_3054 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)12833)), BGl_string1902z00zz__mmapz00, BGl_string1877z00zz__mmapz00, BgL_cz00_2141); 
FAILURE(BgL_auxz00_3054,BFALSE,BFALSE);} 
BgL_auxz00_3050 = 
CCHAR(BgL_tmpz00_3051); } 
if(
BGL_MMAPP(BgL_mmz00_2140))
{ /* Llib/mmap.scm 296 */
BgL_auxz00_3043 = BgL_mmz00_2140
; }  else 
{ 
 obj_t BgL_auxz00_3046;
BgL_auxz00_3046 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)12833)), BGl_string1902z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmz00_2140); 
FAILURE(BgL_auxz00_3046,BFALSE,BFALSE);} 
return 
BGl_mmapzd2putzd2charz12z12zz__mmapz00(BgL_auxz00_3043, BgL_auxz00_3050);} } 

}



/* mmap-get-string */
BGL_EXPORTED_DEF obj_t BGl_mmapzd2getzd2stringz00zz__mmapz00(obj_t BgL_mmz00_44, long BgL_lenz00_45)
{
{ /* Llib/mmap.scm 301 */
{ /* Llib/mmap.scm 302 */
 long BgL_arg1351z00_2316; long BgL_arg1352z00_2317;
BgL_arg1351z00_2316 = 
BGL_MMAP_RP_GET(BgL_mmz00_44); 
{ /* Llib/mmap.scm 302 */
 long BgL_arg1353z00_2318;
BgL_arg1353z00_2318 = 
BGL_MMAP_RP_GET(BgL_mmz00_44); 
BgL_arg1352z00_2317 = 
(BgL_arg1353z00_2318+BgL_lenz00_45); } 
return 
BGl_mmapzd2substringzd2zz__mmapz00(BgL_mmz00_44, BgL_arg1351z00_2316, BgL_arg1352z00_2317);} } 

}



/* &mmap-get-string */
obj_t BGl_z62mmapzd2getzd2stringz62zz__mmapz00(obj_t BgL_envz00_2142, obj_t BgL_mmz00_2143, obj_t BgL_lenz00_2144)
{
{ /* Llib/mmap.scm 301 */
{ /* Llib/mmap.scm 302 */
 long BgL_auxz00_3071; obj_t BgL_auxz00_3064;
{ /* Llib/mmap.scm 302 */
 obj_t BgL_tmpz00_3072;
if(
ELONGP(BgL_lenz00_2144))
{ /* Llib/mmap.scm 302 */
BgL_tmpz00_3072 = BgL_lenz00_2144
; }  else 
{ 
 obj_t BgL_auxz00_3075;
BgL_auxz00_3075 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)13142)), BGl_string1903z00zz__mmapz00, BGl_string1872z00zz__mmapz00, BgL_lenz00_2144); 
FAILURE(BgL_auxz00_3075,BFALSE,BFALSE);} 
BgL_auxz00_3071 = 
BELONG_TO_LONG(BgL_tmpz00_3072); } 
if(
BGL_MMAPP(BgL_mmz00_2143))
{ /* Llib/mmap.scm 302 */
BgL_auxz00_3064 = BgL_mmz00_2143
; }  else 
{ 
 obj_t BgL_auxz00_3067;
BgL_auxz00_3067 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)13142)), BGl_string1903z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmz00_2143); 
FAILURE(BgL_auxz00_3067,BFALSE,BFALSE);} 
return 
BGl_mmapzd2getzd2stringz00zz__mmapz00(BgL_auxz00_3064, BgL_auxz00_3071);} } 

}



/* mmap-put-string! */
BGL_EXPORTED_DEF obj_t BGl_mmapzd2putzd2stringz12z12zz__mmapz00(obj_t BgL_mmz00_46, obj_t BgL_sz00_47)
{
{ /* Llib/mmap.scm 307 */
{ /* Llib/mmap.scm 308 */
 long BgL_arg1354z00_2319;
BgL_arg1354z00_2319 = 
BGL_MMAP_WP_GET(BgL_mmz00_46); 
return 
BGl_mmapzd2substringzd2setz12z12zz__mmapz00(BgL_mmz00_46, BgL_arg1354z00_2319, BgL_sz00_47);} } 

}



/* &mmap-put-string! */
obj_t BGl_z62mmapzd2putzd2stringz12z70zz__mmapz00(obj_t BgL_envz00_2145, obj_t BgL_mmz00_2146, obj_t BgL_sz00_2147)
{
{ /* Llib/mmap.scm 307 */
{ /* Llib/mmap.scm 308 */
 obj_t BgL_auxz00_3090; obj_t BgL_auxz00_3083;
if(
STRINGP(BgL_sz00_2147))
{ /* Llib/mmap.scm 308 */
BgL_auxz00_3090 = BgL_sz00_2147
; }  else 
{ 
 obj_t BgL_auxz00_3093;
BgL_auxz00_3093 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)13480)), BGl_string1904z00zz__mmapz00, BGl_string1858z00zz__mmapz00, BgL_sz00_2147); 
FAILURE(BgL_auxz00_3093,BFALSE,BFALSE);} 
if(
BGL_MMAPP(BgL_mmz00_2146))
{ /* Llib/mmap.scm 308 */
BgL_auxz00_3083 = BgL_mmz00_2146
; }  else 
{ 
 obj_t BgL_auxz00_3086;
BgL_auxz00_3086 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1846z00zz__mmapz00, 
BINT(((long)13480)), BGl_string1904z00zz__mmapz00, BGl_string1865z00zz__mmapz00, BgL_mmz00_2146); 
FAILURE(BgL_auxz00_3086,BFALSE,BFALSE);} 
return 
BGl_mmapzd2putzd2stringz12z12zz__mmapz00(BgL_auxz00_3083, BgL_auxz00_3090);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__mmapz00()
{
{ /* Llib/mmap.scm 19 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__mmapz00()
{
{ /* Llib/mmap.scm 19 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__mmapz00()
{
{ /* Llib/mmap.scm 19 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__mmapz00()
{
{ /* Llib/mmap.scm 19 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string1905z00zz__mmapz00));} 

}

#ifdef __cplusplus
}
#endif
