/*===========================================================================*/
/*   (Match/s2cfun.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Match/s2cfun.scm -indent -o objs/obj_u/Match/s2cfun.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	extern obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62concatz62zz__match_s2cfunz00(obj_t, obj_t);
	extern obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__match_s2cfunz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__match_s2cfunz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62ormapz62zz__match_s2cfunz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__match_s2cfunz00();
	BGL_EXPORTED_DEF obj_t BGl_jimzd2gensymzd2zz__match_s2cfunz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_concatz00zz__match_s2cfunz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__match_s2cfunz00();
	static obj_t BGl_genericzd2initzd2zz__match_s2cfunz00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__match_s2cfunz00();
	static obj_t BGl_gczd2rootszd2initz00zz__match_s2cfunz00();
	static obj_t BGl_objectzd2initzd2zz__match_s2cfunz00();
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62andmapz62zz__match_s2cfunz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__match_s2cfunz00(obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_methodzd2initzd2zz__match_s2cfunz00();
	BGL_EXPORTED_DECL obj_t BGl_atomzf3zf3zz__match_s2cfunz00(obj_t);
	static obj_t BGl_symbol1726z00zz__match_s2cfunz00 = BUNSPEC;
	static obj_t BGl_symbol1728z00zz__match_s2cfunz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_andmapz00zz__match_s2cfunz00(obj_t, obj_t);
	static obj_t BGl_symbol1730z00zz__match_s2cfunz00 = BUNSPEC;
	extern obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_ormapz00zz__match_s2cfunz00(obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62atomzf3z91zz__match_s2cfunz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_andmapzd2envzd2zz__match_s2cfunz00,
		BgL_bgl_za762andmapza762za7za7__1734z00, va_generic_entry,
		BGl_z62andmapz62zz__match_s2cfunz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_concatzd2envzd2zz__match_s2cfunz00,
		BgL_bgl_za762concatza762za7za7__1735z00, va_generic_entry,
		BGl_z62concatz62zz__match_s2cfunz00, BUNSPEC, -1);
	      DEFINE_STRING(BGl_string1727z00zz__match_s2cfunz00,
		BgL_bgl_string1727za700za7za7_1736za7, "G", 1);
	      DEFINE_STRING(BGl_string1729z00zz__match_s2cfunz00,
		BgL_bgl_string1729za700za7za7_1737za7, "non-user", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ormapzd2envzd2zz__match_s2cfunz00,
		BgL_bgl_za762ormapza762za7za7__m1738z00, va_generic_entry,
		BGl_z62ormapz62zz__match_s2cfunz00, BUNSPEC, -2);
	      DEFINE_STRING(BGl_string1731z00zz__match_s2cfunz00,
		BgL_bgl_string1731za700za7za7_1739za7, "concat", 6);
	      DEFINE_STRING(BGl_string1732z00zz__match_s2cfunz00,
		BgL_bgl_string1732za700za7za7_1740za7, "", 0);
	      DEFINE_STRING(BGl_string1733z00zz__match_s2cfunz00,
		BgL_bgl_string1733za700za7za7_1741za7, "__match_s2cfun", 14);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzf3zd2envz21zz__match_s2cfunz00,
		BgL_bgl_za762atomza7f3za791za7za7_1742za7,
		BGl_z62atomzf3z91zz__match_s2cfunz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__match_s2cfunz00));
		     ADD_ROOT((void *) (&BGl_jimzd2gensymzd2zz__match_s2cfunz00));
		     ADD_ROOT((void *) (&BGl_symbol1726z00zz__match_s2cfunz00));
		     ADD_ROOT((void *) (&BGl_symbol1728z00zz__match_s2cfunz00));
		     ADD_ROOT((void *) (&BGl_symbol1730z00zz__match_s2cfunz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__match_s2cfunz00(long
		BgL_checksumz00_2244, char *BgL_fromz00_2245)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__match_s2cfunz00))
				{
					BGl_requirezd2initializa7ationz75zz__match_s2cfunz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__match_s2cfunz00();
					BGl_cnstzd2initzd2zz__match_s2cfunz00();
					BGl_importedzd2moduleszd2initz00zz__match_s2cfunz00();
					return BGl_toplevelzd2initzd2zz__match_s2cfunz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__match_s2cfunz00()
	{
		{	/* Match/s2cfun.scm 11 */
			BGl_symbol1726z00zz__match_s2cfunz00 =
				bstring_to_symbol(BGl_string1727z00zz__match_s2cfunz00);
			BGl_symbol1728z00zz__match_s2cfunz00 =
				bstring_to_symbol(BGl_string1729z00zz__match_s2cfunz00);
			return (BGl_symbol1730z00zz__match_s2cfunz00 =
				bstring_to_symbol(BGl_string1731z00zz__match_s2cfunz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__match_s2cfunz00()
	{
		{	/* Match/s2cfun.scm 11 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__match_s2cfunz00()
	{
		{	/* Match/s2cfun.scm 11 */
			{	/* Match/s2cfun.scm 66 */
				obj_t BgL_counterz00_2226;

				BgL_counterz00_2226 = MAKE_CELL(BINT(((long) 100)));
				{	/* Match/s2cfun.scm 67 */
					obj_t BgL_zc3z04anonymousza31224ze3z87_2221;

					BgL_zc3z04anonymousza31224ze3z87_2221 =
						MAKE_VA_PROCEDURE
						(BGl_z62zc3z04anonymousza31224ze3ze5zz__match_s2cfunz00,
						(int) (((long) -1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31224ze3z87_2221,
						(int) (((long) 0)), ((obj_t) BgL_counterz00_2226));
					return (BGl_jimzd2gensymzd2zz__match_s2cfunz00 =
						BgL_zc3z04anonymousza31224ze3z87_2221, BUNSPEC);
				}
			}
		}

	}



/* &<@anonymous:1224> */
	obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__match_s2cfunz00(obj_t
		BgL_envz00_2222, obj_t BgL_argsz00_2224)
	{
		{	/* Match/s2cfun.scm 67 */
			{	/* Match/s2cfun.scm 68 */
				obj_t BgL_counterz00_2223;

				BgL_counterz00_2223 =
					PROCEDURE_REF(BgL_envz00_2222, (int) (((long) 0)));
				{	/* Match/s2cfun.scm 68 */
					obj_t BgL_auxz00_2238;

					{	/* Match/s2cfun.scm 68 */
						bool_t BgL_test1744z00_2266;

						{	/* Match/s2cfun.scm 68 */
							obj_t BgL_objz00_2239;

							BgL_objz00_2239 = CELL_REF(BgL_counterz00_2223);
							BgL_test1744z00_2266 = INTEGERP(BgL_objz00_2239);
						}
						if (BgL_test1744z00_2266)
							{	/* Match/s2cfun.scm 68 */
								BgL_auxz00_2238 =
									ADDFX(CELL_REF(BgL_counterz00_2223), BINT(((long) 1)));
							}
						else
							{	/* Match/s2cfun.scm 68 */
								BgL_auxz00_2238 =
									BGl_2zb2zb2zz__r4_numbers_6_5z00(CELL_REF
									(BgL_counterz00_2223), BINT(((long) 1)));
					}}
					CELL_SET(BgL_counterz00_2223, BgL_auxz00_2238);
				}
				{	/* Match/s2cfun.scm 69 */
					obj_t BgL_symbolz00_2240;

					{	/* Match/s2cfun.scm 69 */
						obj_t BgL_arg1232z00_2241;

						if (PAIRP(BgL_argsz00_2224))
							{	/* Match/s2cfun.scm 69 */
								BgL_arg1232z00_2241 = CAR(BgL_argsz00_2224);
							}
						else
							{	/* Match/s2cfun.scm 69 */
								BgL_arg1232z00_2241 = BGl_symbol1726z00zz__match_s2cfunz00;
							}
						{	/* Match/s2cfun.scm 69 */
							obj_t BgL_list1233z00_2242;

							{	/* Match/s2cfun.scm 69 */
								obj_t BgL_arg1236z00_2243;

								BgL_arg1236z00_2243 =
									MAKE_YOUNG_PAIR(CELL_REF(BgL_counterz00_2223), BNIL);
								BgL_list1233z00_2242 =
									MAKE_YOUNG_PAIR(BgL_arg1232z00_2241, BgL_arg1236z00_2243);
							}
							BgL_symbolz00_2240 =
								BGl_concatz00zz__match_s2cfunz00(BgL_list1233z00_2242);
						}
					}
					BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symbolz00_2240,
						BGl_symbol1728z00zz__match_s2cfunz00, BTRUE);
					return BgL_symbolz00_2240;
				}
			}
		}

	}



/* atom? */
	BGL_EXPORTED_DEF obj_t BGl_atomzf3zf3zz__match_s2cfunz00(obj_t BgL_ez00_3)
	{
		{	/* Match/s2cfun.scm 52 */
			if (PAIRP(BgL_ez00_3))
				{	/* Match/s2cfun.scm 53 */
					return BFALSE;
				}
			else
				{	/* Match/s2cfun.scm 53 */
					return BTRUE;
				}
		}

	}



/* &atom? */
	obj_t BGl_z62atomzf3z91zz__match_s2cfunz00(obj_t BgL_envz00_2228,
		obj_t BgL_ez00_2229)
	{
		{	/* Match/s2cfun.scm 52 */
			return BGl_atomzf3zf3zz__match_s2cfunz00(BgL_ez00_2229);
		}

	}



/* concat */
	BGL_EXPORTED_DEF obj_t BGl_concatz00zz__match_s2cfunz00(obj_t BgL_argsz00_4)
	{
		{	/* Match/s2cfun.scm 55 */
			{	/* Match/s2cfun.scm 57 */
				obj_t BgL_arg1245z00_1190;

				{	/* Match/s2cfun.scm 57 */
					obj_t BgL_runner1258z00_1209;

					if (NULLP(BgL_argsz00_4))
						{	/* Match/s2cfun.scm 58 */
							BgL_runner1258z00_1209 = BNIL;
						}
					else
						{	/* Match/s2cfun.scm 58 */
							obj_t BgL_head1094z00_1193;

							BgL_head1094z00_1193 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1092z00_1195;
								obj_t BgL_tail1095z00_1196;

								BgL_l1092z00_1195 = BgL_argsz00_4;
								BgL_tail1095z00_1196 = BgL_head1094z00_1193;
							BgL_zc3z04anonymousza31247ze3z87_1197:
								if (NULLP(BgL_l1092z00_1195))
									{	/* Match/s2cfun.scm 58 */
										BgL_runner1258z00_1209 = CDR(BgL_head1094z00_1193);
									}
								else
									{	/* Match/s2cfun.scm 58 */
										obj_t BgL_newtail1096z00_1199;

										{	/* Match/s2cfun.scm 58 */
											obj_t BgL_arg1254z00_1201;

											{	/* Match/s2cfun.scm 58 */
												obj_t BgL_sz00_1202;

												BgL_sz00_1202 = CAR(((obj_t) BgL_l1092z00_1195));
												if (STRINGP(BgL_sz00_1202))
													{	/* Match/s2cfun.scm 59 */
														BgL_arg1254z00_1201 = BgL_sz00_1202;
													}
												else
													{	/* Match/s2cfun.scm 59 */
														if (SYMBOLP(BgL_sz00_1202))
															{	/* Match/s2cfun.scm 60 */
																obj_t BgL_arg1500z00_1796;

																BgL_arg1500z00_1796 =
																	SYMBOL_TO_STRING(BgL_sz00_1202);
																BgL_arg1254z00_1201 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1500z00_1796);
															}
														else
															{	/* Match/s2cfun.scm 60 */
																if (BGl_numberzf3zf3zz__r4_numbers_6_5z00
																	(BgL_sz00_1202))
																	{	/* Ieee/number.scm 169 */

																		BgL_arg1254z00_1201 =
																			BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																			(BgL_sz00_1202, BINT(((long) 10)));
																	}
																else
																	{	/* Match/s2cfun.scm 61 */
																		BgL_arg1254z00_1201 =
																			BGl_errorz00zz__errorz00
																			(BGl_symbol1730z00zz__match_s2cfunz00,
																			BGl_string1732z00zz__match_s2cfunz00,
																			BgL_argsz00_4);
																	}
															}
													}
											}
											BgL_newtail1096z00_1199 =
												MAKE_YOUNG_PAIR(BgL_arg1254z00_1201, BNIL);
										}
										SET_CDR(BgL_tail1095z00_1196, BgL_newtail1096z00_1199);
										{	/* Match/s2cfun.scm 58 */
											obj_t BgL_arg1253z00_1200;

											BgL_arg1253z00_1200 = CDR(((obj_t) BgL_l1092z00_1195));
											{
												obj_t BgL_tail1095z00_2306;
												obj_t BgL_l1092z00_2305;

												BgL_l1092z00_2305 = BgL_arg1253z00_1200;
												BgL_tail1095z00_2306 = BgL_newtail1096z00_1199;
												BgL_tail1095z00_1196 = BgL_tail1095z00_2306;
												BgL_l1092z00_1195 = BgL_l1092z00_2305;
												goto BgL_zc3z04anonymousza31247ze3z87_1197;
											}
										}
									}
							}
						}
					BgL_arg1245z00_1190 =
						BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_runner1258z00_1209);
				}
				return bstring_to_symbol(BgL_arg1245z00_1190);
			}
		}

	}



/* &concat */
	obj_t BGl_z62concatz62zz__match_s2cfunz00(obj_t BgL_envz00_2230,
		obj_t BgL_argsz00_2231)
	{
		{	/* Match/s2cfun.scm 55 */
			return BGl_concatz00zz__match_s2cfunz00(BgL_argsz00_2231);
		}

	}



/* andmap */
	BGL_EXPORTED_DEF obj_t BGl_andmapz00zz__match_s2cfunz00(obj_t BgL_pz00_5,
		obj_t BgL_argsz00_6)
	{
		{	/* Match/s2cfun.scm 74 */
			{
				obj_t BgL_argsz00_1211;
				obj_t BgL_valuez00_1212;

				BgL_argsz00_1211 = BgL_argsz00_6;
				BgL_valuez00_1212 = BTRUE;
			BgL_zc3z04anonymousza31259ze3z87_1213:
				{	/* Match/s2cfun.scm 77 */
					bool_t BgL_test1752z00_2310;

					{
						obj_t BgL_lsz00_1261;

						BgL_lsz00_1261 = BgL_argsz00_1211;
					BgL_zc3z04anonymousza31310ze3z87_1262:
						if (PAIRP(BgL_lsz00_1261))
							{	/* Match/s2cfun.scm 79 */
								bool_t BgL__ortest_1040z00_1264;

								{	/* Match/s2cfun.scm 79 */
									bool_t BgL_test1754z00_2313;

									{	/* Match/s2cfun.scm 79 */
										obj_t BgL_tmpz00_2314;

										BgL_tmpz00_2314 = CAR(BgL_lsz00_1261);
										BgL_test1754z00_2313 = PAIRP(BgL_tmpz00_2314);
									}
									if (BgL_test1754z00_2313)
										{	/* Match/s2cfun.scm 79 */
											BgL__ortest_1040z00_1264 = ((bool_t) 0);
										}
									else
										{	/* Match/s2cfun.scm 79 */
											BgL__ortest_1040z00_1264 = ((bool_t) 1);
										}
								}
								if (BgL__ortest_1040z00_1264)
									{	/* Match/s2cfun.scm 79 */
										BgL_test1752z00_2310 = BgL__ortest_1040z00_1264;
									}
								else
									{
										obj_t BgL_lsz00_2318;

										BgL_lsz00_2318 = CDR(BgL_lsz00_1261);
										BgL_lsz00_1261 = BgL_lsz00_2318;
										goto BgL_zc3z04anonymousza31310ze3z87_1262;
									}
							}
						else
							{	/* Match/s2cfun.scm 78 */
								BgL_test1752z00_2310 = ((bool_t) 0);
							}
					}
					if (BgL_test1752z00_2310)
						{	/* Match/s2cfun.scm 77 */
							return BgL_valuez00_1212;
						}
					else
						{	/* Match/s2cfun.scm 82 */
							obj_t BgL_valuez00_1225;

							{	/* Match/s2cfun.scm 82 */
								obj_t BgL_auxz00_2320;

								if (NULLP(BgL_argsz00_1211))
									{	/* Match/s2cfun.scm 82 */
										BgL_auxz00_2320 = BNIL;
									}
								else
									{	/* Match/s2cfun.scm 82 */
										obj_t BgL_head1099z00_1246;

										{	/* Match/s2cfun.scm 82 */
											obj_t BgL_arg1308z00_1258;

											{	/* Match/s2cfun.scm 82 */
												obj_t BgL_pairz00_1803;

												BgL_pairz00_1803 = CAR(((obj_t) BgL_argsz00_1211));
												BgL_arg1308z00_1258 = CAR(BgL_pairz00_1803);
											}
											BgL_head1099z00_1246 =
												MAKE_YOUNG_PAIR(BgL_arg1308z00_1258, BNIL);
										}
										{	/* Match/s2cfun.scm 82 */
											obj_t BgL_g1102z00_1247;

											BgL_g1102z00_1247 = CDR(((obj_t) BgL_argsz00_1211));
											{
												obj_t BgL_l1097z00_1824;
												obj_t BgL_tail1100z00_1825;

												BgL_l1097z00_1824 = BgL_g1102z00_1247;
												BgL_tail1100z00_1825 = BgL_head1099z00_1246;
											BgL_zc3z04anonymousza31300ze3z87_1823:
												if (NULLP(BgL_l1097z00_1824))
													{	/* Match/s2cfun.scm 82 */
														BgL_auxz00_2320 = BgL_head1099z00_1246;
													}
												else
													{	/* Match/s2cfun.scm 82 */
														obj_t BgL_newtail1101z00_1832;

														{	/* Match/s2cfun.scm 82 */
															obj_t BgL_arg1306z00_1833;

															{	/* Match/s2cfun.scm 82 */
																obj_t BgL_pairz00_1837;

																BgL_pairz00_1837 =
																	CAR(((obj_t) BgL_l1097z00_1824));
																BgL_arg1306z00_1833 = CAR(BgL_pairz00_1837);
															}
															BgL_newtail1101z00_1832 =
																MAKE_YOUNG_PAIR(BgL_arg1306z00_1833, BNIL);
														}
														SET_CDR(BgL_tail1100z00_1825,
															BgL_newtail1101z00_1832);
														{	/* Match/s2cfun.scm 82 */
															obj_t BgL_arg1304z00_1835;

															BgL_arg1304z00_1835 =
																CDR(((obj_t) BgL_l1097z00_1824));
															{
																obj_t BgL_tail1100z00_2339;
																obj_t BgL_l1097z00_2338;

																BgL_l1097z00_2338 = BgL_arg1304z00_1835;
																BgL_tail1100z00_2339 = BgL_newtail1101z00_1832;
																BgL_tail1100z00_1825 = BgL_tail1100z00_2339;
																BgL_l1097z00_1824 = BgL_l1097z00_2338;
																goto BgL_zc3z04anonymousza31300ze3z87_1823;
															}
														}
													}
											}
										}
									}
								BgL_valuez00_1225 = apply(BgL_pz00_5, BgL_auxz00_2320);
							}
							if (CBOOL(BgL_valuez00_1225))
								{	/* Match/s2cfun.scm 83 */
									obj_t BgL_arg1280z00_1227;

									if (NULLP(BgL_argsz00_1211))
										{	/* Match/s2cfun.scm 83 */
											BgL_arg1280z00_1227 = BNIL;
										}
									else
										{	/* Match/s2cfun.scm 83 */
											obj_t BgL_head1105z00_1230;

											{	/* Match/s2cfun.scm 83 */
												obj_t BgL_arg1297z00_1242;

												{	/* Match/s2cfun.scm 83 */
													obj_t BgL_pairz00_1841;

													BgL_pairz00_1841 = CAR(((obj_t) BgL_argsz00_1211));
													BgL_arg1297z00_1242 = CDR(BgL_pairz00_1841);
												}
												BgL_head1105z00_1230 =
													MAKE_YOUNG_PAIR(BgL_arg1297z00_1242, BNIL);
											}
											{	/* Match/s2cfun.scm 83 */
												obj_t BgL_g1108z00_1231;

												BgL_g1108z00_1231 = CDR(((obj_t) BgL_argsz00_1211));
												{
													obj_t BgL_l1103z00_1862;
													obj_t BgL_tail1106z00_1863;

													BgL_l1103z00_1862 = BgL_g1108z00_1231;
													BgL_tail1106z00_1863 = BgL_head1105z00_1230;
												BgL_zc3z04anonymousza31282ze3z87_1861:
													if (NULLP(BgL_l1103z00_1862))
														{	/* Match/s2cfun.scm 83 */
															BgL_arg1280z00_1227 = BgL_head1105z00_1230;
														}
													else
														{	/* Match/s2cfun.scm 83 */
															obj_t BgL_newtail1107z00_1870;

															{	/* Match/s2cfun.scm 83 */
																obj_t BgL_arg1295z00_1871;

																{	/* Match/s2cfun.scm 83 */
																	obj_t BgL_pairz00_1875;

																	BgL_pairz00_1875 =
																		CAR(((obj_t) BgL_l1103z00_1862));
																	BgL_arg1295z00_1871 = CDR(BgL_pairz00_1875);
																}
																BgL_newtail1107z00_1870 =
																	MAKE_YOUNG_PAIR(BgL_arg1295z00_1871, BNIL);
															}
															SET_CDR(BgL_tail1106z00_1863,
																BgL_newtail1107z00_1870);
															{	/* Match/s2cfun.scm 83 */
																obj_t BgL_arg1284z00_1873;

																BgL_arg1284z00_1873 =
																	CDR(((obj_t) BgL_l1103z00_1862));
																{
																	obj_t BgL_tail1106z00_2361;
																	obj_t BgL_l1103z00_2360;

																	BgL_l1103z00_2360 = BgL_arg1284z00_1873;
																	BgL_tail1106z00_2361 =
																		BgL_newtail1107z00_1870;
																	BgL_tail1106z00_1863 = BgL_tail1106z00_2361;
																	BgL_l1103z00_1862 = BgL_l1103z00_2360;
																	goto BgL_zc3z04anonymousza31282ze3z87_1861;
																}
															}
														}
												}
											}
										}
									{
										obj_t BgL_valuez00_2363;
										obj_t BgL_argsz00_2362;

										BgL_argsz00_2362 = BgL_arg1280z00_1227;
										BgL_valuez00_2363 = BgL_valuez00_1225;
										BgL_valuez00_1212 = BgL_valuez00_2363;
										BgL_argsz00_1211 = BgL_argsz00_2362;
										goto BgL_zc3z04anonymousza31259ze3z87_1213;
									}
								}
							else
								{	/* Match/s2cfun.scm 83 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &andmap */
	obj_t BGl_z62andmapz62zz__match_s2cfunz00(obj_t BgL_envz00_2232,
		obj_t BgL_pz00_2233, obj_t BgL_argsz00_2234)
	{
		{	/* Match/s2cfun.scm 74 */
			return BGl_andmapz00zz__match_s2cfunz00(BgL_pz00_2233, BgL_argsz00_2234);
		}

	}



/* ormap */
	BGL_EXPORTED_DEF obj_t BGl_ormapz00zz__match_s2cfunz00(obj_t BgL_pz00_7,
		obj_t BgL_argsz00_8)
	{
		{	/* Match/s2cfun.scm 86 */
			if (BGl_2zd3zd3zz__r4_numbers_6_5z00(BINT(bgl_list_length(BgL_argsz00_8)),
					BINT(((long) 1))))
				{	/* Match/s2cfun.scm 89 */
					obj_t BgL_arg1316z00_1272;

					{	/* Match/s2cfun.scm 89 */
						obj_t BgL_l1109z00_1273;

						BgL_l1109z00_1273 = CAR(((obj_t) BgL_argsz00_8));
						if (NULLP(BgL_l1109z00_1273))
							{	/* Match/s2cfun.scm 89 */
								BgL_arg1316z00_1272 = BNIL;
							}
						else
							{	/* Match/s2cfun.scm 89 */
								obj_t BgL_head1111z00_1275;

								{	/* Match/s2cfun.scm 89 */
									obj_t BgL_arg1323z00_1287;

									{	/* Match/s2cfun.scm 89 */
										obj_t BgL_arg1324z00_1288;

										BgL_arg1324z00_1288 = CAR(((obj_t) BgL_l1109z00_1273));
										BgL_arg1323z00_1287 =
											PROCEDURE_ENTRY(BgL_pz00_7) (BgL_pz00_7,
											BgL_arg1324z00_1288, BEOA);
									}
									BgL_head1111z00_1275 =
										MAKE_YOUNG_PAIR(BgL_arg1323z00_1287, BNIL);
								}
								{	/* Match/s2cfun.scm 89 */
									obj_t BgL_g1114z00_1276;

									BgL_g1114z00_1276 = CDR(((obj_t) BgL_l1109z00_1273));
									{
										obj_t BgL_l1109z00_1898;
										obj_t BgL_tail1112z00_1899;

										BgL_l1109z00_1898 = BgL_g1114z00_1276;
										BgL_tail1112z00_1899 = BgL_head1111z00_1275;
									BgL_zc3z04anonymousza31318ze3z87_1897:
										if (NULLP(BgL_l1109z00_1898))
											{	/* Match/s2cfun.scm 89 */
												BgL_arg1316z00_1272 = BgL_head1111z00_1275;
											}
										else
											{	/* Match/s2cfun.scm 89 */
												obj_t BgL_newtail1113z00_1906;

												{	/* Match/s2cfun.scm 89 */
													obj_t BgL_arg1321z00_1907;

													{	/* Match/s2cfun.scm 89 */
														obj_t BgL_arg1322z00_1908;

														BgL_arg1322z00_1908 =
															CAR(((obj_t) BgL_l1109z00_1898));
														BgL_arg1321z00_1907 =
															PROCEDURE_ENTRY(BgL_pz00_7) (BgL_pz00_7,
															BgL_arg1322z00_1908, BEOA);
													}
													BgL_newtail1113z00_1906 =
														MAKE_YOUNG_PAIR(BgL_arg1321z00_1907, BNIL);
												}
												SET_CDR(BgL_tail1112z00_1899, BgL_newtail1113z00_1906);
												{	/* Match/s2cfun.scm 89 */
													obj_t BgL_arg1320z00_1909;

													BgL_arg1320z00_1909 =
														CDR(((obj_t) BgL_l1109z00_1898));
													{
														obj_t BgL_tail1112z00_2396;
														obj_t BgL_l1109z00_2395;

														BgL_l1109z00_2395 = BgL_arg1320z00_1909;
														BgL_tail1112z00_2396 = BgL_newtail1113z00_1906;
														BgL_tail1112z00_1899 = BgL_tail1112z00_2396;
														BgL_l1109z00_1898 = BgL_l1109z00_2395;
														goto BgL_zc3z04anonymousza31318ze3z87_1897;
													}
												}
											}
									}
								}
							}
					}
					return
						BGl_memberz00zz__r4_pairs_and_lists_6_3z00(BTRUE,
						BgL_arg1316z00_1272);
				}
			else
				{
					obj_t BgL_argsz00_1290;
					obj_t BgL_valuez00_1291;

					BgL_argsz00_1290 = BgL_argsz00_8;
					BgL_valuez00_1291 = BFALSE;
				BgL_zc3z04anonymousza31325ze3z87_1292:
					{	/* Match/s2cfun.scm 91 */
						bool_t BgL_test1764z00_2398;

						{
							obj_t BgL_lsz00_1340;

							BgL_lsz00_1340 = BgL_argsz00_1290;
						BgL_zc3z04anonymousza31353ze3z87_1341:
							if (PAIRP(BgL_lsz00_1340))
								{	/* Match/s2cfun.scm 93 */
									bool_t BgL__ortest_1043z00_1343;

									{	/* Match/s2cfun.scm 93 */
										bool_t BgL_test1766z00_2401;

										{	/* Match/s2cfun.scm 93 */
											obj_t BgL_tmpz00_2402;

											BgL_tmpz00_2402 = CAR(BgL_lsz00_1340);
											BgL_test1766z00_2401 = PAIRP(BgL_tmpz00_2402);
										}
										if (BgL_test1766z00_2401)
											{	/* Match/s2cfun.scm 93 */
												BgL__ortest_1043z00_1343 = ((bool_t) 0);
											}
										else
											{	/* Match/s2cfun.scm 93 */
												BgL__ortest_1043z00_1343 = ((bool_t) 1);
											}
									}
									if (BgL__ortest_1043z00_1343)
										{	/* Match/s2cfun.scm 93 */
											BgL_test1764z00_2398 = BgL__ortest_1043z00_1343;
										}
									else
										{
											obj_t BgL_lsz00_2406;

											BgL_lsz00_2406 = CDR(BgL_lsz00_1340);
											BgL_lsz00_1340 = BgL_lsz00_2406;
											goto BgL_zc3z04anonymousza31353ze3z87_1341;
										}
								}
							else
								{	/* Match/s2cfun.scm 92 */
									BgL_test1764z00_2398 = ((bool_t) 0);
								}
						}
						if (BgL_test1764z00_2398)
							{	/* Match/s2cfun.scm 91 */
								return BgL_valuez00_1291;
							}
						else
							{	/* Match/s2cfun.scm 96 */
								obj_t BgL_valuez00_1304;

								{	/* Match/s2cfun.scm 96 */
									obj_t BgL_auxz00_2408;

									if (NULLP(BgL_argsz00_1290))
										{	/* Match/s2cfun.scm 96 */
											BgL_auxz00_2408 = BNIL;
										}
									else
										{	/* Match/s2cfun.scm 96 */
											obj_t BgL_head1117z00_1325;

											{	/* Match/s2cfun.scm 96 */
												obj_t BgL_arg1351z00_1337;

												{	/* Match/s2cfun.scm 96 */
													obj_t BgL_pairz00_1916;

													BgL_pairz00_1916 = CAR(((obj_t) BgL_argsz00_1290));
													BgL_arg1351z00_1337 = CAR(BgL_pairz00_1916);
												}
												BgL_head1117z00_1325 =
													MAKE_YOUNG_PAIR(BgL_arg1351z00_1337, BNIL);
											}
											{	/* Match/s2cfun.scm 96 */
												obj_t BgL_g1120z00_1326;

												BgL_g1120z00_1326 = CDR(((obj_t) BgL_argsz00_1290));
												{
													obj_t BgL_l1115z00_1937;
													obj_t BgL_tail1118z00_1938;

													BgL_l1115z00_1937 = BgL_g1120z00_1326;
													BgL_tail1118z00_1938 = BgL_head1117z00_1325;
												BgL_zc3z04anonymousza31345ze3z87_1936:
													if (NULLP(BgL_l1115z00_1937))
														{	/* Match/s2cfun.scm 96 */
															BgL_auxz00_2408 = BgL_head1117z00_1325;
														}
													else
														{	/* Match/s2cfun.scm 96 */
															obj_t BgL_newtail1119z00_1945;

															{	/* Match/s2cfun.scm 96 */
																obj_t BgL_arg1348z00_1946;

																{	/* Match/s2cfun.scm 96 */
																	obj_t BgL_pairz00_1950;

																	BgL_pairz00_1950 =
																		CAR(((obj_t) BgL_l1115z00_1937));
																	BgL_arg1348z00_1946 = CAR(BgL_pairz00_1950);
																}
																BgL_newtail1119z00_1945 =
																	MAKE_YOUNG_PAIR(BgL_arg1348z00_1946, BNIL);
															}
															SET_CDR(BgL_tail1118z00_1938,
																BgL_newtail1119z00_1945);
															{	/* Match/s2cfun.scm 96 */
																obj_t BgL_arg1347z00_1948;

																BgL_arg1347z00_1948 =
																	CDR(((obj_t) BgL_l1115z00_1937));
																{
																	obj_t BgL_tail1118z00_2427;
																	obj_t BgL_l1115z00_2426;

																	BgL_l1115z00_2426 = BgL_arg1347z00_1948;
																	BgL_tail1118z00_2427 =
																		BgL_newtail1119z00_1945;
																	BgL_tail1118z00_1938 = BgL_tail1118z00_2427;
																	BgL_l1115z00_1937 = BgL_l1115z00_2426;
																	goto BgL_zc3z04anonymousza31345ze3z87_1936;
																}
															}
														}
												}
											}
										}
									BgL_valuez00_1304 = apply(BgL_pz00_7, BgL_auxz00_2408);
								}
								if (CBOOL(BgL_valuez00_1304))
									{	/* Match/s2cfun.scm 97 */
										return BgL_valuez00_1304;
									}
								else
									{	/* Match/s2cfun.scm 97 */
										obj_t BgL_arg1334z00_1306;

										if (NULLP(BgL_argsz00_1290))
											{	/* Match/s2cfun.scm 97 */
												BgL_arg1334z00_1306 = BNIL;
											}
										else
											{	/* Match/s2cfun.scm 97 */
												obj_t BgL_head1123z00_1309;

												{	/* Match/s2cfun.scm 97 */
													obj_t BgL_arg1341z00_1321;

													{	/* Match/s2cfun.scm 97 */
														obj_t BgL_pairz00_1954;

														BgL_pairz00_1954 = CAR(((obj_t) BgL_argsz00_1290));
														BgL_arg1341z00_1321 = CDR(BgL_pairz00_1954);
													}
													BgL_head1123z00_1309 =
														MAKE_YOUNG_PAIR(BgL_arg1341z00_1321, BNIL);
												}
												{	/* Match/s2cfun.scm 97 */
													obj_t BgL_g1126z00_1310;

													BgL_g1126z00_1310 = CDR(((obj_t) BgL_argsz00_1290));
													{
														obj_t BgL_l1121z00_1975;
														obj_t BgL_tail1124z00_1976;

														BgL_l1121z00_1975 = BgL_g1126z00_1310;
														BgL_tail1124z00_1976 = BgL_head1123z00_1309;
													BgL_zc3z04anonymousza31336ze3z87_1974:
														if (NULLP(BgL_l1121z00_1975))
															{	/* Match/s2cfun.scm 97 */
																BgL_arg1334z00_1306 = BgL_head1123z00_1309;
															}
														else
															{	/* Match/s2cfun.scm 97 */
																obj_t BgL_newtail1125z00_1983;

																{	/* Match/s2cfun.scm 97 */
																	obj_t BgL_arg1339z00_1984;

																	{	/* Match/s2cfun.scm 97 */
																		obj_t BgL_pairz00_1988;

																		BgL_pairz00_1988 =
																			CAR(((obj_t) BgL_l1121z00_1975));
																		BgL_arg1339z00_1984 = CDR(BgL_pairz00_1988);
																	}
																	BgL_newtail1125z00_1983 =
																		MAKE_YOUNG_PAIR(BgL_arg1339z00_1984, BNIL);
																}
																SET_CDR(BgL_tail1124z00_1976,
																	BgL_newtail1125z00_1983);
																{	/* Match/s2cfun.scm 97 */
																	obj_t BgL_arg1338z00_1986;

																	BgL_arg1338z00_1986 =
																		CDR(((obj_t) BgL_l1121z00_1975));
																	{
																		obj_t BgL_tail1124z00_2449;
																		obj_t BgL_l1121z00_2448;

																		BgL_l1121z00_2448 = BgL_arg1338z00_1986;
																		BgL_tail1124z00_2449 =
																			BgL_newtail1125z00_1983;
																		BgL_tail1124z00_1976 = BgL_tail1124z00_2449;
																		BgL_l1121z00_1975 = BgL_l1121z00_2448;
																		goto BgL_zc3z04anonymousza31336ze3z87_1974;
																	}
																}
															}
													}
												}
											}
										{
											obj_t BgL_valuez00_2451;
											obj_t BgL_argsz00_2450;

											BgL_argsz00_2450 = BgL_arg1334z00_1306;
											BgL_valuez00_2451 = BgL_valuez00_1304;
											BgL_valuez00_1291 = BgL_valuez00_2451;
											BgL_argsz00_1290 = BgL_argsz00_2450;
											goto BgL_zc3z04anonymousza31325ze3z87_1292;
										}
									}
							}
					}
				}
		}

	}



/* &ormap */
	obj_t BGl_z62ormapz62zz__match_s2cfunz00(obj_t BgL_envz00_2235,
		obj_t BgL_pz00_2236, obj_t BgL_argsz00_2237)
	{
		{	/* Match/s2cfun.scm 86 */
			return BGl_ormapz00zz__match_s2cfunz00(BgL_pz00_2236, BgL_argsz00_2237);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__match_s2cfunz00()
	{
		{	/* Match/s2cfun.scm 11 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__match_s2cfunz00()
	{
		{	/* Match/s2cfun.scm 11 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__match_s2cfunz00()
	{
		{	/* Match/s2cfun.scm 11 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__match_s2cfunz00()
	{
		{	/* Match/s2cfun.scm 11 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string1733z00zz__match_s2cfunz00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string1733z00zz__match_s2cfunz00));
		}

	}

#ifdef __cplusplus
}
#endif
